"use strict";/*!--------------------------------------------------------
 * Copyright (C) Microsoft Corporation. All rights reserved.
 *--------------------------------------------------------*/(function(){var se=["require","exports","vs/editor/common/core/range","vs/base/common/errors","vs/editor/common/core/position","vs/editor/common/core/offsetRange","vs/base/common/arrays","vs/base/common/strings","vs/base/common/arraysFind","vs/editor/common/diff/defaultLinesDiffComputer/algorithms/diffAlgorithm","vs/base/common/assert","vs/base/common/lifecycle","vs/base/common/event","vs/editor/common/core/lineRange","vs/base/common/map","vs/base/common/objects","vs/editor/common/diff/defaultLinesDiffComputer/utils","vs/editor/common/diff/rangeMapping","vs/base/common/platform","vs/base/common/uri","vs/base/common/functional","vs/base/common/iterator","vs/base/common/linkedList","vs/base/common/stopwatch","vs/base/common/cancellation","vs/base/common/diff/diff","vs/base/common/types","vs/base/common/codiconsUtil","vs/base/common/uint","vs/editor/common/core/characterClassifier","vs/editor/common/core/textLength","vs/editor/common/core/wordHelper","vs/editor/common/diff/defaultLinesDiffComputer/algorithms/myersDiffAlgorithm","vs/editor/common/diff/defaultLinesDiffComputer/linesSliceCharSequence","vs/editor/common/diff/linesDiffComputer","vs/editor/common/diff/legacyLinesDiffComputer","vs/base/common/collections","vs/base/common/color","vs/base/common/diff/diffChange","vs/base/common/keyCodes","vs/base/common/lazy","vs/base/common/cache","vs/base/common/hash","vs/base/common/codiconsLibrary","vs/base/common/codicons","vs/editor/common/core/editOperation","vs/editor/common/core/selection","vs/editor/common/core/positionToOffset","vs/editor/common/core/textEdit","vs/editor/common/core/wordCharacterClassifier","vs/editor/common/diff/defaultLinesDiffComputer/heuristicSequenceOptimizations","vs/editor/common/diff/defaultLinesDiffComputer/lineSequence","vs/editor/common/diff/defaultLinesDiffComputer/algorithms/dynamicProgrammingDiffing","vs/editor/common/diff/defaultLinesDiffComputer/computeMovedLines","vs/editor/common/diff/defaultLinesDiffComputer/defaultLinesDiffComputer","vs/editor/common/diff/linesDiffComputers","vs/editor/common/languages/defaultDocumentColorsComputer","vs/editor/common/languages/linkComputer","vs/editor/common/languages/supports/inplaceReplaceSupport","vs/editor/common/model","vs/editor/common/model/prefixSumComputer","vs/editor/common/model/mirrorTextModel","vs/editor/common/model/textModelSearch","vs/editor/common/services/findSectionHeaders","vs/editor/common/services/unicodeTextModelHighlighter","vs/editor/common/standalone/standaloneEnums","vs/editor/common/tokenizationRegistry","vs/nls!vs/base/common/platform","vs/nls","vs/nls!vs/editor/common/services/editorSimpleWorker","vs/base/common/process","vs/base/common/path","vs/nls!vs/editor/common/languages","vs/editor/common/languages","vs/editor/common/services/editorBaseApi","vs/css","vs/base/common/worker/simpleWorker","vs/editor/common/services/editorSimpleWorker"],ae=function(B){for(var t=[],i=0,y=B.length;i<y;i++)t[i]=se[B[i]];return t};const He=this,Ge=typeof global=="object"?global:{};var $e;(function(B){B.global=He;class t{get isWindows(){return this._detect(),this._isWindows}get isNode(){return this._detect(),this._isNode}get isElectronRenderer(){return this._detect(),this._isElectronRenderer}get isWebWorker(){return this._detect(),this._isWebWorker}get isElectronNodeIntegrationWebWorker(){return this._detect(),this._isElectronNodeIntegrationWebWorker}constructor(){this._detected=!1,this._isWindows=!1,this._isNode=!1,this._isElectronRenderer=!1,this._isWebWorker=!1,this._isElectronNodeIntegrationWebWorker=!1}_detect(){this._detected||(this._detected=!0,this._isWindows=t._isWindows(),this._isNode=typeof module<"u"&&!!module.exports,this._isElectronRenderer=typeof process<"u"&&typeof process.versions<"u"&&typeof process.versions.electron<"u"&&process.type==="renderer",this._isWebWorker=typeof B.global.importScripts=="function",this._isElectronNodeIntegrationWebWorker=this._isWebWorker&&typeof process<"u"&&typeof process.versions<"u"&&typeof process.versions.electron<"u"&&process.type==="worker")}static _isWindows(){return typeof navigator<"u"&&navigator.userAgent&&navigator.userAgent.indexOf("Windows")>=0?!0:typeof process<"u"?process.platform==="win32":!1}}B.Environment=t})($e||($e={}));var $e;(function(B){class t{constructor(c,$,g){this.type=c,this.detail=$,this.timestamp=g}}B.LoaderEvent=t;class i{constructor(c){this._events=[new t(1,"",c)]}record(c,$){this._events.push(new t(c,$,B.Utilities.getHighPerformanceTimestamp()))}getEvents(){return this._events}}B.LoaderEventRecorder=i;class y{record(c,$){}getEvents(){return[]}}y.INSTANCE=new y,B.NullLoaderEventRecorder=y})($e||($e={}));var $e;(function(B){class t{static fileUriToFilePath(y,M){if(M=decodeURI(M).replace(/%23/g,"#"),y){if(/^file:\/\/\//.test(M))return M.substr(8);if(/^file:\/\//.test(M))return M.substr(5)}else if(/^file:\/\//.test(M))return M.substr(7);return M}static startsWith(y,M){return y.length>=M.length&&y.substr(0,M.length)===M}static endsWith(y,M){return y.length>=M.length&&y.substr(y.length-M.length)===M}static containsQueryString(y){return/^[^\#]*\?/gi.test(y)}static isAbsolutePath(y){return/^((http:\/\/)|(https:\/\/)|(file:\/\/)|(\/))/.test(y)}static forEachProperty(y,M){if(y){let c;for(c in y)y.hasOwnProperty(c)&&M(c,y[c])}}static isEmpty(y){let M=!0;return t.forEachProperty(y,()=>{M=!1}),M}static recursiveClone(y){if(!y||typeof y!="object"||y instanceof RegExp||!Array.isArray(y)&&Object.getPrototypeOf(y)!==Object.prototype)return y;let M=Array.isArray(y)?[]:{};return t.forEachProperty(y,(c,$)=>{$&&typeof $=="object"?M[c]=t.recursiveClone($):M[c]=$}),M}static generateAnonymousModule(){return"===anonymous"+t.NEXT_ANONYMOUS_ID+++"==="}static isAnonymousModule(y){return t.startsWith(y,"===anonymous")}static getHighPerformanceTimestamp(){return this.PERFORMANCE_NOW_PROBED||(this.PERFORMANCE_NOW_PROBED=!0,this.HAS_PERFORMANCE_NOW=B.global.performance&&typeof B.global.performance.now=="function"),this.HAS_PERFORMANCE_NOW?B.global.performance.now():Date.now()}}t.NEXT_ANONYMOUS_ID=1,t.PERFORMANCE_NOW_PROBED=!1,t.HAS_PERFORMANCE_NOW=!1,B.Utilities=t})($e||($e={}));var $e;(function(B){function t(M){if(M instanceof Error)return M;const c=new Error(M.message||String(M)||"Unknown Error");return M.stack&&(c.stack=M.stack),c}B.ensureError=t;class i{static validateConfigurationOptions(c){function $(g){if(g.phase==="loading"){console.error('Loading "'+g.moduleId+'" failed'),console.error(g),console.error("Here are the modules that depend on it:"),console.error(g.neededBy);return}if(g.phase==="factory"){console.error('The factory function of "'+g.moduleId+'" has thrown an exception'),console.error(g),console.error("Here are the modules that depend on it:"),console.error(g.neededBy);return}}if(c=c||{},typeof c.baseUrl!="string"&&(c.baseUrl=""),typeof c.isBuild!="boolean"&&(c.isBuild=!1),typeof c.paths!="object"&&(c.paths={}),typeof c.config!="object"&&(c.config={}),typeof c.catchError>"u"&&(c.catchError=!1),typeof c.recordStats>"u"&&(c.recordStats=!1),typeof c.urlArgs!="string"&&(c.urlArgs=""),typeof c.onError!="function"&&(c.onError=$),Array.isArray(c.ignoreDuplicateModules)||(c.ignoreDuplicateModules=[]),c.baseUrl.length>0&&(B.Utilities.endsWith(c.baseUrl,"/")||(c.baseUrl+="/")),typeof c.cspNonce!="string"&&(c.cspNonce=""),typeof c.preferScriptTags>"u"&&(c.preferScriptTags=!1),c.nodeCachedData&&typeof c.nodeCachedData=="object"&&(typeof c.nodeCachedData.seed!="string"&&(c.nodeCachedData.seed="seed"),(typeof c.nodeCachedData.writeDelay!="number"||c.nodeCachedData.writeDelay<0)&&(c.nodeCachedData.writeDelay=1e3*7),!c.nodeCachedData.path||typeof c.nodeCachedData.path!="string")){const g=t(new Error("INVALID cached data configuration, 'path' MUST be set"));g.phase="configuration",c.onError(g),c.nodeCachedData=void 0}return c}static mergeConfigurationOptions(c=null,$=null){let g=B.Utilities.recursiveClone($||{});return B.Utilities.forEachProperty(c,(a,u)=>{a==="ignoreDuplicateModules"&&typeof g.ignoreDuplicateModules<"u"?g.ignoreDuplicateModules=g.ignoreDuplicateModules.concat(u):a==="paths"&&typeof g.paths<"u"?B.Utilities.forEachProperty(u,(o,p)=>g.paths[o]=p):a==="config"&&typeof g.config<"u"?B.Utilities.forEachProperty(u,(o,p)=>g.config[o]=p):g[a]=B.Utilities.recursiveClone(u)}),i.validateConfigurationOptions(g)}}B.ConfigurationOptionsUtil=i;class y{constructor(c,$){if(this._env=c,this.options=i.mergeConfigurationOptions($),this._createIgnoreDuplicateModulesMap(),this._createSortedPathsRules(),this.options.baseUrl===""&&this.options.nodeRequire&&this.options.nodeRequire.main&&this.options.nodeRequire.main.filename&&this._env.isNode){let g=this.options.nodeRequire.main.filename,a=Math.max(g.lastIndexOf("/"),g.lastIndexOf("\\"));this.options.baseUrl=g.substring(0,a+1)}}_createIgnoreDuplicateModulesMap(){this.ignoreDuplicateModulesMap={};for(let c=0;c<this.options.ignoreDuplicateModules.length;c++)this.ignoreDuplicateModulesMap[this.options.ignoreDuplicateModules[c]]=!0}_createSortedPathsRules(){this.sortedPathsRules=[],B.Utilities.forEachProperty(this.options.paths,(c,$)=>{Array.isArray($)?this.sortedPathsRules.push({from:c,to:$}):this.sortedPathsRules.push({from:c,to:[$]})}),this.sortedPathsRules.sort((c,$)=>$.from.length-c.from.length)}cloneAndMerge(c){return new y(this._env,i.mergeConfigurationOptions(c,this.options))}getOptionsLiteral(){return this.options}_applyPaths(c){let $;for(let g=0,a=this.sortedPathsRules.length;g<a;g++)if($=this.sortedPathsRules[g],B.Utilities.startsWith(c,$.from)){let u=[];for(let o=0,p=$.to.length;o<p;o++)u.push($.to[o]+c.substr($.from.length));return u}return[c]}_addUrlArgsToUrl(c){return B.Utilities.containsQueryString(c)?c+"&"+this.options.urlArgs:c+"?"+this.options.urlArgs}_addUrlArgsIfNecessaryToUrl(c){return this.options.urlArgs?this._addUrlArgsToUrl(c):c}_addUrlArgsIfNecessaryToUrls(c){if(this.options.urlArgs)for(let $=0,g=c.length;$<g;$++)c[$]=this._addUrlArgsToUrl(c[$]);return c}moduleIdToPaths(c){if(this._env.isNode&&this.options.amdModulesPattern instanceof RegExp&&!this.options.amdModulesPattern.test(c))return this.isBuild()?["empty:"]:["node|"+c];let $=c,g;if(!B.Utilities.endsWith($,".js")&&!B.Utilities.isAbsolutePath($)){g=this._applyPaths($);for(let a=0,u=g.length;a<u;a++)this.isBuild()&&g[a]==="empty:"||(B.Utilities.isAbsolutePath(g[a])||(g[a]=this.options.baseUrl+g[a]),!B.Utilities.endsWith(g[a],".js")&&!B.Utilities.containsQueryString(g[a])&&(g[a]=g[a]+".js"))}else!B.Utilities.endsWith($,".js")&&!B.Utilities.containsQueryString($)&&($=$+".js"),g=[$];return this._addUrlArgsIfNecessaryToUrls(g)}requireToUrl(c){let $=c;return B.Utilities.isAbsolutePath($)||($=this._applyPaths($)[0],B.Utilities.isAbsolutePath($)||($=this.options.baseUrl+$)),this._addUrlArgsIfNecessaryToUrl($)}isBuild(){return this.options.isBuild}shouldInvokeFactory(c){return!!(!this.options.isBuild||B.Utilities.isAnonymousModule(c)||this.options.buildForceInvokeFactory&&this.options.buildForceInvokeFactory[c])}isDuplicateMessageIgnoredFor(c){return this.ignoreDuplicateModulesMap.hasOwnProperty(c)}getConfigForModule(c){if(this.options.config)return this.options.config[c]}shouldCatchError(){return this.options.catchError}shouldRecordStats(){return this.options.recordStats}onError(c){this.options.onError(c)}}B.Configuration=y})($e||($e={}));var $e;(function(B){class t{constructor(u){this._env=u,this._scriptLoader=null,this._callbackMap={}}load(u,o,p,d){if(!this._scriptLoader)if(this._env.isWebWorker)this._scriptLoader=new M;else if(this._env.isElectronRenderer){const{preferScriptTags:e}=u.getConfig().getOptionsLiteral();e?this._scriptLoader=new i:this._scriptLoader=new c(this._env)}else this._env.isNode?this._scriptLoader=new c(this._env):this._scriptLoader=new i;let b={callback:p,errorback:d};if(this._callbackMap.hasOwnProperty(o)){this._callbackMap[o].push(b);return}this._callbackMap[o]=[b],this._scriptLoader.load(u,o,()=>this.triggerCallback(o),e=>this.triggerErrorback(o,e))}triggerCallback(u){let o=this._callbackMap[u];delete this._callbackMap[u];for(let p=0;p<o.length;p++)o[p].callback()}triggerErrorback(u,o){let p=this._callbackMap[u];delete this._callbackMap[u];for(let d=0;d<p.length;d++)p[d].errorback(o)}}class i{attachListeners(u,o,p){let d=()=>{u.removeEventListener("load",b),u.removeEventListener("error",e)},b=m=>{d(),o()},e=m=>{d(),p(m)};u.addEventListener("load",b),u.addEventListener("error",e)}load(u,o,p,d){if(/^node\|/.test(o)){let b=u.getConfig().getOptionsLiteral(),e=$(u.getRecorder(),b.nodeRequire||B.global.nodeRequire),m=o.split("|"),j=null;try{j=e(m[1])}catch(w){d(w);return}u.enqueueDefineAnonymousModule([],()=>j),p()}else{let b=document.createElement("script");b.setAttribute("async","async"),b.setAttribute("type","text/javascript"),this.attachListeners(b,p,d);const{trustedTypesPolicy:e}=u.getConfig().getOptionsLiteral();e&&(o=e.createScriptURL(o)),b.setAttribute("src",o);const{cspNonce:m}=u.getConfig().getOptionsLiteral();m&&b.setAttribute("nonce",m),document.getElementsByTagName("head")[0].appendChild(b)}}}function y(a){const{trustedTypesPolicy:u}=a.getConfig().getOptionsLiteral();try{return(u?self.eval(u.createScript("","true")):new Function("true")).call(self),!0}catch{return!1}}class M{constructor(){this._cachedCanUseEval=null}_canUseEval(u){return this._cachedCanUseEval===null&&(this._cachedCanUseEval=y(u)),this._cachedCanUseEval}load(u,o,p,d){if(/^node\|/.test(o)){const b=u.getConfig().getOptionsLiteral(),e=$(u.getRecorder(),b.nodeRequire||B.global.nodeRequire),m=o.split("|");let j=null;try{j=e(m[1])}catch(w){d(w);return}u.enqueueDefineAnonymousModule([],function(){return j}),p()}else{const{trustedTypesPolicy:b}=u.getConfig().getOptionsLiteral();if(!(/^((http:)|(https:)|(file:))/.test(o)&&o.substring(0,self.origin.length)!==self.origin)&&this._canUseEval(u)){fetch(o).then(m=>{if(m.status!==200)throw new Error(m.statusText);return m.text()}).then(m=>{m=`${m}
//# sourceURL=${o}`,(b?self.eval(b.createScript("",m)):new Function(m)).call(self),p()}).then(void 0,d);return}try{b&&(o=b.createScriptURL(o)),importScripts(o),p()}catch(m){d(m)}}}}class c{constructor(u){this._env=u,this._didInitialize=!1,this._didPatchNodeRequire=!1}_init(u){this._didInitialize||(this._didInitialize=!0,this._fs=u("fs"),this._vm=u("vm"),this._path=u("path"),this._crypto=u("crypto"))}_initNodeRequire(u,o){const{nodeCachedData:p}=o.getConfig().getOptionsLiteral();if(!p||this._didPatchNodeRequire)return;this._didPatchNodeRequire=!0;const d=this,b=u("module");function e(m){const j=m.constructor;let w=function(N){try{return m.require(N)}finally{}};return w.resolve=function(N,E){return j._resolveFilename(N,m,!1,E)},w.resolve.paths=function(N){return j._resolveLookupPaths(N,m)},w.main=process.mainModule,w.extensions=j._extensions,w.cache=j._cache,w}b.prototype._compile=function(m,j){const w=b.wrap(m.replace(/^#!.*/,"")),v=o.getRecorder(),N=d._getCachedDataPath(p,j),E={filename:j};let l;try{const R=d._fs.readFileSync(N);l=R.slice(0,16),E.cachedData=R.slice(16),v.record(60,N)}catch{v.record(61,N)}const n=new d._vm.Script(w,E),s=n.runInThisContext(E),f=d._path.dirname(j),h=e(this),L=[this.exports,h,this,j,f,process,Ge,Buffer],A=s.apply(this.exports,L);return d._handleCachedData(n,w,N,!E.cachedData,o),d._verifyCachedData(n,w,N,l,o),A}}load(u,o,p,d){const b=u.getConfig().getOptionsLiteral(),e=$(u.getRecorder(),b.nodeRequire||B.global.nodeRequire),m=b.nodeInstrumenter||function(w){return w};this._init(e),this._initNodeRequire(e,u);let j=u.getRecorder();if(/^node\|/.test(o)){let w=o.split("|"),v=null;try{v=e(w[1])}catch(N){d(N);return}u.enqueueDefineAnonymousModule([],()=>v),p()}else{o=B.Utilities.fileUriToFilePath(this._env.isWindows,o);const w=this._path.normalize(o),v=this._getElectronRendererScriptPathOrUri(w),N=!!b.nodeCachedData,E=N?this._getCachedDataPath(b.nodeCachedData,o):void 0;this._readSourceAndCachedData(w,E,j,(l,n,s,f)=>{if(l){d(l);return}let h;n.charCodeAt(0)===c._BOM?h=c._PREFIX+n.substring(1)+c._SUFFIX:h=c._PREFIX+n+c._SUFFIX,h=m(h,w);const L={filename:v,cachedData:s},A=this._createAndEvalScript(u,h,L,p,d);this._handleCachedData(A,h,E,N&&!s,u),this._verifyCachedData(A,h,E,f,u)})}}_createAndEvalScript(u,o,p,d,b){const e=u.getRecorder();e.record(31,p.filename);const m=new this._vm.Script(o,p),j=m.runInThisContext(p),w=u.getGlobalAMDDefineFunc();let v=!1;const N=function(){return v=!0,w.apply(null,arguments)};return N.amd=w.amd,j.call(B.global,u.getGlobalAMDRequireFunc(),N,p.filename,this._path.dirname(p.filename)),e.record(32,p.filename),v?d():b(new Error(`Didn't receive define call in ${p.filename}!`)),m}_getElectronRendererScriptPathOrUri(u){if(!this._env.isElectronRenderer)return u;let o=u.match(/^([a-z])\:(.*)/i);return o?`file:///${(o[1].toUpperCase()+":"+o[2]).replace(/\\/g,"/")}`:`file://${u}`}_getCachedDataPath(u,o){const p=this._crypto.createHash("md5").update(o,"utf8").update(u.seed,"utf8").update(process.arch,"").digest("hex"),d=this._path.basename(o).replace(/\.js$/,"");return this._path.join(u.path,`${d}-${p}.code`)}_handleCachedData(u,o,p,d,b){u.cachedDataRejected?this._fs.unlink(p,e=>{b.getRecorder().record(62,p),this._createAndWriteCachedData(u,o,p,b),e&&b.getConfig().onError(e)}):d&&this._createAndWriteCachedData(u,o,p,b)}_createAndWriteCachedData(u,o,p,d){let b=Math.ceil(d.getConfig().getOptionsLiteral().nodeCachedData.writeDelay*(1+Math.random())),e=-1,m=0,j;const w=()=>{setTimeout(()=>{j||(j=this._crypto.createHash("md5").update(o,"utf8").digest());const v=u.createCachedData();if(!(v.length===0||v.length===e||m>=5)){if(v.length<e){w();return}e=v.length,this._fs.writeFile(p,Buffer.concat([j,v]),N=>{N&&d.getConfig().onError(N),d.getRecorder().record(63,p),w()})}},b*Math.pow(4,m++))};w()}_readSourceAndCachedData(u,o,p,d){if(!o)this._fs.readFile(u,{encoding:"utf8"},d);else{let b,e,m,j=2;const w=v=>{v?d(v):--j===0&&d(void 0,b,e,m)};this._fs.readFile(u,{encoding:"utf8"},(v,N)=>{b=N,w(v)}),this._fs.readFile(o,(v,N)=>{!v&&N&&N.length>0?(m=N.slice(0,16),e=N.slice(16),p.record(60,o)):p.record(61,o),w()})}}_verifyCachedData(u,o,p,d,b){d&&(u.cachedDataRejected||setTimeout(()=>{const e=this._crypto.createHash("md5").update(o,"utf8").digest();d.equals(e)||(b.getConfig().onError(new Error(`FAILED TO VERIFY CACHED DATA, deleting stale '${p}' now, but a RESTART IS REQUIRED`)),this._fs.unlink(p,m=>{m&&b.getConfig().onError(m)}))},Math.ceil(5e3*(1+Math.random()))))}}c._BOM=65279,c._PREFIX="(function (require, define, __filename, __dirname) { ",c._SUFFIX=`
});`;function $(a,u){if(u.__$__isRecorded)return u;const o=function(d){a.record(33,d);try{return u(d)}finally{a.record(34,d)}};return o.__$__isRecorded=!0,o}B.ensureRecordedNodeRequire=$;function g(a){return new t(a)}B.createScriptLoader=g})($e||($e={}));var $e;(function(B){class t{constructor(a){let u=a.lastIndexOf("/");u!==-1?this.fromModulePath=a.substr(0,u+1):this.fromModulePath=""}static _normalizeModuleId(a){let u=a,o;for(o=/\/\.\//;o.test(u);)u=u.replace(o,"/");for(u=u.replace(/^\.\//g,""),o=/\/(([^\/])|([^\/][^\/\.])|([^\/\.][^\/])|([^\/][^\/][^\/]+))\/\.\.\//;o.test(u);)u=u.replace(o,"/");return u=u.replace(/^(([^\/])|([^\/][^\/\.])|([^\/\.][^\/])|([^\/][^\/][^\/]+))\/\.\.\//,""),u}resolveModule(a){let u=a;return B.Utilities.isAbsolutePath(u)||(B.Utilities.startsWith(u,"./")||B.Utilities.startsWith(u,"../"))&&(u=t._normalizeModuleId(this.fromModulePath+u)),u}}t.ROOT=new t(""),B.ModuleIdResolver=t;class i{constructor(a,u,o,p,d,b){this.id=a,this.strId=u,this.dependencies=o,this._callback=p,this._errorback=d,this.moduleIdResolver=b,this.exports={},this.error=null,this.exportsPassedIn=!1,this.unresolvedDependenciesCount=this.dependencies.length,this._isComplete=!1}static _safeInvokeFunction(a,u){try{return{returnedValue:a.apply(B.global,u),producedError:null}}catch(o){return{returnedValue:null,producedError:o}}}static _invokeFactory(a,u,o,p){return a.shouldInvokeFactory(u)?a.shouldCatchError()?this._safeInvokeFunction(o,p):{returnedValue:o.apply(B.global,p),producedError:null}:{returnedValue:null,producedError:null}}complete(a,u,o,p){this._isComplete=!0;let d=null;if(this._callback)if(typeof this._callback=="function"){a.record(21,this.strId);let b=i._invokeFactory(u,this.strId,this._callback,o);d=b.producedError,a.record(22,this.strId),!d&&typeof b.returnedValue<"u"&&(!this.exportsPassedIn||B.Utilities.isEmpty(this.exports))&&(this.exports=b.returnedValue)}else this.exports=this._callback;if(d){let b=B.ensureError(d);b.phase="factory",b.moduleId=this.strId,b.neededBy=p(this.id),this.error=b,u.onError(b)}this.dependencies=null,this._callback=null,this._errorback=null,this.moduleIdResolver=null}onDependencyError(a){return this._isComplete=!0,this.error=a,this._errorback?(this._errorback(a),!0):!1}isComplete(){return this._isComplete}}B.Module=i;class y{constructor(){this._nextId=0,this._strModuleIdToIntModuleId=new Map,this._intModuleIdToStrModuleId=[],this.getModuleId("exports"),this.getModuleId("module"),this.getModuleId("require")}getMaxModuleId(){return this._nextId}getModuleId(a){let u=this._strModuleIdToIntModuleId.get(a);return typeof u>"u"&&(u=this._nextId++,this._strModuleIdToIntModuleId.set(a,u),this._intModuleIdToStrModuleId[u]=a),u}getStrModuleId(a){return this._intModuleIdToStrModuleId[a]}}class M{constructor(a){this.id=a}}M.EXPORTS=new M(0),M.MODULE=new M(1),M.REQUIRE=new M(2),B.RegularDependency=M;class c{constructor(a,u,o){this.id=a,this.pluginId=u,this.pluginParam=o}}B.PluginDependency=c;class ${constructor(a,u,o,p,d=0){this._env=a,this._scriptLoader=u,this._loaderAvailableTimestamp=d,this._defineFunc=o,this._requireFunc=p,this._moduleIdProvider=new y,this._config=new B.Configuration(this._env),this._hasDependencyCycle=!1,this._modules2=[],this._knownModules2=[],this._inverseDependencies2=[],this._inversePluginDependencies2=new Map,this._currentAnonymousDefineCall=null,this._recorder=null,this._buildInfoPath=[],this._buildInfoDefineStack=[],this._buildInfoDependencies=[],this._requireFunc.moduleManager=this}reset(){return new $(this._env,this._scriptLoader,this._defineFunc,this._requireFunc,this._loaderAvailableTimestamp)}getGlobalAMDDefineFunc(){return this._defineFunc}getGlobalAMDRequireFunc(){return this._requireFunc}static _findRelevantLocationInStack(a,u){let o=b=>b.replace(/\\/g,"/"),p=o(a),d=u.split(/\n/);for(let b=0;b<d.length;b++){let e=d[b].match(/(.*):(\d+):(\d+)\)?$/);if(e){let m=e[1],j=e[2],w=e[3],v=Math.max(m.lastIndexOf(" ")+1,m.lastIndexOf("(")+1);if(m=m.substr(v),m=o(m),m===p){let N={line:parseInt(j,10),col:parseInt(w,10)};return N.line===1&&(N.col-=53),N}}}throw new Error("Could not correlate define call site for needle "+a)}getBuildInfo(){if(!this._config.isBuild())return null;let a=[],u=0;for(let o=0,p=this._modules2.length;o<p;o++){let d=this._modules2[o];if(!d)continue;let b=this._buildInfoPath[d.id]||null,e=this._buildInfoDefineStack[d.id]||null,m=this._buildInfoDependencies[d.id];a[u++]={id:d.strId,path:b,defineLocation:b&&e?$._findRelevantLocationInStack(b,e):null,dependencies:m,shim:null,exports:d.exports}}return a}getRecorder(){return this._recorder||(this._config.shouldRecordStats()?this._recorder=new B.LoaderEventRecorder(this._loaderAvailableTimestamp):this._recorder=B.NullLoaderEventRecorder.INSTANCE),this._recorder}getLoaderEvents(){return this.getRecorder().getEvents()}enqueueDefineAnonymousModule(a,u){if(this._currentAnonymousDefineCall!==null)throw new Error("Can only have one anonymous define call per script file");let o=null;this._config.isBuild()&&(o=new Error("StackLocation").stack||null),this._currentAnonymousDefineCall={stack:o,dependencies:a,callback:u}}defineModule(a,u,o,p,d,b=new t(a)){let e=this._moduleIdProvider.getModuleId(a);if(this._modules2[e]){this._config.isDuplicateMessageIgnoredFor(a)||console.warn("Duplicate definition of module '"+a+"'");return}let m=new i(e,a,this._normalizeDependencies(u,b),o,p,b);this._modules2[e]=m,this._config.isBuild()&&(this._buildInfoDefineStack[e]=d,this._buildInfoDependencies[e]=(m.dependencies||[]).map(j=>this._moduleIdProvider.getStrModuleId(j.id))),this._resolve(m)}_normalizeDependency(a,u){if(a==="exports")return M.EXPORTS;if(a==="module")return M.MODULE;if(a==="require")return M.REQUIRE;let o=a.indexOf("!");if(o>=0){let p=u.resolveModule(a.substr(0,o)),d=u.resolveModule(a.substr(o+1)),b=this._moduleIdProvider.getModuleId(p+"!"+d),e=this._moduleIdProvider.getModuleId(p);return new c(b,e,d)}return new M(this._moduleIdProvider.getModuleId(u.resolveModule(a)))}_normalizeDependencies(a,u){let o=[],p=0;for(let d=0,b=a.length;d<b;d++)o[p++]=this._normalizeDependency(a[d],u);return o}_relativeRequire(a,u,o,p){if(typeof u=="string")return this.synchronousRequire(u,a);this.defineModule(B.Utilities.generateAnonymousModule(),u,o,p,null,a)}synchronousRequire(a,u=new t(a)){let o=this._normalizeDependency(a,u),p=this._modules2[o.id];if(!p)throw new Error("Check dependency list! Synchronous require cannot resolve module '"+a+"'. This is the first mention of this module!");if(!p.isComplete())throw new Error("Check dependency list! Synchronous require cannot resolve module '"+a+"'. This module has not been resolved completely yet.");if(p.error)throw p.error;return p.exports}configure(a,u){let o=this._config.shouldRecordStats();u?this._config=new B.Configuration(this._env,a):this._config=this._config.cloneAndMerge(a),this._config.shouldRecordStats()&&!o&&(this._recorder=null)}getConfig(){return this._config}_onLoad(a){if(this._currentAnonymousDefineCall!==null){let u=this._currentAnonymousDefineCall;this._currentAnonymousDefineCall=null,this.defineModule(this._moduleIdProvider.getStrModuleId(a),u.dependencies,u.callback,null,u.stack)}}_createLoadError(a,u){let o=this._moduleIdProvider.getStrModuleId(a),p=(this._inverseDependencies2[a]||[]).map(b=>this._moduleIdProvider.getStrModuleId(b));const d=B.ensureError(u);return d.phase="loading",d.moduleId=o,d.neededBy=p,d}_onLoadError(a,u){const o=this._createLoadError(a,u);this._modules2[a]||(this._modules2[a]=new i(a,this._moduleIdProvider.getStrModuleId(a),[],()=>{},null,null));let p=[];for(let e=0,m=this._moduleIdProvider.getMaxModuleId();e<m;e++)p[e]=!1;let d=!1,b=[];for(b.push(a),p[a]=!0;b.length>0;){let e=b.shift(),m=this._modules2[e];m&&(d=m.onDependencyError(o)||d);let j=this._inverseDependencies2[e];if(j)for(let w=0,v=j.length;w<v;w++){let N=j[w];p[N]||(b.push(N),p[N]=!0)}}d||this._config.onError(o)}_hasDependencyPath(a,u){let o=this._modules2[a];if(!o)return!1;let p=[];for(let b=0,e=this._moduleIdProvider.getMaxModuleId();b<e;b++)p[b]=!1;let d=[];for(d.push(o),p[a]=!0;d.length>0;){let e=d.shift().dependencies;if(e)for(let m=0,j=e.length;m<j;m++){let w=e[m];if(w.id===u)return!0;let v=this._modules2[w.id];v&&!p[w.id]&&(p[w.id]=!0,d.push(v))}}return!1}_findCyclePath(a,u,o){if(a===u||o===50)return[a];let p=this._modules2[a];if(!p)return null;let d=p.dependencies;if(d)for(let b=0,e=d.length;b<e;b++){let m=this._findCyclePath(d[b].id,u,o+1);if(m!==null)return m.push(a),m}return null}_createRequire(a){let u=(o,p,d)=>this._relativeRequire(a,o,p,d);return u.toUrl=o=>this._config.requireToUrl(a.resolveModule(o)),u.getStats=()=>this.getLoaderEvents(),u.hasDependencyCycle=()=>this._hasDependencyCycle,u.config=(o,p=!1)=>{this.configure(o,p)},u.__$__nodeRequire=B.global.nodeRequire,u}_loadModule(a){if(this._modules2[a]||this._knownModules2[a])return;this._knownModules2[a]=!0;let u=this._moduleIdProvider.getStrModuleId(a),o=this._config.moduleIdToPaths(u),p=/^@[^\/]+\/[^\/]+$/;this._env.isNode&&(u.indexOf("/")===-1||p.test(u))&&o.push("node|"+u);let d=-1,b=e=>{if(d++,d>=o.length)this._onLoadError(a,e);else{let m=o[d],j=this.getRecorder();if(this._config.isBuild()&&m==="empty:"){this._buildInfoPath[a]=m,this.defineModule(this._moduleIdProvider.getStrModuleId(a),[],null,null,null),this._onLoad(a);return}j.record(10,m),this._scriptLoader.load(this,m,()=>{this._config.isBuild()&&(this._buildInfoPath[a]=m),j.record(11,m),this._onLoad(a)},w=>{j.record(12,m),b(w)})}};b(null)}_loadPluginDependency(a,u){if(this._modules2[u.id]||this._knownModules2[u.id])return;this._knownModules2[u.id]=!0;let o=p=>{this.defineModule(this._moduleIdProvider.getStrModuleId(u.id),[],p,null,null)};o.error=p=>{this._config.onError(this._createLoadError(u.id,p))},a.load(u.pluginParam,this._createRequire(t.ROOT),o,this._config.getOptionsLiteral())}_resolve(a){let u=a.dependencies;if(u)for(let o=0,p=u.length;o<p;o++){let d=u[o];if(d===M.EXPORTS){a.exportsPassedIn=!0,a.unresolvedDependenciesCount--;continue}if(d===M.MODULE){a.unresolvedDependenciesCount--;continue}if(d===M.REQUIRE){a.unresolvedDependenciesCount--;continue}let b=this._modules2[d.id];if(b&&b.isComplete()){if(b.error){a.onDependencyError(b.error);return}a.unresolvedDependenciesCount--;continue}if(this._hasDependencyPath(d.id,a.id)){this._hasDependencyCycle=!0,console.warn("There is a dependency cycle between '"+this._moduleIdProvider.getStrModuleId(d.id)+"' and '"+this._moduleIdProvider.getStrModuleId(a.id)+"'. The cyclic path follows:");let e=this._findCyclePath(d.id,a.id,0)||[];e.reverse(),e.push(d.id),console.warn(e.map(m=>this._moduleIdProvider.getStrModuleId(m)).join(` => 
`)),a.unresolvedDependenciesCount--;continue}if(this._inverseDependencies2[d.id]=this._inverseDependencies2[d.id]||[],this._inverseDependencies2[d.id].push(a.id),d instanceof c){let e=this._modules2[d.pluginId];if(e&&e.isComplete()){this._loadPluginDependency(e.exports,d);continue}let m=this._inversePluginDependencies2.get(d.pluginId);m||(m=[],this._inversePluginDependencies2.set(d.pluginId,m)),m.push(d),this._loadModule(d.pluginId);continue}this._loadModule(d.id)}a.unresolvedDependenciesCount===0&&this._onModuleComplete(a)}_onModuleComplete(a){let u=this.getRecorder();if(a.isComplete())return;let o=a.dependencies,p=[];if(o)for(let m=0,j=o.length;m<j;m++){let w=o[m];if(w===M.EXPORTS){p[m]=a.exports;continue}if(w===M.MODULE){p[m]={id:a.strId,config:()=>this._config.getConfigForModule(a.strId)};continue}if(w===M.REQUIRE){p[m]=this._createRequire(a.moduleIdResolver);continue}let v=this._modules2[w.id];if(v){p[m]=v.exports;continue}p[m]=null}const d=m=>(this._inverseDependencies2[m]||[]).map(j=>this._moduleIdProvider.getStrModuleId(j));a.complete(u,this._config,p,d);let b=this._inverseDependencies2[a.id];if(this._inverseDependencies2[a.id]=null,b)for(let m=0,j=b.length;m<j;m++){let w=b[m],v=this._modules2[w];v.unresolvedDependenciesCount--,v.unresolvedDependenciesCount===0&&this._onModuleComplete(v)}let e=this._inversePluginDependencies2.get(a.id);if(e){this._inversePluginDependencies2.delete(a.id);for(let m=0,j=e.length;m<j;m++)this._loadPluginDependency(a.exports,e[m])}}}B.ModuleManager=$})($e||($e={}));var ie,$e;(function(B){const t=new B.Environment;let i=null;const y=function(g,a,u){typeof g!="string"&&(u=a,a=g,g=null),(typeof a!="object"||!Array.isArray(a))&&(u=a,a=null),a||(a=["require","exports","module"]),g?i.defineModule(g,a,u,null,null):i.enqueueDefineAnonymousModule(a,u)};y.amd={jQuery:!0};const M=function(g,a=!1){i.configure(g,a)},c=function(){if(arguments.length===1){if(arguments[0]instanceof Object&&!Array.isArray(arguments[0])){M(arguments[0]);return}if(typeof arguments[0]=="string")return i.synchronousRequire(arguments[0])}if((arguments.length===2||arguments.length===3)&&Array.isArray(arguments[0])){i.defineModule(B.Utilities.generateAnonymousModule(),arguments[0],arguments[1],arguments[2],null);return}throw new Error("Unrecognized require call")};c.config=M,c.getConfig=function(){return i.getConfig().getOptionsLiteral()},c.reset=function(){i=i.reset()},c.getBuildInfo=function(){return i.getBuildInfo()},c.getStats=function(){return i.getLoaderEvents()},c.define=y;function $(){if(typeof B.global.require<"u"||typeof require<"u"){const g=B.global.require||require;if(typeof g=="function"&&typeof g.resolve=="function"){const a=B.ensureRecordedNodeRequire(i.getRecorder(),g);B.global.nodeRequire=a,c.nodeRequire=a,c.__$__nodeRequire=a}}t.isNode&&!t.isElectronRenderer&&!t.isElectronNodeIntegrationWebWorker?module.exports=c:(t.isElectronRenderer||(B.global.define=y),B.global.require=c)}B.init=$,(typeof B.global.define!="function"||!B.global.define.amd)&&(i=new B.ModuleManager(t,B.createScriptLoader(t),y,c,B.Utilities.getHighPerformanceTimestamp()),typeof B.global.require<"u"&&typeof B.global.require!="function"&&c.config(B.global.require),ie=function(){return y.apply(null,arguments)},ie.amd=y.amd,typeof doNotInitLoader>"u"&&$())})($e||($e={})),ie(se[75],ae([0,1]),function(B,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.load=i;function i(g,a,u,o){if(o=o||{},(o["vs/css"]||{}).disabled){u({});return}const d=a.toUrl(g+".css");y(g,d,()=>{u({})},b=>{typeof u.error=="function"&&u.error("Could not find "+d+".")})}function y(g,a,u,o){if(M(g,a)){u();return}c(g,a,u,o)}function M(g,a){const u=window.document.getElementsByTagName("link");for(let o=0,p=u.length;o<p;o++){const d=u[o].getAttribute("data-name"),b=u[o].getAttribute("href");if(d===g||b===a)return!0}return!1}function c(g,a,u,o){const p=document.createElement("link");p.setAttribute("rel","stylesheet"),p.setAttribute("type","text/css"),p.setAttribute("data-name",g),$(g,p,u,o),p.setAttribute("href",a),(window.document.head||window.document.getElementsByTagName("head")[0]).appendChild(p)}function $(g,a,u,o){const p=()=>{a.removeEventListener("load",d),a.removeEventListener("error",b)},d=e=>{p(),u()},b=e=>{p(),o(e)};a.addEventListener("load",d),a.addEventListener("error",b)}}),ie("vs/nls",["require","exports"],function(B,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.localize=o,t.localize2=p,t.getConfiguredDefaultLocale=d,t.setPseudoTranslation=b,t.create=e,t.load=m;let i=typeof document<"u"&&document.location&&document.location.hash.indexOf("pseudo=true")>=0;const y="i-default";function M(j,w){let v;return w.length===0?v=j:v=j.replace(/\{(\d+)\}/g,(N,E)=>{const l=E[0],n=w[l];let s=N;return typeof n=="string"?s=n:(typeof n=="number"||typeof n=="boolean"||n===void 0||n===null)&&(s=String(n)),s}),i&&(v="\uFF3B"+v.replace(/[aouei]/g,"$&$&")+"\uFF3D"),v}function c(j,w){let v=j[w];return v||(v=j["*"],v)?v:null}function $(j){return j.charAt(j.length-1)==="/"?j:j+"/"}async function g(j,w,v){const N=$(j)+$(w)+"vscode/"+$(v),E=await fetch(N);if(E.ok)return await E.json();throw new Error(`${E.status} - ${E.statusText}`)}function a(j){return function(w,v){const N=Array.prototype.slice.call(arguments,2);return M(j[w],N)}}function u(j){return(w,v,...N)=>({value:M(j[w],N),original:M(v,N)})}function o(j,w,...v){return M(w,v)}function p(j,w,...v){const N=M(w,v);return{value:N,original:N}}function d(j){}function b(j){i=j}function e(j,w){return{localize:a(w[j]),localize2:u(w[j]),getConfiguredDefaultLocale:w.getConfiguredDefaultLocale??(v=>{})}}function m(j,w,v,N){const E=N["vs/nls"]??{};if(!j||j.length===0)return v({localize:o,localize2:p,getConfiguredDefaultLocale:()=>E.availableLanguages?.["*"]});const l=E.availableLanguages?c(E.availableLanguages,j):null,n=l===null||l===y;let s=".nls";n||(s=s+"."+l);const f=h=>{Array.isArray(h)?(h.localize=a(h),h.localize2=u(h)):(h.localize=a(h[j]),h.localize2=u(h[j])),h.getConfiguredDefaultLocale=()=>E.availableLanguages?.["*"],v(h)};typeof E.loadBundle=="function"?E.loadBundle(j,l,(h,L)=>{h?w([j+".nls"],f):f(L)}):E.translationServiceUrl&&!n?(async()=>{try{const h=await g(E.translationServiceUrl,l,j);return f(h)}catch(h){if(!l.includes("-"))return console.error(h),w([j+".nls"],f);try{const L=l.split("-")[0],A=await g(E.translationServiceUrl,L,j);return E.availableLanguages??={},E.availableLanguages["*"]=L,f(A)}catch(L){return console.error(L),w([j+".nls"],f)}}})():w([j+s],f,h=>{if(s===".nls"){console.error("Failed trying to load default language strings",h);return}console.error(`Failed to load message bundle for language ${l}. Falling back to the default language:`,h),w([j+".nls"],f)})}}),function(){const B=globalThis.MonacoEnvironment,t=B&&B.baseUrl?B.baseUrl:"../../../";function i(o,p){if(B?.createTrustedTypesPolicy)try{return B.createTrustedTypesPolicy(o,p)}catch(d){console.warn(d);return}try{return self.trustedTypes?.createPolicy(o,p)}catch(d){console.warn(d);return}}const y=i("amdLoader",{createScriptURL:o=>o,createScript:(o,...p)=>{const d=p.slice(0,-1).join(","),b=p.pop().toString();return`(function anonymous(${d}) { ${b}
})`}});function M(){try{return(y?globalThis.eval(y.createScript("","true")):new Function("true")).call(globalThis),!0}catch{return!1}}function c(){return new Promise((o,p)=>{if(typeof globalThis.define=="function"&&globalThis.define.amd)return o();const d=t+"vs/loader.js";if(!(/^((http:)|(https:)|(file:))/.test(d)&&d.substring(0,globalThis.origin.length)!==globalThis.origin)&&M()){fetch(d).then(e=>{if(e.status!==200)throw new Error(e.statusText);return e.text()}).then(e=>{e=`${e}
//# sourceURL=${d}`,(y?globalThis.eval(y.createScript("",e)):new Function(e)).call(globalThis),o()}).then(void 0,p);return}y?importScripts(y.createScriptURL(d)):importScripts(d),o()})}function $(){require.config({baseUrl:t,catchError:!0,trustedTypesPolicy:y,amdModulesPattern:/^vs\//})}function g(o){c().then(()=>{$(),require([o],function(p){setTimeout(function(){const d=p.create((b,e)=>{globalThis.postMessage(b,e)},null);for(globalThis.onmessage=b=>d.onmessage(b.data,b.ports);u.length>0;){const b=u.shift();d.onmessage(b.data,b.ports)}},0)})})}typeof globalThis.define=="function"&&globalThis.define.amd&&$();let a=!0;const u=[];globalThis.onmessage=o=>{if(!a){u.push(o);return}a=!1,g(o.data)}}(),ie(se[8],ae([0,1]),function(B,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.$mb=void 0,t.$fb=i,t.$gb=y,t.$hb=M,t.$ib=c,t.$jb=$,t.$kb=g,t.$lb=a,t.$nb=o,t.$ob=p,t.$pb=d,t.$qb=b,t.$rb=e;function i(m,j){const w=y(m,j);if(w!==-1)return m[w]}function y(m,j,w=m.length-1){for(let v=w;v>=0;v--){const N=m[v];if(j(N))return v}return-1}function M(m,j){const w=c(m,j);return w===-1?void 0:m[w]}function c(m,j,w=0,v=m.length){let N=w,E=v;for(;N<E;){const l=Math.floor((N+E)/2);j(m[l])?N=l+1:E=l}return N-1}function $(m,j){const w=g(m,j);return w===m.length?void 0:m[w]}function g(m,j,w=0,v=m.length){let N=w,E=v;for(;N<E;){const l=Math.floor((N+E)/2);j(m[l])?E=l:N=l+1}return N}function a(m,j,w=0,v=m.length){const N=g(m,j,w,v);return N===m.length?-1:N}class u{static{this.assertInvariants=!1}constructor(j){this.e=j,this.c=0}findLastMonotonous(j){if(u.assertInvariants){if(this.d){for(const v of this.e)if(this.d(v)&&!j(v))throw new Error("MonotonousArray: current predicate must be weaker than (or equal to) the previous predicate.")}this.d=j}const w=c(this.e,j,this.c);return this.c=w+1,w===-1?void 0:this.e[w]}}t.$mb=u;function o(m,j){if(m.length===0)return;let w=m[0];for(let v=1;v<m.length;v++){const N=m[v];j(N,w)>0&&(w=N)}return w}function p(m,j){if(m.length===0)return;let w=m[0];for(let v=1;v<m.length;v++){const N=m[v];j(N,w)>=0&&(w=N)}return w}function d(m,j){return o(m,(w,v)=>-j(w,v))}function b(m,j){if(m.length===0)return-1;let w=0;for(let v=1;v<m.length;v++){const N=m[v];j(N,m[w])>0&&(w=v)}return w}function e(m,j){for(const w of m){const v=j(w);if(v!==void 0)return v}}}),ie(se[36],ae([0,1]),function(B,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.$K=i,t.$L=y,t.$M=M,t.$N=c;function i($,g){const a=Object.create(null);for(const u of $){const o=g(u);let p=a[o];p||(p=a[o]=[]),p.push(u)}return a}function y($,g){const a=[],u=[];for(const o of $)g.has(o)||a.push(o);for(const o of g)$.has(o)||u.push(o);return{removed:a,added:u}}function M($,g){const a=[],u=[];for(const[o,p]of $)g.has(o)||a.push(p);for(const[o,p]of g)$.has(o)||u.push(p);return{removed:a,added:u}}function c($,g){const a=new Set;for(const u of g)$.has(u)&&a.add(u);return a}}),ie(se[37],ae([0,1]),function(B,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.$Pt=t.$Ot=t.$Nt=t.$Mt=void 0;function i(g,a){const u=Math.pow(10,a);return Math.round(g*u)/u}class y{constructor(a,u,o,p=1){this._rgbaBrand=void 0,this.r=Math.min(255,Math.max(0,a))|0,this.g=Math.min(255,Math.max(0,u))|0,this.b=Math.min(255,Math.max(0,o))|0,this.a=i(Math.max(Math.min(1,p),0),3)}static equals(a,u){return a.r===u.r&&a.g===u.g&&a.b===u.b&&a.a===u.a}}t.$Mt=y;class M{constructor(a,u,o,p){this._hslaBrand=void 0,this.h=Math.max(Math.min(360,a),0)|0,this.s=i(Math.max(Math.min(1,u),0),3),this.l=i(Math.max(Math.min(1,o),0),3),this.a=i(Math.max(Math.min(1,p),0),3)}static equals(a,u){return a.h===u.h&&a.s===u.s&&a.l===u.l&&a.a===u.a}static fromRGBA(a){const u=a.r/255,o=a.g/255,p=a.b/255,d=a.a,b=Math.max(u,o,p),e=Math.min(u,o,p);let m=0,j=0;const w=(e+b)/2,v=b-e;if(v>0){switch(j=Math.min(w<=.5?v/(2*w):v/(2-2*w),1),b){case u:m=(o-p)/v+(o<p?6:0);break;case o:m=(p-u)/v+2;break;case p:m=(u-o)/v+4;break}m*=60,m=Math.round(m)}return new M(m,j,w,d)}static i(a,u,o){return o<0&&(o+=1),o>1&&(o-=1),o<1/6?a+(u-a)*6*o:o<1/2?u:o<2/3?a+(u-a)*(2/3-o)*6:a}static toRGBA(a){const u=a.h/360,{s:o,l:p,a:d}=a;let b,e,m;if(o===0)b=e=m=p;else{const j=p<.5?p*(1+o):p+o-p*o,w=2*p-j;b=M.i(w,j,u+1/3),e=M.i(w,j,u),m=M.i(w,j,u-1/3)}return new y(Math.round(b*255),Math.round(e*255),Math.round(m*255),d)}}t.$Nt=M;class c{constructor(a,u,o,p){this._hsvaBrand=void 0,this.h=Math.max(Math.min(360,a),0)|0,this.s=i(Math.max(Math.min(1,u),0),3),this.v=i(Math.max(Math.min(1,o),0),3),this.a=i(Math.max(Math.min(1,p),0),3)}static equals(a,u){return a.h===u.h&&a.s===u.s&&a.v===u.v&&a.a===u.a}static fromRGBA(a){const u=a.r/255,o=a.g/255,p=a.b/255,d=Math.max(u,o,p),b=Math.min(u,o,p),e=d-b,m=d===0?0:e/d;let j;return e===0?j=0:d===u?j=((o-p)/e%6+6)%6:d===o?j=(p-u)/e+2:j=(u-o)/e+4,new c(Math.round(j*60),m,d,a.a)}static toRGBA(a){const{h:u,s:o,v:p,a:d}=a,b=p*o,e=b*(1-Math.abs(u/60%2-1)),m=p-b;let[j,w,v]=[0,0,0];return u<60?(j=b,w=e):u<120?(j=e,w=b):u<180?(w=b,v=e):u<240?(w=e,v=b):u<300?(j=e,v=b):u<=360&&(j=b,v=e),j=Math.round((j+m)*255),w=Math.round((w+m)*255),v=Math.round((v+m)*255),new y(j,w,v,d)}}t.$Ot=c;class ${static fromHex(a){return $.Format.CSS.parseHex(a)||$.red}static equals(a,u){return!a&&!u?!0:!a||!u?!1:a.equals(u)}get hsla(){return this.i?this.i:M.fromRGBA(this.rgba)}get hsva(){return this.j?this.j:c.fromRGBA(this.rgba)}constructor(a){if(a)if(a instanceof y)this.rgba=a;else if(a instanceof M)this.i=a,this.rgba=M.toRGBA(a);else if(a instanceof c)this.j=a,this.rgba=c.toRGBA(a);else throw new Error("Invalid color ctor argument");else throw new Error("Color needs a value")}equals(a){return!!a&&y.equals(this.rgba,a.rgba)&&M.equals(this.hsla,a.hsla)&&c.equals(this.hsva,a.hsva)}getRelativeLuminance(){const a=$.k(this.rgba.r),u=$.k(this.rgba.g),o=$.k(this.rgba.b),p=.2126*a+.7152*u+.0722*o;return i(p,4)}static k(a){const u=a/255;return u<=.03928?u/12.92:Math.pow((u+.055)/1.055,2.4)}getContrastRatio(a){const u=this.getRelativeLuminance(),o=a.getRelativeLuminance();return u>o?(u+.05)/(o+.05):(o+.05)/(u+.05)}isDarker(){return(this.rgba.r*299+this.rgba.g*587+this.rgba.b*114)/1e3<128}isLighter(){return(this.rgba.r*299+this.rgba.g*587+this.rgba.b*114)/1e3>=128}isLighterThan(a){const u=this.getRelativeLuminance(),o=a.getRelativeLuminance();return u>o}isDarkerThan(a){const u=this.getRelativeLuminance(),o=a.getRelativeLuminance();return u<o}lighten(a){return new $(new M(this.hsla.h,this.hsla.s,this.hsla.l+this.hsla.l*a,this.hsla.a))}darken(a){return new $(new M(this.hsla.h,this.hsla.s,this.hsla.l-this.hsla.l*a,this.hsla.a))}transparent(a){const{r:u,g:o,b:p,a:d}=this.rgba;return new $(new y(u,o,p,d*a))}isTransparent(){return this.rgba.a===0}isOpaque(){return this.rgba.a===1}opposite(){return new $(new y(255-this.rgba.r,255-this.rgba.g,255-this.rgba.b,this.rgba.a))}blend(a){const u=a.rgba,o=this.rgba.a,p=u.a,d=o+p*(1-o);if(d<1e-6)return $.transparent;const b=this.rgba.r*o/d+u.r*p*(1-o)/d,e=this.rgba.g*o/d+u.g*p*(1-o)/d,m=this.rgba.b*o/d+u.b*p*(1-o)/d;return new $(new y(b,e,m,d))}makeOpaque(a){if(this.isOpaque()||a.rgba.a!==1)return this;const{r:u,g:o,b:p,a:d}=this.rgba;return new $(new y(a.rgba.r-d*(a.rgba.r-u),a.rgba.g-d*(a.rgba.g-o),a.rgba.b-d*(a.rgba.b-p),1))}flatten(...a){const u=a.reduceRight((o,p)=>$.o(p,o));return $.o(this,u)}static o(a,u){const o=1-a.rgba.a;return new $(new y(o*u.rgba.r+a.rgba.a*a.rgba.r,o*u.rgba.g+a.rgba.a*a.rgba.g,o*u.rgba.b+a.rgba.a*a.rgba.b))}toString(){return this.u||(this.u=$.Format.CSS.format(this)),this.u}static getLighterColor(a,u,o){if(a.isLighterThan(u))return a;o=o||.5;const p=a.getRelativeLuminance(),d=u.getRelativeLuminance();return o=o*(d-p)/d,a.lighten(o)}static getDarkerColor(a,u,o){if(a.isDarkerThan(u))return a;o=o||.5;const p=a.getRelativeLuminance(),d=u.getRelativeLuminance();return o=o*(p-d)/p,a.darken(o)}static{this.white=new $(new y(255,255,255,1))}static{this.black=new $(new y(0,0,0,1))}static{this.red=new $(new y(255,0,0,1))}static{this.blue=new $(new y(0,0,255,1))}static{this.green=new $(new y(0,255,0,1))}static{this.cyan=new $(new y(0,255,255,1))}static{this.lightgrey=new $(new y(211,211,211,1))}static{this.transparent=new $(new y(0,0,0,0))}}t.$Pt=$,function(g){let a;(function(u){let o;(function(p){function d(n){return n.rgba.a===1?`rgb(${n.rgba.r}, ${n.rgba.g}, ${n.rgba.b})`:g.Format.CSS.formatRGBA(n)}p.formatRGB=d;function b(n){return`rgba(${n.rgba.r}, ${n.rgba.g}, ${n.rgba.b}, ${+n.rgba.a.toFixed(2)})`}p.formatRGBA=b;function e(n){return n.hsla.a===1?`hsl(${n.hsla.h}, ${(n.hsla.s*100).toFixed(2)}%, ${(n.hsla.l*100).toFixed(2)}%)`:g.Format.CSS.formatHSLA(n)}p.formatHSL=e;function m(n){return`hsla(${n.hsla.h}, ${(n.hsla.s*100).toFixed(2)}%, ${(n.hsla.l*100).toFixed(2)}%, ${n.hsla.a.toFixed(2)})`}p.formatHSLA=m;function j(n){const s=n.toString(16);return s.length!==2?"0"+s:s}function w(n){return`#${j(n.rgba.r)}${j(n.rgba.g)}${j(n.rgba.b)}`}p.formatHex=w;function v(n,s=!1){return s&&n.rgba.a===1?g.Format.CSS.formatHex(n):`#${j(n.rgba.r)}${j(n.rgba.g)}${j(n.rgba.b)}${j(Math.round(n.rgba.a*255))}`}p.formatHexA=v;function N(n){return n.isOpaque()?g.Format.CSS.formatHex(n):g.Format.CSS.formatRGBA(n)}p.format=N;function E(n){const s=n.length;if(s===0||n.charCodeAt(0)!==35)return null;if(s===7){const f=16*l(n.charCodeAt(1))+l(n.charCodeAt(2)),h=16*l(n.charCodeAt(3))+l(n.charCodeAt(4)),L=16*l(n.charCodeAt(5))+l(n.charCodeAt(6));return new g(new y(f,h,L,1))}if(s===9){const f=16*l(n.charCodeAt(1))+l(n.charCodeAt(2)),h=16*l(n.charCodeAt(3))+l(n.charCodeAt(4)),L=16*l(n.charCodeAt(5))+l(n.charCodeAt(6)),A=16*l(n.charCodeAt(7))+l(n.charCodeAt(8));return new g(new y(f,h,L,A/255))}if(s===4){const f=l(n.charCodeAt(1)),h=l(n.charCodeAt(2)),L=l(n.charCodeAt(3));return new g(new y(16*f+f,16*h+h,16*L+L))}if(s===5){const f=l(n.charCodeAt(1)),h=l(n.charCodeAt(2)),L=l(n.charCodeAt(3)),A=l(n.charCodeAt(4));return new g(new y(16*f+f,16*h+h,16*L+L,(16*A+A)/255))}return null}p.parseHex=E;function l(n){switch(n){case 48:return 0;case 49:return 1;case 50:return 2;case 51:return 3;case 52:return 4;case 53:return 5;case 54:return 6;case 55:return 7;case 56:return 8;case 57:return 9;case 97:return 10;case 65:return 10;case 98:return 11;case 66:return 11;case 99:return 12;case 67:return 12;case 100:return 13;case 68:return 13;case 101:return 14;case 69:return 14;case 102:return 15;case 70:return 15}return 0}})(o=u.CSS||(u.CSS={}))})(a=g.Format||(g.Format={}))}($||(t.$Pt=$={}))}),ie(se[38],ae([0,1]),function(B,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.$xt=void 0;class i{constructor(M,c,$,g){this.originalStart=M,this.originalLength=c,this.modifiedStart=$,this.modifiedLength=g}getOriginalEnd(){return this.originalStart+this.originalLength}getModifiedEnd(){return this.modifiedStart+this.modifiedLength}}t.$xt=i}),ie(se[3],ae([0,1]),function(B,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.$cb=t.$bb=t.$ab=t.$_=t.$$=t.$9=t.$5=t.$X=t.$W=void 0,t.setUnexpectedErrorHandler=y,t.$Z=M,t.$1=c,t.$2=$,t.$3=g,t.$4=u,t.$6=p,t.$7=d,t.$8=b,t.$0=m;class i{constructor(){this.b=[],this.a=function(n){setTimeout(()=>{throw n.stack?N.isErrorNoTelemetry(n)?new N(n.message+`

`+n.stack):new Error(n.message+`

`+n.stack):n},0)}}addListener(n){return this.b.push(n),()=>{this.d(n)}}c(n){this.b.forEach(s=>{s(n)})}d(n){this.b.splice(this.b.indexOf(n),1)}setUnexpectedErrorHandler(n){this.a=n}getUnexpectedErrorHandler(){return this.a}onUnexpectedError(n){this.a(n),this.c(n)}onUnexpectedExternalError(n){this.a(n)}}t.$W=i,t.$X=new i;function y(l){t.$X.setUnexpectedErrorHandler(l)}function M(l){if(!l||typeof l!="object")return!1;const n=l;return n.code==="EPIPE"&&n.syscall?.toUpperCase()==="WRITE"}function c(l){u(l)||t.$X.onUnexpectedError(l)}function $(l){u(l)||t.$X.onUnexpectedExternalError(l)}function g(l){if(l instanceof Error){const{name:n,message:s}=l,f=l.stacktrace||l.stack;return{$isError:!0,name:n,message:s,stack:f,noTelemetry:N.isErrorNoTelemetry(l)}}return l}const a="Canceled";function u(l){return l instanceof o?!0:l instanceof Error&&l.name===a&&l.message===a}class o extends Error{constructor(){super(a),this.name=this.message}}t.$5=o;function p(){const l=new Error(a);return l.name=l.message,l}function d(l){return l?new Error(`Illegal argument: ${l}`):new Error("Illegal argument")}function b(l){return l?new Error(`Illegal state: ${l}`):new Error("Illegal state")}class e extends TypeError{constructor(n){super(n?`${n} is read-only and cannot be changed`:"Cannot change read-only property")}}t.$9=e;function m(l){return l?l.message?l.message:l.stack?l.stack.split(`
`)[0]:String(l):"Error"}class j extends Error{constructor(n){super("NotImplemented"),n&&(this.message=n)}}t.$$=j;class w extends Error{constructor(n){super("NotSupported"),n&&(this.message=n)}}t.$_=w;class v extends Error{constructor(){super(...arguments),this.isExpected=!0}}t.$ab=v;class N extends Error{constructor(n){super(n),this.name="CodeExpectedError"}static fromError(n){if(n instanceof N)return n;const s=new N;return s.message=n.message,s.stack=n.stack,s}static isErrorNoTelemetry(n){return n.name==="CodeExpectedError"}}t.$bb=N;class E extends Error{constructor(n){super(n||"An unexpected bug occurred."),Object.setPrototypeOf(this,E.prototype)}}t.$cb=E}),ie(se[6],ae([0,1,3,8]),function(B,t,i,y){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.$bc=t.$ac=t.$_b=t.$0b=t.$9b=t.CompareResult=void 0,t.$sb=M,t.$tb=c,t.$ub=$,t.$vb=g,t.$wb=a,t.$xb=u,t.$yb=o,t.$zb=p,t.$Ab=d,t.$Bb=b,t.$Cb=e,t.$Db=m,t.$Eb=j,t.top=w,t.$Gb=v,t.$Hb=E,t.$Ib=l,t.$Jb=n,t.$Kb=s,t.$Lb=f,t.$Mb=h,t.$Nb=L,t.$Ob=A,t.$Pb=R,t.$Qb=F,t.$Rb=k,t.$Sb=T,t.$Tb=x,t.$Ub=Q,t.$Vb=I,t.$Wb=S,t.$Xb=W,t.$Yb=Y,t.$Zb=Z,t.$1b=H,t.$2b=G,t.$3b=K,t.$4b=ee,t.$5b=P,t.$6b=X,t.$7b=ve,t.$8b=r,t.$$b=qe;function M(V,C=0){return V[V.length-(1+C)]}function c(V){if(V.length===0)throw new Error("Invalid tail call");return[V.slice(0,V.length-1),V[V.length-1]]}function $(V,C,O=(J,te)=>J===te){if(V===C)return!0;if(!V||!C||V.length!==C.length)return!1;for(let J=0,te=V.length;J<te;J++)if(!O(V[J],C[J]))return!1;return!0}function g(V,C){const O=V.length-1;C<O&&(V[C]=V[O]),V.pop()}function a(V,C,O){return u(V.length,J=>O(V[J],C))}function u(V,C){let O=0,J=V-1;for(;O<=J;){const te=(O+J)/2|0,he=C(te);if(he<0)O=te+1;else if(he>0)J=te-1;else return te}return-(O+1)}function o(V,C,O){if(V=V|0,V>=C.length)throw new TypeError("invalid index");const J=C[Math.floor(C.length*Math.random())],te=[],he=[],me=[];for(const re of C){const U=O(re,J);U<0?te.push(re):U>0?he.push(re):me.push(re)}return V<te.length?o(V,te,O):V<te.length+me.length?me[0]:o(V-(te.length+me.length),he,O)}function p(V,C){const O=[];let J;for(const te of V.slice(0).sort(C))!J||C(J[0],te)!==0?(J=[te],O.push(J)):J.push(te);return O}function*d(V,C){let O,J;for(const te of V)J!==void 0&&C(J,te)?O.push(te):(O&&(yield O),O=[te]),J=te;O&&(yield O)}function b(V,C){for(let O=0;O<=V.length;O++)C(O===0?void 0:V[O-1],O===V.length?void 0:V[O])}function e(V,C){for(let O=0;O<V.length;O++)C(O===0?void 0:V[O-1],V[O],O+1===V.length?void 0:V[O+1])}function m(V,C,O){const J=[];function te(re,U,ue){if(U===0&&ue.length===0)return;const ne=J[J.length-1];ne&&ne.start+ne.deleteCount===re?(ne.deleteCount+=U,ne.toInsert.push(...ue)):J.push({start:re,deleteCount:U,toInsert:ue})}let he=0,me=0;for(;;){if(he===V.length){te(he,0,C.slice(me));break}if(me===C.length){te(he,V.length-he,[]);break}const re=V[he],U=C[me],ue=O(re,U);ue===0?(he+=1,me+=1):ue<0?(te(he,1,[]),he+=1):ue>0&&(te(he,0,[U]),me+=1)}return J}function j(V,C,O){const J=m(V,C,O),te=[],he=[];for(const me of J)te.push(...V.slice(me.start,me.start+me.deleteCount)),he.push(...me.toInsert);return{removed:te,added:he}}function w(V,C,O){if(O===0)return[];const J=V.slice(0,O).sort(C);return N(V,C,J,O,V.length),J}function v(V,C,O,J,te){return O===0?Promise.resolve([]):new Promise((he,me)=>{(async()=>{const re=V.length,U=V.slice(0,O).sort(C);for(let ue=O,ne=Math.min(O+J,re);ue<re;ue=ne,ne=Math.min(ne+J,re)){if(ue>O&&await new Promise(oe=>setTimeout(oe)),te&&te.isCancellationRequested)throw new i.$5;N(V,C,U,ue,ne)}return U})().then(he,me)})}function N(V,C,O,J,te){for(const he=O.length;J<te;J++){const me=V[J];if(C(me,O[he-1])<0){O.pop();const re=(0,y.$kb)(O,U=>C(me,U)<0);O.splice(re,0,me)}}}function E(V){return V.filter(C=>!!C)}function l(V){let C=0;for(let O=0;O<V.length;O++)V[O]&&(V[C]=V[O],C+=1);V.length=C}function n(V,C,O){V.splice(O,0,V.splice(C,1)[0])}function s(V){return!Array.isArray(V)||V.length===0}function f(V){return Array.isArray(V)&&V.length>0}function h(V,C=O=>O){const O=new Set;return V.filter(J=>{const te=C(J);return O.has(te)?!1:(O.add(te),!0)})}function L(V){const C=new Set;return O=>{const J=V(O);return C.has(J)?!1:(C.add(J),!0)}}function A(V,C){return V.length>0?V[0]:C}function R(V,C){return V.length>0?V[V.length-1]:C}function F(V,C,O=(J,te)=>J===te){let J=0;for(let te=0,he=Math.min(V.length,C.length);te<he&&O(V[te],C[te]);te++)J++;return J}function k(V){return[].concat(...V)}function T(V,C){let O=typeof C=="number"?V:0;typeof C=="number"?O=V:(O=0,C=V);const J=[];if(O<=C)for(let te=O;te<C;te++)J.push(te);else for(let te=O;te>C;te--)J.push(te);return J}function x(V,C,O){return V.reduce((J,te)=>(J[C(te)]=O?O(te):te,J),Object.create(null))}function Q(V,C){return V.push(C),()=>I(V,C)}function I(V,C){const O=V.indexOf(C);if(O>-1)return V.splice(O,1),C}function S(V,C,O){const J=V.slice(0,C),te=V.slice(C);return J.concat(O,te)}function W(V,C){let O;if(typeof C=="number"){let J=C;O=()=>{const te=Math.sin(J++)*179426549;return te-Math.floor(te)}}else O=Math.random;for(let J=V.length-1;J>0;J-=1){const te=Math.floor(O()*(J+1)),he=V[J];V[J]=V[te],V[te]=he}}function Y(V,C){const O=V.indexOf(C);O>-1&&(V.splice(O,1),V.unshift(C))}function Z(V,C){const O=V.indexOf(C);O>-1&&(V.splice(O,1),V.push(C))}function H(V,C){for(const O of C)V.push(O)}function G(V,C){return Array.isArray(V)?V.map(C):C(V)}function K(V){return Array.isArray(V)?V:[V]}function ee(V){return V[Math.floor(Math.random()*V.length)]}function P(V,C,O){const J=de(V,C),te=V.length,he=O.length;V.length=te+he;for(let me=te-1;me>=J;me--)V[me+he]=V[me];for(let me=0;me<he;me++)V[me+J]=O[me]}function X(V,C,O,J){const te=de(V,C);let he=V.splice(te,O);return he===void 0&&(he=[]),P(V,te,J),he}function de(V,C){return C<0?Math.max(C+V.length,0):Math.min(C,V.length)}var fe;(function(V){function C(he){return he<0}V.isLessThan=C;function O(he){return he<=0}V.isLessThanOrEqual=O;function J(he){return he>0}V.isGreaterThan=J;function te(he){return he===0}V.isNeitherLessOrGreaterThan=te,V.greaterThan=1,V.lessThan=-1,V.neitherLessOrGreaterThan=0})(fe||(t.CompareResult=fe={}));function ve(V,C){return(O,J)=>C(V(O),V(J))}function r(...V){return(C,O)=>{for(const J of V){const te=J(C,O);if(!fe.isNeitherLessOrGreaterThan(te))return te}return fe.neitherLessOrGreaterThan}}const je=(V,C)=>V-C;t.$9b=je;const Ae=(V,C)=>(0,t.$9b)(V?1:0,C?1:0);t.$0b=Ae;function qe(V){return(C,O)=>-V(C,O)}class De{constructor(C){this.g=C,this.c=0,this.d=this.g.length-1}get length(){return this.d-this.c+1}takeWhile(C){let O=this.c;for(;O<this.g.length&&C(this.g[O]);)O++;const J=O===this.c?null:this.g.slice(this.c,O);return this.c=O,J}takeFromEndWhile(C){let O=this.d;for(;O>=0&&C(this.g[O]);)O--;const J=O===this.d?null:this.g.slice(O+1,this.d+1);return this.d=O,J}peek(){if(this.length!==0)return this.g[this.c]}peekLast(){if(this.length!==0)return this.g[this.d]}dequeue(){const C=this.g[this.c];return this.c++,C}removeLast(){const C=this.g[this.d];return this.d--,C}takeCount(C){const O=this.g.slice(this.c,this.c+C);return this.c+=C,O}}t.$_b=De;class Fe{static{this.empty=new Fe(C=>{})}constructor(C){this.iterate=C}forEach(C){this.iterate(O=>(C(O),!0))}toArray(){const C=[];return this.iterate(O=>(C.push(O),!0)),C}filter(C){return new Fe(O=>this.iterate(J=>C(J)?O(J):!0))}map(C){return new Fe(O=>this.iterate(J=>O(C(J))))}some(C){let O=!1;return this.iterate(J=>(O=C(J),!O)),O}findFirst(C){let O;return this.iterate(J=>C(J)?(O=J,!1):!0),O}findLast(C){let O;return this.iterate(J=>(C(J)&&(O=J),!0)),O}findLastMaxBy(C){let O,J=!0;return this.iterate(te=>((J||fe.isGreaterThan(C(te,O)))&&(J=!1,O=te),!0)),O}}t.$ac=Fe;class Te{constructor(C){this.c=C}static createSortPermutation(C,O){const J=Array.from(C.keys()).sort((te,he)=>O(C[te],C[he]));return new Te(J)}apply(C){return C.map((O,J)=>C[this.c[J]])}inverse(){const C=this.c.slice();for(let O=0;O<this.c.length;O++)C[this.c[O]]=O;return new Te(C)}}t.$bc=Te}),ie(se[10],ae([0,1,3]),function(B,t,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.ok=y,t.$fd=M,t.$gd=c,t.$hd=$,t.$id=g,t.$jd=a;function y(u,o){if(!u)throw new Error(o?`Assertion failed (${o})`:"Assertion Failed")}function M(u,o="Unreachable"){throw new Error(o)}function c(u){if(!u)throw new i.$cb("Assertion Failed")}function $(u){u||(0,i.$1)(new i.$cb("Soft Assertion Failed"))}function g(u){if(!u()){debugger;u(),(0,i.$1)(new i.$cb("Assertion Failed"))}}function a(u,o){let p=0;for(;p<u.length-1;){const d=u[p],b=u[p+1];if(!o(d,b))return!1;p++}return!0}}),ie(se[20],ae([0,1]),function(B,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.$db=i;function i(y,M){const c=this;let $=!1,g;return function(){if($)return g;if($=!0,M)try{g=y.apply(c,arguments)}finally{M()}else g=y.apply(c,arguments);return g}}}),ie(se[21],ae([0,1]),function(B,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.Iterable=void 0;var i;(function(y){function M(n){return n&&typeof n=="object"&&typeof n[Symbol.iterator]=="function"}y.is=M;const c=Object.freeze([]);function $(){return c}y.empty=$;function*g(n){yield n}y.single=g;function a(n){return M(n)?n:g(n)}y.wrap=a;function u(n){return n||c}y.from=u;function*o(n){for(let s=n.length-1;s>=0;s--)yield n[s]}y.reverse=o;function p(n){return!n||n[Symbol.iterator]().next().done===!0}y.isEmpty=p;function d(n){return n[Symbol.iterator]().next().value}y.first=d;function b(n,s){for(const f of n)if(s(f))return!0;return!1}y.some=b;function e(n,s){for(const f of n)if(s(f))return f}y.find=e;function*m(n,s){for(const f of n)s(f)&&(yield f)}y.filter=m;function*j(n,s){let f=0;for(const h of n)yield s(h,f++)}y.map=j;function*w(...n){for(const s of n)yield*s}y.concat=w;function v(n,s,f){let h=f;for(const L of n)h=s(h,L);return h}y.reduce=v;function*N(n,s,f=n.length){for(s<0&&(s+=n.length),f<0?f+=n.length:f>n.length&&(f=n.length);s<f;s++)yield n[s]}y.slice=N;function E(n,s=Number.POSITIVE_INFINITY){const f=[];if(s===0)return[f,n];const h=n[Symbol.iterator]();for(let L=0;L<s;L++){const A=h.next();if(A.done)return[f,y.empty()];f.push(A.value)}return[f,{[Symbol.iterator](){return h}}]}y.consume=E;async function l(n){const s=[];for await(const f of n)s.push(f);return Promise.resolve(s)}y.asyncToArray=l})(i||(t.Iterable=i={}))}),ie(se[39],ae([0,1]),function(B,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.KeyMod=t.KeyCodeUtils=t.$Dr=t.$Cr=t.$Br=t.$Ar=t.$zr=t.ScanCode=t.KeyCode=void 0,t.$Er=b;var i;(function(e){e[e.DependsOnKbLayout=-1]="DependsOnKbLayout",e[e.Unknown=0]="Unknown",e[e.Backspace=1]="Backspace",e[e.Tab=2]="Tab",e[e.Enter=3]="Enter",e[e.Shift=4]="Shift",e[e.Ctrl=5]="Ctrl",e[e.Alt=6]="Alt",e[e.PauseBreak=7]="PauseBreak",e[e.CapsLock=8]="CapsLock",e[e.Escape=9]="Escape",e[e.Space=10]="Space",e[e.PageUp=11]="PageUp",e[e.PageDown=12]="PageDown",e[e.End=13]="End",e[e.Home=14]="Home",e[e.LeftArrow=15]="LeftArrow",e[e.UpArrow=16]="UpArrow",e[e.RightArrow=17]="RightArrow",e[e.DownArrow=18]="DownArrow",e[e.Insert=19]="Insert",e[e.Delete=20]="Delete",e[e.Digit0=21]="Digit0",e[e.Digit1=22]="Digit1",e[e.Digit2=23]="Digit2",e[e.Digit3=24]="Digit3",e[e.Digit4=25]="Digit4",e[e.Digit5=26]="Digit5",e[e.Digit6=27]="Digit6",e[e.Digit7=28]="Digit7",e[e.Digit8=29]="Digit8",e[e.Digit9=30]="Digit9",e[e.KeyA=31]="KeyA",e[e.KeyB=32]="KeyB",e[e.KeyC=33]="KeyC",e[e.KeyD=34]="KeyD",e[e.KeyE=35]="KeyE",e[e.KeyF=36]="KeyF",e[e.KeyG=37]="KeyG",e[e.KeyH=38]="KeyH",e[e.KeyI=39]="KeyI",e[e.KeyJ=40]="KeyJ",e[e.KeyK=41]="KeyK",e[e.KeyL=42]="KeyL",e[e.KeyM=43]="KeyM",e[e.KeyN=44]="KeyN",e[e.KeyO=45]="KeyO",e[e.KeyP=46]="KeyP",e[e.KeyQ=47]="KeyQ",e[e.KeyR=48]="KeyR",e[e.KeyS=49]="KeyS",e[e.KeyT=50]="KeyT",e[e.KeyU=51]="KeyU",e[e.KeyV=52]="KeyV",e[e.KeyW=53]="KeyW",e[e.KeyX=54]="KeyX",e[e.KeyY=55]="KeyY",e[e.KeyZ=56]="KeyZ",e[e.Meta=57]="Meta",e[e.ContextMenu=58]="ContextMenu",e[e.F1=59]="F1",e[e.F2=60]="F2",e[e.F3=61]="F3",e[e.F4=62]="F4",e[e.F5=63]="F5",e[e.F6=64]="F6",e[e.F7=65]="F7",e[e.F8=66]="F8",e[e.F9=67]="F9",e[e.F10=68]="F10",e[e.F11=69]="F11",e[e.F12=70]="F12",e[e.F13=71]="F13",e[e.F14=72]="F14",e[e.F15=73]="F15",e[e.F16=74]="F16",e[e.F17=75]="F17",e[e.F18=76]="F18",e[e.F19=77]="F19",e[e.F20=78]="F20",e[e.F21=79]="F21",e[e.F22=80]="F22",e[e.F23=81]="F23",e[e.F24=82]="F24",e[e.NumLock=83]="NumLock",e[e.ScrollLock=84]="ScrollLock",e[e.Semicolon=85]="Semicolon",e[e.Equal=86]="Equal",e[e.Comma=87]="Comma",e[e.Minus=88]="Minus",e[e.Period=89]="Period",e[e.Slash=90]="Slash",e[e.Backquote=91]="Backquote",e[e.BracketLeft=92]="BracketLeft",e[e.Backslash=93]="Backslash",e[e.BracketRight=94]="BracketRight",e[e.Quote=95]="Quote",e[e.OEM_8=96]="OEM_8",e[e.IntlBackslash=97]="IntlBackslash",e[e.Numpad0=98]="Numpad0",e[e.Numpad1=99]="Numpad1",e[e.Numpad2=100]="Numpad2",e[e.Numpad3=101]="Numpad3",e[e.Numpad4=102]="Numpad4",e[e.Numpad5=103]="Numpad5",e[e.Numpad6=104]="Numpad6",e[e.Numpad7=105]="Numpad7",e[e.Numpad8=106]="Numpad8",e[e.Numpad9=107]="Numpad9",e[e.NumpadMultiply=108]="NumpadMultiply",e[e.NumpadAdd=109]="NumpadAdd",e[e.NUMPAD_SEPARATOR=110]="NUMPAD_SEPARATOR",e[e.NumpadSubtract=111]="NumpadSubtract",e[e.NumpadDecimal=112]="NumpadDecimal",e[e.NumpadDivide=113]="NumpadDivide",e[e.KEY_IN_COMPOSITION=114]="KEY_IN_COMPOSITION",e[e.ABNT_C1=115]="ABNT_C1",e[e.ABNT_C2=116]="ABNT_C2",e[e.AudioVolumeMute=117]="AudioVolumeMute",e[e.AudioVolumeUp=118]="AudioVolumeUp",e[e.AudioVolumeDown=119]="AudioVolumeDown",e[e.BrowserSearch=120]="BrowserSearch",e[e.BrowserHome=121]="BrowserHome",e[e.BrowserBack=122]="BrowserBack",e[e.BrowserForward=123]="BrowserForward",e[e.MediaTrackNext=124]="MediaTrackNext",e[e.MediaTrackPrevious=125]="MediaTrackPrevious",e[e.MediaStop=126]="MediaStop",e[e.MediaPlayPause=127]="MediaPlayPause",e[e.LaunchMediaPlayer=128]="LaunchMediaPlayer",e[e.LaunchMail=129]="LaunchMail",e[e.LaunchApp2=130]="LaunchApp2",e[e.Clear=131]="Clear",e[e.MAX_VALUE=132]="MAX_VALUE"})(i||(t.KeyCode=i={}));var y;(function(e){e[e.DependsOnKbLayout=-1]="DependsOnKbLayout",e[e.None=0]="None",e[e.Hyper=1]="Hyper",e[e.Super=2]="Super",e[e.Fn=3]="Fn",e[e.FnLock=4]="FnLock",e[e.Suspend=5]="Suspend",e[e.Resume=6]="Resume",e[e.Turbo=7]="Turbo",e[e.Sleep=8]="Sleep",e[e.WakeUp=9]="WakeUp",e[e.KeyA=10]="KeyA",e[e.KeyB=11]="KeyB",e[e.KeyC=12]="KeyC",e[e.KeyD=13]="KeyD",e[e.KeyE=14]="KeyE",e[e.KeyF=15]="KeyF",e[e.KeyG=16]="KeyG",e[e.KeyH=17]="KeyH",e[e.KeyI=18]="KeyI",e[e.KeyJ=19]="KeyJ",e[e.KeyK=20]="KeyK",e[e.KeyL=21]="KeyL",e[e.KeyM=22]="KeyM",e[e.KeyN=23]="KeyN",e[e.KeyO=24]="KeyO",e[e.KeyP=25]="KeyP",e[e.KeyQ=26]="KeyQ",e[e.KeyR=27]="KeyR",e[e.KeyS=28]="KeyS",e[e.KeyT=29]="KeyT",e[e.KeyU=30]="KeyU",e[e.KeyV=31]="KeyV",e[e.KeyW=32]="KeyW",e[e.KeyX=33]="KeyX",e[e.KeyY=34]="KeyY",e[e.KeyZ=35]="KeyZ",e[e.Digit1=36]="Digit1",e[e.Digit2=37]="Digit2",e[e.Digit3=38]="Digit3",e[e.Digit4=39]="Digit4",e[e.Digit5=40]="Digit5",e[e.Digit6=41]="Digit6",e[e.Digit7=42]="Digit7",e[e.Digit8=43]="Digit8",e[e.Digit9=44]="Digit9",e[e.Digit0=45]="Digit0",e[e.Enter=46]="Enter",e[e.Escape=47]="Escape",e[e.Backspace=48]="Backspace",e[e.Tab=49]="Tab",e[e.Space=50]="Space",e[e.Minus=51]="Minus",e[e.Equal=52]="Equal",e[e.BracketLeft=53]="BracketLeft",e[e.BracketRight=54]="BracketRight",e[e.Backslash=55]="Backslash",e[e.IntlHash=56]="IntlHash",e[e.Semicolon=57]="Semicolon",e[e.Quote=58]="Quote",e[e.Backquote=59]="Backquote",e[e.Comma=60]="Comma",e[e.Period=61]="Period",e[e.Slash=62]="Slash",e[e.CapsLock=63]="CapsLock",e[e.F1=64]="F1",e[e.F2=65]="F2",e[e.F3=66]="F3",e[e.F4=67]="F4",e[e.F5=68]="F5",e[e.F6=69]="F6",e[e.F7=70]="F7",e[e.F8=71]="F8",e[e.F9=72]="F9",e[e.F10=73]="F10",e[e.F11=74]="F11",e[e.F12=75]="F12",e[e.PrintScreen=76]="PrintScreen",e[e.ScrollLock=77]="ScrollLock",e[e.Pause=78]="Pause",e[e.Insert=79]="Insert",e[e.Home=80]="Home",e[e.PageUp=81]="PageUp",e[e.Delete=82]="Delete",e[e.End=83]="End",e[e.PageDown=84]="PageDown",e[e.ArrowRight=85]="ArrowRight",e[e.ArrowLeft=86]="ArrowLeft",e[e.ArrowDown=87]="ArrowDown",e[e.ArrowUp=88]="ArrowUp",e[e.NumLock=89]="NumLock",e[e.NumpadDivide=90]="NumpadDivide",e[e.NumpadMultiply=91]="NumpadMultiply",e[e.NumpadSubtract=92]="NumpadSubtract",e[e.NumpadAdd=93]="NumpadAdd",e[e.NumpadEnter=94]="NumpadEnter",e[e.Numpad1=95]="Numpad1",e[e.Numpad2=96]="Numpad2",e[e.Numpad3=97]="Numpad3",e[e.Numpad4=98]="Numpad4",e[e.Numpad5=99]="Numpad5",e[e.Numpad6=100]="Numpad6",e[e.Numpad7=101]="Numpad7",e[e.Numpad8=102]="Numpad8",e[e.Numpad9=103]="Numpad9",e[e.Numpad0=104]="Numpad0",e[e.NumpadDecimal=105]="NumpadDecimal",e[e.IntlBackslash=106]="IntlBackslash",e[e.ContextMenu=107]="ContextMenu",e[e.Power=108]="Power",e[e.NumpadEqual=109]="NumpadEqual",e[e.F13=110]="F13",e[e.F14=111]="F14",e[e.F15=112]="F15",e[e.F16=113]="F16",e[e.F17=114]="F17",e[e.F18=115]="F18",e[e.F19=116]="F19",e[e.F20=117]="F20",e[e.F21=118]="F21",e[e.F22=119]="F22",e[e.F23=120]="F23",e[e.F24=121]="F24",e[e.Open=122]="Open",e[e.Help=123]="Help",e[e.Select=124]="Select",e[e.Again=125]="Again",e[e.Undo=126]="Undo",e[e.Cut=127]="Cut",e[e.Copy=128]="Copy",e[e.Paste=129]="Paste",e[e.Find=130]="Find",e[e.AudioVolumeMute=131]="AudioVolumeMute",e[e.AudioVolumeUp=132]="AudioVolumeUp",e[e.AudioVolumeDown=133]="AudioVolumeDown",e[e.NumpadComma=134]="NumpadComma",e[e.IntlRo=135]="IntlRo",e[e.KanaMode=136]="KanaMode",e[e.IntlYen=137]="IntlYen",e[e.Convert=138]="Convert",e[e.NonConvert=139]="NonConvert",e[e.Lang1=140]="Lang1",e[e.Lang2=141]="Lang2",e[e.Lang3=142]="Lang3",e[e.Lang4=143]="Lang4",e[e.Lang5=144]="Lang5",e[e.Abort=145]="Abort",e[e.Props=146]="Props",e[e.NumpadParenLeft=147]="NumpadParenLeft",e[e.NumpadParenRight=148]="NumpadParenRight",e[e.NumpadBackspace=149]="NumpadBackspace",e[e.NumpadMemoryStore=150]="NumpadMemoryStore",e[e.NumpadMemoryRecall=151]="NumpadMemoryRecall",e[e.NumpadMemoryClear=152]="NumpadMemoryClear",e[e.NumpadMemoryAdd=153]="NumpadMemoryAdd",e[e.NumpadMemorySubtract=154]="NumpadMemorySubtract",e[e.NumpadClear=155]="NumpadClear",e[e.NumpadClearEntry=156]="NumpadClearEntry",e[e.ControlLeft=157]="ControlLeft",e[e.ShiftLeft=158]="ShiftLeft",e[e.AltLeft=159]="AltLeft",e[e.MetaLeft=160]="MetaLeft",e[e.ControlRight=161]="ControlRight",e[e.ShiftRight=162]="ShiftRight",e[e.AltRight=163]="AltRight",e[e.MetaRight=164]="MetaRight",e[e.BrightnessUp=165]="BrightnessUp",e[e.BrightnessDown=166]="BrightnessDown",e[e.MediaPlay=167]="MediaPlay",e[e.MediaRecord=168]="MediaRecord",e[e.MediaFastForward=169]="MediaFastForward",e[e.MediaRewind=170]="MediaRewind",e[e.MediaTrackNext=171]="MediaTrackNext",e[e.MediaTrackPrevious=172]="MediaTrackPrevious",e[e.MediaStop=173]="MediaStop",e[e.Eject=174]="Eject",e[e.MediaPlayPause=175]="MediaPlayPause",e[e.MediaSelect=176]="MediaSelect",e[e.LaunchMail=177]="LaunchMail",e[e.LaunchApp2=178]="LaunchApp2",e[e.LaunchApp1=179]="LaunchApp1",e[e.SelectTask=180]="SelectTask",e[e.LaunchScreenSaver=181]="LaunchScreenSaver",e[e.BrowserSearch=182]="BrowserSearch",e[e.BrowserHome=183]="BrowserHome",e[e.BrowserBack=184]="BrowserBack",e[e.BrowserForward=185]="BrowserForward",e[e.BrowserStop=186]="BrowserStop",e[e.BrowserRefresh=187]="BrowserRefresh",e[e.BrowserFavorites=188]="BrowserFavorites",e[e.ZoomToggle=189]="ZoomToggle",e[e.MailReply=190]="MailReply",e[e.MailForward=191]="MailForward",e[e.MailSend=192]="MailSend",e[e.MAX_VALUE=193]="MAX_VALUE"})(y||(t.ScanCode=y={}));class M{constructor(){this._keyCodeToStr=[],this._strToKeyCode=Object.create(null)}define(m,j){this._keyCodeToStr[m]=j,this._strToKeyCode[j.toLowerCase()]=m}keyCodeToStr(m){return this._keyCodeToStr[m]}strToKeyCode(m){return this._strToKeyCode[m.toLowerCase()]||0}}const c=new M,$=new M,g=new M;t.$zr=new Array(230),t.$Ar={};const a=[],u=Object.create(null),o=Object.create(null);t.$Br={lowerCaseToEnum:e=>o[e]||0,toEnum:e=>u[e]||0,toString:e=>a[e]||"None"},t.$Cr=[],t.$Dr=[];for(let e=0;e<=193;e++)t.$Cr[e]=-1;for(let e=0;e<=132;e++)t.$Dr[e]=-1;(function(){const e="",m=[[1,0,"None",0,"unknown",0,"VK_UNKNOWN",e,e],[1,1,"Hyper",0,e,0,e,e,e],[1,2,"Super",0,e,0,e,e,e],[1,3,"Fn",0,e,0,e,e,e],[1,4,"FnLock",0,e,0,e,e,e],[1,5,"Suspend",0,e,0,e,e,e],[1,6,"Resume",0,e,0,e,e,e],[1,7,"Turbo",0,e,0,e,e,e],[1,8,"Sleep",0,e,0,"VK_SLEEP",e,e],[1,9,"WakeUp",0,e,0,e,e,e],[0,10,"KeyA",31,"A",65,"VK_A",e,e],[0,11,"KeyB",32,"B",66,"VK_B",e,e],[0,12,"KeyC",33,"C",67,"VK_C",e,e],[0,13,"KeyD",34,"D",68,"VK_D",e,e],[0,14,"KeyE",35,"E",69,"VK_E",e,e],[0,15,"KeyF",36,"F",70,"VK_F",e,e],[0,16,"KeyG",37,"G",71,"VK_G",e,e],[0,17,"KeyH",38,"H",72,"VK_H",e,e],[0,18,"KeyI",39,"I",73,"VK_I",e,e],[0,19,"KeyJ",40,"J",74,"VK_J",e,e],[0,20,"KeyK",41,"K",75,"VK_K",e,e],[0,21,"KeyL",42,"L",76,"VK_L",e,e],[0,22,"KeyM",43,"M",77,"VK_M",e,e],[0,23,"KeyN",44,"N",78,"VK_N",e,e],[0,24,"KeyO",45,"O",79,"VK_O",e,e],[0,25,"KeyP",46,"P",80,"VK_P",e,e],[0,26,"KeyQ",47,"Q",81,"VK_Q",e,e],[0,27,"KeyR",48,"R",82,"VK_R",e,e],[0,28,"KeyS",49,"S",83,"VK_S",e,e],[0,29,"KeyT",50,"T",84,"VK_T",e,e],[0,30,"KeyU",51,"U",85,"VK_U",e,e],[0,31,"KeyV",52,"V",86,"VK_V",e,e],[0,32,"KeyW",53,"W",87,"VK_W",e,e],[0,33,"KeyX",54,"X",88,"VK_X",e,e],[0,34,"KeyY",55,"Y",89,"VK_Y",e,e],[0,35,"KeyZ",56,"Z",90,"VK_Z",e,e],[0,36,"Digit1",22,"1",49,"VK_1",e,e],[0,37,"Digit2",23,"2",50,"VK_2",e,e],[0,38,"Digit3",24,"3",51,"VK_3",e,e],[0,39,"Digit4",25,"4",52,"VK_4",e,e],[0,40,"Digit5",26,"5",53,"VK_5",e,e],[0,41,"Digit6",27,"6",54,"VK_6",e,e],[0,42,"Digit7",28,"7",55,"VK_7",e,e],[0,43,"Digit8",29,"8",56,"VK_8",e,e],[0,44,"Digit9",30,"9",57,"VK_9",e,e],[0,45,"Digit0",21,"0",48,"VK_0",e,e],[1,46,"Enter",3,"Enter",13,"VK_RETURN",e,e],[1,47,"Escape",9,"Escape",27,"VK_ESCAPE",e,e],[1,48,"Backspace",1,"Backspace",8,"VK_BACK",e,e],[1,49,"Tab",2,"Tab",9,"VK_TAB",e,e],[1,50,"Space",10,"Space",32,"VK_SPACE",e,e],[0,51,"Minus",88,"-",189,"VK_OEM_MINUS","-","OEM_MINUS"],[0,52,"Equal",86,"=",187,"VK_OEM_PLUS","=","OEM_PLUS"],[0,53,"BracketLeft",92,"[",219,"VK_OEM_4","[","OEM_4"],[0,54,"BracketRight",94,"]",221,"VK_OEM_6","]","OEM_6"],[0,55,"Backslash",93,"\\",220,"VK_OEM_5","\\","OEM_5"],[0,56,"IntlHash",0,e,0,e,e,e],[0,57,"Semicolon",85,";",186,"VK_OEM_1",";","OEM_1"],[0,58,"Quote",95,"'",222,"VK_OEM_7","'","OEM_7"],[0,59,"Backquote",91,"`",192,"VK_OEM_3","`","OEM_3"],[0,60,"Comma",87,",",188,"VK_OEM_COMMA",",","OEM_COMMA"],[0,61,"Period",89,".",190,"VK_OEM_PERIOD",".","OEM_PERIOD"],[0,62,"Slash",90,"/",191,"VK_OEM_2","/","OEM_2"],[1,63,"CapsLock",8,"CapsLock",20,"VK_CAPITAL",e,e],[1,64,"F1",59,"F1",112,"VK_F1",e,e],[1,65,"F2",60,"F2",113,"VK_F2",e,e],[1,66,"F3",61,"F3",114,"VK_F3",e,e],[1,67,"F4",62,"F4",115,"VK_F4",e,e],[1,68,"F5",63,"F5",116,"VK_F5",e,e],[1,69,"F6",64,"F6",117,"VK_F6",e,e],[1,70,"F7",65,"F7",118,"VK_F7",e,e],[1,71,"F8",66,"F8",119,"VK_F8",e,e],[1,72,"F9",67,"F9",120,"VK_F9",e,e],[1,73,"F10",68,"F10",121,"VK_F10",e,e],[1,74,"F11",69,"F11",122,"VK_F11",e,e],[1,75,"F12",70,"F12",123,"VK_F12",e,e],[1,76,"PrintScreen",0,e,0,e,e,e],[1,77,"ScrollLock",84,"ScrollLock",145,"VK_SCROLL",e,e],[1,78,"Pause",7,"PauseBreak",19,"VK_PAUSE",e,e],[1,79,"Insert",19,"Insert",45,"VK_INSERT",e,e],[1,80,"Home",14,"Home",36,"VK_HOME",e,e],[1,81,"PageUp",11,"PageUp",33,"VK_PRIOR",e,e],[1,82,"Delete",20,"Delete",46,"VK_DELETE",e,e],[1,83,"End",13,"End",35,"VK_END",e,e],[1,84,"PageDown",12,"PageDown",34,"VK_NEXT",e,e],[1,85,"ArrowRight",17,"RightArrow",39,"VK_RIGHT","Right",e],[1,86,"ArrowLeft",15,"LeftArrow",37,"VK_LEFT","Left",e],[1,87,"ArrowDown",18,"DownArrow",40,"VK_DOWN","Down",e],[1,88,"ArrowUp",16,"UpArrow",38,"VK_UP","Up",e],[1,89,"NumLock",83,"NumLock",144,"VK_NUMLOCK",e,e],[1,90,"NumpadDivide",113,"NumPad_Divide",111,"VK_DIVIDE",e,e],[1,91,"NumpadMultiply",108,"NumPad_Multiply",106,"VK_MULTIPLY",e,e],[1,92,"NumpadSubtract",111,"NumPad_Subtract",109,"VK_SUBTRACT",e,e],[1,93,"NumpadAdd",109,"NumPad_Add",107,"VK_ADD",e,e],[1,94,"NumpadEnter",3,e,0,e,e,e],[1,95,"Numpad1",99,"NumPad1",97,"VK_NUMPAD1",e,e],[1,96,"Numpad2",100,"NumPad2",98,"VK_NUMPAD2",e,e],[1,97,"Numpad3",101,"NumPad3",99,"VK_NUMPAD3",e,e],[1,98,"Numpad4",102,"NumPad4",100,"VK_NUMPAD4",e,e],[1,99,"Numpad5",103,"NumPad5",101,"VK_NUMPAD5",e,e],[1,100,"Numpad6",104,"NumPad6",102,"VK_NUMPAD6",e,e],[1,101,"Numpad7",105,"NumPad7",103,"VK_NUMPAD7",e,e],[1,102,"Numpad8",106,"NumPad8",104,"VK_NUMPAD8",e,e],[1,103,"Numpad9",107,"NumPad9",105,"VK_NUMPAD9",e,e],[1,104,"Numpad0",98,"NumPad0",96,"VK_NUMPAD0",e,e],[1,105,"NumpadDecimal",112,"NumPad_Decimal",110,"VK_DECIMAL",e,e],[0,106,"IntlBackslash",97,"OEM_102",226,"VK_OEM_102",e,e],[1,107,"ContextMenu",58,"ContextMenu",93,e,e,e],[1,108,"Power",0,e,0,e,e,e],[1,109,"NumpadEqual",0,e,0,e,e,e],[1,110,"F13",71,"F13",124,"VK_F13",e,e],[1,111,"F14",72,"F14",125,"VK_F14",e,e],[1,112,"F15",73,"F15",126,"VK_F15",e,e],[1,113,"F16",74,"F16",127,"VK_F16",e,e],[1,114,"F17",75,"F17",128,"VK_F17",e,e],[1,115,"F18",76,"F18",129,"VK_F18",e,e],[1,116,"F19",77,"F19",130,"VK_F19",e,e],[1,117,"F20",78,"F20",131,"VK_F20",e,e],[1,118,"F21",79,"F21",132,"VK_F21",e,e],[1,119,"F22",80,"F22",133,"VK_F22",e,e],[1,120,"F23",81,"F23",134,"VK_F23",e,e],[1,121,"F24",82,"F24",135,"VK_F24",e,e],[1,122,"Open",0,e,0,e,e,e],[1,123,"Help",0,e,0,e,e,e],[1,124,"Select",0,e,0,e,e,e],[1,125,"Again",0,e,0,e,e,e],[1,126,"Undo",0,e,0,e,e,e],[1,127,"Cut",0,e,0,e,e,e],[1,128,"Copy",0,e,0,e,e,e],[1,129,"Paste",0,e,0,e,e,e],[1,130,"Find",0,e,0,e,e,e],[1,131,"AudioVolumeMute",117,"AudioVolumeMute",173,"VK_VOLUME_MUTE",e,e],[1,132,"AudioVolumeUp",118,"AudioVolumeUp",175,"VK_VOLUME_UP",e,e],[1,133,"AudioVolumeDown",119,"AudioVolumeDown",174,"VK_VOLUME_DOWN",e,e],[1,134,"NumpadComma",110,"NumPad_Separator",108,"VK_SEPARATOR",e,e],[0,135,"IntlRo",115,"ABNT_C1",193,"VK_ABNT_C1",e,e],[1,136,"KanaMode",0,e,0,e,e,e],[0,137,"IntlYen",0,e,0,e,e,e],[1,138,"Convert",0,e,0,e,e,e],[1,139,"NonConvert",0,e,0,e,e,e],[1,140,"Lang1",0,e,0,e,e,e],[1,141,"Lang2",0,e,0,e,e,e],[1,142,"Lang3",0,e,0,e,e,e],[1,143,"Lang4",0,e,0,e,e,e],[1,144,"Lang5",0,e,0,e,e,e],[1,145,"Abort",0,e,0,e,e,e],[1,146,"Props",0,e,0,e,e,e],[1,147,"NumpadParenLeft",0,e,0,e,e,e],[1,148,"NumpadParenRight",0,e,0,e,e,e],[1,149,"NumpadBackspace",0,e,0,e,e,e],[1,150,"NumpadMemoryStore",0,e,0,e,e,e],[1,151,"NumpadMemoryRecall",0,e,0,e,e,e],[1,152,"NumpadMemoryClear",0,e,0,e,e,e],[1,153,"NumpadMemoryAdd",0,e,0,e,e,e],[1,154,"NumpadMemorySubtract",0,e,0,e,e,e],[1,155,"NumpadClear",131,"Clear",12,"VK_CLEAR",e,e],[1,156,"NumpadClearEntry",0,e,0,e,e,e],[1,0,e,5,"Ctrl",17,"VK_CONTROL",e,e],[1,0,e,4,"Shift",16,"VK_SHIFT",e,e],[1,0,e,6,"Alt",18,"VK_MENU",e,e],[1,0,e,57,"Meta",91,"VK_COMMAND",e,e],[1,157,"ControlLeft",5,e,0,"VK_LCONTROL",e,e],[1,158,"ShiftLeft",4,e,0,"VK_LSHIFT",e,e],[1,159,"AltLeft",6,e,0,"VK_LMENU",e,e],[1,160,"MetaLeft",57,e,0,"VK_LWIN",e,e],[1,161,"ControlRight",5,e,0,"VK_RCONTROL",e,e],[1,162,"ShiftRight",4,e,0,"VK_RSHIFT",e,e],[1,163,"AltRight",6,e,0,"VK_RMENU",e,e],[1,164,"MetaRight",57,e,0,"VK_RWIN",e,e],[1,165,"BrightnessUp",0,e,0,e,e,e],[1,166,"BrightnessDown",0,e,0,e,e,e],[1,167,"MediaPlay",0,e,0,e,e,e],[1,168,"MediaRecord",0,e,0,e,e,e],[1,169,"MediaFastForward",0,e,0,e,e,e],[1,170,"MediaRewind",0,e,0,e,e,e],[1,171,"MediaTrackNext",124,"MediaTrackNext",176,"VK_MEDIA_NEXT_TRACK",e,e],[1,172,"MediaTrackPrevious",125,"MediaTrackPrevious",177,"VK_MEDIA_PREV_TRACK",e,e],[1,173,"MediaStop",126,"MediaStop",178,"VK_MEDIA_STOP",e,e],[1,174,"Eject",0,e,0,e,e,e],[1,175,"MediaPlayPause",127,"MediaPlayPause",179,"VK_MEDIA_PLAY_PAUSE",e,e],[1,176,"MediaSelect",128,"LaunchMediaPlayer",181,"VK_MEDIA_LAUNCH_MEDIA_SELECT",e,e],[1,177,"LaunchMail",129,"LaunchMail",180,"VK_MEDIA_LAUNCH_MAIL",e,e],[1,178,"LaunchApp2",130,"LaunchApp2",183,"VK_MEDIA_LAUNCH_APP2",e,e],[1,179,"LaunchApp1",0,e,0,"VK_MEDIA_LAUNCH_APP1",e,e],[1,180,"SelectTask",0,e,0,e,e,e],[1,181,"LaunchScreenSaver",0,e,0,e,e,e],[1,182,"BrowserSearch",120,"BrowserSearch",170,"VK_BROWSER_SEARCH",e,e],[1,183,"BrowserHome",121,"BrowserHome",172,"VK_BROWSER_HOME",e,e],[1,184,"BrowserBack",122,"BrowserBack",166,"VK_BROWSER_BACK",e,e],[1,185,"BrowserForward",123,"BrowserForward",167,"VK_BROWSER_FORWARD",e,e],[1,186,"BrowserStop",0,e,0,"VK_BROWSER_STOP",e,e],[1,187,"BrowserRefresh",0,e,0,"VK_BROWSER_REFRESH",e,e],[1,188,"BrowserFavorites",0,e,0,"VK_BROWSER_FAVORITES",e,e],[1,189,"ZoomToggle",0,e,0,e,e,e],[1,190,"MailReply",0,e,0,e,e,e],[1,191,"MailForward",0,e,0,e,e,e],[1,192,"MailSend",0,e,0,e,e,e],[1,0,e,114,"KeyInComposition",229,e,e,e],[1,0,e,116,"ABNT_C2",194,"VK_ABNT_C2",e,e],[1,0,e,96,"OEM_8",223,"VK_OEM_8",e,e],[1,0,e,0,e,0,"VK_KANA",e,e],[1,0,e,0,e,0,"VK_HANGUL",e,e],[1,0,e,0,e,0,"VK_JUNJA",e,e],[1,0,e,0,e,0,"VK_FINAL",e,e],[1,0,e,0,e,0,"VK_HANJA",e,e],[1,0,e,0,e,0,"VK_KANJI",e,e],[1,0,e,0,e,0,"VK_CONVERT",e,e],[1,0,e,0,e,0,"VK_NONCONVERT",e,e],[1,0,e,0,e,0,"VK_ACCEPT",e,e],[1,0,e,0,e,0,"VK_MODECHANGE",e,e],[1,0,e,0,e,0,"VK_SELECT",e,e],[1,0,e,0,e,0,"VK_PRINT",e,e],[1,0,e,0,e,0,"VK_EXECUTE",e,e],[1,0,e,0,e,0,"VK_SNAPSHOT",e,e],[1,0,e,0,e,0,"VK_HELP",e,e],[1,0,e,0,e,0,"VK_APPS",e,e],[1,0,e,0,e,0,"VK_PROCESSKEY",e,e],[1,0,e,0,e,0,"VK_PACKET",e,e],[1,0,e,0,e,0,"VK_DBE_SBCSCHAR",e,e],[1,0,e,0,e,0,"VK_DBE_DBCSCHAR",e,e],[1,0,e,0,e,0,"VK_ATTN",e,e],[1,0,e,0,e,0,"VK_CRSEL",e,e],[1,0,e,0,e,0,"VK_EXSEL",e,e],[1,0,e,0,e,0,"VK_EREOF",e,e],[1,0,e,0,e,0,"VK_PLAY",e,e],[1,0,e,0,e,0,"VK_ZOOM",e,e],[1,0,e,0,e,0,"VK_NONAME",e,e],[1,0,e,0,e,0,"VK_PA1",e,e],[1,0,e,0,e,0,"VK_OEM_CLEAR",e,e]],j=[],w=[];for(const v of m){const[N,E,l,n,s,f,h,L,A]=v;if(w[E]||(w[E]=!0,a[E]=l,u[l]=E,o[l.toLowerCase()]=E,N&&(t.$Cr[E]=n,n!==0&&n!==3&&n!==5&&n!==4&&n!==6&&n!==57&&(t.$Dr[n]=E))),!j[n]){if(j[n]=!0,!s)throw new Error(`String representation missing for key code ${n} around scan code ${l}`);c.define(n,s),$.define(n,L||s),g.define(n,A||L||s)}f&&(t.$zr[f]=n),h&&(t.$Ar[h]=n)}t.$Dr[3]=46})();var p;(function(e){function m(l){return c.keyCodeToStr(l)}e.toString=m;function j(l){return c.strToKeyCode(l)}e.fromString=j;function w(l){return $.keyCodeToStr(l)}e.toUserSettingsUS=w;function v(l){return g.keyCodeToStr(l)}e.toUserSettingsGeneral=v;function N(l){return $.strToKeyCode(l)||g.strToKeyCode(l)}e.fromUserSettings=N;function E(l){if(l>=98&&l<=113)return null;switch(l){case 16:return"Up";case 18:return"Down";case 15:return"Left";case 17:return"Right"}return c.keyCodeToStr(l)}e.toElectronAccelerator=E})(p||(t.KeyCodeUtils=p={}));var d;(function(e){e[e.CtrlCmd=2048]="CtrlCmd",e[e.Shift=1024]="Shift",e[e.Alt=512]="Alt",e[e.WinCtrl=256]="WinCtrl"})(d||(t.KeyMod=d={}));function b(e,m){const j=(m&65535)<<16>>>0;return(e|j)>>>0}}),ie(se[40],ae([0,1]),function(B,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.$V=void 0;class i{constructor(M){this.d=M,this.a=!1}get hasValue(){return this.a}get value(){if(!this.a)try{this.b=this.d()}catch(M){this.c=M}finally{this.a=!0}if(this.c)throw this.c;return this.b}get rawValue(){return this.b}}t.$V=i}),ie(se[22],ae([0,1]),function(B,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.$6c=void 0;class i{static{this.Undefined=new i(void 0)}constructor(c){this.element=c,this.next=i.Undefined,this.prev=i.Undefined}}class y{constructor(){this.a=i.Undefined,this.b=i.Undefined,this.c=0}get size(){return this.c}isEmpty(){return this.a===i.Undefined}clear(){let c=this.a;for(;c!==i.Undefined;){const $=c.next;c.prev=i.Undefined,c.next=i.Undefined,c=$}this.a=i.Undefined,this.b=i.Undefined,this.c=0}unshift(c){return this.d(c,!1)}push(c){return this.d(c,!0)}d(c,$){const g=new i(c);if(this.a===i.Undefined)this.a=g,this.b=g;else if($){const u=this.b;this.b=g,g.prev=u,u.next=g}else{const u=this.a;this.a=g,g.next=u,u.prev=g}this.c+=1;let a=!1;return()=>{a||(a=!0,this.e(g))}}shift(){if(this.a!==i.Undefined){const c=this.a.element;return this.e(this.a),c}}pop(){if(this.b!==i.Undefined){const c=this.b.element;return this.e(this.b),c}}e(c){if(c.prev!==i.Undefined&&c.next!==i.Undefined){const $=c.prev;$.next=c.next,c.next.prev=$}else c.prev===i.Undefined&&c.next===i.Undefined?(this.a=i.Undefined,this.b=i.Undefined):c.next===i.Undefined?(this.b=this.b.prev,this.b.next=i.Undefined):c.prev===i.Undefined&&(this.a=this.a.next,this.a.prev=i.Undefined);this.c-=1}*[Symbol.iterator](){let c=this.a;for(;c!==i.Undefined;)yield c.element,c=c.next}}t.$6c=y}),ie(se[14],ae([0,1]),function(B,t){"use strict";var i,y,M;Object.defineProperty(t,"__esModule",{value:!0}),t.$Ic=t.$Hc=t.$Gc=t.$Fc=t.$Ec=t.$Dc=t.Touch=t.$Cc=t.$Bc=void 0,t.$yc=c,t.$zc=$,t.$Ac=g,t.$Jc=E;function c(l,n,s){let f=l.get(n);return f===void 0&&(f=s,l.set(n,f)),f}function $(l){const n=[];return l.forEach((s,f)=>{n.push(`${f} => ${s}`)}),`Map(${l.size}) {${n.join(", ")}}`}function g(l){const n=[];return l.forEach(s=>{n.push(s)}),`Set(${l.size}) {${n.join(", ")}}`}class a{constructor(n,s){this.uri=n,this.value=s}}function u(l){return Array.isArray(l)}class o{static{this.c=n=>n.toString()}constructor(n,s){if(this[i]="ResourceMap",n instanceof o)this.d=new Map(n.d),this.e=s??o.c;else if(u(n)){this.d=new Map,this.e=s??o.c;for(const[f,h]of n)this.set(f,h)}else this.d=new Map,this.e=n??o.c}set(n,s){return this.d.set(this.e(n),new a(n,s)),this}get(n){return this.d.get(this.e(n))?.value}has(n){return this.d.has(this.e(n))}get size(){return this.d.size}clear(){this.d.clear()}delete(n){return this.d.delete(this.e(n))}forEach(n,s){typeof s<"u"&&(n=n.bind(s));for(const[f,h]of this.d)n(h.value,h.uri,this)}*values(){for(const n of this.d.values())yield n.value}*keys(){for(const n of this.d.values())yield n.uri}*entries(){for(const n of this.d.values())yield[n.uri,n.value]}*[(i=Symbol.toStringTag,Symbol.iterator)](){for(const[,n]of this.d)yield[n.uri,n.value]}}t.$Bc=o;class p{constructor(n,s){this[y]="ResourceSet",!n||typeof n=="function"?this.c=new o(n):(this.c=new o(s),n.forEach(this.add,this))}get size(){return this.c.size}add(n){return this.c.set(n,n),this}clear(){this.c.clear()}delete(n){return this.c.delete(n)}forEach(n,s){this.c.forEach((f,h)=>n.call(s,h,h,this))}has(n){return this.c.has(n)}entries(){return this.c.entries()}keys(){return this.c.keys()}values(){return this.c.keys()}[(y=Symbol.toStringTag,Symbol.iterator)](){return this.keys()}}t.$Cc=p;var d;(function(l){l[l.None=0]="None",l[l.AsOld=1]="AsOld",l[l.AsNew=2]="AsNew"})(d||(t.Touch=d={}));class b{constructor(){this[M]="LinkedMap",this.c=new Map,this.d=void 0,this.e=void 0,this.f=0,this.g=0}clear(){this.c.clear(),this.d=void 0,this.e=void 0,this.f=0,this.g++}isEmpty(){return!this.d&&!this.e}get size(){return this.f}get first(){return this.d?.value}get last(){return this.e?.value}has(n){return this.c.has(n)}get(n,s=0){const f=this.c.get(n);if(f)return s!==0&&this.m(f,s),f.value}set(n,s,f=0){let h=this.c.get(n);if(h)h.value=s,f!==0&&this.m(h,f);else{switch(h={key:n,value:s,next:void 0,previous:void 0},f){case 0:this.k(h);break;case 1:this.j(h);break;case 2:this.k(h);break;default:this.k(h);break}this.c.set(n,h),this.f++}return this}delete(n){return!!this.remove(n)}remove(n){const s=this.c.get(n);if(s)return this.c.delete(n),this.l(s),this.f--,s.value}shift(){if(!this.d&&!this.e)return;if(!this.d||!this.e)throw new Error("Invalid list");const n=this.d;return this.c.delete(n.key),this.l(n),this.f--,n.value}forEach(n,s){const f=this.g;let h=this.d;for(;h;){if(s?n.bind(s)(h.value,h.key,this):n(h.value,h.key,this),this.g!==f)throw new Error("LinkedMap got modified during iteration.");h=h.next}}keys(){const n=this,s=this.g;let f=this.d;const h={[Symbol.iterator](){return h},next(){if(n.g!==s)throw new Error("LinkedMap got modified during iteration.");if(f){const L={value:f.key,done:!1};return f=f.next,L}else return{value:void 0,done:!0}}};return h}values(){const n=this,s=this.g;let f=this.d;const h={[Symbol.iterator](){return h},next(){if(n.g!==s)throw new Error("LinkedMap got modified during iteration.");if(f){const L={value:f.value,done:!1};return f=f.next,L}else return{value:void 0,done:!0}}};return h}entries(){const n=this,s=this.g;let f=this.d;const h={[Symbol.iterator](){return h},next(){if(n.g!==s)throw new Error("LinkedMap got modified during iteration.");if(f){const L={value:[f.key,f.value],done:!1};return f=f.next,L}else return{value:void 0,done:!0}}};return h}[(M=Symbol.toStringTag,Symbol.iterator)](){return this.entries()}h(n){if(n>=this.size)return;if(n===0){this.clear();return}let s=this.d,f=this.size;for(;s&&f>n;)this.c.delete(s.key),s=s.next,f--;this.d=s,this.f=f,s&&(s.previous=void 0),this.g++}i(n){if(n>=this.size)return;if(n===0){this.clear();return}let s=this.e,f=this.size;for(;s&&f>n;)this.c.delete(s.key),s=s.previous,f--;this.e=s,this.f=f,s&&(s.next=void 0),this.g++}j(n){if(!this.d&&!this.e)this.e=n;else if(this.d)n.next=this.d,this.d.previous=n;else throw new Error("Invalid list");this.d=n,this.g++}k(n){if(!this.d&&!this.e)this.d=n;else if(this.e)n.previous=this.e,this.e.next=n;else throw new Error("Invalid list");this.e=n,this.g++}l(n){if(n===this.d&&n===this.e)this.d=void 0,this.e=void 0;else if(n===this.d){if(!n.next)throw new Error("Invalid list");n.next.previous=void 0,this.d=n.next}else if(n===this.e){if(!n.previous)throw new Error("Invalid list");n.previous.next=void 0,this.e=n.previous}else{const s=n.next,f=n.previous;if(!s||!f)throw new Error("Invalid list");s.previous=f,f.next=s}n.next=void 0,n.previous=void 0,this.g++}m(n,s){if(!this.d||!this.e)throw new Error("Invalid list");if(!(s!==1&&s!==2)){if(s===1){if(n===this.d)return;const f=n.next,h=n.previous;n===this.e?(h.next=void 0,this.e=h):(f.previous=h,h.next=f),n.previous=void 0,n.next=this.d,this.d.previous=n,this.d=n,this.g++}else if(s===2){if(n===this.e)return;const f=n.next,h=n.previous;n===this.d?(f.previous=void 0,this.d=f):(f.previous=h,h.next=f),n.next=void 0,n.previous=this.e,this.e.next=n,this.e=n,this.g++}}}toJSON(){const n=[];return this.forEach((s,f)=>{n.push([f,s])}),n}fromJSON(n){this.clear();for(const[s,f]of n)this.set(s,f)}}t.$Dc=b;class e extends b{constructor(n,s=1){super(),this.n=n,this.o=Math.min(Math.max(0,s),1)}get limit(){return this.n}set limit(n){this.n=n,this.p()}get ratio(){return this.o}set ratio(n){this.o=Math.min(Math.max(0,n),1),this.p()}get(n,s=2){return super.get(n,s)}peek(n){return super.get(n,0)}set(n,s){return super.set(n,s,2),this}p(){this.size>this.n&&this.q(Math.round(this.n*this.o))}}class m extends e{constructor(n,s=1){super(n,s)}q(n){this.h(n)}set(n,s){return super.set(n,s),this.p(),this}}t.$Ec=m;class j extends e{constructor(n,s=1){super(n,s)}q(n){this.i(n)}set(n,s){return this.n<=this.size&&!this.has(n)&&this.q(Math.round(this.n*this.o)-1),super.set(n,s),this}}t.$Fc=j;class w{constructor(){this.c=new Map}add(n){return this.c.set(n,(this.c.get(n)||0)+1),this}delete(n){let s=this.c.get(n)||0;return s===0?!1:(s--,s===0?this.c.delete(n):this.c.set(n,s),!0)}has(n){return this.c.has(n)}}t.$Gc=w;class v{constructor(n){if(this.c=new Map,this.d=new Map,n)for(const[s,f]of n)this.set(s,f)}clear(){this.c.clear(),this.d.clear()}set(n,s){this.c.set(n,s),this.d.set(s,n)}get(n){return this.c.get(n)}getKey(n){return this.d.get(n)}delete(n){const s=this.c.get(n);return s===void 0?!1:(this.c.delete(n),this.d.delete(s),!0)}forEach(n,s){this.c.forEach((f,h)=>{n.call(s,f,h,this)})}keys(){return this.c.keys()}values(){return this.c.values()}}t.$Hc=v;class N{constructor(){this.c=new Map}add(n,s){let f=this.c.get(n);f||(f=new Set,this.c.set(n,f)),f.add(s)}delete(n,s){const f=this.c.get(n);f&&(f.delete(s),f.size===0&&this.c.delete(n))}forEach(n,s){const f=this.c.get(n);f&&f.forEach(s)}get(n){const s=this.c.get(n);return s||new Set}}t.$Ic=N;function E(l,n){if(l===n)return!0;if(l.size!==n.size)return!1;for(const[s,f]of l)if(!n.has(s)||n.get(s)!==f)return!1;for(const[s]of n)if(!l.has(s))return!1;return!0}}),ie(se[11],ae([0,1,6,36,14,20,21]),function(B,t,i,y,M,c,$){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.$5c=t.$3c=t.$2c=t.$1c=t.$Zc=t.$Yc=t.$Xc=t.$Wc=t.$Vc=t.$Uc=t.$Kc=void 0,t.$Lc=o,t.$Mc=p,t.$Nc=d,t.$Oc=m,t.$Pc=j,t.$Qc=w,t.$Rc=v,t.$Sc=N,t.$Tc=E,t.$4c=k;const g=!1;let a=null;class u{constructor(){this.b=new Map}static{this.a=0}c(Q){let I=this.b.get(Q);return I||(I={parent:null,source:null,isSingleton:!1,value:Q,idx:u.a++},this.b.set(Q,I)),I}trackDisposable(Q){const I=this.c(Q);I.source||(I.source=new Error().stack)}setParent(Q,I){const S=this.c(Q);S.parent=I}markAsDisposed(Q){this.b.delete(Q)}markAsSingleton(Q){this.c(Q).isSingleton=!0}f(Q,I){const S=I.get(Q);if(S)return S;const W=Q.parent?this.f(this.c(Q.parent),I):Q;return I.set(Q,W),W}getTrackedDisposables(){const Q=new Map;return[...this.b.entries()].filter(([,S])=>S.source!==null&&!this.f(S,Q).isSingleton).flatMap(([S])=>S)}computeLeakingDisposables(Q=10,I){let S;if(I)S=I;else{const G=new Map,K=[...this.b.values()].filter(P=>P.source!==null&&!this.f(P,G).isSingleton);if(K.length===0)return;const ee=new Set(K.map(P=>P.value));if(S=K.filter(P=>!(P.parent&&ee.has(P.parent))),S.length===0)throw new Error("There are cyclic diposable chains!")}if(!S)return;function W(G){function K(P,X){for(;P.length>0&&X.some(de=>typeof de=="string"?de===P[0]:P[0].match(de));)P.shift()}const ee=G.source.split(`
`).map(P=>P.trim().replace("at ","")).filter(P=>P!=="");return K(ee,["Error",/^trackDisposable \(.*\)$/,/^DisposableTracker.trackDisposable \(.*\)$/]),ee.reverse()}const Y=new M.$Ic;for(const G of S){const K=W(G);for(let ee=0;ee<=K.length;ee++)Y.add(K.slice(0,ee).join(`
`),G)}S.sort((0,i.$7b)(G=>G.idx,i.$9b));let Z="",H=0;for(const G of S.slice(0,Q)){H++;const K=W(G),ee=[];for(let P=0;P<K.length;P++){let X=K[P];X=`(shared with ${Y.get(K.slice(0,P+1).join(`
`)).size}/${S.length} leaks) at ${X}`;const fe=Y.get(K.slice(0,P).join(`
`)),ve=(0,y.$K)([...fe].map(r=>W(r)[P]),r=>r);delete ve[K[P]];for(const[r,je]of Object.entries(ve))ee.unshift(`    - stacktraces of ${je.length} other leaks continue with ${r}`);ee.unshift(X)}Z+=`


==================== Leaking disposable ${H}/${S.length}: ${G.value.constructor.name} ====================
${ee.join(`
`)}
============================================================

`}return S.length>Q&&(Z+=`


... and ${S.length-Q} more leaking disposables

`),{leaks:S,details:Z}}}t.$Kc=u;function o(x){a=x}if(g){const x="__is_disposable_tracked__";o(new class{trackDisposable(Q){const I=new Error("Potentially leaked disposable").stack;setTimeout(()=>{Q[x]||console.log(I)},3e3)}setParent(Q,I){if(Q&&Q!==n.None)try{Q[x]=!0}catch{}}markAsDisposed(Q){if(Q&&Q!==n.None)try{Q[x]=!0}catch{}}markAsSingleton(Q){}})}function p(x){return a?.trackDisposable(x),x}function d(x){a?.markAsDisposed(x)}function b(x,Q){a?.setParent(x,Q)}function e(x,Q){if(a)for(const I of x)a.setParent(I,Q)}function m(x){return a?.markAsSingleton(x),x}function j(x){return typeof x=="object"&&x!==null&&typeof x.dispose=="function"&&x.dispose.length===0}function w(x){if($.Iterable.is(x)){const Q=[];for(const I of x)if(I)try{I.dispose()}catch(S){Q.push(S)}if(Q.length===1)throw Q[0];if(Q.length>1)throw new AggregateError(Q,"Encountered errors while disposing of store");return Array.isArray(x)?[]:x}else if(x)return x.dispose(),x}function v(x){for(const Q of x)j(Q)&&Q.dispose();return[]}function N(...x){const Q=E(()=>w(x));return e(x,Q),Q}function E(x){const Q=p({dispose:(0,c.$db)(()=>{d(Q),x()})});return Q}class l{static{this.DISABLE_DISPOSED_WARNING=!1}constructor(){this.f=new Set,this.g=!1,p(this)}dispose(){this.g||(d(this),this.g=!0,this.clear())}get isDisposed(){return this.g}clear(){if(this.f.size!==0)try{w(this.f)}finally{this.f.clear()}}add(Q){if(!Q)return Q;if(Q===this)throw new Error("Cannot register a disposable on itself!");return b(Q,this),this.g?l.DISABLE_DISPOSED_WARNING||console.warn(new Error("Trying to add a disposable to a DisposableStore that has already been disposed of. The added object will be leaked!").stack):this.f.add(Q),Q}delete(Q){if(Q){if(Q===this)throw new Error("Cannot dispose a disposable on itself!");this.f.delete(Q),Q.dispose()}}deleteAndLeak(Q){Q&&this.f.has(Q)&&(this.f.delete(Q),b(Q,null))}}t.$Uc=l;class n{static{this.None=Object.freeze({dispose(){}})}constructor(){this.q=new l,p(this),b(this.q,this)}dispose(){d(this),this.q.dispose()}B(Q){if(Q===this)throw new Error("Cannot register a disposable on itself!");return this.q.add(Q)}}t.$Vc=n;class s{constructor(){this.b=!1,p(this)}get value(){return this.b?void 0:this.a}set value(Q){this.b||Q===this.a||(this.a?.dispose(),Q&&b(Q,this),this.a=Q)}clear(){this.value=void 0}dispose(){this.b=!0,d(this),this.a?.dispose(),this.a=void 0}clearAndLeak(){const Q=this.a;return this.a=void 0,Q&&b(Q,null),Q}}t.$Wc=s;class f{constructor(Q){this.a=new s,this.b=!1,this.a.value=Q}get value(){return this.a.value}set value(Q){this.b||Q===this.a.value||(this.a.value=Q)}dispose(){this.b=!0,this.a.dispose()}}t.$Xc=f;class h{constructor(Q){this.b=Q,this.a=1}acquire(){return this.a++,this}release(){return--this.a===0&&this.b.dispose(),this}}t.$Yc=h;class L{constructor(){this.dispose=()=>{},this.unset=()=>{},this.isset=()=>!1,p(this)}set(Q){let I=Q;return this.unset=()=>I=void 0,this.isset=()=>I!==void 0,this.dispose=()=>{I&&(I(),I=void 0,d(this))},this}}t.$Zc=L;class A{constructor(){this.a=new Map}acquire(Q,...I){let S=this.a.get(Q);S||(S={counter:0,object:this.b(Q,...I)},this.a.set(Q,S));const{object:W}=S,Y=(0,c.$db)(()=>{--S.counter===0&&(this.c(Q,S.object),this.a.delete(Q))});return S.counter++,{object:W,dispose:Y}}}t.$1c=A;class R{constructor(Q){this.a=Q}async acquire(Q,...I){const S=this.a.acquire(Q,...I);try{return{object:await S.object,dispose:()=>S.dispose()}}catch(W){throw S.dispose(),W}}}t.$2c=R;class F{constructor(Q){this.object=Q}dispose(){}}t.$3c=F;function k(x){const Q=new l;try{x(Q)}finally{Q.dispose()}}class T{constructor(){this.a=new Map,this.b=!1,p(this)}dispose(){d(this),this.b=!0,this.clearAndDisposeAll()}clearAndDisposeAll(){if(this.a.size)try{w(this.a.values())}finally{this.a.clear()}}has(Q){return this.a.has(Q)}get size(){return this.a.size}get(Q){return this.a.get(Q)}set(Q,I,S=!1){this.b&&console.warn(new Error("Trying to add a disposable to a DisposableMap that has already been disposed of. The added object will be leaked!").stack),S||this.a.get(Q)?.dispose(),this.a.set(Q,I)}deleteAndDispose(Q){this.a.get(Q)?.dispose(),this.a.delete(Q)}keys(){return this.a.keys()}values(){return this.a.values()}[Symbol.iterator](){return this.a[Symbol.iterator]()}}t.$5c=T}),ie(se[23],ae([0,1]),function(B,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.$ae=void 0;const i=globalThis.performance&&typeof globalThis.performance.now=="function";class y{static create(c){return new y(c)}constructor(c){this.c=i&&c===!1?Date.now:globalThis.performance.now.bind(globalThis.performance),this.a=this.c(),this.b=-1}stop(){this.b=this.c()}reset(){this.a=this.c(),this.b=-1}elapsed(){return this.b!==-1?this.b-this.a:this.c()-this.a}}t.$ae=y}),ie(se[12],ae([0,1,3,20,11,22,23]),function(B,t,i,y,M,c,$){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.$oe=t.$ne=t.$me=t.$le=t.$ke=t.$je=t.$ie=t.$he=t.$ge=t.$fe=t.$ee=t.$ce=t.Event=void 0,t.$de=b;const g=!1,a=!1,u=!1;var o;(function(I){I.None=()=>M.$Vc.None;function S(re){if(u){const{onDidAddListener:U}=re,ue=m.create();let ne=0;re.onDidAddListener=()=>{++ne===2&&(console.warn("snapshotted emitter LIKELY used public and SHOULD HAVE BEEN created with DisposableStore. snapshotted here"),ue.print()),U?.()}}}function W(re,U){return fe(re,()=>{},0,void 0,!0,void 0,U)}I.defer=W;function Y(re){return(U,ue=null,ne)=>{let oe=!1,ce;return ce=re(be=>{if(!oe)return ce?ce.dispose():oe=!0,U.call(ue,be)},null,ne),oe&&ce.dispose(),ce}}I.once=Y;function Z(re,U,ue){return X((ne,oe=null,ce)=>re(be=>ne.call(oe,U(be)),null,ce),ue)}I.map=Z;function H(re,U,ue){return X((ne,oe=null,ce)=>re(be=>{U(be),ne.call(oe,be)},null,ce),ue)}I.forEach=H;function G(re,U,ue){return X((ne,oe=null,ce)=>re(be=>U(be)&&ne.call(oe,be),null,ce),ue)}I.filter=G;function K(re){return re}I.signal=K;function ee(...re){return(U,ue=null,ne)=>{const oe=(0,M.$Sc)(...re.map(ce=>ce(be=>U.call(ue,be))));return de(oe,ne)}}I.any=ee;function P(re,U,ue,ne){let oe=ue;return Z(re,ce=>(oe=U(oe,ce),oe),ne)}I.reduce=P;function X(re,U){let ue;const ne={onWillAddFirstListener(){ue=re(oe.fire,oe)},onDidRemoveLastListener(){ue?.dispose()}};U||S(ne);const oe=new l(ne);return U?.add(oe),oe.event}function de(re,U){return U instanceof Array?U.push(re):U&&U.add(re),re}function fe(re,U,ue=100,ne=!1,oe=!1,ce,be){let we,Le,Pe,Ee=0,Se;const Be={leakWarningThreshold:ce,onWillAddFirstListener(){we=re(We=>{Ee++,Le=U(Le,We),ne&&!Pe&&(xe.fire(Le),Le=void 0),Se=()=>{const Oe=Le;Le=void 0,Pe=void 0,(!ne||Ee>1)&&xe.fire(Oe),Ee=0},typeof ue=="number"?(clearTimeout(Pe),Pe=setTimeout(Se,ue)):Pe===void 0&&(Pe=0,queueMicrotask(Se))})},onWillRemoveListener(){oe&&Ee>0&&Se?.()},onDidRemoveLastListener(){Se=void 0,we.dispose()}};be||S(Be);const xe=new l(Be);return be?.add(xe),xe.event}I.debounce=fe;function ve(re,U=0,ue){return I.debounce(re,(ne,oe)=>ne?(ne.push(oe),ne):[oe],U,void 0,!0,void 0,ue)}I.accumulate=ve;function r(re,U=(ne,oe)=>ne===oe,ue){let ne=!0,oe;return G(re,ce=>{const be=ne||!U(ce,oe);return ne=!1,oe=ce,be},ue)}I.latch=r;function je(re,U,ue){return[I.filter(re,U,ue),I.filter(re,ne=>!U(ne),ue)]}I.split=je;function Ae(re,U=!1,ue=[],ne){let oe=ue.slice(),ce=re(Le=>{oe?oe.push(Le):we.fire(Le)});ne&&ne.add(ce);const be=()=>{oe?.forEach(Le=>we.fire(Le)),oe=null},we=new l({onWillAddFirstListener(){ce||(ce=re(Le=>we.fire(Le)),ne&&ne.add(ce))},onDidAddFirstListener(){oe&&(U?setTimeout(be):be())},onDidRemoveLastListener(){ce&&ce.dispose(),ce=null}});return ne&&ne.add(we),we.event}I.buffer=Ae;function qe(re,U){return(ne,oe,ce)=>{const be=U(new Fe);return re(function(we){const Le=be.evaluate(we);Le!==De&&ne.call(oe,Le)},void 0,ce)}}I.chain=qe;const De=Symbol("HaltChainable");class Fe{constructor(){this.f=[]}map(U){return this.f.push(U),this}forEach(U){return this.f.push(ue=>(U(ue),ue)),this}filter(U){return this.f.push(ue=>U(ue)?ue:De),this}reduce(U,ue){let ne=ue;return this.f.push(oe=>(ne=U(ne,oe),ne)),this}latch(U=(ue,ne)=>ue===ne){let ue=!0,ne;return this.f.push(oe=>{const ce=ue||!U(oe,ne);return ue=!1,ne=oe,ce?oe:De}),this}evaluate(U){for(const ue of this.f)if(U=ue(U),U===De)break;return U}}function Te(re,U,ue=ne=>ne){const ne=(...we)=>be.fire(ue(...we)),oe=()=>re.on(U,ne),ce=()=>re.removeListener(U,ne),be=new l({onWillAddFirstListener:oe,onDidRemoveLastListener:ce});return be.event}I.fromNodeEventEmitter=Te;function V(re,U,ue=ne=>ne){const ne=(...we)=>be.fire(ue(...we)),oe=()=>re.addEventListener(U,ne),ce=()=>re.removeEventListener(U,ne),be=new l({onWillAddFirstListener:oe,onDidRemoveLastListener:ce});return be.event}I.fromDOMEventEmitter=V;function C(re){return new Promise(U=>Y(re)(U))}I.toPromise=C;function O(re){const U=new l;return re.then(ue=>{U.fire(ue)},()=>{U.fire(void 0)}).finally(()=>{U.dispose()}),U.event}I.fromPromise=O;function J(re,U,ue){return U(ue),re(ne=>U(ne))}I.runAndSubscribe=J;class te{constructor(U,ue){this._observable=U,this.f=0,this.g=!1;const ne={onWillAddFirstListener:()=>{U.addObserver(this)},onDidRemoveLastListener:()=>{U.removeObserver(this)}};ue||S(ne),this.emitter=new l(ne),ue&&ue.add(this.emitter)}beginUpdate(U){this.f++}handlePossibleChange(U){}handleChange(U,ue){this.g=!0}endUpdate(U){this.f--,this.f===0&&(this._observable.reportChanges(),this.g&&(this.g=!1,this.emitter.fire(this._observable.get())))}}function he(re,U){return new te(re,U).emitter.event}I.fromObservable=he;function me(re){return(U,ue,ne)=>{let oe=0,ce=!1;const be={beginUpdate(){oe++},endUpdate(){oe--,oe===0&&(re.reportChanges(),ce&&(ce=!1,U.call(ue)))},handlePossibleChange(){},handleChange(){ce=!0}};re.addObserver(be),re.reportChanges();const we={dispose(){re.removeObserver(be)}};return ne instanceof M.$Uc?ne.add(we):Array.isArray(ne)&&ne.push(we),we}}I.fromObservableLight=me})(o||(t.Event=o={}));class p{static{this.all=new Set}static{this.f=0}constructor(S){this.listenerCount=0,this.invocationCount=0,this.elapsedOverall=0,this.durations=[],this.name=`${S}_${p.f++}`,p.all.add(this)}start(S){this.g=new $.$ae,this.listenerCount=S}stop(){if(this.g){const S=this.g.elapsed();this.durations.push(S),this.elapsedOverall+=S,this.invocationCount+=1,this.g=void 0}}}t.$ce=p;let d=-1;function b(I){const S=d;return d=I,{dispose(){d=S}}}class e{constructor(S,W=Math.random().toString(18).slice(2,5)){this.threshold=S,this.name=W,this.g=0}dispose(){this.f?.clear()}check(S,W){const Y=this.threshold;if(Y<=0||W<Y)return;this.f||(this.f=new Map);const Z=this.f.get(S.value)||0;if(this.f.set(S.value,Z+1),this.g-=1,this.g<=0){this.g=Y*.5;let H,G=0;for(const[K,ee]of this.f)(!H||G<ee)&&(H=K,G=ee);console.warn(`[${this.name}] potential listener LEAK detected, having ${W} listeners already. MOST frequent listener (${G}):`),console.warn(H)}return()=>{const H=this.f.get(S.value)||0;this.f.set(S.value,H-1)}}}class m{static create(){return new m(new Error().stack??"")}constructor(S){this.value=S}print(){console.warn(this.value.split(`
`).slice(2).join(`
`))}}let j=0;class w{constructor(S){this.value=S,this.id=j++}}const v=2,N=(I,S)=>{if(I instanceof w)S(I);else for(let W=0;W<I.length;W++){const Y=I[W];Y&&S(Y)}},E=g?new FinalizationRegistry(I=>{typeof I=="string"&&(console.warn("[LEAKING LISTENER] GC'ed a listener that was NOT yet disposed. This is where is was created:"),console.warn(I))}):void 0;class l{constructor(S){this.w=0,this.f=S,this.g=d>0||this.f?.leakWarningThreshold?new e(this.f?.leakWarningThreshold??d):void 0,this.j=this.f?._profName?new p(this.f._profName):void 0,this.u=this.f?.deliveryQueue}dispose(){if(!this.m){if(this.m=!0,this.u?.current===this&&this.u.reset(),this.t){if(a){const S=this.t;queueMicrotask(()=>{N(S,W=>W.stack?.print())})}this.t=void 0,this.w=0}this.f?.onDidRemoveLastListener?.(),this.g?.dispose()}}get event(){return this.q??=(S,W,Y)=>{if(this.g&&this.w>this.g.threshold*3)return console.warn(`[${this.g.name}] REFUSES to accept new listeners because it exceeded its threshold by far`),M.$Vc.None;if(this.m)return M.$Vc.None;W&&(S=S.bind(W));const Z=new w(S);let H,G;this.g&&this.w>=Math.ceil(this.g.threshold*.2)&&(Z.stack=m.create(),H=this.g.check(Z.stack,this.w+1)),a&&(Z.stack=G??m.create()),this.t?this.t instanceof w?(this.u??=new s,this.t=[this.t,Z]):this.t.push(Z):(this.f?.onWillAddFirstListener?.(this),this.t=Z,this.f?.onDidAddFirstListener?.(this)),this.w++;const K=(0,M.$Tc)(()=>{E?.unregister(K),H?.(),this.x(Z)});if(Y instanceof M.$Uc?Y.add(K):Array.isArray(Y)&&Y.push(K),E){const ee=new Error().stack.split(`
`).slice(2).join(`
`).trim();E.register(K,ee,K)}return K},this.q}x(S){if(this.f?.onWillRemoveListener?.(this),!this.t)return;if(this.w===1){this.t=void 0,this.f?.onDidRemoveLastListener?.(this),this.w=0;return}const W=this.t,Y=W.indexOf(S);if(Y===-1)throw console.log("disposed?",this.m),console.log("size?",this.w),console.log("arr?",JSON.stringify(this.t)),new Error("Attempted to dispose unknown listener");this.w--,W[Y]=void 0;const Z=this.u.current===this;if(this.w*v<=W.length){let H=0;for(let G=0;G<W.length;G++)W[G]?W[H++]=W[G]:Z&&(this.u.end--,H<this.u.i&&this.u.i--);W.length=H}}y(S,W){if(!S)return;const Y=this.f?.onListenerError||i.$1;if(!Y){S.value(W);return}try{S.value(W)}catch(Z){Y(Z)}}z(S){const W=S.current.t;for(;S.i<S.end;)this.y(W[S.i++],S.value);S.reset()}fire(S){if(this.u?.current&&(this.z(this.u),this.j?.stop()),this.j?.start(this.w),this.t)if(this.t instanceof w)this.y(this.t,S);else{const W=this.u;W.enqueue(this,S,this.t.length),this.z(W)}this.j?.stop()}hasListeners(){return this.w>0}}t.$ee=l;const n=()=>new s;t.$fe=n;class s{constructor(){this.i=-1,this.end=0}enqueue(S,W,Y){this.i=0,this.end=Y,this.current=S,this.value=W}reset(){this.i=this.end,this.current=void 0,this.value=void 0}}class f extends l{async fireAsync(S,W,Y){if(this.t)for(this.h||(this.h=new c.$6c),N(this.t,Z=>this.h.push([Z.value,S]));this.h.size>0&&!W.isCancellationRequested;){const[Z,H]=this.h.shift(),G=[],K={...H,token:W,waitUntil:ee=>{if(Object.isFrozen(G))throw new Error("waitUntil can NOT be called asynchronous");Y&&(ee=Y(ee,Z)),G.push(ee)}};try{Z(K)}catch(ee){(0,i.$1)(ee);continue}Object.freeze(G),await Promise.allSettled(G).then(ee=>{for(const P of ee)P.status==="rejected"&&(0,i.$1)(P.reason)})}}}t.$ge=f;class h extends l{get isPaused(){return this.h!==0}constructor(S){super(S),this.h=0,this.s=new c.$6c,this.A=S?.merge}pause(){this.h++}resume(){if(this.h!==0&&--this.h===0)if(this.A){if(this.s.size>0){const S=Array.from(this.s);this.s.clear(),super.fire(this.A(S))}}else for(;!this.h&&this.s.size!==0;)super.fire(this.s.shift())}fire(S){this.w&&(this.h!==0?this.s.push(S):super.fire(S))}}t.$he=h;class L extends h{constructor(S){super(S),this.k=S.delay??100}fire(S){this.o||(this.pause(),this.o=setTimeout(()=>{this.o=void 0,this.resume()},this.k)),super.fire(S)}}t.$ie=L;class A extends l{constructor(S){super(S),this.h=[],this.k=S?.merge}fire(S){this.hasListeners()&&(this.h.push(S),this.h.length===1&&queueMicrotask(()=>{this.k?super.fire(this.k(this.h)):this.h.forEach(W=>super.fire(W)),this.h=[]}))}}t.$je=A;class R{constructor(){this.g=!1,this.h=[],this.f=new l({onWillAddFirstListener:()=>this.j(),onDidRemoveLastListener:()=>this.k()})}get event(){return this.f.event}add(S){const W={event:S,listener:null};this.h.push(W),this.g&&this.m(W);const Y=()=>{this.g&&this.o(W);const Z=this.h.indexOf(W);this.h.splice(Z,1)};return(0,M.$Tc)((0,y.$db)(Y))}j(){this.g=!0,this.h.forEach(S=>this.m(S))}k(){this.g=!1,this.h.forEach(S=>this.o(S))}m(S){S.listener=S.event(W=>this.f.fire(W))}o(S){S.listener?.dispose(),S.listener=null}dispose(){this.f.dispose();for(const S of this.h)S.listener?.dispose();this.h=[]}}t.$ke=R;class F{constructor(S,W,Y,Z){this.f=new M.$Uc;const H=this.f.add(new R),G=this.f.add(new M.$5c);function K(ee){G.set(ee,H.add(Z(ee)))}for(const ee of S)K(ee);this.f.add(W(ee=>{K(ee)})),this.f.add(Y(ee=>{G.deleteAndDispose(ee)})),this.event=H.event}dispose(){this.f.dispose()}}t.$le=F;class k{constructor(){this.f=[]}wrapEvent(S){return(W,Y,Z)=>S(H=>{const G=this.f[this.f.length-1];G?G.push(()=>W.call(Y,H)):W.call(Y,H)},void 0,Z)}bufferEvents(S){const W=[];this.f.push(W);const Y=S();return this.f.pop(),W.forEach(Z=>Z()),Y}}t.$me=k;class T{constructor(){this.f=!1,this.g=o.None,this.h=M.$Vc.None,this.j=new l({onDidAddFirstListener:()=>{this.f=!0,this.h=this.g(this.j.fire,this.j)},onDidRemoveLastListener:()=>{this.f=!1,this.h.dispose()}}),this.event=this.j.event}set input(S){this.g=S,this.f&&(this.h.dispose(),this.h=S(this.j.fire,this.j))}dispose(){this.h.dispose(),this.j.dispose()}}t.$ne=T;class x{static const(S){return new Q(S)}constructor(S){this.g=S,this.f=new l,this.onDidChange=this.f.event}get value(){return this.g}set value(S){S!==this.g&&(this.g=S,this.f.fire(void 0))}}t.$oe=x;class Q{constructor(S){this.value=S,this.onDidChange=o.None}}}),ie(se[24],ae([0,1,12]),function(B,t,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.$pe=t.CancellationToken=void 0,t.$qe=g;const y=Object.freeze(function(a,u){const o=setTimeout(a.bind(u),0);return{dispose(){clearTimeout(o)}}});var M;(function(a){function u(o){return o===a.None||o===a.Cancelled||o instanceof c?!0:!o||typeof o!="object"?!1:typeof o.isCancellationRequested=="boolean"&&typeof o.onCancellationRequested=="function"}a.isCancellationToken=u,a.None=Object.freeze({isCancellationRequested:!1,onCancellationRequested:i.Event.None}),a.Cancelled=Object.freeze({isCancellationRequested:!0,onCancellationRequested:y})})(M||(t.CancellationToken=M={}));class c{constructor(){this.a=!1,this.b=null}cancel(){this.a||(this.a=!0,this.b&&(this.b.fire(void 0),this.dispose()))}get isCancellationRequested(){return this.a}get onCancellationRequested(){return this.a?y:(this.b||(this.b=new i.$ee),this.b.event)}dispose(){this.b&&(this.b.dispose(),this.b=null)}}class ${constructor(u){this.f=void 0,this.g=void 0,this.g=u&&u.onCancellationRequested(this.cancel,this)}get token(){return this.f||(this.f=new c),this.f}cancel(){this.f?this.f instanceof c&&this.f.cancel():this.f=M.Cancelled}dispose(u=!1){u&&this.cancel(),this.g?.dispose(),this.f?this.f instanceof c&&this.f.dispose():this.f=M.None}}t.$pe=$;function g(a){const u=new $;return a.add({dispose(){u.cancel()}}),u.token}}),ie(se[41],ae([0,1,24]),function(B,t,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.$5e=t.$4e=t.$2e=void 0,t.$3e=M;class y{constructor(a){this.b=a,this.a=null}get(){if(this.a)return this.a;const a=new i.$pe,u=this.b(a.token);return this.a={promise:u,dispose:()=>{this.a=null,a.cancel(),a.dispose()}},this.a}}t.$2e=y;function M(g){return g}class c{constructor(a,u){this.a=void 0,this.b=void 0,typeof a=="function"?(this.c=a,this.d=M):(this.c=u,this.d=a.getCacheKey)}get(a){const u=this.d(a);return this.b!==u&&(this.b=u,this.a=this.c(a)),this.a}}t.$4e=c;class ${get cachedValues(){return this.a}constructor(a,u){this.a=new Map,this.b=new Map,typeof a=="function"?(this.c=a,this.d=M):(this.c=u,this.d=a.getCacheKey)}get(a){const u=this.d(a);if(this.b.has(u))return this.b.get(u);const o=this.c(a);return this.a.set(a,o),this.b.set(u,o),o}}t.$5e=$}),ie(se[7],ae([0,1,41,40]),function(B,t,i,y){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.$8f=t.$7f=t.$6f=t.GraphemeBreakType=t.$Vf=t.$Of=t.$Hf=t.$Gf=void 0,t.$8e=M,t.$9e=$,t.$0e=a,t.$$e=u,t.$_e=o,t.$af=p,t.$bf=d,t.$cf=b,t.$df=e,t.$ef=m,t.$ff=j,t.$gf=w,t.$hf=v,t.$if=N,t.$jf=E,t.$kf=l,t.$lf=n,t.$mf=s,t.$nf=f,t.$of=h,t.$pf=L,t.$qf=A,t.$rf=R,t.$sf=F,t.$tf=k,t.$uf=T,t.$vf=x,t.$wf=Q,t.$xf=I,t.$yf=S,t.$zf=W,t.$Af=Y,t.$Bf=Z,t.$Cf=H,t.$Df=G,t.$Ef=K,t.$Ff=ee,t.$If=fe,t.$Jf=ve,t.$Kf=r,t.$Lf=je,t.$Mf=De,t.$Nf=Te,t.$Pf=V,t.$Qf=C,t.$Rf=O,t.$Sf=J,t.$Tf=he,t.$Uf=me,t.$Wf=re,t.$Xf=U,t.$Yf=ue,t.$Zf=ne,t.$1f=oe,t.$2f=ce,t.$3f=be,t.$4f=we,t.$5f=Be;function M(D){return!D||typeof D!="string"?!0:D.trim().length===0}const c=/{(\d+)}/g;function $(D,...q){return q.length===0?D:D.replace(c,function(z,_){const le=parseInt(_,10);return isNaN(le)||le<0||le>=q.length?z:q[le]})}const g=/{([^}]+)}/g;function a(D,q){return Object.keys(q).length===0?D:D.replace(g,(z,_)=>q[_]??z)}function u(D){return D.replace(/[<>"'&]/g,q=>{switch(q){case"<":return"&lt;";case">":return"&gt;";case'"':return"&quot;";case"'":return"&apos;";case"&":return"&amp;"}return q})}function o(D){return D.replace(/[<>&]/g,function(q){switch(q){case"<":return"&lt;";case">":return"&gt;";case"&":return"&amp;";default:return q}})}function p(D){return D.replace(/[\\\{\}\*\+\?\|\^\$\.\[\]\(\)]/g,"\\$&")}function d(D,q){let z=0;const _=q.charCodeAt(0);for(let le=D.length-1;le>=0;le--)D.charCodeAt(le)===_&&z++;return z}function b(D,q,z="\u2026"){return D.length<=q?D:`${D.substr(0,q)}${z}`}function e(D,q,z="\u2026"){if(D.length<=q)return D;const _=Math.ceil(q/2)-z.length/2,le=Math.floor(q/2)-z.length/2;return`${D.substr(0,_)}${z}${D.substr(D.length-le)}`}function m(D,q=" "){const z=j(D,q);return w(z,q)}function j(D,q){if(!D||!q)return D;const z=q.length;if(z===0||D.length===0)return D;let _=0;for(;D.indexOf(q,_)===_;)_=_+z;return D.substring(_)}function w(D,q){if(!D||!q)return D;const z=q.length,_=D.length;if(z===0||_===0)return D;let le=_,ge=-1;for(;ge=D.lastIndexOf(q,le-1),!(ge===-1||ge+z!==le);){if(ge===0)return"";le=ge}return D.substring(0,le)}function v(D){return D.replace(/[\-\\\{\}\+\?\|\^\$\.\,\[\]\(\)\#\s]/g,"\\$&").replace(/[\*]/g,".*")}function N(D){return D.replace(/\*/g,"")}function E(D,q,z={}){if(!D)throw new Error("Cannot create regex from empty string");q||(D=p(D)),z.wholeWord&&(/\B/.test(D.charAt(0))||(D="\\b"+D),/\B/.test(D.charAt(D.length-1))||(D=D+"\\b"));let _="";return z.global&&(_+="g"),z.matchCase||(_+="i"),z.multiline&&(_+="m"),z.unicode&&(_+="u"),new RegExp(D,_)}function l(D){return D.source==="^"||D.source==="^$"||D.source==="$"||D.source==="^\\s*$"?!1:!!(D.exec("")&&D.lastIndex===0)}function n(D){return D.split(/\r\n|\r|\n/)}function s(D){const q=[],z=D.split(/(\r\n|\r|\n)/);for(let _=0;_<Math.ceil(z.length/2);_++)q.push(z[2*_]+(z[2*_+1]??""));return q}function f(D){for(let q=0,z=D.length;q<z;q++){const _=D.charCodeAt(q);if(_!==32&&_!==9)return q}return-1}function h(D,q=0,z=D.length){for(let _=q;_<z;_++){const le=D.charCodeAt(_);if(le!==32&&le!==9)return D.substring(q,_)}return D.substring(q,z)}function L(D,q=D.length-1){for(let z=q;z>=0;z--){const _=D.charCodeAt(z);if(_!==32&&_!==9)return z}return-1}function A(D,q,z){const _=[];let le=0;for(const ge of D.matchAll(q)){if(_.push(D.slice(le,ge.index)),ge.index===void 0)throw new Error("match.index should be defined");le=ge.index+ge[0].length,_.push(z(ge[0],...ge.slice(1),ge.index,D,ge.groups))}return _.push(D.slice(le)),Promise.all(_).then(ge=>ge.join(""))}function R(D,q){return D<q?-1:D>q?1:0}function F(D,q,z=0,_=D.length,le=0,ge=q.length){for(;z<_&&le<ge;z++,le++){const Re=D.charCodeAt(z),Me=q.charCodeAt(le);if(Re<Me)return-1;if(Re>Me)return 1}const Ne=_-z,ke=ge-le;return Ne<ke?-1:Ne>ke?1:0}function k(D,q){return T(D,q,0,D.length,0,q.length)}function T(D,q,z=0,_=D.length,le=0,ge=q.length){for(;z<_&&le<ge;z++,le++){let Re=D.charCodeAt(z),Me=q.charCodeAt(le);if(Re===Me)continue;if(Re>=128||Me>=128)return F(D.toLowerCase(),q.toLowerCase(),z,_,le,ge);Q(Re)&&(Re-=32),Q(Me)&&(Me-=32);const pe=Re-Me;if(pe!==0)return pe}const Ne=_-z,ke=ge-le;return Ne<ke?-1:Ne>ke?1:0}function x(D){return D>=48&&D<=57}function Q(D){return D>=97&&D<=122}function I(D){return D>=65&&D<=90}function S(D,q){return D.length===q.length&&T(D,q)===0}function W(D,q){const z=q.length;return q.length>D.length?!1:T(D,q,0,z)===0}function Y(D,q){const z=Math.min(D.length,q.length);let _;for(_=0;_<z;_++)if(D.charCodeAt(_)!==q.charCodeAt(_))return _;return z}function Z(D,q){const z=Math.min(D.length,q.length);let _;const le=D.length-1,ge=q.length-1;for(_=0;_<z;_++)if(D.charCodeAt(le-_)!==q.charCodeAt(ge-_))return _;return z}function H(D){return 55296<=D&&D<=56319}function G(D){return 56320<=D&&D<=57343}function K(D,q){return(D-55296<<10)+(q-56320)+65536}function ee(D,q,z){const _=D.charCodeAt(z);if(H(_)&&z+1<q){const le=D.charCodeAt(z+1);if(G(le))return K(_,le)}return _}function P(D,q){const z=D.charCodeAt(q-1);if(G(z)&&q>1){const _=D.charCodeAt(q-2);if(H(_))return K(_,z)}return z}class X{get offset(){return this.e}constructor(q,z=0){this.c=q,this.d=q.length,this.e=z}setOffset(q){this.e=q}prevCodePoint(){const q=P(this.c,this.e);return this.e-=q>=65536?2:1,q}nextCodePoint(){const q=ee(this.c,this.d,this.e);return this.e+=q>=65536?2:1,q}eol(){return this.e>=this.d}}t.$Gf=X;class de{get offset(){return this.c.offset}constructor(q,z=0){this.c=new X(q,z)}nextGraphemeLength(){const q=Ee.getInstance(),z=this.c,_=z.offset;let le=q.getGraphemeBreakType(z.nextCodePoint());for(;!z.eol();){const ge=z.offset,Ne=q.getGraphemeBreakType(z.nextCodePoint());if(Le(le,Ne)){z.setOffset(ge);break}le=Ne}return z.offset-_}prevGraphemeLength(){const q=Ee.getInstance(),z=this.c,_=z.offset;let le=q.getGraphemeBreakType(z.prevCodePoint());for(;z.offset>0;){const ge=z.offset,Ne=q.getGraphemeBreakType(z.prevCodePoint());if(Le(Ne,le)){z.setOffset(ge);break}le=Ne}return _-z.offset}eol(){return this.c.eol()}}t.$Hf=de;function fe(D,q){return new de(D,q).nextGraphemeLength()}function ve(D,q){return new de(D,q).prevGraphemeLength()}function r(D,q){q>0&&G(D.charCodeAt(q))&&q--;const z=q+fe(D,q);return[z-ve(D,z),z]}function je(D){const q=new de(D);let z=0;for(;!q.eol();)z++,q.nextGraphemeLength();return z}let Ae;function qe(){return/(?:[\u05BE\u05C0\u05C3\u05C6\u05D0-\u05F4\u0608\u060B\u060D\u061B-\u064A\u066D-\u066F\u0671-\u06D5\u06E5\u06E6\u06EE\u06EF\u06FA-\u0710\u0712-\u072F\u074D-\u07A5\u07B1-\u07EA\u07F4\u07F5\u07FA\u07FE-\u0815\u081A\u0824\u0828\u0830-\u0858\u085E-\u088E\u08A0-\u08C9\u200F\uFB1D\uFB1F-\uFB28\uFB2A-\uFD3D\uFD50-\uFDC7\uFDF0-\uFDFC\uFE70-\uFEFC]|\uD802[\uDC00-\uDD1B\uDD20-\uDE00\uDE10-\uDE35\uDE40-\uDEE4\uDEEB-\uDF35\uDF40-\uDFFF]|\uD803[\uDC00-\uDD23\uDE80-\uDEA9\uDEAD-\uDF45\uDF51-\uDF81\uDF86-\uDFF6]|\uD83A[\uDC00-\uDCCF\uDD00-\uDD43\uDD4B-\uDFFF]|\uD83B[\uDC00-\uDEBB])/}function De(D){return Ae||(Ae=qe()),Ae.test(D)}const Fe=/^[\t\n\r\x20-\x7E]*$/;function Te(D){return Fe.test(D)}t.$Of=/[\u2028\u2029]/;function V(D){return t.$Of.test(D)}function C(D){return D>=11904&&D<=55215||D>=63744&&D<=64255||D>=65281&&D<=65374}function O(D){return D>=127462&&D<=127487||D===8986||D===8987||D===9200||D===9203||D>=9728&&D<=10175||D===11088||D===11093||D>=127744&&D<=128591||D>=128640&&D<=128764||D>=128992&&D<=129008||D>=129280&&D<=129535||D>=129648&&D<=129782}function J(D,q,z=""){const _=D.trimStart();if(_.length<q)return _;const le=/\b/g;let ge=0;for(;le.test(_)&&!(_.length-le.lastIndex<q);)ge=le.lastIndex,le.lastIndex+=1;return ge===0?_:z+_.substring(ge).trimStart()}const te=/(:?(:?\x1b\[|\x9B)[=?>!]?[\d;:]*["$#'* ]?[a-zA-Z@^`{}|~])|(:?\x1b\].*?\x07)/g;function*he(D){let q=0;for(const z of D.matchAll(te))q!==z.index&&(yield{isCode:!1,str:D.substring(q,z.index)}),yield{isCode:!0,str:z[0]},q=z.index+z[0].length;q!==D.length&&(yield{isCode:!1,str:D.substring(q)})}function me(D){return D&&(D=D.replace(te,"")),D}t.$Vf="\uFEFF";function re(D){return!!(D&&D.length>0&&D.charCodeAt(0)===65279)}function U(D){return re(D)?D.substr(1):D}function ue(D,q){if(!D||!q||D.length<q.length)return!1;const z=q.length,_=D.toLowerCase();let le=0,ge=-1;for(;le<z;){const Ne=_.indexOf(q[le],ge+1);if(Ne<0)return!1;ge=Ne,le++}return!0}function ne(D,q=!1){return D?(q&&(D=D.replace(/\\./g,"")),D.toLowerCase()!==D):!1}function oe(D){return D.charAt(0).toUpperCase()+D.slice(1)}function ce(D,q=1){if(q===0)return"";let z=-1;do z=D.indexOf(`
`,z+1),q--;while(q>0&&z>=0);return z===-1?D:(D[z-1]==="\r"&&z--,D.substr(0,z))}function be(D){return D=D%(2*26),D<26?String.fromCharCode(97+D):String.fromCharCode(65+D-26)}function we(D){return Ee.getInstance().getGraphemeBreakType(D)}function Le(D,q){return D===0?q!==5&&q!==7:D===2&&q===3?!1:D===4||D===2||D===3||q===4||q===2||q===3?!0:!(D===8&&(q===8||q===9||q===11||q===12)||(D===11||D===9)&&(q===9||q===10)||(D===12||D===10)&&q===10||q===5||q===13||q===7||D===1||D===13&&q===14||D===6&&q===6)}var Pe;(function(D){D[D.Other=0]="Other",D[D.Prepend=1]="Prepend",D[D.CR=2]="CR",D[D.LF=3]="LF",D[D.Control=4]="Control",D[D.Extend=5]="Extend",D[D.Regional_Indicator=6]="Regional_Indicator",D[D.SpacingMark=7]="SpacingMark",D[D.L=8]="L",D[D.V=9]="V",D[D.T=10]="T",D[D.LV=11]="LV",D[D.LVT=12]="LVT",D[D.ZWJ=13]="ZWJ",D[D.Extended_Pictographic=14]="Extended_Pictographic"})(Pe||(t.GraphemeBreakType=Pe={}));class Ee{static{this.c=null}static getInstance(){return Ee.c||(Ee.c=new Ee),Ee.c}constructor(){this.d=Se()}getGraphemeBreakType(q){if(q<32)return q===10?3:q===13?2:4;if(q<127)return 0;const z=this.d,_=z.length/3;let le=1;for(;le<=_;)if(q<z[3*le])le=2*le;else if(q>z[3*le+1])le=2*le+1;else return z[3*le+2];return 0}}function Se(){return JSON.parse("[0,0,0,51229,51255,12,44061,44087,12,127462,127487,6,7083,7085,5,47645,47671,12,54813,54839,12,128678,128678,14,3270,3270,5,9919,9923,14,45853,45879,12,49437,49463,12,53021,53047,12,71216,71218,7,128398,128399,14,129360,129374,14,2519,2519,5,4448,4519,9,9742,9742,14,12336,12336,14,44957,44983,12,46749,46775,12,48541,48567,12,50333,50359,12,52125,52151,12,53917,53943,12,69888,69890,5,73018,73018,5,127990,127990,14,128558,128559,14,128759,128760,14,129653,129655,14,2027,2035,5,2891,2892,7,3761,3761,5,6683,6683,5,8293,8293,4,9825,9826,14,9999,9999,14,43452,43453,5,44509,44535,12,45405,45431,12,46301,46327,12,47197,47223,12,48093,48119,12,48989,49015,12,49885,49911,12,50781,50807,12,51677,51703,12,52573,52599,12,53469,53495,12,54365,54391,12,65279,65279,4,70471,70472,7,72145,72147,7,119173,119179,5,127799,127818,14,128240,128244,14,128512,128512,14,128652,128652,14,128721,128722,14,129292,129292,14,129445,129450,14,129734,129743,14,1476,1477,5,2366,2368,7,2750,2752,7,3076,3076,5,3415,3415,5,4141,4144,5,6109,6109,5,6964,6964,5,7394,7400,5,9197,9198,14,9770,9770,14,9877,9877,14,9968,9969,14,10084,10084,14,43052,43052,5,43713,43713,5,44285,44311,12,44733,44759,12,45181,45207,12,45629,45655,12,46077,46103,12,46525,46551,12,46973,46999,12,47421,47447,12,47869,47895,12,48317,48343,12,48765,48791,12,49213,49239,12,49661,49687,12,50109,50135,12,50557,50583,12,51005,51031,12,51453,51479,12,51901,51927,12,52349,52375,12,52797,52823,12,53245,53271,12,53693,53719,12,54141,54167,12,54589,54615,12,55037,55063,12,69506,69509,5,70191,70193,5,70841,70841,7,71463,71467,5,72330,72342,5,94031,94031,5,123628,123631,5,127763,127765,14,127941,127941,14,128043,128062,14,128302,128317,14,128465,128467,14,128539,128539,14,128640,128640,14,128662,128662,14,128703,128703,14,128745,128745,14,129004,129007,14,129329,129330,14,129402,129402,14,129483,129483,14,129686,129704,14,130048,131069,14,173,173,4,1757,1757,1,2200,2207,5,2434,2435,7,2631,2632,5,2817,2817,5,3008,3008,5,3201,3201,5,3387,3388,5,3542,3542,5,3902,3903,7,4190,4192,5,6002,6003,5,6439,6440,5,6765,6770,7,7019,7027,5,7154,7155,7,8205,8205,13,8505,8505,14,9654,9654,14,9757,9757,14,9792,9792,14,9852,9853,14,9890,9894,14,9937,9937,14,9981,9981,14,10035,10036,14,11035,11036,14,42654,42655,5,43346,43347,7,43587,43587,5,44006,44007,7,44173,44199,12,44397,44423,12,44621,44647,12,44845,44871,12,45069,45095,12,45293,45319,12,45517,45543,12,45741,45767,12,45965,45991,12,46189,46215,12,46413,46439,12,46637,46663,12,46861,46887,12,47085,47111,12,47309,47335,12,47533,47559,12,47757,47783,12,47981,48007,12,48205,48231,12,48429,48455,12,48653,48679,12,48877,48903,12,49101,49127,12,49325,49351,12,49549,49575,12,49773,49799,12,49997,50023,12,50221,50247,12,50445,50471,12,50669,50695,12,50893,50919,12,51117,51143,12,51341,51367,12,51565,51591,12,51789,51815,12,52013,52039,12,52237,52263,12,52461,52487,12,52685,52711,12,52909,52935,12,53133,53159,12,53357,53383,12,53581,53607,12,53805,53831,12,54029,54055,12,54253,54279,12,54477,54503,12,54701,54727,12,54925,54951,12,55149,55175,12,68101,68102,5,69762,69762,7,70067,70069,7,70371,70378,5,70720,70721,7,71087,71087,5,71341,71341,5,71995,71996,5,72249,72249,7,72850,72871,5,73109,73109,5,118576,118598,5,121505,121519,5,127245,127247,14,127568,127569,14,127777,127777,14,127872,127891,14,127956,127967,14,128015,128016,14,128110,128172,14,128259,128259,14,128367,128368,14,128424,128424,14,128488,128488,14,128530,128532,14,128550,128551,14,128566,128566,14,128647,128647,14,128656,128656,14,128667,128673,14,128691,128693,14,128715,128715,14,128728,128732,14,128752,128752,14,128765,128767,14,129096,129103,14,129311,129311,14,129344,129349,14,129394,129394,14,129413,129425,14,129466,129471,14,129511,129535,14,129664,129666,14,129719,129722,14,129760,129767,14,917536,917631,5,13,13,2,1160,1161,5,1564,1564,4,1807,1807,1,2085,2087,5,2307,2307,7,2382,2383,7,2497,2500,5,2563,2563,7,2677,2677,5,2763,2764,7,2879,2879,5,2914,2915,5,3021,3021,5,3142,3144,5,3263,3263,5,3285,3286,5,3398,3400,7,3530,3530,5,3633,3633,5,3864,3865,5,3974,3975,5,4155,4156,7,4229,4230,5,5909,5909,7,6078,6085,7,6277,6278,5,6451,6456,7,6744,6750,5,6846,6846,5,6972,6972,5,7074,7077,5,7146,7148,7,7222,7223,5,7416,7417,5,8234,8238,4,8417,8417,5,9000,9000,14,9203,9203,14,9730,9731,14,9748,9749,14,9762,9763,14,9776,9783,14,9800,9811,14,9831,9831,14,9872,9873,14,9882,9882,14,9900,9903,14,9929,9933,14,9941,9960,14,9974,9974,14,9989,9989,14,10006,10006,14,10062,10062,14,10160,10160,14,11647,11647,5,12953,12953,14,43019,43019,5,43232,43249,5,43443,43443,5,43567,43568,7,43696,43696,5,43765,43765,7,44013,44013,5,44117,44143,12,44229,44255,12,44341,44367,12,44453,44479,12,44565,44591,12,44677,44703,12,44789,44815,12,44901,44927,12,45013,45039,12,45125,45151,12,45237,45263,12,45349,45375,12,45461,45487,12,45573,45599,12,45685,45711,12,45797,45823,12,45909,45935,12,46021,46047,12,46133,46159,12,46245,46271,12,46357,46383,12,46469,46495,12,46581,46607,12,46693,46719,12,46805,46831,12,46917,46943,12,47029,47055,12,47141,47167,12,47253,47279,12,47365,47391,12,47477,47503,12,47589,47615,12,47701,47727,12,47813,47839,12,47925,47951,12,48037,48063,12,48149,48175,12,48261,48287,12,48373,48399,12,48485,48511,12,48597,48623,12,48709,48735,12,48821,48847,12,48933,48959,12,49045,49071,12,49157,49183,12,49269,49295,12,49381,49407,12,49493,49519,12,49605,49631,12,49717,49743,12,49829,49855,12,49941,49967,12,50053,50079,12,50165,50191,12,50277,50303,12,50389,50415,12,50501,50527,12,50613,50639,12,50725,50751,12,50837,50863,12,50949,50975,12,51061,51087,12,51173,51199,12,51285,51311,12,51397,51423,12,51509,51535,12,51621,51647,12,51733,51759,12,51845,51871,12,51957,51983,12,52069,52095,12,52181,52207,12,52293,52319,12,52405,52431,12,52517,52543,12,52629,52655,12,52741,52767,12,52853,52879,12,52965,52991,12,53077,53103,12,53189,53215,12,53301,53327,12,53413,53439,12,53525,53551,12,53637,53663,12,53749,53775,12,53861,53887,12,53973,53999,12,54085,54111,12,54197,54223,12,54309,54335,12,54421,54447,12,54533,54559,12,54645,54671,12,54757,54783,12,54869,54895,12,54981,55007,12,55093,55119,12,55243,55291,10,66045,66045,5,68325,68326,5,69688,69702,5,69817,69818,5,69957,69958,7,70089,70092,5,70198,70199,5,70462,70462,5,70502,70508,5,70750,70750,5,70846,70846,7,71100,71101,5,71230,71230,7,71351,71351,5,71737,71738,5,72000,72000,7,72160,72160,5,72273,72278,5,72752,72758,5,72882,72883,5,73031,73031,5,73461,73462,7,94192,94193,7,119149,119149,7,121403,121452,5,122915,122916,5,126980,126980,14,127358,127359,14,127535,127535,14,127759,127759,14,127771,127771,14,127792,127793,14,127825,127867,14,127897,127899,14,127945,127945,14,127985,127986,14,128000,128007,14,128021,128021,14,128066,128100,14,128184,128235,14,128249,128252,14,128266,128276,14,128335,128335,14,128379,128390,14,128407,128419,14,128444,128444,14,128481,128481,14,128499,128499,14,128526,128526,14,128536,128536,14,128543,128543,14,128556,128556,14,128564,128564,14,128577,128580,14,128643,128645,14,128649,128649,14,128654,128654,14,128660,128660,14,128664,128664,14,128675,128675,14,128686,128689,14,128695,128696,14,128705,128709,14,128717,128719,14,128725,128725,14,128736,128741,14,128747,128748,14,128755,128755,14,128762,128762,14,128981,128991,14,129009,129023,14,129160,129167,14,129296,129304,14,129320,129327,14,129340,129342,14,129356,129356,14,129388,129392,14,129399,129400,14,129404,129407,14,129432,129442,14,129454,129455,14,129473,129474,14,129485,129487,14,129648,129651,14,129659,129660,14,129671,129679,14,129709,129711,14,129728,129730,14,129751,129753,14,129776,129782,14,917505,917505,4,917760,917999,5,10,10,3,127,159,4,768,879,5,1471,1471,5,1536,1541,1,1648,1648,5,1767,1768,5,1840,1866,5,2070,2073,5,2137,2139,5,2274,2274,1,2363,2363,7,2377,2380,7,2402,2403,5,2494,2494,5,2507,2508,7,2558,2558,5,2622,2624,7,2641,2641,5,2691,2691,7,2759,2760,5,2786,2787,5,2876,2876,5,2881,2884,5,2901,2902,5,3006,3006,5,3014,3016,7,3072,3072,5,3134,3136,5,3157,3158,5,3260,3260,5,3266,3266,5,3274,3275,7,3328,3329,5,3391,3392,7,3405,3405,5,3457,3457,5,3536,3537,7,3551,3551,5,3636,3642,5,3764,3772,5,3895,3895,5,3967,3967,7,3993,4028,5,4146,4151,5,4182,4183,7,4226,4226,5,4253,4253,5,4957,4959,5,5940,5940,7,6070,6070,7,6087,6088,7,6158,6158,4,6432,6434,5,6448,6449,7,6679,6680,5,6742,6742,5,6754,6754,5,6783,6783,5,6912,6915,5,6966,6970,5,6978,6978,5,7042,7042,7,7080,7081,5,7143,7143,7,7150,7150,7,7212,7219,5,7380,7392,5,7412,7412,5,8203,8203,4,8232,8232,4,8265,8265,14,8400,8412,5,8421,8432,5,8617,8618,14,9167,9167,14,9200,9200,14,9410,9410,14,9723,9726,14,9733,9733,14,9745,9745,14,9752,9752,14,9760,9760,14,9766,9766,14,9774,9774,14,9786,9786,14,9794,9794,14,9823,9823,14,9828,9828,14,9833,9850,14,9855,9855,14,9875,9875,14,9880,9880,14,9885,9887,14,9896,9897,14,9906,9916,14,9926,9927,14,9935,9935,14,9939,9939,14,9962,9962,14,9972,9972,14,9978,9978,14,9986,9986,14,9997,9997,14,10002,10002,14,10017,10017,14,10055,10055,14,10071,10071,14,10133,10135,14,10548,10549,14,11093,11093,14,12330,12333,5,12441,12442,5,42608,42610,5,43010,43010,5,43045,43046,5,43188,43203,7,43302,43309,5,43392,43394,5,43446,43449,5,43493,43493,5,43571,43572,7,43597,43597,7,43703,43704,5,43756,43757,5,44003,44004,7,44009,44010,7,44033,44059,12,44089,44115,12,44145,44171,12,44201,44227,12,44257,44283,12,44313,44339,12,44369,44395,12,44425,44451,12,44481,44507,12,44537,44563,12,44593,44619,12,44649,44675,12,44705,44731,12,44761,44787,12,44817,44843,12,44873,44899,12,44929,44955,12,44985,45011,12,45041,45067,12,45097,45123,12,45153,45179,12,45209,45235,12,45265,45291,12,45321,45347,12,45377,45403,12,45433,45459,12,45489,45515,12,45545,45571,12,45601,45627,12,45657,45683,12,45713,45739,12,45769,45795,12,45825,45851,12,45881,45907,12,45937,45963,12,45993,46019,12,46049,46075,12,46105,46131,12,46161,46187,12,46217,46243,12,46273,46299,12,46329,46355,12,46385,46411,12,46441,46467,12,46497,46523,12,46553,46579,12,46609,46635,12,46665,46691,12,46721,46747,12,46777,46803,12,46833,46859,12,46889,46915,12,46945,46971,12,47001,47027,12,47057,47083,12,47113,47139,12,47169,47195,12,47225,47251,12,47281,47307,12,47337,47363,12,47393,47419,12,47449,47475,12,47505,47531,12,47561,47587,12,47617,47643,12,47673,47699,12,47729,47755,12,47785,47811,12,47841,47867,12,47897,47923,12,47953,47979,12,48009,48035,12,48065,48091,12,48121,48147,12,48177,48203,12,48233,48259,12,48289,48315,12,48345,48371,12,48401,48427,12,48457,48483,12,48513,48539,12,48569,48595,12,48625,48651,12,48681,48707,12,48737,48763,12,48793,48819,12,48849,48875,12,48905,48931,12,48961,48987,12,49017,49043,12,49073,49099,12,49129,49155,12,49185,49211,12,49241,49267,12,49297,49323,12,49353,49379,12,49409,49435,12,49465,49491,12,49521,49547,12,49577,49603,12,49633,49659,12,49689,49715,12,49745,49771,12,49801,49827,12,49857,49883,12,49913,49939,12,49969,49995,12,50025,50051,12,50081,50107,12,50137,50163,12,50193,50219,12,50249,50275,12,50305,50331,12,50361,50387,12,50417,50443,12,50473,50499,12,50529,50555,12,50585,50611,12,50641,50667,12,50697,50723,12,50753,50779,12,50809,50835,12,50865,50891,12,50921,50947,12,50977,51003,12,51033,51059,12,51089,51115,12,51145,51171,12,51201,51227,12,51257,51283,12,51313,51339,12,51369,51395,12,51425,51451,12,51481,51507,12,51537,51563,12,51593,51619,12,51649,51675,12,51705,51731,12,51761,51787,12,51817,51843,12,51873,51899,12,51929,51955,12,51985,52011,12,52041,52067,12,52097,52123,12,52153,52179,12,52209,52235,12,52265,52291,12,52321,52347,12,52377,52403,12,52433,52459,12,52489,52515,12,52545,52571,12,52601,52627,12,52657,52683,12,52713,52739,12,52769,52795,12,52825,52851,12,52881,52907,12,52937,52963,12,52993,53019,12,53049,53075,12,53105,53131,12,53161,53187,12,53217,53243,12,53273,53299,12,53329,53355,12,53385,53411,12,53441,53467,12,53497,53523,12,53553,53579,12,53609,53635,12,53665,53691,12,53721,53747,12,53777,53803,12,53833,53859,12,53889,53915,12,53945,53971,12,54001,54027,12,54057,54083,12,54113,54139,12,54169,54195,12,54225,54251,12,54281,54307,12,54337,54363,12,54393,54419,12,54449,54475,12,54505,54531,12,54561,54587,12,54617,54643,12,54673,54699,12,54729,54755,12,54785,54811,12,54841,54867,12,54897,54923,12,54953,54979,12,55009,55035,12,55065,55091,12,55121,55147,12,55177,55203,12,65024,65039,5,65520,65528,4,66422,66426,5,68152,68154,5,69291,69292,5,69633,69633,5,69747,69748,5,69811,69814,5,69826,69826,5,69932,69932,7,70016,70017,5,70079,70080,7,70095,70095,5,70196,70196,5,70367,70367,5,70402,70403,7,70464,70464,5,70487,70487,5,70709,70711,7,70725,70725,7,70833,70834,7,70843,70844,7,70849,70849,7,71090,71093,5,71103,71104,5,71227,71228,7,71339,71339,5,71344,71349,5,71458,71461,5,71727,71735,5,71985,71989,7,71998,71998,5,72002,72002,7,72154,72155,5,72193,72202,5,72251,72254,5,72281,72283,5,72344,72345,5,72766,72766,7,72874,72880,5,72885,72886,5,73023,73029,5,73104,73105,5,73111,73111,5,92912,92916,5,94095,94098,5,113824,113827,4,119142,119142,7,119155,119162,4,119362,119364,5,121476,121476,5,122888,122904,5,123184,123190,5,125252,125258,5,127183,127183,14,127340,127343,14,127377,127386,14,127491,127503,14,127548,127551,14,127744,127756,14,127761,127761,14,127769,127769,14,127773,127774,14,127780,127788,14,127796,127797,14,127820,127823,14,127869,127869,14,127894,127895,14,127902,127903,14,127943,127943,14,127947,127950,14,127972,127972,14,127988,127988,14,127992,127994,14,128009,128011,14,128019,128019,14,128023,128041,14,128064,128064,14,128102,128107,14,128174,128181,14,128238,128238,14,128246,128247,14,128254,128254,14,128264,128264,14,128278,128299,14,128329,128330,14,128348,128359,14,128371,128377,14,128392,128393,14,128401,128404,14,128421,128421,14,128433,128434,14,128450,128452,14,128476,128478,14,128483,128483,14,128495,128495,14,128506,128506,14,128519,128520,14,128528,128528,14,128534,128534,14,128538,128538,14,128540,128542,14,128544,128549,14,128552,128555,14,128557,128557,14,128560,128563,14,128565,128565,14,128567,128576,14,128581,128591,14,128641,128642,14,128646,128646,14,128648,128648,14,128650,128651,14,128653,128653,14,128655,128655,14,128657,128659,14,128661,128661,14,128663,128663,14,128665,128666,14,128674,128674,14,128676,128677,14,128679,128685,14,128690,128690,14,128694,128694,14,128697,128702,14,128704,128704,14,128710,128714,14,128716,128716,14,128720,128720,14,128723,128724,14,128726,128727,14,128733,128735,14,128742,128744,14,128746,128746,14,128749,128751,14,128753,128754,14,128756,128758,14,128761,128761,14,128763,128764,14,128884,128895,14,128992,129003,14,129008,129008,14,129036,129039,14,129114,129119,14,129198,129279,14,129293,129295,14,129305,129310,14,129312,129319,14,129328,129328,14,129331,129338,14,129343,129343,14,129351,129355,14,129357,129359,14,129375,129387,14,129393,129393,14,129395,129398,14,129401,129401,14,129403,129403,14,129408,129412,14,129426,129431,14,129443,129444,14,129451,129453,14,129456,129465,14,129472,129472,14,129475,129482,14,129484,129484,14,129488,129510,14,129536,129647,14,129652,129652,14,129656,129658,14,129661,129663,14,129667,129670,14,129680,129685,14,129705,129708,14,129712,129718,14,129723,129727,14,129731,129733,14,129744,129750,14,129754,129759,14,129768,129775,14,129783,129791,14,917504,917504,4,917506,917535,4,917632,917759,4,918000,921599,4,0,9,4,11,12,4,14,31,4,169,169,14,174,174,14,1155,1159,5,1425,1469,5,1473,1474,5,1479,1479,5,1552,1562,5,1611,1631,5,1750,1756,5,1759,1764,5,1770,1773,5,1809,1809,5,1958,1968,5,2045,2045,5,2075,2083,5,2089,2093,5,2192,2193,1,2250,2273,5,2275,2306,5,2362,2362,5,2364,2364,5,2369,2376,5,2381,2381,5,2385,2391,5,2433,2433,5,2492,2492,5,2495,2496,7,2503,2504,7,2509,2509,5,2530,2531,5,2561,2562,5,2620,2620,5,2625,2626,5,2635,2637,5,2672,2673,5,2689,2690,5,2748,2748,5,2753,2757,5,2761,2761,7,2765,2765,5,2810,2815,5,2818,2819,7,2878,2878,5,2880,2880,7,2887,2888,7,2893,2893,5,2903,2903,5,2946,2946,5,3007,3007,7,3009,3010,7,3018,3020,7,3031,3031,5,3073,3075,7,3132,3132,5,3137,3140,7,3146,3149,5,3170,3171,5,3202,3203,7,3262,3262,7,3264,3265,7,3267,3268,7,3271,3272,7,3276,3277,5,3298,3299,5,3330,3331,7,3390,3390,5,3393,3396,5,3402,3404,7,3406,3406,1,3426,3427,5,3458,3459,7,3535,3535,5,3538,3540,5,3544,3550,7,3570,3571,7,3635,3635,7,3655,3662,5,3763,3763,7,3784,3789,5,3893,3893,5,3897,3897,5,3953,3966,5,3968,3972,5,3981,3991,5,4038,4038,5,4145,4145,7,4153,4154,5,4157,4158,5,4184,4185,5,4209,4212,5,4228,4228,7,4237,4237,5,4352,4447,8,4520,4607,10,5906,5908,5,5938,5939,5,5970,5971,5,6068,6069,5,6071,6077,5,6086,6086,5,6089,6099,5,6155,6157,5,6159,6159,5,6313,6313,5,6435,6438,7,6441,6443,7,6450,6450,5,6457,6459,5,6681,6682,7,6741,6741,7,6743,6743,7,6752,6752,5,6757,6764,5,6771,6780,5,6832,6845,5,6847,6862,5,6916,6916,7,6965,6965,5,6971,6971,7,6973,6977,7,6979,6980,7,7040,7041,5,7073,7073,7,7078,7079,7,7082,7082,7,7142,7142,5,7144,7145,5,7149,7149,5,7151,7153,5,7204,7211,7,7220,7221,7,7376,7378,5,7393,7393,7,7405,7405,5,7415,7415,7,7616,7679,5,8204,8204,5,8206,8207,4,8233,8233,4,8252,8252,14,8288,8292,4,8294,8303,4,8413,8416,5,8418,8420,5,8482,8482,14,8596,8601,14,8986,8987,14,9096,9096,14,9193,9196,14,9199,9199,14,9201,9202,14,9208,9210,14,9642,9643,14,9664,9664,14,9728,9729,14,9732,9732,14,9735,9741,14,9743,9744,14,9746,9746,14,9750,9751,14,9753,9756,14,9758,9759,14,9761,9761,14,9764,9765,14,9767,9769,14,9771,9773,14,9775,9775,14,9784,9785,14,9787,9791,14,9793,9793,14,9795,9799,14,9812,9822,14,9824,9824,14,9827,9827,14,9829,9830,14,9832,9832,14,9851,9851,14,9854,9854,14,9856,9861,14,9874,9874,14,9876,9876,14,9878,9879,14,9881,9881,14,9883,9884,14,9888,9889,14,9895,9895,14,9898,9899,14,9904,9905,14,9917,9918,14,9924,9925,14,9928,9928,14,9934,9934,14,9936,9936,14,9938,9938,14,9940,9940,14,9961,9961,14,9963,9967,14,9970,9971,14,9973,9973,14,9975,9977,14,9979,9980,14,9982,9985,14,9987,9988,14,9992,9996,14,9998,9998,14,10000,10001,14,10004,10004,14,10013,10013,14,10024,10024,14,10052,10052,14,10060,10060,14,10067,10069,14,10083,10083,14,10085,10087,14,10145,10145,14,10175,10175,14,11013,11015,14,11088,11088,14,11503,11505,5,11744,11775,5,12334,12335,5,12349,12349,14,12951,12951,14,42607,42607,5,42612,42621,5,42736,42737,5,43014,43014,5,43043,43044,7,43047,43047,7,43136,43137,7,43204,43205,5,43263,43263,5,43335,43345,5,43360,43388,8,43395,43395,7,43444,43445,7,43450,43451,7,43454,43456,7,43561,43566,5,43569,43570,5,43573,43574,5,43596,43596,5,43644,43644,5,43698,43700,5,43710,43711,5,43755,43755,7,43758,43759,7,43766,43766,5,44005,44005,5,44008,44008,5,44012,44012,7,44032,44032,11,44060,44060,11,44088,44088,11,44116,44116,11,44144,44144,11,44172,44172,11,44200,44200,11,44228,44228,11,44256,44256,11,44284,44284,11,44312,44312,11,44340,44340,11,44368,44368,11,44396,44396,11,44424,44424,11,44452,44452,11,44480,44480,11,44508,44508,11,44536,44536,11,44564,44564,11,44592,44592,11,44620,44620,11,44648,44648,11,44676,44676,11,44704,44704,11,44732,44732,11,44760,44760,11,44788,44788,11,44816,44816,11,44844,44844,11,44872,44872,11,44900,44900,11,44928,44928,11,44956,44956,11,44984,44984,11,45012,45012,11,45040,45040,11,45068,45068,11,45096,45096,11,45124,45124,11,45152,45152,11,45180,45180,11,45208,45208,11,45236,45236,11,45264,45264,11,45292,45292,11,45320,45320,11,45348,45348,11,45376,45376,11,45404,45404,11,45432,45432,11,45460,45460,11,45488,45488,11,45516,45516,11,45544,45544,11,45572,45572,11,45600,45600,11,45628,45628,11,45656,45656,11,45684,45684,11,45712,45712,11,45740,45740,11,45768,45768,11,45796,45796,11,45824,45824,11,45852,45852,11,45880,45880,11,45908,45908,11,45936,45936,11,45964,45964,11,45992,45992,11,46020,46020,11,46048,46048,11,46076,46076,11,46104,46104,11,46132,46132,11,46160,46160,11,46188,46188,11,46216,46216,11,46244,46244,11,46272,46272,11,46300,46300,11,46328,46328,11,46356,46356,11,46384,46384,11,46412,46412,11,46440,46440,11,46468,46468,11,46496,46496,11,46524,46524,11,46552,46552,11,46580,46580,11,46608,46608,11,46636,46636,11,46664,46664,11,46692,46692,11,46720,46720,11,46748,46748,11,46776,46776,11,46804,46804,11,46832,46832,11,46860,46860,11,46888,46888,11,46916,46916,11,46944,46944,11,46972,46972,11,47000,47000,11,47028,47028,11,47056,47056,11,47084,47084,11,47112,47112,11,47140,47140,11,47168,47168,11,47196,47196,11,47224,47224,11,47252,47252,11,47280,47280,11,47308,47308,11,47336,47336,11,47364,47364,11,47392,47392,11,47420,47420,11,47448,47448,11,47476,47476,11,47504,47504,11,47532,47532,11,47560,47560,11,47588,47588,11,47616,47616,11,47644,47644,11,47672,47672,11,47700,47700,11,47728,47728,11,47756,47756,11,47784,47784,11,47812,47812,11,47840,47840,11,47868,47868,11,47896,47896,11,47924,47924,11,47952,47952,11,47980,47980,11,48008,48008,11,48036,48036,11,48064,48064,11,48092,48092,11,48120,48120,11,48148,48148,11,48176,48176,11,48204,48204,11,48232,48232,11,48260,48260,11,48288,48288,11,48316,48316,11,48344,48344,11,48372,48372,11,48400,48400,11,48428,48428,11,48456,48456,11,48484,48484,11,48512,48512,11,48540,48540,11,48568,48568,11,48596,48596,11,48624,48624,11,48652,48652,11,48680,48680,11,48708,48708,11,48736,48736,11,48764,48764,11,48792,48792,11,48820,48820,11,48848,48848,11,48876,48876,11,48904,48904,11,48932,48932,11,48960,48960,11,48988,48988,11,49016,49016,11,49044,49044,11,49072,49072,11,49100,49100,11,49128,49128,11,49156,49156,11,49184,49184,11,49212,49212,11,49240,49240,11,49268,49268,11,49296,49296,11,49324,49324,11,49352,49352,11,49380,49380,11,49408,49408,11,49436,49436,11,49464,49464,11,49492,49492,11,49520,49520,11,49548,49548,11,49576,49576,11,49604,49604,11,49632,49632,11,49660,49660,11,49688,49688,11,49716,49716,11,49744,49744,11,49772,49772,11,49800,49800,11,49828,49828,11,49856,49856,11,49884,49884,11,49912,49912,11,49940,49940,11,49968,49968,11,49996,49996,11,50024,50024,11,50052,50052,11,50080,50080,11,50108,50108,11,50136,50136,11,50164,50164,11,50192,50192,11,50220,50220,11,50248,50248,11,50276,50276,11,50304,50304,11,50332,50332,11,50360,50360,11,50388,50388,11,50416,50416,11,50444,50444,11,50472,50472,11,50500,50500,11,50528,50528,11,50556,50556,11,50584,50584,11,50612,50612,11,50640,50640,11,50668,50668,11,50696,50696,11,50724,50724,11,50752,50752,11,50780,50780,11,50808,50808,11,50836,50836,11,50864,50864,11,50892,50892,11,50920,50920,11,50948,50948,11,50976,50976,11,51004,51004,11,51032,51032,11,51060,51060,11,51088,51088,11,51116,51116,11,51144,51144,11,51172,51172,11,51200,51200,11,51228,51228,11,51256,51256,11,51284,51284,11,51312,51312,11,51340,51340,11,51368,51368,11,51396,51396,11,51424,51424,11,51452,51452,11,51480,51480,11,51508,51508,11,51536,51536,11,51564,51564,11,51592,51592,11,51620,51620,11,51648,51648,11,51676,51676,11,51704,51704,11,51732,51732,11,51760,51760,11,51788,51788,11,51816,51816,11,51844,51844,11,51872,51872,11,51900,51900,11,51928,51928,11,51956,51956,11,51984,51984,11,52012,52012,11,52040,52040,11,52068,52068,11,52096,52096,11,52124,52124,11,52152,52152,11,52180,52180,11,52208,52208,11,52236,52236,11,52264,52264,11,52292,52292,11,52320,52320,11,52348,52348,11,52376,52376,11,52404,52404,11,52432,52432,11,52460,52460,11,52488,52488,11,52516,52516,11,52544,52544,11,52572,52572,11,52600,52600,11,52628,52628,11,52656,52656,11,52684,52684,11,52712,52712,11,52740,52740,11,52768,52768,11,52796,52796,11,52824,52824,11,52852,52852,11,52880,52880,11,52908,52908,11,52936,52936,11,52964,52964,11,52992,52992,11,53020,53020,11,53048,53048,11,53076,53076,11,53104,53104,11,53132,53132,11,53160,53160,11,53188,53188,11,53216,53216,11,53244,53244,11,53272,53272,11,53300,53300,11,53328,53328,11,53356,53356,11,53384,53384,11,53412,53412,11,53440,53440,11,53468,53468,11,53496,53496,11,53524,53524,11,53552,53552,11,53580,53580,11,53608,53608,11,53636,53636,11,53664,53664,11,53692,53692,11,53720,53720,11,53748,53748,11,53776,53776,11,53804,53804,11,53832,53832,11,53860,53860,11,53888,53888,11,53916,53916,11,53944,53944,11,53972,53972,11,54000,54000,11,54028,54028,11,54056,54056,11,54084,54084,11,54112,54112,11,54140,54140,11,54168,54168,11,54196,54196,11,54224,54224,11,54252,54252,11,54280,54280,11,54308,54308,11,54336,54336,11,54364,54364,11,54392,54392,11,54420,54420,11,54448,54448,11,54476,54476,11,54504,54504,11,54532,54532,11,54560,54560,11,54588,54588,11,54616,54616,11,54644,54644,11,54672,54672,11,54700,54700,11,54728,54728,11,54756,54756,11,54784,54784,11,54812,54812,11,54840,54840,11,54868,54868,11,54896,54896,11,54924,54924,11,54952,54952,11,54980,54980,11,55008,55008,11,55036,55036,11,55064,55064,11,55092,55092,11,55120,55120,11,55148,55148,11,55176,55176,11,55216,55238,9,64286,64286,5,65056,65071,5,65438,65439,5,65529,65531,4,66272,66272,5,68097,68099,5,68108,68111,5,68159,68159,5,68900,68903,5,69446,69456,5,69632,69632,7,69634,69634,7,69744,69744,5,69759,69761,5,69808,69810,7,69815,69816,7,69821,69821,1,69837,69837,1,69927,69931,5,69933,69940,5,70003,70003,5,70018,70018,7,70070,70078,5,70082,70083,1,70094,70094,7,70188,70190,7,70194,70195,7,70197,70197,7,70206,70206,5,70368,70370,7,70400,70401,5,70459,70460,5,70463,70463,7,70465,70468,7,70475,70477,7,70498,70499,7,70512,70516,5,70712,70719,5,70722,70724,5,70726,70726,5,70832,70832,5,70835,70840,5,70842,70842,5,70845,70845,5,70847,70848,5,70850,70851,5,71088,71089,7,71096,71099,7,71102,71102,7,71132,71133,5,71219,71226,5,71229,71229,5,71231,71232,5,71340,71340,7,71342,71343,7,71350,71350,7,71453,71455,5,71462,71462,7,71724,71726,7,71736,71736,7,71984,71984,5,71991,71992,7,71997,71997,7,71999,71999,1,72001,72001,1,72003,72003,5,72148,72151,5,72156,72159,7,72164,72164,7,72243,72248,5,72250,72250,1,72263,72263,5,72279,72280,7,72324,72329,1,72343,72343,7,72751,72751,7,72760,72765,5,72767,72767,5,72873,72873,7,72881,72881,7,72884,72884,7,73009,73014,5,73020,73021,5,73030,73030,1,73098,73102,7,73107,73108,7,73110,73110,7,73459,73460,5,78896,78904,4,92976,92982,5,94033,94087,7,94180,94180,5,113821,113822,5,118528,118573,5,119141,119141,5,119143,119145,5,119150,119154,5,119163,119170,5,119210,119213,5,121344,121398,5,121461,121461,5,121499,121503,5,122880,122886,5,122907,122913,5,122918,122922,5,123566,123566,5,125136,125142,5,126976,126979,14,126981,127182,14,127184,127231,14,127279,127279,14,127344,127345,14,127374,127374,14,127405,127461,14,127489,127490,14,127514,127514,14,127538,127546,14,127561,127567,14,127570,127743,14,127757,127758,14,127760,127760,14,127762,127762,14,127766,127768,14,127770,127770,14,127772,127772,14,127775,127776,14,127778,127779,14,127789,127791,14,127794,127795,14,127798,127798,14,127819,127819,14,127824,127824,14,127868,127868,14,127870,127871,14,127892,127893,14,127896,127896,14,127900,127901,14,127904,127940,14,127942,127942,14,127944,127944,14,127946,127946,14,127951,127955,14,127968,127971,14,127973,127984,14,127987,127987,14,127989,127989,14,127991,127991,14,127995,127999,5,128008,128008,14,128012,128014,14,128017,128018,14,128020,128020,14,128022,128022,14,128042,128042,14,128063,128063,14,128065,128065,14,128101,128101,14,128108,128109,14,128173,128173,14,128182,128183,14,128236,128237,14,128239,128239,14,128245,128245,14,128248,128248,14,128253,128253,14,128255,128258,14,128260,128263,14,128265,128265,14,128277,128277,14,128300,128301,14,128326,128328,14,128331,128334,14,128336,128347,14,128360,128366,14,128369,128370,14,128378,128378,14,128391,128391,14,128394,128397,14,128400,128400,14,128405,128406,14,128420,128420,14,128422,128423,14,128425,128432,14,128435,128443,14,128445,128449,14,128453,128464,14,128468,128475,14,128479,128480,14,128482,128482,14,128484,128487,14,128489,128494,14,128496,128498,14,128500,128505,14,128507,128511,14,128513,128518,14,128521,128525,14,128527,128527,14,128529,128529,14,128533,128533,14,128535,128535,14,128537,128537,14]")}function Be(D,q){if(D===0)return 0;const z=xe(D,q);if(z!==void 0)return z;const _=new X(q,D);return _.prevCodePoint(),_.offset}function xe(D,q){const z=new X(q,D);let _=z.prevCodePoint();for(;We(_)||_===65039||_===8419;){if(z.offset===0)return;_=z.prevCodePoint()}if(!O(_))return;let le=z.offset;return le>0&&z.prevCodePoint()===8205&&(le=z.offset),le}function We(D){return 127995<=D&&D<=127999}var Oe;(function(D){D[D.zwj=8205]="zwj",D[D.emojiVariantSelector=65039]="emojiVariantSelector",D[D.enclosingKeyCap=8419]="enclosingKeyCap"})(Oe||(Oe={})),t.$6f="\xA0";class Ie{static{this.c=new y.$V(()=>JSON.parse('{"_common":[8232,32,8233,32,5760,32,8192,32,8193,32,8194,32,8195,32,8196,32,8197,32,8198,32,8200,32,8201,32,8202,32,8287,32,8199,32,8239,32,2042,95,65101,95,65102,95,65103,95,8208,45,8209,45,8210,45,65112,45,1748,45,8259,45,727,45,8722,45,10134,45,11450,45,1549,44,1643,44,8218,44,184,44,42233,44,894,59,2307,58,2691,58,1417,58,1795,58,1796,58,5868,58,65072,58,6147,58,6153,58,8282,58,1475,58,760,58,42889,58,8758,58,720,58,42237,58,451,33,11601,33,660,63,577,63,2429,63,5038,63,42731,63,119149,46,8228,46,1793,46,1794,46,42510,46,68176,46,1632,46,1776,46,42232,46,1373,96,65287,96,8219,96,8242,96,1370,96,1523,96,8175,96,65344,96,900,96,8189,96,8125,96,8127,96,8190,96,697,96,884,96,712,96,714,96,715,96,756,96,699,96,701,96,700,96,702,96,42892,96,1497,96,2036,96,2037,96,5194,96,5836,96,94033,96,94034,96,65339,91,10088,40,10098,40,12308,40,64830,40,65341,93,10089,41,10099,41,12309,41,64831,41,10100,123,119060,123,10101,125,65342,94,8270,42,1645,42,8727,42,66335,42,5941,47,8257,47,8725,47,8260,47,9585,47,10187,47,10744,47,119354,47,12755,47,12339,47,11462,47,20031,47,12035,47,65340,92,65128,92,8726,92,10189,92,10741,92,10745,92,119311,92,119355,92,12756,92,20022,92,12034,92,42872,38,708,94,710,94,5869,43,10133,43,66203,43,8249,60,10094,60,706,60,119350,60,5176,60,5810,60,5120,61,11840,61,12448,61,42239,61,8250,62,10095,62,707,62,119351,62,5171,62,94015,62,8275,126,732,126,8128,126,8764,126,65372,124,65293,45,120784,50,120794,50,120804,50,120814,50,120824,50,130034,50,42842,50,423,50,1000,50,42564,50,5311,50,42735,50,119302,51,120785,51,120795,51,120805,51,120815,51,120825,51,130035,51,42923,51,540,51,439,51,42858,51,11468,51,1248,51,94011,51,71882,51,120786,52,120796,52,120806,52,120816,52,120826,52,130036,52,5070,52,71855,52,120787,53,120797,53,120807,53,120817,53,120827,53,130037,53,444,53,71867,53,120788,54,120798,54,120808,54,120818,54,120828,54,130038,54,11474,54,5102,54,71893,54,119314,55,120789,55,120799,55,120809,55,120819,55,120829,55,130039,55,66770,55,71878,55,2819,56,2538,56,2666,56,125131,56,120790,56,120800,56,120810,56,120820,56,120830,56,130040,56,547,56,546,56,66330,56,2663,57,2920,57,2541,57,3437,57,120791,57,120801,57,120811,57,120821,57,120831,57,130041,57,42862,57,11466,57,71884,57,71852,57,71894,57,9082,97,65345,97,119834,97,119886,97,119938,97,119990,97,120042,97,120094,97,120146,97,120198,97,120250,97,120302,97,120354,97,120406,97,120458,97,593,97,945,97,120514,97,120572,97,120630,97,120688,97,120746,97,65313,65,119808,65,119860,65,119912,65,119964,65,120016,65,120068,65,120120,65,120172,65,120224,65,120276,65,120328,65,120380,65,120432,65,913,65,120488,65,120546,65,120604,65,120662,65,120720,65,5034,65,5573,65,42222,65,94016,65,66208,65,119835,98,119887,98,119939,98,119991,98,120043,98,120095,98,120147,98,120199,98,120251,98,120303,98,120355,98,120407,98,120459,98,388,98,5071,98,5234,98,5551,98,65314,66,8492,66,119809,66,119861,66,119913,66,120017,66,120069,66,120121,66,120173,66,120225,66,120277,66,120329,66,120381,66,120433,66,42932,66,914,66,120489,66,120547,66,120605,66,120663,66,120721,66,5108,66,5623,66,42192,66,66178,66,66209,66,66305,66,65347,99,8573,99,119836,99,119888,99,119940,99,119992,99,120044,99,120096,99,120148,99,120200,99,120252,99,120304,99,120356,99,120408,99,120460,99,7428,99,1010,99,11429,99,43951,99,66621,99,128844,67,71922,67,71913,67,65315,67,8557,67,8450,67,8493,67,119810,67,119862,67,119914,67,119966,67,120018,67,120174,67,120226,67,120278,67,120330,67,120382,67,120434,67,1017,67,11428,67,5087,67,42202,67,66210,67,66306,67,66581,67,66844,67,8574,100,8518,100,119837,100,119889,100,119941,100,119993,100,120045,100,120097,100,120149,100,120201,100,120253,100,120305,100,120357,100,120409,100,120461,100,1281,100,5095,100,5231,100,42194,100,8558,68,8517,68,119811,68,119863,68,119915,68,119967,68,120019,68,120071,68,120123,68,120175,68,120227,68,120279,68,120331,68,120383,68,120435,68,5024,68,5598,68,5610,68,42195,68,8494,101,65349,101,8495,101,8519,101,119838,101,119890,101,119942,101,120046,101,120098,101,120150,101,120202,101,120254,101,120306,101,120358,101,120410,101,120462,101,43826,101,1213,101,8959,69,65317,69,8496,69,119812,69,119864,69,119916,69,120020,69,120072,69,120124,69,120176,69,120228,69,120280,69,120332,69,120384,69,120436,69,917,69,120492,69,120550,69,120608,69,120666,69,120724,69,11577,69,5036,69,42224,69,71846,69,71854,69,66182,69,119839,102,119891,102,119943,102,119995,102,120047,102,120099,102,120151,102,120203,102,120255,102,120307,102,120359,102,120411,102,120463,102,43829,102,42905,102,383,102,7837,102,1412,102,119315,70,8497,70,119813,70,119865,70,119917,70,120021,70,120073,70,120125,70,120177,70,120229,70,120281,70,120333,70,120385,70,120437,70,42904,70,988,70,120778,70,5556,70,42205,70,71874,70,71842,70,66183,70,66213,70,66853,70,65351,103,8458,103,119840,103,119892,103,119944,103,120048,103,120100,103,120152,103,120204,103,120256,103,120308,103,120360,103,120412,103,120464,103,609,103,7555,103,397,103,1409,103,119814,71,119866,71,119918,71,119970,71,120022,71,120074,71,120126,71,120178,71,120230,71,120282,71,120334,71,120386,71,120438,71,1292,71,5056,71,5107,71,42198,71,65352,104,8462,104,119841,104,119945,104,119997,104,120049,104,120101,104,120153,104,120205,104,120257,104,120309,104,120361,104,120413,104,120465,104,1211,104,1392,104,5058,104,65320,72,8459,72,8460,72,8461,72,119815,72,119867,72,119919,72,120023,72,120179,72,120231,72,120283,72,120335,72,120387,72,120439,72,919,72,120494,72,120552,72,120610,72,120668,72,120726,72,11406,72,5051,72,5500,72,42215,72,66255,72,731,105,9075,105,65353,105,8560,105,8505,105,8520,105,119842,105,119894,105,119946,105,119998,105,120050,105,120102,105,120154,105,120206,105,120258,105,120310,105,120362,105,120414,105,120466,105,120484,105,618,105,617,105,953,105,8126,105,890,105,120522,105,120580,105,120638,105,120696,105,120754,105,1110,105,42567,105,1231,105,43893,105,5029,105,71875,105,65354,106,8521,106,119843,106,119895,106,119947,106,119999,106,120051,106,120103,106,120155,106,120207,106,120259,106,120311,106,120363,106,120415,106,120467,106,1011,106,1112,106,65322,74,119817,74,119869,74,119921,74,119973,74,120025,74,120077,74,120129,74,120181,74,120233,74,120285,74,120337,74,120389,74,120441,74,42930,74,895,74,1032,74,5035,74,5261,74,42201,74,119844,107,119896,107,119948,107,120000,107,120052,107,120104,107,120156,107,120208,107,120260,107,120312,107,120364,107,120416,107,120468,107,8490,75,65323,75,119818,75,119870,75,119922,75,119974,75,120026,75,120078,75,120130,75,120182,75,120234,75,120286,75,120338,75,120390,75,120442,75,922,75,120497,75,120555,75,120613,75,120671,75,120729,75,11412,75,5094,75,5845,75,42199,75,66840,75,1472,108,8739,73,9213,73,65512,73,1633,108,1777,73,66336,108,125127,108,120783,73,120793,73,120803,73,120813,73,120823,73,130033,73,65321,73,8544,73,8464,73,8465,73,119816,73,119868,73,119920,73,120024,73,120128,73,120180,73,120232,73,120284,73,120336,73,120388,73,120440,73,65356,108,8572,73,8467,108,119845,108,119897,108,119949,108,120001,108,120053,108,120105,73,120157,73,120209,73,120261,73,120313,73,120365,73,120417,73,120469,73,448,73,120496,73,120554,73,120612,73,120670,73,120728,73,11410,73,1030,73,1216,73,1493,108,1503,108,1575,108,126464,108,126592,108,65166,108,65165,108,1994,108,11599,73,5825,73,42226,73,93992,73,66186,124,66313,124,119338,76,8556,76,8466,76,119819,76,119871,76,119923,76,120027,76,120079,76,120131,76,120183,76,120235,76,120287,76,120339,76,120391,76,120443,76,11472,76,5086,76,5290,76,42209,76,93974,76,71843,76,71858,76,66587,76,66854,76,65325,77,8559,77,8499,77,119820,77,119872,77,119924,77,120028,77,120080,77,120132,77,120184,77,120236,77,120288,77,120340,77,120392,77,120444,77,924,77,120499,77,120557,77,120615,77,120673,77,120731,77,1018,77,11416,77,5047,77,5616,77,5846,77,42207,77,66224,77,66321,77,119847,110,119899,110,119951,110,120003,110,120055,110,120107,110,120159,110,120211,110,120263,110,120315,110,120367,110,120419,110,120471,110,1400,110,1404,110,65326,78,8469,78,119821,78,119873,78,119925,78,119977,78,120029,78,120081,78,120185,78,120237,78,120289,78,120341,78,120393,78,120445,78,925,78,120500,78,120558,78,120616,78,120674,78,120732,78,11418,78,42208,78,66835,78,3074,111,3202,111,3330,111,3458,111,2406,111,2662,111,2790,111,3046,111,3174,111,3302,111,3430,111,3664,111,3792,111,4160,111,1637,111,1781,111,65359,111,8500,111,119848,111,119900,111,119952,111,120056,111,120108,111,120160,111,120212,111,120264,111,120316,111,120368,111,120420,111,120472,111,7439,111,7441,111,43837,111,959,111,120528,111,120586,111,120644,111,120702,111,120760,111,963,111,120532,111,120590,111,120648,111,120706,111,120764,111,11423,111,4351,111,1413,111,1505,111,1607,111,126500,111,126564,111,126596,111,65259,111,65260,111,65258,111,65257,111,1726,111,64428,111,64429,111,64427,111,64426,111,1729,111,64424,111,64425,111,64423,111,64422,111,1749,111,3360,111,4125,111,66794,111,71880,111,71895,111,66604,111,1984,79,2534,79,2918,79,12295,79,70864,79,71904,79,120782,79,120792,79,120802,79,120812,79,120822,79,130032,79,65327,79,119822,79,119874,79,119926,79,119978,79,120030,79,120082,79,120134,79,120186,79,120238,79,120290,79,120342,79,120394,79,120446,79,927,79,120502,79,120560,79,120618,79,120676,79,120734,79,11422,79,1365,79,11604,79,4816,79,2848,79,66754,79,42227,79,71861,79,66194,79,66219,79,66564,79,66838,79,9076,112,65360,112,119849,112,119901,112,119953,112,120005,112,120057,112,120109,112,120161,112,120213,112,120265,112,120317,112,120369,112,120421,112,120473,112,961,112,120530,112,120544,112,120588,112,120602,112,120646,112,120660,112,120704,112,120718,112,120762,112,120776,112,11427,112,65328,80,8473,80,119823,80,119875,80,119927,80,119979,80,120031,80,120083,80,120187,80,120239,80,120291,80,120343,80,120395,80,120447,80,929,80,120504,80,120562,80,120620,80,120678,80,120736,80,11426,80,5090,80,5229,80,42193,80,66197,80,119850,113,119902,113,119954,113,120006,113,120058,113,120110,113,120162,113,120214,113,120266,113,120318,113,120370,113,120422,113,120474,113,1307,113,1379,113,1382,113,8474,81,119824,81,119876,81,119928,81,119980,81,120032,81,120084,81,120188,81,120240,81,120292,81,120344,81,120396,81,120448,81,11605,81,119851,114,119903,114,119955,114,120007,114,120059,114,120111,114,120163,114,120215,114,120267,114,120319,114,120371,114,120423,114,120475,114,43847,114,43848,114,7462,114,11397,114,43905,114,119318,82,8475,82,8476,82,8477,82,119825,82,119877,82,119929,82,120033,82,120189,82,120241,82,120293,82,120345,82,120397,82,120449,82,422,82,5025,82,5074,82,66740,82,5511,82,42211,82,94005,82,65363,115,119852,115,119904,115,119956,115,120008,115,120060,115,120112,115,120164,115,120216,115,120268,115,120320,115,120372,115,120424,115,120476,115,42801,115,445,115,1109,115,43946,115,71873,115,66632,115,65331,83,119826,83,119878,83,119930,83,119982,83,120034,83,120086,83,120138,83,120190,83,120242,83,120294,83,120346,83,120398,83,120450,83,1029,83,1359,83,5077,83,5082,83,42210,83,94010,83,66198,83,66592,83,119853,116,119905,116,119957,116,120009,116,120061,116,120113,116,120165,116,120217,116,120269,116,120321,116,120373,116,120425,116,120477,116,8868,84,10201,84,128872,84,65332,84,119827,84,119879,84,119931,84,119983,84,120035,84,120087,84,120139,84,120191,84,120243,84,120295,84,120347,84,120399,84,120451,84,932,84,120507,84,120565,84,120623,84,120681,84,120739,84,11430,84,5026,84,42196,84,93962,84,71868,84,66199,84,66225,84,66325,84,119854,117,119906,117,119958,117,120010,117,120062,117,120114,117,120166,117,120218,117,120270,117,120322,117,120374,117,120426,117,120478,117,42911,117,7452,117,43854,117,43858,117,651,117,965,117,120534,117,120592,117,120650,117,120708,117,120766,117,1405,117,66806,117,71896,117,8746,85,8899,85,119828,85,119880,85,119932,85,119984,85,120036,85,120088,85,120140,85,120192,85,120244,85,120296,85,120348,85,120400,85,120452,85,1357,85,4608,85,66766,85,5196,85,42228,85,94018,85,71864,85,8744,118,8897,118,65366,118,8564,118,119855,118,119907,118,119959,118,120011,118,120063,118,120115,118,120167,118,120219,118,120271,118,120323,118,120375,118,120427,118,120479,118,7456,118,957,118,120526,118,120584,118,120642,118,120700,118,120758,118,1141,118,1496,118,71430,118,43945,118,71872,118,119309,86,1639,86,1783,86,8548,86,119829,86,119881,86,119933,86,119985,86,120037,86,120089,86,120141,86,120193,86,120245,86,120297,86,120349,86,120401,86,120453,86,1140,86,11576,86,5081,86,5167,86,42719,86,42214,86,93960,86,71840,86,66845,86,623,119,119856,119,119908,119,119960,119,120012,119,120064,119,120116,119,120168,119,120220,119,120272,119,120324,119,120376,119,120428,119,120480,119,7457,119,1121,119,1309,119,1377,119,71434,119,71438,119,71439,119,43907,119,71919,87,71910,87,119830,87,119882,87,119934,87,119986,87,120038,87,120090,87,120142,87,120194,87,120246,87,120298,87,120350,87,120402,87,120454,87,1308,87,5043,87,5076,87,42218,87,5742,120,10539,120,10540,120,10799,120,65368,120,8569,120,119857,120,119909,120,119961,120,120013,120,120065,120,120117,120,120169,120,120221,120,120273,120,120325,120,120377,120,120429,120,120481,120,5441,120,5501,120,5741,88,9587,88,66338,88,71916,88,65336,88,8553,88,119831,88,119883,88,119935,88,119987,88,120039,88,120091,88,120143,88,120195,88,120247,88,120299,88,120351,88,120403,88,120455,88,42931,88,935,88,120510,88,120568,88,120626,88,120684,88,120742,88,11436,88,11613,88,5815,88,42219,88,66192,88,66228,88,66327,88,66855,88,611,121,7564,121,65369,121,119858,121,119910,121,119962,121,120014,121,120066,121,120118,121,120170,121,120222,121,120274,121,120326,121,120378,121,120430,121,120482,121,655,121,7935,121,43866,121,947,121,8509,121,120516,121,120574,121,120632,121,120690,121,120748,121,1199,121,4327,121,71900,121,65337,89,119832,89,119884,89,119936,89,119988,89,120040,89,120092,89,120144,89,120196,89,120248,89,120300,89,120352,89,120404,89,120456,89,933,89,978,89,120508,89,120566,89,120624,89,120682,89,120740,89,11432,89,1198,89,5033,89,5053,89,42220,89,94019,89,71844,89,66226,89,119859,122,119911,122,119963,122,120015,122,120067,122,120119,122,120171,122,120223,122,120275,122,120327,122,120379,122,120431,122,120483,122,7458,122,43923,122,71876,122,66293,90,71909,90,65338,90,8484,90,8488,90,119833,90,119885,90,119937,90,119989,90,120041,90,120197,90,120249,90,120301,90,120353,90,120405,90,120457,90,918,90,120493,90,120551,90,120609,90,120667,90,120725,90,5059,90,42204,90,71849,90,65282,34,65284,36,65285,37,65286,38,65290,42,65291,43,65294,46,65295,47,65296,48,65297,49,65298,50,65299,51,65300,52,65301,53,65302,54,65303,55,65304,56,65305,57,65308,60,65309,61,65310,62,65312,64,65316,68,65318,70,65319,71,65324,76,65329,81,65330,82,65333,85,65334,86,65335,87,65343,95,65346,98,65348,100,65350,102,65355,107,65357,109,65358,110,65361,113,65362,114,65364,116,65365,117,65367,119,65370,122,65371,123,65373,125,119846,109],"_default":[160,32,8211,45,65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"cs":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"de":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"es":[8211,45,65374,126,65306,58,65281,33,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"fr":[65374,126,65306,58,65281,33,8216,96,8245,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"it":[160,32,8211,45,65374,126,65306,58,65281,33,8216,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"ja":[8211,45,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65292,44,65307,59],"ko":[8211,45,65374,126,65306,58,65281,33,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"pl":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"pt-BR":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"qps-ploc":[160,32,8211,45,65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"ru":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,305,105,921,73,1009,112,215,120,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"tr":[160,32,8211,45,65374,126,65306,58,65281,33,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"zh-hans":[65374,126,65306,58,65281,33,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65288,40,65289,41],"zh-hant":[8211,45,65374,126,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65307,59]}'))}static{this.d=new i.$4e({getCacheKey:JSON.stringify},q=>{function z(pe){const Qe=new Map;for(let ye=0;ye<pe.length;ye+=2)Qe.set(pe[ye],pe[ye+1]);return Qe}function _(pe,Qe){const ye=new Map(pe);for(const[Ce,ze]of Qe)ye.set(Ce,ze);return ye}function le(pe,Qe){if(!pe)return Qe;const ye=new Map;for(const[Ce,ze]of pe)Qe.has(Ce)&&ye.set(Ce,ze);return ye}const ge=this.c.value;let Ne=q.filter(pe=>!pe.startsWith("_")&&pe in ge);Ne.length===0&&(Ne=["_default"]);let ke;for(const pe of Ne){const Qe=z(ge[pe]);ke=le(ke,Qe)}const Re=z(ge._common),Me=_(Re,ke);return new Ie(Me)})}static getInstance(q){return Ie.d.get(Array.from(q))}static{this.e=new y.$V(()=>Object.keys(Ie.c.value).filter(q=>!q.startsWith("_")))}static getLocales(){return Ie.e.value}constructor(q){this.f=q}isAmbiguous(q){return this.f.has(q)}getPrimaryConfusable(q){return this.f.get(q)}getConfusableCodePoints(){return new Set(this.f.keys())}}t.$7f=Ie;class Ve{static c(){return JSON.parse("[9,10,11,12,13,32,127,160,173,847,1564,4447,4448,6068,6069,6155,6156,6157,6158,7355,7356,8192,8193,8194,8195,8196,8197,8198,8199,8200,8201,8202,8203,8204,8205,8206,8207,8234,8235,8236,8237,8238,8239,8287,8288,8289,8290,8291,8292,8293,8294,8295,8296,8297,8298,8299,8300,8301,8302,8303,10240,12288,12644,65024,65025,65026,65027,65028,65029,65030,65031,65032,65033,65034,65035,65036,65037,65038,65039,65279,65440,65520,65521,65522,65523,65524,65525,65526,65527,65528,65532,78844,119155,119156,119157,119158,119159,119160,119161,119162,917504,917505,917506,917507,917508,917509,917510,917511,917512,917513,917514,917515,917516,917517,917518,917519,917520,917521,917522,917523,917524,917525,917526,917527,917528,917529,917530,917531,917532,917533,917534,917535,917536,917537,917538,917539,917540,917541,917542,917543,917544,917545,917546,917547,917548,917549,917550,917551,917552,917553,917554,917555,917556,917557,917558,917559,917560,917561,917562,917563,917564,917565,917566,917567,917568,917569,917570,917571,917572,917573,917574,917575,917576,917577,917578,917579,917580,917581,917582,917583,917584,917585,917586,917587,917588,917589,917590,917591,917592,917593,917594,917595,917596,917597,917598,917599,917600,917601,917602,917603,917604,917605,917606,917607,917608,917609,917610,917611,917612,917613,917614,917615,917616,917617,917618,917619,917620,917621,917622,917623,917624,917625,917626,917627,917628,917629,917630,917631,917760,917761,917762,917763,917764,917765,917766,917767,917768,917769,917770,917771,917772,917773,917774,917775,917776,917777,917778,917779,917780,917781,917782,917783,917784,917785,917786,917787,917788,917789,917790,917791,917792,917793,917794,917795,917796,917797,917798,917799,917800,917801,917802,917803,917804,917805,917806,917807,917808,917809,917810,917811,917812,917813,917814,917815,917816,917817,917818,917819,917820,917821,917822,917823,917824,917825,917826,917827,917828,917829,917830,917831,917832,917833,917834,917835,917836,917837,917838,917839,917840,917841,917842,917843,917844,917845,917846,917847,917848,917849,917850,917851,917852,917853,917854,917855,917856,917857,917858,917859,917860,917861,917862,917863,917864,917865,917866,917867,917868,917869,917870,917871,917872,917873,917874,917875,917876,917877,917878,917879,917880,917881,917882,917883,917884,917885,917886,917887,917888,917889,917890,917891,917892,917893,917894,917895,917896,917897,917898,917899,917900,917901,917902,917903,917904,917905,917906,917907,917908,917909,917910,917911,917912,917913,917914,917915,917916,917917,917918,917919,917920,917921,917922,917923,917924,917925,917926,917927,917928,917929,917930,917931,917932,917933,917934,917935,917936,917937,917938,917939,917940,917941,917942,917943,917944,917945,917946,917947,917948,917949,917950,917951,917952,917953,917954,917955,917956,917957,917958,917959,917960,917961,917962,917963,917964,917965,917966,917967,917968,917969,917970,917971,917972,917973,917974,917975,917976,917977,917978,917979,917980,917981,917982,917983,917984,917985,917986,917987,917988,917989,917990,917991,917992,917993,917994,917995,917996,917997,917998,917999]")}static{this.d=void 0}static e(){return this.d||(this.d=new Set(Ve.c())),this.d}static isInvisibleCharacter(q){return Ve.e().has(q)}static get codePoints(){return Ve.e()}}t.$8f=Ve}),ie(se[42],ae([0,1,7]),function(B,t,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.$qj=t.$oj=void 0,t.$kj=y,t.$lj=M,t.$mj=c,t.$nj=g,t.$pj=m;function y(w){return M(w,0)}function M(w,v){switch(typeof w){case"object":return w===null?c(349,v):Array.isArray(w)?a(w,v):u(w,v);case"string":return g(w,v);case"boolean":return $(w,v);case"number":return c(w,v);case"undefined":return c(937,v);default:return c(617,v)}}function c(w,v){return(v<<5)-v+w|0}function $(w,v){return c(w?433:863,v)}function g(w,v){v=c(149417,v);for(let N=0,E=w.length;N<E;N++)v=c(w.charCodeAt(N),v);return v}function a(w,v){return v=c(104579,v),w.reduce((N,E)=>M(E,N),v)}function u(w,v){return v=c(181387,v),Object.keys(w).sort().reduce((N,E)=>(N=g(E,N),M(w[E],N)),v)}class o{constructor(){this.g=0}get value(){return this.g}hash(v){return this.g=M(v,this.g),this.g}}t.$oj=o;var p;(function(w){w[w.BLOCK_SIZE=64]="BLOCK_SIZE",w[w.UNICODE_REPLACEMENT=65533]="UNICODE_REPLACEMENT"})(p||(p={}));function d(w,v,N=32){const E=N-v,l=~((1<<E)-1);return(w<<v|(l&w)>>>E)>>>0}function b(w,v=0,N=w.byteLength,E=0){for(let l=0;l<N;l++)w[v+l]=E}function e(w,v,N="0"){for(;w.length<v;)w=N+w;return w}function m(w,v=32){return w instanceof ArrayBuffer?Array.from(new Uint8Array(w)).map(N=>N.toString(16).padStart(2,"0")).join(""):e((w>>>0).toString(16),v/4)}class j{static{this.g=new DataView(new ArrayBuffer(320))}constructor(){this.h=1732584193,this.l=4023233417,this.m=2562383102,this.n=271733878,this.o=3285377520,this.p=new Uint8Array(67),this.q=new DataView(this.p.buffer),this.r=0,this.t=0,this.u=0,this.v=!1}update(v){const N=v.length;if(N===0)return;const E=this.p;let l=this.r,n=this.u,s,f;for(n!==0?(s=n,f=-1,n=0):(s=v.charCodeAt(0),f=0);;){let h=s;if(i.$Cf(s))if(f+1<N){const L=v.charCodeAt(f+1);i.$Df(L)?(f++,h=i.$Ef(s,L)):h=65533}else{n=s;break}else i.$Df(s)&&(h=65533);if(l=this.w(E,l,h),f++,f<N)s=v.charCodeAt(f);else break}this.r=l,this.u=n}w(v,N,E){return E<128?v[N++]=E:E<2048?(v[N++]=192|(E&1984)>>>6,v[N++]=128|(E&63)>>>0):E<65536?(v[N++]=224|(E&61440)>>>12,v[N++]=128|(E&4032)>>>6,v[N++]=128|(E&63)>>>0):(v[N++]=240|(E&1835008)>>>18,v[N++]=128|(E&258048)>>>12,v[N++]=128|(E&4032)>>>6,v[N++]=128|(E&63)>>>0),N>=64&&(this.y(),N-=64,this.t+=64,v[0]=v[64],v[1]=v[65],v[2]=v[66]),N}digest(){return this.v||(this.v=!0,this.u&&(this.u=0,this.r=this.w(this.p,this.r,65533)),this.t+=this.r,this.x()),m(this.h)+m(this.l)+m(this.m)+m(this.n)+m(this.o)}x(){this.p[this.r++]=128,b(this.p,this.r),this.r>56&&(this.y(),b(this.p));const v=8*this.t;this.q.setUint32(56,Math.floor(v/4294967296),!1),this.q.setUint32(60,v%4294967296,!1),this.y()}y(){const v=j.g,N=this.q;for(let R=0;R<64;R+=4)v.setUint32(R,N.getUint32(R,!1),!1);for(let R=64;R<320;R+=4)v.setUint32(R,d(v.getUint32(R-12,!1)^v.getUint32(R-32,!1)^v.getUint32(R-56,!1)^v.getUint32(R-64,!1),1),!1);let E=this.h,l=this.l,n=this.m,s=this.n,f=this.o,h,L,A;for(let R=0;R<80;R++)R<20?(h=l&n|~l&s,L=1518500249):R<40?(h=l^n^s,L=1859775393):R<60?(h=l&n|l&s|n&s,L=2400959708):(h=l^n^s,L=3395469782),A=d(E,5)+h+f+L+v.getUint32(R*4,!1)&4294967295,f=s,s=n,n=d(l,30),l=E,E=A;this.h=this.h+E&4294967295,this.l=this.l+l&4294967295,this.m=this.m+n&4294967295,this.n=this.n+s&4294967295,this.o=this.o+f&4294967295}}t.$qj=j}),ie(se[25],ae([0,1,38,42]),function(B,t,i,y){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.$At=t.$yt=void 0,t.$zt=c;class M{constructor(d){this.a=d}getElements(){const d=this.a,b=new Int32Array(d.length);for(let e=0,m=d.length;e<m;e++)b[e]=d.charCodeAt(e);return b}}t.$yt=M;function c(p,d,b){return new o(new M(p),new M(d)).ComputeDiff(b).changes}class ${static Assert(d,b){if(!d)throw new Error(b)}}class g{static Copy(d,b,e,m,j){for(let w=0;w<j;w++)e[m+w]=d[b+w]}static Copy2(d,b,e,m,j){for(let w=0;w<j;w++)e[m+w]=d[b+w]}}var a;(function(p){p[p.MaxDifferencesHistory=1447]="MaxDifferencesHistory"})(a||(a={}));class u{constructor(){this.a=[],this.b=1073741824,this.c=1073741824,this.d=0,this.e=0}MarkNextChange(){(this.d>0||this.e>0)&&this.a.push(new i.$xt(this.b,this.d,this.c,this.e)),this.d=0,this.e=0,this.b=1073741824,this.c=1073741824}AddOriginalElement(d,b){this.b=Math.min(this.b,d),this.c=Math.min(this.c,b),this.d++}AddModifiedElement(d,b){this.b=Math.min(this.b,d),this.c=Math.min(this.c,b),this.e++}getChanges(){return(this.d>0||this.e>0)&&this.MarkNextChange(),this.a}getReverseChanges(){return(this.d>0||this.e>0)&&this.MarkNextChange(),this.a.reverse(),this.a}}class o{constructor(d,b,e=null){this.a=e,this.b=d,this.c=b;const[m,j,w]=o.o(d),[v,N,E]=o.o(b);this.d=w&&E,this.e=m,this.f=j,this.g=v,this.h=N,this.k=[],this.m=[]}static n(d){return d.length>0&&typeof d[0]=="string"}static o(d){const b=d.getElements();if(o.n(b)){const e=new Int32Array(b.length);for(let m=0,j=b.length;m<j;m++)e[m]=(0,y.$nj)(b[m],0);return[b,e,!0]}return b instanceof Int32Array?[[],b,!1]:[[],new Int32Array(b),!1]}p(d,b){return this.f[d]!==this.h[b]?!1:this.d?this.e[d]===this.g[b]:!0}q(d,b){if(!this.p(d,b))return!1;const e=o.r(this.b,d),m=o.r(this.c,b);return e===m}static r(d,b){return typeof d.getStrictElement=="function"?d.getStrictElement(b):null}s(d,b){return this.f[d]!==this.f[b]?!1:this.d?this.e[d]===this.e[b]:!0}u(d,b){return this.h[d]!==this.h[b]?!1:this.d?this.g[d]===this.g[b]:!0}ComputeDiff(d){return this.v(0,this.f.length-1,0,this.h.length-1,d)}v(d,b,e,m,j){const w=[!1];let v=this.w(d,b,e,m,w);return j&&(v=this.z(v)),{quitEarly:w[0],changes:v}}w(d,b,e,m,j){for(j[0]=!1;d<=b&&e<=m&&this.p(d,e);)d++,e++;for(;b>=d&&m>=e&&this.p(b,m);)b--,m--;if(d>b||e>m){let n;return e<=m?($.Assert(d===b+1,"originalStart should only be one more than originalEnd"),n=[new i.$xt(d,0,e,m-e+1)]):d<=b?($.Assert(e===m+1,"modifiedStart should only be one more than modifiedEnd"),n=[new i.$xt(d,b-d+1,e,0)]):($.Assert(d===b+1,"originalStart should only be one more than originalEnd"),$.Assert(e===m+1,"modifiedStart should only be one more than modifiedEnd"),n=[]),n}const w=[0],v=[0],N=this.y(d,b,e,m,w,v,j),E=w[0],l=v[0];if(N!==null)return N;if(!j[0]){const n=this.w(d,E,e,l,j);let s=[];return j[0]?s=[new i.$xt(E+1,b-(E+1)+1,l+1,m-(l+1)+1)]:s=this.w(E+1,b,l+1,m,j),this.H(n,s)}return[new i.$xt(d,b-d+1,e,m-e+1)]}x(d,b,e,m,j,w,v,N,E,l,n,s,f,h,L,A,R,F){let k=null,T=null,x=new u,Q=b,I=e,S=f[0]-A[0]-m,W=-1073741824,Y=this.k.length-1;do{const Z=S+d;Z===Q||Z<I&&E[Z-1]<E[Z+1]?(n=E[Z+1],h=n-S-m,n<W&&x.MarkNextChange(),W=n,x.AddModifiedElement(n+1,h),S=Z+1-d):(n=E[Z-1]+1,h=n-S-m,n<W&&x.MarkNextChange(),W=n-1,x.AddOriginalElement(n,h+1),S=Z-1-d),Y>=0&&(E=this.k[Y],d=E[0],Q=1,I=E.length-1)}while(--Y>=-1);if(k=x.getReverseChanges(),F[0]){let Z=f[0]+1,H=A[0]+1;if(k!==null&&k.length>0){const G=k[k.length-1];Z=Math.max(Z,G.getOriginalEnd()),H=Math.max(H,G.getModifiedEnd())}T=[new i.$xt(Z,s-Z+1,H,L-H+1)]}else{x=new u,Q=w,I=v,S=f[0]-A[0]-N,W=1073741824,Y=R?this.m.length-1:this.m.length-2;do{const Z=S+j;Z===Q||Z<I&&l[Z-1]>=l[Z+1]?(n=l[Z+1]-1,h=n-S-N,n>W&&x.MarkNextChange(),W=n+1,x.AddOriginalElement(n+1,h+1),S=Z+1-j):(n=l[Z-1],h=n-S-N,n>W&&x.MarkNextChange(),W=n,x.AddModifiedElement(n+1,h+1),S=Z-1-j),Y>=0&&(l=this.m[Y],j=l[0],Q=1,I=l.length-1)}while(--Y>=-1);T=x.getChanges()}return this.H(k,T)}y(d,b,e,m,j,w,v){let N=0,E=0,l=0,n=0,s=0,f=0;d--,e--,j[0]=0,w[0]=0,this.k=[],this.m=[];const h=b-d+(m-e),L=h+1,A=new Int32Array(L),R=new Int32Array(L),F=m-e,k=b-d,T=d-e,x=b-m,I=(k-F)%2===0;A[F]=d,R[k]=b,v[0]=!1;for(let S=1;S<=h/2+1;S++){let W=0,Y=0;l=this.J(F-S,S,F,L),n=this.J(F+S,S,F,L);for(let H=l;H<=n;H+=2){H===l||H<n&&A[H-1]<A[H+1]?N=A[H+1]:N=A[H-1]+1,E=N-(H-F)-T;const G=N;for(;N<b&&E<m&&this.p(N+1,E+1);)N++,E++;if(A[H]=N,N+E>W+Y&&(W=N,Y=E),!I&&Math.abs(H-k)<=S-1&&N>=R[H])return j[0]=N,w[0]=E,G<=R[H]&&1447>0&&S<=1448?this.x(F,l,n,T,k,s,f,x,A,R,N,b,j,E,m,w,I,v):null}const Z=(W-d+(Y-e)-S)/2;if(this.a!==null&&!this.a(W,Z))return v[0]=!0,j[0]=W,w[0]=Y,Z>0&&1447>0&&S<=1448?this.x(F,l,n,T,k,s,f,x,A,R,N,b,j,E,m,w,I,v):(d++,e++,[new i.$xt(d,b-d+1,e,m-e+1)]);s=this.J(k-S,S,k,L),f=this.J(k+S,S,k,L);for(let H=s;H<=f;H+=2){H===s||H<f&&R[H-1]>=R[H+1]?N=R[H+1]-1:N=R[H-1],E=N-(H-k)-x;const G=N;for(;N>d&&E>e&&this.p(N,E);)N--,E--;if(R[H]=N,I&&Math.abs(H-F)<=S&&N<=A[H])return j[0]=N,w[0]=E,G>=A[H]&&1447>0&&S<=1448?this.x(F,l,n,T,k,s,f,x,A,R,N,b,j,E,m,w,I,v):null}if(S<=1447){let H=new Int32Array(n-l+2);H[0]=F-l+1,g.Copy2(A,l,H,1,n-l+1),this.k.push(H),H=new Int32Array(f-s+2),H[0]=k-s+1,g.Copy2(R,s,H,1,f-s+1),this.m.push(H)}}return this.x(F,l,n,T,k,s,f,x,A,R,N,b,j,E,m,w,I,v)}z(d){for(let b=0;b<d.length;b++){const e=d[b],m=b<d.length-1?d[b+1].originalStart:this.f.length,j=b<d.length-1?d[b+1].modifiedStart:this.h.length,w=e.originalLength>0,v=e.modifiedLength>0;for(;e.originalStart+e.originalLength<m&&e.modifiedStart+e.modifiedLength<j&&(!w||this.s(e.originalStart,e.originalStart+e.originalLength))&&(!v||this.u(e.modifiedStart,e.modifiedStart+e.modifiedLength));){const E=this.q(e.originalStart,e.modifiedStart);if(this.q(e.originalStart+e.originalLength,e.modifiedStart+e.modifiedLength)&&!E)break;e.originalStart++,e.modifiedStart++}const N=[null];if(b<d.length-1&&this.I(d[b],d[b+1],N)){d[b]=N[0],d.splice(b+1,1),b--;continue}}for(let b=d.length-1;b>=0;b--){const e=d[b];let m=0,j=0;if(b>0){const n=d[b-1];m=n.originalStart+n.originalLength,j=n.modifiedStart+n.modifiedLength}const w=e.originalLength>0,v=e.modifiedLength>0;let N=0,E=this.G(e.originalStart,e.originalLength,e.modifiedStart,e.modifiedLength);for(let n=1;;n++){const s=e.originalStart-n,f=e.modifiedStart-n;if(s<m||f<j||w&&!this.s(s,s+e.originalLength)||v&&!this.u(f,f+e.modifiedLength))break;const L=(s===m&&f===j?5:0)+this.G(s,e.originalLength,f,e.modifiedLength);L>E&&(E=L,N=n)}e.originalStart-=N,e.modifiedStart-=N;const l=[null];if(b>0&&this.I(d[b-1],d[b],l)){d[b-1]=l[0],d.splice(b,1),b++;continue}}if(this.d)for(let b=1,e=d.length;b<e;b++){const m=d[b-1],j=d[b],w=j.originalStart-m.originalStart-m.originalLength,v=m.originalStart,N=j.originalStart+j.originalLength,E=N-v,l=m.modifiedStart,n=j.modifiedStart+j.modifiedLength,s=n-l;if(w<5&&E<20&&s<20){const f=this.A(v,E,l,s,w);if(f){const[h,L]=f;(h!==m.originalStart+m.originalLength||L!==m.modifiedStart+m.modifiedLength)&&(m.originalLength=h-m.originalStart,m.modifiedLength=L-m.modifiedStart,j.originalStart=h+w,j.modifiedStart=L+w,j.originalLength=N-j.originalStart,j.modifiedLength=n-j.modifiedStart)}}}return d}A(d,b,e,m,j){if(b<j||m<j)return null;const w=d+b-j+1,v=e+m-j+1;let N=0,E=0,l=0;for(let n=d;n<w;n++)for(let s=e;s<v;s++){const f=this.B(n,s,j);f>0&&f>N&&(N=f,E=n,l=s)}return N>0?[E,l]:null}B(d,b,e){let m=0;for(let j=0;j<e;j++){if(!this.p(d+j,b+j))return 0;m+=this.e[d+j].length}return m}C(d){return d<=0||d>=this.f.length-1?!0:this.d&&/^\s*$/.test(this.e[d])}D(d,b){if(this.C(d)||this.C(d-1))return!0;if(b>0){const e=d+b;if(this.C(e-1)||this.C(e))return!0}return!1}E(d){return d<=0||d>=this.h.length-1?!0:this.d&&/^\s*$/.test(this.g[d])}F(d,b){if(this.E(d)||this.E(d-1))return!0;if(b>0){const e=d+b;if(this.E(e-1)||this.E(e))return!0}return!1}G(d,b,e,m){const j=this.D(d,b)?1:0,w=this.F(e,m)?1:0;return j+w}H(d,b){const e=[];if(d.length===0||b.length===0)return b.length>0?b:d;if(this.I(d[d.length-1],b[0],e)){const m=new Array(d.length+b.length-1);return g.Copy(d,0,m,0,d.length-1),m[d.length-1]=e[0],g.Copy(b,1,m,d.length,b.length-1),m}else{const m=new Array(d.length+b.length);return g.Copy(d,0,m,0,d.length),g.Copy(b,0,m,d.length,b.length),m}}I(d,b,e){if($.Assert(d.originalStart<=b.originalStart,"Left change is not less than or equal to right change"),$.Assert(d.modifiedStart<=b.modifiedStart,"Left change is not less than or equal to right change"),d.originalStart+d.originalLength>=b.originalStart||d.modifiedStart+d.modifiedLength>=b.modifiedStart){const m=d.originalStart;let j=d.originalLength;const w=d.modifiedStart;let v=d.modifiedLength;return d.originalStart+d.originalLength>=b.originalStart&&(j=b.originalStart+b.originalLength-d.originalStart),d.modifiedStart+d.modifiedLength>=b.modifiedStart&&(v=b.modifiedStart+b.modifiedLength-d.modifiedStart),e[0]=new i.$xt(m,j,w,v),!0}else return e[0]=null,!1}J(d,b,e,m){if(d>=0&&d<m)return d;const j=e,w=m-e-1,v=b%2===0;if(d<0){const N=j%2===0;return v===N?0:1}else{const N=w%2===0;return v===N?m-1:m-2}}}t.$At=o}),ie(se[26],ae([0,1]),function(B,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.$9f=i,t.$0f=y,t.$$f=M,t.$_f=c,t.$ag=$,t.$bg=g,t.$cg=a,t.$dg=u,t.$eg=o,t.$fg=p,t.$gg=d,t.$hg=b,t.$ig=e,t.$jg=j,t.$kg=w,t.$lg=v,t.$mg=N,t.$ng=E;function i(l){return typeof l=="string"}function y(l){return Array.isArray(l)&&l.every(n=>i(n))}function M(l){return typeof l=="object"&&l!==null&&!Array.isArray(l)&&!(l instanceof RegExp)&&!(l instanceof Date)}function c(l){const n=Object.getPrototypeOf(Uint8Array);return typeof l=="object"&&l instanceof n}function $(l){return typeof l=="number"&&!isNaN(l)}function g(l){return!!l&&typeof l[Symbol.iterator]=="function"}function a(l){return l===!0||l===!1}function u(l){return typeof l>"u"}function o(l){return!p(l)}function p(l){return u(l)||l===null}function d(l,n){if(!l)throw new Error(n?`Unexpected type, expected '${n}'`:"Unexpected type")}function b(l){if(p(l))throw new Error("Assertion Failed: argument is undefined or null");return l}function e(...l){const n=[];for(let s=0;s<l.length;s++){const f=l[s];if(p(f))throw new Error(`Assertion Failed: argument at index ${s} is undefined or null`);n.push(f)}return n}const m=Object.prototype.hasOwnProperty;function j(l){if(!M(l))return!1;for(const n in l)if(m.call(l,n))return!1;return!0}function w(l){return typeof l=="function"}function v(...l){return l.length>0&&l.every(w)}function N(l,n){const s=Math.min(l.length,n.length);for(let f=0;f<s;f++)E(l[f],n[f])}function E(l,n){if(i(n)){if(typeof l!==n)throw new Error(`argument does not match constraint: typeof ${n}`)}else if(w(n)){try{if(l instanceof n)return}catch{}if(!p(l)&&l.constructor===n||n.length===1&&n.call(void 0,l)===!0)return;throw new Error("argument does not match one of these constraints: arg instanceof constraint, arg.constructor === constraint, nor constraint(arg) === true")}}}),ie(se[27],ae([0,1,26]),function(B,t,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.$Qj=M,t.$Rj=c;const y=Object.create(null);function M($,g){if((0,i.$9f)(g)){const a=y[g];if(a===void 0)throw new Error(`${$} references an unknown codicon: ${g}`);g=a}return y[$]=g,{id:$}}function c(){return y}}),ie(se[43],ae([0,1,27]),function(B,t,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.$Sj=void 0,t.$Sj={add:(0,i.$Qj)("add",6e4),plus:(0,i.$Qj)("plus",6e4),gistNew:(0,i.$Qj)("gist-new",6e4),repoCreate:(0,i.$Qj)("repo-create",6e4),lightbulb:(0,i.$Qj)("lightbulb",60001),lightBulb:(0,i.$Qj)("light-bulb",60001),repo:(0,i.$Qj)("repo",60002),repoDelete:(0,i.$Qj)("repo-delete",60002),gistFork:(0,i.$Qj)("gist-fork",60003),repoForked:(0,i.$Qj)("repo-forked",60003),gitPullRequest:(0,i.$Qj)("git-pull-request",60004),gitPullRequestAbandoned:(0,i.$Qj)("git-pull-request-abandoned",60004),recordKeys:(0,i.$Qj)("record-keys",60005),keyboard:(0,i.$Qj)("keyboard",60005),tag:(0,i.$Qj)("tag",60006),gitPullRequestLabel:(0,i.$Qj)("git-pull-request-label",60006),tagAdd:(0,i.$Qj)("tag-add",60006),tagRemove:(0,i.$Qj)("tag-remove",60006),person:(0,i.$Qj)("person",60007),personFollow:(0,i.$Qj)("person-follow",60007),personOutline:(0,i.$Qj)("person-outline",60007),personFilled:(0,i.$Qj)("person-filled",60007),gitBranch:(0,i.$Qj)("git-branch",60008),gitBranchCreate:(0,i.$Qj)("git-branch-create",60008),gitBranchDelete:(0,i.$Qj)("git-branch-delete",60008),sourceControl:(0,i.$Qj)("source-control",60008),mirror:(0,i.$Qj)("mirror",60009),mirrorPublic:(0,i.$Qj)("mirror-public",60009),star:(0,i.$Qj)("star",60010),starAdd:(0,i.$Qj)("star-add",60010),starDelete:(0,i.$Qj)("star-delete",60010),starEmpty:(0,i.$Qj)("star-empty",60010),comment:(0,i.$Qj)("comment",60011),commentAdd:(0,i.$Qj)("comment-add",60011),alert:(0,i.$Qj)("alert",60012),warning:(0,i.$Qj)("warning",60012),search:(0,i.$Qj)("search",60013),searchSave:(0,i.$Qj)("search-save",60013),logOut:(0,i.$Qj)("log-out",60014),signOut:(0,i.$Qj)("sign-out",60014),logIn:(0,i.$Qj)("log-in",60015),signIn:(0,i.$Qj)("sign-in",60015),eye:(0,i.$Qj)("eye",60016),eyeUnwatch:(0,i.$Qj)("eye-unwatch",60016),eyeWatch:(0,i.$Qj)("eye-watch",60016),circleFilled:(0,i.$Qj)("circle-filled",60017),primitiveDot:(0,i.$Qj)("primitive-dot",60017),closeDirty:(0,i.$Qj)("close-dirty",60017),debugBreakpoint:(0,i.$Qj)("debug-breakpoint",60017),debugBreakpointDisabled:(0,i.$Qj)("debug-breakpoint-disabled",60017),debugHint:(0,i.$Qj)("debug-hint",60017),terminalDecorationSuccess:(0,i.$Qj)("terminal-decoration-success",60017),primitiveSquare:(0,i.$Qj)("primitive-square",60018),edit:(0,i.$Qj)("edit",60019),pencil:(0,i.$Qj)("pencil",60019),info:(0,i.$Qj)("info",60020),issueOpened:(0,i.$Qj)("issue-opened",60020),gistPrivate:(0,i.$Qj)("gist-private",60021),gitForkPrivate:(0,i.$Qj)("git-fork-private",60021),lock:(0,i.$Qj)("lock",60021),mirrorPrivate:(0,i.$Qj)("mirror-private",60021),close:(0,i.$Qj)("close",60022),removeClose:(0,i.$Qj)("remove-close",60022),x:(0,i.$Qj)("x",60022),repoSync:(0,i.$Qj)("repo-sync",60023),sync:(0,i.$Qj)("sync",60023),clone:(0,i.$Qj)("clone",60024),desktopDownload:(0,i.$Qj)("desktop-download",60024),beaker:(0,i.$Qj)("beaker",60025),microscope:(0,i.$Qj)("microscope",60025),vm:(0,i.$Qj)("vm",60026),deviceDesktop:(0,i.$Qj)("device-desktop",60026),file:(0,i.$Qj)("file",60027),fileText:(0,i.$Qj)("file-text",60027),more:(0,i.$Qj)("more",60028),ellipsis:(0,i.$Qj)("ellipsis",60028),kebabHorizontal:(0,i.$Qj)("kebab-horizontal",60028),mailReply:(0,i.$Qj)("mail-reply",60029),reply:(0,i.$Qj)("reply",60029),organization:(0,i.$Qj)("organization",60030),organizationFilled:(0,i.$Qj)("organization-filled",60030),organizationOutline:(0,i.$Qj)("organization-outline",60030),newFile:(0,i.$Qj)("new-file",60031),fileAdd:(0,i.$Qj)("file-add",60031),newFolder:(0,i.$Qj)("new-folder",60032),fileDirectoryCreate:(0,i.$Qj)("file-directory-create",60032),trash:(0,i.$Qj)("trash",60033),trashcan:(0,i.$Qj)("trashcan",60033),history:(0,i.$Qj)("history",60034),clock:(0,i.$Qj)("clock",60034),folder:(0,i.$Qj)("folder",60035),fileDirectory:(0,i.$Qj)("file-directory",60035),symbolFolder:(0,i.$Qj)("symbol-folder",60035),logoGithub:(0,i.$Qj)("logo-github",60036),markGithub:(0,i.$Qj)("mark-github",60036),github:(0,i.$Qj)("github",60036),terminal:(0,i.$Qj)("terminal",60037),console:(0,i.$Qj)("console",60037),repl:(0,i.$Qj)("repl",60037),zap:(0,i.$Qj)("zap",60038),symbolEvent:(0,i.$Qj)("symbol-event",60038),error:(0,i.$Qj)("error",60039),stop:(0,i.$Qj)("stop",60039),variable:(0,i.$Qj)("variable",60040),symbolVariable:(0,i.$Qj)("symbol-variable",60040),array:(0,i.$Qj)("array",60042),symbolArray:(0,i.$Qj)("symbol-array",60042),symbolModule:(0,i.$Qj)("symbol-module",60043),symbolPackage:(0,i.$Qj)("symbol-package",60043),symbolNamespace:(0,i.$Qj)("symbol-namespace",60043),symbolObject:(0,i.$Qj)("symbol-object",60043),symbolMethod:(0,i.$Qj)("symbol-method",60044),symbolFunction:(0,i.$Qj)("symbol-function",60044),symbolConstructor:(0,i.$Qj)("symbol-constructor",60044),symbolBoolean:(0,i.$Qj)("symbol-boolean",60047),symbolNull:(0,i.$Qj)("symbol-null",60047),symbolNumeric:(0,i.$Qj)("symbol-numeric",60048),symbolNumber:(0,i.$Qj)("symbol-number",60048),symbolStructure:(0,i.$Qj)("symbol-structure",60049),symbolStruct:(0,i.$Qj)("symbol-struct",60049),symbolParameter:(0,i.$Qj)("symbol-parameter",60050),symbolTypeParameter:(0,i.$Qj)("symbol-type-parameter",60050),symbolKey:(0,i.$Qj)("symbol-key",60051),symbolText:(0,i.$Qj)("symbol-text",60051),symbolReference:(0,i.$Qj)("symbol-reference",60052),goToFile:(0,i.$Qj)("go-to-file",60052),symbolEnum:(0,i.$Qj)("symbol-enum",60053),symbolValue:(0,i.$Qj)("symbol-value",60053),symbolRuler:(0,i.$Qj)("symbol-ruler",60054),symbolUnit:(0,i.$Qj)("symbol-unit",60054),activateBreakpoints:(0,i.$Qj)("activate-breakpoints",60055),archive:(0,i.$Qj)("archive",60056),arrowBoth:(0,i.$Qj)("arrow-both",60057),arrowDown:(0,i.$Qj)("arrow-down",60058),arrowLeft:(0,i.$Qj)("arrow-left",60059),arrowRight:(0,i.$Qj)("arrow-right",60060),arrowSmallDown:(0,i.$Qj)("arrow-small-down",60061),arrowSmallLeft:(0,i.$Qj)("arrow-small-left",60062),arrowSmallRight:(0,i.$Qj)("arrow-small-right",60063),arrowSmallUp:(0,i.$Qj)("arrow-small-up",60064),arrowUp:(0,i.$Qj)("arrow-up",60065),bell:(0,i.$Qj)("bell",60066),bold:(0,i.$Qj)("bold",60067),book:(0,i.$Qj)("book",60068),bookmark:(0,i.$Qj)("bookmark",60069),debugBreakpointConditionalUnverified:(0,i.$Qj)("debug-breakpoint-conditional-unverified",60070),debugBreakpointConditional:(0,i.$Qj)("debug-breakpoint-conditional",60071),debugBreakpointConditionalDisabled:(0,i.$Qj)("debug-breakpoint-conditional-disabled",60071),debugBreakpointDataUnverified:(0,i.$Qj)("debug-breakpoint-data-unverified",60072),debugBreakpointData:(0,i.$Qj)("debug-breakpoint-data",60073),debugBreakpointDataDisabled:(0,i.$Qj)("debug-breakpoint-data-disabled",60073),debugBreakpointLogUnverified:(0,i.$Qj)("debug-breakpoint-log-unverified",60074),debugBreakpointLog:(0,i.$Qj)("debug-breakpoint-log",60075),debugBreakpointLogDisabled:(0,i.$Qj)("debug-breakpoint-log-disabled",60075),briefcase:(0,i.$Qj)("briefcase",60076),broadcast:(0,i.$Qj)("broadcast",60077),browser:(0,i.$Qj)("browser",60078),bug:(0,i.$Qj)("bug",60079),calendar:(0,i.$Qj)("calendar",60080),caseSensitive:(0,i.$Qj)("case-sensitive",60081),check:(0,i.$Qj)("check",60082),checklist:(0,i.$Qj)("checklist",60083),chevronDown:(0,i.$Qj)("chevron-down",60084),chevronLeft:(0,i.$Qj)("chevron-left",60085),chevronRight:(0,i.$Qj)("chevron-right",60086),chevronUp:(0,i.$Qj)("chevron-up",60087),chromeClose:(0,i.$Qj)("chrome-close",60088),chromeMaximize:(0,i.$Qj)("chrome-maximize",60089),chromeMinimize:(0,i.$Qj)("chrome-minimize",60090),chromeRestore:(0,i.$Qj)("chrome-restore",60091),circleOutline:(0,i.$Qj)("circle-outline",60092),circle:(0,i.$Qj)("circle",60092),debugBreakpointUnverified:(0,i.$Qj)("debug-breakpoint-unverified",60092),terminalDecorationIncomplete:(0,i.$Qj)("terminal-decoration-incomplete",60092),circleSlash:(0,i.$Qj)("circle-slash",60093),circuitBoard:(0,i.$Qj)("circuit-board",60094),clearAll:(0,i.$Qj)("clear-all",60095),clippy:(0,i.$Qj)("clippy",60096),closeAll:(0,i.$Qj)("close-all",60097),cloudDownload:(0,i.$Qj)("cloud-download",60098),cloudUpload:(0,i.$Qj)("cloud-upload",60099),code:(0,i.$Qj)("code",60100),collapseAll:(0,i.$Qj)("collapse-all",60101),colorMode:(0,i.$Qj)("color-mode",60102),commentDiscussion:(0,i.$Qj)("comment-discussion",60103),creditCard:(0,i.$Qj)("credit-card",60105),dash:(0,i.$Qj)("dash",60108),dashboard:(0,i.$Qj)("dashboard",60109),database:(0,i.$Qj)("database",60110),debugContinue:(0,i.$Qj)("debug-continue",60111),debugDisconnect:(0,i.$Qj)("debug-disconnect",60112),debugPause:(0,i.$Qj)("debug-pause",60113),debugRestart:(0,i.$Qj)("debug-restart",60114),debugStart:(0,i.$Qj)("debug-start",60115),debugStepInto:(0,i.$Qj)("debug-step-into",60116),debugStepOut:(0,i.$Qj)("debug-step-out",60117),debugStepOver:(0,i.$Qj)("debug-step-over",60118),debugStop:(0,i.$Qj)("debug-stop",60119),debug:(0,i.$Qj)("debug",60120),deviceCameraVideo:(0,i.$Qj)("device-camera-video",60121),deviceCamera:(0,i.$Qj)("device-camera",60122),deviceMobile:(0,i.$Qj)("device-mobile",60123),diffAdded:(0,i.$Qj)("diff-added",60124),diffIgnored:(0,i.$Qj)("diff-ignored",60125),diffModified:(0,i.$Qj)("diff-modified",60126),diffRemoved:(0,i.$Qj)("diff-removed",60127),diffRenamed:(0,i.$Qj)("diff-renamed",60128),diff:(0,i.$Qj)("diff",60129),diffSidebyside:(0,i.$Qj)("diff-sidebyside",60129),discard:(0,i.$Qj)("discard",60130),editorLayout:(0,i.$Qj)("editor-layout",60131),emptyWindow:(0,i.$Qj)("empty-window",60132),exclude:(0,i.$Qj)("exclude",60133),extensions:(0,i.$Qj)("extensions",60134),eyeClosed:(0,i.$Qj)("eye-closed",60135),fileBinary:(0,i.$Qj)("file-binary",60136),fileCode:(0,i.$Qj)("file-code",60137),fileMedia:(0,i.$Qj)("file-media",60138),filePdf:(0,i.$Qj)("file-pdf",60139),fileSubmodule:(0,i.$Qj)("file-submodule",60140),fileSymlinkDirectory:(0,i.$Qj)("file-symlink-directory",60141),fileSymlinkFile:(0,i.$Qj)("file-symlink-file",60142),fileZip:(0,i.$Qj)("file-zip",60143),files:(0,i.$Qj)("files",60144),filter:(0,i.$Qj)("filter",60145),flame:(0,i.$Qj)("flame",60146),foldDown:(0,i.$Qj)("fold-down",60147),foldUp:(0,i.$Qj)("fold-up",60148),fold:(0,i.$Qj)("fold",60149),folderActive:(0,i.$Qj)("folder-active",60150),folderOpened:(0,i.$Qj)("folder-opened",60151),gear:(0,i.$Qj)("gear",60152),gift:(0,i.$Qj)("gift",60153),gistSecret:(0,i.$Qj)("gist-secret",60154),gist:(0,i.$Qj)("gist",60155),gitCommit:(0,i.$Qj)("git-commit",60156),gitCompare:(0,i.$Qj)("git-compare",60157),compareChanges:(0,i.$Qj)("compare-changes",60157),gitMerge:(0,i.$Qj)("git-merge",60158),githubAction:(0,i.$Qj)("github-action",60159),githubAlt:(0,i.$Qj)("github-alt",60160),globe:(0,i.$Qj)("globe",60161),grabber:(0,i.$Qj)("grabber",60162),graph:(0,i.$Qj)("graph",60163),gripper:(0,i.$Qj)("gripper",60164),heart:(0,i.$Qj)("heart",60165),home:(0,i.$Qj)("home",60166),horizontalRule:(0,i.$Qj)("horizontal-rule",60167),hubot:(0,i.$Qj)("hubot",60168),inbox:(0,i.$Qj)("inbox",60169),issueReopened:(0,i.$Qj)("issue-reopened",60171),issues:(0,i.$Qj)("issues",60172),italic:(0,i.$Qj)("italic",60173),jersey:(0,i.$Qj)("jersey",60174),json:(0,i.$Qj)("json",60175),kebabVertical:(0,i.$Qj)("kebab-vertical",60176),key:(0,i.$Qj)("key",60177),law:(0,i.$Qj)("law",60178),lightbulbAutofix:(0,i.$Qj)("lightbulb-autofix",60179),linkExternal:(0,i.$Qj)("link-external",60180),link:(0,i.$Qj)("link",60181),listOrdered:(0,i.$Qj)("list-ordered",60182),listUnordered:(0,i.$Qj)("list-unordered",60183),liveShare:(0,i.$Qj)("live-share",60184),loading:(0,i.$Qj)("loading",60185),location:(0,i.$Qj)("location",60186),mailRead:(0,i.$Qj)("mail-read",60187),mail:(0,i.$Qj)("mail",60188),markdown:(0,i.$Qj)("markdown",60189),megaphone:(0,i.$Qj)("megaphone",60190),mention:(0,i.$Qj)("mention",60191),milestone:(0,i.$Qj)("milestone",60192),gitPullRequestMilestone:(0,i.$Qj)("git-pull-request-milestone",60192),mortarBoard:(0,i.$Qj)("mortar-board",60193),move:(0,i.$Qj)("move",60194),multipleWindows:(0,i.$Qj)("multiple-windows",60195),mute:(0,i.$Qj)("mute",60196),noNewline:(0,i.$Qj)("no-newline",60197),note:(0,i.$Qj)("note",60198),octoface:(0,i.$Qj)("octoface",60199),openPreview:(0,i.$Qj)("open-preview",60200),package:(0,i.$Qj)("package",60201),paintcan:(0,i.$Qj)("paintcan",60202),pin:(0,i.$Qj)("pin",60203),play:(0,i.$Qj)("play",60204),run:(0,i.$Qj)("run",60204),plug:(0,i.$Qj)("plug",60205),preserveCase:(0,i.$Qj)("preserve-case",60206),preview:(0,i.$Qj)("preview",60207),project:(0,i.$Qj)("project",60208),pulse:(0,i.$Qj)("pulse",60209),question:(0,i.$Qj)("question",60210),quote:(0,i.$Qj)("quote",60211),radioTower:(0,i.$Qj)("radio-tower",60212),reactions:(0,i.$Qj)("reactions",60213),references:(0,i.$Qj)("references",60214),refresh:(0,i.$Qj)("refresh",60215),regex:(0,i.$Qj)("regex",60216),remoteExplorer:(0,i.$Qj)("remote-explorer",60217),remote:(0,i.$Qj)("remote",60218),remove:(0,i.$Qj)("remove",60219),replaceAll:(0,i.$Qj)("replace-all",60220),replace:(0,i.$Qj)("replace",60221),repoClone:(0,i.$Qj)("repo-clone",60222),repoForcePush:(0,i.$Qj)("repo-force-push",60223),repoPull:(0,i.$Qj)("repo-pull",60224),repoPush:(0,i.$Qj)("repo-push",60225),report:(0,i.$Qj)("report",60226),requestChanges:(0,i.$Qj)("request-changes",60227),rocket:(0,i.$Qj)("rocket",60228),rootFolderOpened:(0,i.$Qj)("root-folder-opened",60229),rootFolder:(0,i.$Qj)("root-folder",60230),rss:(0,i.$Qj)("rss",60231),ruby:(0,i.$Qj)("ruby",60232),saveAll:(0,i.$Qj)("save-all",60233),saveAs:(0,i.$Qj)("save-as",60234),save:(0,i.$Qj)("save",60235),screenFull:(0,i.$Qj)("screen-full",60236),screenNormal:(0,i.$Qj)("screen-normal",60237),searchStop:(0,i.$Qj)("search-stop",60238),server:(0,i.$Qj)("server",60240),settingsGear:(0,i.$Qj)("settings-gear",60241),settings:(0,i.$Qj)("settings",60242),shield:(0,i.$Qj)("shield",60243),smiley:(0,i.$Qj)("smiley",60244),sortPrecedence:(0,i.$Qj)("sort-precedence",60245),splitHorizontal:(0,i.$Qj)("split-horizontal",60246),splitVertical:(0,i.$Qj)("split-vertical",60247),squirrel:(0,i.$Qj)("squirrel",60248),starFull:(0,i.$Qj)("star-full",60249),starHalf:(0,i.$Qj)("star-half",60250),symbolClass:(0,i.$Qj)("symbol-class",60251),symbolColor:(0,i.$Qj)("symbol-color",60252),symbolConstant:(0,i.$Qj)("symbol-constant",60253),symbolEnumMember:(0,i.$Qj)("symbol-enum-member",60254),symbolField:(0,i.$Qj)("symbol-field",60255),symbolFile:(0,i.$Qj)("symbol-file",60256),symbolInterface:(0,i.$Qj)("symbol-interface",60257),symbolKeyword:(0,i.$Qj)("symbol-keyword",60258),symbolMisc:(0,i.$Qj)("symbol-misc",60259),symbolOperator:(0,i.$Qj)("symbol-operator",60260),symbolProperty:(0,i.$Qj)("symbol-property",60261),wrench:(0,i.$Qj)("wrench",60261),wrenchSubaction:(0,i.$Qj)("wrench-subaction",60261),symbolSnippet:(0,i.$Qj)("symbol-snippet",60262),tasklist:(0,i.$Qj)("tasklist",60263),telescope:(0,i.$Qj)("telescope",60264),textSize:(0,i.$Qj)("text-size",60265),threeBars:(0,i.$Qj)("three-bars",60266),thumbsdown:(0,i.$Qj)("thumbsdown",60267),thumbsup:(0,i.$Qj)("thumbsup",60268),tools:(0,i.$Qj)("tools",60269),triangleDown:(0,i.$Qj)("triangle-down",60270),triangleLeft:(0,i.$Qj)("triangle-left",60271),triangleRight:(0,i.$Qj)("triangle-right",60272),triangleUp:(0,i.$Qj)("triangle-up",60273),twitter:(0,i.$Qj)("twitter",60274),unfold:(0,i.$Qj)("unfold",60275),unlock:(0,i.$Qj)("unlock",60276),unmute:(0,i.$Qj)("unmute",60277),unverified:(0,i.$Qj)("unverified",60278),verified:(0,i.$Qj)("verified",60279),versions:(0,i.$Qj)("versions",60280),vmActive:(0,i.$Qj)("vm-active",60281),vmOutline:(0,i.$Qj)("vm-outline",60282),vmRunning:(0,i.$Qj)("vm-running",60283),watch:(0,i.$Qj)("watch",60284),whitespace:(0,i.$Qj)("whitespace",60285),wholeWord:(0,i.$Qj)("whole-word",60286),window:(0,i.$Qj)("window",60287),wordWrap:(0,i.$Qj)("word-wrap",60288),zoomIn:(0,i.$Qj)("zoom-in",60289),zoomOut:(0,i.$Qj)("zoom-out",60290),listFilter:(0,i.$Qj)("list-filter",60291),listFlat:(0,i.$Qj)("list-flat",60292),listSelection:(0,i.$Qj)("list-selection",60293),selection:(0,i.$Qj)("selection",60293),listTree:(0,i.$Qj)("list-tree",60294),debugBreakpointFunctionUnverified:(0,i.$Qj)("debug-breakpoint-function-unverified",60295),debugBreakpointFunction:(0,i.$Qj)("debug-breakpoint-function",60296),debugBreakpointFunctionDisabled:(0,i.$Qj)("debug-breakpoint-function-disabled",60296),debugStackframeActive:(0,i.$Qj)("debug-stackframe-active",60297),circleSmallFilled:(0,i.$Qj)("circle-small-filled",60298),debugStackframeDot:(0,i.$Qj)("debug-stackframe-dot",60298),terminalDecorationMark:(0,i.$Qj)("terminal-decoration-mark",60298),debugStackframe:(0,i.$Qj)("debug-stackframe",60299),debugStackframeFocused:(0,i.$Qj)("debug-stackframe-focused",60299),debugBreakpointUnsupported:(0,i.$Qj)("debug-breakpoint-unsupported",60300),symbolString:(0,i.$Qj)("symbol-string",60301),debugReverseContinue:(0,i.$Qj)("debug-reverse-continue",60302),debugStepBack:(0,i.$Qj)("debug-step-back",60303),debugRestartFrame:(0,i.$Qj)("debug-restart-frame",60304),debugAlt:(0,i.$Qj)("debug-alt",60305),callIncoming:(0,i.$Qj)("call-incoming",60306),callOutgoing:(0,i.$Qj)("call-outgoing",60307),menu:(0,i.$Qj)("menu",60308),expandAll:(0,i.$Qj)("expand-all",60309),feedback:(0,i.$Qj)("feedback",60310),gitPullRequestReviewer:(0,i.$Qj)("git-pull-request-reviewer",60310),groupByRefType:(0,i.$Qj)("group-by-ref-type",60311),ungroupByRefType:(0,i.$Qj)("ungroup-by-ref-type",60312),account:(0,i.$Qj)("account",60313),gitPullRequestAssignee:(0,i.$Qj)("git-pull-request-assignee",60313),bellDot:(0,i.$Qj)("bell-dot",60314),debugConsole:(0,i.$Qj)("debug-console",60315),library:(0,i.$Qj)("library",60316),output:(0,i.$Qj)("output",60317),runAll:(0,i.$Qj)("run-all",60318),syncIgnored:(0,i.$Qj)("sync-ignored",60319),pinned:(0,i.$Qj)("pinned",60320),githubInverted:(0,i.$Qj)("github-inverted",60321),serverProcess:(0,i.$Qj)("server-process",60322),serverEnvironment:(0,i.$Qj)("server-environment",60323),pass:(0,i.$Qj)("pass",60324),issueClosed:(0,i.$Qj)("issue-closed",60324),stopCircle:(0,i.$Qj)("stop-circle",60325),playCircle:(0,i.$Qj)("play-circle",60326),record:(0,i.$Qj)("record",60327),debugAltSmall:(0,i.$Qj)("debug-alt-small",60328),vmConnect:(0,i.$Qj)("vm-connect",60329),cloud:(0,i.$Qj)("cloud",60330),merge:(0,i.$Qj)("merge",60331),export:(0,i.$Qj)("export",60332),graphLeft:(0,i.$Qj)("graph-left",60333),magnet:(0,i.$Qj)("magnet",60334),notebook:(0,i.$Qj)("notebook",60335),redo:(0,i.$Qj)("redo",60336),checkAll:(0,i.$Qj)("check-all",60337),pinnedDirty:(0,i.$Qj)("pinned-dirty",60338),passFilled:(0,i.$Qj)("pass-filled",60339),circleLargeFilled:(0,i.$Qj)("circle-large-filled",60340),circleLarge:(0,i.$Qj)("circle-large",60341),circleLargeOutline:(0,i.$Qj)("circle-large-outline",60341),combine:(0,i.$Qj)("combine",60342),gather:(0,i.$Qj)("gather",60342),table:(0,i.$Qj)("table",60343),variableGroup:(0,i.$Qj)("variable-group",60344),typeHierarchy:(0,i.$Qj)("type-hierarchy",60345),typeHierarchySub:(0,i.$Qj)("type-hierarchy-sub",60346),typeHierarchySuper:(0,i.$Qj)("type-hierarchy-super",60347),gitPullRequestCreate:(0,i.$Qj)("git-pull-request-create",60348),runAbove:(0,i.$Qj)("run-above",60349),runBelow:(0,i.$Qj)("run-below",60350),notebookTemplate:(0,i.$Qj)("notebook-template",60351),debugRerun:(0,i.$Qj)("debug-rerun",60352),workspaceTrusted:(0,i.$Qj)("workspace-trusted",60353),workspaceUntrusted:(0,i.$Qj)("workspace-untrusted",60354),workspaceUnknown:(0,i.$Qj)("workspace-unknown",60355),terminalCmd:(0,i.$Qj)("terminal-cmd",60356),terminalDebian:(0,i.$Qj)("terminal-debian",60357),terminalLinux:(0,i.$Qj)("terminal-linux",60358),terminalPowershell:(0,i.$Qj)("terminal-powershell",60359),terminalTmux:(0,i.$Qj)("terminal-tmux",60360),terminalUbuntu:(0,i.$Qj)("terminal-ubuntu",60361),terminalBash:(0,i.$Qj)("terminal-bash",60362),arrowSwap:(0,i.$Qj)("arrow-swap",60363),copy:(0,i.$Qj)("copy",60364),personAdd:(0,i.$Qj)("person-add",60365),filterFilled:(0,i.$Qj)("filter-filled",60366),wand:(0,i.$Qj)("wand",60367),debugLineByLine:(0,i.$Qj)("debug-line-by-line",60368),inspect:(0,i.$Qj)("inspect",60369),layers:(0,i.$Qj)("layers",60370),layersDot:(0,i.$Qj)("layers-dot",60371),layersActive:(0,i.$Qj)("layers-active",60372),compass:(0,i.$Qj)("compass",60373),compassDot:(0,i.$Qj)("compass-dot",60374),compassActive:(0,i.$Qj)("compass-active",60375),azure:(0,i.$Qj)("azure",60376),issueDraft:(0,i.$Qj)("issue-draft",60377),gitPullRequestClosed:(0,i.$Qj)("git-pull-request-closed",60378),gitPullRequestDraft:(0,i.$Qj)("git-pull-request-draft",60379),debugAll:(0,i.$Qj)("debug-all",60380),debugCoverage:(0,i.$Qj)("debug-coverage",60381),runErrors:(0,i.$Qj)("run-errors",60382),folderLibrary:(0,i.$Qj)("folder-library",60383),debugContinueSmall:(0,i.$Qj)("debug-continue-small",60384),beakerStop:(0,i.$Qj)("beaker-stop",60385),graphLine:(0,i.$Qj)("graph-line",60386),graphScatter:(0,i.$Qj)("graph-scatter",60387),pieChart:(0,i.$Qj)("pie-chart",60388),bracket:(0,i.$Qj)("bracket",60175),bracketDot:(0,i.$Qj)("bracket-dot",60389),bracketError:(0,i.$Qj)("bracket-error",60390),lockSmall:(0,i.$Qj)("lock-small",60391),azureDevops:(0,i.$Qj)("azure-devops",60392),verifiedFilled:(0,i.$Qj)("verified-filled",60393),newline:(0,i.$Qj)("newline",60394),layout:(0,i.$Qj)("layout",60395),layoutActivitybarLeft:(0,i.$Qj)("layout-activitybar-left",60396),layoutActivitybarRight:(0,i.$Qj)("layout-activitybar-right",60397),layoutPanelLeft:(0,i.$Qj)("layout-panel-left",60398),layoutPanelCenter:(0,i.$Qj)("layout-panel-center",60399),layoutPanelJustify:(0,i.$Qj)("layout-panel-justify",60400),layoutPanelRight:(0,i.$Qj)("layout-panel-right",60401),layoutPanel:(0,i.$Qj)("layout-panel",60402),layoutSidebarLeft:(0,i.$Qj)("layout-sidebar-left",60403),layoutSidebarRight:(0,i.$Qj)("layout-sidebar-right",60404),layoutStatusbar:(0,i.$Qj)("layout-statusbar",60405),layoutMenubar:(0,i.$Qj)("layout-menubar",60406),layoutCentered:(0,i.$Qj)("layout-centered",60407),target:(0,i.$Qj)("target",60408),indent:(0,i.$Qj)("indent",60409),recordSmall:(0,i.$Qj)("record-small",60410),errorSmall:(0,i.$Qj)("error-small",60411),terminalDecorationError:(0,i.$Qj)("terminal-decoration-error",60411),arrowCircleDown:(0,i.$Qj)("arrow-circle-down",60412),arrowCircleLeft:(0,i.$Qj)("arrow-circle-left",60413),arrowCircleRight:(0,i.$Qj)("arrow-circle-right",60414),arrowCircleUp:(0,i.$Qj)("arrow-circle-up",60415),layoutSidebarRightOff:(0,i.$Qj)("layout-sidebar-right-off",60416),layoutPanelOff:(0,i.$Qj)("layout-panel-off",60417),layoutSidebarLeftOff:(0,i.$Qj)("layout-sidebar-left-off",60418),blank:(0,i.$Qj)("blank",60419),heartFilled:(0,i.$Qj)("heart-filled",60420),map:(0,i.$Qj)("map",60421),mapHorizontal:(0,i.$Qj)("map-horizontal",60421),foldHorizontal:(0,i.$Qj)("fold-horizontal",60421),mapFilled:(0,i.$Qj)("map-filled",60422),mapHorizontalFilled:(0,i.$Qj)("map-horizontal-filled",60422),foldHorizontalFilled:(0,i.$Qj)("fold-horizontal-filled",60422),circleSmall:(0,i.$Qj)("circle-small",60423),bellSlash:(0,i.$Qj)("bell-slash",60424),bellSlashDot:(0,i.$Qj)("bell-slash-dot",60425),commentUnresolved:(0,i.$Qj)("comment-unresolved",60426),gitPullRequestGoToChanges:(0,i.$Qj)("git-pull-request-go-to-changes",60427),gitPullRequestNewChanges:(0,i.$Qj)("git-pull-request-new-changes",60428),searchFuzzy:(0,i.$Qj)("search-fuzzy",60429),commentDraft:(0,i.$Qj)("comment-draft",60430),send:(0,i.$Qj)("send",60431),sparkle:(0,i.$Qj)("sparkle",60432),insert:(0,i.$Qj)("insert",60433),mic:(0,i.$Qj)("mic",60434),thumbsdownFilled:(0,i.$Qj)("thumbsdown-filled",60435),thumbsupFilled:(0,i.$Qj)("thumbsup-filled",60436),coffee:(0,i.$Qj)("coffee",60437),snake:(0,i.$Qj)("snake",60438),game:(0,i.$Qj)("game",60439),vr:(0,i.$Qj)("vr",60440),chip:(0,i.$Qj)("chip",60441),piano:(0,i.$Qj)("piano",60442),music:(0,i.$Qj)("music",60443),micFilled:(0,i.$Qj)("mic-filled",60444),repoFetch:(0,i.$Qj)("repo-fetch",60445),copilot:(0,i.$Qj)("copilot",60446),lightbulbSparkle:(0,i.$Qj)("lightbulb-sparkle",60447),robot:(0,i.$Qj)("robot",60448),sparkleFilled:(0,i.$Qj)("sparkle-filled",60449),diffSingle:(0,i.$Qj)("diff-single",60450),diffMultiple:(0,i.$Qj)("diff-multiple",60451),surroundWith:(0,i.$Qj)("surround-with",60452),share:(0,i.$Qj)("share",60453),gitStash:(0,i.$Qj)("git-stash",60454),gitStashApply:(0,i.$Qj)("git-stash-apply",60455),gitStashPop:(0,i.$Qj)("git-stash-pop",60456),vscode:(0,i.$Qj)("vscode",60457),vscodeInsiders:(0,i.$Qj)("vscode-insiders",60458),codeOss:(0,i.$Qj)("code-oss",60459),runCoverage:(0,i.$Qj)("run-coverage",60460),runAllCoverage:(0,i.$Qj)("run-all-coverage",60461),coverage:(0,i.$Qj)("coverage",60462),githubProject:(0,i.$Qj)("github-project",60463),mapVertical:(0,i.$Qj)("map-vertical",60464),foldVertical:(0,i.$Qj)("fold-vertical",60464),mapVerticalFilled:(0,i.$Qj)("map-vertical-filled",60465),foldVerticalFilled:(0,i.$Qj)("fold-vertical-filled",60465),goToSearch:(0,i.$Qj)("go-to-search",60466),percentage:(0,i.$Qj)("percentage",60467),sortPercentage:(0,i.$Qj)("sort-percentage",60467)}}),ie(se[44],ae([0,1,27,43]),function(B,t,i,y){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.$Vj=t.$Uj=void 0,t.$Tj=M;function M(){return Object.values(t.$Vj)}t.$Uj={dialogError:(0,i.$Qj)("dialog-error","error"),dialogWarning:(0,i.$Qj)("dialog-warning","warning"),dialogInfo:(0,i.$Qj)("dialog-info","info"),dialogClose:(0,i.$Qj)("dialog-close","close"),treeItemExpanded:(0,i.$Qj)("tree-item-expanded","chevron-down"),treeFilterOnTypeOn:(0,i.$Qj)("tree-filter-on-type-on","list-filter"),treeFilterOnTypeOff:(0,i.$Qj)("tree-filter-on-type-off","list-selection"),treeFilterClear:(0,i.$Qj)("tree-filter-clear","close"),treeItemLoading:(0,i.$Qj)("tree-item-loading","loading"),menuSelection:(0,i.$Qj)("menu-selection","check"),menuSubmenu:(0,i.$Qj)("menu-submenu","chevron-right"),menuBarMore:(0,i.$Qj)("menubar-more","more"),scrollbarButtonLeft:(0,i.$Qj)("scrollbar-button-left","triangle-left"),scrollbarButtonRight:(0,i.$Qj)("scrollbar-button-right","triangle-right"),scrollbarButtonUp:(0,i.$Qj)("scrollbar-button-up","triangle-up"),scrollbarButtonDown:(0,i.$Qj)("scrollbar-button-down","triangle-down"),toolBarMore:(0,i.$Qj)("toolbar-more","more"),quickInputBack:(0,i.$Qj)("quick-input-back","arrow-left"),dropDownButton:(0,i.$Qj)("drop-down-button",60084),symbolCustomColor:(0,i.$Qj)("symbol-customcolor",60252),exportIcon:(0,i.$Qj)("export",60332),workspaceUnspecified:(0,i.$Qj)("workspace-unspecified",60355),newLine:(0,i.$Qj)("newline",60394),thumbsDownFilled:(0,i.$Qj)("thumbsdown-filled",60435),thumbsUpFilled:(0,i.$Qj)("thumbsup-filled",60436),gitFetch:(0,i.$Qj)("git-fetch",60445),lightbulbSparkleAutofix:(0,i.$Qj)("lightbulb-sparkle-autofix",60447),debugBreakpointPending:(0,i.$Qj)("debug-breakpoint-pending",60377)},t.$Vj={...y.$Sj,...t.$Uj}}),ie(se[15],ae([0,1,26]),function(B,t,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.$3n=y,t.$4n=M,t.$5n=$,t.$6n=a,t.$7n=u,t.$8n=o,t.$9n=p,t.$0n=d,t.$$n=b,t.$_n=e,t.$ao=m,t.$bo=j;function y(w){if(!w||typeof w!="object"||w instanceof RegExp)return w;const v=Array.isArray(w)?[]:{};return Object.entries(w).forEach(([N,E])=>{v[N]=E&&typeof E=="object"?y(E):E}),v}function M(w){if(!w||typeof w!="object")return w;const v=[w];for(;v.length>0;){const N=v.shift();Object.freeze(N);for(const E in N)if(c.call(N,E)){const l=N[E];typeof l=="object"&&!Object.isFrozen(l)&&!(0,i.$_f)(l)&&v.push(l)}}return w}const c=Object.prototype.hasOwnProperty;function $(w,v){return g(w,v,new Set)}function g(w,v,N){if((0,i.$fg)(w))return w;const E=v(w);if(typeof E<"u")return E;if(Array.isArray(w)){const l=[];for(const n of w)l.push(g(n,v,N));return l}if((0,i.$$f)(w)){if(N.has(w))throw new Error("Cannot clone recursive data-structure");N.add(w);const l={};for(const n in w)c.call(w,n)&&(l[n]=g(w[n],v,N));return N.delete(w),l}return w}function a(w,v,N=!0){return(0,i.$$f)(w)?((0,i.$$f)(v)&&Object.keys(v).forEach(E=>{E in w?N&&((0,i.$$f)(w[E])&&(0,i.$$f)(v[E])?a(w[E],v[E],N):w[E]=v[E]):w[E]=v[E]}),w):v}function u(w,v){if(w===v)return!0;if(w==null||v===null||v===void 0||typeof w!=typeof v||typeof w!="object"||Array.isArray(w)!==Array.isArray(v))return!1;let N,E;if(Array.isArray(w)){if(w.length!==v.length)return!1;for(N=0;N<w.length;N++)if(!u(w[N],v[N]))return!1}else{const l=[];for(E in w)l.push(E);l.sort();const n=[];for(E in v)n.push(E);if(n.sort(),!u(l,n))return!1;for(N=0;N<l.length;N++)if(!u(w[l[N]],v[l[N]]))return!1}return!0}function o(w){const v=new Set;return JSON.stringify(w,(N,E)=>{if((0,i.$$f)(E)||Array.isArray(E)){if(v.has(E))return"[Circular]";v.add(E)}return typeof E=="bigint"?`[BigInt ${E.toString()}]`:E})}function p(w,v){const N=Object.create(null);return!w||!v||Object.keys(v).forEach(l=>{const n=w[l],s=v[l];u(n,s)||(N[l]=s)}),N}function d(w,v){const N=v.toLowerCase(),E=Object.keys(w).find(l=>l.toLowerCase()===N);return E?w[E]:w[v]}function b(w,v){const N=Object.create(null);for(const[E,l]of Object.entries(w))v(E,l)&&(N[E]=l);return N}function e(w){let v=[];for(;Object.prototype!==w;)v=v.concat(Object.getOwnPropertyNames(w)),w=Object.getPrototypeOf(w);return v}function m(w){const v=[];for(const N of e(w))typeof w[N]=="function"&&v.push(N);return v}function j(w,v){const N=l=>function(){const n=Array.prototype.slice.call(arguments,0);return v(l,n)},E={};for(const l of w)E[l]=N(l);return E}}),ie(se[28],ae([0,1]),function(B,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.Constants=void 0,t.$6e=y,t.$7e=M;var i;(function(c){c[c.MAX_SAFE_SMALL_INTEGER=1073741824]="MAX_SAFE_SMALL_INTEGER",c[c.MIN_SAFE_SMALL_INTEGER=-1073741824]="MIN_SAFE_SMALL_INTEGER",c[c.MAX_UINT_8=255]="MAX_UINT_8",c[c.MAX_UINT_16=65535]="MAX_UINT_16",c[c.MAX_UINT_32=4294967295]="MAX_UINT_32",c[c.UNICODE_SUPPLEMENTARY_PLANE_BEGIN=65536]="UNICODE_SUPPLEMENTARY_PLANE_BEGIN"})(i||(t.Constants=i={}));function y(c){return c<0?0:c>255?255:c|0}function M(c){return c<0?0:c>4294967295?4294967295:c|0}}),ie(se[29],ae([0,1,28]),function(B,t,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.$Jt=t.$It=void 0;class y{constructor(g){const a=(0,i.$6e)(g);this.c=a,this.a=y.d(a),this.b=new Map}static d(g){const a=new Uint8Array(256);return a.fill(g),a}set(g,a){const u=(0,i.$6e)(a);g>=0&&g<256?this.a[g]=u:this.b.set(g,u)}get(g){return g>=0&&g<256?this.a[g]:this.b.get(g)||this.c}clear(){this.a.fill(this.c),this.b.clear()}}t.$It=y;var M;(function($){$[$.False=0]="False",$[$.True=1]="True"})(M||(M={}));class c{constructor(){this.a=new y(0)}add(g){this.a.set(g,1)}has(g){return this.a.get(g)===1}clear(){return this.a.clear()}}t.$Jt=c}),ie(se[5],ae([0,1,3]),function(B,t,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.$Ct=t.$Bt=void 0;class y{static addRange($,g){let a=0;for(;a<g.length&&g[a].endExclusive<$.start;)a++;let u=a;for(;u<g.length&&g[u].start<=$.endExclusive;)u++;if(a===u)g.splice(a,0,$);else{const o=Math.min($.start,g[a].start),p=Math.max($.endExclusive,g[u-1].endExclusive);g.splice(a,u-a,new y(o,p))}}static tryCreate($,g){if(!($>g))return new y($,g)}static ofLength($){return new y(0,$)}static ofStartAndLength($,g){return new y($,$+g)}constructor($,g){if(this.start=$,this.endExclusive=g,$>g)throw new i.$cb(`Invalid range: ${this.toString()}`)}get isEmpty(){return this.start===this.endExclusive}delta($){return new y(this.start+$,this.endExclusive+$)}deltaStart($){return new y(this.start+$,this.endExclusive)}deltaEnd($){return new y(this.start,this.endExclusive+$)}get length(){return this.endExclusive-this.start}toString(){return`[${this.start}, ${this.endExclusive})`}equals($){return this.start===$.start&&this.endExclusive===$.endExclusive}containsRange($){return this.start<=$.start&&$.endExclusive<=this.endExclusive}contains($){return this.start<=$&&$<this.endExclusive}join($){return new y(Math.min(this.start,$.start),Math.max(this.endExclusive,$.endExclusive))}intersect($){const g=Math.max(this.start,$.start),a=Math.min(this.endExclusive,$.endExclusive);if(g<=a)return new y(g,a)}intersects($){const g=Math.max(this.start,$.start),a=Math.min(this.endExclusive,$.endExclusive);return g<a}intersectsOrTouches($){const g=Math.max(this.start,$.start),a=Math.min(this.endExclusive,$.endExclusive);return g<=a}isBefore($){return this.endExclusive<=$.start}isAfter($){return this.start>=$.endExclusive}slice($){return $.slice(this.start,this.endExclusive)}substring($){return $.substring(this.start,this.endExclusive)}clip($){if(this.isEmpty)throw new i.$cb(`Invalid clipping range: ${this.toString()}`);return Math.max(this.start,Math.min(this.endExclusive-1,$))}clipCyclic($){if(this.isEmpty)throw new i.$cb(`Invalid clipping range: ${this.toString()}`);return $<this.start?this.endExclusive-(this.start-$)%this.length:$>=this.endExclusive?this.start+($-this.start)%this.length:$}map($){const g=[];for(let a=this.start;a<this.endExclusive;a++)g.push($(a));return g}forEach($){for(let g=this.start;g<this.endExclusive;g++)$(g)}}t.$Bt=y;class M{constructor(){this.a=[]}addRange($){let g=0;for(;g<this.a.length&&this.a[g].endExclusive<$.start;)g++;let a=g;for(;a<this.a.length&&this.a[a].start<=$.endExclusive;)a++;if(g===a)this.a.splice(g,0,$);else{const u=Math.min($.start,this.a[g].start),o=Math.max($.endExclusive,this.a[a-1].endExclusive);this.a.splice(g,a-g,new y(u,o))}}toString(){return this.a.map($=>$.toString()).join(", ")}intersectsStrict($){let g=0;for(;g<this.a.length&&this.a[g].endExclusive<=$.start;)g++;return g<this.a.length&&this.a[g].start<$.endExclusive}intersectWithRange($){const g=new M;for(const a of this.a){const u=a.intersect($);u&&g.addRange(u)}return g}intersectWithRangeLength($){return this.intersectWithRange($).length}get length(){return this.a.reduce(($,g)=>$+g.length,0)}}t.$Ct=M}),ie(se[4],ae([0,1]),function(B,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.$tt=void 0;class i{constructor(M,c){this.lineNumber=M,this.column=c}with(M=this.lineNumber,c=this.column){return M===this.lineNumber&&c===this.column?this:new i(M,c)}delta(M=0,c=0){return this.with(this.lineNumber+M,this.column+c)}equals(M){return i.equals(this,M)}static equals(M,c){return!M&&!c?!0:!!M&&!!c&&M.lineNumber===c.lineNumber&&M.column===c.column}isBefore(M){return i.isBefore(this,M)}static isBefore(M,c){return M.lineNumber<c.lineNumber?!0:c.lineNumber<M.lineNumber?!1:M.column<c.column}isBeforeOrEqual(M){return i.isBeforeOrEqual(this,M)}static isBeforeOrEqual(M,c){return M.lineNumber<c.lineNumber?!0:c.lineNumber<M.lineNumber?!1:M.column<=c.column}static compare(M,c){const $=M.lineNumber|0,g=c.lineNumber|0;if($===g){const a=M.column|0,u=c.column|0;return a-u}return $-g}clone(){return new i(this.lineNumber,this.column)}toString(){return"("+this.lineNumber+","+this.column+")"}static lift(M){return new i(M.lineNumber,M.column)}static isIPosition(M){return M&&typeof M.lineNumber=="number"&&typeof M.column=="number"}toJSON(){return{lineNumber:this.lineNumber,column:this.column}}}t.$tt=i}),ie(se[2],ae([0,1,4]),function(B,t,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.$ut=void 0;class y{constructor(c,$,g,a){c>g||c===g&&$>a?(this.startLineNumber=g,this.startColumn=a,this.endLineNumber=c,this.endColumn=$):(this.startLineNumber=c,this.startColumn=$,this.endLineNumber=g,this.endColumn=a)}isEmpty(){return y.isEmpty(this)}static isEmpty(c){return c.startLineNumber===c.endLineNumber&&c.startColumn===c.endColumn}containsPosition(c){return y.containsPosition(this,c)}static containsPosition(c,$){return!($.lineNumber<c.startLineNumber||$.lineNumber>c.endLineNumber||$.lineNumber===c.startLineNumber&&$.column<c.startColumn||$.lineNumber===c.endLineNumber&&$.column>c.endColumn)}static strictContainsPosition(c,$){return!($.lineNumber<c.startLineNumber||$.lineNumber>c.endLineNumber||$.lineNumber===c.startLineNumber&&$.column<=c.startColumn||$.lineNumber===c.endLineNumber&&$.column>=c.endColumn)}containsRange(c){return y.containsRange(this,c)}static containsRange(c,$){return!($.startLineNumber<c.startLineNumber||$.endLineNumber<c.startLineNumber||$.startLineNumber>c.endLineNumber||$.endLineNumber>c.endLineNumber||$.startLineNumber===c.startLineNumber&&$.startColumn<c.startColumn||$.endLineNumber===c.endLineNumber&&$.endColumn>c.endColumn)}strictContainsRange(c){return y.strictContainsRange(this,c)}static strictContainsRange(c,$){return!($.startLineNumber<c.startLineNumber||$.endLineNumber<c.startLineNumber||$.startLineNumber>c.endLineNumber||$.endLineNumber>c.endLineNumber||$.startLineNumber===c.startLineNumber&&$.startColumn<=c.startColumn||$.endLineNumber===c.endLineNumber&&$.endColumn>=c.endColumn)}plusRange(c){return y.plusRange(this,c)}static plusRange(c,$){let g,a,u,o;return $.startLineNumber<c.startLineNumber?(g=$.startLineNumber,a=$.startColumn):$.startLineNumber===c.startLineNumber?(g=$.startLineNumber,a=Math.min($.startColumn,c.startColumn)):(g=c.startLineNumber,a=c.startColumn),$.endLineNumber>c.endLineNumber?(u=$.endLineNumber,o=$.endColumn):$.endLineNumber===c.endLineNumber?(u=$.endLineNumber,o=Math.max($.endColumn,c.endColumn)):(u=c.endLineNumber,o=c.endColumn),new y(g,a,u,o)}intersectRanges(c){return y.intersectRanges(this,c)}static intersectRanges(c,$){let g=c.startLineNumber,a=c.startColumn,u=c.endLineNumber,o=c.endColumn;const p=$.startLineNumber,d=$.startColumn,b=$.endLineNumber,e=$.endColumn;return g<p?(g=p,a=d):g===p&&(a=Math.max(a,d)),u>b?(u=b,o=e):u===b&&(o=Math.min(o,e)),g>u||g===u&&a>o?null:new y(g,a,u,o)}equalsRange(c){return y.equalsRange(this,c)}static equalsRange(c,$){return!c&&!$?!0:!!c&&!!$&&c.startLineNumber===$.startLineNumber&&c.startColumn===$.startColumn&&c.endLineNumber===$.endLineNumber&&c.endColumn===$.endColumn}getEndPosition(){return y.getEndPosition(this)}static getEndPosition(c){return new i.$tt(c.endLineNumber,c.endColumn)}getStartPosition(){return y.getStartPosition(this)}static getStartPosition(c){return new i.$tt(c.startLineNumber,c.startColumn)}toString(){return"["+this.startLineNumber+","+this.startColumn+" -> "+this.endLineNumber+","+this.endColumn+"]"}setEndPosition(c,$){return new y(this.startLineNumber,this.startColumn,c,$)}setStartPosition(c,$){return new y(c,$,this.endLineNumber,this.endColumn)}collapseToStart(){return y.collapseToStart(this)}static collapseToStart(c){return new y(c.startLineNumber,c.startColumn,c.startLineNumber,c.startColumn)}collapseToEnd(){return y.collapseToEnd(this)}static collapseToEnd(c){return new y(c.endLineNumber,c.endColumn,c.endLineNumber,c.endColumn)}delta(c){return new y(this.startLineNumber+c,this.startColumn,this.endLineNumber+c,this.endColumn)}static fromPositions(c,$=c){return new y(c.lineNumber,c.column,$.lineNumber,$.column)}static lift(c){return c?new y(c.startLineNumber,c.startColumn,c.endLineNumber,c.endColumn):null}static isIRange(c){return c&&typeof c.startLineNumber=="number"&&typeof c.startColumn=="number"&&typeof c.endLineNumber=="number"&&typeof c.endColumn=="number"}static areIntersectingOrTouching(c,$){return!(c.endLineNumber<$.startLineNumber||c.endLineNumber===$.startLineNumber&&c.endColumn<$.startColumn||$.endLineNumber<c.startLineNumber||$.endLineNumber===c.startLineNumber&&$.endColumn<c.startColumn)}static areIntersecting(c,$){return!(c.endLineNumber<$.startLineNumber||c.endLineNumber===$.startLineNumber&&c.endColumn<=$.startColumn||$.endLineNumber<c.startLineNumber||$.endLineNumber===c.startLineNumber&&$.endColumn<=c.startColumn)}static compareRangesUsingStarts(c,$){if(c&&$){const u=c.startLineNumber|0,o=$.startLineNumber|0;if(u===o){const p=c.startColumn|0,d=$.startColumn|0;if(p===d){const b=c.endLineNumber|0,e=$.endLineNumber|0;if(b===e){const m=c.endColumn|0,j=$.endColumn|0;return m-j}return b-e}return p-d}return u-o}return(c?1:0)-($?1:0)}static compareRangesUsingEnds(c,$){return c.endLineNumber===$.endLineNumber?c.endColumn===$.endColumn?c.startLineNumber===$.startLineNumber?c.startColumn-$.startColumn:c.startLineNumber-$.startLineNumber:c.endColumn-$.endColumn:c.endLineNumber-$.endLineNumber}static spansMultipleLines(c){return c.endLineNumber>c.startLineNumber}toJSON(){return this}}t.$ut=y}),ie(se[45],ae([0,1,2]),function(B,t,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.$vt=void 0;class y{static insert(c,$){return{range:new i.$ut(c.lineNumber,c.column,c.lineNumber,c.column),text:$,forceMoveMarkers:!0}}static delete(c){return{range:c,text:null}}static replace(c,$){return{range:c,text:$}}static replaceMove(c,$){return{range:c,text:$,forceMoveMarkers:!0}}}t.$vt=y}),ie(se[13],ae([0,1,3,5,2,8]),function(B,t,i,y,M,c){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.$Mv=t.$Lv=void 0;class ${static fromRange(u){return new $(u.startLineNumber,u.endLineNumber)}static fromRangeInclusive(u){return new $(u.startLineNumber,u.endLineNumber+1)}static subtract(u,o){return o?u.startLineNumber<o.startLineNumber&&o.endLineNumberExclusive<u.endLineNumberExclusive?[new $(u.startLineNumber,o.startLineNumber),new $(o.endLineNumberExclusive,u.endLineNumberExclusive)]:o.startLineNumber<=u.startLineNumber&&u.endLineNumberExclusive<=o.endLineNumberExclusive?[]:o.endLineNumberExclusive<u.endLineNumberExclusive?[new $(Math.max(o.endLineNumberExclusive,u.startLineNumber),u.endLineNumberExclusive)]:[new $(u.startLineNumber,Math.min(o.startLineNumber,u.endLineNumberExclusive))]:[u]}static joinMany(u){if(u.length===0)return[];let o=new g(u[0].slice());for(let p=1;p<u.length;p++)o=o.getUnion(new g(u[p].slice()));return o.ranges}static join(u){if(u.length===0)throw new i.$cb("lineRanges cannot be empty");let o=u[0].startLineNumber,p=u[0].endLineNumberExclusive;for(let d=1;d<u.length;d++)o=Math.min(o,u[d].startLineNumber),p=Math.max(p,u[d].endLineNumberExclusive);return new $(o,p)}static ofLength(u,o){return new $(u,u+o)}static deserialize(u){return new $(u[0],u[1])}static invert(u,o){if(u.isEmpty)return[];const p=[];return u.startLineNumber>1&&p.push(new $(1,u.startLineNumber)),u.endLineNumberExclusive<o.getLineCount()+1&&p.push(new $(u.endLineNumberExclusive,o.getLineCount()+1)),p.filter(d=>!d.isEmpty)}static asRange(u,o){return u.isEmpty?new M.$ut(u.startLineNumber,1,u.startLineNumber,o.getLineLength(u.startLineNumber)):new M.$ut(u.startLineNumber,1,u.endLineNumberExclusive-1,o.getLineLength(u.endLineNumberExclusive-1))}constructor(u,o){if(u>o)throw new i.$cb(`startLineNumber ${u} cannot be after endLineNumberExclusive ${o}`);this.startLineNumber=u,this.endLineNumberExclusive=o}contains(u){return this.startLineNumber<=u&&u<this.endLineNumberExclusive}get isEmpty(){return this.startLineNumber===this.endLineNumberExclusive}delta(u){return new $(this.startLineNumber+u,this.endLineNumberExclusive+u)}deltaLength(u){return new $(this.startLineNumber,this.endLineNumberExclusive+u)}get length(){return this.endLineNumberExclusive-this.startLineNumber}join(u){return new $(Math.min(this.startLineNumber,u.startLineNumber),Math.max(this.endLineNumberExclusive,u.endLineNumberExclusive))}toString(){return`[${this.startLineNumber},${this.endLineNumberExclusive})`}intersect(u){const o=Math.max(this.startLineNumber,u.startLineNumber),p=Math.min(this.endLineNumberExclusive,u.endLineNumberExclusive);if(o<=p)return new $(o,p)}intersectsStrict(u){return this.startLineNumber<u.endLineNumberExclusive&&u.startLineNumber<this.endLineNumberExclusive}overlapOrTouch(u){return this.startLineNumber<=u.endLineNumberExclusive&&u.startLineNumber<=this.endLineNumberExclusive}equals(u){return this.startLineNumber===u.startLineNumber&&this.endLineNumberExclusive===u.endLineNumberExclusive}toInclusiveRange(){return this.isEmpty?null:new M.$ut(this.startLineNumber,1,this.endLineNumberExclusive-1,Number.MAX_SAFE_INTEGER)}toExclusiveRange(){return new M.$ut(this.startLineNumber,1,this.endLineNumberExclusive,1)}mapToLineArray(u){const o=[];for(let p=this.startLineNumber;p<this.endLineNumberExclusive;p++)o.push(u(p));return o}forEach(u){for(let o=this.startLineNumber;o<this.endLineNumberExclusive;o++)u(o)}serialize(){return[this.startLineNumber,this.endLineNumberExclusive]}includes(u){return this.startLineNumber<=u&&u<this.endLineNumberExclusive}toOffsetRange(){return new y.$Bt(this.startLineNumber-1,this.endLineNumberExclusive-1)}}t.$Lv=$;class g{constructor(u=[]){this.c=u}get ranges(){return this.c}addRange(u){if(u.length===0)return;const o=(0,c.$kb)(this.c,d=>d.endLineNumberExclusive>=u.startLineNumber),p=(0,c.$ib)(this.c,d=>d.startLineNumber<=u.endLineNumberExclusive)+1;if(o===p)this.c.splice(o,0,u);else if(o===p-1){const d=this.c[o];this.c[o]=d.join(u)}else{const d=this.c[o].join(this.c[p-1]).join(u);this.c.splice(o,p-o,d)}}contains(u){const o=(0,c.$hb)(this.c,p=>p.startLineNumber<=u);return!!o&&o.endLineNumberExclusive>u}intersects(u){const o=(0,c.$hb)(this.c,p=>p.startLineNumber<u.endLineNumberExclusive);return!!o&&o.endLineNumberExclusive>u.startLineNumber}getUnion(u){if(this.c.length===0)return u;if(u.c.length===0)return this;const o=[];let p=0,d=0,b=null;for(;p<this.c.length||d<u.c.length;){let e=null;if(p<this.c.length&&d<u.c.length){const m=this.c[p],j=u.c[d];m.startLineNumber<j.startLineNumber?(e=m,p++):(e=j,d++)}else p<this.c.length?(e=this.c[p],p++):(e=u.c[d],d++);b===null?b=e:b.endLineNumberExclusive>=e.startLineNumber?b=new $(b.startLineNumber,Math.max(b.endLineNumberExclusive,e.endLineNumberExclusive)):(o.push(b),b=e)}return b!==null&&o.push(b),new g(o)}subtractFrom(u){const o=(0,c.$kb)(this.c,e=>e.endLineNumberExclusive>=u.startLineNumber),p=(0,c.$ib)(this.c,e=>e.startLineNumber<=u.endLineNumberExclusive)+1;if(o===p)return new g([u]);const d=[];let b=u.startLineNumber;for(let e=o;e<p;e++){const m=this.c[e];m.startLineNumber>b&&d.push(new $(b,m.startLineNumber)),b=m.endLineNumberExclusive}return b<u.endLineNumberExclusive&&d.push(new $(b,u.endLineNumberExclusive)),new g(d)}toString(){return this.c.map(u=>u.toString()).join(", ")}getIntersection(u){const o=[];let p=0,d=0;for(;p<this.c.length&&d<u.c.length;){const b=this.c[p],e=u.c[d],m=b.intersect(e);m&&!m.isEmpty&&o.push(m),b.endLineNumberExclusive<e.endLineNumberExclusive?p++:d++}return new g(o)}getWithDelta(u){return new g(this.c.map(o=>o.delta(u)))}}t.$Mv=g}),ie(se[46],ae([0,1,4,2]),function(B,t,i,y){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.$wt=t.SelectionDirection=void 0;var M;(function($){$[$.LTR=0]="LTR",$[$.RTL=1]="RTL"})(M||(t.SelectionDirection=M={}));class c extends y.$ut{constructor(g,a,u,o){super(g,a,u,o),this.selectionStartLineNumber=g,this.selectionStartColumn=a,this.positionLineNumber=u,this.positionColumn=o}toString(){return"["+this.selectionStartLineNumber+","+this.selectionStartColumn+" -> "+this.positionLineNumber+","+this.positionColumn+"]"}equalsSelection(g){return c.selectionsEqual(this,g)}static selectionsEqual(g,a){return g.selectionStartLineNumber===a.selectionStartLineNumber&&g.selectionStartColumn===a.selectionStartColumn&&g.positionLineNumber===a.positionLineNumber&&g.positionColumn===a.positionColumn}getDirection(){return this.selectionStartLineNumber===this.startLineNumber&&this.selectionStartColumn===this.startColumn?0:1}setEndPosition(g,a){return this.getDirection()===0?new c(this.startLineNumber,this.startColumn,g,a):new c(g,a,this.startLineNumber,this.startColumn)}getPosition(){return new i.$tt(this.positionLineNumber,this.positionColumn)}getSelectionStart(){return new i.$tt(this.selectionStartLineNumber,this.selectionStartColumn)}setStartPosition(g,a){return this.getDirection()===0?new c(g,a,this.endLineNumber,this.endColumn):new c(this.endLineNumber,this.endColumn,g,a)}static fromPositions(g,a=g){return new c(g.lineNumber,g.column,a.lineNumber,a.column)}static fromRange(g,a){return a===0?new c(g.startLineNumber,g.startColumn,g.endLineNumber,g.endColumn):new c(g.endLineNumber,g.endColumn,g.startLineNumber,g.startColumn)}static liftSelection(g){return new c(g.selectionStartLineNumber,g.selectionStartColumn,g.positionLineNumber,g.positionColumn)}static selectionsArrEqual(g,a){if(g&&!a||!g&&a)return!1;if(!g&&!a)return!0;if(g.length!==a.length)return!1;for(let u=0,o=g.length;u<o;u++)if(!this.selectionsEqual(g[u],a[u]))return!1;return!0}static isISelection(g){return g&&typeof g.selectionStartLineNumber=="number"&&typeof g.selectionStartColumn=="number"&&typeof g.positionLineNumber=="number"&&typeof g.positionColumn=="number"}static createWithDirection(g,a,u,o,p){return p===0?new c(g,a,u,o):new c(u,o,g,a)}}t.$wt=c}),ie(se[30],ae([0,1,4,2]),function(B,t,i,y){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.$ru=void 0;class M{static{this.zero=new M(0,0)}static lengthDiffNonNegative($,g){return g.isLessThan($)?M.zero:$.lineCount===g.lineCount?new M(0,g.columnCount-$.columnCount):new M(g.lineCount-$.lineCount,g.columnCount)}static betweenPositions($,g){return $.lineNumber===g.lineNumber?new M(0,g.column-$.column):new M(g.lineNumber-$.lineNumber,g.column-1)}static ofRange($){return M.betweenPositions($.getStartPosition(),$.getEndPosition())}static ofText($){let g=0,a=0;for(const u of $)u===`
`?(g++,a=0):a++;return new M(g,a)}constructor($,g){this.lineCount=$,this.columnCount=g}isZero(){return this.lineCount===0&&this.columnCount===0}isLessThan($){return this.lineCount!==$.lineCount?this.lineCount<$.lineCount:this.columnCount<$.columnCount}isGreaterThan($){return this.lineCount!==$.lineCount?this.lineCount>$.lineCount:this.columnCount>$.columnCount}isGreaterThanOrEqualTo($){return this.lineCount!==$.lineCount?this.lineCount>$.lineCount:this.columnCount>=$.columnCount}equals($){return this.lineCount===$.lineCount&&this.columnCount===$.columnCount}compare($){return this.lineCount!==$.lineCount?this.lineCount-$.lineCount:this.columnCount-$.columnCount}add($){return $.lineCount===0?new M(this.lineCount,this.columnCount+$.columnCount):new M(this.lineCount+$.lineCount,$.columnCount)}createRange($){return this.lineCount===0?new y.$ut($.lineNumber,$.column,$.lineNumber,$.column+this.columnCount):new y.$ut($.lineNumber,$.column,$.lineNumber+this.lineCount,this.columnCount+1)}toRange(){return new y.$ut(1,1,this.lineCount+1,this.columnCount+1)}addToPosition($){return this.lineCount===0?new i.$tt($.lineNumber,$.column+this.columnCount):new i.$tt($.lineNumber+this.lineCount,this.columnCount+1)}toString(){return`${this.lineCount},${this.columnCount}`}}t.$ru=M}),ie(se[47],ae([0,1,8,5,4,2,30]),function(B,t,i,y,M,c,$){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.$Nv=void 0;class g{constructor(u){this.text=u,this.a=[],this.a.push(0);for(let o=0;o<u.length;o++)u.charAt(o)===`
`&&this.a.push(o+1)}getOffset(u){return this.a[u.lineNumber-1]+u.column-1}getOffsetRange(u){return new y.$Bt(this.getOffset(u.getStartPosition()),this.getOffset(u.getEndPosition()))}getPosition(u){const o=(0,i.$ib)(this.a,b=>b<=u),p=o+1,d=u-this.a[o]+1;return new M.$tt(p,d)}getRange(u){return c.$ut.fromPositions(this.getPosition(u.start),this.getPosition(u.endExclusive))}getTextLength(u){return $.$ru.ofRange(this.getRange(u))}get textLength(){const u=this.a.length-1;return new $.$ru(u,this.text.length-this.a[u])}}t.$Nv=g}),ie(se[48],ae([0,1,10,3,4,47,2,30]),function(B,t,i,y,M,c,$,g){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.$Sv=t.$Rv=t.$Qv=t.$Pv=t.$Ov=void 0;class a{static single(m,j){return new a([new u(m,j)])}constructor(m){this.edits=m,(0,i.$id)(()=>(0,i.$jd)(m,(j,w)=>j.range.getEndPosition().isBeforeOrEqual(w.range.getStartPosition())))}normalize(){const m=[];for(const j of this.edits)if(m.length>0&&m[m.length-1].range.getEndPosition().equals(j.range.getStartPosition())){const w=m[m.length-1];m[m.length-1]=new u(w.range.plusRange(j.range),w.text+j.text)}else j.isEmpty||m.push(j);return new a(m)}mapPosition(m){let j=0,w=0,v=0;for(const N of this.edits){const E=N.range.getStartPosition(),l=N.range.getEndPosition();if(m.isBeforeOrEqual(E))break;const n=g.$ru.ofText(N.text);if(m.isBefore(l)){const s=new M.$tt(E.lineNumber+j,E.column+(E.lineNumber+j===w?v:0)),f=n.addToPosition(s);return o(s,f)}j+=n.lineCount-(N.range.endLineNumber-N.range.startLineNumber),n.lineCount===0?l.lineNumber!==E.lineNumber?v+=n.columnCount-(l.column-1):v+=n.columnCount-(l.column-E.column):v=n.columnCount,w=l.lineNumber+j}return new M.$tt(m.lineNumber+j,m.column+(m.lineNumber+j===w?v:0))}mapRange(m){function j(E){return E instanceof M.$tt?E:E.getStartPosition()}function w(E){return E instanceof M.$tt?E:E.getEndPosition()}const v=j(this.mapPosition(m.getStartPosition())),N=w(this.mapPosition(m.getEndPosition()));return o(v,N)}inverseMapPosition(m,j){return this.inverse(j).mapPosition(m)}inverseMapRange(m,j){return this.inverse(j).mapRange(m)}apply(m){let j="",w=new M.$tt(1,1);for(const N of this.edits){const E=N.range,l=E.getStartPosition(),n=E.getEndPosition(),s=o(w,l);s.isEmpty()||(j+=m.getValueOfRange(s)),j+=N.text,w=n}const v=o(w,m.endPositionExclusive);return v.isEmpty()||(j+=m.getValueOfRange(v)),j}applyToString(m){const j=new b(m);return this.apply(j)}inverse(m){const j=this.getNewRanges();return new a(this.edits.map((w,v)=>new u(j[v],m.getValueOfRange(w.range))))}getNewRanges(){const m=[];let j=0,w=0,v=0;for(const N of this.edits){const E=g.$ru.ofText(N.text),l=M.$tt.lift({lineNumber:N.range.startLineNumber+w,column:N.range.startColumn+(N.range.startLineNumber===j?v:0)}),n=E.createRange(l);m.push(n),w=n.endLineNumber-N.range.endLineNumber,v=n.endColumn-N.range.endColumn,j=N.range.endLineNumber}return m}}t.$Ov=a;class u{constructor(m,j){this.range=m,this.text=j}get isEmpty(){return this.range.isEmpty()&&this.text.length===0}static equals(m,j){return m.range.equalsRange(j.range)&&m.text===j.text}toSingleEditOperation(){return{range:this.range,text:this.text}}}t.$Pv=u;function o(e,m){if(e.lineNumber===m.lineNumber&&e.column===Number.MAX_SAFE_INTEGER)return $.$ut.fromPositions(m,m);if(!e.isBeforeOrEqual(m))throw new y.$cb("start must be before end");return new $.$ut(e.lineNumber,e.column,m.lineNumber,m.column)}class p{get endPositionExclusive(){return this.length.addToPosition(new M.$tt(1,1))}getValue(){return this.getValueOfRange(this.length.toRange())}}t.$Qv=p;class d extends p{constructor(m,j){(0,i.$gd)(j>=1),super(),this.c=m,this.d=j}getValueOfRange(m){if(m.startLineNumber===m.endLineNumber)return this.c(m.startLineNumber).substring(m.startColumn-1,m.endColumn-1);let j=this.c(m.startLineNumber).substring(m.startColumn-1);for(let w=m.startLineNumber+1;w<m.endLineNumber;w++)j+=`
`+this.c(w);return j+=`
`+this.c(m.endLineNumber).substring(0,m.endColumn-1),j}get length(){const m=this.c(this.d);return new g.$ru(this.d-1,m.length)}}t.$Rv=d;class b extends p{constructor(m){super(),this.value=m,this.c=new c.$Nv(this.value)}getValueOfRange(m){return this.c.getOffsetRange(m).substring(this.value)}get length(){return this.c.textLength}}t.$Sv=b}),ie(se[49],ae([0,1,14,29]),function(B,t,i,y){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.$Kt=t.WordCharacterClass=void 0,t.$Lt=g;var M;(function(a){a[a.Regular=0]="Regular",a[a.Whitespace=1]="Whitespace",a[a.WordSeparator=2]="WordSeparator"})(M||(t.WordCharacterClass=M={}));class c extends y.$It{constructor(u,o){super(0),this.e=null,this.f=null,this.g=[],this.intlSegmenterLocales=o,this.intlSegmenterLocales.length>0?this.e=new Intl.Segmenter(this.intlSegmenterLocales,{granularity:"word"}):this.e=null;for(let p=0,d=u.length;p<d;p++)this.set(u.charCodeAt(p),2);this.set(32,1),this.set(9,1)}findPrevIntlWordBeforeOrAtOffset(u,o){let p=null;for(const d of this.h(u)){if(d.index>o)break;p=d}return p}findNextIntlWordAtOrAfterOffset(u,o){for(const p of this.h(u))if(!(p.index<o))return p;return null}h(u){return this.e?this.f===u?this.g:(this.f=u,this.g=this.j(this.e.segment(u)),this.g):[]}j(u){const o=[];for(const p of u)this.k(p)&&o.push(p);return o}k(u){return!!u.isWordLike}}t.$Kt=c;const $=new i.$Ec(10);function g(a,u){const o=`${a}/${u.join(",")}`;let p=$.get(o);return p||(p=new c(a,u),$.set(o,p)),p}}),ie(se[31],ae([0,1,21,11,22]),function(B,t,i,y,M){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.$6s=t.$5s=void 0,t.$7s=$,t.$8s=a,t.$9s=u,t.$5s="`~!@#$%^&*()-=+[{]}\\|;:'\",.<>/?";function c(p=""){let d="(-?\\d*\\.\\d\\w*)|([^";for(const b of t.$5s)p.indexOf(b)>=0||(d+="\\"+b);return d+="\\s]+)",new RegExp(d,"g")}t.$6s=c();function $(p){let d=t.$6s;if(p&&p instanceof RegExp)if(p.global)d=p;else{let b="g";p.ignoreCase&&(b+="i"),p.multiline&&(b+="m"),p.unicode&&(b+="u"),d=new RegExp(p.source,b)}return d.lastIndex=0,d}const g=new M.$6c;g.unshift({maxLen:1e3,windowSize:15,timeBudget:150});function a(p){const d=g.unshift(p);return(0,y.$Tc)(d)}function u(p,d,b,e,m){if(d=$(d),m||(m=i.Iterable.first(g)),b.length>m.maxLen){let E=p-m.maxLen/2;return E<0?E=0:e+=E,b=b.substring(E,p+m.maxLen/2),u(p,d,b,e,m)}const j=Date.now(),w=p-1-e;let v=-1,N=null;for(let E=1;!(Date.now()-j>=m.timeBudget);E++){const l=w-m.windowSize*E;d.lastIndex=Math.max(0,l);const n=o(d,b,w,v);if(!n&&N||(N=n,l<=0))break;v=l}if(N){const E={word:N[0],startColumn:e+1+N.index,endColumn:e+1+N.index+N[0].length};return d.lastIndex=0,E}return null}function o(p,d,b,e){let m;for(;m=p.exec(d);){const j=m.index||0;if(j<=b&&p.lastIndex>=b)return m;if(e>0&&j>e)return null}return null}}),ie(se[9],ae([0,1,6,3,5]),function(B,t,i,y,M){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.$B3=t.$A3=t.$z3=t.$y3=t.$x3=void 0;class c{static trivial(p,d){return new c([new $(M.$Bt.ofLength(p.length),M.$Bt.ofLength(d.length))],!1)}static trivialTimedOut(p,d){return new c([new $(M.$Bt.ofLength(p.length),M.$Bt.ofLength(d.length))],!0)}constructor(p,d){this.diffs=p,this.hitTimeout=d}}t.$x3=c;class ${static invert(p,d){const b=[];return(0,i.$Bb)(p,(e,m)=>{b.push($.fromOffsetPairs(e?e.getEndExclusives():g.zero,m?m.getStarts():new g(d,(e?e.seq2Range.endExclusive-e.seq1Range.endExclusive:0)+d)))}),b}static fromOffsetPairs(p,d){return new $(new M.$Bt(p.offset1,d.offset1),new M.$Bt(p.offset2,d.offset2))}constructor(p,d){this.seq1Range=p,this.seq2Range=d}swap(){return new $(this.seq2Range,this.seq1Range)}toString(){return`${this.seq1Range} <-> ${this.seq2Range}`}join(p){return new $(this.seq1Range.join(p.seq1Range),this.seq2Range.join(p.seq2Range))}delta(p){return p===0?this:new $(this.seq1Range.delta(p),this.seq2Range.delta(p))}deltaStart(p){return p===0?this:new $(this.seq1Range.deltaStart(p),this.seq2Range.deltaStart(p))}deltaEnd(p){return p===0?this:new $(this.seq1Range.deltaEnd(p),this.seq2Range.deltaEnd(p))}intersectsOrTouches(p){return this.seq1Range.intersectsOrTouches(p.seq1Range)||this.seq2Range.intersectsOrTouches(p.seq2Range)}intersect(p){const d=this.seq1Range.intersect(p.seq1Range),b=this.seq2Range.intersect(p.seq2Range);if(!(!d||!b))return new $(d,b)}getStarts(){return new g(this.seq1Range.start,this.seq2Range.start)}getEndExclusives(){return new g(this.seq1Range.endExclusive,this.seq2Range.endExclusive)}}t.$y3=$;class g{static{this.zero=new g(0,0)}static{this.max=new g(Number.MAX_SAFE_INTEGER,Number.MAX_SAFE_INTEGER)}constructor(p,d){this.offset1=p,this.offset2=d}toString(){return`${this.offset1} <-> ${this.offset2}`}delta(p){return p===0?this:new g(this.offset1+p,this.offset2+p)}equals(p){return this.offset1===p.offset1&&this.offset2===p.offset2}}t.$z3=g;class a{static{this.instance=new a}isValid(){return!0}}t.$A3=a;class u{constructor(p){if(this.e=p,this.c=Date.now(),this.d=!0,p<=0)throw new y.$cb("timeout must be positive")}isValid(){if(!(Date.now()-this.c<this.e)&&this.d){this.d=!1;debugger}return this.d}disable(){this.e=Number.MAX_SAFE_INTEGER,this.isValid=()=>!0,this.d=!0}}t.$B3=u}),ie(se[32],ae([0,1,5,9]),function(B,t,i,y){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.$G3=void 0;class M{compute(u,o,p=y.$A3.instance){if(u.length===0||o.length===0)return y.$x3.trivial(u,o);const d=u,b=o;function e(s,f){for(;s<d.length&&f<b.length&&d.getElement(s)===b.getElement(f);)s++,f++;return s}let m=0;const j=new $;j.set(0,e(0,0));const w=new g;w.set(0,j.get(0)===0?null:new c(null,0,0,j.get(0)));let v=0;e:for(;;){if(m++,!p.isValid())return y.$x3.trivialTimedOut(d,b);const s=-Math.min(m,b.length+m%2),f=Math.min(m,d.length+m%2);for(v=s;v<=f;v+=2){let h=0;const L=v===f?-1:j.get(v+1),A=v===s?-1:j.get(v-1)+1;h++;const R=Math.min(Math.max(L,A),d.length),F=R-v;if(h++,R>d.length||F>b.length)continue;const k=e(R,F);j.set(v,k);const T=R===L?w.get(v+1):w.get(v-1);if(w.set(v,k!==R?new c(T,R,F,k-R):T),j.get(v)===d.length&&j.get(v)-v===b.length)break e}}let N=w.get(v);const E=[];let l=d.length,n=b.length;for(;;){const s=N?N.x+N.length:0,f=N?N.y+N.length:0;if((s!==l||f!==n)&&E.push(new y.$y3(new i.$Bt(s,l),new i.$Bt(f,n))),!N)break;l=N.x,n=N.y,N=N.prev}return E.reverse(),new y.$x3(E,!1)}}t.$G3=M;class c{constructor(u,o,p,d){this.prev=u,this.x=o,this.y=p,this.length=d}}class ${constructor(){this.a=new Int32Array(10),this.b=new Int32Array(10)}get(u){return u<0?(u=-u-1,this.b[u]):this.a[u]}set(u,o){if(u<0){if(u=-u-1,u>=this.b.length){const p=this.b;this.b=new Int32Array(p.length*2),this.b.set(p)}this.b[u]=o}else{if(u>=this.a.length){const p=this.a;this.a=new Int32Array(p.length*2),this.a.set(p)}this.a[u]=o}}}class g{constructor(){this.a=[],this.b=[]}get(u){return u<0?(u=-u-1,this.b[u]):this.a[u]}set(u,o){u<0?(u=-u-1,this.b[u]=o):this.a[u]=o}}}),ie(se[50],ae([0,1,6,5,9]),function(B,t,i,y,M){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.$K3=c,t.$L3=u,t.$M3=o,t.$N3=d,t.$O3=b;function c(e,m,j){let w=j;return w=$(e,m,w),w=$(e,m,w),w=g(e,m,w),w}function $(e,m,j){if(j.length===0)return j;const w=[];w.push(j[0]);for(let N=1;N<j.length;N++){const E=w[w.length-1];let l=j[N];if(l.seq1Range.isEmpty||l.seq2Range.isEmpty){const n=l.seq1Range.start-E.seq1Range.endExclusive;let s;for(s=1;s<=n&&!(e.getElement(l.seq1Range.start-s)!==e.getElement(l.seq1Range.endExclusive-s)||m.getElement(l.seq2Range.start-s)!==m.getElement(l.seq2Range.endExclusive-s));s++);if(s--,s===n){w[w.length-1]=new M.$y3(new y.$Bt(E.seq1Range.start,l.seq1Range.endExclusive-n),new y.$Bt(E.seq2Range.start,l.seq2Range.endExclusive-n));continue}l=l.delta(-s)}w.push(l)}const v=[];for(let N=0;N<w.length-1;N++){const E=w[N+1];let l=w[N];if(l.seq1Range.isEmpty||l.seq2Range.isEmpty){const n=E.seq1Range.start-l.seq1Range.endExclusive;let s;for(s=0;s<n&&!(!e.isStronglyEqual(l.seq1Range.start+s,l.seq1Range.endExclusive+s)||!m.isStronglyEqual(l.seq2Range.start+s,l.seq2Range.endExclusive+s));s++);if(s===n){w[N+1]=new M.$y3(new y.$Bt(l.seq1Range.start+n,E.seq1Range.endExclusive),new y.$Bt(l.seq2Range.start+n,E.seq2Range.endExclusive));continue}s>0&&(l=l.delta(s))}v.push(l)}return w.length>0&&v.push(w[w.length-1]),v}function g(e,m,j){if(!e.getBoundaryScore||!m.getBoundaryScore)return j;for(let w=0;w<j.length;w++){const v=w>0?j[w-1]:void 0,N=j[w],E=w+1<j.length?j[w+1]:void 0,l=new y.$Bt(v?v.seq1Range.endExclusive+1:0,E?E.seq1Range.start-1:e.length),n=new y.$Bt(v?v.seq2Range.endExclusive+1:0,E?E.seq2Range.start-1:m.length);N.seq1Range.isEmpty?j[w]=a(N,e,m,l,n):N.seq2Range.isEmpty&&(j[w]=a(N.swap(),m,e,n,l).swap())}return j}function a(e,m,j,w,v){let E=1;for(;e.seq1Range.start-E>=w.start&&e.seq2Range.start-E>=v.start&&j.isStronglyEqual(e.seq2Range.start-E,e.seq2Range.endExclusive-E)&&E<100;)E++;E--;let l=0;for(;e.seq1Range.start+l<w.endExclusive&&e.seq2Range.endExclusive+l<v.endExclusive&&j.isStronglyEqual(e.seq2Range.start+l,e.seq2Range.endExclusive+l)&&l<100;)l++;if(E===0&&l===0)return e;let n=0,s=-1;for(let f=-E;f<=l;f++){const h=e.seq2Range.start+f,L=e.seq2Range.endExclusive+f,A=e.seq1Range.start+f,R=m.getBoundaryScore(A)+j.getBoundaryScore(h)+j.getBoundaryScore(L);R>s&&(s=R,n=f)}return e.delta(n)}function u(e,m,j){const w=[];for(const v of j){const N=w[w.length-1];if(!N){w.push(v);continue}v.seq1Range.start-N.seq1Range.endExclusive<=2||v.seq2Range.start-N.seq2Range.endExclusive<=2?w[w.length-1]=new M.$y3(N.seq1Range.join(v.seq1Range),N.seq2Range.join(v.seq2Range)):w.push(v)}return w}function o(e,m,j){const w=M.$y3.invert(j,e.length),v=[];let N=new M.$z3(0,0);function E(n,s){if(n.offset1<N.offset1||n.offset2<N.offset2)return;const f=e.findWordContaining(n.offset1),h=m.findWordContaining(n.offset2);if(!f||!h)return;let L=new M.$y3(f,h);const A=L.intersect(s);let R=A.seq1Range.length,F=A.seq2Range.length;for(;w.length>0;){const k=w[0];if(!(k.seq1Range.intersects(L.seq1Range)||k.seq2Range.intersects(L.seq2Range)))break;const x=e.findWordContaining(k.seq1Range.start),Q=m.findWordContaining(k.seq2Range.start),I=new M.$y3(x,Q),S=I.intersect(k);if(R+=S.seq1Range.length,F+=S.seq2Range.length,L=L.join(I),L.seq1Range.endExclusive>=k.seq1Range.endExclusive)w.shift();else break}R+F<(L.seq1Range.length+L.seq2Range.length)*2/3&&v.push(L),N=L.getEndExclusives()}for(;w.length>0;){const n=w.shift();n.seq1Range.isEmpty||(E(n.getStarts(),n),E(n.getEndExclusives().delta(-1),n))}return p(j,v)}function p(e,m){const j=[];for(;e.length>0||m.length>0;){const w=e[0],v=m[0];let N;w&&(!v||w.seq1Range.start<v.seq1Range.start)?N=e.shift():N=m.shift(),j.length>0&&j[j.length-1].seq1Range.endExclusive>=N.seq1Range.start?j[j.length-1]=j[j.length-1].join(N):j.push(N)}return j}function d(e,m,j){let w=j;if(w.length===0)return w;let v=0,N;do{N=!1;const E=[w[0]];for(let l=1;l<w.length;l++){let f=function(L,A){const R=new y.$Bt(s.seq1Range.endExclusive,n.seq1Range.start);return e.getText(R).replace(/\s/g,"").length<=4&&(L.seq1Range.length+L.seq2Range.length>5||A.seq1Range.length+A.seq2Range.length>5)};const n=w[l],s=E[E.length-1];f(s,n)?(N=!0,E[E.length-1]=E[E.length-1].join(n)):E.push(n)}w=E}while(v++<10&&N);return w}function b(e,m,j){let w=j;if(w.length===0)return w;let v=0,N;do{N=!1;const l=[w[0]];for(let n=1;n<w.length;n++){let h=function(A,R){const F=new y.$Bt(f.seq1Range.endExclusive,s.seq1Range.start);if(e.countLinesIn(F)>5||F.length>500)return!1;const T=e.getText(F).trim();if(T.length>20||T.split(/\r\n|\r|\n/).length>1)return!1;const x=e.countLinesIn(A.seq1Range),Q=A.seq1Range.length,I=m.countLinesIn(A.seq2Range),S=A.seq2Range.length,W=e.countLinesIn(R.seq1Range),Y=R.seq1Range.length,Z=m.countLinesIn(R.seq2Range),H=R.seq2Range.length,G=2*40+50;function K(ee){return Math.min(ee,G)}return Math.pow(Math.pow(K(x*40+Q),1.5)+Math.pow(K(I*40+S),1.5),1.5)+Math.pow(Math.pow(K(W*40+Y),1.5)+Math.pow(K(Z*40+H),1.5),1.5)>(G**1.5)**1.5*1.3};const s=w[n],f=l[l.length-1];h(f,s)?(N=!0,l[l.length-1]=l[l.length-1].join(s)):l.push(s)}w=l}while(v++<10&&N);const E=[];return(0,i.$Cb)(w,(l,n,s)=>{let f=n;function h(T){return T.length>0&&T.trim().length<=3&&n.seq1Range.length+n.seq2Range.length>100}const L=e.extendToFullLines(n.seq1Range),A=e.getText(new y.$Bt(L.start,n.seq1Range.start));h(A)&&(f=f.deltaStart(-A.length));const R=e.getText(new y.$Bt(n.seq1Range.endExclusive,L.endExclusive));h(R)&&(f=f.deltaEnd(R.length));const F=M.$y3.fromOffsetPairs(l?l.getEndExclusives():M.$z3.zero,s?s.getStarts():M.$z3.max),k=f.intersect(F);E.length>0&&k.getStarts().equals(E[E.length-1].getEndExclusives())?E[E.length-1]=E[E.length-1].join(k):E.push(k)}),E}}),ie(se[51],ae([0,1]),function(B,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.$J3=void 0;class i{constructor(c,$){this.a=c,this.b=$}getElement(c){return this.a[c]}get length(){return this.a.length}getBoundaryScore(c){const $=c===0?0:y(this.b[c-1]),g=c===this.b.length?0:y(this.b[c]);return 1e3-($+g)}getText(c){return this.b.slice(c.start,c.endExclusive).join(`
`)}isStronglyEqual(c,$){return this.b[c]===this.b[$]}}t.$J3=i;function y(M){let c=0;for(;c<M.length&&(M.charCodeAt(c)===32||M.charCodeAt(c)===9);)c++;return c}}),ie(se[16],ae([0,1]),function(B,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.$E3=t.$C3=void 0,t.$D3=y;class i{constructor($,g){this.width=$,this.height=g,this.a=[],this.a=new Array($*g)}get($,g){return this.a[$+g*this.width]}set($,g,a){this.a[$+g*this.width]=a}}t.$C3=i;function y(c){return c===32||c===9}class M{static{this.a=new Map}static b($){let g=this.a.get($);return g===void 0&&(g=this.a.size,this.a.set($,g)),g}constructor($,g,a){this.range=$,this.lines=g,this.source=a,this.d=[];let u=0;for(let o=$.startLineNumber-1;o<$.endLineNumberExclusive-1;o++){const p=g[o];for(let b=0;b<p.length;b++){u++;const e=p[b],m=M.b(e);this.d[m]=(this.d[m]||0)+1}u++;const d=M.b(`
`);this.d[d]=(this.d[d]||0)+1}this.c=u}computeSimilarity($){let g=0;const a=Math.max(this.d.length,$.d.length);for(let u=0;u<a;u++)g+=Math.abs((this.d[u]??0)-($.d[u]??0));return 1-g/(this.c+$.c)}}t.$E3=M}),ie(se[52],ae([0,1,5,9,16]),function(B,t,i,y,M){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.$F3=void 0;class c{compute(g,a,u=y.$A3.instance,o){if(g.length===0||a.length===0)return y.$x3.trivial(g,a);const p=new M.$C3(g.length,a.length),d=new M.$C3(g.length,a.length),b=new M.$C3(g.length,a.length);for(let E=0;E<g.length;E++)for(let l=0;l<a.length;l++){if(!u.isValid())return y.$x3.trivialTimedOut(g,a);const n=E===0?0:p.get(E-1,l),s=l===0?0:p.get(E,l-1);let f;g.getElement(E)===a.getElement(l)?(E===0||l===0?f=0:f=p.get(E-1,l-1),E>0&&l>0&&d.get(E-1,l-1)===3&&(f+=b.get(E-1,l-1)),f+=o?o(E,l):1):f=-1;const h=Math.max(n,s,f);if(h===f){const L=E>0&&l>0?b.get(E-1,l-1):0;b.set(E,l,L+1),d.set(E,l,3)}else h===n?(b.set(E,l,0),d.set(E,l,1)):h===s&&(b.set(E,l,0),d.set(E,l,2));p.set(E,l,h)}const e=[];let m=g.length,j=a.length;function w(E,l){(E+1!==m||l+1!==j)&&e.push(new y.$y3(new i.$Bt(E+1,m),new i.$Bt(l+1,j))),m=E,j=l}let v=g.length-1,N=a.length-1;for(;v>=0&&N>=0;)d.get(v,N)===3?(w(v,N),v--,N--):d.get(v,N)===1?v--:N--;return w(-1,-1),e.reverse(),new y.$x3(e,!1)}}t.$F3=c}),ie(se[33],ae([0,1,8,5,4,2,16]),function(B,t,i,y,M,c,$){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.$H3=void 0;class g{constructor(e,m,j){this.lines=e,this.considerWhitespaceChanges=j,this.b=[],this.c=[],this.d=[];let w=!1;m.start>0&&m.endExclusive>=e.length&&(m=new y.$Bt(m.start-1,m.endExclusive),w=!0),this.lineRange=m,this.c[0]=0;for(let v=this.lineRange.start;v<this.lineRange.endExclusive;v++){let N=e[v],E=0;if(w)E=N.length,N="",w=!1;else if(!j){const l=N.trimStart();E=N.length-l.length,N=l.trimEnd()}this.d.push(E);for(let l=0;l<N.length;l++)this.b.push(N.charCodeAt(l));v<e.length-1&&(this.b.push(10),this.c[v-this.lineRange.start+1]=this.b.length)}this.d.push(0)}toString(){return`Slice: "${this.text}"`}get text(){return this.getText(new y.$Bt(0,this.length))}getText(e){return this.b.slice(e.start,e.endExclusive).map(m=>String.fromCharCode(m)).join("")}getElement(e){return this.b[e]}get length(){return this.b.length}getBoundaryScore(e){const m=d(e>0?this.b[e-1]:-1),j=d(e<this.b.length?this.b[e]:-1);if(m===7&&j===8)return 0;if(m===8)return 150;let w=0;return m!==j&&(w+=10,m===0&&j===1&&(w+=1)),w+=p(m),w+=p(j),w}translateOffset(e){if(this.lineRange.isEmpty)return new M.$tt(this.lineRange.start+1,1);const m=(0,i.$ib)(this.c,j=>j<=e);return new M.$tt(this.lineRange.start+m+1,e-this.c[m]+this.d[m]+1)}translateRange(e){return c.$ut.fromPositions(this.translateOffset(e.start),this.translateOffset(e.endExclusive))}findWordContaining(e){if(e<0||e>=this.b.length||!a(this.b[e]))return;let m=e;for(;m>0&&a(this.b[m-1]);)m--;let j=e;for(;j<this.b.length&&a(this.b[j]);)j++;return new y.$Bt(m,j)}countLinesIn(e){return this.translateOffset(e.endExclusive).lineNumber-this.translateOffset(e.start).lineNumber}isStronglyEqual(e,m){return this.b[e]===this.b[m]}extendToFullLines(e){const m=(0,i.$hb)(this.c,w=>w<=e.start)??0,j=(0,i.$jb)(this.c,w=>e.endExclusive<=w)??this.b.length;return new y.$Bt(m,j)}}t.$H3=g;function a(b){return b>=97&&b<=122||b>=65&&b<=90||b>=48&&b<=57}var u;(function(b){b[b.WordLower=0]="WordLower",b[b.WordUpper=1]="WordUpper",b[b.WordNumber=2]="WordNumber",b[b.End=3]="End",b[b.Other=4]="Other",b[b.Separator=5]="Separator",b[b.Space=6]="Space",b[b.LineBreakCR=7]="LineBreakCR",b[b.LineBreakLF=8]="LineBreakLF"})(u||(u={}));const o={0:0,1:0,2:0,3:10,4:2,5:30,6:3,7:10,8:10};function p(b){return o[b]}function d(b){return b===10?8:b===13?7:(0,$.$D3)(b)?6:b>=97&&b<=122?0:b>=65&&b<=90?1:b>=48&&b<=57?2:b===-1?3:b===44||b===59?5:4}}),ie(se[34],ae([0,1]),function(B,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.$Xv=t.$Wv=void 0;class i{constructor(c,$,g){this.changes=c,this.moves=$,this.hitTimeout=g}}t.$Wv=i;class y{constructor(c,$){this.lineRangeMapping=c,this.changes=$}flip(){return new y(this.lineRangeMapping.flip(),this.changes.map(c=>c.flip()))}}t.$Xv=y}),ie(se[17],ae([0,1,3,13,2,48]),function(B,t,i,y,M,c){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.$Vv=t.$Uv=t.$Tv=void 0;class ${static inverse(o,p,d){const b=[];let e=1,m=1;for(const w of o){const v=new $(new y.$Lv(e,w.original.startLineNumber),new y.$Lv(m,w.modified.startLineNumber));v.modified.isEmpty||b.push(v),e=w.original.endLineNumberExclusive,m=w.modified.endLineNumberExclusive}const j=new $(new y.$Lv(e,p+1),new y.$Lv(m,d+1));return j.modified.isEmpty||b.push(j),b}static clip(o,p,d){const b=[];for(const e of o){const m=e.original.intersect(p),j=e.modified.intersect(d);m&&!m.isEmpty&&j&&!j.isEmpty&&b.push(new $(m,j))}return b}constructor(o,p){this.original=o,this.modified=p}toString(){return`{${this.original.toString()}->${this.modified.toString()}}`}flip(){return new $(this.modified,this.original)}join(o){return new $(this.original.join(o.original),this.modified.join(o.modified))}get changedLineCount(){return Math.max(this.original.length,this.modified.length)}toRangeMapping(){const o=this.original.toInclusiveRange(),p=this.modified.toInclusiveRange();if(o&&p)return new a(o,p);if(this.original.startLineNumber===1||this.modified.startLineNumber===1){if(!(this.modified.startLineNumber===1&&this.original.startLineNumber===1))throw new i.$cb("not a valid diff");return new a(new M.$ut(this.original.startLineNumber,1,this.original.endLineNumberExclusive,1),new M.$ut(this.modified.startLineNumber,1,this.modified.endLineNumberExclusive,1))}else return new a(new M.$ut(this.original.startLineNumber-1,Number.MAX_SAFE_INTEGER,this.original.endLineNumberExclusive-1,Number.MAX_SAFE_INTEGER),new M.$ut(this.modified.startLineNumber-1,Number.MAX_SAFE_INTEGER,this.modified.endLineNumberExclusive-1,Number.MAX_SAFE_INTEGER))}}t.$Tv=$;class g extends ${static fromRangeMappings(o){const p=y.$Lv.join(o.map(b=>y.$Lv.fromRangeInclusive(b.originalRange))),d=y.$Lv.join(o.map(b=>y.$Lv.fromRangeInclusive(b.modifiedRange)));return new g(p,d,o)}constructor(o,p,d){super(o,p),this.innerChanges=d}flip(){return new g(this.modified,this.original,this.innerChanges?.map(o=>o.flip()))}withInnerChangesFromLineRanges(){return new g(this.original,this.modified,[this.toRangeMapping()])}}t.$Uv=g;class a{constructor(o,p){this.originalRange=o,this.modifiedRange=p}toString(){return`{${this.originalRange.toString()}->${this.modifiedRange.toString()}}`}flip(){return new a(this.modifiedRange,this.originalRange)}toTextEdit(o){const p=o.getValueOfRange(this.modifiedRange);return new c.$Pv(this.originalRange,p)}}t.$Vv=a}),ie(se[53],ae([0,1,9,17,6,8,14,13,5,33,16,32]),function(B,t,i,y,M,c,$,g,a,u,o,p){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.$I3=d;function d(N,E,l,n,s,f){let{moves:h,excludedChanges:L}=e(N,E,l,f);if(!f.isValid())return[];const A=N.filter(F=>!L.has(F)),R=m(A,n,s,E,l,f);return(0,M.$1b)(h,R),h=w(h),h=h.filter(F=>{const k=F.original.toOffsetRange().slice(E).map(x=>x.trim());return k.join(`
`).length>=15&&b(k,x=>x.length>=2)>=2}),h=v(N,h),h}function b(N,E){let l=0;for(const n of N)E(n)&&l++;return l}function e(N,E,l,n){const s=[],f=N.filter(A=>A.modified.isEmpty&&A.original.length>=3).map(A=>new o.$E3(A.original,E,A)),h=new Set(N.filter(A=>A.original.isEmpty&&A.modified.length>=3).map(A=>new o.$E3(A.modified,l,A))),L=new Set;for(const A of f){let R=-1,F;for(const k of h){const T=A.computeSimilarity(k);T>R&&(R=T,F=k)}if(R>.9&&F&&(h.delete(F),s.push(new y.$Tv(A.range,F.range)),L.add(A.source),L.add(F.source)),!n.isValid())return{moves:s,excludedChanges:L}}return{moves:s,excludedChanges:L}}function m(N,E,l,n,s,f){const h=[],L=new $.$Ic;for(const T of N)for(let x=T.original.startLineNumber;x<T.original.endLineNumberExclusive-2;x++){const Q=`${E[x-1]}:${E[x+1-1]}:${E[x+2-1]}`;L.add(Q,{range:new g.$Lv(x,x+3)})}const A=[];N.sort((0,M.$7b)(T=>T.modified.startLineNumber,M.$9b));for(const T of N){let x=[];for(let Q=T.modified.startLineNumber;Q<T.modified.endLineNumberExclusive-2;Q++){const I=`${l[Q-1]}:${l[Q+1-1]}:${l[Q+2-1]}`,S=new g.$Lv(Q,Q+3),W=[];L.forEach(I,({range:Y})=>{for(const H of x)if(H.originalLineRange.endLineNumberExclusive+1===Y.endLineNumberExclusive&&H.modifiedLineRange.endLineNumberExclusive+1===S.endLineNumberExclusive){H.originalLineRange=new g.$Lv(H.originalLineRange.startLineNumber,Y.endLineNumberExclusive),H.modifiedLineRange=new g.$Lv(H.modifiedLineRange.startLineNumber,S.endLineNumberExclusive),W.push(H);return}const Z={modifiedLineRange:S,originalLineRange:Y};A.push(Z),W.push(Z)}),x=W}if(!f.isValid())return[]}A.sort((0,M.$$b)((0,M.$7b)(T=>T.modifiedLineRange.length,M.$9b)));const R=new g.$Mv,F=new g.$Mv;for(const T of A){const x=T.modifiedLineRange.startLineNumber-T.originalLineRange.startLineNumber,Q=R.subtractFrom(T.modifiedLineRange),I=F.subtractFrom(T.originalLineRange).getWithDelta(x),S=Q.getIntersection(I);for(const W of S.ranges){if(W.length<3)continue;const Y=W,Z=W.delta(-x);h.push(new y.$Tv(Z,Y)),R.addRange(Y),F.addRange(Z)}}h.sort((0,M.$7b)(T=>T.original.startLineNumber,M.$9b));const k=new c.$mb(N);for(let T=0;T<h.length;T++){const x=h[T],Q=k.findLastMonotonous(K=>K.original.startLineNumber<=x.original.startLineNumber),I=(0,c.$hb)(N,K=>K.modified.startLineNumber<=x.modified.startLineNumber),S=Math.max(x.original.startLineNumber-Q.original.startLineNumber,x.modified.startLineNumber-I.modified.startLineNumber),W=k.findLastMonotonous(K=>K.original.startLineNumber<x.original.endLineNumberExclusive),Y=(0,c.$hb)(N,K=>K.modified.startLineNumber<x.modified.endLineNumberExclusive),Z=Math.max(W.original.endLineNumberExclusive-x.original.endLineNumberExclusive,Y.modified.endLineNumberExclusive-x.modified.endLineNumberExclusive);let H;for(H=0;H<S;H++){const K=x.original.startLineNumber-H-1,ee=x.modified.startLineNumber-H-1;if(K>n.length||ee>s.length||R.contains(ee)||F.contains(K)||!j(n[K-1],s[ee-1],f))break}H>0&&(F.addRange(new g.$Lv(x.original.startLineNumber-H,x.original.startLineNumber)),R.addRange(new g.$Lv(x.modified.startLineNumber-H,x.modified.startLineNumber)));let G;for(G=0;G<Z;G++){const K=x.original.endLineNumberExclusive+G,ee=x.modified.endLineNumberExclusive+G;if(K>n.length||ee>s.length||R.contains(ee)||F.contains(K)||!j(n[K-1],s[ee-1],f))break}G>0&&(F.addRange(new g.$Lv(x.original.endLineNumberExclusive,x.original.endLineNumberExclusive+G)),R.addRange(new g.$Lv(x.modified.endLineNumberExclusive,x.modified.endLineNumberExclusive+G))),(H>0||G>0)&&(h[T]=new y.$Tv(new g.$Lv(x.original.startLineNumber-H,x.original.endLineNumberExclusive+G),new g.$Lv(x.modified.startLineNumber-H,x.modified.endLineNumberExclusive+G)))}return h}function j(N,E,l){if(N.trim()===E.trim())return!0;if(N.length>300&&E.length>300)return!1;const s=new p.$G3().compute(new u.$H3([N],new a.$Bt(0,1),!1),new u.$H3([E],new a.$Bt(0,1),!1),l);let f=0;const h=i.$y3.invert(s.diffs,N.length);for(const F of h)F.seq1Range.forEach(k=>{(0,o.$D3)(N.charCodeAt(k))||f++});function L(F){let k=0;for(let T=0;T<N.length;T++)(0,o.$D3)(F.charCodeAt(T))||k++;return k}const A=L(N.length>E.length?N:E);return f/A>.6&&A>10}function w(N){if(N.length===0)return N;N.sort((0,M.$7b)(l=>l.original.startLineNumber,M.$9b));const E=[N[0]];for(let l=1;l<N.length;l++){const n=E[E.length-1],s=N[l],f=s.original.startLineNumber-n.original.endLineNumberExclusive,h=s.modified.startLineNumber-n.modified.endLineNumberExclusive;if(f>=0&&h>=0&&f+h<=2){E[E.length-1]=n.join(s);continue}E.push(s)}return E}function v(N,E){const l=new c.$mb(N);return E=E.filter(n=>{const s=l.findLastMonotonous(L=>L.original.startLineNumber<n.original.endLineNumberExclusive)||new y.$Tv(new g.$Lv(1,1),new g.$Lv(1,1)),f=(0,c.$hb)(N,L=>L.modified.startLineNumber<n.modified.endLineNumberExclusive);return s!==f}),E}}),ie(se[54],ae([0,1,6,10,13,5,2,9,52,32,53,50,51,33,34,17]),function(B,t,i,y,M,c,$,g,a,u,o,p,d,b,e,m){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.$P3=void 0,t.$Q3=w,t.$R3=v;class j{constructor(){this.e=new a.$F3,this.f=new u.$G3}computeDiff(E,l,n){if(E.length<=1&&(0,i.$ub)(E,l,(G,K)=>G===K))return new e.$Wv([],[],!1);if(E.length===1&&E[0].length===0||l.length===1&&l[0].length===0)return new e.$Wv([new m.$Uv(new M.$Lv(1,E.length+1),new M.$Lv(1,l.length+1),[new m.$Vv(new $.$ut(1,1,E.length,E[E.length-1].length+1),new $.$ut(1,1,l.length,l[l.length-1].length+1))])],[],!1);const s=n.maxComputationTimeMs===0?g.$A3.instance:new g.$B3(n.maxComputationTimeMs),f=!n.ignoreTrimWhitespace,h=new Map;function L(G){let K=h.get(G);return K===void 0&&(K=h.size,h.set(G,K)),K}const A=E.map(G=>L(G.trim())),R=l.map(G=>L(G.trim())),F=new d.$J3(A,E),k=new d.$J3(R,l),T=F.length+k.length<1700?this.e.compute(F,k,s,(G,K)=>E[G]===l[K]?l[K].length===0?.1:1+Math.log(1+l[K].length):.99):this.f.compute(F,k);let x=T.diffs,Q=T.hitTimeout;x=(0,p.$K3)(F,k,x),x=(0,p.$N3)(F,k,x);const I=[],S=G=>{if(f)for(let K=0;K<G;K++){const ee=W+K,P=Y+K;if(E[ee]!==l[P]){const X=this.j(E,l,new g.$y3(new c.$Bt(ee,ee+1),new c.$Bt(P,P+1)),s,f);for(const de of X.mappings)I.push(de);X.hitTimeout&&(Q=!0)}}};let W=0,Y=0;for(const G of x){(0,y.$id)(()=>G.seq1Range.start-W===G.seq2Range.start-Y);const K=G.seq1Range.start-W;S(K),W=G.seq1Range.endExclusive,Y=G.seq2Range.endExclusive;const ee=this.j(E,l,G,s,f);ee.hitTimeout&&(Q=!0);for(const P of ee.mappings)I.push(P)}S(E.length-W);const Z=w(I,E,l);let H=[];return n.computeMoves&&(H=this.h(Z,E,l,A,R,s,f)),(0,y.$id)(()=>{function G(ee,P){if(ee.lineNumber<1||ee.lineNumber>P.length)return!1;const X=P[ee.lineNumber-1];return!(ee.column<1||ee.column>X.length+1)}function K(ee,P){return!(ee.startLineNumber<1||ee.startLineNumber>P.length+1||ee.endLineNumberExclusive<1||ee.endLineNumberExclusive>P.length+1)}for(const ee of Z){if(!ee.innerChanges)return!1;for(const P of ee.innerChanges)if(!(G(P.modifiedRange.getStartPosition(),l)&&G(P.modifiedRange.getEndPosition(),l)&&G(P.originalRange.getStartPosition(),E)&&G(P.originalRange.getEndPosition(),E)))return!1;if(!K(ee.modified,l)||!K(ee.original,E))return!1}return!0}),new e.$Wv(Z,H,Q)}h(E,l,n,s,f,h,L){return(0,o.$I3)(E,l,n,s,f,h).map(F=>{const k=this.j(l,n,new g.$y3(F.original.toOffsetRange(),F.modified.toOffsetRange()),h,L),T=w(k.mappings,l,n,!0);return new e.$Xv(F,T)})}j(E,l,n,s,f){const h=new b.$H3(E,n.seq1Range,f),L=new b.$H3(l,n.seq2Range,f),A=h.length+L.length<500?this.e.compute(h,L,s):this.f.compute(h,L,s);let R=A.diffs;return R=(0,p.$K3)(h,L,R),R=(0,p.$M3)(h,L,R),R=(0,p.$L3)(h,L,R),R=(0,p.$O3)(h,L,R),{mappings:R.map(k=>new m.$Vv(h.translateRange(k.seq1Range),L.translateRange(k.seq2Range))),hitTimeout:A.hitTimeout}}}t.$P3=j;function w(N,E,l,n=!1){const s=[];for(const f of(0,i.$Ab)(N.map(h=>v(h,E,l)),(h,L)=>h.original.overlapOrTouch(L.original)||h.modified.overlapOrTouch(L.modified))){const h=f[0],L=f[f.length-1];s.push(new m.$Uv(h.original.join(L.original),h.modified.join(L.modified),f.map(A=>A.innerChanges[0])))}return(0,y.$id)(()=>!n&&s.length>0&&(s[0].modified.startLineNumber!==s[0].original.startLineNumber||l.length-s[s.length-1].modified.endLineNumberExclusive!==E.length-s[s.length-1].original.endLineNumberExclusive)?!1:(0,y.$jd)(s,(f,h)=>h.original.startLineNumber-f.original.endLineNumberExclusive===h.modified.startLineNumber-f.modified.endLineNumberExclusive&&f.original.endLineNumberExclusive<h.original.startLineNumber&&f.modified.endLineNumberExclusive<h.modified.startLineNumber)),s}function v(N,E,l){let n=0,s=0;N.modifiedRange.endColumn===1&&N.originalRange.endColumn===1&&N.originalRange.startLineNumber+n<=N.originalRange.endLineNumber&&N.modifiedRange.startLineNumber+n<=N.modifiedRange.endLineNumber&&(s=-1),N.modifiedRange.startColumn-1>=l[N.modifiedRange.startLineNumber-1].length&&N.originalRange.startColumn-1>=E[N.originalRange.startLineNumber-1].length&&N.originalRange.startLineNumber<=N.originalRange.endLineNumber+s&&N.modifiedRange.startLineNumber<=N.modifiedRange.endLineNumber+s&&(n=1);const f=new M.$Lv(N.originalRange.startLineNumber+n,N.originalRange.endLineNumber+1+s),h=new M.$Lv(N.modifiedRange.startLineNumber+n,N.modifiedRange.endLineNumber+1+s);return new m.$Uv(f,h,[N])}}),ie(se[35],ae([0,1,25,34,17,7,2,10,13]),function(B,t,i,y,M,c,$,g,a){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.$Zv=t.$Yv=void 0;const u=3;class o{computeDiff(n,s,f){const L=new w(n,s,{maxComputationTime:f.maxComputationTimeMs,shouldIgnoreTrimWhitespace:f.ignoreTrimWhitespace,shouldComputeCharChanges:!0,shouldMakePrettyDiff:!0,shouldPostProcessCharChanges:!0}).computeDiff(),A=[];let R=null;for(const F of L.changes){let k;F.originalEndLineNumber===0?k=new a.$Lv(F.originalStartLineNumber+1,F.originalStartLineNumber+1):k=new a.$Lv(F.originalStartLineNumber,F.originalEndLineNumber+1);let T;F.modifiedEndLineNumber===0?T=new a.$Lv(F.modifiedStartLineNumber+1,F.modifiedStartLineNumber+1):T=new a.$Lv(F.modifiedStartLineNumber,F.modifiedEndLineNumber+1);let x=new M.$Uv(k,T,F.charChanges?.map(Q=>new M.$Vv(new $.$ut(Q.originalStartLineNumber,Q.originalStartColumn,Q.originalEndLineNumber,Q.originalEndColumn),new $.$ut(Q.modifiedStartLineNumber,Q.modifiedStartColumn,Q.modifiedEndLineNumber,Q.modifiedEndColumn))));R&&(R.modified.endLineNumberExclusive===x.modified.startLineNumber||R.original.endLineNumberExclusive===x.original.startLineNumber)&&(x=new M.$Uv(R.original.join(x.original),R.modified.join(x.modified),R.innerChanges&&x.innerChanges?R.innerChanges.concat(x.innerChanges):void 0),A.pop()),A.push(x),R=x}return(0,g.$id)(()=>(0,g.$jd)(A,(F,k)=>k.original.startLineNumber-F.original.endLineNumberExclusive===k.modified.startLineNumber-F.modified.endLineNumberExclusive&&F.original.endLineNumberExclusive<k.original.startLineNumber&&F.modified.endLineNumberExclusive<k.modified.startLineNumber)),new y.$Wv(A,[],L.quitEarly)}}t.$Yv=o;function p(l,n,s,f){return new i.$At(l,n,s).ComputeDiff(f)}class d{constructor(n){const s=[],f=[];for(let h=0,L=n.length;h<L;h++)s[h]=v(n[h],1),f[h]=N(n[h],1);this.lines=n,this.a=s,this.b=f}getElements(){const n=[];for(let s=0,f=this.lines.length;s<f;s++)n[s]=this.lines[s].substring(this.a[s]-1,this.b[s]-1);return n}getStrictElement(n){return this.lines[n]}getStartLineNumber(n){return n+1}getEndLineNumber(n){return n+1}createCharSequence(n,s,f){const h=[],L=[],A=[];let R=0;for(let F=s;F<=f;F++){const k=this.lines[F],T=n?this.a[F]:1,x=n?this.b[F]:k.length+1;for(let Q=T;Q<x;Q++)h[R]=k.charCodeAt(Q-1),L[R]=F+1,A[R]=Q,R++;!n&&F<f&&(h[R]=10,L[R]=F+1,A[R]=k.length+1,R++)}return new b(h,L,A)}}class b{constructor(n,s,f){this.a=n,this.b=s,this.d=f}toString(){return"["+this.a.map((n,s)=>(n===10?"\\n":String.fromCharCode(n))+`-(${this.b[s]},${this.d[s]})`).join(", ")+"]"}e(n,s){if(n<0||n>=s.length)throw new Error("Illegal index")}getElements(){return this.a}getStartLineNumber(n){return n>0&&n===this.b.length?this.getEndLineNumber(n-1):(this.e(n,this.b),this.b[n])}getEndLineNumber(n){return n===-1?this.getStartLineNumber(n+1):(this.e(n,this.b),this.a[n]===10?this.b[n]+1:this.b[n])}getStartColumn(n){return n>0&&n===this.d.length?this.getEndColumn(n-1):(this.e(n,this.d),this.d[n])}getEndColumn(n){return n===-1?this.getStartColumn(n+1):(this.e(n,this.d),this.a[n]===10?1:this.d[n]+1)}}class e{constructor(n,s,f,h,L,A,R,F){this.originalStartLineNumber=n,this.originalStartColumn=s,this.originalEndLineNumber=f,this.originalEndColumn=h,this.modifiedStartLineNumber=L,this.modifiedStartColumn=A,this.modifiedEndLineNumber=R,this.modifiedEndColumn=F}static createFromDiffChange(n,s,f){const h=s.getStartLineNumber(n.originalStart),L=s.getStartColumn(n.originalStart),A=s.getEndLineNumber(n.originalStart+n.originalLength-1),R=s.getEndColumn(n.originalStart+n.originalLength-1),F=f.getStartLineNumber(n.modifiedStart),k=f.getStartColumn(n.modifiedStart),T=f.getEndLineNumber(n.modifiedStart+n.modifiedLength-1),x=f.getEndColumn(n.modifiedStart+n.modifiedLength-1);return new e(h,L,A,R,F,k,T,x)}}function m(l){if(l.length<=1)return l;const n=[l[0]];let s=n[0];for(let f=1,h=l.length;f<h;f++){const L=l[f],A=L.originalStart-(s.originalStart+s.originalLength),R=L.modifiedStart-(s.modifiedStart+s.modifiedLength);Math.min(A,R)<u?(s.originalLength=L.originalStart+L.originalLength-s.originalStart,s.modifiedLength=L.modifiedStart+L.modifiedLength-s.modifiedStart):(n.push(L),s=L)}return n}class j{constructor(n,s,f,h,L){this.originalStartLineNumber=n,this.originalEndLineNumber=s,this.modifiedStartLineNumber=f,this.modifiedEndLineNumber=h,this.charChanges=L}static createFromDiffResult(n,s,f,h,L,A,R){let F,k,T,x,Q;if(s.originalLength===0?(F=f.getStartLineNumber(s.originalStart)-1,k=0):(F=f.getStartLineNumber(s.originalStart),k=f.getEndLineNumber(s.originalStart+s.originalLength-1)),s.modifiedLength===0?(T=h.getStartLineNumber(s.modifiedStart)-1,x=0):(T=h.getStartLineNumber(s.modifiedStart),x=h.getEndLineNumber(s.modifiedStart+s.modifiedLength-1)),A&&s.originalLength>0&&s.originalLength<20&&s.modifiedLength>0&&s.modifiedLength<20&&L()){const I=f.createCharSequence(n,s.originalStart,s.originalStart+s.originalLength-1),S=h.createCharSequence(n,s.modifiedStart,s.modifiedStart+s.modifiedLength-1);if(I.getElements().length>0&&S.getElements().length>0){let W=p(I,S,L,!0).changes;R&&(W=m(W)),Q=[];for(let Y=0,Z=W.length;Y<Z;Y++)Q.push(e.createFromDiffChange(W[Y],I,S))}}return new j(F,k,T,x,Q)}}class w{constructor(n,s,f){this.a=f.shouldComputeCharChanges,this.b=f.shouldPostProcessCharChanges,this.d=f.shouldIgnoreTrimWhitespace,this.e=f.shouldMakePrettyDiff,this.f=n,this.g=s,this.h=new d(n),this.j=new d(s),this.k=E(f.maxComputationTime),this.l=E(f.maxComputationTime===0?0:Math.min(f.maxComputationTime,5e3))}computeDiff(){if(this.h.lines.length===1&&this.h.lines[0].length===0)return this.j.lines.length===1&&this.j.lines[0].length===0?{quitEarly:!1,changes:[]}:{quitEarly:!1,changes:[{originalStartLineNumber:1,originalEndLineNumber:1,modifiedStartLineNumber:1,modifiedEndLineNumber:this.j.lines.length,charChanges:void 0}]};if(this.j.lines.length===1&&this.j.lines[0].length===0)return{quitEarly:!1,changes:[{originalStartLineNumber:1,originalEndLineNumber:this.h.lines.length,modifiedStartLineNumber:1,modifiedEndLineNumber:1,charChanges:void 0}]};const n=p(this.h,this.j,this.k,this.e),s=n.changes,f=n.quitEarly;if(this.d){const R=[];for(let F=0,k=s.length;F<k;F++)R.push(j.createFromDiffResult(this.d,s[F],this.h,this.j,this.l,this.a,this.b));return{quitEarly:f,changes:R}}const h=[];let L=0,A=0;for(let R=-1,F=s.length;R<F;R++){const k=R+1<F?s[R+1]:null,T=k?k.originalStart:this.f.length,x=k?k.modifiedStart:this.g.length;for(;L<T&&A<x;){const Q=this.f[L],I=this.g[A];if(Q!==I){{let S=v(Q,1),W=v(I,1);for(;S>1&&W>1;){const Y=Q.charCodeAt(S-2),Z=I.charCodeAt(W-2);if(Y!==Z)break;S--,W--}(S>1||W>1)&&this.m(h,L+1,1,S,A+1,1,W)}{let S=N(Q,1),W=N(I,1);const Y=Q.length+1,Z=I.length+1;for(;S<Y&&W<Z;){const H=Q.charCodeAt(S-1),G=Q.charCodeAt(W-1);if(H!==G)break;S++,W++}(S<Y||W<Z)&&this.m(h,L+1,S,Y,A+1,W,Z)}}L++,A++}k&&(h.push(j.createFromDiffResult(this.d,k,this.h,this.j,this.l,this.a,this.b)),L+=k.originalLength,A+=k.modifiedLength)}return{quitEarly:f,changes:h}}m(n,s,f,h,L,A,R){if(this.n(n,s,f,h,L,A,R))return;let F;this.a&&(F=[new e(s,f,s,h,L,A,L,R)]),n.push(new j(s,s,L,L,F))}n(n,s,f,h,L,A,R){const F=n.length;if(F===0)return!1;const k=n[F-1];return k.originalEndLineNumber===0||k.modifiedEndLineNumber===0?!1:k.originalEndLineNumber===s&&k.modifiedEndLineNumber===L?(this.a&&k.charChanges&&k.charChanges.push(new e(s,f,s,h,L,A,L,R)),!0):k.originalEndLineNumber+1===s&&k.modifiedEndLineNumber+1===L?(k.originalEndLineNumber=s,k.modifiedEndLineNumber=L,this.a&&k.charChanges&&k.charChanges.push(new e(s,f,s,h,L,A,L,R)),!0):!1}}t.$Zv=w;function v(l,n){const s=c.$nf(l);return s===-1?n:s+1}function N(l,n){const s=c.$pf(l);return s===-1?n:s+2}function E(l){if(l===0)return()=>!0;const n=Date.now();return()=>Date.now()-n<l}}),ie(se[55],ae([0,1,35,54]),function(B,t,i,y){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.$S3=void 0,t.$S3={getLegacy:()=>new i.$Yv,getDefault:()=>new y.$P3}}),ie(se[56],ae([0,1,37]),function(B,t,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.$T3=p;function y(d){const b=[];for(const e of d){const m=Number(e);(m||m===0&&e.replace(/\s/g,"")!=="")&&b.push(m)}return b}function M(d,b,e,m){return{red:d/255,blue:e/255,green:b/255,alpha:m}}function c(d,b){const e=b.index,m=b[0].length;if(!e)return;const j=d.positionAt(e);return{startLineNumber:j.lineNumber,startColumn:j.column,endLineNumber:j.lineNumber,endColumn:j.column+m}}function $(d,b){if(!d)return;const e=i.$Pt.Format.CSS.parseHex(b);if(e)return{range:d,color:M(e.rgba.r,e.rgba.g,e.rgba.b,e.rgba.a)}}function g(d,b,e){if(!d||b.length!==1)return;const j=b[0].values(),w=y(j);return{range:d,color:M(w[0],w[1],w[2],e?w[3]:1)}}function a(d,b,e){if(!d||b.length!==1)return;const j=b[0].values(),w=y(j),v=new i.$Pt(new i.$Nt(w[0],w[1]/100,w[2]/100,e?w[3]:1));return{range:d,color:M(v.rgba.r,v.rgba.g,v.rgba.b,v.rgba.a)}}function u(d,b){return typeof d=="string"?[...d.matchAll(b)]:d.findMatches(b)}function o(d){const b=[],m=u(d,/\b(rgb|rgba|hsl|hsla)(\([0-9\s,.\%]*\))|(#)([A-Fa-f0-9]{3})\b|(#)([A-Fa-f0-9]{4})\b|(#)([A-Fa-f0-9]{6})\b|(#)([A-Fa-f0-9]{8})\b/gm);if(m.length>0)for(const j of m){const w=j.filter(l=>l!==void 0),v=w[1],N=w[2];if(!N)continue;let E;if(v==="rgb"){const l=/^\(\s*(25[0-5]|2[0-4][0-9]|1[0-9]{2}|[1-9][0-9]|[0-9])\s*,\s*(25[0-5]|2[0-4][0-9]|1[0-9]{2}|[1-9][0-9]|[0-9])\s*,\s*(25[0-5]|2[0-4][0-9]|1[0-9]{2}|[1-9][0-9]|[0-9])\s*\)$/gm;E=g(c(d,j),u(N,l),!1)}else if(v==="rgba"){const l=/^\(\s*(25[0-5]|2[0-4][0-9]|1[0-9]{2}|[1-9][0-9]|[0-9])\s*,\s*(25[0-5]|2[0-4][0-9]|1[0-9]{2}|[1-9][0-9]|[0-9])\s*,\s*(25[0-5]|2[0-4][0-9]|1[0-9]{2}|[1-9][0-9]|[0-9])\s*,\s*(0[.][0-9]+|[.][0-9]+|[01][.]|[01])\s*\)$/gm;E=g(c(d,j),u(N,l),!0)}else if(v==="hsl"){const l=/^\(\s*(36[0]|3[0-5][0-9]|[12][0-9][0-9]|[1-9]?[0-9])\s*,\s*(100|\d{1,2}[.]\d*|\d{1,2})%\s*,\s*(100|\d{1,2}[.]\d*|\d{1,2})%\s*\)$/gm;E=a(c(d,j),u(N,l),!1)}else if(v==="hsla"){const l=/^\(\s*(36[0]|3[0-5][0-9]|[12][0-9][0-9]|[1-9]?[0-9])\s*,\s*(100|\d{1,2}[.]\d*|\d{1,2})%\s*,\s*(100|\d{1,2}[.]\d*|\d{1,2})%\s*,\s*(0[.][0-9]+|[.][0-9]+|[01][.]|[01])\s*\)$/gm;E=a(c(d,j),u(N,l),!0)}else v==="#"&&(E=$(c(d,j),v+N));E&&b.push(E)}return b}function p(d){return!d||typeof d.getValue!="function"||typeof d.positionAt!="function"?[]:o(d)}}),ie(se[57],ae([0,1,29]),function(B,t,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.$s3=t.$r3=t.State=void 0,t.$t3=d;var y;(function(b){b[b.Invalid=0]="Invalid",b[b.Start=1]="Start",b[b.H=2]="H",b[b.HT=3]="HT",b[b.HTT=4]="HTT",b[b.HTTP=5]="HTTP",b[b.F=6]="F",b[b.FI=7]="FI",b[b.FIL=8]="FIL",b[b.BeforeColon=9]="BeforeColon",b[b.AfterColon=10]="AfterColon",b[b.AlmostThere=11]="AlmostThere",b[b.End=12]="End",b[b.Accept=13]="Accept",b[b.LastKnownState=14]="LastKnownState"})(y||(t.State=y={}));class M{constructor(e,m,j){const w=new Uint8Array(e*m);for(let v=0,N=e*m;v<N;v++)w[v]=j;this.a=w,this.rows=e,this.cols=m}get(e,m){return this.a[e*this.cols+m]}set(e,m,j){this.a[e*this.cols+m]=j}}class c{constructor(e){let m=0,j=0;for(let v=0,N=e.length;v<N;v++){const[E,l,n]=e[v];l>m&&(m=l),E>j&&(j=E),n>j&&(j=n)}m++,j++;const w=new M(j,m,0);for(let v=0,N=e.length;v<N;v++){const[E,l,n]=e[v];w.set(E,l,n)}this.a=w,this.b=m}nextState(e,m){return m<0||m>=this.b?0:this.a.get(e,m)}}t.$r3=c;let $=null;function g(){return $===null&&($=new c([[1,104,2],[1,72,2],[1,102,6],[1,70,6],[2,116,3],[2,84,3],[3,116,4],[3,84,4],[4,112,5],[4,80,5],[5,115,9],[5,83,9],[5,58,10],[6,105,7],[6,73,7],[7,108,8],[7,76,8],[8,101,9],[8,69,9],[9,58,10],[10,47,11],[11,47,12]])),$}var a;(function(b){b[b.None=0]="None",b[b.ForceTermination=1]="ForceTermination",b[b.CannotEndIn=2]="CannotEndIn"})(a||(a={}));let u=null;function o(){if(u===null){u=new i.$It(0);const b=` 	<>'"\u3001\u3002\uFF61\uFF64\uFF0C\uFF0E\uFF1A\uFF1B\u2018\u3008\u300C\u300E\u3014\uFF08\uFF3B\uFF5B\uFF62\uFF63\uFF5D\uFF3D\uFF09\u3015\u300F\u300D\u3009\u2019\uFF40\uFF5E\u2026`;for(let m=0;m<b.length;m++)u.set(b.charCodeAt(m),1);const e=".,;:";for(let m=0;m<e.length;m++)u.set(e.charCodeAt(m),2)}return u}class p{static a(e,m,j,w,v){let N=v-1;do{const E=m.charCodeAt(N);if(e.get(E)!==2)break;N--}while(N>w);if(w>0){const E=m.charCodeAt(w-1),l=m.charCodeAt(N);(E===40&&l===41||E===91&&l===93||E===123&&l===125)&&N--}return{range:{startLineNumber:j,startColumn:w+1,endLineNumber:j,endColumn:N+2},url:m.substring(w,N+1)}}static computeLinks(e,m=g()){const j=o(),w=[];for(let v=1,N=e.getLineCount();v<=N;v++){const E=e.getLineContent(v),l=E.length;let n=0,s=0,f=0,h=1,L=!1,A=!1,R=!1,F=!1;for(;n<l;){let k=!1;const T=E.charCodeAt(n);if(h===13){let x;switch(T){case 40:L=!0,x=0;break;case 41:x=L?0:1;break;case 91:R=!0,A=!0,x=0;break;case 93:R=!1,x=A?0:1;break;case 123:F=!0,x=0;break;case 125:x=F?0:1;break;case 39:case 34:case 96:f===T?x=1:f===39||f===34||f===96?x=0:x=1;break;case 42:x=f===42?1:0;break;case 124:x=f===124?1:0;break;case 32:x=R?0:1;break;default:x=j.get(T)}x===1&&(w.push(p.a(j,E,v,s,n)),k=!0)}else if(h===12){let x;T===91?(A=!0,x=0):x=j.get(T),x===1?k=!0:h=13}else h=m.nextState(h,T),h===0&&(k=!0);k&&(h=1,L=!1,A=!1,F=!1,s=n+1,f=T),n++}h===13&&w.push(p.a(j,E,v,s,l))}return w}}t.$s3=p;function d(b){return!b||typeof b.getLineCount!="function"||typeof b.getLineContent!="function"?[]:p.computeLinks(b)}}),ie(se[58],ae([0,1]),function(B,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.$u3=void 0;class i{constructor(){this.c=[["true","false"],["True","False"],["Private","Public","Friend","ReadOnly","Partial","Protected","WriteOnly"],["public","protected","private"]]}static{this.INSTANCE=new i}navigateValueSet(M,c,$,g,a){if(M&&c){const u=this.a(c,a);if(u)return{range:M,value:u}}if($&&g){const u=this.a(g,a);if(u)return{range:$,value:u}}return null}a(M,c){const $=this.b(M,c);return $!==null?$:this.d(M,c)}b(M,c){const $=Math.pow(10,M.length-(M.lastIndexOf(".")+1));let g=Number(M);const a=parseFloat(M);return!isNaN(g)&&!isNaN(a)&&g===a?g===0&&!c?null:(g=Math.floor(g*$),g+=c?$:-$,String(g/$)):null}d(M,c){return this.e(this.c,M,c)}e(M,c,$){let g=null;for(let a=0,u=M.length;g===null&&a<u;a++)g=this.f(M[a],c,$);return g}f(M,c,$){let g=M.indexOf(c);return g>=0?(g+=$?1:-1,g<0?g=M.length-1:g%=M.length,M[g]):null}}t.$u3=i}),ie(se[59],ae([0,1,15]),function(B,t,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.$Jv=t.$Iv=t.$Hv=t.ModelConstants=t.PositionAffinity=t.TrackedRangeStickiness=t.$Fv=t.$Ev=t.EndOfLineSequence=t.DefaultEndOfLine=t.EndOfLinePreference=t.InjectedTextCursorStops=t.MinimapSectionHeaderStyle=t.MinimapPosition=t.GlyphMarginLane=t.OverviewRulerLane=void 0,t.$Gv=e,t.$Kv=E;var y;(function(l){l[l.Left=1]="Left",l[l.Center=2]="Center",l[l.Right=4]="Right",l[l.Full=7]="Full"})(y||(t.OverviewRulerLane=y={}));var M;(function(l){l[l.Left=1]="Left",l[l.Center=2]="Center",l[l.Right=3]="Right"})(M||(t.GlyphMarginLane=M={}));var c;(function(l){l[l.Inline=1]="Inline",l[l.Gutter=2]="Gutter"})(c||(t.MinimapPosition=c={}));var $;(function(l){l[l.Normal=1]="Normal",l[l.Underlined=2]="Underlined"})($||(t.MinimapSectionHeaderStyle=$={}));var g;(function(l){l[l.Both=0]="Both",l[l.Right=1]="Right",l[l.Left=2]="Left",l[l.None=3]="None"})(g||(t.InjectedTextCursorStops=g={}));var a;(function(l){l[l.TextDefined=0]="TextDefined",l[l.LF=1]="LF",l[l.CRLF=2]="CRLF"})(a||(t.EndOfLinePreference=a={}));var u;(function(l){l[l.LF=1]="LF",l[l.CRLF=2]="CRLF"})(u||(t.DefaultEndOfLine=u={}));var o;(function(l){l[l.LF=0]="LF",l[l.CRLF=1]="CRLF"})(o||(t.EndOfLineSequence=o={}));class p{get originalIndentSize(){return this.a?"tabSize":this.indentSize}constructor(n){this._textModelResolvedOptionsBrand=void 0,this.tabSize=Math.max(1,n.tabSize|0),n.indentSize==="tabSize"?(this.indentSize=this.tabSize,this.a=!0):(this.indentSize=Math.max(1,n.indentSize|0),this.a=!1),this.insertSpaces=!!n.insertSpaces,this.defaultEOL=n.defaultEOL|0,this.trimAutoWhitespace=!!n.trimAutoWhitespace,this.bracketPairColorizationOptions=n.bracketPairColorizationOptions}equals(n){return this.tabSize===n.tabSize&&this.a===n.a&&this.indentSize===n.indentSize&&this.insertSpaces===n.insertSpaces&&this.defaultEOL===n.defaultEOL&&this.trimAutoWhitespace===n.trimAutoWhitespace&&(0,i.$7n)(this.bracketPairColorizationOptions,n.bracketPairColorizationOptions)}createChangeEvent(n){return{tabSize:this.tabSize!==n.tabSize,indentSize:this.indentSize!==n.indentSize,insertSpaces:this.insertSpaces!==n.insertSpaces,trimAutoWhitespace:this.trimAutoWhitespace!==n.trimAutoWhitespace}}}t.$Ev=p;class d{constructor(n,s){this._findMatchBrand=void 0,this.range=n,this.matches=s}}t.$Fv=d;var b;(function(l){l[l.AlwaysGrowsWhenTypingAtEdges=0]="AlwaysGrowsWhenTypingAtEdges",l[l.NeverGrowsWhenTypingAtEdges=1]="NeverGrowsWhenTypingAtEdges",l[l.GrowsOnlyWhenTypingBefore=2]="GrowsOnlyWhenTypingBefore",l[l.GrowsOnlyWhenTypingAfter=3]="GrowsOnlyWhenTypingAfter"})(b||(t.TrackedRangeStickiness=b={}));function e(l){return l&&typeof l.read=="function"}var m;(function(l){l[l.Left=0]="Left",l[l.Right=1]="Right",l[l.None=2]="None",l[l.LeftOfInjectedText=3]="LeftOfInjectedText",l[l.RightOfInjectedText=4]="RightOfInjectedText"})(m||(t.PositionAffinity=m={}));var j;(function(l){l[l.FIRST_LINE_DETECTION_LENGTH_LIMIT=1e3]="FIRST_LINE_DETECTION_LENGTH_LIMIT"})(j||(t.ModelConstants=j={}));class w{constructor(n,s,f,h,L,A){this.identifier=n,this.range=s,this.text=f,this.forceMoveMarkers=h,this.isAutoWhitespaceEdit=L,this._isTracked=A}}t.$Hv=w;class v{constructor(n,s,f){this.regex=n,this.wordSeparators=s,this.simpleSearch=f}}t.$Iv=v;class N{constructor(n,s,f){this.reverseEdits=n,this.changes=s,this.trimAutoWhitespaceLineNumbers=f}}t.$Jv=N;function E(l){return!l.isTooLargeForSyncing()&&!l.isForSimpleWidget}}),ie(se[60],ae([0,1,6,28]),function(B,t,i,y){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.$5v=t.$4v=t.$3v=void 0;class M{constructor(a){this.a=a,this.b=new Uint32Array(a.length),this.c=new Int32Array(1),this.c[0]=-1}getCount(){return this.a.length}insertValues(a,u){a=(0,y.$7e)(a);const o=this.a,p=this.b,d=u.length;return d===0?!1:(this.a=new Uint32Array(o.length+d),this.a.set(o.subarray(0,a),0),this.a.set(o.subarray(a),a+d),this.a.set(u,a),a-1<this.c[0]&&(this.c[0]=a-1),this.b=new Uint32Array(this.a.length),this.c[0]>=0&&this.b.set(p.subarray(0,this.c[0]+1)),!0)}setValue(a,u){return a=(0,y.$7e)(a),u=(0,y.$7e)(u),this.a[a]===u?!1:(this.a[a]=u,a-1<this.c[0]&&(this.c[0]=a-1),!0)}removeValues(a,u){a=(0,y.$7e)(a),u=(0,y.$7e)(u);const o=this.a,p=this.b;if(a>=o.length)return!1;const d=o.length-a;return u>=d&&(u=d),u===0?!1:(this.a=new Uint32Array(o.length-u),this.a.set(o.subarray(0,a),0),this.a.set(o.subarray(a+u),a),this.b=new Uint32Array(this.a.length),a-1<this.c[0]&&(this.c[0]=a-1),this.c[0]>=0&&this.b.set(p.subarray(0,this.c[0]+1)),!0)}getTotalSum(){return this.a.length===0?0:this.d(this.a.length-1)}getPrefixSum(a){return a<0?0:(a=(0,y.$7e)(a),this.d(a))}d(a){if(a<=this.c[0])return this.b[a];let u=this.c[0]+1;u===0&&(this.b[0]=this.a[0],u++),a>=this.a.length&&(a=this.a.length-1);for(let o=u;o<=a;o++)this.b[o]=this.b[o-1]+this.a[o];return this.c[0]=Math.max(this.c[0],a),this.b[a]}getIndexOf(a){a=Math.floor(a),this.getTotalSum();let u=0,o=this.a.length-1,p=0,d=0,b=0;for(;u<=o;)if(p=u+(o-u)/2|0,d=this.b[p],b=d-this.a[p],a<b)o=p-1;else if(a>=d)u=p+1;else break;return new $(p,a-b)}}t.$3v=M;class c{constructor(a){this.a=a,this.b=!1,this.c=-1,this.d=[],this.e=[]}getTotalSum(){return this.g(),this.e.length}getPrefixSum(a){return this.g(),a===0?0:this.d[a-1]}getIndexOf(a){this.g();const u=this.e[a],o=u>0?this.d[u-1]:0;return new $(u,a-o)}removeValues(a,u){this.a.splice(a,u),this.f(a)}insertValues(a,u){this.a=(0,i.$Wb)(this.a,a,u),this.f(a)}f(a){this.b=!1,this.c=Math.min(this.c,a-1)}g(){if(!this.b){for(let a=this.c+1,u=this.a.length;a<u;a++){const o=this.a[a],p=a>0?this.d[a-1]:0;this.d[a]=p+o;for(let d=0;d<o;d++)this.e[p+d]=a}this.d.length=this.a.length,this.e.length=this.d[this.d.length-1],this.b=!0,this.c=this.a.length-1}}setValue(a,u){this.a[a]!==u&&(this.a[a]=u,this.f(a))}}t.$4v=c;class ${constructor(a,u){this.index=a,this.remainder=u,this._prefixSumIndexOfResultBrand=void 0,this.index=a,this.remainder=u}}t.$5v=$}),ie(se[61],ae([0,1,7,4,60]),function(B,t,i,y,M){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.$6v=void 0;class c{constructor(g,a,u,o){this.d=g,this.f=a,this.g=u,this.h=o,this.j=null,this.k=null}dispose(){this.f.length=0}get version(){return this.h}getText(){return this.k===null&&(this.k=this.f.join(this.g)),this.k}onEvents(g){g.eol&&g.eol!==this.g&&(this.g=g.eol,this.j=null);const a=g.changes;for(const u of a)this.o(u.range),this.p(new y.$tt(u.range.startLineNumber,u.range.startColumn),u.text);this.h=g.versionId,this.k=null}l(){if(!this.j){const g=this.g.length,a=this.f.length,u=new Uint32Array(a);for(let o=0;o<a;o++)u[o]=this.f[o].length+g;this.j=new M.$3v(u)}}n(g,a){this.f[g]=a,this.j&&this.j.setValue(g,this.f[g].length+this.g.length)}o(g){if(g.startLineNumber===g.endLineNumber){if(g.startColumn===g.endColumn)return;this.n(g.startLineNumber-1,this.f[g.startLineNumber-1].substring(0,g.startColumn-1)+this.f[g.startLineNumber-1].substring(g.endColumn-1));return}this.n(g.startLineNumber-1,this.f[g.startLineNumber-1].substring(0,g.startColumn-1)+this.f[g.endLineNumber-1].substring(g.endColumn-1)),this.f.splice(g.startLineNumber,g.endLineNumber-g.startLineNumber),this.j&&this.j.removeValues(g.startLineNumber,g.endLineNumber-g.startLineNumber)}p(g,a){if(a.length===0)return;const u=(0,i.$lf)(a);if(u.length===1){this.n(g.lineNumber-1,this.f[g.lineNumber-1].substring(0,g.column-1)+u[0]+this.f[g.lineNumber-1].substring(g.column-1));return}u[u.length-1]+=this.f[g.lineNumber-1].substring(g.column-1),this.n(g.lineNumber-1,this.f[g.lineNumber-1].substring(0,g.column-1)+u[0]);const o=new Uint32Array(u.length-1);for(let p=1;p<u.length;p++)this.f.splice(g.lineNumber+p-1,0,u[p]),o[p-1]=u[p].length+this.g.length;this.j&&this.j.insertValues(g.lineNumber,o)}}t.$6v=c}),ie(se[62],ae([0,1,7,49,4,2,59]),function(B,t,i,y,M,c,$){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.$UC=t.$SC=t.$PC=void 0,t.$QC=u,t.$RC=o,t.$TC=m;const g=999;class a{constructor(v,N,E,l){this.searchString=v,this.isRegex=N,this.matchCase=E,this.wordSeparators=l}parseSearchRequest(){if(this.searchString==="")return null;let v;this.isRegex?v=u(this.searchString):v=this.searchString.indexOf(`
`)>=0;let N=null;try{N=i.$jf(this.searchString,this.isRegex,{matchCase:this.matchCase,wholeWord:!1,multiline:v,global:!0,unicode:!0})}catch{return null}if(!N)return null;let E=!this.isRegex&&!v;return E&&this.searchString.toLowerCase()!==this.searchString.toUpperCase()&&(E=this.matchCase),new $.$Iv(N,this.wordSeparators?(0,y.$Lt)(this.wordSeparators,[]):null,E?this.searchString:null)}}t.$PC=a;function u(w){if(!w||w.length===0)return!1;for(let v=0,N=w.length;v<N;v++){const E=w.charCodeAt(v);if(E===10)return!0;if(E===92){if(v++,v>=N)break;const l=w.charCodeAt(v);if(l===110||l===114||l===87)return!0}}return!1}function o(w,v,N){if(!N)return new $.$Fv(w,null);const E=[];for(let l=0,n=v.length;l<n;l++)E[l]=v[l];return new $.$Fv(w,E)}class p{constructor(v){const N=[];let E=0;for(let l=0,n=v.length;l<n;l++)v.charCodeAt(l)===10&&(N[E++]=l);this.a=N}findLineFeedCountBeforeOffset(v){const N=this.a;let E=0,l=N.length-1;if(l===-1||v<=N[0])return 0;for(;E<l;){const n=E+((l-E)/2>>0);N[n]>=v?l=n-1:N[n+1]>=v?(E=n,l=n):E=n+1}return E+1}}class d{static findMatches(v,N,E,l,n){const s=N.parseSearchRequest();return s?s.regex.multiline?this.b(v,E,new j(s.wordSeparators,s.regex),l,n):this.c(v,E,s,l,n):[]}static a(v,N,E,l,n,s){let f,h=0;l?(h=l.findLineFeedCountBeforeOffset(n),f=N+n+h):f=N+n;let L;if(l){const k=l.findLineFeedCountBeforeOffset(n+s.length)-h;L=f+s.length+k}else L=f+s.length;const A=v.getPositionAt(f),R=v.getPositionAt(L);return new c.$ut(A.lineNumber,A.column,R.lineNumber,R.column)}static b(v,N,E,l,n){const s=v.getOffsetAt(N.getStartPosition()),f=v.getValueInRange(N,1),h=v.getEOL()===`\r
`?new p(f):null,L=[];let A=0,R;for(E.reset(0);R=E.next(f);)if(L[A++]=o(this.a(v,s,f,h,R.index,R[0]),R,l),A>=n)return L;return L}static c(v,N,E,l,n){const s=[];let f=0;if(N.startLineNumber===N.endLineNumber){const L=v.getLineContent(N.startLineNumber).substring(N.startColumn-1,N.endColumn-1);return f=this.d(E,L,N.startLineNumber,N.startColumn-1,f,s,l,n),s}const h=v.getLineContent(N.startLineNumber).substring(N.startColumn-1);f=this.d(E,h,N.startLineNumber,N.startColumn-1,f,s,l,n);for(let L=N.startLineNumber+1;L<N.endLineNumber&&f<n;L++)f=this.d(E,v.getLineContent(L),L,0,f,s,l,n);if(f<n){const L=v.getLineContent(N.endLineNumber).substring(0,N.endColumn-1);f=this.d(E,L,N.endLineNumber,0,f,s,l,n)}return s}static d(v,N,E,l,n,s,f,h){const L=v.wordSeparators;if(!f&&v.simpleSearch){const F=v.simpleSearch,k=F.length,T=N.length;let x=-k;for(;(x=N.indexOf(F,x+k))!==-1;)if((!L||m(L,N,T,x,k))&&(s[n++]=new $.$Fv(new c.$ut(E,x+1+l,E,x+1+k+l),null),n>=h))return n;return n}const A=new j(v.wordSeparators,v.regex);let R;A.reset(0);do if(R=A.next(N),R&&(s[n++]=o(new c.$ut(E,R.index+1+l,E,R.index+1+R[0].length+l),R,f),n>=h))return n;while(R);return n}static findNextMatch(v,N,E,l){const n=N.parseSearchRequest();if(!n)return null;const s=new j(n.wordSeparators,n.regex);return n.regex.multiline?this.e(v,E,s,l):this.f(v,E,s,l)}static e(v,N,E,l){const n=new M.$tt(N.lineNumber,1),s=v.getOffsetAt(n),f=v.getLineCount(),h=v.getValueInRange(new c.$ut(n.lineNumber,n.column,f,v.getLineMaxColumn(f)),1),L=v.getEOL()===`\r
`?new p(h):null;E.reset(N.column-1);const A=E.next(h);return A?o(this.a(v,s,h,L,A.index,A[0]),A,l):N.lineNumber!==1||N.column!==1?this.e(v,new M.$tt(1,1),E,l):null}static f(v,N,E,l){const n=v.getLineCount(),s=N.lineNumber,f=v.getLineContent(s),h=this.g(E,f,s,N.column,l);if(h)return h;for(let L=1;L<=n;L++){const A=(s+L-1)%n,R=v.getLineContent(A+1),F=this.g(E,R,A+1,1,l);if(F)return F}return null}static g(v,N,E,l,n){v.reset(l-1);const s=v.next(N);return s?o(new c.$ut(E,s.index+1,E,s.index+1+s[0].length),s,n):null}static findPreviousMatch(v,N,E,l){const n=N.parseSearchRequest();if(!n)return null;const s=new j(n.wordSeparators,n.regex);return n.regex.multiline?this.h(v,E,s,l):this.j(v,E,s,l)}static h(v,N,E,l){const n=this.b(v,new c.$ut(1,1,N.lineNumber,N.column),E,l,10*g);if(n.length>0)return n[n.length-1];const s=v.getLineCount();return N.lineNumber!==s||N.column!==v.getLineMaxColumn(s)?this.h(v,new M.$tt(s,v.getLineMaxColumn(s)),E,l):null}static j(v,N,E,l){const n=v.getLineCount(),s=N.lineNumber,f=v.getLineContent(s).substring(0,N.column-1),h=this.k(E,f,s,l);if(h)return h;for(let L=1;L<=n;L++){const A=(n+s-L-1)%n,R=v.getLineContent(A+1),F=this.k(E,R,A+1,l);if(F)return F}return null}static k(v,N,E,l){let n=null,s;for(v.reset(0);s=v.next(N);)n=o(new c.$ut(E,s.index+1,E,s.index+1+s[0].length),s,l);return n}}t.$SC=d;function b(w,v,N,E,l){if(E===0)return!0;const n=v.charCodeAt(E-1);if(w.get(n)!==0||n===13||n===10)return!0;if(l>0){const s=v.charCodeAt(E);if(w.get(s)!==0)return!0}return!1}function e(w,v,N,E,l){if(E+l===N)return!0;const n=v.charCodeAt(E+l);if(w.get(n)!==0||n===13||n===10)return!0;if(l>0){const s=v.charCodeAt(E+l-1);if(w.get(s)!==0)return!0}return!1}function m(w,v,N,E,l){return b(w,v,N,E,l)&&e(w,v,N,E,l)}class j{constructor(v,N){this._wordSeparators=v,this.a=N,this.b=-1,this.c=0}reset(v){this.a.lastIndex=v,this.b=-1,this.c=0}next(v){const N=v.length;let E;do{if(this.b+this.c===N||(E=this.a.exec(v),!E))return null;const l=E.index,n=E[0].length;if(l===this.b&&n===this.c){if(n===0){i.$Ff(v,N,this.a.lastIndex)>65535?this.a.lastIndex+=2:this.a.lastIndex+=1;continue}return null}if(this.b=l,this.c=n,!this._wordSeparators||m(this._wordSeparators,v,N,l,n))return E}while(E);return null}}t.$UC=j}),ie(se[63],ae([0,1]),function(B,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.$U3=M;const i=/\bMARK:\s*(.*)$/d,y=/^-+|-+$/g;function M(u,o){let p=[];if(o.findRegionSectionHeaders&&o.foldingRules?.markers){const d=c(u,o);p=p.concat(d)}if(o.findMarkSectionHeaders){const d=$(u);p=p.concat(d)}return p}function c(u,o){const p=[],d=u.getLineCount();for(let b=1;b<=d;b++){const e=u.getLineContent(b),m=e.match(o.foldingRules.markers.start);if(m){const j={startLineNumber:b,startColumn:m[0].length+1,endLineNumber:b,endColumn:e.length+1};if(j.endColumn>j.startColumn){const w={range:j,...a(e.substring(m[0].length)),shouldBeInComments:!1};(w.text||w.hasSeparatorLine)&&p.push(w)}}}return p}function $(u){const o=[],p=u.getLineCount();for(let d=1;d<=p;d++){const b=u.getLineContent(d);g(b,d,o)}return o}function g(u,o,p){i.lastIndex=0;const d=i.exec(u);if(d){const b=d.indices[1][0]+1,e=d.indices[1][1]+1,m={startLineNumber:o,startColumn:b,endLineNumber:o,endColumn:e};if(m.endColumn>m.startColumn){const j={range:m,...a(d[1]),shouldBeInComments:!0};(j.text||j.hasSeparatorLine)&&p.push(j)}}}function a(u){u=u.trim();const o=u.startsWith("-");return u=u.replace(y,""),{text:u,hasSeparatorLine:o}}}),ie(se[64],ae([0,1,2,62,7,10,31]),function(B,t,i,y,M,c,$){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.UnicodeHighlighterReasonKind=t.$q3=void 0;class g{static computeUnicodeHighlights(e,m,j){const w=j?j.startLineNumber:1,v=j?j.endLineNumber:e.getLineCount(),N=new o(m),E=N.getCandidateCodePoints();let l;E==="allNonBasicAscii"?l=new RegExp("[^\\t\\n\\r\\x20-\\x7E]","g"):l=new RegExp(`${a(Array.from(E))}`,"g");const n=new y.$UC(null,l),s=[];let f=!1,h,L=0,A=0,R=0;e:for(let F=w,k=v;F<=k;F++){const T=e.getLineContent(F),x=T.length;n.reset(0);do if(h=n.next(T),h){let Q=h.index,I=h.index+h[0].length;if(Q>0){const Z=T.charCodeAt(Q-1);M.$Cf(Z)&&Q--}if(I+1<x){const Z=T.charCodeAt(I-1);M.$Cf(Z)&&I++}const S=T.substring(Q,I);let W=(0,$.$9s)(Q+1,$.$6s,T,0);W&&W.endColumn<=Q+1&&(W=null);const Y=N.shouldHighlightNonBasicASCII(S,W?W.word:null);if(Y!==0){if(Y===3?L++:Y===2?A++:Y===1?R++:(0,c.$fd)(Y),s.length>=1e3){f=!0;break e}s.push(new i.$ut(F,Q+1,F,I+1))}}while(h)}return{ranges:s,hasMore:f,ambiguousCharacterCount:L,invisibleCharacterCount:A,nonBasicAsciiCharacterCount:R}}static computeUnicodeHighlightReason(e,m){const j=new o(m);switch(j.shouldHighlightNonBasicASCII(e,null)){case 0:return null;case 2:return{kind:1};case 3:{const v=e.codePointAt(0),N=j.ambiguousCharacters.getPrimaryConfusable(v),E=M.$7f.getLocales().filter(l=>!M.$7f.getInstance(new Set([...m.allowedLocales,l])).isAmbiguous(v));return{kind:0,confusableWith:String.fromCodePoint(N),notAmbiguousInLocales:E}}case 1:return{kind:2}}}}t.$q3=g;function a(b,e){return`[${M.$af(b.map(j=>String.fromCodePoint(j)).join(""))}]`}var u;(function(b){b[b.Ambiguous=0]="Ambiguous",b[b.Invisible=1]="Invisible",b[b.NonBasicAscii=2]="NonBasicAscii"})(u||(t.UnicodeHighlighterReasonKind=u={}));class o{constructor(e){this.b=e,this.a=new Set(e.allowedCodePoints),this.ambiguousCharacters=M.$7f.getInstance(new Set(e.allowedLocales))}getCandidateCodePoints(){if(this.b.nonBasicASCII)return"allNonBasicAscii";const e=new Set;if(this.b.invisibleCharacters)for(const m of M.$8f.codePoints)p(String.fromCodePoint(m))||e.add(m);if(this.b.ambiguousCharacters)for(const m of this.ambiguousCharacters.getConfusableCodePoints())e.add(m);for(const m of this.a)e.delete(m);return e}shouldHighlightNonBasicASCII(e,m){const j=e.codePointAt(0);if(this.a.has(j))return 0;if(this.b.nonBasicASCII)return 1;let w=!1,v=!1;if(m)for(const N of m){const E=N.codePointAt(0),l=M.$Nf(N);w=w||l,!l&&!this.ambiguousCharacters.isAmbiguous(E)&&!M.$8f.isInvisibleCharacter(E)&&(v=!0)}return!w&&v?0:this.b.invisibleCharacters&&!p(e)&&M.$8f.isInvisibleCharacter(j)?2:this.b.ambiguousCharacters&&this.ambiguousCharacters.isAmbiguous(j)?3:0}}function p(b){return b===" "||b===`
`||b==="	"}var d;(function(b){b[b.None=0]="None",b[b.NonBasicASCII=1]="NonBasicASCII",b[b.Invisible=2]="Invisible",b[b.Ambiguous=3]="Ambiguous"})(d||(d={}))}),ie(se[65],ae([0,1]),function(B,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.WrappingIndent=t.TrackedRangeStickiness=t.TextEditorCursorStyle=t.TextEditorCursorBlinkingStyle=t.SymbolTag=t.SymbolKind=t.SignatureHelpTriggerKind=t.ShowLightbulbIconMode=t.SelectionDirection=t.ScrollbarVisibility=t.ScrollType=t.RenderMinimap=t.RenderLineNumbersType=t.PositionAffinity=t.PartialAcceptTriggerKind=t.OverviewRulerLane=t.OverlayWidgetPositionPreference=t.NewSymbolNameTriggerKind=t.NewSymbolNameTag=t.MouseTargetType=t.MinimapSectionHeaderStyle=t.MinimapPosition=t.MarkerTag=t.MarkerSeverity=t.KeyCode=t.InlineEditTriggerKind=t.InlineCompletionTriggerKind=t.InlayHintKind=t.InjectedTextCursorStops=t.IndentAction=t.HoverVerbosityAction=t.GlyphMarginLane=t.EndOfLineSequence=t.EndOfLinePreference=t.EditorOption=t.EditorAutoIndentStrategy=t.DocumentHighlightKind=t.DefaultEndOfLine=t.CursorChangeReason=t.ContentWidgetPositionPreference=t.CompletionTriggerKind=t.CompletionItemTag=t.CompletionItemKind=t.CompletionItemInsertTextRule=t.CodeActionTriggerType=t.AccessibilitySupport=void 0;var i;(function(r){r[r.Unknown=0]="Unknown",r[r.Disabled=1]="Disabled",r[r.Enabled=2]="Enabled"})(i||(t.AccessibilitySupport=i={}));var y;(function(r){r[r.Invoke=1]="Invoke",r[r.Auto=2]="Auto"})(y||(t.CodeActionTriggerType=y={}));var M;(function(r){r[r.None=0]="None",r[r.KeepWhitespace=1]="KeepWhitespace",r[r.InsertAsSnippet=4]="InsertAsSnippet"})(M||(t.CompletionItemInsertTextRule=M={}));var c;(function(r){r[r.Method=0]="Method",r[r.Function=1]="Function",r[r.Constructor=2]="Constructor",r[r.Field=3]="Field",r[r.Variable=4]="Variable",r[r.Class=5]="Class",r[r.Struct=6]="Struct",r[r.Interface=7]="Interface",r[r.Module=8]="Module",r[r.Property=9]="Property",r[r.Event=10]="Event",r[r.Operator=11]="Operator",r[r.Unit=12]="Unit",r[r.Value=13]="Value",r[r.Constant=14]="Constant",r[r.Enum=15]="Enum",r[r.EnumMember=16]="EnumMember",r[r.Keyword=17]="Keyword",r[r.Text=18]="Text",r[r.Color=19]="Color",r[r.File=20]="File",r[r.Reference=21]="Reference",r[r.Customcolor=22]="Customcolor",r[r.Folder=23]="Folder",r[r.TypeParameter=24]="TypeParameter",r[r.User=25]="User",r[r.Issue=26]="Issue",r[r.Snippet=27]="Snippet"})(c||(t.CompletionItemKind=c={}));var $;(function(r){r[r.Deprecated=1]="Deprecated"})($||(t.CompletionItemTag=$={}));var g;(function(r){r[r.Invoke=0]="Invoke",r[r.TriggerCharacter=1]="TriggerCharacter",r[r.TriggerForIncompleteCompletions=2]="TriggerForIncompleteCompletions"})(g||(t.CompletionTriggerKind=g={}));var a;(function(r){r[r.EXACT=0]="EXACT",r[r.ABOVE=1]="ABOVE",r[r.BELOW=2]="BELOW"})(a||(t.ContentWidgetPositionPreference=a={}));var u;(function(r){r[r.NotSet=0]="NotSet",r[r.ContentFlush=1]="ContentFlush",r[r.RecoverFromMarkers=2]="RecoverFromMarkers",r[r.Explicit=3]="Explicit",r[r.Paste=4]="Paste",r[r.Undo=5]="Undo",r[r.Redo=6]="Redo"})(u||(t.CursorChangeReason=u={}));var o;(function(r){r[r.LF=1]="LF",r[r.CRLF=2]="CRLF"})(o||(t.DefaultEndOfLine=o={}));var p;(function(r){r[r.Text=0]="Text",r[r.Read=1]="Read",r[r.Write=2]="Write"})(p||(t.DocumentHighlightKind=p={}));var d;(function(r){r[r.None=0]="None",r[r.Keep=1]="Keep",r[r.Brackets=2]="Brackets",r[r.Advanced=3]="Advanced",r[r.Full=4]="Full"})(d||(t.EditorAutoIndentStrategy=d={}));var b;(function(r){r[r.acceptSuggestionOnCommitCharacter=0]="acceptSuggestionOnCommitCharacter",r[r.acceptSuggestionOnEnter=1]="acceptSuggestionOnEnter",r[r.accessibilitySupport=2]="accessibilitySupport",r[r.accessibilityPageSize=3]="accessibilityPageSize",r[r.ariaLabel=4]="ariaLabel",r[r.ariaRequired=5]="ariaRequired",r[r.autoClosingBrackets=6]="autoClosingBrackets",r[r.autoClosingComments=7]="autoClosingComments",r[r.screenReaderAnnounceInlineSuggestion=8]="screenReaderAnnounceInlineSuggestion",r[r.autoClosingDelete=9]="autoClosingDelete",r[r.autoClosingOvertype=10]="autoClosingOvertype",r[r.autoClosingQuotes=11]="autoClosingQuotes",r[r.autoIndent=12]="autoIndent",r[r.automaticLayout=13]="automaticLayout",r[r.autoSurround=14]="autoSurround",r[r.bracketPairColorization=15]="bracketPairColorization",r[r.guides=16]="guides",r[r.codeLens=17]="codeLens",r[r.codeLensFontFamily=18]="codeLensFontFamily",r[r.codeLensFontSize=19]="codeLensFontSize",r[r.colorDecorators=20]="colorDecorators",r[r.colorDecoratorsLimit=21]="colorDecoratorsLimit",r[r.columnSelection=22]="columnSelection",r[r.comments=23]="comments",r[r.contextmenu=24]="contextmenu",r[r.copyWithSyntaxHighlighting=25]="copyWithSyntaxHighlighting",r[r.cursorBlinking=26]="cursorBlinking",r[r.cursorSmoothCaretAnimation=27]="cursorSmoothCaretAnimation",r[r.cursorStyle=28]="cursorStyle",r[r.cursorSurroundingLines=29]="cursorSurroundingLines",r[r.cursorSurroundingLinesStyle=30]="cursorSurroundingLinesStyle",r[r.cursorWidth=31]="cursorWidth",r[r.disableLayerHinting=32]="disableLayerHinting",r[r.disableMonospaceOptimizations=33]="disableMonospaceOptimizations",r[r.domReadOnly=34]="domReadOnly",r[r.dragAndDrop=35]="dragAndDrop",r[r.dropIntoEditor=36]="dropIntoEditor",r[r.emptySelectionClipboard=37]="emptySelectionClipboard",r[r.experimentalWhitespaceRendering=38]="experimentalWhitespaceRendering",r[r.extraEditorClassName=39]="extraEditorClassName",r[r.fastScrollSensitivity=40]="fastScrollSensitivity",r[r.find=41]="find",r[r.fixedOverflowWidgets=42]="fixedOverflowWidgets",r[r.folding=43]="folding",r[r.foldingStrategy=44]="foldingStrategy",r[r.foldingHighlight=45]="foldingHighlight",r[r.foldingImportsByDefault=46]="foldingImportsByDefault",r[r.foldingMaximumRegions=47]="foldingMaximumRegions",r[r.unfoldOnClickAfterEndOfLine=48]="unfoldOnClickAfterEndOfLine",r[r.fontFamily=49]="fontFamily",r[r.fontInfo=50]="fontInfo",r[r.fontLigatures=51]="fontLigatures",r[r.fontSize=52]="fontSize",r[r.fontWeight=53]="fontWeight",r[r.fontVariations=54]="fontVariations",r[r.formatOnPaste=55]="formatOnPaste",r[r.formatOnType=56]="formatOnType",r[r.glyphMargin=57]="glyphMargin",r[r.gotoLocation=58]="gotoLocation",r[r.hideCursorInOverviewRuler=59]="hideCursorInOverviewRuler",r[r.hover=60]="hover",r[r.inDiffEditor=61]="inDiffEditor",r[r.inlineSuggest=62]="inlineSuggest",r[r.inlineEdit=63]="inlineEdit",r[r.letterSpacing=64]="letterSpacing",r[r.lightbulb=65]="lightbulb",r[r.lineDecorationsWidth=66]="lineDecorationsWidth",r[r.lineHeight=67]="lineHeight",r[r.lineNumbers=68]="lineNumbers",r[r.lineNumbersMinChars=69]="lineNumbersMinChars",r[r.linkedEditing=70]="linkedEditing",r[r.links=71]="links",r[r.matchBrackets=72]="matchBrackets",r[r.minimap=73]="minimap",r[r.mouseStyle=74]="mouseStyle",r[r.mouseWheelScrollSensitivity=75]="mouseWheelScrollSensitivity",r[r.mouseWheelZoom=76]="mouseWheelZoom",r[r.multiCursorMergeOverlapping=77]="multiCursorMergeOverlapping",r[r.multiCursorModifier=78]="multiCursorModifier",r[r.multiCursorPaste=79]="multiCursorPaste",r[r.multiCursorLimit=80]="multiCursorLimit",r[r.occurrencesHighlight=81]="occurrencesHighlight",r[r.overviewRulerBorder=82]="overviewRulerBorder",r[r.overviewRulerLanes=83]="overviewRulerLanes",r[r.padding=84]="padding",r[r.pasteAs=85]="pasteAs",r[r.parameterHints=86]="parameterHints",r[r.peekWidgetDefaultFocus=87]="peekWidgetDefaultFocus",r[r.definitionLinkOpensInPeek=88]="definitionLinkOpensInPeek",r[r.quickSuggestions=89]="quickSuggestions",r[r.quickSuggestionsDelay=90]="quickSuggestionsDelay",r[r.readOnly=91]="readOnly",r[r.readOnlyMessage=92]="readOnlyMessage",r[r.renameOnType=93]="renameOnType",r[r.renderControlCharacters=94]="renderControlCharacters",r[r.renderFinalNewline=95]="renderFinalNewline",r[r.renderLineHighlight=96]="renderLineHighlight",r[r.renderLineHighlightOnlyWhenFocus=97]="renderLineHighlightOnlyWhenFocus",r[r.renderValidationDecorations=98]="renderValidationDecorations",r[r.renderWhitespace=99]="renderWhitespace",r[r.revealHorizontalRightPadding=100]="revealHorizontalRightPadding",r[r.roundedSelection=101]="roundedSelection",r[r.rulers=102]="rulers",r[r.scrollbar=103]="scrollbar",r[r.scrollBeyondLastColumn=104]="scrollBeyondLastColumn",r[r.scrollBeyondLastLine=105]="scrollBeyondLastLine",r[r.scrollPredominantAxis=106]="scrollPredominantAxis",r[r.selectionClipboard=107]="selectionClipboard",r[r.selectionHighlight=108]="selectionHighlight",r[r.selectOnLineNumbers=109]="selectOnLineNumbers",r[r.showFoldingControls=110]="showFoldingControls",r[r.showUnused=111]="showUnused",r[r.snippetSuggestions=112]="snippetSuggestions",r[r.smartSelect=113]="smartSelect",r[r.smoothScrolling=114]="smoothScrolling",r[r.stickyScroll=115]="stickyScroll",r[r.stickyTabStops=116]="stickyTabStops",r[r.stopRenderingLineAfter=117]="stopRenderingLineAfter",r[r.suggest=118]="suggest",r[r.suggestFontSize=119]="suggestFontSize",r[r.suggestLineHeight=120]="suggestLineHeight",r[r.suggestOnTriggerCharacters=121]="suggestOnTriggerCharacters",r[r.suggestSelection=122]="suggestSelection",r[r.tabCompletion=123]="tabCompletion",r[r.tabIndex=124]="tabIndex",r[r.unicodeHighlighting=125]="unicodeHighlighting",r[r.unusualLineTerminators=126]="unusualLineTerminators",r[r.useShadowDOM=127]="useShadowDOM",r[r.useTabStops=128]="useTabStops",r[r.wordBreak=129]="wordBreak",r[r.wordSegmenterLocales=130]="wordSegmenterLocales",r[r.wordSeparators=131]="wordSeparators",r[r.wordWrap=132]="wordWrap",r[r.wordWrapBreakAfterCharacters=133]="wordWrapBreakAfterCharacters",r[r.wordWrapBreakBeforeCharacters=134]="wordWrapBreakBeforeCharacters",r[r.wordWrapColumn=135]="wordWrapColumn",r[r.wordWrapOverride1=136]="wordWrapOverride1",r[r.wordWrapOverride2=137]="wordWrapOverride2",r[r.wrappingIndent=138]="wrappingIndent",r[r.wrappingStrategy=139]="wrappingStrategy",r[r.showDeprecated=140]="showDeprecated",r[r.inlayHints=141]="inlayHints",r[r.editorClassName=142]="editorClassName",r[r.pixelRatio=143]="pixelRatio",r[r.tabFocusMode=144]="tabFocusMode",r[r.layoutInfo=145]="layoutInfo",r[r.wrappingInfo=146]="wrappingInfo",r[r.defaultColorDecorators=147]="defaultColorDecorators",r[r.colorDecoratorsActivatedOn=148]="colorDecoratorsActivatedOn",r[r.inlineCompletionsAccessibilityVerbose=149]="inlineCompletionsAccessibilityVerbose"})(b||(t.EditorOption=b={}));var e;(function(r){r[r.TextDefined=0]="TextDefined",r[r.LF=1]="LF",r[r.CRLF=2]="CRLF"})(e||(t.EndOfLinePreference=e={}));var m;(function(r){r[r.LF=0]="LF",r[r.CRLF=1]="CRLF"})(m||(t.EndOfLineSequence=m={}));var j;(function(r){r[r.Left=1]="Left",r[r.Center=2]="Center",r[r.Right=3]="Right"})(j||(t.GlyphMarginLane=j={}));var w;(function(r){r[r.Increase=0]="Increase",r[r.Decrease=1]="Decrease"})(w||(t.HoverVerbosityAction=w={}));var v;(function(r){r[r.None=0]="None",r[r.Indent=1]="Indent",r[r.IndentOutdent=2]="IndentOutdent",r[r.Outdent=3]="Outdent"})(v||(t.IndentAction=v={}));var N;(function(r){r[r.Both=0]="Both",r[r.Right=1]="Right",r[r.Left=2]="Left",r[r.None=3]="None"})(N||(t.InjectedTextCursorStops=N={}));var E;(function(r){r[r.Type=1]="Type",r[r.Parameter=2]="Parameter"})(E||(t.InlayHintKind=E={}));var l;(function(r){r[r.Automatic=0]="Automatic",r[r.Explicit=1]="Explicit"})(l||(t.InlineCompletionTriggerKind=l={}));var n;(function(r){r[r.Invoke=0]="Invoke",r[r.Automatic=1]="Automatic"})(n||(t.InlineEditTriggerKind=n={}));var s;(function(r){r[r.DependsOnKbLayout=-1]="DependsOnKbLayout",r[r.Unknown=0]="Unknown",r[r.Backspace=1]="Backspace",r[r.Tab=2]="Tab",r[r.Enter=3]="Enter",r[r.Shift=4]="Shift",r[r.Ctrl=5]="Ctrl",r[r.Alt=6]="Alt",r[r.PauseBreak=7]="PauseBreak",r[r.CapsLock=8]="CapsLock",r[r.Escape=9]="Escape",r[r.Space=10]="Space",r[r.PageUp=11]="PageUp",r[r.PageDown=12]="PageDown",r[r.End=13]="End",r[r.Home=14]="Home",r[r.LeftArrow=15]="LeftArrow",r[r.UpArrow=16]="UpArrow",r[r.RightArrow=17]="RightArrow",r[r.DownArrow=18]="DownArrow",r[r.Insert=19]="Insert",r[r.Delete=20]="Delete",r[r.Digit0=21]="Digit0",r[r.Digit1=22]="Digit1",r[r.Digit2=23]="Digit2",r[r.Digit3=24]="Digit3",r[r.Digit4=25]="Digit4",r[r.Digit5=26]="Digit5",r[r.Digit6=27]="Digit6",r[r.Digit7=28]="Digit7",r[r.Digit8=29]="Digit8",r[r.Digit9=30]="Digit9",r[r.KeyA=31]="KeyA",r[r.KeyB=32]="KeyB",r[r.KeyC=33]="KeyC",r[r.KeyD=34]="KeyD",r[r.KeyE=35]="KeyE",r[r.KeyF=36]="KeyF",r[r.KeyG=37]="KeyG",r[r.KeyH=38]="KeyH",r[r.KeyI=39]="KeyI",r[r.KeyJ=40]="KeyJ",r[r.KeyK=41]="KeyK",r[r.KeyL=42]="KeyL",r[r.KeyM=43]="KeyM",r[r.KeyN=44]="KeyN",r[r.KeyO=45]="KeyO",r[r.KeyP=46]="KeyP",r[r.KeyQ=47]="KeyQ",r[r.KeyR=48]="KeyR",r[r.KeyS=49]="KeyS",r[r.KeyT=50]="KeyT",r[r.KeyU=51]="KeyU",r[r.KeyV=52]="KeyV",r[r.KeyW=53]="KeyW",r[r.KeyX=54]="KeyX",r[r.KeyY=55]="KeyY",r[r.KeyZ=56]="KeyZ",r[r.Meta=57]="Meta",r[r.ContextMenu=58]="ContextMenu",r[r.F1=59]="F1",r[r.F2=60]="F2",r[r.F3=61]="F3",r[r.F4=62]="F4",r[r.F5=63]="F5",r[r.F6=64]="F6",r[r.F7=65]="F7",r[r.F8=66]="F8",r[r.F9=67]="F9",r[r.F10=68]="F10",r[r.F11=69]="F11",r[r.F12=70]="F12",r[r.F13=71]="F13",r[r.F14=72]="F14",r[r.F15=73]="F15",r[r.F16=74]="F16",r[r.F17=75]="F17",r[r.F18=76]="F18",r[r.F19=77]="F19",r[r.F20=78]="F20",r[r.F21=79]="F21",r[r.F22=80]="F22",r[r.F23=81]="F23",r[r.F24=82]="F24",r[r.NumLock=83]="NumLock",r[r.ScrollLock=84]="ScrollLock",r[r.Semicolon=85]="Semicolon",r[r.Equal=86]="Equal",r[r.Comma=87]="Comma",r[r.Minus=88]="Minus",r[r.Period=89]="Period",r[r.Slash=90]="Slash",r[r.Backquote=91]="Backquote",r[r.BracketLeft=92]="BracketLeft",r[r.Backslash=93]="Backslash",r[r.BracketRight=94]="BracketRight",r[r.Quote=95]="Quote",r[r.OEM_8=96]="OEM_8",r[r.IntlBackslash=97]="IntlBackslash",r[r.Numpad0=98]="Numpad0",r[r.Numpad1=99]="Numpad1",r[r.Numpad2=100]="Numpad2",r[r.Numpad3=101]="Numpad3",r[r.Numpad4=102]="Numpad4",r[r.Numpad5=103]="Numpad5",r[r.Numpad6=104]="Numpad6",r[r.Numpad7=105]="Numpad7",r[r.Numpad8=106]="Numpad8",r[r.Numpad9=107]="Numpad9",r[r.NumpadMultiply=108]="NumpadMultiply",r[r.NumpadAdd=109]="NumpadAdd",r[r.NUMPAD_SEPARATOR=110]="NUMPAD_SEPARATOR",r[r.NumpadSubtract=111]="NumpadSubtract",r[r.NumpadDecimal=112]="NumpadDecimal",r[r.NumpadDivide=113]="NumpadDivide",r[r.KEY_IN_COMPOSITION=114]="KEY_IN_COMPOSITION",r[r.ABNT_C1=115]="ABNT_C1",r[r.ABNT_C2=116]="ABNT_C2",r[r.AudioVolumeMute=117]="AudioVolumeMute",r[r.AudioVolumeUp=118]="AudioVolumeUp",r[r.AudioVolumeDown=119]="AudioVolumeDown",r[r.BrowserSearch=120]="BrowserSearch",r[r.BrowserHome=121]="BrowserHome",r[r.BrowserBack=122]="BrowserBack",r[r.BrowserForward=123]="BrowserForward",r[r.MediaTrackNext=124]="MediaTrackNext",r[r.MediaTrackPrevious=125]="MediaTrackPrevious",r[r.MediaStop=126]="MediaStop",r[r.MediaPlayPause=127]="MediaPlayPause",r[r.LaunchMediaPlayer=128]="LaunchMediaPlayer",r[r.LaunchMail=129]="LaunchMail",r[r.LaunchApp2=130]="LaunchApp2",r[r.Clear=131]="Clear",r[r.MAX_VALUE=132]="MAX_VALUE"})(s||(t.KeyCode=s={}));var f;(function(r){r[r.Hint=1]="Hint",r[r.Info=2]="Info",r[r.Warning=4]="Warning",r[r.Error=8]="Error"})(f||(t.MarkerSeverity=f={}));var h;(function(r){r[r.Unnecessary=1]="Unnecessary",r[r.Deprecated=2]="Deprecated"})(h||(t.MarkerTag=h={}));var L;(function(r){r[r.Inline=1]="Inline",r[r.Gutter=2]="Gutter"})(L||(t.MinimapPosition=L={}));var A;(function(r){r[r.Normal=1]="Normal",r[r.Underlined=2]="Underlined"})(A||(t.MinimapSectionHeaderStyle=A={}));var R;(function(r){r[r.UNKNOWN=0]="UNKNOWN",r[r.TEXTAREA=1]="TEXTAREA",r[r.GUTTER_GLYPH_MARGIN=2]="GUTTER_GLYPH_MARGIN",r[r.GUTTER_LINE_NUMBERS=3]="GUTTER_LINE_NUMBERS",r[r.GUTTER_LINE_DECORATIONS=4]="GUTTER_LINE_DECORATIONS",r[r.GUTTER_VIEW_ZONE=5]="GUTTER_VIEW_ZONE",r[r.CONTENT_TEXT=6]="CONTENT_TEXT",r[r.CONTENT_EMPTY=7]="CONTENT_EMPTY",r[r.CONTENT_VIEW_ZONE=8]="CONTENT_VIEW_ZONE",r[r.CONTENT_WIDGET=9]="CONTENT_WIDGET",r[r.OVERVIEW_RULER=10]="OVERVIEW_RULER",r[r.SCROLLBAR=11]="SCROLLBAR",r[r.OVERLAY_WIDGET=12]="OVERLAY_WIDGET",r[r.OUTSIDE_EDITOR=13]="OUTSIDE_EDITOR"})(R||(t.MouseTargetType=R={}));var F;(function(r){r[r.AIGenerated=1]="AIGenerated"})(F||(t.NewSymbolNameTag=F={}));var k;(function(r){r[r.Invoke=0]="Invoke",r[r.Automatic=1]="Automatic"})(k||(t.NewSymbolNameTriggerKind=k={}));var T;(function(r){r[r.TOP_RIGHT_CORNER=0]="TOP_RIGHT_CORNER",r[r.BOTTOM_RIGHT_CORNER=1]="BOTTOM_RIGHT_CORNER",r[r.TOP_CENTER=2]="TOP_CENTER"})(T||(t.OverlayWidgetPositionPreference=T={}));var x;(function(r){r[r.Left=1]="Left",r[r.Center=2]="Center",r[r.Right=4]="Right",r[r.Full=7]="Full"})(x||(t.OverviewRulerLane=x={}));var Q;(function(r){r[r.Word=0]="Word",r[r.Line=1]="Line",r[r.Suggest=2]="Suggest"})(Q||(t.PartialAcceptTriggerKind=Q={}));var I;(function(r){r[r.Left=0]="Left",r[r.Right=1]="Right",r[r.None=2]="None",r[r.LeftOfInjectedText=3]="LeftOfInjectedText",r[r.RightOfInjectedText=4]="RightOfInjectedText"})(I||(t.PositionAffinity=I={}));var S;(function(r){r[r.Off=0]="Off",r[r.On=1]="On",r[r.Relative=2]="Relative",r[r.Interval=3]="Interval",r[r.Custom=4]="Custom"})(S||(t.RenderLineNumbersType=S={}));var W;(function(r){r[r.None=0]="None",r[r.Text=1]="Text",r[r.Blocks=2]="Blocks"})(W||(t.RenderMinimap=W={}));var Y;(function(r){r[r.Smooth=0]="Smooth",r[r.Immediate=1]="Immediate"})(Y||(t.ScrollType=Y={}));var Z;(function(r){r[r.Auto=1]="Auto",r[r.Hidden=2]="Hidden",r[r.Visible=3]="Visible"})(Z||(t.ScrollbarVisibility=Z={}));var H;(function(r){r[r.LTR=0]="LTR",r[r.RTL=1]="RTL"})(H||(t.SelectionDirection=H={}));var G;(function(r){r.Off="off",r.OnCode="onCode",r.On="on"})(G||(t.ShowLightbulbIconMode=G={}));var K;(function(r){r[r.Invoke=1]="Invoke",r[r.TriggerCharacter=2]="TriggerCharacter",r[r.ContentChange=3]="ContentChange"})(K||(t.SignatureHelpTriggerKind=K={}));var ee;(function(r){r[r.File=0]="File",r[r.Module=1]="Module",r[r.Namespace=2]="Namespace",r[r.Package=3]="Package",r[r.Class=4]="Class",r[r.Method=5]="Method",r[r.Property=6]="Property",r[r.Field=7]="Field",r[r.Constructor=8]="Constructor",r[r.Enum=9]="Enum",r[r.Interface=10]="Interface",r[r.Function=11]="Function",r[r.Variable=12]="Variable",r[r.Constant=13]="Constant",r[r.String=14]="String",r[r.Number=15]="Number",r[r.Boolean=16]="Boolean",r[r.Array=17]="Array",r[r.Object=18]="Object",r[r.Key=19]="Key",r[r.Null=20]="Null",r[r.EnumMember=21]="EnumMember",r[r.Struct=22]="Struct",r[r.Event=23]="Event",r[r.Operator=24]="Operator",r[r.TypeParameter=25]="TypeParameter"})(ee||(t.SymbolKind=ee={}));var P;(function(r){r[r.Deprecated=1]="Deprecated"})(P||(t.SymbolTag=P={}));var X;(function(r){r[r.Hidden=0]="Hidden",r[r.Blink=1]="Blink",r[r.Smooth=2]="Smooth",r[r.Phase=3]="Phase",r[r.Expand=4]="Expand",r[r.Solid=5]="Solid"})(X||(t.TextEditorCursorBlinkingStyle=X={}));var de;(function(r){r[r.Line=1]="Line",r[r.Block=2]="Block",r[r.Underline=3]="Underline",r[r.LineThin=4]="LineThin",r[r.BlockOutline=5]="BlockOutline",r[r.UnderlineThin=6]="UnderlineThin"})(de||(t.TextEditorCursorStyle=de={}));var fe;(function(r){r[r.AlwaysGrowsWhenTypingAtEdges=0]="AlwaysGrowsWhenTypingAtEdges",r[r.NeverGrowsWhenTypingAtEdges=1]="NeverGrowsWhenTypingAtEdges",r[r.GrowsOnlyWhenTypingBefore=2]="GrowsOnlyWhenTypingBefore",r[r.GrowsOnlyWhenTypingAfter=3]="GrowsOnlyWhenTypingAfter"})(fe||(t.TrackedRangeStickiness=fe={}));var ve;(function(r){r[r.None=0]="None",r[r.Same=1]="Same",r[r.Indent=2]="Indent",r[r.DeepIndent=3]="DeepIndent"})(ve||(t.WrappingIndent=ve={}))}),ie(se[66],ae([0,1,12,11]),function(B,t,i,y){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.$Zt=void 0;class M{constructor(){this.a=new Map,this.b=new Map,this.c=new i.$ee,this.onDidChange=this.c.event,this.d=null}handleChange(g){this.c.fire({changedLanguages:g,changedColorMap:!1})}register(g,a){return this.a.set(g,a),this.handleChange([g]),(0,y.$Tc)(()=>{this.a.get(g)===a&&(this.a.delete(g),this.handleChange([g]))})}get(g){return this.a.get(g)||null}registerFactory(g,a){this.b.get(g)?.dispose();const u=new c(this,g,a);return this.b.set(g,u),(0,y.$Tc)(()=>{const o=this.b.get(g);!o||o!==u||(this.b.delete(g),o.dispose())})}async getOrCreate(g){const a=this.get(g);if(a)return a;const u=this.b.get(g);return!u||u.isResolved?null:(await u.resolve(),this.get(g))}isResolved(g){if(this.get(g))return!0;const u=this.b.get(g);return!!(!u||u.isResolved)}setColorMap(g){this.d=g,this.c.fire({changedLanguages:Array.from(this.a.keys()),changedColorMap:!0})}getColorMap(){return this.d}getDefaultBackground(){return this.d&&this.d.length>2?this.d[2]:null}}t.$Zt=M;class c extends y.$Vc{get isResolved(){return this.c}constructor(g,a,u){super(),this.f=g,this.g=a,this.h=u,this.a=!1,this.b=null,this.c=!1}dispose(){this.a=!0,super.dispose()}async resolve(){return this.b||(this.b=this.j()),this.b}async j(){const g=await this.h.tokenizationSupport;this.c=!0,g&&!this.a&&this.B(this.f.register(this.g,g))}}}),ie(se[67],ae([68,69]),function(B,t){return B.create("vs/base/common/platform",t)}),ie(se[18],ae([0,1,67]),function(B,t,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.$I=t.$H=t.$G=t.$F=t.$E=t.OS=t.OperatingSystem=t.$B=t.$A=t.$z=t.$y=t.$x=t.Language=t.$w=t.$v=t.$u=t.$t=t.$s=t.$r=t.$q=t.$p=t.$o=t.$n=t.$m=t.$l=t.$k=t.$j=t.$i=t.Platform=t.$g=void 0,t.$h=s,t.$D=F,t.$J=k,t.$g="en";let y=!1,M=!1,c=!1,$=!1,g=!1,a=!1,u=!1,o=!1,p=!1,d=!1,b,e=t.$g,m=t.$g,j,w;const v=globalThis;let N;typeof v.vscode<"u"&&typeof v.vscode.process<"u"?N=v.vscode.process:typeof process<"u"&&typeof process?.versions?.node=="string"&&(N=process);const E=typeof N?.versions?.electron=="string",l=E&&N?.type==="renderer";if(typeof N=="object"){y=N.platform==="win32",M=N.platform==="darwin",c=N.platform==="linux",$=c&&!!N.env.SNAP&&!!N.env.SNAP_REVISION,u=E,p=!!N.env.CI||!!N.env.BUILD_ARTIFACTSTAGINGDIRECTORY,b=t.$g,e=t.$g;const T=N.env.VSCODE_NLS_CONFIG;if(T)try{const x=JSON.parse(T),Q=x.availableLanguages["*"];b=x.locale,m=x.osLocale,e=Q||t.$g,j=x._translationsConfigFile}catch{}g=!0}else typeof navigator=="object"&&!l?(w=navigator.userAgent,y=w.indexOf("Windows")>=0,M=w.indexOf("Macintosh")>=0,o=(w.indexOf("Macintosh")>=0||w.indexOf("iPad")>=0||w.indexOf("iPhone")>=0)&&!!navigator.maxTouchPoints&&navigator.maxTouchPoints>0,c=w.indexOf("Linux")>=0,d=w?.indexOf("Mobi")>=0,a=!0,b=i.getConfiguredDefaultLocale(i.localize(0,null))||t.$g,e=b,m=navigator.language):console.error("Unable to resolve platform.");var n;(function(T){T[T.Web=0]="Web",T[T.Mac=1]="Mac",T[T.Linux=2]="Linux",T[T.Windows=3]="Windows"})(n||(t.Platform=n={}));function s(T){switch(T){case 0:return"Web";case 1:return"Mac";case 2:return"Linux";case 3:return"Windows"}}let f=0;M?f=1:y?f=3:c&&(f=2),t.$i=y,t.$j=M,t.$k=c,t.$l=$,t.$m=g,t.$n=u,t.$o=a,t.$p=a&&typeof v.importScripts=="function",t.$q=t.$p?v.origin:void 0,t.$r=o,t.$s=d,t.$t=p,t.$u=f,t.$v=w,t.$w=e;var h;(function(T){function x(){return t.$w}T.value=x;function Q(){return t.$w.length===2?t.$w==="en":t.$w.length>=3?t.$w[0]==="e"&&t.$w[1]==="n"&&t.$w[2]==="-":!1}T.isDefaultVariant=Q;function I(){return t.$w==="en"}T.isDefault=I})(h||(t.Language=h={})),t.$x=b,t.$y=m,t.$z=j,t.$A=typeof v.postMessage=="function"&&!v.importScripts,t.$B=(()=>{if(t.$A){const T=[];v.addEventListener("message",Q=>{if(Q.data&&Q.data.vscodeScheduleAsyncWork)for(let I=0,S=T.length;I<S;I++){const W=T[I];if(W.id===Q.data.vscodeScheduleAsyncWork){T.splice(I,1),W.callback();return}}});let x=0;return Q=>{const I=++x;T.push({id:I,callback:Q}),v.postMessage({vscodeScheduleAsyncWork:I},"*")}}return T=>setTimeout(T)})();var L;(function(T){T[T.Windows=1]="Windows",T[T.Macintosh=2]="Macintosh",T[T.Linux=3]="Linux"})(L||(t.OperatingSystem=L={})),t.OS=M||o?2:y?1:3;let A=!0,R=!1;function F(){if(!R){R=!0;const T=new Uint8Array(2);T[0]=1,T[1]=2,A=new Uint16Array(T.buffer)[0]===513}return A}t.$E=!!(t.$v&&t.$v.indexOf("Chrome")>=0),t.$F=!!(t.$v&&t.$v.indexOf("Firefox")>=0),t.$G=!!(!t.$E&&t.$v&&t.$v.indexOf("Safari")>=0),t.$H=!!(t.$v&&t.$v.indexOf("Edg/")>=0),t.$I=!!(t.$v&&t.$v.indexOf("Android")>=0);function k(T){return parseFloat(T)>=20}}),ie(se[70],ae([0,1,18]),function(B,t,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.$fc=t.$ec=t.env=t.cwd=void 0;let y;const M=globalThis.vscode;if(typeof M<"u"&&typeof M.process<"u"){const c=M.process;y={get platform(){return c.platform},get arch(){return c.arch},get env(){return c.env},cwd(){return c.cwd()}}}else typeof process<"u"?y={get platform(){return process.platform},get arch(){return process.arch},get env(){return process.env},cwd(){return process.env.VSCODE_CWD||process.cwd()}}:y={get platform(){return i.$i?"win32":i.$j?"darwin":"linux"},get arch(){},get env(){return{}},cwd(){return"/"}};t.cwd=y.cwd,t.env=y.env,t.$ec=y.platform,t.$fc=y.arch}),ie(se[71],ae([0,1,70]),function(B,t,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.$uc=t.sep=t.$sc=t.$rc=t.$qc=t.$pc=t.$oc=t.$nc=t.$mc=t.$lc=t.$kc=t.$jc=t.$ic=t.$hc=t.$gc=void 0;const y=65,M=97,c=90,$=122,g=46,a=47,u=92,o=58,p=63;class d extends Error{constructor(s,f,h){let L;typeof f=="string"&&f.indexOf("not ")===0?(L="must not be",f=f.replace(/^not /,"")):L="must be";const A=s.indexOf(".")!==-1?"property":"argument";let R=`The "${s}" ${A} ${L} of type ${f}`;R+=`. Received type ${typeof h}`,super(R),this.code="ERR_INVALID_ARG_TYPE"}}function b(n,s){if(n===null||typeof n!="object")throw new d(s,"Object",n)}function e(n,s){if(typeof n!="string")throw new d(s,"string",n)}const m=i.$ec==="win32";function j(n){return n===a||n===u}function w(n){return n===a}function v(n){return n>=y&&n<=c||n>=M&&n<=$}function N(n,s,f,h){let L="",A=0,R=-1,F=0,k=0;for(let T=0;T<=n.length;++T){if(T<n.length)k=n.charCodeAt(T);else{if(h(k))break;k=a}if(h(k)){if(!(R===T-1||F===1))if(F===2){if(L.length<2||A!==2||L.charCodeAt(L.length-1)!==g||L.charCodeAt(L.length-2)!==g){if(L.length>2){const x=L.lastIndexOf(f);x===-1?(L="",A=0):(L=L.slice(0,x),A=L.length-1-L.lastIndexOf(f)),R=T,F=0;continue}else if(L.length!==0){L="",A=0,R=T,F=0;continue}}s&&(L+=L.length>0?`${f}..`:"..",A=2)}else L.length>0?L+=`${f}${n.slice(R+1,T)}`:L=n.slice(R+1,T),A=T-R-1;R=T,F=0}else k===g&&F!==-1?++F:F=-1}return L}function E(n,s){b(s,"pathObject");const f=s.dir||s.root,h=s.base||`${s.name||""}${s.ext||""}`;return f?f===s.root?`${f}${h}`:`${f}${n}${h}`:h}t.$gc={resolve(...n){let s="",f="",h=!1;for(let L=n.length-1;L>=-1;L--){let A;if(L>=0){if(A=n[L],e(A,"path"),A.length===0)continue}else s.length===0?A=i.cwd():(A=i.env[`=${s}`]||i.cwd(),(A===void 0||A.slice(0,2).toLowerCase()!==s.toLowerCase()&&A.charCodeAt(2)===u)&&(A=`${s}\\`));const R=A.length;let F=0,k="",T=!1;const x=A.charCodeAt(0);if(R===1)j(x)&&(F=1,T=!0);else if(j(x))if(T=!0,j(A.charCodeAt(1))){let Q=2,I=Q;for(;Q<R&&!j(A.charCodeAt(Q));)Q++;if(Q<R&&Q!==I){const S=A.slice(I,Q);for(I=Q;Q<R&&j(A.charCodeAt(Q));)Q++;if(Q<R&&Q!==I){for(I=Q;Q<R&&!j(A.charCodeAt(Q));)Q++;(Q===R||Q!==I)&&(k=`\\\\${S}\\${A.slice(I,Q)}`,F=Q)}}}else F=1;else v(x)&&A.charCodeAt(1)===o&&(k=A.slice(0,2),F=2,R>2&&j(A.charCodeAt(2))&&(T=!0,F=3));if(k.length>0)if(s.length>0){if(k.toLowerCase()!==s.toLowerCase())continue}else s=k;if(h){if(s.length>0)break}else if(f=`${A.slice(F)}\\${f}`,h=T,T&&s.length>0)break}return f=N(f,!h,"\\",j),h?`${s}\\${f}`:`${s}${f}`||"."},normalize(n){e(n,"path");const s=n.length;if(s===0)return".";let f=0,h,L=!1;const A=n.charCodeAt(0);if(s===1)return w(A)?"\\":n;if(j(A))if(L=!0,j(n.charCodeAt(1))){let F=2,k=F;for(;F<s&&!j(n.charCodeAt(F));)F++;if(F<s&&F!==k){const T=n.slice(k,F);for(k=F;F<s&&j(n.charCodeAt(F));)F++;if(F<s&&F!==k){for(k=F;F<s&&!j(n.charCodeAt(F));)F++;if(F===s)return`\\\\${T}\\${n.slice(k)}\\`;F!==k&&(h=`\\\\${T}\\${n.slice(k,F)}`,f=F)}}}else f=1;else v(A)&&n.charCodeAt(1)===o&&(h=n.slice(0,2),f=2,s>2&&j(n.charCodeAt(2))&&(L=!0,f=3));let R=f<s?N(n.slice(f),!L,"\\",j):"";return R.length===0&&!L&&(R="."),R.length>0&&j(n.charCodeAt(s-1))&&(R+="\\"),h===void 0?L?`\\${R}`:R:L?`${h}\\${R}`:`${h}${R}`},isAbsolute(n){e(n,"path");const s=n.length;if(s===0)return!1;const f=n.charCodeAt(0);return j(f)||s>2&&v(f)&&n.charCodeAt(1)===o&&j(n.charCodeAt(2))},join(...n){if(n.length===0)return".";let s,f;for(let A=0;A<n.length;++A){const R=n[A];e(R,"path"),R.length>0&&(s===void 0?s=f=R:s+=`\\${R}`)}if(s===void 0)return".";let h=!0,L=0;if(typeof f=="string"&&j(f.charCodeAt(0))){++L;const A=f.length;A>1&&j(f.charCodeAt(1))&&(++L,A>2&&(j(f.charCodeAt(2))?++L:h=!1))}if(h){for(;L<s.length&&j(s.charCodeAt(L));)L++;L>=2&&(s=`\\${s.slice(L)}`)}return t.$gc.normalize(s)},relative(n,s){if(e(n,"from"),e(s,"to"),n===s)return"";const f=t.$gc.resolve(n),h=t.$gc.resolve(s);if(f===h||(n=f.toLowerCase(),s=h.toLowerCase(),n===s))return"";let L=0;for(;L<n.length&&n.charCodeAt(L)===u;)L++;let A=n.length;for(;A-1>L&&n.charCodeAt(A-1)===u;)A--;const R=A-L;let F=0;for(;F<s.length&&s.charCodeAt(F)===u;)F++;let k=s.length;for(;k-1>F&&s.charCodeAt(k-1)===u;)k--;const T=k-F,x=R<T?R:T;let Q=-1,I=0;for(;I<x;I++){const W=n.charCodeAt(L+I);if(W!==s.charCodeAt(F+I))break;W===u&&(Q=I)}if(I!==x){if(Q===-1)return h}else{if(T>x){if(s.charCodeAt(F+I)===u)return h.slice(F+I+1);if(I===2)return h.slice(F+I)}R>x&&(n.charCodeAt(L+I)===u?Q=I:I===2&&(Q=3)),Q===-1&&(Q=0)}let S="";for(I=L+Q+1;I<=A;++I)(I===A||n.charCodeAt(I)===u)&&(S+=S.length===0?"..":"\\..");return F+=Q,S.length>0?`${S}${h.slice(F,k)}`:(h.charCodeAt(F)===u&&++F,h.slice(F,k))},toNamespacedPath(n){if(typeof n!="string"||n.length===0)return n;const s=t.$gc.resolve(n);if(s.length<=2)return n;if(s.charCodeAt(0)===u){if(s.charCodeAt(1)===u){const f=s.charCodeAt(2);if(f!==p&&f!==g)return`\\\\?\\UNC\\${s.slice(2)}`}}else if(v(s.charCodeAt(0))&&s.charCodeAt(1)===o&&s.charCodeAt(2)===u)return`\\\\?\\${s}`;return n},dirname(n){e(n,"path");const s=n.length;if(s===0)return".";let f=-1,h=0;const L=n.charCodeAt(0);if(s===1)return j(L)?n:".";if(j(L)){if(f=h=1,j(n.charCodeAt(1))){let F=2,k=F;for(;F<s&&!j(n.charCodeAt(F));)F++;if(F<s&&F!==k){for(k=F;F<s&&j(n.charCodeAt(F));)F++;if(F<s&&F!==k){for(k=F;F<s&&!j(n.charCodeAt(F));)F++;if(F===s)return n;F!==k&&(f=h=F+1)}}}}else v(L)&&n.charCodeAt(1)===o&&(f=s>2&&j(n.charCodeAt(2))?3:2,h=f);let A=-1,R=!0;for(let F=s-1;F>=h;--F)if(j(n.charCodeAt(F))){if(!R){A=F;break}}else R=!1;if(A===-1){if(f===-1)return".";A=f}return n.slice(0,A)},basename(n,s){s!==void 0&&e(s,"ext"),e(n,"path");let f=0,h=-1,L=!0,A;if(n.length>=2&&v(n.charCodeAt(0))&&n.charCodeAt(1)===o&&(f=2),s!==void 0&&s.length>0&&s.length<=n.length){if(s===n)return"";let R=s.length-1,F=-1;for(A=n.length-1;A>=f;--A){const k=n.charCodeAt(A);if(j(k)){if(!L){f=A+1;break}}else F===-1&&(L=!1,F=A+1),R>=0&&(k===s.charCodeAt(R)?--R===-1&&(h=A):(R=-1,h=F))}return f===h?h=F:h===-1&&(h=n.length),n.slice(f,h)}for(A=n.length-1;A>=f;--A)if(j(n.charCodeAt(A))){if(!L){f=A+1;break}}else h===-1&&(L=!1,h=A+1);return h===-1?"":n.slice(f,h)},extname(n){e(n,"path");let s=0,f=-1,h=0,L=-1,A=!0,R=0;n.length>=2&&n.charCodeAt(1)===o&&v(n.charCodeAt(0))&&(s=h=2);for(let F=n.length-1;F>=s;--F){const k=n.charCodeAt(F);if(j(k)){if(!A){h=F+1;break}continue}L===-1&&(A=!1,L=F+1),k===g?f===-1?f=F:R!==1&&(R=1):f!==-1&&(R=-1)}return f===-1||L===-1||R===0||R===1&&f===L-1&&f===h+1?"":n.slice(f,L)},format:E.bind(null,"\\"),parse(n){e(n,"path");const s={root:"",dir:"",base:"",ext:"",name:""};if(n.length===0)return s;const f=n.length;let h=0,L=n.charCodeAt(0);if(f===1)return j(L)?(s.root=s.dir=n,s):(s.base=s.name=n,s);if(j(L)){if(h=1,j(n.charCodeAt(1))){let Q=2,I=Q;for(;Q<f&&!j(n.charCodeAt(Q));)Q++;if(Q<f&&Q!==I){for(I=Q;Q<f&&j(n.charCodeAt(Q));)Q++;if(Q<f&&Q!==I){for(I=Q;Q<f&&!j(n.charCodeAt(Q));)Q++;Q===f?h=Q:Q!==I&&(h=Q+1)}}}}else if(v(L)&&n.charCodeAt(1)===o){if(f<=2)return s.root=s.dir=n,s;if(h=2,j(n.charCodeAt(2))){if(f===3)return s.root=s.dir=n,s;h=3}}h>0&&(s.root=n.slice(0,h));let A=-1,R=h,F=-1,k=!0,T=n.length-1,x=0;for(;T>=h;--T){if(L=n.charCodeAt(T),j(L)){if(!k){R=T+1;break}continue}F===-1&&(k=!1,F=T+1),L===g?A===-1?A=T:x!==1&&(x=1):A!==-1&&(x=-1)}return F!==-1&&(A===-1||x===0||x===1&&A===F-1&&A===R+1?s.base=s.name=n.slice(R,F):(s.name=n.slice(R,A),s.base=n.slice(R,F),s.ext=n.slice(A,F))),R>0&&R!==h?s.dir=n.slice(0,R-1):s.dir=s.root,s},sep:"\\",delimiter:";",win32:null,posix:null};const l=(()=>{if(m){const n=/\\/g;return()=>{const s=i.cwd().replace(n,"/");return s.slice(s.indexOf("/"))}}return()=>i.cwd()})();t.$hc={resolve(...n){let s="",f=!1;for(let h=n.length-1;h>=-1&&!f;h--){const L=h>=0?n[h]:l();e(L,"path"),L.length!==0&&(s=`${L}/${s}`,f=L.charCodeAt(0)===a)}return s=N(s,!f,"/",w),f?`/${s}`:s.length>0?s:"."},normalize(n){if(e(n,"path"),n.length===0)return".";const s=n.charCodeAt(0)===a,f=n.charCodeAt(n.length-1)===a;return n=N(n,!s,"/",w),n.length===0?s?"/":f?"./":".":(f&&(n+="/"),s?`/${n}`:n)},isAbsolute(n){return e(n,"path"),n.length>0&&n.charCodeAt(0)===a},join(...n){if(n.length===0)return".";let s;for(let f=0;f<n.length;++f){const h=n[f];e(h,"path"),h.length>0&&(s===void 0?s=h:s+=`/${h}`)}return s===void 0?".":t.$hc.normalize(s)},relative(n,s){if(e(n,"from"),e(s,"to"),n===s||(n=t.$hc.resolve(n),s=t.$hc.resolve(s),n===s))return"";const f=1,h=n.length,L=h-f,A=1,R=s.length-A,F=L<R?L:R;let k=-1,T=0;for(;T<F;T++){const Q=n.charCodeAt(f+T);if(Q!==s.charCodeAt(A+T))break;Q===a&&(k=T)}if(T===F)if(R>F){if(s.charCodeAt(A+T)===a)return s.slice(A+T+1);if(T===0)return s.slice(A+T)}else L>F&&(n.charCodeAt(f+T)===a?k=T:T===0&&(k=0));let x="";for(T=f+k+1;T<=h;++T)(T===h||n.charCodeAt(T)===a)&&(x+=x.length===0?"..":"/..");return`${x}${s.slice(A+k)}`},toNamespacedPath(n){return n},dirname(n){if(e(n,"path"),n.length===0)return".";const s=n.charCodeAt(0)===a;let f=-1,h=!0;for(let L=n.length-1;L>=1;--L)if(n.charCodeAt(L)===a){if(!h){f=L;break}}else h=!1;return f===-1?s?"/":".":s&&f===1?"//":n.slice(0,f)},basename(n,s){s!==void 0&&e(s,"ext"),e(n,"path");let f=0,h=-1,L=!0,A;if(s!==void 0&&s.length>0&&s.length<=n.length){if(s===n)return"";let R=s.length-1,F=-1;for(A=n.length-1;A>=0;--A){const k=n.charCodeAt(A);if(k===a){if(!L){f=A+1;break}}else F===-1&&(L=!1,F=A+1),R>=0&&(k===s.charCodeAt(R)?--R===-1&&(h=A):(R=-1,h=F))}return f===h?h=F:h===-1&&(h=n.length),n.slice(f,h)}for(A=n.length-1;A>=0;--A)if(n.charCodeAt(A)===a){if(!L){f=A+1;break}}else h===-1&&(L=!1,h=A+1);return h===-1?"":n.slice(f,h)},extname(n){e(n,"path");let s=-1,f=0,h=-1,L=!0,A=0;for(let R=n.length-1;R>=0;--R){const F=n.charCodeAt(R);if(F===a){if(!L){f=R+1;break}continue}h===-1&&(L=!1,h=R+1),F===g?s===-1?s=R:A!==1&&(A=1):s!==-1&&(A=-1)}return s===-1||h===-1||A===0||A===1&&s===h-1&&s===f+1?"":n.slice(s,h)},format:E.bind(null,"/"),parse(n){e(n,"path");const s={root:"",dir:"",base:"",ext:"",name:""};if(n.length===0)return s;const f=n.charCodeAt(0)===a;let h;f?(s.root="/",h=1):h=0;let L=-1,A=0,R=-1,F=!0,k=n.length-1,T=0;for(;k>=h;--k){const x=n.charCodeAt(k);if(x===a){if(!F){A=k+1;break}continue}R===-1&&(F=!1,R=k+1),x===g?L===-1?L=k:T!==1&&(T=1):L!==-1&&(T=-1)}if(R!==-1){const x=A===0&&f?1:A;L===-1||T===0||T===1&&L===R-1&&L===A+1?s.base=s.name=n.slice(x,R):(s.name=n.slice(x,L),s.base=n.slice(x,R),s.ext=n.slice(L,R))}return A>0?s.dir=n.slice(0,A-1):f&&(s.dir="/"),s},sep:"/",delimiter:":",win32:null,posix:null},t.$hc.win32=t.$gc.win32=t.$gc,t.$hc.posix=t.$gc.posix=t.$hc,t.$ic=m?t.$gc.normalize:t.$hc.normalize,t.$jc=m?t.$gc.isAbsolute:t.$hc.isAbsolute,t.$kc=m?t.$gc.join:t.$hc.join,t.$lc=m?t.$gc.resolve:t.$hc.resolve,t.$mc=m?t.$gc.relative:t.$hc.relative,t.$nc=m?t.$gc.dirname:t.$hc.dirname,t.$oc=m?t.$gc.basename:t.$hc.basename,t.$pc=m?t.$gc.extname:t.$hc.extname,t.$qc=m?t.$gc.format:t.$hc.format,t.$rc=m?t.$gc.parse:t.$hc.parse,t.$sc=m?t.$gc.toNamespacedPath:t.$hc.toNamespacedPath,t.sep=m?t.$gc.sep:t.$hc.sep,t.$uc=m?t.$gc.delimiter:t.$hc.delimiter}),ie(se[19],ae([0,1,71,18]),function(B,t,i,y){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.URI=void 0,t.$wc=e,t.$xc=E;const M=/^\w[\w\d+.-]*$/,c=/^\//,$=/^\/\//;function g(h,L){if(!h.scheme&&L)throw new Error(`[UriError]: Scheme is missing: {scheme: "", authority: "${h.authority}", path: "${h.path}", query: "${h.query}", fragment: "${h.fragment}"}`);if(h.scheme&&!M.test(h.scheme))throw new Error("[UriError]: Scheme contains illegal characters.");if(h.path){if(h.authority){if(!c.test(h.path))throw new Error('[UriError]: If a URI contains an authority component, then the path component must either be empty or begin with a slash ("/") character')}else if($.test(h.path))throw new Error('[UriError]: If a URI does not contain an authority component, then the path cannot begin with two slash characters ("//")')}}function a(h,L){return!h&&!L?"file":h}function u(h,L){switch(h){case"https":case"http":case"file":L?L[0]!==p&&(L=p+L):L=p;break}return L}const o="",p="/",d=/^(([^:/?#]+?):)?(\/\/([^/?#]*))?([^?#]*)(\?([^#]*))?(#(.*))?/;class b{static isUri(L){return L instanceof b?!0:L?typeof L.authority=="string"&&typeof L.fragment=="string"&&typeof L.path=="string"&&typeof L.query=="string"&&typeof L.scheme=="string"&&typeof L.fsPath=="string"&&typeof L.with=="function"&&typeof L.toString=="function":!1}constructor(L,A,R,F,k,T=!1){typeof L=="object"?(this.scheme=L.scheme||o,this.authority=L.authority||o,this.path=L.path||o,this.query=L.query||o,this.fragment=L.fragment||o):(this.scheme=a(L,T),this.authority=A||o,this.path=u(this.scheme,R||o),this.query=F||o,this.fragment=k||o,g(this,T))}get fsPath(){return E(this,!1)}with(L){if(!L)return this;let{scheme:A,authority:R,path:F,query:k,fragment:T}=L;return A===void 0?A=this.scheme:A===null&&(A=o),R===void 0?R=this.authority:R===null&&(R=o),F===void 0?F=this.path:F===null&&(F=o),k===void 0?k=this.query:k===null&&(k=o),T===void 0?T=this.fragment:T===null&&(T=o),A===this.scheme&&R===this.authority&&F===this.path&&k===this.query&&T===this.fragment?this:new j(A,R,F,k,T)}static parse(L,A=!1){const R=d.exec(L);return R?new j(R[2]||o,f(R[4]||o),f(R[5]||o),f(R[7]||o),f(R[9]||o),A):new j(o,o,o,o,o)}static file(L){let A=o;if(y.$i&&(L=L.replace(/\\/g,p)),L[0]===p&&L[1]===p){const R=L.indexOf(p,2);R===-1?(A=L.substring(2),L=p):(A=L.substring(2,R),L=L.substring(R)||p)}return new j("file",A,L,o,o)}static from(L,A){return new j(L.scheme,L.authority,L.path,L.query,L.fragment,A)}static joinPath(L,...A){if(!L.path)throw new Error("[UriError]: cannot call joinPath on URI without path");let R;return y.$i&&L.scheme==="file"?R=b.file(i.$gc.join(E(L,!0),...A)).path:R=i.$hc.join(L.path,...A),L.with({path:R})}toString(L=!1){return l(this,L)}toJSON(){return this}static revive(L){if(L){if(L instanceof b)return L;{const A=new j(L);return A._formatted=L.external??null,A._fsPath=L._sep===m?L.fsPath??null:null,A}}else return L}}t.URI=b;function e(h){return!h||typeof h!="object"?!1:typeof h.scheme=="string"&&(typeof h.authority=="string"||typeof h.authority>"u")&&(typeof h.path=="string"||typeof h.path>"u")&&(typeof h.query=="string"||typeof h.query>"u")&&(typeof h.fragment=="string"||typeof h.fragment>"u")}const m=y.$i?1:void 0;class j extends b{constructor(){super(...arguments),this._formatted=null,this._fsPath=null}get fsPath(){return this._fsPath||(this._fsPath=E(this,!1)),this._fsPath}toString(L=!1){return L?l(this,!0):(this._formatted||(this._formatted=l(this,!1)),this._formatted)}toJSON(){const L={$mid:1};return this._fsPath&&(L.fsPath=this._fsPath,L._sep=m),this._formatted&&(L.external=this._formatted),this.path&&(L.path=this.path),this.scheme&&(L.scheme=this.scheme),this.authority&&(L.authority=this.authority),this.query&&(L.query=this.query),this.fragment&&(L.fragment=this.fragment),L}}const w={58:"%3A",47:"%2F",63:"%3F",35:"%23",91:"%5B",93:"%5D",64:"%40",33:"%21",36:"%24",38:"%26",39:"%27",40:"%28",41:"%29",42:"%2A",43:"%2B",44:"%2C",59:"%3B",61:"%3D",32:"%20"};function v(h,L,A){let R,F=-1;for(let k=0;k<h.length;k++){const T=h.charCodeAt(k);if(T>=97&&T<=122||T>=65&&T<=90||T>=48&&T<=57||T===45||T===46||T===95||T===126||L&&T===47||A&&T===91||A&&T===93||A&&T===58)F!==-1&&(R+=encodeURIComponent(h.substring(F,k)),F=-1),R!==void 0&&(R+=h.charAt(k));else{R===void 0&&(R=h.substr(0,k));const x=w[T];x!==void 0?(F!==-1&&(R+=encodeURIComponent(h.substring(F,k)),F=-1),R+=x):F===-1&&(F=k)}}return F!==-1&&(R+=encodeURIComponent(h.substring(F))),R!==void 0?R:h}function N(h){let L;for(let A=0;A<h.length;A++){const R=h.charCodeAt(A);R===35||R===63?(L===void 0&&(L=h.substr(0,A)),L+=w[R]):L!==void 0&&(L+=h[A])}return L!==void 0?L:h}function E(h,L){let A;return h.authority&&h.path.length>1&&h.scheme==="file"?A=`//${h.authority}${h.path}`:h.path.charCodeAt(0)===47&&(h.path.charCodeAt(1)>=65&&h.path.charCodeAt(1)<=90||h.path.charCodeAt(1)>=97&&h.path.charCodeAt(1)<=122)&&h.path.charCodeAt(2)===58?L?A=h.path.substr(1):A=h.path[1].toLowerCase()+h.path.substr(2):A=h.path,y.$i&&(A=A.replace(/\//g,"\\")),A}function l(h,L){const A=L?N:v;let R="",{scheme:F,authority:k,path:T,query:x,fragment:Q}=h;if(F&&(R+=F,R+=":"),(k||F==="file")&&(R+=p,R+=p),k){let I=k.indexOf("@");if(I!==-1){const S=k.substr(0,I);k=k.substr(I+1),I=S.lastIndexOf(":"),I===-1?R+=A(S,!1,!1):(R+=A(S.substr(0,I),!1,!1),R+=":",R+=A(S.substr(I+1),!1,!0)),R+="@"}k=k.toLowerCase(),I=k.lastIndexOf(":"),I===-1?R+=A(k,!1,!0):(R+=A(k.substr(0,I),!1,!0),R+=k.substr(I))}if(T){if(T.length>=3&&T.charCodeAt(0)===47&&T.charCodeAt(2)===58){const I=T.charCodeAt(1);I>=65&&I<=90&&(T=`/${String.fromCharCode(I+32)}:${T.substr(3)}`)}else if(T.length>=2&&T.charCodeAt(1)===58){const I=T.charCodeAt(0);I>=65&&I<=90&&(T=`${String.fromCharCode(I+32)}:${T.substr(2)}`)}R+=A(T,!0,!1)}return x&&(R+="?",R+=A(x,!1,!1)),Q&&(R+="#",R+=L?Q:v(Q,!1,!1)),R}function n(h){try{return decodeURIComponent(h)}catch{return h.length>3?h.substr(0,3)+n(h.substr(3)):h}}const s=/(%[0-9A-Za-z][0-9A-Za-z])+/g;function f(h){return h.match(s)?h.replace(s,L=>n(L)):h}}),ie(se[76],ae([0,1,3,12,11,15,18,7]),function(B,t,i,y,M,c,$,g){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.SimpleWorkerServer=t.SimpleWorkerClient=void 0,t.logOnceWebWorkerWarning=o,t.create=s;const a="$initialize";let u=!1;function o(f){$.$o&&(u||(u=!0,console.warn("Could not create web worker(s). Falling back to loading web worker code in main thread, which might cause UI freezes. Please see https://github.com/microsoft/monaco-editor#faq")),console.warn(f.message))}var p;(function(f){f[f.Request=0]="Request",f[f.Reply=1]="Reply",f[f.SubscribeEvent=2]="SubscribeEvent",f[f.Event=3]="Event",f[f.UnsubscribeEvent=4]="UnsubscribeEvent"})(p||(p={}));class d{constructor(h,L,A,R){this.vsWorker=h,this.req=L,this.method=A,this.args=R,this.type=0}}class b{constructor(h,L,A,R){this.vsWorker=h,this.seq=L,this.res=A,this.err=R,this.type=1}}class e{constructor(h,L,A,R){this.vsWorker=h,this.req=L,this.eventName=A,this.arg=R,this.type=2}}class m{constructor(h,L,A){this.vsWorker=h,this.req=L,this.event=A,this.type=3}}class j{constructor(h,L){this.vsWorker=h,this.req=L,this.type=4}}class w{constructor(h){this.a=-1,this.g=h,this.b=0,this.c=Object.create(null),this.d=new Map,this.f=new Map}setWorkerId(h){this.a=h}sendMessage(h,L){const A=String(++this.b);return new Promise((R,F)=>{this.c[A]={resolve:R,reject:F},this.o(new d(this.a,A,h,L))})}listen(h,L){let A=null;const R=new y.$ee({onWillAddFirstListener:()=>{A=String(++this.b),this.d.set(A,R),this.o(new e(this.a,A,h,L))},onDidRemoveLastListener:()=>{this.d.delete(A),this.o(new j(this.a,A)),A=null}});return R.event}handleMessage(h){!h||!h.vsWorker||this.a!==-1&&h.vsWorker!==this.a||this.h(h)}h(h){switch(h.type){case 1:return this.j(h);case 0:return this.k(h);case 2:return this.l(h);case 3:return this.m(h);case 4:return this.n(h)}}j(h){if(!this.c[h.seq]){console.warn("Got reply to unknown seq");return}const L=this.c[h.seq];if(delete this.c[h.seq],h.err){let A=h.err;h.err.$isError&&(A=new Error,A.name=h.err.name,A.message=h.err.message,A.stack=h.err.stack),L.reject(A);return}L.resolve(h.res)}k(h){const L=h.req;this.g.handleMessage(h.method,h.args).then(R=>{this.o(new b(this.a,L,R,void 0))},R=>{R.detail instanceof Error&&(R.detail=(0,i.$3)(R.detail)),this.o(new b(this.a,L,void 0,(0,i.$3)(R)))})}l(h){const L=h.req,A=this.g.handleEvent(h.eventName,h.arg)(R=>{this.o(new m(this.a,L,R))});this.f.set(L,A)}m(h){if(!this.d.has(h.req)){console.warn("Got event for unknown req");return}this.d.get(h.req).fire(h.event)}n(h){if(!this.f.has(h.req)){console.warn("Got unsubscribe for unknown req");return}this.f.get(h.req).dispose(),this.f.delete(h.req)}o(h){const L=[];if(h.type===0)for(let A=0;A<h.args.length;A++)h.args[A]instanceof ArrayBuffer&&L.push(h.args[A]);else h.type===1&&h.res instanceof ArrayBuffer&&L.push(h.res);this.g.sendMessage(h,L)}}class v extends M.$Vc{constructor(h,L,A){super();let R=null;this.a=this.B(h.create("vs/base/common/worker/simpleWorker",I=>{this.c.handleMessage(I)},I=>{R?.(I)})),this.c=new w({sendMessage:(I,S)=>{this.a.postMessage(I,S)},handleMessage:(I,S)=>{if(typeof A[I]!="function")return Promise.reject(new Error("Missing method "+I+" on main thread host."));try{return Promise.resolve(A[I].apply(A,S))}catch(W){return Promise.reject(W)}},handleEvent:(I,S)=>{if(E(I)){const W=A[I].call(A,S);if(typeof W!="function")throw new Error(`Missing dynamic event ${I} on main thread host.`);return W}if(N(I)){const W=A[I];if(typeof W!="function")throw new Error(`Missing event ${I} on main thread host.`);return W}throw new Error(`Malformed event name ${I}`)}}),this.c.setWorkerId(this.a.getId());let F=null;const k=globalThis.require;typeof k<"u"&&typeof k.getConfig=="function"?F=k.getConfig():typeof globalThis.requirejs<"u"&&(F=globalThis.requirejs.s.contexts._.config);const T=(0,c.$ao)(A);this.b=this.c.sendMessage(a,[this.a.getId(),JSON.parse(JSON.stringify(F)),L,T]);const x=(I,S)=>this.g(I,S),Q=(I,S)=>this.c.listen(I,S);this.f=new Promise((I,S)=>{R=S,this.b.then(W=>{I(l(W,x,Q))},W=>{S(W),this.h("Worker failed to load "+L,W)})})}getProxyObject(){return this.f}g(h,L){return new Promise((A,R)=>{this.b.then(()=>{this.c.sendMessage(h,L).then(A,R)},R)})}h(h,L){console.error(h),console.info(L)}}t.SimpleWorkerClient=v;function N(f){return f[0]==="o"&&f[1]==="n"&&g.$xf(f.charCodeAt(2))}function E(f){return/^onDynamic/.test(f)&&g.$xf(f.charCodeAt(9))}function l(f,h,L){const A=k=>function(){const T=Array.prototype.slice.call(arguments,0);return h(k,T)},R=k=>function(T){return L(k,T)},F={};for(const k of f){if(E(k)){F[k]=R(k);continue}if(N(k)){F[k]=L(k,void 0);continue}F[k]=A(k)}return F}class n{constructor(h,L){this.a=L,this.b=null,this.c=new w({sendMessage:(A,R)=>{h(A,R)},handleMessage:(A,R)=>this.d(A,R),handleEvent:(A,R)=>this.f(A,R)})}onmessage(h){this.c.handleMessage(h)}d(h,L){if(h===a)return this.g(L[0],L[1],L[2],L[3]);if(!this.b||typeof this.b[h]!="function")return Promise.reject(new Error("Missing requestHandler or method: "+h));try{return Promise.resolve(this.b[h].apply(this.b,L))}catch(A){return Promise.reject(A)}}f(h,L){if(!this.b)throw new Error("Missing requestHandler");if(E(h)){const A=this.b[h].call(this.b,L);if(typeof A!="function")throw new Error(`Missing dynamic event ${h} on request handler.`);return A}if(N(h)){const A=this.b[h];if(typeof A!="function")throw new Error(`Missing event ${h} on request handler.`);return A}throw new Error(`Malformed event name ${h}`)}g(h,L,A,R){this.c.setWorkerId(h);const T=l(R,(x,Q)=>this.c.sendMessage(x,Q),(x,Q)=>this.c.listen(x,Q));return this.a?(this.b=this.a(T),Promise.resolve((0,c.$ao)(this.b))):(L&&(typeof L.baseUrl<"u"&&delete L.baseUrl,typeof L.paths<"u"&&typeof L.paths.vs<"u"&&delete L.paths.vs,typeof L.trustedTypesPolicy<"u"&&delete L.trustedTypesPolicy,L.catchError=!0,globalThis.require.config(L)),new Promise((x,Q)=>{(globalThis.require||B)([A],S=>{if(this.b=S.create(T),!this.b){Q(new Error("No RequestHandler!"));return}x((0,c.$ao)(this.b))},Q)}))}}t.SimpleWorkerServer=n;function s(f){return new n(f,null)}}),ie(se[72],ae([68,69]),function(B,t){return B.create("vs/editor/common/languages",t)}),ie(se[73],ae([0,1,44,19,45,2,66,72]),function(B,t,i,y,M,c,$,g){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.InlineEditTriggerKind=t.ExternalUriOpenerPriority=t.$fu=t.$eu=t.InlayHintKind=t.CommentState=t.CommentMode=t.CommentThreadApplicability=t.CommentThreadState=t.CommentThreadCollapsibleState=t.Command=t.NewSymbolNameTriggerKind=t.NewSymbolNameTag=t.$du=t.$cu=t.SymbolKinds=t.SymbolTag=t.$au=t.SymbolKind=t.DocumentHighlightKind=t.SignatureHelpTriggerKind=t.DocumentPasteTriggerKind=t.CodeActionTriggerType=t.$$t=t.InlineCompletionTriggerKind=t.CompletionTriggerKind=t.PartialAcceptTriggerKind=t.CompletionItemInsertTextRule=t.CompletionItemTag=t.CompletionItemKinds=t.CompletionItemKind=t.HoverVerbosityAction=t.$0t=t.$9t=t.$8t=void 0,t.$_t=f,t.$bu=L;class a{constructor(X,de,fe){this.offset=X,this.type=de,this.language=fe,this._tokenBrand=void 0}toString(){return"("+this.offset+", "+this.type+")"}}t.$8t=a;class u{constructor(X,de){this.tokens=X,this.endState=de,this._tokenizationResultBrand=void 0}}t.$9t=u;class o{constructor(X,de){this.tokens=X,this.endState=de,this._encodedTokenizationResultBrand=void 0}}t.$0t=o;var p;(function(P){P[P.Increase=0]="Increase",P[P.Decrease=1]="Decrease"})(p||(t.HoverVerbosityAction=p={}));var d;(function(P){P[P.Method=0]="Method",P[P.Function=1]="Function",P[P.Constructor=2]="Constructor",P[P.Field=3]="Field",P[P.Variable=4]="Variable",P[P.Class=5]="Class",P[P.Struct=6]="Struct",P[P.Interface=7]="Interface",P[P.Module=8]="Module",P[P.Property=9]="Property",P[P.Event=10]="Event",P[P.Operator=11]="Operator",P[P.Unit=12]="Unit",P[P.Value=13]="Value",P[P.Constant=14]="Constant",P[P.Enum=15]="Enum",P[P.EnumMember=16]="EnumMember",P[P.Keyword=17]="Keyword",P[P.Text=18]="Text",P[P.Color=19]="Color",P[P.File=20]="File",P[P.Reference=21]="Reference",P[P.Customcolor=22]="Customcolor",P[P.Folder=23]="Folder",P[P.TypeParameter=24]="TypeParameter",P[P.User=25]="User",P[P.Issue=26]="Issue",P[P.Snippet=27]="Snippet"})(d||(t.CompletionItemKind=d={}));var b;(function(P){const X=new Map;X.set(0,i.$Vj.symbolMethod),X.set(1,i.$Vj.symbolFunction),X.set(2,i.$Vj.symbolConstructor),X.set(3,i.$Vj.symbolField),X.set(4,i.$Vj.symbolVariable),X.set(5,i.$Vj.symbolClass),X.set(6,i.$Vj.symbolStruct),X.set(7,i.$Vj.symbolInterface),X.set(8,i.$Vj.symbolModule),X.set(9,i.$Vj.symbolProperty),X.set(10,i.$Vj.symbolEvent),X.set(11,i.$Vj.symbolOperator),X.set(12,i.$Vj.symbolUnit),X.set(13,i.$Vj.symbolValue),X.set(15,i.$Vj.symbolEnum),X.set(14,i.$Vj.symbolConstant),X.set(15,i.$Vj.symbolEnum),X.set(16,i.$Vj.symbolEnumMember),X.set(17,i.$Vj.symbolKeyword),X.set(27,i.$Vj.symbolSnippet),X.set(18,i.$Vj.symbolText),X.set(19,i.$Vj.symbolColor),X.set(20,i.$Vj.symbolFile),X.set(21,i.$Vj.symbolReference),X.set(22,i.$Vj.symbolCustomColor),X.set(23,i.$Vj.symbolFolder),X.set(24,i.$Vj.symbolTypeParameter),X.set(25,i.$Vj.account),X.set(26,i.$Vj.issues);function de(r){let je=X.get(r);return je||(console.info("No codicon found for CompletionItemKind "+r),je=i.$Vj.symbolProperty),je}P.toIcon=de;const fe=new Map;fe.set("method",0),fe.set("function",1),fe.set("constructor",2),fe.set("field",3),fe.set("variable",4),fe.set("class",5),fe.set("struct",6),fe.set("interface",7),fe.set("module",8),fe.set("property",9),fe.set("event",10),fe.set("operator",11),fe.set("unit",12),fe.set("value",13),fe.set("constant",14),fe.set("enum",15),fe.set("enum-member",16),fe.set("enumMember",16),fe.set("keyword",17),fe.set("snippet",27),fe.set("text",18),fe.set("color",19),fe.set("file",20),fe.set("reference",21),fe.set("customcolor",22),fe.set("folder",23),fe.set("type-parameter",24),fe.set("typeParameter",24),fe.set("account",25),fe.set("issue",26);function ve(r,je){let Ae=fe.get(r);return typeof Ae>"u"&&!je&&(Ae=9),Ae}P.fromString=ve})(b||(t.CompletionItemKinds=b={}));var e;(function(P){P[P.Deprecated=1]="Deprecated"})(e||(t.CompletionItemTag=e={}));var m;(function(P){P[P.None=0]="None",P[P.KeepWhitespace=1]="KeepWhitespace",P[P.InsertAsSnippet=4]="InsertAsSnippet"})(m||(t.CompletionItemInsertTextRule=m={}));var j;(function(P){P[P.Word=0]="Word",P[P.Line=1]="Line",P[P.Suggest=2]="Suggest"})(j||(t.PartialAcceptTriggerKind=j={}));var w;(function(P){P[P.Invoke=0]="Invoke",P[P.TriggerCharacter=1]="TriggerCharacter",P[P.TriggerForIncompleteCompletions=2]="TriggerForIncompleteCompletions"})(w||(t.CompletionTriggerKind=w={}));var v;(function(P){P[P.Automatic=0]="Automatic",P[P.Explicit=1]="Explicit"})(v||(t.InlineCompletionTriggerKind=v={}));class N{constructor(X,de,fe,ve){this.range=X,this.text=de,this.completionKind=fe,this.isSnippetText=ve}equals(X){return c.$ut.lift(this.range).equalsRange(X.range)&&this.text===X.text&&this.completionKind===X.completionKind&&this.isSnippetText===X.isSnippetText}}t.$$t=N;var E;(function(P){P[P.Invoke=1]="Invoke",P[P.Auto=2]="Auto"})(E||(t.CodeActionTriggerType=E={}));var l;(function(P){P[P.Automatic=0]="Automatic",P[P.PasteAs=1]="PasteAs"})(l||(t.DocumentPasteTriggerKind=l={}));var n;(function(P){P[P.Invoke=1]="Invoke",P[P.TriggerCharacter=2]="TriggerCharacter",P[P.ContentChange=3]="ContentChange"})(n||(t.SignatureHelpTriggerKind=n={}));var s;(function(P){P[P.Text=0]="Text",P[P.Read=1]="Read",P[P.Write=2]="Write"})(s||(t.DocumentHighlightKind=s={}));function f(P){return P&&y.URI.isUri(P.uri)&&c.$ut.isIRange(P.range)&&(c.$ut.isIRange(P.originSelectionRange)||c.$ut.isIRange(P.targetSelectionRange))}var h;(function(P){P[P.File=0]="File",P[P.Module=1]="Module",P[P.Namespace=2]="Namespace",P[P.Package=3]="Package",P[P.Class=4]="Class",P[P.Method=5]="Method",P[P.Property=6]="Property",P[P.Field=7]="Field",P[P.Constructor=8]="Constructor",P[P.Enum=9]="Enum",P[P.Interface=10]="Interface",P[P.Function=11]="Function",P[P.Variable=12]="Variable",P[P.Constant=13]="Constant",P[P.String=14]="String",P[P.Number=15]="Number",P[P.Boolean=16]="Boolean",P[P.Array=17]="Array",P[P.Object=18]="Object",P[P.Key=19]="Key",P[P.Null=20]="Null",P[P.EnumMember=21]="EnumMember",P[P.Struct=22]="Struct",P[P.Event=23]="Event",P[P.Operator=24]="Operator",P[P.TypeParameter=25]="TypeParameter"})(h||(t.SymbolKind=h={})),t.$au={17:(0,g.localize)(0,null),16:(0,g.localize)(1,null),4:(0,g.localize)(2,null),13:(0,g.localize)(3,null),8:(0,g.localize)(4,null),9:(0,g.localize)(5,null),21:(0,g.localize)(6,null),23:(0,g.localize)(7,null),7:(0,g.localize)(8,null),0:(0,g.localize)(9,null),11:(0,g.localize)(10,null),10:(0,g.localize)(11,null),19:(0,g.localize)(12,null),5:(0,g.localize)(13,null),1:(0,g.localize)(14,null),2:(0,g.localize)(15,null),20:(0,g.localize)(16,null),15:(0,g.localize)(17,null),18:(0,g.localize)(18,null),24:(0,g.localize)(19,null),3:(0,g.localize)(20,null),6:(0,g.localize)(21,null),14:(0,g.localize)(22,null),22:(0,g.localize)(23,null),25:(0,g.localize)(24,null),12:(0,g.localize)(25,null)};function L(P,X){return(0,g.localize)(26,null,P,t.$au[X])}var A;(function(P){P[P.Deprecated=1]="Deprecated"})(A||(t.SymbolTag=A={}));var R;(function(P){const X=new Map;X.set(0,i.$Vj.symbolFile),X.set(1,i.$Vj.symbolModule),X.set(2,i.$Vj.symbolNamespace),X.set(3,i.$Vj.symbolPackage),X.set(4,i.$Vj.symbolClass),X.set(5,i.$Vj.symbolMethod),X.set(6,i.$Vj.symbolProperty),X.set(7,i.$Vj.symbolField),X.set(8,i.$Vj.symbolConstructor),X.set(9,i.$Vj.symbolEnum),X.set(10,i.$Vj.symbolInterface),X.set(11,i.$Vj.symbolFunction),X.set(12,i.$Vj.symbolVariable),X.set(13,i.$Vj.symbolConstant),X.set(14,i.$Vj.symbolString),X.set(15,i.$Vj.symbolNumber),X.set(16,i.$Vj.symbolBoolean),X.set(17,i.$Vj.symbolArray),X.set(18,i.$Vj.symbolObject),X.set(19,i.$Vj.symbolKey),X.set(20,i.$Vj.symbolNull),X.set(21,i.$Vj.symbolEnumMember),X.set(22,i.$Vj.symbolStruct),X.set(23,i.$Vj.symbolEvent),X.set(24,i.$Vj.symbolOperator),X.set(25,i.$Vj.symbolTypeParameter);function de(fe){let ve=X.get(fe);return ve||(console.info("No codicon found for SymbolKind "+fe),ve=i.$Vj.symbolProperty),ve}P.toIcon=de})(R||(t.SymbolKinds=R={}));class F{static asEditOperation(X){return M.$vt.replace(c.$ut.lift(X.range),X.text)}}t.$cu=F;class k{static{this.Comment=new k("comment")}static{this.Imports=new k("imports")}static{this.Region=new k("region")}static fromValue(X){switch(X){case"comment":return k.Comment;case"imports":return k.Imports;case"region":return k.Region}return new k(X)}constructor(X){this.value=X}}t.$du=k;var T;(function(P){P[P.AIGenerated=1]="AIGenerated"})(T||(t.NewSymbolNameTag=T={}));var x;(function(P){P[P.Invoke=0]="Invoke",P[P.Automatic=1]="Automatic"})(x||(t.NewSymbolNameTriggerKind=x={}));var Q;(function(P){function X(de){return!de||typeof de!="object"?!1:typeof de.id=="string"&&typeof de.title=="string"}P.is=X})(Q||(t.Command=Q={}));var I;(function(P){P[P.Collapsed=0]="Collapsed",P[P.Expanded=1]="Expanded"})(I||(t.CommentThreadCollapsibleState=I={}));var S;(function(P){P[P.Unresolved=0]="Unresolved",P[P.Resolved=1]="Resolved"})(S||(t.CommentThreadState=S={}));var W;(function(P){P[P.Current=0]="Current",P[P.Outdated=1]="Outdated"})(W||(t.CommentThreadApplicability=W={}));var Y;(function(P){P[P.Editing=0]="Editing",P[P.Preview=1]="Preview"})(Y||(t.CommentMode=Y={}));var Z;(function(P){P[P.Published=0]="Published",P[P.Draft=1]="Draft"})(Z||(t.CommentState=Z={}));var H;(function(P){P[P.Type=1]="Type",P[P.Parameter=2]="Parameter"})(H||(t.InlayHintKind=H={}));class G{constructor(X){this.b=X,this.a=null}dispose(){this.a&&this.a.then(X=>{X&&X.dispose()})}get tokenizationSupport(){return this.a||(this.a=this.b()),this.a}}t.$eu=G,t.$fu=new $.$Zt;var K;(function(P){P[P.None=0]="None",P[P.Option=1]="Option",P[P.Default=2]="Default",P[P.Preferred=3]="Preferred"})(K||(t.ExternalUriOpenerPriority=K={}));var ee;(function(P){P[P.Invoke=0]="Invoke",P[P.Automatic=1]="Automatic"})(ee||(t.InlineEditTriggerKind=ee={}))}),ie(se[74],ae([0,1,24,12,39,19,4,2,46,73,65]),function(B,t,i,y,M,c,$,g,a,u,o){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.$v3=void 0,t.$w3=d;class p{static{this.CtrlCmd=2048}static{this.Shift=1024}static{this.Alt=512}static{this.WinCtrl=256}static chord(e,m){return(0,M.$Er)(e,m)}}t.$v3=p;function d(){return{editor:void 0,languages:void 0,CancellationTokenSource:i.$pe,Emitter:y.$ee,KeyCode:o.KeyCode,KeyMod:p,Position:$.$tt,Range:g.$ut,Selection:a.$wt,SelectionDirection:o.SelectionDirection,MarkerSeverity:o.MarkerSeverity,MarkerTag:o.MarkerTag,Uri:c.URI,Token:u.$8t}}}),ie(se[77],ae([0,1,25,19,4,2,61,31,57,58,74,23,64,35,55,15,3,56,63]),function(B,t,i,y,M,c,$,g,a,u,o,p,d,b,e,m,j,w,v){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.EditorSimpleWorker=void 0,t.create=l;class N extends $.$6v{get uri(){return this.d}get eol(){return this.g}getValue(){return this.getText()}findMatches(s){const f=[];for(let h=0;h<this.f.length;h++){const L=this.f[h],A=this.offsetAt(new M.$tt(h+1,1)),R=L.matchAll(s);for(const F of R)(F.index||F.index===0)&&(F.index=F.index+A),f.push(F)}return f}getLinesContent(){return this.f.slice(0)}getLineCount(){return this.f.length}getLineContent(s){return this.f[s-1]}getWordAtPosition(s,f){const h=(0,g.$9s)(s.column,(0,g.$7s)(f),this.f[s.lineNumber-1],0);return h?new c.$ut(s.lineNumber,h.startColumn,s.lineNumber,h.endColumn):null}getWordUntilPosition(s,f){const h=this.getWordAtPosition(s,f);return h?{word:this.f[s.lineNumber-1].substring(h.startColumn-1,s.column-1),startColumn:h.startColumn,endColumn:s.column}:{word:"",startColumn:s.column,endColumn:s.column}}words(s){const f=this.f,h=this.q.bind(this);let L=0,A="",R=0,F=[];return{*[Symbol.iterator](){for(;;)if(R<F.length){const k=A.substring(F[R].start,F[R].end);R+=1,yield k}else if(L<f.length)A=f[L],F=h(A,s),R=0,L+=1;else break}}}getLineWords(s,f){const h=this.f[s-1],L=this.q(h,f),A=[];for(const R of L)A.push({word:h.substring(R.start,R.end),startColumn:R.start+1,endColumn:R.end+1});return A}q(s,f){const h=[];let L;for(f.lastIndex=0;(L=f.exec(s))&&L[0].length!==0;)h.push({start:L.index,end:L.index+L[0].length});return h}getValueInRange(s){if(s=this.r(s),s.startLineNumber===s.endLineNumber)return this.f[s.startLineNumber-1].substring(s.startColumn-1,s.endColumn-1);const f=this.g,h=s.startLineNumber-1,L=s.endLineNumber-1,A=[];A.push(this.f[h].substring(s.startColumn-1));for(let R=h+1;R<L;R++)A.push(this.f[R]);return A.push(this.f[L].substring(0,s.endColumn-1)),A.join(f)}offsetAt(s){return s=this.s(s),this.l(),this.j.getPrefixSum(s.lineNumber-2)+(s.column-1)}positionAt(s){s=Math.floor(s),s=Math.max(0,s),this.l();const f=this.j.getIndexOf(s),h=this.f[f.index].length;return{lineNumber:1+f.index,column:1+Math.min(f.remainder,h)}}r(s){const f=this.s({lineNumber:s.startLineNumber,column:s.startColumn}),h=this.s({lineNumber:s.endLineNumber,column:s.endColumn});return f.lineNumber!==s.startLineNumber||f.column!==s.startColumn||h.lineNumber!==s.endLineNumber||h.column!==s.endColumn?{startLineNumber:f.lineNumber,startColumn:f.column,endLineNumber:h.lineNumber,endColumn:h.column}:s}s(s){if(!M.$tt.isIPosition(s))throw new Error("bad position");let{lineNumber:f,column:h}=s,L=!1;if(f<1)f=1,h=1,L=!0;else if(f>this.f.length)f=this.f.length,h=this.f[f-1].length+1,L=!0;else{const A=this.f[f-1].length+1;h<1?(h=1,L=!0):h>A&&(h=A,L=!0)}return L?{lineNumber:f,column:h}:s}}class E{constructor(s,f){this.d=s,this.f=Object.create(null),this.g=f,this.h=null}dispose(){this.f=Object.create(null)}j(s){return this.f[s]}k(){const s=[];return Object.keys(this.f).forEach(f=>s.push(this.f[f])),s}acceptNewModel(s){this.f[s.url]=new N(y.URI.parse(s.url),s.lines,s.EOL,s.versionId)}acceptModelChanged(s,f){if(!this.f[s])return;this.f[s].onEvents(f)}acceptRemovedModel(s){this.f[s]&&delete this.f[s]}async computeUnicodeHighlights(s,f,h){const L=this.j(s);return L?d.$q3.computeUnicodeHighlights(L,f,h):{ranges:[],hasMore:!1,ambiguousCharacterCount:0,invisibleCharacterCount:0,nonBasicAsciiCharacterCount:0}}async findSectionHeaders(s,f){const h=this.j(s);return h?(0,v.$U3)(h,f):[]}async computeDiff(s,f,h,L){const A=this.j(s),R=this.j(f);return!A||!R?null:E.l(A,R,h,L)}static l(s,f,h,L){const A=L==="advanced"?e.$S3.getDefault():e.$S3.getLegacy(),R=s.getLinesContent(),F=f.getLinesContent(),k=A.computeDiff(R,F,h),T=k.changes.length>0?!1:this.n(s,f);function x(Q){return Q.map(I=>[I.original.startLineNumber,I.original.endLineNumberExclusive,I.modified.startLineNumber,I.modified.endLineNumberExclusive,I.innerChanges?.map(S=>[S.originalRange.startLineNumber,S.originalRange.startColumn,S.originalRange.endLineNumber,S.originalRange.endColumn,S.modifiedRange.startLineNumber,S.modifiedRange.startColumn,S.modifiedRange.endLineNumber,S.modifiedRange.endColumn])])}return{identical:T,quitEarly:k.hitTimeout,changes:x(k.changes),moves:k.moves.map(Q=>[Q.lineRangeMapping.original.startLineNumber,Q.lineRangeMapping.original.endLineNumberExclusive,Q.lineRangeMapping.modified.startLineNumber,Q.lineRangeMapping.modified.endLineNumberExclusive,x(Q.changes)])}}static n(s,f){const h=s.getLineCount(),L=f.getLineCount();if(h!==L)return!1;for(let A=1;A<=h;A++){const R=s.getLineContent(A),F=f.getLineContent(A);if(R!==F)return!1}return!0}async computeDirtyDiff(s,f,h){const L=this.j(s),A=this.j(f);if(!L||!A)return null;const R=L.getLinesContent(),F=A.getLinesContent();return new b.$Zv(R,F,{shouldComputeCharChanges:!1,shouldPostProcessCharChanges:!1,shouldIgnoreTrimWhitespace:h,shouldMakePrettyDiff:!0,maxComputationTime:1e3}).computeDiff().changes}static{this.o=1e5}async computeMoreMinimalEdits(s,f,h){const L=this.j(s);if(!L)return f;const A=[];let R;f=f.slice(0).sort((k,T)=>{if(k.range&&T.range)return c.$ut.compareRangesUsingStarts(k.range,T.range);const x=k.range?0:1,Q=T.range?0:1;return x-Q});let F=0;for(let k=1;k<f.length;k++)c.$ut.getEndPosition(f[F].range).equals(c.$ut.getStartPosition(f[k].range))?(f[F].range=c.$ut.fromPositions(c.$ut.getStartPosition(f[F].range),c.$ut.getEndPosition(f[k].range)),f[F].text+=f[k].text):(F++,f[F]=f[k]);f.length=F+1;for(let{range:k,text:T,eol:x}of f){if(typeof x=="number"&&(R=x),c.$ut.isEmpty(k)&&!T)continue;const Q=L.getValueInRange(k);if(T=T.replace(/\r\n|\n|\r/g,L.eol),Q===T)continue;if(Math.max(T.length,Q.length)>E.o){A.push({range:k,text:T});continue}const I=(0,i.$zt)(Q,T,h),S=L.offsetAt(c.$ut.lift(k).getStartPosition());for(const W of I){const Y=L.positionAt(S+W.originalStart),Z=L.positionAt(S+W.originalStart+W.originalLength),H={text:T.substr(W.modifiedStart,W.modifiedLength),range:{startLineNumber:Y.lineNumber,startColumn:Y.column,endLineNumber:Z.lineNumber,endColumn:Z.column}};L.getValueInRange(H.range)!==H.text&&A.push(H)}}return typeof R=="number"&&A.push({eol:R,text:"",range:{startLineNumber:0,startColumn:0,endLineNumber:0,endColumn:0}}),A}computeHumanReadableDiff(s,f,h){const L=this.j(s);if(!L)return f;const A=[];let R;f=f.slice(0).sort((F,k)=>{if(F.range&&k.range)return c.$ut.compareRangesUsingStarts(F.range,k.range);const T=F.range?0:1,x=k.range?0:1;return T-x});for(let{range:F,text:k,eol:T}of f){let Y=function(H,G){return new M.$tt(H.lineNumber+G.lineNumber-1,G.lineNumber===1?H.column+G.column-1:G.column)},Z=function(H,G){const K=[];for(let ee=G.startLineNumber;ee<=G.endLineNumber;ee++){const P=H[ee-1];ee===G.startLineNumber&&ee===G.endLineNumber?K.push(P.substring(G.startColumn-1,G.endColumn-1)):ee===G.startLineNumber?K.push(P.substring(G.startColumn-1)):ee===G.endLineNumber?K.push(P.substring(0,G.endColumn-1)):K.push(P)}return K};if(typeof T=="number"&&(R=T),c.$ut.isEmpty(F)&&!k)continue;const x=L.getValueInRange(F);if(k=k.replace(/\r\n|\n|\r/g,L.eol),x===k)continue;if(Math.max(k.length,x.length)>E.o){A.push({range:F,text:k});continue}const Q=x.split(/\r\n|\n|\r/),I=k.split(/\r\n|\n|\r/),S=e.$S3.getDefault().computeDiff(Q,I,h),W=c.$ut.lift(F).getStartPosition();for(const H of S.changes)if(H.innerChanges)for(const G of H.innerChanges)A.push({range:c.$ut.fromPositions(Y(W,G.originalRange.getStartPosition()),Y(W,G.originalRange.getEndPosition())),text:Z(I,G.modifiedRange).join(L.eol)});else throw new j.$cb("The experimental diff algorithm always produces inner changes")}return typeof R=="number"&&A.push({eol:R,text:"",range:{startLineNumber:0,startColumn:0,endLineNumber:0,endColumn:0}}),A}async computeLinks(s){const f=this.j(s);return f?(0,a.$t3)(f):null}async computeDefaultDocumentColors(s){const f=this.j(s);return f?(0,w.$T3)(f):null}static{this.p=1e4}async textualSuggest(s,f,h,L){const A=new p.$ae,R=new RegExp(h,L),F=new Set;e:for(const k of s){const T=this.j(k);if(T){for(const x of T.words(R))if(!(x===f||!isNaN(Number(x)))&&(F.add(x),F.size>E.p))break e}}return{words:Array.from(F),duration:A.elapsed()}}async computeWordRanges(s,f,h,L){const A=this.j(s);if(!A)return Object.create(null);const R=new RegExp(h,L),F=Object.create(null);for(let k=f.startLineNumber;k<f.endLineNumber;k++){const T=A.getLineWords(k,R);for(const x of T){if(!isNaN(Number(x.word)))continue;let Q=F[x.word];Q||(Q=[],F[x.word]=Q),Q.push({startLineNumber:k,startColumn:x.startColumn,endLineNumber:k,endColumn:x.endColumn})}}return F}async navigateValueSet(s,f,h,L,A){const R=this.j(s);if(!R)return null;const F=new RegExp(L,A);f.startColumn===f.endColumn&&(f={startLineNumber:f.startLineNumber,startColumn:f.startColumn,endLineNumber:f.endLineNumber,endColumn:f.endColumn+1});const k=R.getValueInRange(f),T=R.getWordAtPosition({lineNumber:f.startLineNumber,column:f.startColumn},F);if(!T)return null;const x=R.getValueInRange(T);return u.$u3.INSTANCE.navigateValueSet(f,k,T,x,h)}loadForeignModule(s,f,h){const L=(F,k)=>this.d.fhr(F,k),R={host:(0,m.$bo)(h,L),getMirrorModels:()=>this.k()};return this.g?(this.h=this.g(R,f),Promise.resolve((0,m.$ao)(this.h))):new Promise((F,k)=>{B([s],T=>{this.h=T.create(R,f),F((0,m.$ao)(this.h))},k)})}fmr(s,f){if(!this.h||typeof this.h[s]!="function")return Promise.reject(new Error("Missing requestHandler or method: "+s));try{return Promise.resolve(this.h[s].apply(this.h,f))}catch(h){return Promise.reject(h)}}}t.EditorSimpleWorker=E;function l(n){return new E(n,null)}typeof importScripts=="function"&&(globalThis.monaco=(0,o.$w3)())})}).call(this);

//# sourceMappingURL=https://ticino.blob.core.windows.net/sourcemaps/39ad5f3a9dc614ce795f2263f2960904e454996c/core/vs/base/worker/workerMain.js.map
