"use strict";/*!--------------------------------------------------------
 * Copyright (C) Microsoft Corporation. All rights reserved.
 *--------------------------------------------------------*/(function(){var Ie=["exports","require","vs/base/common/uri","vs/platform/instantiation/common/instantiation","vs/workbench/api/common/extHost.protocol","vs/base/common/event","vs/base/common/lifecycle","vs/workbench/api/common/extHostTypes","vs/workbench/api/common/extHostTypeConverters","vs/nls","vs/nls!vs/workbench/api/worker/extensionHostWorker","vs/base/common/async","vs/platform/log/common/log","vs/base/common/strings","vs/base/common/errors","vs/base/common/types","vs/base/common/network","vs/workbench/api/common/extHostRpcService","vs/base/common/arrays","vs/base/common/path","vs/platform/extensions/common/extensions","vs/base/common/buffer","vs/base/common/platform","vs/base/common/resources","vs/base/common/cancellation","vs/base/common/objects","vs/workbench/services/extensions/common/extensions","vs/workbench/api/common/extHostInitDataService","vs/base/common/map","vs/platform/registry/common/platform","vs/editor/common/core/range","vs/platform/contextkey/common/contextkey","vs/workbench/api/common/extHostCommands","vs/base/common/severity","vs/base/common/uuid","vs/workbench/services/extensions/common/proxyIdentifier","vs/base/common/themables","vs/base/common/glob","vs/platform/files/common/files","vs/workbench/api/common/extHostWorkspace","vs/workbench/api/common/extHostConfiguration","vs/workbench/api/common/extHostExtensionService","vs/base/common/iterator","vs/base/common/lazy","vs/base/common/errorMessage","vs/platform/workspace/common/workspace","vs/workbench/api/common/extHostFileSystemInfo","vs/workbench/services/search/common/search","vs/base/common/extpath","vs/base/common/marshalling","vs/platform/configuration/common/configuration","vs/platform/configuration/common/configurationRegistry","vs/workbench/contrib/testing/common/testId","vs/workbench/api/common/extHostTerminalService","vs/base/common/ternarySearchTree","vs/base/common/htmlContent","vs/platform/instantiation/common/extensions","vs/base/common/assert","vs/platform/remote/common/remoteHosts","vs/platform/telemetry/common/telemetryUtils","vs/base/common/performance","vs/workbench/api/common/extHostUriTransformerService","vs/workbench/contrib/testing/common/testTypes","vs/workbench/api/common/extHostTelemetry","vs/workbench/api/common/extHostWebview","vs/workbench/api/common/extHostFileSystemConsumer","vs/base/common/stopwatch","vs/workbench/api/common/extHostEditorTabs","vs/workbench/api/common/extHostDocumentsAndEditors","vs/base/common/decorators","vs/base/common/mime","vs/platform/instantiation/common/descriptors","vs/platform/instantiation/common/serviceCollection","vs/base/common/hash","vs/platform/jsonschemas/common/jsonContributionRegistry","vs/base/common/process","vs/workbench/api/common/cache","vs/workbench/contrib/testing/common/testItemCollection","vs/workbench/contrib/webview/common/webview","vs/workbench/services/extensions/common/extensionHostProtocol","vs/workbench/api/common/extHostApiDeprecationService","vs/workbench/api/common/extHostLocalizationService","vs/workbench/api/common/extHostManagedSockets","vs/workbench/api/common/extHostSecretState","vs/workbench/api/common/extHostStorage","vs/workbench/contrib/notebook/common/notebookCommon","vs/workbench/api/common/extHostAuthentication","vs/workbench/api/common/extHostStoragePaths","vs/workbench/api/common/extHostTunnelService","vs/editor/common/languages","vs/workbench/api/common/extHostLanguageModels","vs/base/common/idGenerator","vs/base/common/codicons","vs/editor/common/model/pieceTreeTextBuffer/pieceTreeBase","vs/editor/common/core/position","vs/editor/common/model","vs/editor/common/model/textModelSearch","vs/base/common/labels","vs/editor/common/services/semanticTokensDto","vs/platform/environment/common/environment","vs/platform/extensionManagement/common/extensionManagement","vs/platform/markers/common/markers","vs/platform/product/common/productService","vs/platform/progress/common/progress","vs/platform/remote/common/remoteAuthorityResolver","vs/platform/extensionManagement/common/implicitActivationEvents","vs/workbench/common/editor","vs/workbench/api/common/extHostTestingPrivateApi","vs/workbench/services/authentication/common/authentication","vs/workbench/services/editor/common/editorGroupsService","vs/workbench/services/extensions/common/extensionDescriptionRegistry","vs/workbench/api/common/extHostWindow","vs/workbench/api/common/extHostDecorations","vs/workbench/api/common/extHostDocumentData","vs/workbench/api/common/extHostNotebookEditor","vs/workbench/api/common/extHostTestItem","vs/workbench/api/common/extHostTerminalShellIntegration","vs/workbench/api/common/extHostTextEditor","vs/workbench/api/common/extHostOutput","vs/workbench/services/remote/common/remoteAgentService","vs/workbench/services/search/common/searchExtTypes","vs/workbench/api/common/extHostTask","vs/workbench/api/common/extHostVariableResolverService","vs/workbench/api/common/extHostDebugService","vs/workbench/api/common/extHostSearch","vs/base/common/equals","vs/base/common/json","vs/base/common/marked/marked","vs/base/common/naturalLanguage/korean","vs/base/common/numbers","vs/base/common/observableInternal/debugName","vs/base/common/observableInternal/logging","vs/base/common/observableInternal/base","vs/base/common/prefixTree","vs/base/common/stream","vs/base/common/filters","vs/base/common/symbols","vs/base/common/iconLabels","vs/base/common/dataTransfer","vs/editor/common/core/eolCounter","vs/editor/common/core/textModelDefaults","vs/editor/common/languages/languageConfiguration","vs/editor/common/model/pieceTreeTextBuffer/rbTreeBase","vs/editor/common/services/treeViewsDnd","vs/nls!vs/base/common/actions","vs/base/common/actions","vs/nls!vs/base/common/date","vs/base/common/date","vs/nls!vs/base/common/errorMessage","vs/base/common/comparers","vs/base/common/uriIpc","vs/base/parts/storage/common/storage","vs/editor/common/core/stringBuilder","vs/editor/common/core/textChange","vs/editor/common/languageSelector","vs/editor/common/model/pieceTreeTextBuffer/pieceTreeTextBuffer","vs/editor/common/model/pieceTreeTextBuffer/pieceTreeTextBufferBuilder","vs/nls!vs/editor/common/config/editorOptions","vs/editor/common/config/editorOptions","vs/editor/common/core/wordHelper","vs/nls!vs/platform/configuration/common/configurationRegistry","vs/nls!vs/platform/contextkey/common/contextkey","vs/nls!vs/platform/contextkey/common/scanner","vs/nls!vs/platform/extensionManagement/common/extensionManagement","vs/nls!vs/platform/extensions/common/extensionValidator","vs/nls!vs/platform/files/common/files","vs/nls!vs/platform/log/common/log","vs/nls!vs/platform/markers/common/markers","vs/nls!vs/platform/request/common/request","vs/nls!vs/platform/theme/common/iconRegistry","vs/nls!vs/platform/userDataProfile/common/userDataProfile","vs/nls!vs/platform/workspace/common/workspace","vs/nls!vs/workbench/api/common/extHostDiagnostics","vs/nls!vs/workbench/api/common/extHostExtensionService","vs/nls!vs/workbench/api/common/extHostLanguageFeatures","vs/nls!vs/workbench/api/common/extHostLanguageModels","vs/nls!vs/workbench/api/common/extHostLogService","vs/nls!vs/workbench/api/common/extHostNotebook","vs/nls!vs/workbench/api/common/extHostStatusBar","vs/nls!vs/workbench/api/common/extHostTelemetry","vs/nls!vs/workbench/api/common/extHostTerminalService","vs/nls!vs/workbench/api/common/extHostTreeViews","vs/nls!vs/workbench/api/common/extHostTunnelService","vs/nls!vs/workbench/api/common/extHostWorkspace","vs/nls!vs/workbench/common/configuration","vs/nls!vs/workbench/common/editor","vs/nls!vs/workbench/common/views","vs/nls!vs/workbench/contrib/chat/common/chatContextKeys","vs/nls!vs/workbench/contrib/debug/common/abstractDebugAdapter","vs/nls!vs/workbench/contrib/debug/common/debug","vs/nls!vs/workbench/contrib/tasks/common/taskDefinitionRegistry","vs/nls!vs/workbench/contrib/tasks/common/tasks","vs/nls!vs/workbench/services/configurationResolver/common/variableResolver","vs/nls!vs/workbench/services/editor/common/editorResolverService","vs/nls!vs/workbench/services/extensions/common/extensionsRegistry","vs/nls!vs/workbench/services/search/common/queryBuilder","vs/platform/contextkey/common/scanner","vs/platform/extensions/common/extensionValidator","vs/platform/instantiation/common/graph","vs/platform/instantiation/common/instantiationService","vs/base/common/linkedList","vs/platform/log/common/logService","vs/platform/notification/common/notification","vs/platform/configuration/common/configurationModels","vs/platform/request/common/request","vs/platform/telemetry/common/commonProperties","vs/platform/telemetry/common/telemetry","vs/platform/extensionManagement/common/extensionManagementUtil","vs/platform/terminal/common/environmentVariableShared","vs/platform/terminal/common/terminalDataBuffering","vs/platform/theme/common/iconRegistry","vs/platform/tunnel/common/tunnel","vs/platform/uriIdentity/common/uriIdentity","vs/platform/workspace/common/editSessions","vs/platform/workspace/common/virtualWorkspace","vs/platform/userDataProfile/common/userDataProfile","vs/platform/storage/common/storage","vs/workbench/api/common/extHostLogService","vs/workbench/api/common/extHostMemento","vs/workbench/api/common/extHostNotebookDocuments","vs/workbench/api/common/extHostSecrets","vs/workbench/api/common/extHostWebviewMessaging","vs/workbench/common/views","vs/workbench/contrib/chat/common/chatContextKeys","vs/workbench/contrib/chat/common/chatAgents","vs/workbench/contrib/chat/common/chatService","vs/workbench/contrib/debug/common/abstractDebugAdapter","vs/workbench/contrib/debug/common/debug","vs/workbench/contrib/debug/common/debugUtils","vs/workbench/contrib/notebook/common/notebookExecutionService","vs/workbench/contrib/notebook/common/notebookKernelService","vs/workbench/contrib/search/common/cellSearchModel","vs/workbench/api/common/extHostCodeInsets","vs/workbench/services/configurationResolver/common/configurationResolver","vs/workbench/services/configurationResolver/common/variableResolver","vs/workbench/services/editor/common/editorService","vs/workbench/services/environment/common/environmentService","vs/workbench/api/common/extHostExtensionActivator","vs/workbench/services/extensions/common/extensionsApiProposals","vs/workbench/services/extensions/common/extensionsRegistry","vs/workbench/contrib/tasks/common/taskDefinitionRegistry","vs/workbench/contrib/tasks/common/tasks","vs/workbench/services/extensions/common/lazyPromise","vs/workbench/api/common/extHostClipboard","vs/workbench/api/common/extHostConsoleForwarder","vs/workbench/api/common/extHostDialogs","vs/workbench/api/common/extHostLabelService","vs/workbench/api/common/extHostLoggerService","vs/workbench/api/common/extHostMessageService","vs/workbench/api/common/extHostProfileContentHandler","vs/workbench/api/common/extHostSpeech","vs/workbench/api/common/extHostUriOpener","vs/workbench/api/common/extHostUrls","vs/workbench/api/worker/extHostConsoleForwarder","vs/workbench/services/extensions/common/rpcProtocol","vs/workbench/services/extensions/worker/polyfillNestedWorker","vs/workbench/services/notebook/common/notebookDocumentService","vs/workbench/api/common/extHostAiRelatedInformation","vs/workbench/api/common/extHostDocumentContentProviders","vs/workbench/api/common/extHostEmbeddingVector","vs/workbench/api/common/extHostTheming","vs/base/common/functional","vs/workbench/api/common/extHostBulkEdits","vs/workbench/api/common/extHostChatAgents2","vs/workbench/api/common/extHostChatVariables","vs/workbench/api/common/extHostComments","vs/workbench/api/common/extHostCustomEditors","vs/workbench/api/common/extHostDiagnostics","vs/workbench/api/common/extHostDocumentSaveParticipant","vs/workbench/api/common/extHostDocuments","vs/base/common/collections","vs/workbench/api/common/extHostFileSystem","vs/workbench/api/common/extHostFileSystemEventService","vs/workbench/api/common/extHostLanguageFeatures","vs/workbench/api/common/extHostLanguages","vs/workbench/api/common/extHostNotebookDocument","vs/workbench/api/common/extHostNotebookDocumentSaveParticipant","vs/workbench/api/common/extHostNotebookEditors","vs/workbench/api/common/extHostNotebookRenderers","vs/workbench/api/common/extHostProgress","vs/workbench/api/common/extHostQuickDiff","vs/workbench/api/common/extHostQuickOpen","vs/workbench/api/common/extHostSCM","vs/workbench/api/common/extHostShare","vs/workbench/api/common/extHostStatusBar","vs/workbench/api/common/extHostApiCommands","vs/workbench/api/common/extHostInlineChat","vs/workbench/api/common/extHostInteractive","vs/workbench/api/common/extHostNotebookKernels","vs/workbench/api/common/extHostTesting","vs/workbench/api/common/extHostTextEditors","vs/workbench/api/common/extHostTimeline","vs/workbench/api/common/extHostTreeViews","vs/workbench/api/common/extHostWebviewPanels","vs/workbench/api/common/extHostWebviewView","vs/workbench/services/output/common/output","vs/workbench/common/configuration","vs/workbench/services/editor/common/editorResolverService","vs/workbench/services/path/common/pathService","vs/workbench/contrib/search/common/searchNotebookHelpers","vs/workbench/api/common/extHostNotebook","vs/workbench/services/search/common/fileSearchManager","vs/workbench/services/search/common/queryBuilder","vs/workbench/services/extensions/common/workspaceContains","vs/workbench/api/common/extHostRequireInterceptor","vs/workbench/api/common/extensionHostMain","vs/workbench/services/search/common/textSearchManager","vs/workbench/api/common/extHost.api.impl","vs/workbench/api/common/extHost.common.services","vs/workbench/api/worker/extHostExtensionService","vs/workbench/api/worker/extHost.worker.services","vs/base/common/semver/semver","vs/base/common/codiconsUtil","vs/editor/common/model/mirrorTextModel","vs/editor/common/languages/linkComputer","vs/editor/common/core/selection","vs/workbench/api/worker/extensionHostWorker"],Pe=function(le){for(var e=[],I=0,O=le.length;I<O;I++)e[I]=Ie[le[I]];return e};define(Ie[69],Pe([1,0]),function(le,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$1h=O,e.$2h=R,e.$3h=M;function I(A){return(w,p,E)=>{let T=null,D=null;if(typeof E.value=="function"?(T="value",D=E.value):typeof E.get=="function"&&(T="get",D=E.get),!D)throw new Error("not supported");E[T]=A(D,p)}}function O(A,w,p){let E=null,T=null;if(typeof p.value=="function"?(E="value",T=p.value,T.length!==0&&console.warn("Memoize should only be used in functions with zero parameters")):typeof p.get=="function"&&(E="get",T=p.get),!T)throw new Error("not supported");const D=`$memoize$${w}`;p[E]=function(...d){return this.hasOwnProperty(D)||Object.defineProperty(this,D,{configurable:!1,enumerable:!1,writable:!1,value:T.apply(this,d)}),this[D]}}function R(A,w,p){return I((E,T)=>{const D=`$debounce$${T}`,d=`$debounce$result$${T}`;return function(...b){this[d]||(this[d]=p?p():void 0),clearTimeout(this[D]),w&&(this[d]=w(this[d],...b),b=[this[d]]),this[D]=setTimeout(()=>{E.apply(this,b),this[d]=p?p():void 0},A)}})}function M(A,w,p){return I((E,T)=>{const D=`$throttle$timer$${T}`,d=`$throttle$result$${T}`,b=`$throttle$lastRun$${T}`,m=`$throttle$pending$${T}`;return function(...r){if(this[d]||(this[d]=p?p():void 0),(this[b]===null||this[b]===void 0)&&(this[b]=-Number.MAX_VALUE),w&&(this[d]=w(this[d],...r)),this[m])return;const o=this[b]+A;o<=Date.now()?(this[b]=Date.now(),E.apply(this,[this[d]]),this[d]=p?p():void 0):(this[m]=!0,this[D]=setTimeout(()=>{this[m]=!1,this[b]=Date.now(),E.apply(this,[this[d]]),this[d]=p?p():void 0},o-Date.now()))}})}}),define(Ie[125],Pe([1,0,18]),function(le,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$7c=void 0,e.$8c=R,e.$9c=M,e.$0c=A,e.$$c=w,e.$_c=p,e.$ad=E;const O=(b,m)=>b===m;e.$7c=O;function R(b=e.$7c){return(m,r)=>I.$ub(m,r,b)}function M(){return(b,m)=>JSON.stringify(b)===JSON.stringify(m)}function A(){return(b,m)=>b.equals(m)}function w(b,m,r){return!b||!m?b===m:r(b,m)}function p(b,m){if(b===m)return!0;if(Array.isArray(b)&&Array.isArray(m)){if(b.length!==m.length)return!1;for(let r=0;r<b.length;r++)if(!p(b[r],m[r]))return!1;return!0}if(b&&typeof b=="object"&&m&&typeof m=="object"&&Object.getPrototypeOf(b)===Object.prototype&&Object.getPrototypeOf(m)===Object.prototype){const r=b,o=m,s=Object.keys(r),i=Object.keys(o),n=new Set(i);if(s.length!==i.length)return!1;for(const c of s)if(!n.has(c)||!p(r[c],o[c]))return!1;return!0}return!1}function E(b){return JSON.stringify(d(b))}let T=0;const D=new WeakMap;function d(b){if(Array.isArray(b))return b.map(d);if(b&&typeof b=="object")if(Object.getPrototypeOf(b)===Object.prototype){const m=b,r=Object.create(null);for(const o of Object.keys(m).sort())r[o]=d(m[o]);return r}else{let m=D.get(b);return m===void 0&&(m=T++,D.set(b,m)),m+"----2b76a038c20c4bcc"}return b}}),define(Ie[91],Pe([1,0]),function(le,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$CP=e.$BP=void 0;class I{constructor(R){this.a=R,this.b=0}nextId(){return this.a+ ++this.b}}e.$BP=I,e.$CP=new I("id#")}),define(Ie[126],Pe([1,0]),function(le,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ParseOptions=e.ParseErrorCode=e.SyntaxKind=e.ScanError=void 0,e.$Hn=A,e.$In=D,e.$Jn=d,e.$Kn=b,e.$Ln=m,e.$Mn=r,e.$Nn=o,e.$On=s,e.$Pn=i,e.$Qn=n,e.$Rn=c,e.$Sn=l;var I;(function(t){t[t.None=0]="None",t[t.UnexpectedEndOfComment=1]="UnexpectedEndOfComment",t[t.UnexpectedEndOfString=2]="UnexpectedEndOfString",t[t.UnexpectedEndOfNumber=3]="UnexpectedEndOfNumber",t[t.InvalidUnicode=4]="InvalidUnicode",t[t.InvalidEscapeCharacter=5]="InvalidEscapeCharacter",t[t.InvalidCharacter=6]="InvalidCharacter"})(I||(e.ScanError=I={}));var O;(function(t){t[t.OpenBraceToken=1]="OpenBraceToken",t[t.CloseBraceToken=2]="CloseBraceToken",t[t.OpenBracketToken=3]="OpenBracketToken",t[t.CloseBracketToken=4]="CloseBracketToken",t[t.CommaToken=5]="CommaToken",t[t.ColonToken=6]="ColonToken",t[t.NullKeyword=7]="NullKeyword",t[t.TrueKeyword=8]="TrueKeyword",t[t.FalseKeyword=9]="FalseKeyword",t[t.StringLiteral=10]="StringLiteral",t[t.NumericLiteral=11]="NumericLiteral",t[t.LineCommentTrivia=12]="LineCommentTrivia",t[t.BlockCommentTrivia=13]="BlockCommentTrivia",t[t.LineBreakTrivia=14]="LineBreakTrivia",t[t.Trivia=15]="Trivia",t[t.Unknown=16]="Unknown",t[t.EOF=17]="EOF"})(O||(e.SyntaxKind=O={}));var R;(function(t){t[t.InvalidSymbol=1]="InvalidSymbol",t[t.InvalidNumberFormat=2]="InvalidNumberFormat",t[t.PropertyNameExpected=3]="PropertyNameExpected",t[t.ValueExpected=4]="ValueExpected",t[t.ColonExpected=5]="ColonExpected",t[t.CommaExpected=6]="CommaExpected",t[t.CloseBraceExpected=7]="CloseBraceExpected",t[t.CloseBracketExpected=8]="CloseBracketExpected",t[t.EndOfFileExpected=9]="EndOfFileExpected",t[t.InvalidCommentToken=10]="InvalidCommentToken",t[t.UnexpectedEndOfComment=11]="UnexpectedEndOfComment",t[t.UnexpectedEndOfString=12]="UnexpectedEndOfString",t[t.UnexpectedEndOfNumber=13]="UnexpectedEndOfNumber",t[t.InvalidUnicode=14]="InvalidUnicode",t[t.InvalidEscapeCharacter=15]="InvalidEscapeCharacter",t[t.InvalidCharacter=16]="InvalidCharacter"})(R||(e.ParseErrorCode=R={}));var M;(function(t){t.DEFAULT={allowTrailingComma:!0}})(M||(e.ParseOptions=M={}));function A(t,f=!1){let a=0;const $=t.length;let u="",S=0,h=16,v=0;function g(q){let N=0,j=0;for(;N<q;){const K=t.charCodeAt(a);if(K>=48&&K<=57)j=j*16+K-48;else if(K>=65&&K<=70)j=j*16+K-65+10;else if(K>=97&&K<=102)j=j*16+K-97+10;else break;a++,N++}return N<q&&(j=-1),j}function k(q){a=q,u="",S=0,h=16,v=0}function y(){const q=a;if(t.charCodeAt(a)===48)a++;else for(a++;a<t.length&&E(t.charCodeAt(a));)a++;if(a<t.length&&t.charCodeAt(a)===46)if(a++,a<t.length&&E(t.charCodeAt(a)))for(a++;a<t.length&&E(t.charCodeAt(a));)a++;else return v=3,t.substring(q,a);let N=a;if(a<t.length&&(t.charCodeAt(a)===69||t.charCodeAt(a)===101))if(a++,(a<t.length&&t.charCodeAt(a)===43||t.charCodeAt(a)===45)&&a++,a<t.length&&E(t.charCodeAt(a))){for(a++;a<t.length&&E(t.charCodeAt(a));)a++;N=a}else v=3;return t.substring(q,N)}function C(){let q="",N=a;for(;;){if(a>=$){q+=t.substring(N,a),v=2;break}const j=t.charCodeAt(a);if(j===34){q+=t.substring(N,a),a++;break}if(j===92){if(q+=t.substring(N,a),a++,a>=$){v=2;break}switch(t.charCodeAt(a++)){case 34:q+='"';break;case 92:q+="\\";break;case 47:q+="/";break;case 98:q+="\b";break;case 102:q+="\f";break;case 110:q+=`
`;break;case 114:q+="\r";break;case 116:q+="	";break;case 117:{const ie=g(4);ie>=0?q+=String.fromCharCode(ie):v=4;break}default:v=5}N=a;continue}if(j>=0&&j<=31)if(p(j)){q+=t.substring(N,a),v=2;break}else v=6;a++}return q}function P(){if(u="",v=0,S=a,a>=$)return S=$,h=17;let q=t.charCodeAt(a);if(w(q)){do a++,u+=String.fromCharCode(q),q=t.charCodeAt(a);while(w(q));return h=15}if(p(q))return a++,u+=String.fromCharCode(q),q===13&&t.charCodeAt(a)===10&&(a++,u+=`
`),h=14;switch(q){case 123:return a++,h=1;case 125:return a++,h=2;case 91:return a++,h=3;case 93:return a++,h=4;case 58:return a++,h=6;case 44:return a++,h=5;case 34:return a++,u=C(),h=10;case 47:{const N=a-1;if(t.charCodeAt(a+1)===47){for(a+=2;a<$&&!p(t.charCodeAt(a));)a++;return u=t.substring(N,a),h=12}if(t.charCodeAt(a+1)===42){a+=2;const j=$-1;let K=!1;for(;a<j;){if(t.charCodeAt(a)===42&&t.charCodeAt(a+1)===47){a+=2,K=!0;break}a++}return K||(a++,v=1),u=t.substring(N,a),h=13}return u+=String.fromCharCode(q),a++,h=16}case 45:if(u+=String.fromCharCode(q),a++,a===$||!E(t.charCodeAt(a)))return h=16;case 48:case 49:case 50:case 51:case 52:case 53:case 54:case 55:case 56:case 57:return u+=y(),h=11;default:for(;a<$&&W(q);)a++,q=t.charCodeAt(a);if(S!==a){switch(u=t.substring(S,a),u){case"true":return h=8;case"false":return h=9;case"null":return h=7}return h=16}return u+=String.fromCharCode(q),a++,h=16}}function W(q){if(w(q)||p(q))return!1;switch(q){case 125:case 93:case 123:case 91:case 34:case 58:case 44:case 47:return!1}return!0}function V(){let q;do q=P();while(q>=12&&q<=15);return q}return{setPosition:k,getPosition:()=>a,scan:f?V:P,getToken:()=>h,getTokenValue:()=>u,getTokenOffset:()=>S,getTokenLength:()=>a-S,getTokenError:()=>v}}function w(t){return t===32||t===9||t===11||t===12||t===160||t===5760||t>=8192&&t<=8203||t===8239||t===8287||t===12288||t===65279}function p(t){return t===10||t===13||t===8232||t===8233}function E(t){return t>=48&&t<=57}var T;(function(t){t[t.nullCharacter=0]="nullCharacter",t[t.maxAsciiCharacter=127]="maxAsciiCharacter",t[t.lineFeed=10]="lineFeed",t[t.carriageReturn=13]="carriageReturn",t[t.lineSeparator=8232]="lineSeparator",t[t.paragraphSeparator=8233]="paragraphSeparator",t[t.nextLine=133]="nextLine",t[t.space=32]="space",t[t.nonBreakingSpace=160]="nonBreakingSpace",t[t.enQuad=8192]="enQuad",t[t.emQuad=8193]="emQuad",t[t.enSpace=8194]="enSpace",t[t.emSpace=8195]="emSpace",t[t.threePerEmSpace=8196]="threePerEmSpace",t[t.fourPerEmSpace=8197]="fourPerEmSpace",t[t.sixPerEmSpace=8198]="sixPerEmSpace",t[t.figureSpace=8199]="figureSpace",t[t.punctuationSpace=8200]="punctuationSpace",t[t.thinSpace=8201]="thinSpace",t[t.hairSpace=8202]="hairSpace",t[t.zeroWidthSpace=8203]="zeroWidthSpace",t[t.narrowNoBreakSpace=8239]="narrowNoBreakSpace",t[t.ideographicSpace=12288]="ideographicSpace",t[t.mathematicalSpace=8287]="mathematicalSpace",t[t.ogham=5760]="ogham",t[t._=95]="_",t[t.$=36]="$",t[t._0=48]="_0",t[t._1=49]="_1",t[t._2=50]="_2",t[t._3=51]="_3",t[t._4=52]="_4",t[t._5=53]="_5",t[t._6=54]="_6",t[t._7=55]="_7",t[t._8=56]="_8",t[t._9=57]="_9",t[t.a=97]="a",t[t.b=98]="b",t[t.c=99]="c",t[t.d=100]="d",t[t.e=101]="e",t[t.f=102]="f",t[t.g=103]="g",t[t.h=104]="h",t[t.i=105]="i",t[t.j=106]="j",t[t.k=107]="k",t[t.l=108]="l",t[t.m=109]="m",t[t.n=110]="n",t[t.o=111]="o",t[t.p=112]="p",t[t.q=113]="q",t[t.r=114]="r",t[t.s=115]="s",t[t.t=116]="t",t[t.u=117]="u",t[t.v=118]="v",t[t.w=119]="w",t[t.x=120]="x",t[t.y=121]="y",t[t.z=122]="z",t[t.A=65]="A",t[t.B=66]="B",t[t.C=67]="C",t[t.D=68]="D",t[t.E=69]="E",t[t.F=70]="F",t[t.G=71]="G",t[t.H=72]="H",t[t.I=73]="I",t[t.J=74]="J",t[t.K=75]="K",t[t.L=76]="L",t[t.M=77]="M",t[t.N=78]="N",t[t.O=79]="O",t[t.P=80]="P",t[t.Q=81]="Q",t[t.R=82]="R",t[t.S=83]="S",t[t.T=84]="T",t[t.U=85]="U",t[t.V=86]="V",t[t.W=87]="W",t[t.X=88]="X",t[t.Y=89]="Y",t[t.Z=90]="Z",t[t.ampersand=38]="ampersand",t[t.asterisk=42]="asterisk",t[t.at=64]="at",t[t.backslash=92]="backslash",t[t.bar=124]="bar",t[t.caret=94]="caret",t[t.closeBrace=125]="closeBrace",t[t.closeBracket=93]="closeBracket",t[t.closeParen=41]="closeParen",t[t.colon=58]="colon",t[t.comma=44]="comma",t[t.dot=46]="dot",t[t.doubleQuote=34]="doubleQuote",t[t.equals=61]="equals",t[t.exclamation=33]="exclamation",t[t.greaterThan=62]="greaterThan",t[t.lessThan=60]="lessThan",t[t.minus=45]="minus",t[t.openBrace=123]="openBrace",t[t.openBracket=91]="openBracket",t[t.openParen=40]="openParen",t[t.percent=37]="percent",t[t.plus=43]="plus",t[t.question=63]="question",t[t.semicolon=59]="semicolon",t[t.singleQuote=39]="singleQuote",t[t.slash=47]="slash",t[t.tilde=126]="tilde",t[t.backspace=8]="backspace",t[t.formFeed=12]="formFeed",t[t.byteOrderMark=65279]="byteOrderMark",t[t.tab=9]="tab",t[t.verticalTab=11]="verticalTab"})(T||(T={}));function D(t,f){const a=[],$=new Object;let u;const S={value:{},offset:0,length:0,type:"object",parent:void 0};let h=!1;function v(g,k,y,C){S.value=g,S.offset=k,S.length=y,S.type=C,S.colonOffset=void 0,u=S}try{n(t,{onObjectBegin:(g,k)=>{if(f<=g)throw $;u=void 0,h=f>g,a.push("")},onObjectProperty:(g,k,y)=>{if(f<k||(v(g,k,y,"property"),a[a.length-1]=g,f<=k+y))throw $},onObjectEnd:(g,k)=>{if(f<=g)throw $;u=void 0,a.pop()},onArrayBegin:(g,k)=>{if(f<=g)throw $;u=void 0,a.push(0)},onArrayEnd:(g,k)=>{if(f<=g)throw $;u=void 0,a.pop()},onLiteralValue:(g,k,y)=>{if(f<k||(v(g,k,y,l(g)),f<=k+y))throw $},onSeparator:(g,k,y)=>{if(f<=k)throw $;if(g===":"&&u&&u.type==="property")u.colonOffset=k,h=!1,u=void 0;else if(g===","){const C=a[a.length-1];typeof C=="number"?a[a.length-1]=C+1:(h=!0,a[a.length-1]=""),u=void 0}}})}catch(g){if(g!==$)throw g}return{path:a,previousNode:u,isAtPropertyKey:h,matches:g=>{let k=0;for(let y=0;k<g.length&&y<a.length;y++)if(g[k]===a[y]||g[k]==="*")k++;else if(g[k]!=="**")return!1;return k===g.length}}}function d(t,f=[],a=M.DEFAULT){let $=null,u=[];const S=[];function h(g){Array.isArray(u)?u.push(g):$!==null&&(u[$]=g)}return n(t,{onObjectBegin:()=>{const g={};h(g),S.push(u),u=g,$=null},onObjectProperty:g=>{$=g},onObjectEnd:()=>{u=S.pop()},onArrayBegin:()=>{const g=[];h(g),S.push(u),u=g,$=null},onArrayEnd:()=>{u=S.pop()},onLiteralValue:h,onError:(g,k,y)=>{f.push({error:g,offset:k,length:y})}},a),u[0]}function b(t,f=[],a=M.DEFAULT){let $={type:"array",offset:-1,length:-1,children:[],parent:void 0};function u(g){$.type==="property"&&($.length=g-$.offset,$=$.parent)}function S(g){return $.children.push(g),g}n(t,{onObjectBegin:g=>{$=S({type:"object",offset:g,length:-1,parent:$,children:[]})},onObjectProperty:(g,k,y)=>{$=S({type:"property",offset:k,length:-1,parent:$,children:[]}),$.children.push({type:"string",value:g,offset:k,length:y,parent:$})},onObjectEnd:(g,k)=>{$.length=g+k-$.offset,$=$.parent,u(g+k)},onArrayBegin:(g,k)=>{$=S({type:"array",offset:g,length:-1,parent:$,children:[]})},onArrayEnd:(g,k)=>{$.length=g+k-$.offset,$=$.parent,u(g+k)},onLiteralValue:(g,k,y)=>{S({type:l(g),offset:k,length:y,parent:$,value:g}),u(k+y)},onSeparator:(g,k,y)=>{$.type==="property"&&(g===":"?$.colonOffset=k:g===","&&u(k))},onError:(g,k,y)=>{f.push({error:g,offset:k,length:y})}},a);const v=$.children[0];return v&&delete v.parent,v}function m(t,f){if(!t)return;let a=t;for(const $ of f)if(typeof $=="string"){if(a.type!=="object"||!Array.isArray(a.children))return;let u=!1;for(const S of a.children)if(Array.isArray(S.children)&&S.children[0].value===$){a=S.children[1],u=!0;break}if(!u)return}else{const u=$;if(a.type!=="array"||u<0||!Array.isArray(a.children)||u>=a.children.length)return;a=a.children[u]}return a}function r(t){if(!t.parent||!t.parent.children)return[];const f=r(t.parent);if(t.parent.type==="property"){const a=t.parent.children[0].value;f.push(a)}else if(t.parent.type==="array"){const a=t.parent.children.indexOf(t);a!==-1&&f.push(a)}return f}function o(t){switch(t.type){case"array":return t.children.map(o);case"object":{const f=Object.create(null);for(const a of t.children){const $=a.children[1];$&&(f[a.children[0].value]=o($))}return f}case"null":case"string":case"number":case"boolean":return t.value;default:return}}function s(t,f,a=!1){return f>=t.offset&&f<t.offset+t.length||a&&f===t.offset+t.length}function i(t,f,a=!1){if(s(t,f,a)){const $=t.children;if(Array.isArray($))for(let u=0;u<$.length&&$[u].offset<=f;u++){const S=i($[u],f,a);if(S)return S}return t}}function n(t,f,a=M.DEFAULT){const $=A(t,!1);function u(Te){return Te?()=>Te($.getTokenOffset(),$.getTokenLength()):()=>!0}function S(Te){return Te?ae=>Te(ae,$.getTokenOffset(),$.getTokenLength()):()=>!0}const h=u(f.onObjectBegin),v=S(f.onObjectProperty),g=u(f.onObjectEnd),k=u(f.onArrayBegin),y=u(f.onArrayEnd),C=S(f.onLiteralValue),P=S(f.onSeparator),W=u(f.onComment),V=S(f.onError),q=a&&a.disallowComments,N=a&&a.allowTrailingComma;function j(){for(;;){const Te=$.scan();switch($.getTokenError()){case 4:K(14);break;case 5:K(15);break;case 3:K(13);break;case 1:q||K(11);break;case 2:K(12);break;case 6:K(16);break}switch(Te){case 12:case 13:q?K(10):W();break;case 16:K(1);break;case 15:case 14:break;default:return Te}}}function K(Te,ae=[],Ne=[]){if(V(Te),ae.length+Ne.length>0){let ne=$.getToken();for(;ne!==17;){if(ae.indexOf(ne)!==-1){j();break}else if(Ne.indexOf(ne)!==-1)break;ne=j()}}}function ie(Te){const ae=$.getTokenValue();return Te?C(ae):v(ae),j(),!0}function ce(){switch($.getToken()){case 11:{let Te=0;try{Te=JSON.parse($.getTokenValue()),typeof Te!="number"&&(K(2),Te=0)}catch{K(2)}C(Te);break}case 7:C(null);break;case 8:C(!0);break;case 9:C(!1);break;default:return!1}return j(),!0}function ye(){return $.getToken()!==10?(K(3,[],[2,5]),!1):(ie(!1),$.getToken()===6?(P(":"),j(),$e()||K(4,[],[2,5])):K(5,[],[2,5]),!0)}function Se(){h(),j();let Te=!1;for(;$.getToken()!==2&&$.getToken()!==17;){if($.getToken()===5){if(Te||K(4,[],[]),P(","),j(),$.getToken()===2&&N)break}else Te&&K(6,[],[]);ye()||K(4,[],[2,5]),Te=!0}return g(),$.getToken()!==2?K(7,[2],[]):j(),!0}function fe(){k(),j();let Te=!1;for(;$.getToken()!==4&&$.getToken()!==17;){if($.getToken()===5){if(Te||K(4,[],[]),P(","),j(),$.getToken()===4&&N)break}else Te&&K(6,[],[]);$e()||K(4,[],[4,5]),Te=!0}return y(),$.getToken()!==4?K(8,[4],[]):j(),!0}function $e(){switch($.getToken()){case 3:return fe();case 1:return Se();case 10:return ie(!0);default:return ce()}}return j(),$.getToken()===17?a.allowEmptyContent?!0:(K(4,[],[]),!1):$e()?($.getToken()!==17&&K(9,[],[]),!0):(K(4,[],[]),!1)}function c(t,f){const a=A(t),$=[];let u,S=0,h;do switch(h=a.getPosition(),u=a.scan(),u){case 12:case 13:case 17:S!==h&&$.push(t.substring(S,h)),f!==void 0&&$.push(a.getTokenValue().replace(/[^\r\n]/g,f)),S=a.getPosition();break}while(u!==17);return $.join("")}function l(t){switch(typeof t){case"boolean":return"boolean";case"number":return"number";case"string":return"string";case"object":{if(t){if(Array.isArray(t))return"array"}else return"null";return"object"}default:return"null"}}}),function(le,e){typeof define=="function"&&define.amd?define(Ie[127],Pe([0]),e):typeof exports=="object"&&typeof module<"u"?e(exports):(le=typeof globalThis<"u"?globalThis:le||self,e(le.marked={}))}(this,function(le){"use strict";function e(De,we){for(var ge=0;ge<we.length;ge++){var Q=we[ge];Q.enumerable=Q.enumerable||!1,Q.configurable=!0,"value"in Q&&(Q.writable=!0),Object.defineProperty(De,Q.key,Q)}}function I(De,we,ge){return we&&e(De.prototype,we),ge&&e(De,ge),Object.defineProperty(De,"prototype",{writable:!1}),De}function O(De,we){if(De){if(typeof De=="string")return R(De,we);var ge=Object.prototype.toString.call(De).slice(8,-1);if(ge==="Object"&&De.constructor&&(ge=De.constructor.name),ge==="Map"||ge==="Set")return Array.from(De);if(ge==="Arguments"||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(ge))return R(De,we)}}function R(De,we){(we==null||we>De.length)&&(we=De.length);for(var ge=0,Q=new Array(we);ge<we;ge++)Q[ge]=De[ge];return Q}function M(De,we){var ge=typeof Symbol<"u"&&De[Symbol.iterator]||De["@@iterator"];if(ge)return(ge=ge.call(De)).next.bind(ge);if(Array.isArray(De)||(ge=O(De))||we&&De&&typeof De.length=="number"){ge&&(De=ge);var Q=0;return function(){return Q>=De.length?{done:!0}:{done:!1,value:De[Q++]}}}throw new TypeError(`Invalid attempt to iterate non-iterable instance.
In order to be iterable, non-array objects must have a [Symbol.iterator]() method.`)}function A(){return{async:!1,baseUrl:null,breaks:!1,extensions:null,gfm:!0,headerIds:!0,headerPrefix:"",highlight:null,langPrefix:"language-",mangle:!0,pedantic:!1,renderer:null,sanitize:!1,sanitizer:null,silent:!1,smartLists:!1,smartypants:!1,tokenizer:null,walkTokens:null,xhtml:!1}}le.defaults=A();function w(De){le.defaults=De}var p=/[&<>"']/,E=/[&<>"']/g,T=/[<>"']|&(?!#?\w+;)/,D=/[<>"']|&(?!#?\w+;)/g,d={"&":"&amp;","<":"&lt;",">":"&gt;",'"':"&quot;","'":"&#39;"},b=function(we){return d[we]};function m(De,we){if(we){if(p.test(De))return De.replace(E,b)}else if(T.test(De))return De.replace(D,b);return De}var r=/&(#(?:\d+)|(?:#x[0-9A-Fa-f]+)|(?:\w+));?/ig;function o(De){return De.replace(r,function(we,ge){return ge=ge.toLowerCase(),ge==="colon"?":":ge.charAt(0)==="#"?ge.charAt(1)==="x"?String.fromCharCode(parseInt(ge.substring(2),16)):String.fromCharCode(+ge.substring(1)):""})}var s=/(^|[^\[])\^/g;function i(De,we){De=typeof De=="string"?De:De.source,we=we||"";var ge={replace:function(Y,he){return he=he.source||he,he=he.replace(s,"$1"),De=De.replace(Y,he),ge},getRegex:function(){return new RegExp(De,we)}};return ge}var n=/[^\w:]/g,c=/^$|^[a-z][a-z0-9+.-]*:|^[?#]/i;function l(De,we,ge){if(De){var Q;try{Q=decodeURIComponent(o(ge)).replace(n,"").toLowerCase()}catch{return null}if(Q.indexOf("javascript:")===0||Q.indexOf("vbscript:")===0||Q.indexOf("data:")===0)return null}we&&!c.test(ge)&&(ge=u(we,ge));try{ge=encodeURI(ge).replace(/%25/g,"%")}catch{return null}return ge}var t={},f=/^[^:]+:\/*[^/]*$/,a=/^([^:]+:)[\s\S]*$/,$=/^([^:]+:\/*[^/]*)[\s\S]*$/;function u(De,we){t[" "+De]||(f.test(De)?t[" "+De]=De+"/":t[" "+De]=g(De,"/",!0)),De=t[" "+De];var ge=De.indexOf(":")===-1;return we.substring(0,2)==="//"?ge?we:De.replace(a,"$1")+we:we.charAt(0)==="/"?ge?we:De.replace($,"$1")+we:De+we}var S={exec:function(){}};function h(De){for(var we=1,ge,Q;we<arguments.length;we++){ge=arguments[we];for(Q in ge)Object.prototype.hasOwnProperty.call(ge,Q)&&(De[Q]=ge[Q])}return De}function v(De,we){var ge=De.replace(/\|/g,function(he,ue,Me){for(var de=!1,Ce=ue;--Ce>=0&&Me[Ce]==="\\";)de=!de;return de?"|":" |"}),Q=ge.split(/ \|/),Y=0;if(Q[0].trim()||Q.shift(),Q.length>0&&!Q[Q.length-1].trim()&&Q.pop(),Q.length>we)Q.splice(we);else for(;Q.length<we;)Q.push("");for(;Y<Q.length;Y++)Q[Y]=Q[Y].trim().replace(/\\\|/g,"|");return Q}function g(De,we,ge){var Q=De.length;if(Q===0)return"";for(var Y=0;Y<Q;){var he=De.charAt(Q-Y-1);if(he===we&&!ge)Y++;else if(he!==we&&ge)Y++;else break}return De.slice(0,Q-Y)}function k(De,we){if(De.indexOf(we[1])===-1)return-1;for(var ge=De.length,Q=0,Y=0;Y<ge;Y++)if(De[Y]==="\\")Y++;else if(De[Y]===we[0])Q++;else if(De[Y]===we[1]&&(Q--,Q<0))return Y;return-1}function y(De){De&&De.sanitize&&!De.silent&&console.warn("marked(): sanitize and sanitizer parameters are deprecated since version 0.7.0, should not be used and will be removed in the future. Read more here: https://marked.js.org/#/USING_ADVANCED.md#options")}function C(De,we){if(we<1)return"";for(var ge="";we>1;)we&1&&(ge+=De),we>>=1,De+=De;return ge+De}function P(De,we,ge,Q){var Y=we.href,he=we.title?m(we.title):null,ue=De[1].replace(/\\([\[\]])/g,"$1");if(De[0].charAt(0)!=="!"){Q.state.inLink=!0;var Me={type:"link",raw:ge,href:Y,title:he,text:ue,tokens:Q.inlineTokens(ue)};return Q.state.inLink=!1,Me}return{type:"image",raw:ge,href:Y,title:he,text:m(ue)}}function W(De,we){var ge=De.match(/^(\s+)(?:```)/);if(ge===null)return we;var Q=ge[1];return we.split(`
`).map(function(Y){var he=Y.match(/^\s+/);if(he===null)return Y;var ue=he[0];return ue.length>=Q.length?Y.slice(Q.length):Y}).join(`
`)}var V=function(){function De(ge){this.options=ge||le.defaults}var we=De.prototype;return we.space=function(Q){var Y=this.rules.block.newline.exec(Q);if(Y&&Y[0].length>0)return{type:"space",raw:Y[0]}},we.code=function(Q){var Y=this.rules.block.code.exec(Q);if(Y){var he=Y[0].replace(/^ {1,4}/gm,"");return{type:"code",raw:Y[0],codeBlockStyle:"indented",text:this.options.pedantic?he:g(he,`
`)}}},we.fences=function(Q){var Y=this.rules.block.fences.exec(Q);if(Y){var he=Y[0],ue=W(he,Y[3]||"");return{type:"code",raw:he,lang:Y[2]?Y[2].trim():Y[2],text:ue}}},we.heading=function(Q){var Y=this.rules.block.heading.exec(Q);if(Y){var he=Y[2].trim();if(/#$/.test(he)){var ue=g(he,"#");(this.options.pedantic||!ue||/ $/.test(ue))&&(he=ue.trim())}return{type:"heading",raw:Y[0],depth:Y[1].length,text:he,tokens:this.lexer.inline(he)}}},we.hr=function(Q){var Y=this.rules.block.hr.exec(Q);if(Y)return{type:"hr",raw:Y[0]}},we.blockquote=function(Q){var Y=this.rules.block.blockquote.exec(Q);if(Y){var he=Y[0].replace(/^ *>[ \t]?/gm,"");return{type:"blockquote",raw:Y[0],tokens:this.lexer.blockTokens(he,[]),text:he}}},we.list=function(Q){var Y=this.rules.block.list.exec(Q);if(Y){var he,ue,Me,de,Ce,Re,je,U,F,G,H,ee,re=Y[1].trim(),Oe=re.length>1,Be={type:"list",raw:"",ordered:Oe,start:Oe?+re.slice(0,-1):"",loose:!1,items:[]};re=Oe?"\\d{1,9}\\"+re.slice(-1):"\\"+re,this.options.pedantic&&(re=Oe?re:"[*+-]");for(var Ge=new RegExp("^( {0,3}"+re+")((?:[	 ][^\\n]*)?(?:\\n|$))");Q&&(ee=!1,!(!(Y=Ge.exec(Q))||this.rules.block.hr.test(Q)));){if(he=Y[0],Q=Q.substring(he.length),U=Y[2].split(`
`,1)[0],F=Q.split(`
`,1)[0],this.options.pedantic?(de=2,H=U.trimLeft()):(de=Y[2].search(/[^ ]/),de=de>4?1:de,H=U.slice(de),de+=Y[1].length),Re=!1,!U&&/^ *$/.test(F)&&(he+=F+`
`,Q=Q.substring(F.length+1),ee=!0),!ee)for(var _e=new RegExp("^ {0,"+Math.min(3,de-1)+"}(?:[*+-]|\\d{1,9}[.)])((?: [^\\n]*)?(?:\\n|$))"),xe=new RegExp("^ {0,"+Math.min(3,de-1)+"}((?:- *){3,}|(?:_ *){3,}|(?:\\* *){3,})(?:\\n+|$)"),et=new RegExp("^ {0,"+Math.min(3,de-1)+"}(?:```|~~~)"),tt=new RegExp("^ {0,"+Math.min(3,de-1)+"}#");Q&&(G=Q.split(`
`,1)[0],U=G,this.options.pedantic&&(U=U.replace(/^ {1,4}(?=( {4})*[^ ])/g,"  ")),!(et.test(U)||tt.test(U)||_e.test(U)||xe.test(Q)));){if(U.search(/[^ ]/)>=de||!U.trim())H+=`
`+U.slice(de);else if(!Re)H+=`
`+U;else break;!Re&&!U.trim()&&(Re=!0),he+=G+`
`,Q=Q.substring(G.length+1)}Be.loose||(je?Be.loose=!0:/\n *\n *$/.test(he)&&(je=!0)),this.options.gfm&&(ue=/^\[[ xX]\] /.exec(H),ue&&(Me=ue[0]!=="[ ] ",H=H.replace(/^\[[ xX]\] +/,""))),Be.items.push({type:"list_item",raw:he,task:!!ue,checked:Me,loose:!1,text:H}),Be.raw+=he}Be.items[Be.items.length-1].raw=he.trimRight(),Be.items[Be.items.length-1].text=H.trimRight(),Be.raw=Be.raw.trimRight();var it=Be.items.length;for(Ce=0;Ce<it;Ce++){this.lexer.state.top=!1,Be.items[Ce].tokens=this.lexer.blockTokens(Be.items[Ce].text,[]);var at=Be.items[Ce].tokens.filter(function(Ue){return Ue.type==="space"}),gt=at.every(function(Ue){for(var st=Ue.raw.split(""),X=0,Z=M(st),me;!(me=Z()).done;){var qe=me.value;if(qe===`
`&&(X+=1),X>1)return!0}return!1});!Be.loose&&at.length&&gt&&(Be.loose=!0,Be.items[Ce].loose=!0)}return Be}},we.html=function(Q){var Y=this.rules.block.html.exec(Q);if(Y){var he={type:"html",raw:Y[0],pre:!this.options.sanitizer&&(Y[1]==="pre"||Y[1]==="script"||Y[1]==="style"),text:Y[0]};if(this.options.sanitize){var ue=this.options.sanitizer?this.options.sanitizer(Y[0]):m(Y[0]);he.type="paragraph",he.text=ue,he.tokens=this.lexer.inline(ue)}return he}},we.def=function(Q){var Y=this.rules.block.def.exec(Q);if(Y){Y[3]&&(Y[3]=Y[3].substring(1,Y[3].length-1));var he=Y[1].toLowerCase().replace(/\s+/g," ");return{type:"def",tag:he,raw:Y[0],href:Y[2],title:Y[3]}}},we.table=function(Q){var Y=this.rules.block.table.exec(Q);if(Y){var he={type:"table",header:v(Y[1]).map(function(je){return{text:je}}),align:Y[2].replace(/^ *|\| *$/g,"").split(/ *\| */),rows:Y[3]&&Y[3].trim()?Y[3].replace(/\n[ \t]*$/,"").split(`
`):[]};if(he.header.length===he.align.length){he.raw=Y[0];var ue=he.align.length,Me,de,Ce,Re;for(Me=0;Me<ue;Me++)/^ *-+: *$/.test(he.align[Me])?he.align[Me]="right":/^ *:-+: *$/.test(he.align[Me])?he.align[Me]="center":/^ *:-+ *$/.test(he.align[Me])?he.align[Me]="left":he.align[Me]=null;for(ue=he.rows.length,Me=0;Me<ue;Me++)he.rows[Me]=v(he.rows[Me],he.header.length).map(function(je){return{text:je}});for(ue=he.header.length,de=0;de<ue;de++)he.header[de].tokens=this.lexer.inline(he.header[de].text);for(ue=he.rows.length,de=0;de<ue;de++)for(Re=he.rows[de],Ce=0;Ce<Re.length;Ce++)Re[Ce].tokens=this.lexer.inline(Re[Ce].text);return he}}},we.lheading=function(Q){var Y=this.rules.block.lheading.exec(Q);if(Y)return{type:"heading",raw:Y[0],depth:Y[2].charAt(0)==="="?1:2,text:Y[1],tokens:this.lexer.inline(Y[1])}},we.paragraph=function(Q){var Y=this.rules.block.paragraph.exec(Q);if(Y){var he=Y[1].charAt(Y[1].length-1)===`
`?Y[1].slice(0,-1):Y[1];return{type:"paragraph",raw:Y[0],text:he,tokens:this.lexer.inline(he)}}},we.text=function(Q){var Y=this.rules.block.text.exec(Q);if(Y)return{type:"text",raw:Y[0],text:Y[0],tokens:this.lexer.inline(Y[0])}},we.escape=function(Q){var Y=this.rules.inline.escape.exec(Q);if(Y)return{type:"escape",raw:Y[0],text:m(Y[1])}},we.tag=function(Q){var Y=this.rules.inline.tag.exec(Q);if(Y)return!this.lexer.state.inLink&&/^<a /i.test(Y[0])?this.lexer.state.inLink=!0:this.lexer.state.inLink&&/^<\/a>/i.test(Y[0])&&(this.lexer.state.inLink=!1),!this.lexer.state.inRawBlock&&/^<(pre|code|kbd|script)(\s|>)/i.test(Y[0])?this.lexer.state.inRawBlock=!0:this.lexer.state.inRawBlock&&/^<\/(pre|code|kbd|script)(\s|>)/i.test(Y[0])&&(this.lexer.state.inRawBlock=!1),{type:this.options.sanitize?"text":"html",raw:Y[0],inLink:this.lexer.state.inLink,inRawBlock:this.lexer.state.inRawBlock,text:this.options.sanitize?this.options.sanitizer?this.options.sanitizer(Y[0]):m(Y[0]):Y[0]}},we.link=function(Q){var Y=this.rules.inline.link.exec(Q);if(Y){var he=Y[2].trim();if(!this.options.pedantic&&/^</.test(he)){if(!/>$/.test(he))return;var ue=g(he.slice(0,-1),"\\");if((he.length-ue.length)%2===0)return}else{var Me=k(Y[2],"()");if(Me>-1){var de=Y[0].indexOf("!")===0?5:4,Ce=de+Y[1].length+Me;Y[2]=Y[2].substring(0,Me),Y[0]=Y[0].substring(0,Ce).trim(),Y[3]=""}}var Re=Y[2],je="";if(this.options.pedantic){var U=/^([^'"]*[^\s])\s+(['"])(.*)\2/.exec(Re);U&&(Re=U[1],je=U[3])}else je=Y[3]?Y[3].slice(1,-1):"";return Re=Re.trim(),/^</.test(Re)&&(this.options.pedantic&&!/>$/.test(he)?Re=Re.slice(1):Re=Re.slice(1,-1)),P(Y,{href:Re&&Re.replace(this.rules.inline._escapes,"$1"),title:je&&je.replace(this.rules.inline._escapes,"$1")},Y[0],this.lexer)}},we.reflink=function(Q,Y){var he;if((he=this.rules.inline.reflink.exec(Q))||(he=this.rules.inline.nolink.exec(Q))){var ue=(he[2]||he[1]).replace(/\s+/g," ");if(ue=Y[ue.toLowerCase()],!ue||!ue.href){var Me=he[0].charAt(0);return{type:"text",raw:Me,text:Me}}return P(he,ue,he[0],this.lexer)}},we.emStrong=function(Q,Y,he){he===void 0&&(he="");var ue=this.rules.inline.emStrong.lDelim.exec(Q);if(ue&&!(ue[3]&&he.match(/(?:[0-9A-Za-z\xAA\xB2\xB3\xB5\xB9\xBA\xBC-\xBE\xC0-\xD6\xD8-\xF6\xF8-\u02C1\u02C6-\u02D1\u02E0-\u02E4\u02EC\u02EE\u0370-\u0374\u0376\u0377\u037A-\u037D\u037F\u0386\u0388-\u038A\u038C\u038E-\u03A1\u03A3-\u03F5\u03F7-\u0481\u048A-\u052F\u0531-\u0556\u0559\u0560-\u0588\u05D0-\u05EA\u05EF-\u05F2\u0620-\u064A\u0660-\u0669\u066E\u066F\u0671-\u06D3\u06D5\u06E5\u06E6\u06EE-\u06FC\u06FF\u0710\u0712-\u072F\u074D-\u07A5\u07B1\u07C0-\u07EA\u07F4\u07F5\u07FA\u0800-\u0815\u081A\u0824\u0828\u0840-\u0858\u0860-\u086A\u0870-\u0887\u0889-\u088E\u08A0-\u08C9\u0904-\u0939\u093D\u0950\u0958-\u0961\u0966-\u096F\u0971-\u0980\u0985-\u098C\u098F\u0990\u0993-\u09A8\u09AA-\u09B0\u09B2\u09B6-\u09B9\u09BD\u09CE\u09DC\u09DD\u09DF-\u09E1\u09E6-\u09F1\u09F4-\u09F9\u09FC\u0A05-\u0A0A\u0A0F\u0A10\u0A13-\u0A28\u0A2A-\u0A30\u0A32\u0A33\u0A35\u0A36\u0A38\u0A39\u0A59-\u0A5C\u0A5E\u0A66-\u0A6F\u0A72-\u0A74\u0A85-\u0A8D\u0A8F-\u0A91\u0A93-\u0AA8\u0AAA-\u0AB0\u0AB2\u0AB3\u0AB5-\u0AB9\u0ABD\u0AD0\u0AE0\u0AE1\u0AE6-\u0AEF\u0AF9\u0B05-\u0B0C\u0B0F\u0B10\u0B13-\u0B28\u0B2A-\u0B30\u0B32\u0B33\u0B35-\u0B39\u0B3D\u0B5C\u0B5D\u0B5F-\u0B61\u0B66-\u0B6F\u0B71-\u0B77\u0B83\u0B85-\u0B8A\u0B8E-\u0B90\u0B92-\u0B95\u0B99\u0B9A\u0B9C\u0B9E\u0B9F\u0BA3\u0BA4\u0BA8-\u0BAA\u0BAE-\u0BB9\u0BD0\u0BE6-\u0BF2\u0C05-\u0C0C\u0C0E-\u0C10\u0C12-\u0C28\u0C2A-\u0C39\u0C3D\u0C58-\u0C5A\u0C5D\u0C60\u0C61\u0C66-\u0C6F\u0C78-\u0C7E\u0C80\u0C85-\u0C8C\u0C8E-\u0C90\u0C92-\u0CA8\u0CAA-\u0CB3\u0CB5-\u0CB9\u0CBD\u0CDD\u0CDE\u0CE0\u0CE1\u0CE6-\u0CEF\u0CF1\u0CF2\u0D04-\u0D0C\u0D0E-\u0D10\u0D12-\u0D3A\u0D3D\u0D4E\u0D54-\u0D56\u0D58-\u0D61\u0D66-\u0D78\u0D7A-\u0D7F\u0D85-\u0D96\u0D9A-\u0DB1\u0DB3-\u0DBB\u0DBD\u0DC0-\u0DC6\u0DE6-\u0DEF\u0E01-\u0E30\u0E32\u0E33\u0E40-\u0E46\u0E50-\u0E59\u0E81\u0E82\u0E84\u0E86-\u0E8A\u0E8C-\u0EA3\u0EA5\u0EA7-\u0EB0\u0EB2\u0EB3\u0EBD\u0EC0-\u0EC4\u0EC6\u0ED0-\u0ED9\u0EDC-\u0EDF\u0F00\u0F20-\u0F33\u0F40-\u0F47\u0F49-\u0F6C\u0F88-\u0F8C\u1000-\u102A\u103F-\u1049\u1050-\u1055\u105A-\u105D\u1061\u1065\u1066\u106E-\u1070\u1075-\u1081\u108E\u1090-\u1099\u10A0-\u10C5\u10C7\u10CD\u10D0-\u10FA\u10FC-\u1248\u124A-\u124D\u1250-\u1256\u1258\u125A-\u125D\u1260-\u1288\u128A-\u128D\u1290-\u12B0\u12B2-\u12B5\u12B8-\u12BE\u12C0\u12C2-\u12C5\u12C8-\u12D6\u12D8-\u1310\u1312-\u1315\u1318-\u135A\u1369-\u137C\u1380-\u138F\u13A0-\u13F5\u13F8-\u13FD\u1401-\u166C\u166F-\u167F\u1681-\u169A\u16A0-\u16EA\u16EE-\u16F8\u1700-\u1711\u171F-\u1731\u1740-\u1751\u1760-\u176C\u176E-\u1770\u1780-\u17B3\u17D7\u17DC\u17E0-\u17E9\u17F0-\u17F9\u1810-\u1819\u1820-\u1878\u1880-\u1884\u1887-\u18A8\u18AA\u18B0-\u18F5\u1900-\u191E\u1946-\u196D\u1970-\u1974\u1980-\u19AB\u19B0-\u19C9\u19D0-\u19DA\u1A00-\u1A16\u1A20-\u1A54\u1A80-\u1A89\u1A90-\u1A99\u1AA7\u1B05-\u1B33\u1B45-\u1B4C\u1B50-\u1B59\u1B83-\u1BA0\u1BAE-\u1BE5\u1C00-\u1C23\u1C40-\u1C49\u1C4D-\u1C7D\u1C80-\u1C88\u1C90-\u1CBA\u1CBD-\u1CBF\u1CE9-\u1CEC\u1CEE-\u1CF3\u1CF5\u1CF6\u1CFA\u1D00-\u1DBF\u1E00-\u1F15\u1F18-\u1F1D\u1F20-\u1F45\u1F48-\u1F4D\u1F50-\u1F57\u1F59\u1F5B\u1F5D\u1F5F-\u1F7D\u1F80-\u1FB4\u1FB6-\u1FBC\u1FBE\u1FC2-\u1FC4\u1FC6-\u1FCC\u1FD0-\u1FD3\u1FD6-\u1FDB\u1FE0-\u1FEC\u1FF2-\u1FF4\u1FF6-\u1FFC\u2070\u2071\u2074-\u2079\u207F-\u2089\u2090-\u209C\u2102\u2107\u210A-\u2113\u2115\u2119-\u211D\u2124\u2126\u2128\u212A-\u212D\u212F-\u2139\u213C-\u213F\u2145-\u2149\u214E\u2150-\u2189\u2460-\u249B\u24EA-\u24FF\u2776-\u2793\u2C00-\u2CE4\u2CEB-\u2CEE\u2CF2\u2CF3\u2CFD\u2D00-\u2D25\u2D27\u2D2D\u2D30-\u2D67\u2D6F\u2D80-\u2D96\u2DA0-\u2DA6\u2DA8-\u2DAE\u2DB0-\u2DB6\u2DB8-\u2DBE\u2DC0-\u2DC6\u2DC8-\u2DCE\u2DD0-\u2DD6\u2DD8-\u2DDE\u2E2F\u3005-\u3007\u3021-\u3029\u3031-\u3035\u3038-\u303C\u3041-\u3096\u309D-\u309F\u30A1-\u30FA\u30FC-\u30FF\u3105-\u312F\u3131-\u318E\u3192-\u3195\u31A0-\u31BF\u31F0-\u31FF\u3220-\u3229\u3248-\u324F\u3251-\u325F\u3280-\u3289\u32B1-\u32BF\u3400-\u4DBF\u4E00-\uA48C\uA4D0-\uA4FD\uA500-\uA60C\uA610-\uA62B\uA640-\uA66E\uA67F-\uA69D\uA6A0-\uA6EF\uA717-\uA71F\uA722-\uA788\uA78B-\uA7CA\uA7D0\uA7D1\uA7D3\uA7D5-\uA7D9\uA7F2-\uA801\uA803-\uA805\uA807-\uA80A\uA80C-\uA822\uA830-\uA835\uA840-\uA873\uA882-\uA8B3\uA8D0-\uA8D9\uA8F2-\uA8F7\uA8FB\uA8FD\uA8FE\uA900-\uA925\uA930-\uA946\uA960-\uA97C\uA984-\uA9B2\uA9CF-\uA9D9\uA9E0-\uA9E4\uA9E6-\uA9FE\uAA00-\uAA28\uAA40-\uAA42\uAA44-\uAA4B\uAA50-\uAA59\uAA60-\uAA76\uAA7A\uAA7E-\uAAAF\uAAB1\uAAB5\uAAB6\uAAB9-\uAABD\uAAC0\uAAC2\uAADB-\uAADD\uAAE0-\uAAEA\uAAF2-\uAAF4\uAB01-\uAB06\uAB09-\uAB0E\uAB11-\uAB16\uAB20-\uAB26\uAB28-\uAB2E\uAB30-\uAB5A\uAB5C-\uAB69\uAB70-\uABE2\uABF0-\uABF9\uAC00-\uD7A3\uD7B0-\uD7C6\uD7CB-\uD7FB\uF900-\uFA6D\uFA70-\uFAD9\uFB00-\uFB06\uFB13-\uFB17\uFB1D\uFB1F-\uFB28\uFB2A-\uFB36\uFB38-\uFB3C\uFB3E\uFB40\uFB41\uFB43\uFB44\uFB46-\uFBB1\uFBD3-\uFD3D\uFD50-\uFD8F\uFD92-\uFDC7\uFDF0-\uFDFB\uFE70-\uFE74\uFE76-\uFEFC\uFF10-\uFF19\uFF21-\uFF3A\uFF41-\uFF5A\uFF66-\uFFBE\uFFC2-\uFFC7\uFFCA-\uFFCF\uFFD2-\uFFD7\uFFDA-\uFFDC]|\uD800[\uDC00-\uDC0B\uDC0D-\uDC26\uDC28-\uDC3A\uDC3C\uDC3D\uDC3F-\uDC4D\uDC50-\uDC5D\uDC80-\uDCFA\uDD07-\uDD33\uDD40-\uDD78\uDD8A\uDD8B\uDE80-\uDE9C\uDEA0-\uDED0\uDEE1-\uDEFB\uDF00-\uDF23\uDF2D-\uDF4A\uDF50-\uDF75\uDF80-\uDF9D\uDFA0-\uDFC3\uDFC8-\uDFCF\uDFD1-\uDFD5]|\uD801[\uDC00-\uDC9D\uDCA0-\uDCA9\uDCB0-\uDCD3\uDCD8-\uDCFB\uDD00-\uDD27\uDD30-\uDD63\uDD70-\uDD7A\uDD7C-\uDD8A\uDD8C-\uDD92\uDD94\uDD95\uDD97-\uDDA1\uDDA3-\uDDB1\uDDB3-\uDDB9\uDDBB\uDDBC\uDE00-\uDF36\uDF40-\uDF55\uDF60-\uDF67\uDF80-\uDF85\uDF87-\uDFB0\uDFB2-\uDFBA]|\uD802[\uDC00-\uDC05\uDC08\uDC0A-\uDC35\uDC37\uDC38\uDC3C\uDC3F-\uDC55\uDC58-\uDC76\uDC79-\uDC9E\uDCA7-\uDCAF\uDCE0-\uDCF2\uDCF4\uDCF5\uDCFB-\uDD1B\uDD20-\uDD39\uDD80-\uDDB7\uDDBC-\uDDCF\uDDD2-\uDE00\uDE10-\uDE13\uDE15-\uDE17\uDE19-\uDE35\uDE40-\uDE48\uDE60-\uDE7E\uDE80-\uDE9F\uDEC0-\uDEC7\uDEC9-\uDEE4\uDEEB-\uDEEF\uDF00-\uDF35\uDF40-\uDF55\uDF58-\uDF72\uDF78-\uDF91\uDFA9-\uDFAF]|\uD803[\uDC00-\uDC48\uDC80-\uDCB2\uDCC0-\uDCF2\uDCFA-\uDD23\uDD30-\uDD39\uDE60-\uDE7E\uDE80-\uDEA9\uDEB0\uDEB1\uDF00-\uDF27\uDF30-\uDF45\uDF51-\uDF54\uDF70-\uDF81\uDFB0-\uDFCB\uDFE0-\uDFF6]|\uD804[\uDC03-\uDC37\uDC52-\uDC6F\uDC71\uDC72\uDC75\uDC83-\uDCAF\uDCD0-\uDCE8\uDCF0-\uDCF9\uDD03-\uDD26\uDD36-\uDD3F\uDD44\uDD47\uDD50-\uDD72\uDD76\uDD83-\uDDB2\uDDC1-\uDDC4\uDDD0-\uDDDA\uDDDC\uDDE1-\uDDF4\uDE00-\uDE11\uDE13-\uDE2B\uDE80-\uDE86\uDE88\uDE8A-\uDE8D\uDE8F-\uDE9D\uDE9F-\uDEA8\uDEB0-\uDEDE\uDEF0-\uDEF9\uDF05-\uDF0C\uDF0F\uDF10\uDF13-\uDF28\uDF2A-\uDF30\uDF32\uDF33\uDF35-\uDF39\uDF3D\uDF50\uDF5D-\uDF61]|\uD805[\uDC00-\uDC34\uDC47-\uDC4A\uDC50-\uDC59\uDC5F-\uDC61\uDC80-\uDCAF\uDCC4\uDCC5\uDCC7\uDCD0-\uDCD9\uDD80-\uDDAE\uDDD8-\uDDDB\uDE00-\uDE2F\uDE44\uDE50-\uDE59\uDE80-\uDEAA\uDEB8\uDEC0-\uDEC9\uDF00-\uDF1A\uDF30-\uDF3B\uDF40-\uDF46]|\uD806[\uDC00-\uDC2B\uDCA0-\uDCF2\uDCFF-\uDD06\uDD09\uDD0C-\uDD13\uDD15\uDD16\uDD18-\uDD2F\uDD3F\uDD41\uDD50-\uDD59\uDDA0-\uDDA7\uDDAA-\uDDD0\uDDE1\uDDE3\uDE00\uDE0B-\uDE32\uDE3A\uDE50\uDE5C-\uDE89\uDE9D\uDEB0-\uDEF8]|\uD807[\uDC00-\uDC08\uDC0A-\uDC2E\uDC40\uDC50-\uDC6C\uDC72-\uDC8F\uDD00-\uDD06\uDD08\uDD09\uDD0B-\uDD30\uDD46\uDD50-\uDD59\uDD60-\uDD65\uDD67\uDD68\uDD6A-\uDD89\uDD98\uDDA0-\uDDA9\uDEE0-\uDEF2\uDFB0\uDFC0-\uDFD4]|\uD808[\uDC00-\uDF99]|\uD809[\uDC00-\uDC6E\uDC80-\uDD43]|\uD80B[\uDF90-\uDFF0]|[\uD80C\uD81C-\uD820\uD822\uD840-\uD868\uD86A-\uD86C\uD86F-\uD872\uD874-\uD879\uD880-\uD883][\uDC00-\uDFFF]|\uD80D[\uDC00-\uDC2E]|\uD811[\uDC00-\uDE46]|\uD81A[\uDC00-\uDE38\uDE40-\uDE5E\uDE60-\uDE69\uDE70-\uDEBE\uDEC0-\uDEC9\uDED0-\uDEED\uDF00-\uDF2F\uDF40-\uDF43\uDF50-\uDF59\uDF5B-\uDF61\uDF63-\uDF77\uDF7D-\uDF8F]|\uD81B[\uDE40-\uDE96\uDF00-\uDF4A\uDF50\uDF93-\uDF9F\uDFE0\uDFE1\uDFE3]|\uD821[\uDC00-\uDFF7]|\uD823[\uDC00-\uDCD5\uDD00-\uDD08]|\uD82B[\uDFF0-\uDFF3\uDFF5-\uDFFB\uDFFD\uDFFE]|\uD82C[\uDC00-\uDD22\uDD50-\uDD52\uDD64-\uDD67\uDD70-\uDEFB]|\uD82F[\uDC00-\uDC6A\uDC70-\uDC7C\uDC80-\uDC88\uDC90-\uDC99]|\uD834[\uDEE0-\uDEF3\uDF60-\uDF78]|\uD835[\uDC00-\uDC54\uDC56-\uDC9C\uDC9E\uDC9F\uDCA2\uDCA5\uDCA6\uDCA9-\uDCAC\uDCAE-\uDCB9\uDCBB\uDCBD-\uDCC3\uDCC5-\uDD05\uDD07-\uDD0A\uDD0D-\uDD14\uDD16-\uDD1C\uDD1E-\uDD39\uDD3B-\uDD3E\uDD40-\uDD44\uDD46\uDD4A-\uDD50\uDD52-\uDEA5\uDEA8-\uDEC0\uDEC2-\uDEDA\uDEDC-\uDEFA\uDEFC-\uDF14\uDF16-\uDF34\uDF36-\uDF4E\uDF50-\uDF6E\uDF70-\uDF88\uDF8A-\uDFA8\uDFAA-\uDFC2\uDFC4-\uDFCB\uDFCE-\uDFFF]|\uD837[\uDF00-\uDF1E]|\uD838[\uDD00-\uDD2C\uDD37-\uDD3D\uDD40-\uDD49\uDD4E\uDE90-\uDEAD\uDEC0-\uDEEB\uDEF0-\uDEF9]|\uD839[\uDFE0-\uDFE6\uDFE8-\uDFEB\uDFED\uDFEE\uDFF0-\uDFFE]|\uD83A[\uDC00-\uDCC4\uDCC7-\uDCCF\uDD00-\uDD43\uDD4B\uDD50-\uDD59]|\uD83B[\uDC71-\uDCAB\uDCAD-\uDCAF\uDCB1-\uDCB4\uDD01-\uDD2D\uDD2F-\uDD3D\uDE00-\uDE03\uDE05-\uDE1F\uDE21\uDE22\uDE24\uDE27\uDE29-\uDE32\uDE34-\uDE37\uDE39\uDE3B\uDE42\uDE47\uDE49\uDE4B\uDE4D-\uDE4F\uDE51\uDE52\uDE54\uDE57\uDE59\uDE5B\uDE5D\uDE5F\uDE61\uDE62\uDE64\uDE67-\uDE6A\uDE6C-\uDE72\uDE74-\uDE77\uDE79-\uDE7C\uDE7E\uDE80-\uDE89\uDE8B-\uDE9B\uDEA1-\uDEA3\uDEA5-\uDEA9\uDEAB-\uDEBB]|\uD83C[\uDD00-\uDD0C]|\uD83E[\uDFF0-\uDFF9]|\uD869[\uDC00-\uDEDF\uDF00-\uDFFF]|\uD86D[\uDC00-\uDF38\uDF40-\uDFFF]|\uD86E[\uDC00-\uDC1D\uDC20-\uDFFF]|\uD873[\uDC00-\uDEA1\uDEB0-\uDFFF]|\uD87A[\uDC00-\uDFE0]|\uD87E[\uDC00-\uDE1D]|\uD884[\uDC00-\uDF4A])/))){var Me=ue[1]||ue[2]||"";if(!Me||Me&&(he===""||this.rules.inline.punctuation.exec(he))){var de=ue[0].length-1,Ce,Re,je=de,U=0,F=ue[0][0]==="*"?this.rules.inline.emStrong.rDelimAst:this.rules.inline.emStrong.rDelimUnd;for(F.lastIndex=0,Y=Y.slice(-1*Q.length+de);(ue=F.exec(Y))!=null;)if(Ce=ue[1]||ue[2]||ue[3]||ue[4]||ue[5]||ue[6],!!Ce){if(Re=Ce.length,ue[3]||ue[4]){je+=Re;continue}else if((ue[5]||ue[6])&&de%3&&!((de+Re)%3)){U+=Re;continue}if(je-=Re,!(je>0)){if(Re=Math.min(Re,Re+je+U),Math.min(de,Re)%2){var G=Q.slice(1,de+ue.index+Re);return{type:"em",raw:Q.slice(0,de+ue.index+Re+1),text:G,tokens:this.lexer.inlineTokens(G)}}var H=Q.slice(2,de+ue.index+Re-1);return{type:"strong",raw:Q.slice(0,de+ue.index+Re+1),text:H,tokens:this.lexer.inlineTokens(H)}}}}}},we.codespan=function(Q){var Y=this.rules.inline.code.exec(Q);if(Y){var he=Y[2].replace(/\n/g," "),ue=/[^ ]/.test(he),Me=/^ /.test(he)&&/ $/.test(he);return ue&&Me&&(he=he.substring(1,he.length-1)),he=m(he,!0),{type:"codespan",raw:Y[0],text:he}}},we.br=function(Q){var Y=this.rules.inline.br.exec(Q);if(Y)return{type:"br",raw:Y[0]}},we.del=function(Q){var Y=this.rules.inline.del.exec(Q);if(Y)return{type:"del",raw:Y[0],text:Y[2],tokens:this.lexer.inlineTokens(Y[2])}},we.autolink=function(Q,Y){var he=this.rules.inline.autolink.exec(Q);if(he){var ue,Me;return he[2]==="@"?(ue=m(this.options.mangle?Y(he[1]):he[1]),Me="mailto:"+ue):(ue=m(he[1]),Me=ue),{type:"link",raw:he[0],text:ue,href:Me,tokens:[{type:"text",raw:ue,text:ue}]}}},we.url=function(Q,Y){var he;if(he=this.rules.inline.url.exec(Q)){var ue,Me;if(he[2]==="@")ue=m(this.options.mangle?Y(he[0]):he[0]),Me="mailto:"+ue;else{var de;do de=he[0],he[0]=this.rules.inline._backpedal.exec(he[0])[0];while(de!==he[0]);ue=m(he[0]),he[1]==="www."?Me="http://"+ue:Me=ue}return{type:"link",raw:he[0],text:ue,href:Me,tokens:[{type:"text",raw:ue,text:ue}]}}},we.inlineText=function(Q,Y){var he=this.rules.inline.text.exec(Q);if(he){var ue;return this.lexer.state.inRawBlock?ue=this.options.sanitize?this.options.sanitizer?this.options.sanitizer(he[0]):m(he[0]):he[0]:ue=m(this.options.smartypants?Y(he[0]):he[0]),{type:"text",raw:he[0],text:ue}}},De}(),q={newline:/^(?: *(?:\n|$))+/,code:/^( {4}[^\n]+(?:\n(?: *(?:\n|$))*)?)+/,fences:/^ {0,3}(`{3,}(?=[^`\n]*\n)|~{3,})([^\n]*)\n(?:|([\s\S]*?)\n)(?: {0,3}\1[~`]* *(?=\n|$)|$)/,hr:/^ {0,3}((?:-[\t ]*){3,}|(?:_[ \t]*){3,}|(?:\*[ \t]*){3,})(?:\n+|$)/,heading:/^ {0,3}(#{1,6})(?=\s|$)(.*)(?:\n+|$)/,blockquote:/^( {0,3}> ?(paragraph|[^\n]*)(?:\n|$))+/,list:/^( {0,3}bull)([ \t][^\n]+?)?(?:\n|$)/,html:"^ {0,3}(?:<(script|pre|style|textarea)[\\s>][\\s\\S]*?(?:</\\1>[^\\n]*\\n+|$)|comment[^\\n]*(\\n+|$)|<\\?[\\s\\S]*?(?:\\?>\\n*|$)|<![A-Z][\\s\\S]*?(?:>\\n*|$)|<!\\[CDATA\\[[\\s\\S]*?(?:\\]\\]>\\n*|$)|</?(tag)(?: +|\\n|/?>)[\\s\\S]*?(?:(?:\\n *)+\\n|$)|<(?!script|pre|style|textarea)([a-z][\\w-]*)(?:attribute)*? */?>(?=[ \\t]*(?:\\n|$))[\\s\\S]*?(?:(?:\\n *)+\\n|$)|</(?!script|pre|style|textarea)[a-z][\\w-]*\\s*>(?=[ \\t]*(?:\\n|$))[\\s\\S]*?(?:(?:\\n *)+\\n|$))",def:/^ {0,3}\[(label)\]: *(?:\n *)?<?([^\s>]+)>?(?:(?: +(?:\n *)?| *\n *)(title))? *(?:\n+|$)/,table:S,lheading:/^([^\n]+)\n {0,3}(=+|-+) *(?:\n+|$)/,_paragraph:/^([^\n]+(?:\n(?!hr|heading|lheading|blockquote|fences|list|html|table| +\n)[^\n]+)*)/,text:/^[^\n]+/};q._label=/(?!\s*\])(?:\\.|[^\[\]\\])+/,q._title=/(?:"(?:\\"?|[^"\\])*"|'[^'\n]*(?:\n[^'\n]+)*\n?'|\([^()]*\))/,q.def=i(q.def).replace("label",q._label).replace("title",q._title).getRegex(),q.bullet=/(?:[*+-]|\d{1,9}[.)])/,q.listItemStart=i(/^( *)(bull) */).replace("bull",q.bullet).getRegex(),q.list=i(q.list).replace(/bull/g,q.bullet).replace("hr","\\n+(?=\\1?(?:(?:- *){3,}|(?:_ *){3,}|(?:\\* *){3,})(?:\\n+|$))").replace("def","\\n+(?="+q.def.source+")").getRegex(),q._tag="address|article|aside|base|basefont|blockquote|body|caption|center|col|colgroup|dd|details|dialog|dir|div|dl|dt|fieldset|figcaption|figure|footer|form|frame|frameset|h[1-6]|head|header|hr|html|iframe|legend|li|link|main|menu|menuitem|meta|nav|noframes|ol|optgroup|option|p|param|section|source|summary|table|tbody|td|tfoot|th|thead|title|tr|track|ul",q._comment=/<!--(?!-?>)[\s\S]*?(?:-->|$)/,q.html=i(q.html,"i").replace("comment",q._comment).replace("tag",q._tag).replace("attribute",/ +[a-zA-Z:_][\w.:-]*(?: *= *"[^"\n]*"| *= *'[^'\n]*'| *= *[^\s"'=<>`]+)?/).getRegex(),q.paragraph=i(q._paragraph).replace("hr",q.hr).replace("heading"," {0,3}#{1,6} ").replace("|lheading","").replace("|table","").replace("blockquote"," {0,3}>").replace("fences"," {0,3}(?:`{3,}(?=[^`\\n]*\\n)|~{3,})[^\\n]*\\n").replace("list"," {0,3}(?:[*+-]|1[.)]) ").replace("html","</?(?:tag)(?: +|\\n|/?>)|<(?:script|pre|style|textarea|!--)").replace("tag",q._tag).getRegex(),q.blockquote=i(q.blockquote).replace("paragraph",q.paragraph).getRegex(),q.normal=h({},q),q.gfm=h({},q.normal,{table:"^ *([^\\n ].*\\|.*)\\n {0,3}(?:\\| *)?(:?-+:? *(?:\\| *:?-+:? *)*)(?:\\| *)?(?:\\n((?:(?! *\\n|hr|heading|blockquote|code|fences|list|html).*(?:\\n|$))*)\\n*|$)"}),q.gfm.table=i(q.gfm.table).replace("hr",q.hr).replace("heading"," {0,3}#{1,6} ").replace("blockquote"," {0,3}>").replace("code"," {4}[^\\n]").replace("fences"," {0,3}(?:`{3,}(?=[^`\\n]*\\n)|~{3,})[^\\n]*\\n").replace("list"," {0,3}(?:[*+-]|1[.)]) ").replace("html","</?(?:tag)(?: +|\\n|/?>)|<(?:script|pre|style|textarea|!--)").replace("tag",q._tag).getRegex(),q.gfm.paragraph=i(q._paragraph).replace("hr",q.hr).replace("heading"," {0,3}#{1,6} ").replace("|lheading","").replace("table",q.gfm.table).replace("blockquote"," {0,3}>").replace("fences"," {0,3}(?:`{3,}(?=[^`\\n]*\\n)|~{3,})[^\\n]*\\n").replace("list"," {0,3}(?:[*+-]|1[.)]) ").replace("html","</?(?:tag)(?: +|\\n|/?>)|<(?:script|pre|style|textarea|!--)").replace("tag",q._tag).getRegex(),q.pedantic=h({},q.normal,{html:i(`^ *(?:comment *(?:\\n|\\s*$)|<(tag)[\\s\\S]+?</\\1> *(?:\\n{2,}|\\s*$)|<tag(?:"[^"]*"|'[^']*'|\\s[^'"/>\\s]*)*?/?> *(?:\\n{2,}|\\s*$))`).replace("comment",q._comment).replace(/tag/g,"(?!(?:a|em|strong|small|s|cite|q|dfn|abbr|data|time|code|var|samp|kbd|sub|sup|i|b|u|mark|ruby|rt|rp|bdi|bdo|span|br|wbr|ins|del|img)\\b)\\w+(?!:|[^\\w\\s@]*@)\\b").getRegex(),def:/^ *\[([^\]]+)\]: *<?([^\s>]+)>?(?: +(["(][^\n]+[")]))? *(?:\n+|$)/,heading:/^(#{1,6})(.*)(?:\n+|$)/,fences:S,paragraph:i(q.normal._paragraph).replace("hr",q.hr).replace("heading",` *#{1,6} *[^
]`).replace("lheading",q.lheading).replace("blockquote"," {0,3}>").replace("|fences","").replace("|list","").replace("|html","").getRegex()});var N={escape:/^\\([!"#$%&'()*+,\-./:;<=>?@\[\]\\^_`{|}~])/,autolink:/^<(scheme:[^\s\x00-\x1f<>]*|email)>/,url:S,tag:"^comment|^</[a-zA-Z][\\w:-]*\\s*>|^<[a-zA-Z][\\w-]*(?:attribute)*?\\s*/?>|^<\\?[\\s\\S]*?\\?>|^<![a-zA-Z]+\\s[\\s\\S]*?>|^<!\\[CDATA\\[[\\s\\S]*?\\]\\]>",link:/^!?\[(label)\]\(\s*(href)(?:\s+(title))?\s*\)/,reflink:/^!?\[(label)\]\[(ref)\]/,nolink:/^!?\[(ref)\](?:\[\])?/,reflinkSearch:"reflink|nolink(?!\\()",emStrong:{lDelim:/^(?:\*+(?:([punct_])|[^\s*]))|^_+(?:([punct*])|([^\s_]))/,rDelimAst:/^[^_*]*?\_\_[^_*]*?\*[^_*]*?(?=\_\_)|[^*]+(?=[^*])|[punct_](\*+)(?=[\s]|$)|[^punct*_\s](\*+)(?=[punct_\s]|$)|[punct_\s](\*+)(?=[^punct*_\s])|[\s](\*+)(?=[punct_])|[punct_](\*+)(?=[punct_])|[^punct*_\s](\*+)(?=[^punct*_\s])/,rDelimUnd:/^[^_*]*?\*\*[^_*]*?\_[^_*]*?(?=\*\*)|[^_]+(?=[^_])|[punct*](\_+)(?=[\s]|$)|[^punct*_\s](\_+)(?=[punct*\s]|$)|[punct*\s](\_+)(?=[^punct*_\s])|[\s](\_+)(?=[punct*])|[punct*](\_+)(?=[punct*])/},code:/^(`+)([^`]|[^`][\s\S]*?[^`])\1(?!`)/,br:/^( {2,}|\\)\n(?!\s*$)/,del:S,text:/^(`+|[^`])(?:(?= {2,}\n)|[\s\S]*?(?:(?=[\\<!\[`*_]|\b_|$)|[^ ](?= {2,}\n)))/,punctuation:/^([\spunctuation])/};N._punctuation="!\"#$%&'()+\\-.,/:;<=>?@\\[\\]`^{|}~",N.punctuation=i(N.punctuation).replace(/punctuation/g,N._punctuation).getRegex(),N.blockSkip=/\[[^\]]*?\]\([^\)]*?\)|`[^`]*?`|<[^>]*?>/g,N.escapedEmSt=/\\\*|\\_/g,N._comment=i(q._comment).replace("(?:-->|$)","-->").getRegex(),N.emStrong.lDelim=i(N.emStrong.lDelim).replace(/punct/g,N._punctuation).getRegex(),N.emStrong.rDelimAst=i(N.emStrong.rDelimAst,"g").replace(/punct/g,N._punctuation).getRegex(),N.emStrong.rDelimUnd=i(N.emStrong.rDelimUnd,"g").replace(/punct/g,N._punctuation).getRegex(),N._escapes=/\\([!"#$%&'()*+,\-./:;<=>?@\[\]\\^_`{|}~])/g,N._scheme=/[a-zA-Z][a-zA-Z0-9+.-]{1,31}/,N._email=/[a-zA-Z0-9.!#$%&'*+/=?^_`{|}~-]+(@)[a-zA-Z0-9](?:[a-zA-Z0-9-]{0,61}[a-zA-Z0-9])?(?:\.[a-zA-Z0-9](?:[a-zA-Z0-9-]{0,61}[a-zA-Z0-9])?)+(?![-_])/,N.autolink=i(N.autolink).replace("scheme",N._scheme).replace("email",N._email).getRegex(),N._attribute=/\s+[a-zA-Z:_][\w.:-]*(?:\s*=\s*"[^"]*"|\s*=\s*'[^']*'|\s*=\s*[^\s"'=<>`]+)?/,N.tag=i(N.tag).replace("comment",N._comment).replace("attribute",N._attribute).getRegex(),N._label=/(?:\[(?:\\.|[^\[\]\\])*\]|\\.|`[^`]*`|[^\[\]\\`])*?/,N._href=/<(?:\\.|[^\n<>\\])+>|[^\s\x00-\x1f]*/,N._title=/"(?:\\"?|[^"\\])*"|'(?:\\'?|[^'\\])*'|\((?:\\\)?|[^)\\])*\)/,N.link=i(N.link).replace("label",N._label).replace("href",N._href).replace("title",N._title).getRegex(),N.reflink=i(N.reflink).replace("label",N._label).replace("ref",q._label).getRegex(),N.nolink=i(N.nolink).replace("ref",q._label).getRegex(),N.reflinkSearch=i(N.reflinkSearch,"g").replace("reflink",N.reflink).replace("nolink",N.nolink).getRegex(),N.normal=h({},N),N.pedantic=h({},N.normal,{strong:{start:/^__|\*\*/,middle:/^__(?=\S)([\s\S]*?\S)__(?!_)|^\*\*(?=\S)([\s\S]*?\S)\*\*(?!\*)/,endAst:/\*\*(?!\*)/g,endUnd:/__(?!_)/g},em:{start:/^_|\*/,middle:/^()\*(?=\S)([\s\S]*?\S)\*(?!\*)|^_(?=\S)([\s\S]*?\S)_(?!_)/,endAst:/\*(?!\*)/g,endUnd:/_(?!_)/g},link:i(/^!?\[(label)\]\((.*?)\)/).replace("label",N._label).getRegex(),reflink:i(/^!?\[(label)\]\s*\[([^\]]*)\]/).replace("label",N._label).getRegex()}),N.gfm=h({},N.normal,{escape:i(N.escape).replace("])","~|])").getRegex(),_extended_email:/[A-Za-z0-9._+-]+(@)[a-zA-Z0-9-_]+(?:\.[a-zA-Z0-9-_]*[a-zA-Z0-9])+(?![-_])/,url:/^((?:ftp|https?):\/\/|www\.)(?:[a-zA-Z0-9\-]+\.?)+[^\s<]*|^email/,_backpedal:/(?:[^?!.,:;*_~()&]+|\([^)]*\)|&(?![a-zA-Z0-9]+;$)|[?!.,:;*_~)]+(?!$))+/,del:/^(~~?)(?=[^\s~])([\s\S]*?[^\s~])\1(?=[^~]|$)/,text:/^([`~]+|[^`~])(?:(?= {2,}\n)|(?=[a-zA-Z0-9.!#$%&'*+\/=?_`{\|}~-]+@)|[\s\S]*?(?:(?=[\\<!\[`*~_]|\b_|https?:\/\/|ftp:\/\/|www\.|$)|[^ ](?= {2,}\n)|[^a-zA-Z0-9.!#$%&'*+\/=?_`{\|}~-](?=[a-zA-Z0-9.!#$%&'*+\/=?_`{\|}~-]+@)))/}),N.gfm.url=i(N.gfm.url,"i").replace("email",N.gfm._extended_email).getRegex(),N.breaks=h({},N.gfm,{br:i(N.br).replace("{2,}","*").getRegex(),text:i(N.gfm.text).replace("\\b_","\\b_| {2,}\\n").replace(/\{2,\}/g,"*").getRegex()});function j(De){return De.replace(/---/g,"\u2014").replace(/--/g,"\u2013").replace(/(^|[-\u2014/(\[{"\s])'/g,"$1\u2018").replace(/'/g,"\u2019").replace(/(^|[-\u2014/(\[{\u2018\s])"/g,"$1\u201C").replace(/"/g,"\u201D").replace(/\.{3}/g,"\u2026")}function K(De){var we="",ge,Q,Y=De.length;for(ge=0;ge<Y;ge++)Q=De.charCodeAt(ge),Math.random()>.5&&(Q="x"+Q.toString(16)),we+="&#"+Q+";";return we}var ie=function(){function De(ge){this.tokens=[],this.tokens.links=Object.create(null),this.options=ge||le.defaults,this.options.tokenizer=this.options.tokenizer||new V,this.tokenizer=this.options.tokenizer,this.tokenizer.options=this.options,this.tokenizer.lexer=this,this.inlineQueue=[],this.state={inLink:!1,inRawBlock:!1,top:!0};var Q={block:q.normal,inline:N.normal};this.options.pedantic?(Q.block=q.pedantic,Q.inline=N.pedantic):this.options.gfm&&(Q.block=q.gfm,this.options.breaks?Q.inline=N.breaks:Q.inline=N.gfm),this.tokenizer.rules=Q}De.lex=function(Q,Y){var he=new De(Y);return he.lex(Q)},De.lexInline=function(Q,Y){var he=new De(Y);return he.inlineTokens(Q)};var we=De.prototype;return we.lex=function(Q){Q=Q.replace(/\r\n|\r/g,`
`),this.blockTokens(Q,this.tokens);for(var Y;Y=this.inlineQueue.shift();)this.inlineTokens(Y.src,Y.tokens);return this.tokens},we.blockTokens=function(Q,Y){var he=this;Y===void 0&&(Y=[]),this.options.pedantic?Q=Q.replace(/\t/g,"    ").replace(/^ +$/gm,""):Q=Q.replace(/^( *)(\t+)/gm,function(je,U,F){return U+"    ".repeat(F.length)});for(var ue,Me,de,Ce;Q;)if(!(this.options.extensions&&this.options.extensions.block&&this.options.extensions.block.some(function(je){return(ue=je.call({lexer:he},Q,Y))?(Q=Q.substring(ue.raw.length),Y.push(ue),!0):!1}))){if(ue=this.tokenizer.space(Q)){Q=Q.substring(ue.raw.length),ue.raw.length===1&&Y.length>0?Y[Y.length-1].raw+=`
`:Y.push(ue);continue}if(ue=this.tokenizer.code(Q)){Q=Q.substring(ue.raw.length),Me=Y[Y.length-1],Me&&(Me.type==="paragraph"||Me.type==="text")?(Me.raw+=`
`+ue.raw,Me.text+=`
`+ue.text,this.inlineQueue[this.inlineQueue.length-1].src=Me.text):Y.push(ue);continue}if(ue=this.tokenizer.fences(Q)){Q=Q.substring(ue.raw.length),Y.push(ue);continue}if(ue=this.tokenizer.heading(Q)){Q=Q.substring(ue.raw.length),Y.push(ue);continue}if(ue=this.tokenizer.hr(Q)){Q=Q.substring(ue.raw.length),Y.push(ue);continue}if(ue=this.tokenizer.blockquote(Q)){Q=Q.substring(ue.raw.length),Y.push(ue);continue}if(ue=this.tokenizer.list(Q)){Q=Q.substring(ue.raw.length),Y.push(ue);continue}if(ue=this.tokenizer.html(Q)){Q=Q.substring(ue.raw.length),Y.push(ue);continue}if(ue=this.tokenizer.def(Q)){Q=Q.substring(ue.raw.length),Me=Y[Y.length-1],Me&&(Me.type==="paragraph"||Me.type==="text")?(Me.raw+=`
`+ue.raw,Me.text+=`
`+ue.raw,this.inlineQueue[this.inlineQueue.length-1].src=Me.text):this.tokens.links[ue.tag]||(this.tokens.links[ue.tag]={href:ue.href,title:ue.title});continue}if(ue=this.tokenizer.table(Q)){Q=Q.substring(ue.raw.length),Y.push(ue);continue}if(ue=this.tokenizer.lheading(Q)){Q=Q.substring(ue.raw.length),Y.push(ue);continue}if(de=Q,this.options.extensions&&this.options.extensions.startBlock&&function(){var je=1/0,U=Q.slice(1),F=void 0;he.options.extensions.startBlock.forEach(function(G){F=G.call({lexer:this},U),typeof F=="number"&&F>=0&&(je=Math.min(je,F))}),je<1/0&&je>=0&&(de=Q.substring(0,je+1))}(),this.state.top&&(ue=this.tokenizer.paragraph(de))){Me=Y[Y.length-1],Ce&&Me.type==="paragraph"?(Me.raw+=`
`+ue.raw,Me.text+=`
`+ue.text,this.inlineQueue.pop(),this.inlineQueue[this.inlineQueue.length-1].src=Me.text):Y.push(ue),Ce=de.length!==Q.length,Q=Q.substring(ue.raw.length);continue}if(ue=this.tokenizer.text(Q)){Q=Q.substring(ue.raw.length),Me=Y[Y.length-1],Me&&Me.type==="text"?(Me.raw+=`
`+ue.raw,Me.text+=`
`+ue.text,this.inlineQueue.pop(),this.inlineQueue[this.inlineQueue.length-1].src=Me.text):Y.push(ue);continue}if(Q){var Re="Infinite loop on byte: "+Q.charCodeAt(0);if(this.options.silent){console.error(Re);break}else throw new Error(Re)}}return this.state.top=!0,Y},we.inline=function(Q,Y){return Y===void 0&&(Y=[]),this.inlineQueue.push({src:Q,tokens:Y}),Y},we.inlineTokens=function(Q,Y){var he=this;Y===void 0&&(Y=[]);var ue,Me,de,Ce=Q,Re,je,U;if(this.tokens.links){var F=Object.keys(this.tokens.links);if(F.length>0)for(;(Re=this.tokenizer.rules.inline.reflinkSearch.exec(Ce))!=null;)F.includes(Re[0].slice(Re[0].lastIndexOf("[")+1,-1))&&(Ce=Ce.slice(0,Re.index)+"["+C("a",Re[0].length-2)+"]"+Ce.slice(this.tokenizer.rules.inline.reflinkSearch.lastIndex))}for(;(Re=this.tokenizer.rules.inline.blockSkip.exec(Ce))!=null;)Ce=Ce.slice(0,Re.index)+"["+C("a",Re[0].length-2)+"]"+Ce.slice(this.tokenizer.rules.inline.blockSkip.lastIndex);for(;(Re=this.tokenizer.rules.inline.escapedEmSt.exec(Ce))!=null;)Ce=Ce.slice(0,Re.index)+"++"+Ce.slice(this.tokenizer.rules.inline.escapedEmSt.lastIndex);for(;Q;)if(je||(U=""),je=!1,!(this.options.extensions&&this.options.extensions.inline&&this.options.extensions.inline.some(function(H){return(ue=H.call({lexer:he},Q,Y))?(Q=Q.substring(ue.raw.length),Y.push(ue),!0):!1}))){if(ue=this.tokenizer.escape(Q)){Q=Q.substring(ue.raw.length),Y.push(ue);continue}if(ue=this.tokenizer.tag(Q)){Q=Q.substring(ue.raw.length),Me=Y[Y.length-1],Me&&ue.type==="text"&&Me.type==="text"?(Me.raw+=ue.raw,Me.text+=ue.text):Y.push(ue);continue}if(ue=this.tokenizer.link(Q)){Q=Q.substring(ue.raw.length),Y.push(ue);continue}if(ue=this.tokenizer.reflink(Q,this.tokens.links)){Q=Q.substring(ue.raw.length),Me=Y[Y.length-1],Me&&ue.type==="text"&&Me.type==="text"?(Me.raw+=ue.raw,Me.text+=ue.text):Y.push(ue);continue}if(ue=this.tokenizer.emStrong(Q,Ce,U)){Q=Q.substring(ue.raw.length),Y.push(ue);continue}if(ue=this.tokenizer.codespan(Q)){Q=Q.substring(ue.raw.length),Y.push(ue);continue}if(ue=this.tokenizer.br(Q)){Q=Q.substring(ue.raw.length),Y.push(ue);continue}if(ue=this.tokenizer.del(Q)){Q=Q.substring(ue.raw.length),Y.push(ue);continue}if(ue=this.tokenizer.autolink(Q,K)){Q=Q.substring(ue.raw.length),Y.push(ue);continue}if(!this.state.inLink&&(ue=this.tokenizer.url(Q,K))){Q=Q.substring(ue.raw.length),Y.push(ue);continue}if(de=Q,this.options.extensions&&this.options.extensions.startInline&&function(){var H=1/0,ee=Q.slice(1),re=void 0;he.options.extensions.startInline.forEach(function(Oe){re=Oe.call({lexer:this},ee),typeof re=="number"&&re>=0&&(H=Math.min(H,re))}),H<1/0&&H>=0&&(de=Q.substring(0,H+1))}(),ue=this.tokenizer.inlineText(de,j)){Q=Q.substring(ue.raw.length),ue.raw.slice(-1)!=="_"&&(U=ue.raw.slice(-1)),je=!0,Me=Y[Y.length-1],Me&&Me.type==="text"?(Me.raw+=ue.raw,Me.text+=ue.text):Y.push(ue);continue}if(Q){var G="Infinite loop on byte: "+Q.charCodeAt(0);if(this.options.silent){console.error(G);break}else throw new Error(G)}}return Y},I(De,null,[{key:"rules",get:function(){return{block:q,inline:N}}}]),De}(),ce=function(){function De(ge){this.options=ge||le.defaults}var we=De.prototype;return we.code=function(Q,Y,he){var ue=(Y||"").match(/\S*/)[0];if(this.options.highlight){var Me=this.options.highlight(Q,ue);Me!=null&&Me!==Q&&(he=!0,Q=Me)}return Q=Q.replace(/\n$/,"")+`
`,ue?'<pre><code class="'+this.options.langPrefix+m(ue,!0)+'">'+(he?Q:m(Q,!0))+`</code></pre>
`:"<pre><code>"+(he?Q:m(Q,!0))+`</code></pre>
`},we.blockquote=function(Q){return`<blockquote>
`+Q+`</blockquote>
`},we.html=function(Q){return Q},we.heading=function(Q,Y,he,ue){if(this.options.headerIds){var Me=this.options.headerPrefix+ue.slug(he);return"<h"+Y+' id="'+Me+'">'+Q+"</h"+Y+`>
`}return"<h"+Y+">"+Q+"</h"+Y+`>
`},we.hr=function(){return this.options.xhtml?`<hr/>
`:`<hr>
`},we.list=function(Q,Y,he){var ue=Y?"ol":"ul",Me=Y&&he!==1?' start="'+he+'"':"";return"<"+ue+Me+`>
`+Q+"</"+ue+`>
`},we.listitem=function(Q){return"<li>"+Q+`</li>
`},we.checkbox=function(Q){return"<input "+(Q?'checked="" ':"")+'disabled="" type="checkbox"'+(this.options.xhtml?" /":"")+"> "},we.paragraph=function(Q){return"<p>"+Q+`</p>
`},we.table=function(Q,Y){return Y&&(Y="<tbody>"+Y+"</tbody>"),`<table>
<thead>
`+Q+`</thead>
`+Y+`</table>
`},we.tablerow=function(Q){return`<tr>
`+Q+`</tr>
`},we.tablecell=function(Q,Y){var he=Y.header?"th":"td",ue=Y.align?"<"+he+' align="'+Y.align+'">':"<"+he+">";return ue+Q+("</"+he+`>
`)},we.strong=function(Q){return"<strong>"+Q+"</strong>"},we.em=function(Q){return"<em>"+Q+"</em>"},we.codespan=function(Q){return"<code>"+Q+"</code>"},we.br=function(){return this.options.xhtml?"<br/>":"<br>"},we.del=function(Q){return"<del>"+Q+"</del>"},we.link=function(Q,Y,he){if(Q=l(this.options.sanitize,this.options.baseUrl,Q),Q===null)return he;var ue='<a href="'+m(Q)+'"';return Y&&(ue+=' title="'+Y+'"'),ue+=">"+he+"</a>",ue},we.image=function(Q,Y,he){if(Q=l(this.options.sanitize,this.options.baseUrl,Q),Q===null)return he;var ue='<img src="'+Q+'" alt="'+he+'"';return Y&&(ue+=' title="'+Y+'"'),ue+=this.options.xhtml?"/>":">",ue},we.text=function(Q){return Q},De}(),ye=function(){function De(){}var we=De.prototype;return we.strong=function(Q){return Q},we.em=function(Q){return Q},we.codespan=function(Q){return Q},we.del=function(Q){return Q},we.html=function(Q){return Q},we.text=function(Q){return Q},we.link=function(Q,Y,he){return""+he},we.image=function(Q,Y,he){return""+he},we.br=function(){return""},De}(),Se=function(){function De(){this.seen={}}var we=De.prototype;return we.serialize=function(Q){return Q.toLowerCase().trim().replace(/<[!\/a-z].*?>/ig,"").replace(/[\u2000-\u206F\u2E00-\u2E7F\\'!"#$%&()*+,./:;<=>?@[\]^`{|}~]/g,"").replace(/\s/g,"-")},we.getNextSafeSlug=function(Q,Y){var he=Q,ue=0;if(this.seen.hasOwnProperty(he)){ue=this.seen[Q];do ue++,he=Q+"-"+ue;while(this.seen.hasOwnProperty(he))}return Y||(this.seen[Q]=ue,this.seen[he]=0),he},we.slug=function(Q,Y){Y===void 0&&(Y={});var he=this.serialize(Q);return this.getNextSafeSlug(he,Y.dryrun)},De}(),fe=function(){function De(ge){this.options=ge||le.defaults,this.options.renderer=this.options.renderer||new ce,this.renderer=this.options.renderer,this.renderer.options=this.options,this.textRenderer=new ye,this.slugger=new Se}De.parse=function(Q,Y){var he=new De(Y);return he.parse(Q)},De.parseInline=function(Q,Y){var he=new De(Y);return he.parseInline(Q)};var we=De.prototype;return we.parse=function(Q,Y){Y===void 0&&(Y=!0);var he="",ue,Me,de,Ce,Re,je,U,F,G,H,ee,re,Oe,Be,Ge,_e,xe,et,tt,it=Q.length;for(ue=0;ue<it;ue++){if(H=Q[ue],this.options.extensions&&this.options.extensions.renderers&&this.options.extensions.renderers[H.type]&&(tt=this.options.extensions.renderers[H.type].call({parser:this},H),tt!==!1||!["space","hr","heading","code","table","blockquote","list","html","paragraph","text"].includes(H.type))){he+=tt||"";continue}switch(H.type){case"space":continue;case"hr":{he+=this.renderer.hr();continue}case"heading":{he+=this.renderer.heading(this.parseInline(H.tokens),H.depth,o(this.parseInline(H.tokens,this.textRenderer)),this.slugger);continue}case"code":{he+=this.renderer.code(H.text,H.lang,H.escaped);continue}case"table":{for(F="",U="",Ce=H.header.length,Me=0;Me<Ce;Me++)U+=this.renderer.tablecell(this.parseInline(H.header[Me].tokens),{header:!0,align:H.align[Me]});for(F+=this.renderer.tablerow(U),G="",Ce=H.rows.length,Me=0;Me<Ce;Me++){for(je=H.rows[Me],U="",Re=je.length,de=0;de<Re;de++)U+=this.renderer.tablecell(this.parseInline(je[de].tokens),{header:!1,align:H.align[de]});G+=this.renderer.tablerow(U)}he+=this.renderer.table(F,G);continue}case"blockquote":{G=this.parse(H.tokens),he+=this.renderer.blockquote(G);continue}case"list":{for(ee=H.ordered,re=H.start,Oe=H.loose,Ce=H.items.length,G="",Me=0;Me<Ce;Me++)Ge=H.items[Me],_e=Ge.checked,xe=Ge.task,Be="",Ge.task&&(et=this.renderer.checkbox(_e),Oe?Ge.tokens.length>0&&Ge.tokens[0].type==="paragraph"?(Ge.tokens[0].text=et+" "+Ge.tokens[0].text,Ge.tokens[0].tokens&&Ge.tokens[0].tokens.length>0&&Ge.tokens[0].tokens[0].type==="text"&&(Ge.tokens[0].tokens[0].text=et+" "+Ge.tokens[0].tokens[0].text)):Ge.tokens.unshift({type:"text",text:et}):Be+=et),Be+=this.parse(Ge.tokens,Oe),G+=this.renderer.listitem(Be,xe,_e);he+=this.renderer.list(G,ee,re);continue}case"html":{he+=this.renderer.html(H.text);continue}case"paragraph":{he+=this.renderer.paragraph(this.parseInline(H.tokens));continue}case"text":{for(G=H.tokens?this.parseInline(H.tokens):H.text;ue+1<it&&Q[ue+1].type==="text";)H=Q[++ue],G+=`
`+(H.tokens?this.parseInline(H.tokens):H.text);he+=Y?this.renderer.paragraph(G):G;continue}default:{var at='Token with "'+H.type+'" type was not found.';if(this.options.silent){console.error(at);return}else throw new Error(at)}}}return he},we.parseInline=function(Q,Y){Y=Y||this.renderer;var he="",ue,Me,de,Ce=Q.length;for(ue=0;ue<Ce;ue++){if(Me=Q[ue],this.options.extensions&&this.options.extensions.renderers&&this.options.extensions.renderers[Me.type]&&(de=this.options.extensions.renderers[Me.type].call({parser:this},Me),de!==!1||!["escape","html","link","image","strong","em","codespan","br","del","text"].includes(Me.type))){he+=de||"";continue}switch(Me.type){case"escape":{he+=Y.text(Me.text);break}case"html":{he+=Y.html(Me.text);break}case"link":{he+=Y.link(Me.href,Me.title,this.parseInline(Me.tokens,Y));break}case"image":{he+=Y.image(Me.href,Me.title,Me.text);break}case"strong":{he+=Y.strong(this.parseInline(Me.tokens,Y));break}case"em":{he+=Y.em(this.parseInline(Me.tokens,Y));break}case"codespan":{he+=Y.codespan(Me.text);break}case"br":{he+=Y.br();break}case"del":{he+=Y.del(this.parseInline(Me.tokens,Y));break}case"text":{he+=Y.text(Me.text);break}default:{var Re='Token with "'+Me.type+'" type was not found.';if(this.options.silent){console.error(Re);return}else throw new Error(Re)}}}return he},De}();function $e(De,we,ge){if(typeof De>"u"||De===null)throw new Error("marked(): input parameter is undefined or null");if(typeof De!="string")throw new Error("marked(): input parameter is of type "+Object.prototype.toString.call(De)+", string expected");if(typeof we=="function"&&(ge=we,we=null),we=h({},$e.defaults,we||{}),y(we),ge){var Q=we.highlight,Y;try{Y=ie.lex(De,we)}catch(Ce){return ge(Ce)}var he=function(Re){var je;if(!Re)try{we.walkTokens&&$e.walkTokens(Y,we.walkTokens),je=fe.parse(Y,we)}catch(U){Re=U}return we.highlight=Q,Re?ge(Re):ge(null,je)};if(!Q||Q.length<3||(delete we.highlight,!Y.length))return he();var ue=0;$e.walkTokens(Y,function(Ce){Ce.type==="code"&&(ue++,setTimeout(function(){Q(Ce.text,Ce.lang,function(Re,je){if(Re)return he(Re);je!=null&&je!==Ce.text&&(Ce.text=je,Ce.escaped=!0),ue--,ue===0&&he()})},0))}),ue===0&&he();return}function Me(Ce){if(Ce.message+=`
Please report this to https://github.com/markedjs/marked.`,we.silent)return"<p>An error occurred:</p><pre>"+m(Ce.message+"",!0)+"</pre>";throw Ce}try{var de=ie.lex(De,we);if(we.walkTokens){if(we.async)return Promise.all($e.walkTokens(de,we.walkTokens)).then(function(){return fe.parse(de,we)}).catch(Me);$e.walkTokens(de,we.walkTokens)}return fe.parse(de,we)}catch(Ce){Me(Ce)}}$e.options=$e.setOptions=function(De){return h($e.defaults,De),w($e.defaults),$e},$e.getDefaults=A,$e.defaults=le.defaults,$e.use=function(){for(var De=arguments.length,we=new Array(De),ge=0;ge<De;ge++)we[ge]=arguments[ge];var Q=h.apply(void 0,[{}].concat(we)),Y=$e.defaults.extensions||{renderers:{},childTokens:{}},he;we.forEach(function(ue){if(ue.extensions&&(he=!0,ue.extensions.forEach(function(de){if(!de.name)throw new Error("extension name required");if(de.renderer){var Ce=Y.renderers?Y.renderers[de.name]:null;Ce?Y.renderers[de.name]=function(){for(var Re=arguments.length,je=new Array(Re),U=0;U<Re;U++)je[U]=arguments[U];var F=de.renderer.apply(this,je);return F===!1&&(F=Ce.apply(this,je)),F}:Y.renderers[de.name]=de.renderer}if(de.tokenizer){if(!de.level||de.level!=="block"&&de.level!=="inline")throw new Error("extension level must be 'block' or 'inline'");Y[de.level]?Y[de.level].unshift(de.tokenizer):Y[de.level]=[de.tokenizer],de.start&&(de.level==="block"?Y.startBlock?Y.startBlock.push(de.start):Y.startBlock=[de.start]:de.level==="inline"&&(Y.startInline?Y.startInline.push(de.start):Y.startInline=[de.start]))}de.childTokens&&(Y.childTokens[de.name]=de.childTokens)})),ue.renderer&&function(){var de=$e.defaults.renderer||new ce,Ce=function(U){var F=de[U];de[U]=function(){for(var G=arguments.length,H=new Array(G),ee=0;ee<G;ee++)H[ee]=arguments[ee];var re=ue.renderer[U].apply(de,H);return re===!1&&(re=F.apply(de,H)),re}};for(var Re in ue.renderer)Ce(Re);Q.renderer=de}(),ue.tokenizer&&function(){var de=$e.defaults.tokenizer||new V,Ce=function(U){var F=de[U];de[U]=function(){for(var G=arguments.length,H=new Array(G),ee=0;ee<G;ee++)H[ee]=arguments[ee];var re=ue.tokenizer[U].apply(de,H);return re===!1&&(re=F.apply(de,H)),re}};for(var Re in ue.tokenizer)Ce(Re);Q.tokenizer=de}(),ue.walkTokens){var Me=$e.defaults.walkTokens;Q.walkTokens=function(de){var Ce=[];return Ce.push(ue.walkTokens.call(this,de)),Me&&(Ce=Ce.concat(Me.call(this,de))),Ce}}he&&(Q.extensions=Y),$e.setOptions(Q)})},$e.walkTokens=function(De,we){for(var ge=[],Q=function(){var Me=he.value;switch(ge=ge.concat(we.call($e,Me)),Me.type){case"table":{for(var de=M(Me.header),Ce;!(Ce=de()).done;){var Re=Ce.value;ge=ge.concat($e.walkTokens(Re.tokens,we))}for(var je=M(Me.rows),U;!(U=je()).done;)for(var F=U.value,G=M(F),H;!(H=G()).done;){var ee=H.value;ge=ge.concat($e.walkTokens(ee.tokens,we))}break}case"list":{ge=ge.concat($e.walkTokens(Me.items,we));break}default:$e.defaults.extensions&&$e.defaults.extensions.childTokens&&$e.defaults.extensions.childTokens[Me.type]?$e.defaults.extensions.childTokens[Me.type].forEach(function(re){ge=ge.concat($e.walkTokens(Me[re],we))}):Me.tokens&&(ge=ge.concat($e.walkTokens(Me.tokens,we)))}},Y=M(De),he;!(he=Y()).done;)Q();return ge},$e.parseInline=function(De,we){if(typeof De>"u"||De===null)throw new Error("marked.parseInline(): input parameter is undefined or null");if(typeof De!="string")throw new Error("marked.parseInline(): input parameter is of type "+Object.prototype.toString.call(De)+", string expected");we=h({},$e.defaults,we||{}),y(we);try{var ge=ie.lexInline(De,we);return we.walkTokens&&$e.walkTokens(ge,we.walkTokens),fe.parseInline(ge,we)}catch(Q){if(Q.message+=`
Please report this to https://github.com/markedjs/marked.`,we.silent)return"<p>An error occurred:</p><pre>"+m(Q.message+"",!0)+"</pre>";throw Q}},$e.Parser=fe,$e.parser=fe.parse,$e.Renderer=ce,$e.TextRenderer=ye,$e.Lexer=ie,$e.lexer=ie.lex,$e.Tokenizer=V,$e.Slugger=Se,$e.parse=$e;var Te=$e.options,ae=$e.setOptions,Ne=$e.use,ne=$e.walkTokens,z=$e.parseInline,x=$e,be=fe.parse,Fe=ie.lex;le.Lexer=ie,le.Parser=fe,le.Renderer=ce,le.Slugger=Se,le.TextRenderer=ye,le.Tokenizer=V,le.getDefaults=A,le.lexer=Fe,le.marked=$e,le.options=Te,le.parse=x,le.parseInline=z,le.parser=be,le.setOptions=ae,le.use=Ne,le.walkTokens=ne,Object.defineProperty(le,"__esModule",{value:!0})}),define(Ie[128],Pe([1,0]),function(le,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$vk=I;function I(r){const o=M(r);if(o&&o.length>0)return new Uint32Array(o)}let O=0;const R=new Uint32Array(10);function M(r){if(O=0,A(r,D,4352),O>0||(A(r,d,4449),O>0)||(A(r,b,4520),O>0)||(A(r,m,12593),O))return R.subarray(0,O);if(r>=44032&&r<=55203){const o=r-44032,s=o%588,i=Math.floor(o/588),n=Math.floor(s/28),c=s%28-1;if(i<D.length?A(i,D,0):4352+i-12593<m.length&&A(4352+i,m,12593),n<d.length?A(n,d,0):4449+n-12593<m.length&&A(4449+n-12593,m,12593),c>=0&&(c<b.length?A(c,b,0):4520+c-12593<m.length&&A(4520+c-12593,m,12593)),O>0)return R.subarray(0,O)}}function A(r,o,s){r>=s&&r<s+o.length&&w(o[r-s])}function w(r){r!==0&&(R[O++]=r&255,r>>8&&(R[O++]=r>>8&255),r>>16&&(R[O++]=r>>16&255))}var p;(function(r){r[r.InitialConsonant=4352]="InitialConsonant",r[r.Vowel=4449]="Vowel",r[r.FinalConsonant=4520]="FinalConsonant",r[r.CompatibilityJamo=12593]="CompatibilityJamo"})(p||(p={}));var E;(function(r){r[r.NUL=0]="NUL",r[r.A=65]="A",r[r.B=66]="B",r[r.C=67]="C",r[r.D=68]="D",r[r.E=69]="E",r[r.F=70]="F",r[r.G=71]="G",r[r.H=72]="H",r[r.I=73]="I",r[r.J=74]="J",r[r.K=75]="K",r[r.L=76]="L",r[r.M=77]="M",r[r.N=78]="N",r[r.O=79]="O",r[r.P=80]="P",r[r.Q=81]="Q",r[r.R=82]="R",r[r.S=83]="S",r[r.T=84]="T",r[r.U=85]="U",r[r.V=86]="V",r[r.W=87]="W",r[r.X=88]="X",r[r.Y=89]="Y",r[r.Z=90]="Z",r[r.a=97]="a",r[r.b=98]="b",r[r.c=99]="c",r[r.d=100]="d",r[r.e=101]="e",r[r.f=102]="f",r[r.g=103]="g",r[r.h=104]="h",r[r.i=105]="i",r[r.j=106]="j",r[r.k=107]="k",r[r.l=108]="l",r[r.m=109]="m",r[r.n=110]="n",r[r.o=111]="o",r[r.p=112]="p",r[r.q=113]="q",r[r.r=114]="r",r[r.s=115]="s",r[r.t=116]="t",r[r.u=117]="u",r[r.v=118]="v",r[r.w=119]="w",r[r.x=120]="x",r[r.y=121]="y",r[r.z=122]="z"})(E||(E={}));var T;(function(r){r[r.fa=24934]="fa",r[r.fg=26470]="fg",r[r.fq=29030]="fq",r[r.fr=29286]="fr",r[r.ft=29798]="ft",r[r.fv=30310]="fv",r[r.fx=30822]="fx",r[r.hk=27496]="hk",r[r.hl=27752]="hl",r[r.ho=28520]="ho",r[r.ml=27757]="ml",r[r.nj=27246]="nj",r[r.nl=27758]="nl",r[r.np=28782]="np",r[r.qt=29809]="qt",r[r.rt=29810]="rt",r[r.sg=26483]="sg",r[r.sw=30579]="sw"})(T||(T={}));const D=new Uint8Array([114,82,115,101,69,102,97,113,81,116,84,100,119,87,99,122,120,118,103]),d=new Uint16Array([107,111,105,79,106,112,117,80,104,27496,28520,27752,121,110,27246,28782,27758,98,109,27757,108]),b=new Uint16Array([114,82,29810,115,30579,26483,101,102,29286,24934,29030,29798,30822,30310,26470,97,113,29809,116,84,100,119,99,122,120,118,103]),m=new Uint16Array([114,82,29810,115,30579,26483,101,69,102,29286,24934,29030,29798,30822,30310,26470,97,113,81,29809,116,84,100,119,87,99,122,120,118,103,107,111,105,79,106,112,117,80,104,27496,28520,27752,121,110,27246,28782,27758,98,109,27757,108])}),define(Ie[129],Pe([1,0]),function(le,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Fm=e.$Em=e.$Dm=void 0,e.$Bm=I,e.rot=O;function I(w,p,E){return Math.min(Math.max(w,p),E)}function O(w,p){return(p+w%p)%p}class R{constructor(){this.a=0}getNext(){return this.a++}}e.$Dm=R;class M{constructor(){this.a=1,this.b=0}update(p){return this.b=this.b+(p-this.b)/this.a,this.a+=1,this.b}get value(){return this.b}}e.$Em=M;class A{constructor(p){this.a=0,this.b=0,this.c=[],this.d=0,this.e=0,this.c=new Array(p),this.c.fill(0,0,p)}update(p){const E=this.c[this.d];return this.c[this.d]=p,this.d=(this.d+1)%this.c.length,this.e-=E,this.e+=p,this.a<this.c.length&&(this.a+=1),this.b=this.e/this.a,this.b}get value(){return this.b}}e.$Fm=A}),define(Ie[130],Pe([1,0]),function(le,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$bd=void 0,e.$cd=M,e.$dd=d;class I{constructor(m,r,o){this.owner=m,this.debugNameSource=r,this.referenceFn=o}getDebugName(m){return M(m,this)}}e.$bd=I;const O=new Map,R=new WeakMap;function M(b,m){const r=R.get(b);if(r)return r;const o=A(b,m);if(o){let s=O.get(o)??0;s++,O.set(o,s);const i=s===1?o:`${o}#${s}`;return R.set(b,i),i}}function A(b,m){const r=R.get(b);if(r)return r;const o=m.owner?T(m.owner)+".":"";let s;const i=m.debugNameSource;if(i!==void 0)if(typeof i=="function"){if(s=i(),s!==void 0)return o+s}else return o+i;const n=m.referenceFn;if(n!==void 0&&(s=d(n),s!==void 0))return o+s;if(m.owner!==void 0){const c=w(m.owner,b);if(c!==void 0)return o+c}}function w(b,m){for(const r in b)if(b[r]===m)return r}const p=new Map,E=new WeakMap;function T(b){const m=E.get(b);if(m)return m;const r=D(b);let o=p.get(r)??0;o++,p.set(r,o);const s=o===1?r:`${r}#${o}`;return E.set(b,s),s}function D(b){const m=b.constructor;return m?m.name:"Object"}function d(b){const m=b.toString(),o=/\/\*\*\s*@description\s*([^*]*)\*\//.exec(m);return(o?o[1]:void 0)?.trim()}}),define(Ie[131],Pe([1,0]),function(le,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Kd=void 0,e.$Id=O,e.$Jd=R;let I;function O(r){I=r}function R(){return I}class M{constructor(){this.a=0,this.d=new WeakMap}b(o){return A([w(b("|  ",this.a)),o])}c(o){return o.hadValue?o.didChange?[w(" "),E(T(o.oldValue,70),{color:"red",strikeThrough:!0}),w(" "),E(T(o.newValue,60),{color:"green"})]:[w(" (unchanged)")]:[w(" "),E(T(o.newValue,60),{color:"green"}),w(" (initial)")]}handleObservableChanged(o,s){console.log(...this.b([p("observable value changed"),E(o.debugName,{color:"BlueViolet"}),...this.c(s)]))}formatChanges(o){if(o.size!==0)return E(" (changed deps: "+[...o].map(s=>s.debugName).join(", ")+")",{color:"gray"})}handleDerivedCreated(o){const s=o.handleChange;this.d.set(o,new Set),o.handleChange=(i,n)=>(this.d.get(o).add(i),s.apply(o,[i,n]))}handleDerivedRecomputed(o,s){const i=this.d.get(o);console.log(...this.b([p("derived recomputed"),E(o.debugName,{color:"BlueViolet"}),...this.c(s),this.formatChanges(i),{data:[{fn:o._computeFn}]}])),i.clear()}handleFromEventObservableTriggered(o,s){console.log(...this.b([p("observable from event triggered"),E(o.debugName,{color:"BlueViolet"}),...this.c(s),{data:[{fn:o._getValue}]}]))}handleAutorunCreated(o){const s=o.handleChange;this.d.set(o,new Set),o.handleChange=(i,n)=>(this.d.get(o).add(i),s.apply(o,[i,n]))}handleAutorunTriggered(o){const s=this.d.get(o);console.log(...this.b([p("autorun"),E(o.debugName,{color:"BlueViolet"}),this.formatChanges(s),{data:[{fn:o._runFn}]}])),s.clear(),this.a++}handleAutorunFinished(o){this.a--}handleBeginTransaction(o){let s=o.getDebugName();s===void 0&&(s=""),console.log(...this.b([p("transaction"),E(s,{color:"BlueViolet"}),{data:[{fn:o._fn}]}])),this.a++}handleEndTransaction(){this.a--}}e.$Kd=M;function A(r){const o=new Array,s=[];let i="";function n(l){if("length"in l)for(const t of l)t&&n(t);else"text"in l?(i+=`%c${l.text}`,o.push(l.style),l.data&&s.push(...l.data)):"data"in l&&s.push(...l.data)}n(r);const c=[i,...o];return c.push(...s),c}function w(r){return E(r,{color:"black"})}function p(r){return E(m(`${r}: `,10),{color:"black",bold:!0})}function E(r,o={color:"black"}){function s(n){return Object.entries(n).reduce((c,[l,t])=>`${c}${l}:${t};`,"")}const i={color:o.color};return o.strikeThrough&&(i["text-decoration"]="line-through"),o.bold&&(i["font-weight"]="bold"),{text:r,style:s(i)}}function T(r,o){switch(typeof r){case"number":return""+r;case"string":return r.length+2<=o?`"${r}"`:`"${r.substr(0,o-7)}"+...`;case"boolean":return r?"true":"false";case"undefined":return"undefined";case"object":return r===null?"null":Array.isArray(r)?D(r,o):d(r,o);case"symbol":return r.toString();case"function":return`[[Function${r.name?" "+r.name:""}]]`;default:return""+r}}function D(r,o){let s="[ ",i=!0;for(const n of r){if(i||(s+=", "),s.length-5>o){s+="...";break}i=!1,s+=`${T(n,o-s.length)}`}return s+=" ]",s}function d(r,o){let s="{ ",i=!0;for(const[n,c]of Object.entries(r)){if(i||(s+=", "),s.length-5>o){s+="...";break}i=!1,s+=`${n}: ${T(c,o-s.length)}`}return s+=" }",s}function b(r,o){let s="";for(let i=1;i<=o;i++)s+=r;return s}function m(r,o){for(;r.length<o;)r+=" ";return r}}),define(Ie[132],Pe([1,0,125,130,131]),function(le,e,I,O,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$6d=e.$4d=e.$1d=e.$Vd=e.$Ud=void 0,e.$Rd=A,e.$Sd=p,e.$Td=T,e.$Wd=b,e.$Xd=r,e.$Yd=o,e.$Zd=s,e.$2d=n,e.$3d=c,e.$5d=t;let M;function A(a){M=a}let w;function p(a){w=a}let E;function T(a){E=a}class D{get TChange(){return null}reportChanges(){this.get()}read($){return $?$.readObservable(this):this.get()}map($,u){const S=u===void 0?void 0:$,h=u===void 0?$:u;return E({owner:S,debugName:()=>{const v=(0,O.$dd)(h);if(v!==void 0)return v;const k=/^\s*\(?\s*([a-zA-Z_$][a-zA-Z_$0-9]*)\s*\)?\s*=>\s*\1(?:\??)\.([a-zA-Z_$][a-zA-Z_$0-9]*)\s*$/.exec(h.toString());if(k)return`${this.debugName}.${k[2]}`;if(!S)return`${this.debugName} (mapped)`},debugReferenceFn:h},v=>h(this.read(v),v))}recomputeInitiallyAndOnChange($,u){return $.add(M(this,u)),this}keepObserved($){return $.add(w(this)),this}get a(){return this.get()}}e.$Ud=D;class d extends D{constructor(){super(...arguments),this.b=new Set}addObserver($){const u=this.b.size;this.b.add($),u===0&&this.c()}removeObserver($){this.b.delete($)&&this.b.size===0&&this.f()}c(){}f(){}}e.$Vd=d;function b(a,$){const u=new i(a,$);try{a(u)}finally{u.finish()}}let m;function r(a){if(m)a(m);else{const $=new i(a,void 0);m=$;try{a($)}finally{$.finish(),m=void 0}}}async function o(a,$){const u=new i(a,$);try{await a(u)}finally{u.finish()}}function s(a,$,u){a?$(a):b($,u)}class i{constructor($,u){this._fn=$,this.b=u,this.a=[],(0,R.$Jd)()?.handleBeginTransaction(this)}getDebugName(){return this.b?this.b():(0,O.$dd)(this._fn)}updateObserver($,u){this.a.push({observer:$,observable:u}),$.beginUpdate(u)}finish(){const $=this.a;for(let u=0;u<$.length;u++){const{observer:S,observable:h}=$[u];S.endUpdate(h)}this.a=null,(0,R.$Jd)()?.handleEndTransaction()}}e.$1d=i;function n(a,$){let u;return typeof a=="string"?u=new O.$bd(void 0,a,void 0):u=new O.$bd(a,void 0,void 0),new l(u,$,I.$7c)}function c(a,$){return new l(new O.$bd(a.owner,a.debugName,void 0),$,a.equalsFn??I.$7c)}class l extends d{get debugName(){return this.e.getDebugName(this)??"ObservableValue"}constructor($,u,S){super(),this.e=$,this.g=S,this.d=u}get(){return this.d}set($,u,S){if(this.g(this.d,$))return;let h;u||(u=h=new i(()=>{},()=>`Setting ${this.debugName}`));try{const v=this.d;this.h($),(0,R.$Jd)()?.handleObservableChanged(this,{oldValue:v,newValue:$,change:S,didChange:!0,hadValue:!0});for(const g of this.b)u.updateObserver(g,this),g.handleChange(this,S)}finally{h&&h.finish()}}toString(){return`${this.debugName}: ${this.d}`}h($){this.d=$}}e.$4d=l;function t(a,$){let u;return typeof a=="string"?u=new O.$bd(void 0,a,void 0):u=new O.$bd(a,void 0,void 0),new f(u,$,I.$7c)}class f extends l{h($){this.d!==$&&(this.d&&this.d.dispose(),this.d=$)}dispose(){this.d?.dispose()}}e.$6d=f}),function(){function le(R){const M=[];typeof R=="number"&&M.push("code/timeOrigin",R);function A(p){M.push(p,Date.now())}function w(){const p=[];for(let E=0;E<M.length;E+=2)p.push({name:M[E],startTime:M[E+1]});return p}return{mark:A,getMarks:w}}function e(){if(typeof performance=="object"&&typeof performance.mark=="function"&&!performance.nodeTiming)return typeof performance.timeOrigin!="number"&&!performance.timing?le():{mark(R){performance.mark(R)},getMarks(){let R=performance.timeOrigin;typeof R!="number"&&(R=performance.timing.navigationStart||performance.timing.redirectStart||performance.timing.fetchStart);const M=[{name:"code/timeOrigin",startTime:Math.round(R)}];for(const A of performance.getEntriesByType("mark"))M.push({name:A.name,startTime:Math.round(R+A.startTime)});return M}};if(typeof process=="object"){const R=performance?.timeOrigin??Math.round((require.__$__nodeRequire||require)("perf_hooks").performance.timeOrigin);return le(R)}else return console.trace("perf-util loaded in UNKNOWN environment"),le()}function I(R){return R.MonacoPerformanceMarks||(R.MonacoPerformanceMarks=e()),R.MonacoPerformanceMarks}var O;typeof global=="object"?O=global:typeof self=="object"?O=self:O={},typeof define=="function"?define("vs/base/common/performance",[],function(){return I(O)}):typeof module=="object"&&typeof module.exports=="object"?module.exports=I(O):(console.trace("perf-util defined in UNKNOWN context (neither requirejs or commonjs)"),O.perf=I(O))}(),define(Ie[133],Pe([1,0,42]),function(le,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$lP=void 0;const O=Symbol("unset");class R{constructor(){this.a=new A,this.b=0}get size(){return this.b}get nodes(){return this.a.children?.values()||I.Iterable.empty()}insert(p,E,T){this.d(p,D=>D._value=E,T)}mutate(p,E){this.d(p,T=>T._value=E(T._value===O?void 0:T._value))}delete(p){const E=this.c(p);if(!E)return;let T=E.length-1;const D=E[T].node._value;if(D!==O){for(this.b--,E[T].node._value=O;T>0;T--){const{node:d,part:b}=E[T];if(d.children?.size||d._value!==O)break;E[T-1].node.children.delete(b)}return D}}*deleteRecursive(p){const E=this.c(p);if(!E)return;const T=E[E.length-1].node;for(let D=E.length-1;D>0;D--){const d=E[D-1];if(d.node.children.delete(E[D].part),d.node.children.size>0||d.node._value!==O)break}for(const D of M(T))D._value!==O&&(this.b--,yield D._value)}find(p){let E=this.a;for(const T of p){const D=E.children?.get(T);if(!D)return;E=D}return E._value===O?void 0:E._value}hasKeyOrParent(p){let E=this.a;for(const T of p){const D=E.children?.get(T);if(!D)return!1;if(D._value!==O)return!0;E=D}return!1}hasKeyOrChildren(p){let E=this.a;for(const T of p){const D=E.children?.get(T);if(!D)return!1;E=D}return!0}hasKey(p){let E=this.a;for(const T of p){const D=E.children?.get(T);if(!D)return!1;E=D}return E._value!==O}c(p){const E=[{part:"",node:this.a}];let T=0;for(const D of p){const d=E[T].node.children?.get(D);if(!d)return;E.push({part:D,node:d}),T++}return E}d(p,E,T){let D=this.a;for(const m of p){if(D.children)if(D.children.has(m))D=D.children.get(m);else{const r=new A;D.children.set(m,r),D=r}else{const r=new A;D.children=new Map([[m,r]]),D=r}T?.(D)}const d=D._value===O?0:1;E(D);const b=D._value===O?0:1;this.b+=b-d}*values(){for(const{_value:p}of M(this.a))p!==O&&(yield p)}}e.$lP=R;function*M(w){const p=[w];for(;p.length>0;){const E=p.pop();if(yield E,E.children)for(const T of E.children.values())p.push(T)}}class A{constructor(){this._value=O}get value(){return this._value===O?void 0:this._value}set value(p){this._value=p===void 0?O:p}}}),function(le,e){if(typeof exports=="object"&&typeof module=="object")module.exports=e();else if(typeof define=="function"&&define.amd)define("vs/base/common/semver/semver",[],e);else{var I=e();for(var O in I)(typeof exports=="object"?exports:le)[O]=I[O]}}(typeof self<"u"?self:this,function(){return function(le){var e={};function I(O){if(e[O])return e[O].exports;var R=e[O]={i:O,l:!1,exports:{}};return le[O].call(R.exports,R,R.exports,I),R.l=!0,R.exports}return I.m=le,I.c=e,I.d=function(O,R,M){I.o(O,R)||Object.defineProperty(O,R,{enumerable:!0,get:M})},I.r=function(O){typeof Symbol<"u"&&Symbol.toStringTag&&Object.defineProperty(O,Symbol.toStringTag,{value:"Module"}),Object.defineProperty(O,"__esModule",{value:!0})},I.t=function(O,R){if(1&R&&(O=I(O)),8&R||4&R&&typeof O=="object"&&O&&O.__esModule)return O;var M=Object.create(null);if(I.r(M),Object.defineProperty(M,"default",{enumerable:!0,value:O}),2&R&&typeof O!="string")for(var A in O)I.d(M,A,function(w){return O[w]}.bind(null,A));return M},I.n=function(O){var R=O&&O.__esModule?function(){return O.default}:function(){return O};return I.d(R,"a",R),R},I.o=function(O,R){return Object.prototype.hasOwnProperty.call(O,R)},I.p="",I(I.s=0)}([function(le,e,I){(function(O){var R;e=le.exports=Ne,R=typeof O=="object"&&O.env&&O.env.NODE_DEBUG&&/\bsemver\b/i.test(O.env.NODE_DEBUG)?function(){var F=Array.prototype.slice.call(arguments,0);F.unshift("SEMVER"),console.log.apply(console,F)}:function(){},e.SEMVER_SPEC_VERSION="2.0.0";var M=256,A=Number.MAX_SAFE_INTEGER||9007199254740991,w=e.re=[],p=e.src=[],E=0,T=E++;p[T]="0|[1-9]\\d*";var D=E++;p[D]="[0-9]+";var d=E++;p[d]="\\d*[a-zA-Z-][a-zA-Z0-9-]*";var b=E++;p[b]="("+p[T]+")\\.("+p[T]+")\\.("+p[T]+")";var m=E++;p[m]="("+p[D]+")\\.("+p[D]+")\\.("+p[D]+")";var r=E++;p[r]="(?:"+p[T]+"|"+p[d]+")";var o=E++;p[o]="(?:"+p[D]+"|"+p[d]+")";var s=E++;p[s]="(?:-("+p[r]+"(?:\\."+p[r]+")*))";var i=E++;p[i]="(?:-?("+p[o]+"(?:\\."+p[o]+")*))";var n=E++;p[n]="[0-9A-Za-z-]+";var c=E++;p[c]="(?:\\+("+p[n]+"(?:\\."+p[n]+")*))";var l=E++,t="v?"+p[b]+p[s]+"?"+p[c]+"?";p[l]="^"+t+"$";var f="[v=\\s]*"+p[m]+p[i]+"?"+p[c]+"?",a=E++;p[a]="^"+f+"$";var $=E++;p[$]="((?:<|>)?=?)";var u=E++;p[u]=p[D]+"|x|X|\\*";var S=E++;p[S]=p[T]+"|x|X|\\*";var h=E++;p[h]="[v=\\s]*("+p[S]+")(?:\\.("+p[S]+")(?:\\.("+p[S]+")(?:"+p[s]+")?"+p[c]+"?)?)?";var v=E++;p[v]="[v=\\s]*("+p[u]+")(?:\\.("+p[u]+")(?:\\.("+p[u]+")(?:"+p[i]+")?"+p[c]+"?)?)?";var g=E++;p[g]="^"+p[$]+"\\s*"+p[h]+"$";var k=E++;p[k]="^"+p[$]+"\\s*"+p[v]+"$";var y=E++;p[y]="(?:^|[^\\d])(\\d{1,16})(?:\\.(\\d{1,16}))?(?:\\.(\\d{1,16}))?(?:$|[^\\d])";var C=E++;p[C]="(?:~>?)";var P=E++;p[P]="(\\s*)"+p[C]+"\\s+",w[P]=new RegExp(p[P],"g");var W=E++;p[W]="^"+p[C]+p[h]+"$";var V=E++;p[V]="^"+p[C]+p[v]+"$";var q=E++;p[q]="(?:\\^)";var N=E++;p[N]="(\\s*)"+p[q]+"\\s+",w[N]=new RegExp(p[N],"g");var j=E++;p[j]="^"+p[q]+p[h]+"$";var K=E++;p[K]="^"+p[q]+p[v]+"$";var ie=E++;p[ie]="^"+p[$]+"\\s*("+f+")$|^$";var ce=E++;p[ce]="^"+p[$]+"\\s*("+t+")$|^$";var ye=E++;p[ye]="(\\s*)"+p[$]+"\\s*("+f+"|"+p[h]+")",w[ye]=new RegExp(p[ye],"g");var Se=E++;p[Se]="^\\s*("+p[h]+")\\s+-\\s+("+p[h]+")\\s*$";var fe=E++;p[fe]="^\\s*("+p[v]+")\\s+-\\s+("+p[v]+")\\s*$";var $e=E++;p[$e]="(<|>)?=?\\s*\\*";for(var Te=0;Te<35;Te++)R(Te,p[Te]),w[Te]||(w[Te]=new RegExp(p[Te]));function ae(F,G){if(F instanceof Ne)return F;if(typeof F!="string"||F.length>M||!(G?w[a]:w[l]).test(F))return null;try{return new Ne(F,G)}catch{return null}}function Ne(F,G){if(F instanceof Ne){if(F.loose===G)return F;F=F.version}else if(typeof F!="string")throw new TypeError("Invalid Version: "+F);if(F.length>M)throw new TypeError("version is longer than "+M+" characters");if(!(this instanceof Ne))return new Ne(F,G);R("SemVer",F,G),this.loose=G;var H=F.trim().match(G?w[a]:w[l]);if(!H)throw new TypeError("Invalid Version: "+F);if(this.raw=F,this.major=+H[1],this.minor=+H[2],this.patch=+H[3],this.major>A||this.major<0)throw new TypeError("Invalid major version");if(this.minor>A||this.minor<0)throw new TypeError("Invalid minor version");if(this.patch>A||this.patch<0)throw new TypeError("Invalid patch version");H[4]?this.prerelease=H[4].split(".").map(function(ee){if(/^[0-9]+$/.test(ee)){var re=+ee;if(re>=0&&re<A)return re}return ee}):this.prerelease=[],this.build=H[5]?H[5].split("."):[],this.format()}e.parse=ae,e.valid=function(F,G){var H=ae(F,G);return H?H.version:null},e.clean=function(F,G){var H=ae(F.trim().replace(/^[=v]+/,""),G);return H?H.version:null},e.SemVer=Ne,Ne.prototype.format=function(){return this.version=this.major+"."+this.minor+"."+this.patch,this.prerelease.length&&(this.version+="-"+this.prerelease.join(".")),this.version},Ne.prototype.toString=function(){return this.version},Ne.prototype.compare=function(F){return R("SemVer.compare",this.version,this.loose,F),F instanceof Ne||(F=new Ne(F,this.loose)),this.compareMain(F)||this.comparePre(F)},Ne.prototype.compareMain=function(F){return F instanceof Ne||(F=new Ne(F,this.loose)),z(this.major,F.major)||z(this.minor,F.minor)||z(this.patch,F.patch)},Ne.prototype.comparePre=function(F){if(F instanceof Ne||(F=new Ne(F,this.loose)),this.prerelease.length&&!F.prerelease.length)return-1;if(!this.prerelease.length&&F.prerelease.length)return 1;if(!this.prerelease.length&&!F.prerelease.length)return 0;var G=0;do{var H=this.prerelease[G],ee=F.prerelease[G];if(R("prerelease compare",G,H,ee),H===void 0&&ee===void 0)return 0;if(ee===void 0)return 1;if(H===void 0)return-1;if(H!==ee)return z(H,ee)}while(++G)},Ne.prototype.inc=function(F,G){switch(F){case"premajor":this.prerelease.length=0,this.patch=0,this.minor=0,this.major++,this.inc("pre",G);break;case"preminor":this.prerelease.length=0,this.patch=0,this.minor++,this.inc("pre",G);break;case"prepatch":this.prerelease.length=0,this.inc("patch",G),this.inc("pre",G);break;case"prerelease":this.prerelease.length===0&&this.inc("patch",G),this.inc("pre",G);break;case"major":this.minor===0&&this.patch===0&&this.prerelease.length!==0||this.major++,this.minor=0,this.patch=0,this.prerelease=[];break;case"minor":this.patch===0&&this.prerelease.length!==0||this.minor++,this.patch=0,this.prerelease=[];break;case"patch":this.prerelease.length===0&&this.patch++,this.prerelease=[];break;case"pre":if(this.prerelease.length===0)this.prerelease=[0];else{for(var H=this.prerelease.length;--H>=0;)typeof this.prerelease[H]=="number"&&(this.prerelease[H]++,H=-2);H===-1&&this.prerelease.push(0)}G&&(this.prerelease[0]===G?isNaN(this.prerelease[1])&&(this.prerelease=[G,0]):this.prerelease=[G,0]);break;default:throw new Error("invalid increment argument: "+F)}return this.format(),this.raw=this.version,this},e.inc=function(F,G,H,ee){typeof H=="string"&&(ee=H,H=void 0);try{return new Ne(F,H).inc(G,ee).version}catch{return null}},e.diff=function(F,G){if(De(F,G))return null;var H=ae(F),ee=ae(G);if(H.prerelease.length||ee.prerelease.length){for(var re in H)if((re==="major"||re==="minor"||re==="patch")&&H[re]!==ee[re])return"pre"+re;return"prerelease"}for(var re in H)if((re==="major"||re==="minor"||re==="patch")&&H[re]!==ee[re])return re},e.compareIdentifiers=z;var ne=/^[0-9]+$/;function z(F,G){var H=ne.test(F),ee=ne.test(G);return H&&ee&&(F=+F,G=+G),H&&!ee?-1:ee&&!H?1:F<G?-1:F>G?1:0}function x(F,G,H){return new Ne(F,H).compare(new Ne(G,H))}function be(F,G,H){return x(F,G,H)>0}function Fe(F,G,H){return x(F,G,H)<0}function De(F,G,H){return x(F,G,H)===0}function we(F,G,H){return x(F,G,H)!==0}function ge(F,G,H){return x(F,G,H)>=0}function Q(F,G,H){return x(F,G,H)<=0}function Y(F,G,H,ee){var re;switch(G){case"===":typeof F=="object"&&(F=F.version),typeof H=="object"&&(H=H.version),re=F===H;break;case"!==":typeof F=="object"&&(F=F.version),typeof H=="object"&&(H=H.version),re=F!==H;break;case"":case"=":case"==":re=De(F,H,ee);break;case"!=":re=we(F,H,ee);break;case">":re=be(F,H,ee);break;case">=":re=ge(F,H,ee);break;case"<":re=Fe(F,H,ee);break;case"<=":re=Q(F,H,ee);break;default:throw new TypeError("Invalid operator: "+G)}return re}function he(F,G){if(F instanceof he){if(F.loose===G)return F;F=F.value}if(!(this instanceof he))return new he(F,G);R("comparator",F,G),this.loose=G,this.parse(F),this.semver===ue?this.value="":this.value=this.operator+this.semver.version,R("comp",this)}e.rcompareIdentifiers=function(F,G){return z(G,F)},e.major=function(F,G){return new Ne(F,G).major},e.minor=function(F,G){return new Ne(F,G).minor},e.patch=function(F,G){return new Ne(F,G).patch},e.compare=x,e.compareLoose=function(F,G){return x(F,G,!0)},e.rcompare=function(F,G,H){return x(G,F,H)},e.sort=function(F,G){return F.sort(function(H,ee){return e.compare(H,ee,G)})},e.rsort=function(F,G){return F.sort(function(H,ee){return e.rcompare(H,ee,G)})},e.gt=be,e.lt=Fe,e.eq=De,e.neq=we,e.gte=ge,e.lte=Q,e.cmp=Y,e.Comparator=he;var ue={};function Me(F,G){if(F instanceof Me)return F.loose===G?F:new Me(F.raw,G);if(F instanceof he)return new Me(F.value,G);if(!(this instanceof Me))return new Me(F,G);if(this.loose=G,this.raw=F,this.set=F.split(/\s*\|\|\s*/).map(function(H){return this.parseRange(H.trim())},this).filter(function(H){return H.length}),!this.set.length)throw new TypeError("Invalid SemVer Range: "+F);this.format()}function de(F){return!F||F.toLowerCase()==="x"||F==="*"}function Ce(F,G,H,ee,re,Oe,Be,Ge,_e,xe,et,tt,it){return((G=de(H)?"":de(ee)?">="+H+".0.0":de(re)?">="+H+"."+ee+".0":">="+G)+" "+(Ge=de(_e)?"":de(xe)?"<"+(+_e+1)+".0.0":de(et)?"<"+_e+"."+(+xe+1)+".0":tt?"<="+_e+"."+xe+"."+et+"-"+tt:"<="+Ge)).trim()}function Re(F,G){for(var H=0;H<F.length;H++)if(!F[H].test(G))return!1;if(G.prerelease.length){for(H=0;H<F.length;H++)if(R(F[H].semver),F[H].semver!==ue&&F[H].semver.prerelease.length>0){var ee=F[H].semver;if(ee.major===G.major&&ee.minor===G.minor&&ee.patch===G.patch)return!0}return!1}return!0}function je(F,G,H){try{G=new Me(G,H)}catch{return!1}return G.test(F)}function U(F,G,H,ee){var re,Oe,Be,Ge,_e;switch(F=new Ne(F,ee),G=new Me(G,ee),H){case">":re=be,Oe=Q,Be=Fe,Ge=">",_e=">=";break;case"<":re=Fe,Oe=ge,Be=be,Ge="<",_e="<=";break;default:throw new TypeError('Must provide a hilo val of "<" or ">"')}if(je(F,G,ee))return!1;for(var xe=0;xe<G.set.length;++xe){var et=G.set[xe],tt=null,it=null;if(et.forEach(function(at){at.semver===ue&&(at=new he(">=0.0.0")),tt=tt||at,it=it||at,re(at.semver,tt.semver,ee)?tt=at:Be(at.semver,it.semver,ee)&&(it=at)}),tt.operator===Ge||tt.operator===_e||(!it.operator||it.operator===Ge)&&Oe(F,it.semver)||it.operator===_e&&Be(F,it.semver))return!1}return!0}he.prototype.parse=function(F){var G=this.loose?w[ie]:w[ce],H=F.match(G);if(!H)throw new TypeError("Invalid comparator: "+F);this.operator=H[1],this.operator==="="&&(this.operator=""),H[2]?this.semver=new Ne(H[2],this.loose):this.semver=ue},he.prototype.toString=function(){return this.value},he.prototype.test=function(F){return R("Comparator.test",F,this.loose),this.semver===ue||(typeof F=="string"&&(F=new Ne(F,this.loose)),Y(F,this.operator,this.semver,this.loose))},he.prototype.intersects=function(F,G){if(!(F instanceof he))throw new TypeError("a Comparator is required");var H;if(this.operator==="")return H=new Me(F.value,G),je(this.value,H,G);if(F.operator==="")return H=new Me(this.value,G),je(F.semver,H,G);var ee=!(this.operator!==">="&&this.operator!==">"||F.operator!==">="&&F.operator!==">"),re=!(this.operator!=="<="&&this.operator!=="<"||F.operator!=="<="&&F.operator!=="<"),Oe=this.semver.version===F.semver.version,Be=!(this.operator!==">="&&this.operator!=="<="||F.operator!==">="&&F.operator!=="<="),Ge=Y(this.semver,"<",F.semver,G)&&(this.operator===">="||this.operator===">")&&(F.operator==="<="||F.operator==="<"),_e=Y(this.semver,">",F.semver,G)&&(this.operator==="<="||this.operator==="<")&&(F.operator===">="||F.operator===">");return ee||re||Oe&&Be||Ge||_e},e.Range=Me,Me.prototype.format=function(){return this.range=this.set.map(function(F){return F.join(" ").trim()}).join("||").trim(),this.range},Me.prototype.toString=function(){return this.range},Me.prototype.parseRange=function(F){var G=this.loose;F=F.trim(),R("range",F,G);var H=G?w[fe]:w[Se];F=F.replace(H,Ce),R("hyphen replace",F),F=F.replace(w[ye],"$1$2$3"),R("comparator trim",F,w[ye]),F=(F=(F=F.replace(w[P],"$1~")).replace(w[N],"$1^")).split(/\s+/).join(" ");var ee=G?w[ie]:w[ce],re=F.split(" ").map(function(Oe){return function(Be,Ge){return R("comp",Be),Be=function(_e,xe){return _e.trim().split(/\s+/).map(function(et){return function(tt,it){R("caret",tt,it);var at=it?w[K]:w[j];return tt.replace(at,function(gt,Ue,st,X,Z){var me;return R("caret",tt,gt,Ue,st,X,Z),de(Ue)?me="":de(st)?me=">="+Ue+".0.0 <"+(+Ue+1)+".0.0":de(X)?me=Ue==="0"?">="+Ue+"."+st+".0 <"+Ue+"."+(+st+1)+".0":">="+Ue+"."+st+".0 <"+(+Ue+1)+".0.0":Z?(R("replaceCaret pr",Z),Z.charAt(0)!=="-"&&(Z="-"+Z),me=Ue==="0"?st==="0"?">="+Ue+"."+st+"."+X+Z+" <"+Ue+"."+st+"."+(+X+1):">="+Ue+"."+st+"."+X+Z+" <"+Ue+"."+(+st+1)+".0":">="+Ue+"."+st+"."+X+Z+" <"+(+Ue+1)+".0.0"):(R("no pr"),me=Ue==="0"?st==="0"?">="+Ue+"."+st+"."+X+" <"+Ue+"."+st+"."+(+X+1):">="+Ue+"."+st+"."+X+" <"+Ue+"."+(+st+1)+".0":">="+Ue+"."+st+"."+X+" <"+(+Ue+1)+".0.0"),R("caret return",me),me})}(et,xe)}).join(" ")}(Be,Ge),R("caret",Be),Be=function(_e,xe){return _e.trim().split(/\s+/).map(function(et){return function(tt,it){var at=it?w[V]:w[W];return tt.replace(at,function(gt,Ue,st,X,Z){var me;return R("tilde",tt,gt,Ue,st,X,Z),de(Ue)?me="":de(st)?me=">="+Ue+".0.0 <"+(+Ue+1)+".0.0":de(X)?me=">="+Ue+"."+st+".0 <"+Ue+"."+(+st+1)+".0":Z?(R("replaceTilde pr",Z),Z.charAt(0)!=="-"&&(Z="-"+Z),me=">="+Ue+"."+st+"."+X+Z+" <"+Ue+"."+(+st+1)+".0"):me=">="+Ue+"."+st+"."+X+" <"+Ue+"."+(+st+1)+".0",R("tilde return",me),me})}(et,xe)}).join(" ")}(Be,Ge),R("tildes",Be),Be=function(_e,xe){return R("replaceXRanges",_e,xe),_e.split(/\s+/).map(function(et){return function(tt,it){tt=tt.trim();var at=it?w[k]:w[g];return tt.replace(at,function(gt,Ue,st,X,Z,me){R("xRange",tt,gt,Ue,st,X,Z,me);var qe=de(st),ve=qe||de(X),ot=ve||de(Z);return Ue==="="&&ot&&(Ue=""),qe?gt=Ue===">"||Ue==="<"?"<0.0.0":"*":Ue&&ot?(ve&&(X=0),ot&&(Z=0),Ue===">"?(Ue=">=",ve?(st=+st+1,X=0,Z=0):ot&&(X=+X+1,Z=0)):Ue==="<="&&(Ue="<",ve?st=+st+1:X=+X+1),gt=Ue+st+"."+X+"."+Z):ve?gt=">="+st+".0.0 <"+(+st+1)+".0.0":ot&&(gt=">="+st+"."+X+".0 <"+st+"."+(+X+1)+".0"),R("xRange return",gt),gt})}(et,xe)}).join(" ")}(Be,Ge),R("xrange",Be),Be=function(_e,xe){return R("replaceStars",_e,xe),_e.trim().replace(w[$e],"")}(Be,Ge),R("stars",Be),Be}(Oe,G)}).join(" ").split(/\s+/);return this.loose&&(re=re.filter(function(Oe){return!!Oe.match(ee)})),re=re.map(function(Oe){return new he(Oe,G)})},Me.prototype.intersects=function(F,G){if(!(F instanceof Me))throw new TypeError("a Range is required");return this.set.some(function(H){return H.every(function(ee){return F.set.some(function(re){return re.every(function(Oe){return ee.intersects(Oe,G)})})})})},e.toComparators=function(F,G){return new Me(F,G).set.map(function(H){return H.map(function(ee){return ee.value}).join(" ").trim().split(" ")})},Me.prototype.test=function(F){if(!F)return!1;typeof F=="string"&&(F=new Ne(F,this.loose));for(var G=0;G<this.set.length;G++)if(Re(this.set[G],F))return!0;return!1},e.satisfies=je,e.maxSatisfying=function(F,G,H){var ee=null,re=null;try{var Oe=new Me(G,H)}catch{return null}return F.forEach(function(Be){Oe.test(Be)&&(ee&&re.compare(Be)!==-1||(re=new Ne(ee=Be,H)))}),ee},e.minSatisfying=function(F,G,H){var ee=null,re=null;try{var Oe=new Me(G,H)}catch{return null}return F.forEach(function(Be){Oe.test(Be)&&(ee&&re.compare(Be)!==1||(re=new Ne(ee=Be,H)))}),ee},e.validRange=function(F,G){try{return new Me(F,G).range||"*"}catch{return null}},e.ltr=function(F,G,H){return U(F,G,"<",H)},e.gtr=function(F,G,H){return U(F,G,">",H)},e.outside=U,e.prerelease=function(F,G){var H=ae(F,G);return H&&H.prerelease.length?H.prerelease:null},e.intersects=function(F,G,H){return F=new Me(F,H),G=new Me(G,H),F.intersects(G)},e.coerce=function(F){if(F instanceof Ne)return F;if(typeof F!="string")return null;var G=F.match(w[y]);return G==null?null:ae((G[1]||"0")+"."+(G[2]||"0")+"."+(G[3]||"0"))}}).call(this,I(1))},function(le,e){var I,O,R=le.exports={};function M(){throw new Error("setTimeout has not been defined")}function A(){throw new Error("clearTimeout has not been defined")}function w(o){if(I===setTimeout)return setTimeout(o,0);if((I===M||!I)&&setTimeout)return I=setTimeout,setTimeout(o,0);try{return I(o,0)}catch{try{return I.call(null,o,0)}catch{return I.call(this,o,0)}}}(function(){try{I=typeof setTimeout=="function"?setTimeout:M}catch{I=M}try{O=typeof clearTimeout=="function"?clearTimeout:A}catch{O=A}})();var p,E=[],T=!1,D=-1;function d(){T&&p&&(T=!1,p.length?E=p.concat(E):D=-1,E.length&&b())}function b(){if(!T){var o=w(d);T=!0;for(var s=E.length;s;){for(p=E,E=[];++D<s;)p&&p[D].run();D=-1,s=E.length}p=null,T=!1,function(i){if(O===clearTimeout)return clearTimeout(i);if((O===A||!O)&&clearTimeout)return O=clearTimeout,clearTimeout(i);try{O(i)}catch{try{return O.call(null,i)}catch{return O.call(this,i)}}}(o)}}function m(o,s){this.fun=o,this.array=s}function r(){}R.nextTick=function(o){var s=new Array(arguments.length-1);if(arguments.length>1)for(var i=1;i<arguments.length;i++)s[i-1]=arguments[i];E.push(new m(o,s)),E.length!==1||T||w(b)},m.prototype.run=function(){this.fun.apply(null,this.array)},R.title="browser",R.browser=!0,R.env={},R.argv=[],R.version="",R.versions={},R.on=r,R.addListener=r,R.once=r,R.off=r,R.removeListener=r,R.removeAllListeners=r,R.emit=r,R.prependListener=r,R.prependOnceListener=r,R.listeners=function(o){return[]},R.binding=function(o){throw new Error("process.binding is not supported")},R.cwd=function(){return"/"},R.chdir=function(o){throw new Error("process.chdir is not supported")},R.umask=function(){return 0}}])}),define(Ie[134],Pe([1,0,14,6]),function(le,e,I,O){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$re=R,e.$se=M,e.$te=A,e.$ue=w,e.$ve=E,e.$we=T,e.$xe=D,e.$ye=d,e.$ze=b,e.$Ae=m,e.$Be=r,e.$Ce=o,e.$De=s,e.$Ee=i,e.$Fe=n;function R(c){const l=c;return l?typeof l.read=="function":!1}function M(c){const l=c;return l?[l.on,l.pause,l.resume,l.destroy].every(t=>typeof t=="function"):!1}function A(c){const l=c;return l?M(l.stream)&&Array.isArray(l.buffer)&&typeof l.ended=="boolean":!1}function w(c,l){return new p(c,l)}class p{constructor(l,t){this.e=l,this.f=t,this.a={flowing:!1,ended:!1,destroyed:!1},this.b={data:[],error:[]},this.c={data:[],error:[],end:[]},this.d=[]}pause(){this.a.destroyed||(this.a.flowing=!1)}resume(){this.a.destroyed||this.a.flowing||(this.a.flowing=!0,this.j(),this.k(),this.l())}write(l){if(!this.a.destroyed){if(this.a.flowing)this.g(l);else if(this.b.data.push(l),typeof this.f?.highWaterMark=="number"&&this.b.data.length>this.f.highWaterMark)return new Promise(t=>this.d.push(t))}}error(l){this.a.destroyed||(this.a.flowing?this.h(l):this.b.error.push(l))}end(l){this.a.destroyed||(typeof l<"u"&&this.write(l),this.a.flowing?(this.i(),this.destroy()):this.a.ended=!0)}g(l){this.c.data.slice(0).forEach(t=>t(l))}h(l){this.c.error.length===0?(0,I.$1)(l):this.c.error.slice(0).forEach(t=>t(l))}i(){this.c.end.slice(0).forEach(l=>l())}on(l,t){if(!this.a.destroyed)switch(l){case"data":this.c.data.push(t),this.resume();break;case"end":this.c.end.push(t),this.a.flowing&&this.l()&&this.destroy();break;case"error":this.c.error.push(t),this.a.flowing&&this.k();break}}removeListener(l,t){if(this.a.destroyed)return;let f;switch(l){case"data":f=this.c.data;break;case"end":f=this.c.end;break;case"error":f=this.c.error;break}if(f){const a=f.indexOf(t);a>=0&&f.splice(a,1)}}j(){if(this.b.data.length>0){const l=this.e(this.b.data);this.g(l),this.b.data.length=0;const t=[...this.d];this.d.length=0,t.forEach(f=>f())}}k(){if(this.c.error.length>0){for(const l of this.b.error)this.h(l);this.b.error.length=0}}l(){return this.a.ended?(this.i(),this.c.end.length>0):!1}destroy(){this.a.destroyed||(this.a.destroyed=!0,this.a.ended=!0,this.b.data.length=0,this.b.error.length=0,this.c.data.length=0,this.c.error.length=0,this.c.end.length=0,this.d.length=0)}}function E(c,l){const t=[];let f;for(;(f=c.read())!==null;)t.push(f);return l(t)}function T(c,l,t){const f=[];let a;for(;(a=c.read())!==null&&f.length<t;)f.push(a);return a===null&&f.length>0?l(f):{read:()=>{if(f.length>0)return f.shift();if(typeof a<"u"){const $=a;return a=void 0,$}return c.read()}}}function D(c,l){return new Promise((t,f)=>{const a=[];d(c,{onData:$=>{l&&a.push($)},onError:$=>{l?f($):t(void 0)},onEnd:()=>{t(l?l(a):void 0)}})})}function d(c,l,t){c.on("error",f=>{t?.isCancellationRequested||l.onError(f)}),c.on("end",()=>{t?.isCancellationRequested||l.onEnd()}),c.on("data",f=>{t?.isCancellationRequested||l.onData(f)})}function b(c,l){return new Promise((t,f)=>{const a=new O.$Uc,$=[],u=v=>{if($.push(v),$.length>l)return a.dispose(),c.pause(),t({stream:c,buffer:$,ended:!1})},S=v=>(a.dispose(),f(v)),h=()=>(a.dispose(),t({stream:c,buffer:$,ended:!0}));a.add((0,O.$Tc)(()=>c.removeListener("error",S))),c.on("error",S),a.add((0,O.$Tc)(()=>c.removeListener("end",h))),c.on("end",h),a.add((0,O.$Tc)(()=>c.removeListener("data",u))),c.on("data",u)})}function m(c,l){const t=w(l);return t.end(c),t}function r(){const c=w(()=>{throw new Error("not supported")});return c.end(),c}function o(c){let l=!1;return{read:()=>l?null:(l=!0,c)}}function s(c,l,t){const f=w(t);return d(c,{onData:a=>f.write(l.data(a)),onError:a=>f.error(l.error?l.error(a):a),onEnd:()=>f.end()}),f}function i(c,l,t){let f=!1;return{read:()=>{const a=l.read();return f?a:(f=!0,a!==null?t([c,a]):c)}}}function n(c,l,t){let f=!1;const a=w(t);return d(l,{onData:$=>f?a.write($):(f=!0,a.write(t([c,$]))),onError:$=>a.error($),onEnd:()=>{f||(f=!0,a.write(c)),a.end()}}),a}}),define(Ie[21],Pe([1,0,43,134]),function(le,e,I,O){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Ge=void 0,e.$He=E,e.$Ie=T,e.$Je=D,e.$Ke=d,e.$Le=b,e.$Me=m,e.$Ne=r,e.$Oe=o,e.$Pe=s,e.$Qe=i,e.$Re=n,e.$Se=c,e.$Te=l,e.$Ue=t,e.$Ve=f,e.$We=a,e.$Xe=$,e.$Ye=u,e.$Ze=S,e.$1e=g;const R=typeof Buffer<"u",M=new I.$V(()=>new Uint8Array(256));let A,w;class p{static alloc(y){return R?new p(Buffer.allocUnsafe(y)):new p(new Uint8Array(y))}static wrap(y){return R&&!Buffer.isBuffer(y)&&(y=Buffer.from(y.buffer,y.byteOffset,y.byteLength)),new p(y)}static fromString(y,C){return!(C?.dontUseNodeBuffer||!1)&&R?new p(Buffer.from(y)):(A||(A=new TextEncoder),new p(A.encode(y)))}static fromByteArray(y){const C=p.alloc(y.length);for(let P=0,W=y.length;P<W;P++)C.buffer[P]=y[P];return C}static concat(y,C){if(typeof C>"u"){C=0;for(let V=0,q=y.length;V<q;V++)C+=y[V].byteLength}const P=p.alloc(C);let W=0;for(let V=0,q=y.length;V<q;V++){const N=y[V];P.set(N,W),W+=N.byteLength}return P}constructor(y){this.buffer=y,this.byteLength=this.buffer.byteLength}clone(){const y=p.alloc(this.byteLength);return y.set(this),y}toString(){return R?this.buffer.toString():(w||(w=new TextDecoder),w.decode(this.buffer))}slice(y,C){return new p(this.buffer.subarray(y,C))}set(y,C){if(y instanceof p)this.buffer.set(y.buffer,C);else if(y instanceof Uint8Array)this.buffer.set(y,C);else if(y instanceof ArrayBuffer)this.buffer.set(new Uint8Array(y),C);else if(ArrayBuffer.isView(y))this.buffer.set(new Uint8Array(y.buffer,y.byteOffset,y.byteLength),C);else throw new Error("Unknown argument 'array'")}readUInt32BE(y){return d(this.buffer,y)}writeUInt32BE(y,C){b(this.buffer,y,C)}readUInt32LE(y){return m(this.buffer,y)}writeUInt32LE(y,C){r(this.buffer,y,C)}readUInt8(y){return o(this.buffer,y)}writeUInt8(y,C){s(this.buffer,y,C)}indexOf(y,C=0){return E(this.buffer,y instanceof p?y.buffer:y,C)}}e.$Ge=p;function E(k,y,C=0){const P=y.byteLength,W=k.byteLength;if(P===0)return 0;if(P===1)return k.indexOf(y[0]);if(P>W-C)return-1;const V=M.value;V.fill(y.length);for(let K=0;K<y.length;K++)V[y[K]]=y.length-K-1;let q=C+y.length-1,N=q,j=-1;for(;q<W;)if(k[q]===y[N]){if(N===0){j=q;break}q--,N--}else q+=Math.max(y.length-N,V[k[q]]),N=y.length-1;return j}function T(k,y){return k[y+0]<<0>>>0|k[y+1]<<8>>>0}function D(k,y,C){k[C+0]=y&255,y=y>>>8,k[C+1]=y&255}function d(k,y){return k[y]*2**24+k[y+1]*2**16+k[y+2]*2**8+k[y+3]}function b(k,y,C){k[C+3]=y,y=y>>>8,k[C+2]=y,y=y>>>8,k[C+1]=y,y=y>>>8,k[C]=y}function m(k,y){return k[y+0]<<0>>>0|k[y+1]<<8>>>0|k[y+2]<<16>>>0|k[y+3]<<24>>>0}function r(k,y,C){k[C+0]=y&255,y=y>>>8,k[C+1]=y&255,y=y>>>8,k[C+2]=y&255,y=y>>>8,k[C+3]=y&255}function o(k,y){return k[y]}function s(k,y,C){k[C]=y}function i(k){return O.$ve(k,y=>p.concat(y))}function n(k){return O.$Ce(k)}function c(k){return O.$xe(k,y=>p.concat(y))}async function l(k){return k.ended?p.concat(k.buffer):p.concat([...k.buffer,await c(k.stream)])}function t(k){return O.$Ae(k,y=>p.concat(y))}function f(k){return O.$De(k,{data:y=>typeof y=="string"?p.fromString(y):p.wrap(y)},y=>p.concat(y))}function a(k){return O.$ue(y=>p.concat(y),k)}function $(k,y){return O.$Ee(k,y,C=>p.concat(C))}function u(k,y){return O.$Fe(k,y,C=>p.concat(C))}function S(k){let y=0,C=0,P=0;const W=new Uint8Array(Math.floor(k.length/4*3)),V=N=>{switch(C){case 3:W[P++]=y|N,C=0;break;case 2:W[P++]=y|N>>>2,y=N<<6,C=3;break;case 1:W[P++]=y|N>>>4,y=N<<4,C=2;break;default:y=N<<2,C=1}};for(let N=0;N<k.length;N++){const j=k.charCodeAt(N);if(j>=65&&j<=90)V(j-65);else if(j>=97&&j<=122)V(j-97+26);else if(j>=48&&j<=57)V(j-48+52);else if(j===43||j===45)V(62);else if(j===47||j===95)V(63);else{if(j===61)break;throw new SyntaxError(`Unexpected base64 character ${k[N]}`)}}const q=P;for(;C>0;)V(0);return p.wrap(W).slice(0,q)}const h="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/",v="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789-_";function g({buffer:k},y=!0,C=!1){const P=C?v:h;let W="";const V=k.byteLength%3;let q=0;for(;q<k.byteLength-V;q+=3){const N=k[q+0],j=k[q+1],K=k[q+2];W+=P[N>>>2],W+=P[(N<<4|j>>>4)&63],W+=P[(j<<2|K>>>6)&63],W+=P[K&63]}if(V===1){const N=k[q+0];W+=P[N>>>2],W+=P[N<<4&63],y&&(W+="==")}else if(V===2){const N=k[q+0],j=k[q+1];W+=P[N>>>2],W+=P[(N<<4|j>>>4)&63],W+=P[j<<2&63],y&&(W+="=")}return W}}),define(Ie[135],Pe([1,0,28,128,13]),function(le,e,I,O,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Jk=e.FuzzyScore=e.$yk=e.$xk=void 0,e.or=M,e.$zk=w,e.$Ak=p,e.$Bk=D,e.$Ck=S,e.$Dk=h,e.$Ek=P,e.$Fk=W,e.$Gk=V,e.$Hk=q,e.$Ik=x,e.$Kk=we,e.$Lk=Y,e.$Mk=he;function M(...de){return function(Ce,Re){for(let je=0,U=de.length;je<U;je++){const F=de[je](Ce,Re);if(F)return F}return null}}e.$xk=A.bind(void 0,!1),e.$yk=A.bind(void 0,!0);function A(de,Ce,Re){if(!Re||Re.length<Ce.length)return null;let je;return de?je=R.$zf(Re,Ce):je=Re.indexOf(Ce)===0,je?Ce.length>0?[{start:0,end:Ce.length}]:[]:null}function w(de,Ce){const Re=Ce.toLowerCase().indexOf(de.toLowerCase());return Re===-1?null:[{start:Re,end:Re+de.length}]}function p(de,Ce){return E(de.toLowerCase(),Ce.toLowerCase(),0,0)}function E(de,Ce,Re,je){if(Re===de.length)return[];if(je===Ce.length)return null;if(de[Re]===Ce[je]){let U=null;return(U=E(de,Ce,Re+1,je+1))?c({start:je,end:je+1},U):null}return E(de,Ce,Re,je+1)}function T(de){return 97<=de&&de<=122}function D(de){return 65<=de&&de<=90}function d(de){return 48<=de&&de<=57}function b(de){return de===32||de===9||de===10||de===13}const m=new Set;"()[]{}<>`'\"-/;:,.?!".split("").forEach(de=>m.add(de.charCodeAt(0)));function r(de){return b(de)||m.has(de)}function o(de,Ce){return de===Ce||r(de)&&r(Ce)}const s=new Map;function i(de){if(s.has(de))return s.get(de);let Ce;const Re=(0,O.$vk)(de);return Re&&(Ce=Re),s.set(de,Ce),Ce}function n(de){return T(de)||D(de)||d(de)}function c(de,Ce){return Ce.length===0?Ce=[de]:de.end===Ce[0].start?Ce[0].start=de.start:Ce.unshift(de),Ce}function l(de,Ce){for(let Re=Ce;Re<de.length;Re++){const je=de.charCodeAt(Re);if(D(je)||d(je)||Re>0&&!n(de.charCodeAt(Re-1)))return Re}return de.length}function t(de,Ce,Re,je){if(Re===de.length)return[];if(je===Ce.length)return null;if(de[Re]!==Ce[je].toLowerCase())return null;{let U=null,F=je+1;for(U=t(de,Ce,Re+1,je+1);!U&&(F=l(Ce,F))<Ce.length;)U=t(de,Ce,Re+1,F),F++;return U===null?null:c({start:je,end:je+1},U)}}function f(de){let Ce=0,Re=0,je=0,U=0,F=0;for(let Oe=0;Oe<de.length;Oe++)F=de.charCodeAt(Oe),D(F)&&Ce++,T(F)&&Re++,n(F)&&je++,d(F)&&U++;const G=Ce/de.length,H=Re/de.length,ee=je/de.length,re=U/de.length;return{upperPercent:G,lowerPercent:H,alphaPercent:ee,numericPercent:re}}function a(de){const{upperPercent:Ce,lowerPercent:Re}=de;return Re===0&&Ce>.6}function $(de){const{upperPercent:Ce,lowerPercent:Re,alphaPercent:je,numericPercent:U}=de;return Re>.2&&Ce<.8&&je>.6&&U<.2}function u(de){let Ce=0,Re=0,je=0,U=0;for(let F=0;F<de.length;F++)je=de.charCodeAt(F),D(je)&&Ce++,T(je)&&Re++,b(je)&&U++;return(Ce===0||Re===0)&&U===0?de.length<=30:Ce<=5}function S(de,Ce){if(!Ce||(Ce=Ce.trim(),Ce.length===0)||!u(de))return null;Ce.length>60&&(Ce=Ce.substring(0,60));const Re=f(Ce);if(!$(Re)){if(!a(Re))return null;Ce=Ce.toLowerCase()}let je=null,U=0;for(de=de.toLowerCase();U<Ce.length&&(je=t(de,Ce,0,U))===null;)U=l(Ce,U+1);return je}function h(de,Ce,Re=!1){if(!Ce||Ce.length===0)return null;let je=null,U=0;for(de=de.toLowerCase(),Ce=Ce.toLowerCase();U<Ce.length&&(je=v(de,Ce,0,U,Re),je===null);)U=g(Ce,U+1);return je}function v(de,Ce,Re,je,U){let F=0;if(Re===de.length)return[];if(je===Ce.length)return null;if(!o(de.charCodeAt(Re),Ce.charCodeAt(je))){const ee=i(de.charCodeAt(Re));if(!ee)return null;for(let re=0;re<ee.length;re++)if(!o(ee[re],Ce.charCodeAt(je+re)))return null;F+=ee.length-1}let G=null,H=je+F+1;if(G=v(de,Ce,Re+1,H,U),!U)for(;!G&&(H=g(Ce,H))<Ce.length;)G=v(de,Ce,Re+1,H,U),H++;if(!G)return null;if(de.charCodeAt(Re)!==Ce.charCodeAt(je)){const ee=i(de.charCodeAt(Re));if(!ee)return G;for(let re=0;re<ee.length;re++)if(ee[re]!==Ce.charCodeAt(je+re))return G}return c({start:je,end:je+F+1},G)}function g(de,Ce){for(let Re=Ce;Re<de.length;Re++)if(r(de.charCodeAt(Re))||Re>0&&r(de.charCodeAt(Re-1)))return Re;return de.length}const k=M(e.$yk,S,w),y=M(e.$yk,S,p),C=new I.$Ec(1e4);function P(de,Ce,Re=!1){if(typeof de!="string"||typeof Ce!="string")return null;let je=C.get(de);je||(je=new RegExp(R.$hf(de),"i"),C.set(de,je));const U=je.exec(Ce);return U?[{start:U.index,end:U.index+U[0].length}]:Re?y(de,Ce):k(de,Ce)}function W(de,Ce){const Re=we(de,de.toLowerCase(),0,Ce,Ce.toLowerCase(),0,{firstMatchCanBeWeak:!0,boostFullMatch:!0});return Re?q(Re):null}function V(de,Ce,Re,je,U,F){const G=Math.min(13,de.length);for(;Re<G;Re++){const H=we(de,Ce,Re,je,U,F,{firstMatchCanBeWeak:!0,boostFullMatch:!0});if(H)return H}return[0,F]}function q(de){if(typeof de>"u")return[];const Ce=[],Re=de[1];for(let je=de.length-1;je>1;je--){const U=de[je]+Re,F=Ce[Ce.length-1];F&&F.end===U?F.end=U+1:Ce.push({start:U,end:U+1})}return Ce}const N=128;function j(){const de=[],Ce=[];for(let Re=0;Re<=N;Re++)Ce[Re]=0;for(let Re=0;Re<=N;Re++)de.push(Ce.slice(0));return de}function K(de){const Ce=[];for(let Re=0;Re<=de;Re++)Ce[Re]=0;return Ce}const ie=K(2*N),ce=K(2*N),ye=j(),Se=j(),fe=j(),$e=!1;function Te(de,Ce,Re,je,U){function F(H,ee,re=" "){for(;H.length<ee;)H=re+H;return H}let G=` |   |${je.split("").map(H=>F(H,3)).join("|")}
`;for(let H=0;H<=Re;H++)H===0?G+=" |":G+=`${Ce[H-1]}|`,G+=de[H].slice(0,U+1).map(ee=>F(ee.toString(),3)).join("|")+`
`;return G}function ae(de,Ce,Re,je){de=de.substr(Ce),Re=Re.substr(je),console.log(Te(Se,de,de.length,Re,Re.length)),console.log(Te(fe,de,de.length,Re,Re.length)),console.log(Te(ye,de,de.length,Re,Re.length))}function Ne(de,Ce){if(Ce<0||Ce>=de.length)return!1;const Re=de.codePointAt(Ce);switch(Re){case 95:case 45:case 46:case 32:case 47:case 92:case 39:case 34:case 58:case 36:case 60:case 62:case 40:case 41:case 91:case 93:case 123:case 125:return!0;case void 0:return!1;default:return!!R.$Rf(Re)}}function ne(de,Ce){if(Ce<0||Ce>=de.length)return!1;switch(de.charCodeAt(Ce)){case 32:case 9:return!0;default:return!1}}function z(de,Ce,Re){return Ce[de]!==Re[de]}function x(de,Ce,Re,je,U,F,G=!1){for(;Ce<Re&&U<F;)de[Ce]===je[U]&&(G&&(ie[Ce]=U),Ce+=1),U+=1;return Ce===Re}var be;(function(de){de[de.Diag=1]="Diag",de[de.Left=2]="Left",de[de.LeftLeft=3]="LeftLeft"})(be||(be={}));var Fe;(function(de){de.Default=[-100,0];function Ce(Re){return!Re||Re.length===2&&Re[0]===-100&&Re[1]===0}de.isDefault=Ce})(Fe||(e.FuzzyScore=Fe={}));class De{static{this.default={boostFullMatch:!0,firstMatchCanBeWeak:!1}}constructor(Ce,Re){this.firstMatchCanBeWeak=Ce,this.boostFullMatch=Re}}e.$Jk=De;function we(de,Ce,Re,je,U,F,G=De.default){const H=de.length>N?N:de.length,ee=je.length>N?N:je.length;if(Re>=H||F>=ee||H-Re>ee-F||!x(Ce,Re,H,U,F,ee,!0))return;ge(H,ee,Re,F,Ce,U);let re=1,Oe=1,Be=Re,Ge=F;const _e=[!1];for(re=1,Be=Re;Be<H;re++,Be++){const at=ie[Be],gt=ce[Be],Ue=Be+1<H?ce[Be+1]:ee;for(Oe=at-F+1,Ge=at;Ge<Ue;Oe++,Ge++){let st=Number.MIN_SAFE_INTEGER,X=!1;Ge<=gt&&(st=Q(de,Ce,Be,Re,je,U,Ge,ee,F,ye[re-1][Oe-1]===0,_e));let Z=0;st!==Number.MAX_SAFE_INTEGER&&(X=!0,Z=st+Se[re-1][Oe-1]);const me=Ge>at,qe=me?Se[re][Oe-1]+(ye[re][Oe-1]>0?-5:0):0,ve=Ge>at+1&&ye[re][Oe-1]>0,ot=ve?Se[re][Oe-2]+(ye[re][Oe-2]>0?-5:0):0;if(ve&&(!me||ot>=qe)&&(!X||ot>=Z))Se[re][Oe]=ot,fe[re][Oe]=3,ye[re][Oe]=0;else if(me&&(!X||qe>=Z))Se[re][Oe]=qe,fe[re][Oe]=2,ye[re][Oe]=0;else if(X)Se[re][Oe]=Z,fe[re][Oe]=1,ye[re][Oe]=ye[re-1][Oe-1]+1;else throw new Error("not possible")}}if($e&&ae(de,Re,je,F),!_e[0]&&!G.firstMatchCanBeWeak)return;re--,Oe--;const xe=[Se[re][Oe],F];let et=0,tt=0;for(;re>=1;){let at=Oe;do{const gt=fe[re][at];if(gt===3)at=at-2;else if(gt===2)at=at-1;else break}while(at>=1);et>1&&Ce[Re+re-1]===U[F+Oe-1]&&!z(at+F-1,je,U)&&et+1>ye[re][at]&&(at=Oe),at===Oe?et++:et=1,tt||(tt=at),re--,Oe=at-1,xe.push(Oe)}ee===H&&G.boostFullMatch&&(xe[0]+=2);const it=tt-H;return xe[0]-=it,xe}function ge(de,Ce,Re,je,U,F){let G=de-1,H=Ce-1;for(;G>=Re&&H>=je;)U[G]===F[H]&&(ce[G]=H,G--),H--}function Q(de,Ce,Re,je,U,F,G,H,ee,re,Oe){if(Ce[Re]!==F[G])return Number.MIN_SAFE_INTEGER;let Be=1,Ge=!1;return G===Re-je?Be=de[Re]===U[G]?7:5:z(G,U,F)&&(G===0||!z(G-1,U,F))?(Be=de[Re]===U[G]?7:5,Ge=!0):Ne(F,G)&&(G===0||!Ne(F,G-1))?Be=5:(Ne(F,G-1)||ne(F,G-1))&&(Be=5,Ge=!0),Be>1&&Re===je&&(Oe[0]=!0),Ge||(Ge=z(G,U,F)||Ne(F,G-1)||ne(F,G-1)),Re===je?G>ee&&(Be-=Ge?3:5):re?Be+=Ge?2:0:Be+=Ge?0:1,G+1===H&&(Be-=Ge?3:5),Be}function Y(de,Ce,Re,je,U,F,G){return ue(de,Ce,Re,je,U,F,!0,G)}function he(de,Ce,Re,je,U,F,G){return ue(de,Ce,Re,je,U,F,!1,G)}function ue(de,Ce,Re,je,U,F,G,H){let ee=we(de,Ce,Re,je,U,F,H);if(ee&&!G)return ee;if(de.length>=3){const re=Math.min(7,de.length-1);for(let Oe=Re+1;Oe<re;Oe++){const Be=Me(de,Oe);if(Be){const Ge=we(Be,Be.toLowerCase(),Re,je,U,F,H);Ge&&(Ge[0]-=3,(!ee||Ge[0]>ee[0])&&(ee=Ge))}}}return ee}function Me(de,Ce){if(Ce+1>=de.length)return;const Re=de[Ce],je=de[Ce+1];if(Re!==je)return de.slice(0,Ce)+je+Re+de.slice(Ce+2)}}),define(Ie[33],Pe([1,0,13]),function(le,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var O;(function(R){R[R.Ignore=0]="Ignore",R[R.Info=1]="Info",R[R.Warning=2]="Warning",R[R.Error=3]="Error"})(O||(O={})),function(R){const M="error",A="warning",w="warn",p="info",E="ignore";function T(d){return d?I.$yf(M,d)?R.Error:I.$yf(A,d)||I.$yf(w,d)?R.Warning:I.$yf(p,d)?R.Info:R.Ignore:R.Ignore}R.fromValue=T;function D(d){switch(d){case R.Error:return M;case R.Warning:return A;case R.Info:return p;default:return E}}R.toString=D}(O||(O={})),e.default=O}),define(Ie[136],Pe([1,0]),function(le,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$be=void 0,e.$be=Symbol("MicrotaskDelay")}),define(Ie[54],Pe([1,0,18,13]),function(le,e,I,O){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Ci=e.$Bi=e.$Ai=e.$zi=e.$yi=void 0;class R{constructor(){this.b="",this.c=0}reset(b){return this.b=b,this.c=0,this}next(){return this.c+=1,this}hasNext(){return this.c<this.b.length-1}cmp(b){const m=b.charCodeAt(0),r=this.b.charCodeAt(this.c);return m-r}value(){return this.b[this.c]}}e.$yi=R;class M{constructor(b=!0){this.e=b}reset(b){return this.b=b,this.c=0,this.d=0,this.next()}hasNext(){return this.d<this.b.length}next(){this.c=this.d;let b=!0;for(;this.d<this.b.length;this.d++)if(this.b.charCodeAt(this.d)===46)if(b)this.c++;else break;else b=!1;return this}cmp(b){return this.e?(0,O.$sf)(b,this.b,0,b.length,this.c,this.d):(0,O.$uf)(b,this.b,0,b.length,this.c,this.d)}value(){return this.b.substring(this.c,this.d)}}e.$zi=M;class A{constructor(b=!0,m=!0){this.f=b,this.g=m}reset(b){this.d=0,this.e=0,this.b=b,this.c=b.length;for(let m=b.length-1;m>=0;m--,this.c--){const r=this.b.charCodeAt(m);if(!(r===47||this.f&&r===92))break}return this.next()}hasNext(){return this.e<this.c}next(){this.d=this.e;let b=!0;for(;this.e<this.c;this.e++){const m=this.b.charCodeAt(this.e);if(m===47||this.f&&m===92)if(b)this.d++;else break;else b=!1}return this}cmp(b){return this.g?(0,O.$sf)(b,this.b,0,b.length,this.d,this.e):(0,O.$uf)(b,this.b,0,b.length,this.d,this.e)}value(){return this.b.substring(this.d,this.e)}}e.$Ai=A;var w;(function(d){d[d.Scheme=1]="Scheme",d[d.Authority=2]="Authority",d[d.Path=3]="Path",d[d.Query=4]="Query",d[d.Fragment=5]="Fragment"})(w||(w={}));class p{constructor(b,m){this.f=b,this.g=m,this.d=[],this.e=0}reset(b){return this.c=b,this.d=[],this.c.scheme&&this.d.push(1),this.c.authority&&this.d.push(2),this.c.path&&(this.b=new A(!1,!this.f(b)),this.b.reset(b.path),this.b.value()&&this.d.push(3)),this.g(b)||(this.c.query&&this.d.push(4),this.c.fragment&&this.d.push(5)),this.e=0,this}next(){return this.d[this.e]===3&&this.b.hasNext()?this.b.next():this.e+=1,this}hasNext(){return this.d[this.e]===3&&this.b.hasNext()||this.e<this.d.length-1}cmp(b){if(this.d[this.e]===1)return(0,O.$tf)(b,this.c.scheme);if(this.d[this.e]===2)return(0,O.$tf)(b,this.c.authority);if(this.d[this.e]===3)return this.b.cmp(b);if(this.d[this.e]===4)return(0,O.$rf)(b,this.c.query);if(this.d[this.e]===5)return(0,O.$rf)(b,this.c.fragment);throw new Error}value(){if(this.d[this.e]===1)return this.c.scheme;if(this.d[this.e]===2)return this.c.authority;if(this.d[this.e]===3)return this.b.value();if(this.d[this.e]===4)return this.c.query;if(this.d[this.e]===5)return this.c.fragment;throw new Error}}e.$Bi=p;class E{constructor(){this.height=1}isEmpty(){return!this.left&&!this.mid&&!this.right&&!this.value}rotateLeft(){const b=this.right;return this.right=b.left,b.left=this,this.updateHeight(),b.updateHeight(),b}rotateRight(){const b=this.left;return this.left=b.right,b.right=this,this.updateHeight(),b.updateHeight(),b}updateHeight(){this.height=1+Math.max(this.heightLeft,this.heightRight)}balanceFactor(){return this.heightRight-this.heightLeft}get heightLeft(){return this.left?.height??0}get heightRight(){return this.right?.height??0}}var T;(function(d){d[d.Left=-1]="Left",d[d.Mid=0]="Mid",d[d.Right=1]="Right"})(T||(T={}));class D{static forUris(b=()=>!1,m=()=>!1){return new D(new p(b,m))}static forPaths(b=!1){return new D(new A(void 0,!b))}static forStrings(){return new D(new R)}static forConfigKeys(){return new D(new M)}constructor(b){this.b=b}clear(){this.c=void 0}fill(b,m){if(m){const r=m.slice(0);(0,I.$Xb)(r);for(const o of r)this.set(o,b)}else{const r=b.slice(0);(0,I.$Xb)(r);for(const o of r)this.set(o[0],o[1])}}set(b,m){const r=this.b.reset(b);let o;this.c||(this.c=new E,this.c.segment=r.value());const s=[];for(o=this.c;;){const n=r.cmp(o.segment);if(n>0)o.left||(o.left=new E,o.left.segment=r.value()),s.push([-1,o]),o=o.left;else if(n<0)o.right||(o.right=new E,o.right.segment=r.value()),s.push([1,o]),o=o.right;else if(r.hasNext())r.next(),o.mid||(o.mid=new E,o.mid.segment=r.value()),s.push([0,o]),o=o.mid;else break}const i=o.value;o.value=m,o.key=b;for(let n=s.length-1;n>=0;n--){const c=s[n][1];c.updateHeight();const l=c.balanceFactor();if(l<-1||l>1){const t=s[n][0],f=s[n+1][0];if(t===1&&f===1)s[n][1]=c.rotateLeft();else if(t===-1&&f===-1)s[n][1]=c.rotateRight();else if(t===1&&f===-1)c.right=s[n+1][1]=s[n+1][1].rotateRight(),s[n][1]=c.rotateLeft();else if(t===-1&&f===1)c.left=s[n+1][1]=s[n+1][1].rotateLeft(),s[n][1]=c.rotateRight();else throw new Error;if(n>0)switch(s[n-1][0]){case-1:s[n-1][1].left=s[n][1];break;case 1:s[n-1][1].right=s[n][1];break;case 0:s[n-1][1].mid=s[n][1];break}else this.c=s[0][1]}}return i}get(b){return this.d(b)?.value}d(b){const m=this.b.reset(b);let r=this.c;for(;r;){const o=m.cmp(r.segment);if(o>0)r=r.left;else if(o<0)r=r.right;else if(m.hasNext())m.next(),r=r.mid;else break}return r}has(b){const m=this.d(b);return!(m?.value===void 0&&m?.mid===void 0)}delete(b){return this.e(b,!1)}deleteSuperstr(b){return this.e(b,!0)}e(b,m){const r=this.b.reset(b),o=[];let s=this.c;for(;s;){const i=r.cmp(s.segment);if(i>0)o.push([-1,s]),s=s.left;else if(i<0)o.push([1,s]),s=s.right;else if(r.hasNext())r.next(),o.push([0,s]),s=s.mid;else break}if(s){if(m?(s.left=void 0,s.mid=void 0,s.right=void 0,s.height=1):(s.key=void 0,s.value=void 0),!s.mid&&!s.value)if(s.left&&s.right){const i=this.f(s.right);if(i.key){const{key:n,value:c,segment:l}=i;this.e(i.key,!1),s.key=n,s.value=c,s.segment=l}}else{const i=s.left??s.right;if(o.length>0){const[n,c]=o[o.length-1];switch(n){case-1:c.left=i;break;case 0:c.mid=i;break;case 1:c.right=i;break}}else this.c=i}for(let i=o.length-1;i>=0;i--){const n=o[i][1];n.updateHeight();const c=n.balanceFactor();if(c>1?(n.right.balanceFactor()>=0||(n.right=n.right.rotateRight()),o[i][1]=n.rotateLeft()):c<-1&&(n.left.balanceFactor()<=0||(n.left=n.left.rotateLeft()),o[i][1]=n.rotateRight()),i>0)switch(o[i-1][0]){case-1:o[i-1][1].left=o[i][1];break;case 1:o[i-1][1].right=o[i][1];break;case 0:o[i-1][1].mid=o[i][1];break}else this.c=o[0][1]}}}f(b){for(;b.left;)b=b.left;return b}findSubstr(b){const m=this.b.reset(b);let r=this.c,o;for(;r;){const s=m.cmp(r.segment);if(s>0)r=r.left;else if(s<0)r=r.right;else if(m.hasNext())m.next(),o=r.value||o,r=r.mid;else break}return r&&r.value||o}findSuperstr(b){return this.g(b,!1)}g(b,m){const r=this.b.reset(b);let o=this.c;for(;o;){const s=r.cmp(o.segment);if(s>0)o=o.left;else if(s<0)o=o.right;else if(r.hasNext())r.next(),o=o.mid;else return o.mid?this.h(o.mid):m?o.value:void 0}}hasElementOrSubtree(b){return this.g(b,!0)!==void 0}forEach(b){for(const[m,r]of this)b(r,m)}*[Symbol.iterator](){yield*this.h(this.c)}h(b){const m=[];return this.j(b,m),m[Symbol.iterator]()}j(b,m){b&&(b.left&&this.j(b.left,m),b.value&&m.push([b.key,b.value]),b.mid&&this.j(b.mid,m),b.right&&this.j(b.right,m))}_isBalanced(){const b=m=>{if(!m)return!0;const r=m.balanceFactor();return r<-1||r>1?!1:b(m.left)&&b(m.right)};return b(this.c)}}e.$Ci=D}),define(Ie[36],Pe([1,0,92]),function(le,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ThemeIcon=e.ThemeColor=void 0,e.$Wj=R;var O;(function(A){function w(p){return p&&typeof p=="object"&&typeof p.id=="string"}A.isThemeColor=w})(O||(e.ThemeColor=O={}));function R(A){return{id:A}}var M;(function(A){A.iconNameSegment="[A-Za-z0-9]+",A.iconNameExpression="[A-Za-z0-9-]+",A.iconModifierExpression="~[A-Za-z]+",A.iconNameCharacter="[A-Za-z0-9~-]";const w=new RegExp(`^(${A.iconNameExpression})(${A.iconModifierExpression})?$`);function p(i){const n=w.exec(i.id);if(!n)return p(I.$Vj.error);const[,c,l]=n,t=["codicon","codicon-"+c];return l&&t.push("codicon-modifier-"+l.substring(1)),t}A.asClassNameArray=p;function E(i){return p(i).join(" ")}A.asClassName=E;function T(i){return"."+p(i).join(".")}A.asCSSSelector=T;function D(i){return i&&typeof i=="object"&&typeof i.id=="string"&&(typeof i.color>"u"||O.isThemeColor(i.color))}A.isThemeIcon=D;const d=new RegExp(`^\\$\\((${A.iconNameExpression}(?:${A.iconModifierExpression})?)\\)$`);function b(i){const n=d.exec(i);if(!n)return;const[,c]=n;return{id:c}}A.fromString=b;function m(i){return{id:i}}A.fromId=m;function r(i,n){let c=i.id;const l=c.lastIndexOf("~");return l!==-1&&(c=c.substring(0,l)),n&&(c=`${c}~${n}`),{id:c}}A.modify=r;function o(i){const n=i.id.lastIndexOf("~");if(n!==-1)return i.id.substring(n+1)}A.getModifier=o;function s(i,n){return i.id===n.id&&i.color?.id===n.color?.id}A.isEqual=s})(M||(e.ThemeIcon=M={}))}),define(Ie[137],Pe([1,0,135,13,36]),function(le,e,I,O,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Nk=p,e.$Ok=T,e.$Pk=d,e.$Qk=b,e.$Rk=r,e.$Sk=o;const M="$(",A=new RegExp(`\\$\\(${R.ThemeIcon.iconNameExpression}(?:${R.ThemeIcon.iconModifierExpression})?\\)`,"g"),w=new RegExp(`(\\\\)?${A.source}`,"g");function p(s){return s.replace(w,(i,n)=>n?i:`\\${i}`)}const E=new RegExp(`\\\\${A.source}`,"g");function T(s){return s.replace(E,i=>`\\${i}`)}const D=new RegExp(`(\\s)?(\\\\)?${A.source}(\\s)?`,"g");function d(s){return s.indexOf(M)===-1?s:s.replace(D,(i,n,c,l)=>c?i:n||l||"")}function b(s){return s?s.replace(/\$\((.*?)\)/g,(i,n)=>` ${n} `).trim():""}const m=new RegExp(`\\$\\(${R.ThemeIcon.iconNameCharacter}+\\)`,"g");function r(s){m.lastIndex=0;let i="";const n=[];let c=0;for(;;){const l=m.lastIndex,t=m.exec(s),f=s.substring(l,t?.index);if(f.length>0){i+=f;for(let a=0;a<f.length;a++)n.push(c)}if(!t)break;c+=t[0].length}return{text:i,iconOffsets:n}}function o(s,i,n=!1){const{text:c,iconOffsets:l}=i;if(!l||l.length===0)return(0,I.$Ek)(s,c,n);const t=(0,O.$ff)(c," "),f=c.length-t.length,a=(0,I.$Ek)(s,t,n);if(a)for(const $ of a){const u=l[$.start+f]+f;$.start+=u,$.end+=u}return a}}),define(Ie[34],Pe([1,0]),function(le,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Sg=void 0,e.$Rg=O;const I=/^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$/i;function O(R){return I.test(R)}e.$Sg=function(){if(typeof crypto=="object"&&typeof crypto.randomUUID=="function")return crypto.randomUUID.bind(crypto);let R;typeof crypto=="object"&&typeof crypto.getRandomValues=="function"?R=crypto.getRandomValues.bind(crypto):R=function(w){for(let p=0;p<w.length;p++)w[p]=Math.floor(Math.random()*256);return w};const M=new Uint8Array(16),A=[];for(let w=0;w<256;w++)A.push(w.toString(16).padStart(2,"0"));return function(){R(M),M[6]=M[6]&15|64,M[8]=M[8]&63|128;let p=0,E="";return E+=A[M[p++]],E+=A[M[p++]],E+=A[M[p++]],E+=A[M[p++]],E+="-",E+=A[M[p++]],E+=A[M[p++]],E+="-",E+=A[M[p++]],E+=A[M[p++]],E+="-",E+=A[M[p++]],E+=A[M[p++]],E+="-",E+=A[M[p++]],E+=A[M[p++]],E+=A[M[p++]],E+=A[M[p++]],E+=A[M[p++]],E+=A[M[p++]],E}}()}),define(Ie[138],Pe([1,0,18,42,34]),function(le,e,I,O,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Ut=e.$St=void 0,e.$Qt=M,e.$Rt=A,e.$Tt=E;function M(D){return{asString:async()=>D,asFile:()=>{},value:typeof D=="string"?D:void 0}}function A(D,d,b){const m={id:(0,R.$Sg)(),name:D,uri:d,data:b};return{asString:async()=>"",asFile:()=>m,value:void 0}}class w{constructor(){this.a=new Map}get size(){let d=0;for(const b of this.a)d++;return d}has(d){return this.a.has(this.b(d))}matches(d){const b=[...this.a.keys()];return O.Iterable.some(this,([m,r])=>r.asFile())&&b.push("files"),T(p(d),b)}get(d){return this.a.get(this.b(d))?.[0]}append(d,b){const m=this.a.get(d);m?m.push(b):this.a.set(this.b(d),[b])}replace(d,b){this.a.set(this.b(d),[b])}delete(d){this.a.delete(this.b(d))}*[Symbol.iterator](){for(const[d,b]of this.a)for(const m of b)yield[d,m]}b(d){return p(d)}}e.$St=w;function p(D){return D.toLowerCase()}function E(D,d){return T(p(D),d.map(p))}function T(D,d){if(D==="*/*")return d.length>0;if(d.includes(D))return!0;const b=D.match(/^([a-z]+)\/([a-z]+|\*)$/i);if(!b)return!1;const[m,r,o]=b;return o==="*"?d.some(s=>s.startsWith(r+"/")):!1}e.$Ut=Object.freeze({create:D=>(0,I.$Mb)(D.map(d=>d.toString())).join(`\r
`),split:D=>D.split(`\r
`),parse:D=>e.$Ut.split(D).filter(d=>!d.startsWith("#"))})}),define(Ie[139],Pe([1,0]),function(le,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.StringEOL=void 0,e.$1t=O;var I;(function(R){R[R.Unknown=0]="Unknown",R[R.Invalid=3]="Invalid",R[R.LF=1]="LF",R[R.CRLF=2]="CRLF"})(I||(e.StringEOL=I={}));function O(R){let M=0,A=0,w=0,p=0;for(let E=0,T=R.length;E<T;E++){const D=R.charCodeAt(E);D===13?(M===0&&(A=E),M++,E+1<T&&R.charCodeAt(E+1)===10?(p|=2,E++):p|=3,w=E+1):D===10&&(p|=1,M===0&&(A=E),M++,w=E+1)}return M===0&&(A=R.length),[M,A,R.length-w,p]}}),define(Ie[140],Pe([1,0]),function(le,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$4s=void 0,e.$4s={tabSize:4,indentSize:4,insertSpaces:!0,detectIndentation:!0,trimAutoWhitespace:!0,largeFileOptimizations:!0,bracketPairColorizationOptions:{enabled:!0,independentColorPoolPerBracketType:!1}}}),define(Ie[141],Pe([1,0]),function(le,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$lu=e.$ku=e.IndentAction=void 0;var I;(function(A){A[A.None=0]="None",A[A.Indent=1]="Indent",A[A.IndentOutdent=2]="IndentOutdent",A[A.Outdent=3]="Outdent"})(I||(e.IndentAction=I={}));class O{constructor(w){if(this.e=null,this.f=!1,this.open=w.open,this.close=w.close,this.b=!0,this.c=!0,this.d=!0,Array.isArray(w.notIn))for(let p=0,E=w.notIn.length;p<E;p++)switch(w.notIn[p]){case"string":this.b=!1;break;case"comment":this.c=!1;break;case"regex":this.d=!1;break}}isOK(w){switch(w){case 0:return!0;case 1:return this.c;case 2:return this.b;case 3:return this.d}}shouldAutoClose(w,p){if(w.getTokenCount()===0)return!0;const E=w.findTokenIndexAtOffset(p-2),T=w.getStandardTokenType(E);return this.isOK(T)}g(w,p){for(let E=w;E<=p;E++){const T=String.fromCharCode(E);if(!this.open.includes(T)&&!this.close.includes(T))return T}return null}findNeutralCharacter(){return this.f||(this.f=!0,this.e||(this.e=this.g(48,57)),this.e||(this.e=this.g(97,122)),this.e||(this.e=this.g(65,90))),this.e}}e.$ku=O;class R{constructor(w){this.autoClosingPairsOpenByStart=new Map,this.autoClosingPairsOpenByEnd=new Map,this.autoClosingPairsCloseByStart=new Map,this.autoClosingPairsCloseByEnd=new Map,this.autoClosingPairsCloseSingleChar=new Map;for(const p of w)M(this.autoClosingPairsOpenByStart,p.open.charAt(0),p),M(this.autoClosingPairsOpenByEnd,p.open.charAt(p.open.length-1),p),M(this.autoClosingPairsCloseByStart,p.close.charAt(0),p),M(this.autoClosingPairsCloseByEnd,p.close.charAt(p.close.length-1),p),p.close.length===1&&p.open.length===1&&M(this.autoClosingPairsCloseSingleChar,p.close,p)}}e.$lu=R;function M(A,w,p){A.has(w)?A.get(w).push(p):A.set(w,[p])}}),define(Ie[142],Pe([1,0]),function(le,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$GC=e.NodeColor=e.$FC=void 0,e.$HC=R,e.$IC=M,e.$JC=E,e.$KC=T,e.$LC=D,e.$MC=d,e.$NC=b,e.$OC=m;class I{constructor(o,s){this.piece=o,this.color=s,this.size_left=0,this.lf_left=0,this.parent=this,this.left=this,this.right=this}next(){if(this.right!==e.$GC)return R(this.right);let o=this;for(;o.parent!==e.$GC&&o.parent.left!==o;)o=o.parent;return o.parent===e.$GC?e.$GC:o.parent}prev(){if(this.left!==e.$GC)return M(this.left);let o=this;for(;o.parent!==e.$GC&&o.parent.right!==o;)o=o.parent;return o.parent===e.$GC?e.$GC:o.parent}detach(){this.parent=null,this.left=null,this.right=null}}e.$FC=I;var O;(function(r){r[r.Black=0]="Black",r[r.Red=1]="Red"})(O||(e.NodeColor=O={})),e.$GC=new I(null,0),e.$GC.parent=e.$GC,e.$GC.left=e.$GC,e.$GC.right=e.$GC,e.$GC.color=0;function R(r){for(;r.left!==e.$GC;)r=r.left;return r}function M(r){for(;r.right!==e.$GC;)r=r.right;return r}function A(r){return r===e.$GC?0:r.size_left+r.piece.length+A(r.right)}function w(r){return r===e.$GC?0:r.lf_left+r.piece.lineFeedCnt+w(r.right)}function p(){e.$GC.parent=e.$GC}function E(r,o){const s=o.right;s.size_left+=o.size_left+(o.piece?o.piece.length:0),s.lf_left+=o.lf_left+(o.piece?o.piece.lineFeedCnt:0),o.right=s.left,s.left!==e.$GC&&(s.left.parent=o),s.parent=o.parent,o.parent===e.$GC?r.root=s:o.parent.left===o?o.parent.left=s:o.parent.right=s,s.left=o,o.parent=s}function T(r,o){const s=o.left;o.left=s.right,s.right!==e.$GC&&(s.right.parent=o),s.parent=o.parent,o.size_left-=s.size_left+(s.piece?s.piece.length:0),o.lf_left-=s.lf_left+(s.piece?s.piece.lineFeedCnt:0),o.parent===e.$GC?r.root=s:o===o.parent.right?o.parent.right=s:o.parent.left=s,s.right=o,o.parent=s}function D(r,o){let s,i;if(o.left===e.$GC?(i=o,s=i.right):o.right===e.$GC?(i=o,s=i.left):(i=R(o.right),s=i.right),i===r.root){r.root=s,s.color=0,o.detach(),p(),r.root.parent=e.$GC;return}const n=i.color===1;if(i===i.parent.left?i.parent.left=s:i.parent.right=s,i===o?(s.parent=i.parent,m(r,s)):(i.parent===o?s.parent=i:s.parent=i.parent,m(r,s),i.left=o.left,i.right=o.right,i.parent=o.parent,i.color=o.color,o===r.root?r.root=i:o===o.parent.left?o.parent.left=i:o.parent.right=i,i.left!==e.$GC&&(i.left.parent=i),i.right!==e.$GC&&(i.right.parent=i),i.size_left=o.size_left,i.lf_left=o.lf_left,m(r,i)),o.detach(),s.parent.left===s){const l=A(s),t=w(s);if(l!==s.parent.size_left||t!==s.parent.lf_left){const f=l-s.parent.size_left,a=t-s.parent.lf_left;s.parent.size_left=l,s.parent.lf_left=t,b(r,s.parent,f,a)}}if(m(r,s.parent),n){p();return}let c;for(;s!==r.root&&s.color===0;)s===s.parent.left?(c=s.parent.right,c.color===1&&(c.color=0,s.parent.color=1,E(r,s.parent),c=s.parent.right),c.left.color===0&&c.right.color===0?(c.color=1,s=s.parent):(c.right.color===0&&(c.left.color=0,c.color=1,T(r,c),c=s.parent.right),c.color=s.parent.color,s.parent.color=0,c.right.color=0,E(r,s.parent),s=r.root)):(c=s.parent.left,c.color===1&&(c.color=0,s.parent.color=1,T(r,s.parent),c=s.parent.left),c.left.color===0&&c.right.color===0?(c.color=1,s=s.parent):(c.left.color===0&&(c.right.color=0,c.color=1,E(r,c),c=s.parent.left),c.color=s.parent.color,s.parent.color=0,c.left.color=0,T(r,s.parent),s=r.root));s.color=0,p()}function d(r,o){for(m(r,o);o!==r.root&&o.parent.color===1;)if(o.parent===o.parent.parent.left){const s=o.parent.parent.right;s.color===1?(o.parent.color=0,s.color=0,o.parent.parent.color=1,o=o.parent.parent):(o===o.parent.right&&(o=o.parent,E(r,o)),o.parent.color=0,o.parent.parent.color=1,T(r,o.parent.parent))}else{const s=o.parent.parent.left;s.color===1?(o.parent.color=0,s.color=0,o.parent.parent.color=1,o=o.parent.parent):(o===o.parent.left&&(o=o.parent,T(r,o)),o.parent.color=0,o.parent.parent.color=1,E(r,o.parent.parent))}r.root.color=0}function b(r,o,s,i){for(;o!==r.root&&o!==e.$GC;)o.parent.left===o&&(o.parent.size_left+=s,o.parent.lf_left+=i),o=o.parent}function m(r,o){let s=0,i=0;if(o!==r.root){for(;o!==r.root&&o===o.parent.right;)o=o.parent;if(o!==r.root)for(o=o.parent,s=A(o.left)-o.size_left,i=w(o.left)-o.lf_left,o.size_left+=s,o.lf_left+=i;o!==r.root&&(s!==0||i!==0);)o.parent.left===o&&(o.parent.size_left+=s,o.parent.lf_left+=i),o=o.parent}}}),define(Ie[93],Pe([1,0,94,30,95,142,96]),function(le,e,I,O,R,M,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$ZC=e.$YC=e.$XC=void 0,e.$VC=T,e.$WC=D;const w=65535;function p(s){let i;return s[s.length-1]<65536?i=new Uint16Array(s.length):i=new Uint32Array(s.length),i.set(s,0),i}class E{constructor(i,n,c,l,t){this.lineStarts=i,this.cr=n,this.lf=c,this.crlf=l,this.isBasicASCII=t}}function T(s,i=!0){const n=[0];let c=1;for(let l=0,t=s.length;l<t;l++){const f=s.charCodeAt(l);f===13?l+1<t&&s.charCodeAt(l+1)===10?(n[c++]=l+2,l++):n[c++]=l+1:f===10&&(n[c++]=l+1)}return i?p(n):n}function D(s,i){s.length=0,s[0]=0;let n=1,c=0,l=0,t=0,f=!0;for(let $=0,u=i.length;$<u;$++){const S=i.charCodeAt($);S===13?$+1<u&&i.charCodeAt($+1)===10?(t++,s[n++]=$+2,$++):(c++,s[n++]=$+1):S===10?(l++,s[n++]=$+1):f&&S!==9&&(S<32||S>126)&&(f=!1)}const a=new E(p(s),c,l,t,f);return s.length=0,a}class d{constructor(i,n,c,l,t){this.bufferIndex=i,this.start=n,this.end=c,this.lineFeedCnt=l,this.length=t}}e.$XC=d;class b{constructor(i,n){this.buffer=i,this.lineStarts=n}}e.$YC=b;class m{constructor(i,n){this.a=[],this.c=i,this.d=n,this.b=0,i.root!==M.$GC&&i.iterate(i.root,c=>(c!==M.$GC&&this.a.push(c.piece),!0))}read(){return this.a.length===0?this.b===0?(this.b++,this.d):null:this.b>this.a.length-1?null:this.b===0?this.d+this.c.getPieceContent(this.a[this.b++]):this.c.getPieceContent(this.a[this.b++])}}class r{constructor(i){this.a=i,this.b=[]}get(i){for(let n=this.b.length-1;n>=0;n--){const c=this.b[n];if(c.nodeStartOffset<=i&&c.nodeStartOffset+c.node.piece.length>=i)return c}return null}get2(i){for(let n=this.b.length-1;n>=0;n--){const c=this.b[n];if(c.nodeStartLineNumber&&c.nodeStartLineNumber<i&&c.nodeStartLineNumber+c.node.piece.lineFeedCnt>=i)return c}return null}set(i){this.b.length>=this.a&&this.b.shift(),this.b.push(i)}validate(i){let n=!1;const c=this.b;for(let l=0;l<c.length;l++){const t=c[l];if(t.node.parent===null||t.nodeStartOffset>=i){c[l]=null,n=!0;continue}}if(n){const l=[];for(const t of c)t!==null&&l.push(t);this.b=l}}}class o{constructor(i,n,c){this.create(i,n,c)}create(i,n,c){this.a=[new b("",[0])],this.g={line:0,column:0},this.root=M.$GC,this.b=1,this.c=0,this.d=n,this.e=n.length,this.f=c;let l=null;for(let t=0,f=i.length;t<f;t++)if(i[t].buffer.length>0){i[t].lineStarts||(i[t].lineStarts=T(i[t].buffer));const a=new d(t+1,{line:0,column:0},{line:i[t].lineStarts.length-1,column:i[t].buffer.length-i[t].lineStarts[i[t].lineStarts.length-1]},i[t].lineStarts.length-1,i[t].buffer.length);this.a.push(i[t]),l=this.S(l,a)}this.h=new r(1),this.j={lineNumber:0,value:""},this.y()}normalizeEOL(i){const n=w,c=n-Math.floor(n/3),l=c*2;let t="",f=0;const a=[];if(this.iterate(this.root,$=>{const u=this.R($),S=u.length;if(f<=c||f+S<l)return t+=u,f+=S,!0;const h=t.replace(/\r\n|\r|\n/g,i);return a.push(new b(h,T(h))),t=u,f=S,!0}),f>0){const $=t.replace(/\r\n|\r|\n/g,i);a.push(new b($,T($)))}this.create(a,i,!0)}getEOL(){return this.d}setEOL(i){this.d=i,this.e=this.d.length,this.normalizeEOL(i)}createSnapshot(i){return new m(this,i)}equal(i){if(this.getLength()!==i.getLength()||this.getLineCount()!==i.getLineCount())return!1;let n=0;return this.iterate(this.root,l=>{if(l===M.$GC)return!0;const t=this.R(l),f=t.length,a=i.G(n),$=i.G(n+f),u=i.getValueInRange2(a,$);return n+=f,t===u})}getOffsetAt(i,n){let c=0,l=this.root;for(;l!==M.$GC;)if(l.left!==M.$GC&&l.lf_left+1>=i)l=l.left;else if(l.lf_left+l.piece.lineFeedCnt+1>=i){c+=l.size_left;const t=this.B(l,i-l.lf_left-2);return c+=t+n-1}else i-=l.lf_left+l.piece.lineFeedCnt,c+=l.size_left+l.piece.length,l=l.right;return c}getPositionAt(i){i=Math.floor(i),i=Math.max(0,i);let n=this.root,c=0;const l=i;for(;n!==M.$GC;)if(n.size_left!==0&&n.size_left>=i)n=n.left;else if(n.size_left+n.piece.length>=i){const t=this.A(n,i-n.size_left);if(c+=n.lf_left+t.index,t.index===0){const f=this.getOffsetAt(c+1,1),a=l-f;return new I.$tt(c+1,a+1)}return new I.$tt(c+1,t.remainder+1)}else if(i-=n.size_left+n.piece.length,c+=n.lf_left+n.piece.lineFeedCnt,n.right===M.$GC){const t=this.getOffsetAt(c+1,1),f=l-i-t;return new I.$tt(c+1,f+1)}else n=n.right;return new I.$tt(1,1)}getValueInRange(i,n){if(i.startLineNumber===i.endLineNumber&&i.startColumn===i.endColumn)return"";const c=this.H(i.startLineNumber,i.startColumn),l=this.H(i.endLineNumber,i.endColumn),t=this.getValueInRange2(c,l);return n?n!==this.d||!this.f?t.replace(/\r\n|\r|\n/g,n):n===this.getEOL()&&this.f?t:t.replace(/\r\n|\r|\n/g,n):t}getValueInRange2(i,n){if(i.node===n.node){const a=i.node,$=this.a[a.piece.bufferIndex].buffer,u=this.u(a.piece.bufferIndex,a.piece.start);return $.substring(u+i.remainder,u+n.remainder)}let c=i.node;const l=this.a[c.piece.bufferIndex].buffer,t=this.u(c.piece.bufferIndex,c.piece.start);let f=l.substring(t+i.remainder,t+c.piece.length);for(c=c.next();c!==M.$GC;){const a=this.a[c.piece.bufferIndex].buffer,$=this.u(c.piece.bufferIndex,c.piece.start);if(c===n.node){f+=a.substring($,$+n.remainder);break}else f+=a.substr($,c.piece.length);c=c.next()}return f}getLinesContent(){const i=[];let n=0,c="",l=!1;return this.iterate(this.root,t=>{if(t===M.$GC)return!0;const f=t.piece;let a=f.length;if(a===0)return!0;const $=this.a[f.bufferIndex].buffer,u=this.a[f.bufferIndex].lineStarts,S=f.start.line,h=f.end.line;let v=u[S]+f.start.column;if(l&&($.charCodeAt(v)===10&&(v++,a--),i[n++]=c,c="",l=!1,a===0))return!0;if(S===h)return!this.f&&$.charCodeAt(v+a-1)===13?(l=!0,c+=$.substr(v,a-1)):c+=$.substr(v,a),!0;c+=this.f?$.substring(v,Math.max(v,u[S+1]-this.e)):$.substring(v,u[S+1]).replace(/(\r\n|\r|\n)$/,""),i[n++]=c;for(let g=S+1;g<h;g++)c=this.f?$.substring(u[g],u[g+1]-this.e):$.substring(u[g],u[g+1]).replace(/(\r\n|\r|\n)$/,""),i[n++]=c;return!this.f&&$.charCodeAt(u[h]+f.end.column-1)===13?(l=!0,f.end.column===0?n--:c=$.substr(u[h],f.end.column-1)):c=$.substr(u[h],f.end.column),!0}),l&&(i[n++]=c,c=""),i[n++]=c,i}getLength(){return this.c}getLineCount(){return this.b}getLineContent(i){return this.j.lineNumber===i?this.j.value:(this.j.lineNumber=i,i===this.b?this.j.value=this.getLineRawContent(i):this.f?this.j.value=this.getLineRawContent(i,this.e):this.j.value=this.getLineRawContent(i).replace(/(\r\n|\r|\n)$/,""),this.j.value)}l(i){if(i.remainder===i.node.piece.length){const n=i.node.next();if(!n)return 0;const c=this.a[n.piece.bufferIndex],l=this.u(n.piece.bufferIndex,n.piece.start);return c.buffer.charCodeAt(l)}else{const n=this.a[i.node.piece.bufferIndex],l=this.u(i.node.piece.bufferIndex,i.node.piece.start)+i.remainder;return n.buffer.charCodeAt(l)}}getLineCharCode(i,n){const c=this.H(i,n+1);return this.l(c)}getLineLength(i){if(i===this.getLineCount()){const n=this.getOffsetAt(i,1);return this.getLength()-n}return this.getOffsetAt(i+1,1)-this.getOffsetAt(i,1)-this.e}getCharCode(i){const n=this.G(i);return this.l(n)}findMatchesInNode(i,n,c,l,t,f,a,$,u,S,h){const v=this.a[i.piece.bufferIndex],g=this.u(i.piece.bufferIndex,i.piece.start),k=this.u(i.piece.bufferIndex,t),y=this.u(i.piece.bufferIndex,f);let C;const P={line:0,column:0};let W,V;n._wordSeparators?(W=v.buffer.substring(k,y),V=q=>q+k,n.reset(0)):(W=v.buffer,V=q=>q,n.reset(k));do if(C=n.next(W),C){if(V(C.index)>=y)return S;this.s(i,V(C.index)-g,P);const q=this.t(i.piece.bufferIndex,t,P),N=P.line===t.line?P.column-t.column+l:P.column+1,j=N+C[0].length;if(h[S++]=(0,A.$RC)(new O.$ut(c+q,N,c+q,j),C,$),V(C.index)+C[0].length>=y||S>=u)return S}while(C);return S}findMatchesLineByLine(i,n,c,l){const t=[];let f=0;const a=new A.$UC(n.wordSeparators,n.regex);let $=this.H(i.startLineNumber,i.startColumn);if($===null)return[];const u=this.H(i.endLineNumber,i.endColumn);if(u===null)return[];let S=this.s($.node,$.remainder);const h=this.s(u.node,u.remainder);if($.node===u.node)return this.findMatchesInNode($.node,a,i.startLineNumber,i.startColumn,S,h,n,c,l,f,t),t;let v=i.startLineNumber,g=$.node;for(;g!==u.node;){const y=this.t(g.piece.bufferIndex,S,g.piece.end);if(y>=1){const P=this.a[g.piece.bufferIndex].lineStarts,W=this.u(g.piece.bufferIndex,g.piece.start),V=P[S.line+y],q=v===i.startLineNumber?i.startColumn:1;if(f=this.findMatchesInNode(g,a,v,q,S,this.s(g,V-W),n,c,l,f,t),f>=l)return t;v+=y}const C=v===i.startLineNumber?i.startColumn-1:0;if(v===i.endLineNumber){const P=this.getLineContent(v).substring(C,i.endColumn-1);return f=this.n(n,a,P,i.endLineNumber,C,f,t,c,l),t}if(f=this.n(n,a,this.getLineContent(v).substr(C),v,C,f,t,c,l),f>=l)return t;v++,$=this.H(v,1),g=$.node,S=this.s($.node,$.remainder)}if(v===i.endLineNumber){const y=v===i.startLineNumber?i.startColumn-1:0,C=this.getLineContent(v).substring(y,i.endColumn-1);return f=this.n(n,a,C,i.endLineNumber,y,f,t,c,l),t}const k=v===i.startLineNumber?i.startColumn:1;return f=this.findMatchesInNode(u.node,a,v,k,S,h,n,c,l,f,t),t}n(i,n,c,l,t,f,a,$,u){const S=i.wordSeparators;if(!$&&i.simpleSearch){const v=i.simpleSearch,g=v.length,k=c.length;let y=-g;for(;(y=c.indexOf(v,y+g))!==-1;)if((!S||(0,A.$TC)(S,c,k,y,g))&&(a[f++]=new R.$Fv(new O.$ut(l,y+1+t,l,y+1+g+t),null),f>=u))return f;return f}let h;n.reset(0);do if(h=n.next(c),h&&(a[f++]=(0,A.$RC)(new O.$ut(l,h.index+1+t,l,h.index+1+h[0].length+t),h,$),f>=u))return f;while(h);return f}insert(i,n,c=!1){if(this.f=this.f&&c,this.j.lineNumber=0,this.j.value="",this.root!==M.$GC){const{node:l,remainder:t,nodeStartOffset:f}=this.G(i),a=l.piece,$=a.bufferIndex,u=this.s(l,t);if(l.piece.bufferIndex===0&&a.end.line===this.g.line&&a.end.column===this.g.column&&f+a.length===i&&n.length<w){this.F(l,n),this.y();return}if(f===i)this.o(n,l),this.h.validate(i);else if(f+l.piece.length>i){const S=[];let h=new d(a.bufferIndex,u,a.end,this.t(a.bufferIndex,u,a.end),this.u($,a.end)-this.u($,u));if(this.K()&&this.M(n)&&this.I(l,t)===10){const y={line:h.start.line+1,column:0};h=new d(h.bufferIndex,y,h.end,this.t(h.bufferIndex,y,h.end),h.length-1),n+=`
`}if(this.K()&&this.L(n))if(this.I(l,t-1)===13){const y=this.s(l,t-1);this.C(l,y),n="\r"+n,l.piece.length===0&&S.push(l)}else this.C(l,u);else this.C(l,u);const v=this.w(n);h.length>0&&this.S(l,h);let g=l;for(let k=0;k<v.length;k++)g=this.S(g,v[k]);this.v(S)}else this.q(n,l)}else{const l=this.w(n);let t=this.T(null,l[0]);for(let f=1;f<l.length;f++)t=this.S(t,l[f])}this.y()}delete(i,n){if(this.j.lineNumber=0,this.j.value="",n<=0||this.root===M.$GC)return;const c=this.G(i),l=this.G(i+n),t=c.node,f=l.node;if(t===f){const v=this.s(t,c.remainder),g=this.s(t,l.remainder);if(c.nodeStartOffset===i){if(n===t.piece.length){const k=t.next();(0,M.$LC)(this,t),this.N(k),this.y();return}this.D(t,g),this.h.validate(i),this.N(t),this.y();return}if(c.nodeStartOffset+t.piece.length===i+n){this.C(t,v),this.O(t),this.y();return}this.E(t,v,g),this.y();return}const a=[],$=this.s(t,c.remainder);this.C(t,$),this.h.validate(i),t.piece.length===0&&a.push(t);const u=this.s(f,l.remainder);this.D(f,u),f.piece.length===0&&a.push(f);const S=t.next();for(let v=S;v!==M.$GC&&v!==f;v=v.next())a.push(v);const h=t.piece.length===0?t.prev():t;this.v(a),this.O(h),this.y()}o(i,n){const c=[];if(this.K()&&this.M(i)&&this.L(n)){const f=n.piece,a={line:f.start.line+1,column:0},$=new d(f.bufferIndex,a,f.end,this.t(f.bufferIndex,a,f.end),f.length-1);n.piece=$,i+=`
`,(0,M.$NC)(this,n,-1,-1),n.piece.length===0&&c.push(n)}const l=this.w(i);let t=this.T(n,l[l.length-1]);for(let f=l.length-2;f>=0;f--)t=this.T(t,l[f]);this.N(t),this.v(c)}q(i,n){this.Q(i,n)&&(i+=`
`);const c=this.w(i),l=this.S(n,c[0]);let t=l;for(let f=1;f<c.length;f++)t=this.S(t,c[f]);this.N(l)}s(i,n,c){const l=i.piece,t=i.piece.bufferIndex,f=this.a[t].lineStarts,$=f[l.start.line]+l.start.column+n;let u=l.start.line,S=l.end.line,h=0,v=0,g=0;for(;u<=S&&(h=u+(S-u)/2|0,g=f[h],h!==S);)if(v=f[h+1],$<g)S=h-1;else if($>=v)u=h+1;else break;return c?(c.line=h,c.column=$-g,null):{line:h,column:$-g}}t(i,n,c){if(c.column===0)return c.line-n.line;const l=this.a[i].lineStarts;if(c.line===l.length-1)return c.line-n.line;const t=l[c.line+1],f=l[c.line]+c.column;if(t>f+1)return c.line-n.line;const a=f-1;return this.a[i].buffer.charCodeAt(a)===13?c.line-n.line+1:c.line-n.line}u(i,n){return this.a[i].lineStarts[n.line]+n.column}v(i){for(let n=0;n<i.length;n++)(0,M.$LC)(this,i[n])}w(i){if(i.length>w){const S=[];for(;i.length>w;){const v=i.charCodeAt(w-1);let g;v===13||v>=55296&&v<=56319?(g=i.substring(0,w-1),i=i.substring(w-1)):(g=i.substring(0,w),i=i.substring(w));const k=T(g);S.push(new d(this.a.length,{line:0,column:0},{line:k.length-1,column:g.length-k[k.length-1]},k.length-1,g.length)),this.a.push(new b(g,k))}const h=T(i);return S.push(new d(this.a.length,{line:0,column:0},{line:h.length-1,column:i.length-h[h.length-1]},h.length-1,i.length)),this.a.push(new b(i,h)),S}let n=this.a[0].buffer.length;const c=T(i,!1);let l=this.g;if(this.a[0].lineStarts[this.a[0].lineStarts.length-1]===n&&n!==0&&this.L(i)&&this.M(this.a[0].buffer)){this.g={line:this.g.line,column:this.g.column+1},l=this.g;for(let S=0;S<c.length;S++)c[S]+=n+1;this.a[0].lineStarts=this.a[0].lineStarts.concat(c.slice(1)),this.a[0].buffer+="_"+i,n+=1}else{if(n!==0)for(let S=0;S<c.length;S++)c[S]+=n;this.a[0].lineStarts=this.a[0].lineStarts.concat(c.slice(1)),this.a[0].buffer+=i}const t=this.a[0].buffer.length,f=this.a[0].lineStarts.length-1,a=t-this.a[0].lineStarts[f],$={line:f,column:a},u=new d(0,l,$,this.t(0,l,$),t-n);return this.g=$,[u]}getLinesRawContent(){return this.U(this.root)}getLineRawContent(i,n=0){let c=this.root,l="";const t=this.h.get2(i);if(t){c=t.node;const f=this.B(c,i-t.nodeStartLineNumber-1),a=this.a[c.piece.bufferIndex].buffer,$=this.u(c.piece.bufferIndex,c.piece.start);if(t.nodeStartLineNumber+c.piece.lineFeedCnt===i)l=a.substring($+f,$+c.piece.length);else{const u=this.B(c,i-t.nodeStartLineNumber);return a.substring($+f,$+u-n)}}else{let f=0;const a=i;for(;c!==M.$GC;)if(c.left!==M.$GC&&c.lf_left>=i-1)c=c.left;else if(c.lf_left+c.piece.lineFeedCnt>i-1){const $=this.B(c,i-c.lf_left-2),u=this.B(c,i-c.lf_left-1),S=this.a[c.piece.bufferIndex].buffer,h=this.u(c.piece.bufferIndex,c.piece.start);return f+=c.size_left,this.h.set({node:c,nodeStartOffset:f,nodeStartLineNumber:a-(i-1-c.lf_left)}),S.substring(h+$,h+u-n)}else if(c.lf_left+c.piece.lineFeedCnt===i-1){const $=this.B(c,i-c.lf_left-2),u=this.a[c.piece.bufferIndex].buffer,S=this.u(c.piece.bufferIndex,c.piece.start);l=u.substring(S+$,S+c.piece.length);break}else i-=c.lf_left+c.piece.lineFeedCnt,f+=c.size_left+c.piece.length,c=c.right}for(c=c.next();c!==M.$GC;){const f=this.a[c.piece.bufferIndex].buffer;if(c.piece.lineFeedCnt>0){const a=this.B(c,0),$=this.u(c.piece.bufferIndex,c.piece.start);return l+=f.substring($,$+a-n),l}else{const a=this.u(c.piece.bufferIndex,c.piece.start);l+=f.substr(a,c.piece.length)}c=c.next()}return l}y(){let i=this.root,n=1,c=0;for(;i!==M.$GC;)n+=i.lf_left+i.piece.lineFeedCnt,c+=i.size_left+i.piece.length,i=i.right;this.b=n,this.c=c,this.h.validate(this.c)}A(i,n){const c=i.piece,l=this.s(i,n),t=l.line-c.start.line;if(this.u(c.bufferIndex,c.end)-this.u(c.bufferIndex,c.start)===n){const f=this.t(i.piece.bufferIndex,c.start,l);if(f!==t)return{index:f,remainder:0}}return{index:t,remainder:l.column}}B(i,n){if(n<0)return 0;const c=i.piece,l=this.a[c.bufferIndex].lineStarts,t=c.start.line+n+1;return t>c.end.line?l[c.end.line]+c.end.column-l[c.start.line]-c.start.column:l[t]-l[c.start.line]-c.start.column}C(i,n){const c=i.piece,l=c.lineFeedCnt,t=this.u(c.bufferIndex,c.end),f=n,a=this.u(c.bufferIndex,f),$=this.t(c.bufferIndex,c.start,f),u=$-l,S=a-t,h=c.length+S;i.piece=new d(c.bufferIndex,c.start,f,$,h),(0,M.$NC)(this,i,S,u)}D(i,n){const c=i.piece,l=c.lineFeedCnt,t=this.u(c.bufferIndex,c.start),f=n,a=this.t(c.bufferIndex,f,c.end),$=this.u(c.bufferIndex,f),u=a-l,S=t-$,h=c.length+S;i.piece=new d(c.bufferIndex,f,c.end,a,h),(0,M.$NC)(this,i,S,u)}E(i,n,c){const l=i.piece,t=l.start,f=l.end,a=l.length,$=l.lineFeedCnt,u=n,S=this.t(l.bufferIndex,l.start,u),h=this.u(l.bufferIndex,n)-this.u(l.bufferIndex,t);i.piece=new d(l.bufferIndex,l.start,u,S,h),(0,M.$NC)(this,i,h-a,S-$);const v=new d(l.bufferIndex,c,f,this.t(l.bufferIndex,c,f),this.u(l.bufferIndex,f)-this.u(l.bufferIndex,c)),g=this.S(i,v);this.N(g)}F(i,n){this.Q(n,i)&&(n+=`
`);const c=this.K()&&this.L(n)&&this.M(i),l=this.a[0].buffer.length;this.a[0].buffer+=n;const t=T(n,!1);for(let g=0;g<t.length;g++)t[g]+=l;if(c){const g=this.a[0].lineStarts[this.a[0].lineStarts.length-2];this.a[0].lineStarts.pop(),this.g={line:this.g.line-1,column:l-g}}this.a[0].lineStarts=this.a[0].lineStarts.concat(t.slice(1));const f=this.a[0].lineStarts.length-1,a=this.a[0].buffer.length-this.a[0].lineStarts[f],$={line:f,column:a},u=i.piece.length+n.length,S=i.piece.lineFeedCnt,h=this.t(0,i.piece.start,$),v=h-S;i.piece=new d(i.piece.bufferIndex,i.piece.start,$,h,u),this.g=$,(0,M.$NC)(this,i,n.length,v)}G(i){let n=this.root;const c=this.h.get(i);if(c)return{node:c.node,nodeStartOffset:c.nodeStartOffset,remainder:i-c.nodeStartOffset};let l=0;for(;n!==M.$GC;)if(n.size_left>i)n=n.left;else if(n.size_left+n.piece.length>=i){l+=n.size_left;const t={node:n,remainder:i-n.size_left,nodeStartOffset:l};return this.h.set(t),t}else i-=n.size_left+n.piece.length,l+=n.size_left+n.piece.length,n=n.right;return null}H(i,n){let c=this.root,l=0;for(;c!==M.$GC;)if(c.left!==M.$GC&&c.lf_left>=i-1)c=c.left;else if(c.lf_left+c.piece.lineFeedCnt>i-1){const t=this.B(c,i-c.lf_left-2),f=this.B(c,i-c.lf_left-1);return l+=c.size_left,{node:c,remainder:Math.min(t+n-1,f),nodeStartOffset:l}}else if(c.lf_left+c.piece.lineFeedCnt===i-1){const t=this.B(c,i-c.lf_left-2);if(t+n-1<=c.piece.length)return{node:c,remainder:t+n-1,nodeStartOffset:l};n-=c.piece.length-t;break}else i-=c.lf_left+c.piece.lineFeedCnt,l+=c.size_left+c.piece.length,c=c.right;for(c=c.next();c!==M.$GC;){if(c.piece.lineFeedCnt>0){const t=this.B(c,0),f=this.J(c);return{node:c,remainder:Math.min(n-1,t),nodeStartOffset:f}}else if(c.piece.length>=n-1){const t=this.J(c);return{node:c,remainder:n-1,nodeStartOffset:t}}else n-=c.piece.length;c=c.next()}return null}I(i,n){if(i.piece.lineFeedCnt<1)return-1;const c=this.a[i.piece.bufferIndex],l=this.u(i.piece.bufferIndex,i.piece.start)+n;return c.buffer.charCodeAt(l)}J(i){if(!i)return 0;let n=i.size_left;for(;i!==this.root;)i.parent.right===i&&(n+=i.parent.size_left+i.parent.piece.length),i=i.parent;return n}K(){return!(this.f&&this.d===`
`)}L(i){if(typeof i=="string")return i.charCodeAt(0)===10;if(i===M.$GC||i.piece.lineFeedCnt===0)return!1;const n=i.piece,c=this.a[n.bufferIndex].lineStarts,l=n.start.line,t=c[l]+n.start.column;return l===c.length-1||c[l+1]>t+1?!1:this.a[n.bufferIndex].buffer.charCodeAt(t)===10}M(i){return typeof i=="string"?i.charCodeAt(i.length-1)===13:i===M.$GC||i.piece.lineFeedCnt===0?!1:this.I(i,i.piece.length-1)===13}N(i){if(this.K()&&this.L(i)){const n=i.prev();this.M(n)&&this.P(n,i)}}O(i){if(this.K()&&this.M(i)){const n=i.next();this.L(n)&&this.P(i,n)}}P(i,n){const c=[],l=this.a[i.piece.bufferIndex].lineStarts;let t;i.piece.end.column===0?t={line:i.piece.end.line-1,column:l[i.piece.end.line]-l[i.piece.end.line-1]-1}:t={line:i.piece.end.line,column:i.piece.end.column-1};const f=i.piece.length-1,a=i.piece.lineFeedCnt-1;i.piece=new d(i.piece.bufferIndex,i.piece.start,t,a,f),(0,M.$NC)(this,i,-1,-1),i.piece.length===0&&c.push(i);const $={line:n.piece.start.line+1,column:0},u=n.piece.length-1,S=this.t(n.piece.bufferIndex,$,n.piece.end);n.piece=new d(n.piece.bufferIndex,$,n.piece.end,S,u),(0,M.$NC)(this,n,-1,-1),n.piece.length===0&&c.push(n);const h=this.w(`\r
`);this.S(i,h[0]);for(let v=0;v<c.length;v++)(0,M.$LC)(this,c[v])}Q(i,n){if(this.K()&&this.M(i)){const c=n.next();if(this.L(c)){if(i+=`
`,c.piece.length===1)(0,M.$LC)(this,c);else{const l=c.piece,t={line:l.start.line+1,column:0},f=l.length-1,a=this.t(l.bufferIndex,t,l.end);c.piece=new d(l.bufferIndex,t,l.end,a,f),(0,M.$NC)(this,c,-1,-1)}return!0}}return!1}iterate(i,n){if(i===M.$GC)return n(M.$GC);const c=this.iterate(i.left,n);return c&&n(i)&&this.iterate(i.right,n)}R(i){if(i===M.$GC)return"";const n=this.a[i.piece.bufferIndex],c=i.piece,l=this.u(c.bufferIndex,c.start),t=this.u(c.bufferIndex,c.end);return n.buffer.substring(l,t)}getPieceContent(i){const n=this.a[i.bufferIndex],c=this.u(i.bufferIndex,i.start),l=this.u(i.bufferIndex,i.end);return n.buffer.substring(c,l)}S(i,n){const c=new M.$FC(n,1);if(c.left=M.$GC,c.right=M.$GC,c.parent=M.$GC,c.size_left=0,c.lf_left=0,this.root===M.$GC)this.root=c,c.color=0;else if(i.right===M.$GC)i.right=c,c.parent=i;else{const t=(0,M.$HC)(i.right);t.left=c,c.parent=t}return(0,M.$MC)(this,c),c}T(i,n){const c=new M.$FC(n,1);if(c.left=M.$GC,c.right=M.$GC,c.parent=M.$GC,c.size_left=0,c.lf_left=0,this.root===M.$GC)this.root=c,c.color=0;else if(i.left===M.$GC)i.left=c,c.parent=i;else{const l=(0,M.$IC)(i.left);l.right=c,c.parent=l}return(0,M.$MC)(this,c),c}U(i){let n="";return this.iterate(i,c=>(n+=this.R(c),!0)),n}}e.$ZC=o}),define(Ie[143],Pe([1,0]),function(le,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$r$=e.$q$=void 0;class I{constructor(){this.a=new Map}removeDragOperationTransfer(M){if(M&&this.a.has(M)){const A=this.a.get(M);return this.a.delete(M),A}}addDragOperationTransfer(M,A){this.a.set(M,A)}}e.$q$=I;class O{constructor(M){this.identifier=M}}e.$r$=O}),define(Ie[144],Pe([9,10]),function(le,e){return le.create("vs/base/common/actions",e)}),define(Ie[145],Pe([1,0,5,6,144]),function(le,e,I,O,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$fj=e.$ej=e.$dj=e.$cj=e.$bj=void 0,e.$gj=T;class M extends O.$Vc{constructor(d,b="",m="",r=!0,o){super(),this.h=this.B(new I.$ee),this.onDidChange=this.h.event,this.w=!0,this.j=d,this.m=b,this.u=m,this.w=r,this.C=o}get id(){return this.j}get label(){return this.m}set label(d){this.D(d)}D(d){this.m!==d&&(this.m=d,this.h.fire({label:d}))}get tooltip(){return this.n||""}set tooltip(d){this.F(d)}F(d){this.n!==d&&(this.n=d,this.h.fire({tooltip:d}))}get class(){return this.u}set class(d){this.G(d)}G(d){this.u!==d&&(this.u=d,this.h.fire({class:d}))}get enabled(){return this.w}set enabled(d){this.H(d)}H(d){this.w!==d&&(this.w=d,this.h.fire({enabled:d}))}get checked(){return this.z}set checked(d){this.I(d)}I(d){this.z!==d&&(this.z=d,this.h.fire({checked:d}))}async run(d,b){this.C&&await this.C(d)}}e.$bj=M;class A extends O.$Vc{constructor(){super(...arguments),this.f=this.B(new I.$ee),this.onWillRun=this.f.event,this.m=this.B(new I.$ee),this.onDidRun=this.m.event}async run(d,b){if(!d.enabled)return;this.f.fire({action:d});let m;try{await this.u(d,b)}catch(r){m=r}this.m.fire({action:d,error:m})}async u(d,b){await d.run(b)}}e.$cj=A;class w{constructor(){this.id=w.ID,this.label="",this.tooltip="",this.class="separator",this.enabled=!1,this.checked=!1}static join(...d){let b=[];for(const m of d)m.length&&(b.length?b=[...b,new w,...m]:b=m);return b}static{this.ID="vs.actions.separator"}async run(){}}e.$dj=w;class p{get actions(){return this.a}constructor(d,b,m,r){this.tooltip="",this.enabled=!0,this.checked=void 0,this.id=d,this.label=b,this.class=r,this.a=m}async run(){}}e.$ej=p;class E extends M{static{this.ID="vs.actions.empty"}constructor(){super(E.ID,R.localize(0,null),void 0,!1)}}e.$fj=E;function T(D){return{id:D.id,label:D.label,class:D.class,enabled:D.enabled??!0,checked:D.checked,run:async(...d)=>D.run(...d),tooltip:D.label}}}),define(Ie[146],Pe([9,10]),function(le,e){return le.create("vs/base/common/date",e)}),define(Ie[147],Pe([1,0,146]),function(le,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$2m=E,e.$3m=T,e.$4m=D;const O=60,R=O*60,M=R*24,A=M*7,w=M*30,p=M*365;function E(d,b,m,r){typeof d!="number"&&(d=d.getTime());const o=Math.round((new Date().getTime()-d)/1e3);if(o<-30)return(0,I.localize)(0,null,E(new Date().getTime()+o*1e3,!1));if(!r&&o<30)return(0,I.localize)(1,null);let s;return o<O?(s=o,b?s===1?m?(0,I.localize)(2,null,s):(0,I.localize)(3,null,s):m?(0,I.localize)(4,null,s):(0,I.localize)(5,null,s):s===1?m?(0,I.localize)(6,null,s):(0,I.localize)(7,null,s):m?(0,I.localize)(8,null,s):(0,I.localize)(9,null,s)):o<R?(s=Math.floor(o/O),b?s===1?m?(0,I.localize)(10,null,s):(0,I.localize)(11,null,s):m?(0,I.localize)(12,null,s):(0,I.localize)(13,null,s):s===1?m?(0,I.localize)(14,null,s):(0,I.localize)(15,null,s):m?(0,I.localize)(16,null,s):(0,I.localize)(17,null,s)):o<M?(s=Math.floor(o/R),b?s===1?m?(0,I.localize)(18,null,s):(0,I.localize)(19,null,s):m?(0,I.localize)(20,null,s):(0,I.localize)(21,null,s):s===1?m?(0,I.localize)(22,null,s):(0,I.localize)(23,null,s):m?(0,I.localize)(24,null,s):(0,I.localize)(25,null,s)):o<A?(s=Math.floor(o/M),b?s===1?(0,I.localize)(26,null,s):(0,I.localize)(27,null,s):s===1?(0,I.localize)(28,null,s):(0,I.localize)(29,null,s)):o<w?(s=Math.floor(o/A),b?s===1?m?(0,I.localize)(30,null,s):(0,I.localize)(31,null,s):m?(0,I.localize)(32,null,s):(0,I.localize)(33,null,s):s===1?m?(0,I.localize)(34,null,s):(0,I.localize)(35,null,s):m?(0,I.localize)(36,null,s):(0,I.localize)(37,null,s)):o<p?(s=Math.floor(o/w),b?s===1?m?(0,I.localize)(38,null,s):(0,I.localize)(39,null,s):m?(0,I.localize)(40,null,s):(0,I.localize)(41,null,s):s===1?m?(0,I.localize)(42,null,s):(0,I.localize)(43,null,s):m?(0,I.localize)(44,null,s):(0,I.localize)(45,null,s)):(s=Math.floor(o/p),b?s===1?m?(0,I.localize)(46,null,s):(0,I.localize)(47,null,s):m?(0,I.localize)(48,null,s):(0,I.localize)(49,null,s):s===1?m?(0,I.localize)(50,null,s):(0,I.localize)(51,null,s):m?(0,I.localize)(52,null,s):(0,I.localize)(53,null,s))}function T(d,b){const m=Math.abs(d/1e3);return m<1?b?(0,I.localize)(54,null,d):(0,I.localize)(55,null,d):m<O?b?(0,I.localize)(56,null,Math.round(d)/1e3):(0,I.localize)(57,null,Math.round(d)/1e3):m<R?b?(0,I.localize)(58,null,Math.round(d/(1e3*O))):(0,I.localize)(59,null,Math.round(d/(1e3*O))):m<M?b?(0,I.localize)(60,null,Math.round(d/(1e3*R))):(0,I.localize)(61,null,Math.round(d/(1e3*R))):(0,I.localize)(62,null,Math.round(d/(1e3*M)))}function D(d){return d.getFullYear()+"-"+String(d.getMonth()+1).padStart(2,"0")+"-"+String(d.getDate()).padStart(2,"0")+"T"+String(d.getHours()).padStart(2,"0")+":"+String(d.getMinutes()).padStart(2,"0")+":"+String(d.getSeconds()).padStart(2,"0")+"."+(d.getMilliseconds()/1e3).toFixed(3).slice(2,5)+"Z"}}),define(Ie[148],Pe([9,10]),function(le,e){return le.create("vs/base/common/errorMessage",e)}),define(Ie[44],Pe([1,0,18,15,148]),function(le,e,I,O,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$hj=p,e.$ij=E,e.$jj=T;function M(D,d){return d&&(D.stack||D.stacktrace)?R.localize(0,null,w(D),A(D.stack)||A(D.stacktrace)):w(D)}function A(D){return Array.isArray(D)?D.join(`
`):D}function w(D){return D.code==="ERR_UNC_HOST_NOT_ALLOWED"?`${D.message}. Please update the 'security.allowedUNCHosts' setting if you want to allow this host.`:typeof D.code=="string"&&typeof D.errno=="number"&&typeof D.syscall=="string"?R.localize(1,null,D.message):D.message||R.localize(2,null)}function p(D=null,d=!1){if(!D)return R.localize(3,null);if(Array.isArray(D)){const b=I.$Hb(D),m=p(b[0],d);return b.length>1?R.localize(4,null,m,b.length):m}if(O.$9f(D))return D;if(D.detail){const b=D.detail;if(b.error)return M(b.error,d);if(b.exception)return M(b.exception,d)}return D.stack?M(D,d):D.message?D.message:R.localize(5,null)}function E(D){const d=D;return d instanceof Error&&Array.isArray(d.actions)}function T(D,d){let b;return typeof D=="string"?b=new Error(D):b=D,b.actions=d,b}}),define(Ie[149],Pe([1,0,43,19]),function(le,e,I,O){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$gr=w,e.$hr=p,e.$ir=E,e.$jr=T,e.$kr=D,e.$lr=d,e.$mr=b,e.$nr=m,e.$or=r,e.$pr=o,e.$qr=u,e.$rr=S,e.$sr=h;const R=new I.$V(()=>{const v=new Intl.Collator(void 0,{numeric:!0,sensitivity:"base"});return{collator:v,collatorIsNumeric:v.resolvedOptions().numeric}}),M=new I.$V(()=>({collator:new Intl.Collator(void 0,{numeric:!0})})),A=new I.$V(()=>({collator:new Intl.Collator(void 0,{numeric:!0,sensitivity:"accent"})}));function w(v,g,k=!1){const y=v||"",C=g||"",P=R.value.collator.compare(y,C);return R.value.collatorIsNumeric&&P===0&&y!==C?y<C?-1:1:P}function p(v,g){const k=M.value.collator;return v=v||"",g=g||"",c(k,v,g)}function E(v,g){const k=M.value.collator;return v=v||"",g=g||"",a(v,g)||c(k,v,g)}function T(v,g){const k=M.value.collator;return v=v||"",g=g||"",f(v,g)||c(k,v,g)}function D(v,g){return v=v||"",g=g||"",v===g?0:v<g?-1:1}function d(v,g){const[k,y]=i(v),[C,P]=i(g);let W=R.value.collator.compare(y,P);if(W===0){if(R.value.collatorIsNumeric&&y!==P)return y<P?-1:1;if(W=R.value.collator.compare(k,C),R.value.collatorIsNumeric&&W===0&&k!==C)return k<C?-1:1}return W}function b(v,g){v=v||"",g=g||"";const k=n(v),y=n(g),C=M.value.collator,P=A.value.collator;return c(P,k,y)||c(C,v,g)}function m(v,g){v=v||"",g=g||"";const k=n(v),y=n(g),C=M.value.collator,P=A.value.collator;return c(P,k,y)||a(v,g)||c(C,v,g)}function r(v,g){v=v||"",g=g||"";const k=n(v),y=n(g),C=M.value.collator,P=A.value.collator;return c(P,k,y)||f(v,g)||c(C,v,g)}function o(v,g){v=v||"",g=g||"";const k=n(v).toLowerCase(),y=n(g).toLowerCase();return k!==y?k<y?-1:1:v!==g?v<g?-1:1:0}const s=/^(.*?)(\.([^.]*))?$/;function i(v,g=!1){const k=v?s.exec(v):[];let y=[k&&k[1]||"",k&&k[3]||""];return g&&(!y[0]&&y[1]||y[0]&&y[0].charAt(0)===".")&&(y=[y[0]+"."+y[1],""]),y}function n(v){const g=v?s.exec(v):[];return g&&g[1]&&g[1].charAt(0)!=="."&&g[3]||""}function c(v,g,k){const y=v.compare(g,k);return y!==0?y:g.length!==k.length?g.length<k.length?-1:1:0}function l(v){const g=v.charAt(0);return g.toLocaleUpperCase()!==g}function t(v){const g=v.charAt(0);return g.toLocaleLowerCase()!==g}function f(v,g){return l(v)&&t(g)?-1:t(v)&&l(g)?1:0}function a(v,g){return t(v)&&l(g)?-1:l(v)&&t(g)?1:0}function $(v,g,k=!1){return k||(v=v&&v.toLowerCase(),g=g&&g.toLowerCase()),v===g?0:v<g?-1:1}function u(v,g,k=!1){const y=v.split(O.sep),C=g.split(O.sep),P=y.length-1,W=C.length-1;let V,q;for(let N=0;;N++){if(V=P===N,q=W===N,V&&q)return w(y[N],C[N],k);if(V)return-1;if(q)return 1;const j=$(y[N],C[N],k);if(j!==0)return j}}function S(v,g,k){const y=v.toLowerCase(),C=g.toLowerCase(),P=h(v,g,k);if(P)return P;const W=y.endsWith(k),V=C.endsWith(k);if(W!==V)return W?-1:1;const q=w(y,C);return q!==0?q:y.localeCompare(C)}function h(v,g,k){const y=v.toLowerCase(),C=g.toLowerCase(),P=y.startsWith(k),W=C.startsWith(k);if(P!==W)return P?-1:1;if(P&&W){if(y.length<C.length)return-1;if(y.length>C.length)return 1}return 0}}),define(Ie[48],Pe([1,0,19,22,13,15]),function(le,e,I,O,R,M){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$og=A,e.$pg=w,e.$qg=p,e.$rg=E,e.$sg=T,e.$tg=m,e.$ug=r,e.$vg=o,e.$wg=s,e.$xg=i,e.$yg=n,e.$zg=c,e.$Ag=l,e.$Bg=t,e.$Cg=f,e.$Dg=a,e.$Eg=S;function A(h){return h===47||h===92}function w(h){return h.replace(/[\\/]/g,I.$hc.sep)}function p(h){return h.indexOf("/")===-1&&(h=w(h)),/^[a-zA-Z]:(\/|$)/.test(h)&&(h="/"+h),h}function E(h,v=I.$hc.sep){if(!h)return"";const g=h.length,k=h.charCodeAt(0);if(A(k)){if(A(h.charCodeAt(1))&&!A(h.charCodeAt(2))){let C=3;const P=C;for(;C<g&&!A(h.charCodeAt(C));C++);if(P!==C&&!A(h.charCodeAt(C+1))){for(C+=1;C<g;C++)if(A(h.charCodeAt(C)))return h.slice(0,C+1).replace(/[\\/]/g,v)}}return v}else if(s(k)&&h.charCodeAt(1)===58)return A(h.charCodeAt(2))?h.slice(0,2)+v:h.slice(0,2);let y=h.indexOf("://");if(y!==-1){for(y+=3;y<g;y++)if(A(h.charCodeAt(y)))return h.slice(0,y+1)}return""}function T(h){if(!O.$i||!h||h.length<5)return!1;let v=h.charCodeAt(0);if(v!==92||(v=h.charCodeAt(1),v!==92))return!1;let g=2;const k=g;for(;g<h.length&&(v=h.charCodeAt(g),v!==92);g++);return!(k===g||(v=h.charCodeAt(g+1),isNaN(v)||v===92))}const D=/[\\/:\*\?"<>\|]/g,d=/[\\/]/g,b=/^(con|prn|aux|clock\$|nul|lpt[0-9]|com[0-9])(\.(.*?))?$/i;function m(h,v=O.$i){const g=v?D:d;return!(!h||h.length===0||/^\s+$/.test(h)||(g.lastIndex=0,g.test(h))||v&&b.test(h)||h==="."||h===".."||v&&h[h.length-1]==="."||v&&h.length!==h.trim().length||h.length>255)}function r(h,v,g){const k=h===v;return!g||k?k:!h||!v?!1:(0,R.$yf)(h,v)}function o(h,v,g,k=I.sep){if(h===v)return!0;if(!h||!v||v.length>h.length)return!1;if(g){if(!(0,R.$zf)(h,v))return!1;if(v.length===h.length)return!0;let C=v.length;return v.charAt(v.length-1)===k&&C--,h.charAt(C)===k}return v.charAt(v.length-1)!==k&&(v+=k),h.indexOf(v)===0}function s(h){return h>=65&&h<=90||h>=97&&h<=122}function i(h,v){return O.$i&&h.endsWith(":")&&(h+=I.sep),(0,I.$jc)(h)||(h=(0,I.$kc)(v,h)),h=(0,I.$ic)(h),n(h)}function n(h){return O.$i?(h=(0,R.$gf)(h,I.sep),h.endsWith(":")&&(h+=I.sep)):(h=(0,R.$gf)(h,I.sep),h||(h=I.sep)),h}function c(h){const v=(0,I.$ic)(h);return O.$i?h.length>3?!1:l(v)&&(h.length===2||v.charCodeAt(2)===92):v===I.$hc.sep}function l(h,v=O.$i){return v?s(h.charCodeAt(0))&&h.charCodeAt(1)===58:!1}function t(h,v=O.$i){return l(h,v)?h[0]:void 0}function f(h,v,g){return v.length>h.length?-1:h===v?0:(g&&(h=h.toLowerCase(),v=v.toLowerCase()),h.indexOf(v))}function a(h){const v=h.split(":");let g,k,y;for(const C of v){const P=Number(C);(0,M.$ag)(P)?k===void 0?k=P:y===void 0&&(y=P):g=g?[g,C].join(":"):C}if(!g)throw new Error("Format for `--goto` should be: `FILE:LINE(:COLUMN)`");return{path:g,line:k!==void 0?k:void 0,column:y!==void 0?y:k!==void 0?1:void 0}}const $="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789",u="BDEFGHIJKMOQRSTUVWXYZbdefghijkmoqrstuvwxyz0123456789";function S(h,v,g=8){let k="";for(let C=0;C<g;C++){let P;C===0&&O.$i&&!v&&(g===3||g===4)?P=u:P=$,k+=P.charAt(Math.floor(Math.random()*P.length))}let y;return v?y=`${v}-${k}`:y=k,h?(0,I.$kc)(h,y):y}}),define(Ie[70],Pe([1,0,19]),function(le,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Qs=void 0,e.$Rs=M,e.$Ss=A,e.$Ts=w,e.$Us=E,e.$Qs=Object.freeze({text:"text/plain",binary:"application/octet-stream",unknown:"application/unknown",markdown:"text/markdown",latex:"text/latex",uriList:"text/uri-list"});const O={".css":"text/css",".csv":"text/csv",".htm":"text/html",".html":"text/html",".ics":"text/calendar",".js":"text/javascript",".mjs":"text/javascript",".txt":"text/plain",".xml":"text/xml"},R={".aac":"audio/x-aac",".avi":"video/x-msvideo",".bmp":"image/bmp",".flv":"video/x-flv",".gif":"image/gif",".ico":"image/x-icon",".jpe":"image/jpg",".jpeg":"image/jpg",".jpg":"image/jpg",".m1v":"video/mpeg",".m2a":"audio/mpeg",".m2v":"video/mpeg",".m3a":"audio/mpeg",".mid":"audio/midi",".midi":"audio/midi",".mk3d":"video/x-matroska",".mks":"video/x-matroska",".mkv":"video/x-matroska",".mov":"video/quicktime",".movie":"video/x-sgi-movie",".mp2":"audio/mpeg",".mp2a":"audio/mpeg",".mp3":"audio/mpeg",".mp4":"video/mp4",".mp4a":"audio/mp4",".mp4v":"video/mp4",".mpe":"video/mpeg",".mpeg":"video/mpeg",".mpg":"video/mpeg",".mpg4":"video/mp4",".mpga":"audio/mpeg",".oga":"audio/ogg",".ogg":"audio/ogg",".opus":"audio/opus",".ogv":"video/ogg",".png":"image/png",".psd":"image/vnd.adobe.photoshop",".qt":"video/quicktime",".spx":"audio/ogg",".svg":"image/svg+xml",".tga":"image/x-tga",".tif":"image/tiff",".tiff":"image/tiff",".wav":"audio/x-wav",".webm":"video/webm",".webp":"image/webp",".wma":"audio/x-ms-wma",".wmv":"video/x-ms-wmv",".woff":"application/font-woff"};function M(T){const D=(0,I.$pc)(T),d=O[D.toLowerCase()];return d!==void 0?d:A(T)}function A(T){const D=(0,I.$pc)(T);return R[D.toLowerCase()]}function w(T){for(const D in R)if(R[D]===T)return D}const p=/^(.+)\/(.+?)(;.+)?$/;function E(T,D){const d=p.exec(T);return d?`${d[1].toLowerCase()}/${d[2].toLowerCase()}${d[3]??""}`:D?void 0:T}}),define(Ie[49],Pe([1,0,21,2]),function(le,e,I,O){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$4h=R,e.$5h=M,e.$6h=w;function R(p){return JSON.stringify(p,A)}function M(p){let E=JSON.parse(p);return E=w(E),E}function A(p,E){return E instanceof RegExp?{$mid:2,source:E.source,flags:E.flags}:E}function w(p,E=0){if(!p||E>200)return p;if(typeof p=="object"){switch(p.$mid){case 1:return O.URI.revive(p);case 2:return new RegExp(p.source,p.flags);case 17:return new Date(p.source)}if(p instanceof I.$Ge||p instanceof Uint8Array)return p;if(Array.isArray(p))for(let T=0;T<p.length;++T)p[T]=w(p[T],E+1);else for(const T in p)Object.hasOwnProperty.call(p,T)&&(p[T]=w(p[T],E+1))}return p}}),define(Ie[16],Pe([1,0,14,22,13,2,19]),function(le,e,I,O,R,M,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.COI=e.$Qg=e.$Pg=e.$Og=e.$Ng=e.$Mg=e.$Lg=e.$Jg=e.$Ig=e.$Hg=e.Schemas=void 0,e.$Fg=p,e.$Gg=E,e.$Kg=D;var w;(function(m){m.inMemory="inmemory",m.vscode="vscode",m.internal="private",m.walkThrough="walkThrough",m.walkThroughSnippet="walkThroughSnippet",m.http="http",m.https="https",m.file="file",m.mailto="mailto",m.untitled="untitled",m.data="data",m.command="command",m.vscodeRemote="vscode-remote",m.vscodeRemoteResource="vscode-remote-resource",m.vscodeManagedRemoteResource="vscode-managed-remote-resource",m.vscodeUserData="vscode-userdata",m.vscodeCustomEditor="vscode-custom-editor",m.vscodeNotebookCell="vscode-notebook-cell",m.vscodeNotebookCellMetadata="vscode-notebook-cell-metadata",m.vscodeNotebookCellOutput="vscode-notebook-cell-output",m.vscodeInteractiveInput="vscode-interactive-input",m.vscodeSettings="vscode-settings",m.vscodeWorkspaceTrust="vscode-workspace-trust",m.vscodeTerminal="vscode-terminal",m.vscodeChatCodeBlock="vscode-chat-code-block",m.vscodeChatCodeCompreBlock="vscode-chat-code-compare-block",m.vscodeChatSesssion="vscode-chat-editor",m.webviewPanel="webview-panel",m.vscodeWebview="vscode-webview",m.extension="extension",m.vscodeFileResource="vscode-file",m.tmp="tmp",m.vsls="vsls",m.vscodeSourceControl="vscode-scm",m.commentsInput="comment",m.codeSetting="code-setting"})(w||(e.Schemas=w={}));function p(m,r){return M.URI.isUri(m)?(0,R.$yf)(m.scheme,r):(0,R.$zf)(m,r+":")}function E(m,...r){return r.some(o=>p(m,o))}e.$Hg="vscode-tkn",e.$Ig="tkn";class T{constructor(){this.a=Object.create(null),this.b=Object.create(null),this.c=Object.create(null),this.d="http",this.e=null,this.f="/"}setPreferredWebSchema(r){this.d=r}setDelegate(r){this.e=r}setServerRootPath(r,o){this.f=D(r,o)}getServerRootPath(){return this.f}get g(){return A.$hc.join(this.f,w.vscodeRemoteResource)}set(r,o,s){this.a[r]=o,this.b[r]=s}setConnectionToken(r,o){this.c[r]=o}getPreferredWebSchema(){return this.d}rewrite(r){if(this.e)try{return this.e(r)}catch(l){return I.$1(l),r}const o=r.authority;let s=this.a[o];s&&s.indexOf(":")!==-1&&s.indexOf("[")===-1&&(s=`[${s}]`);const i=this.b[o],n=this.c[o];let c=`path=${encodeURIComponent(r.path)}`;return typeof n=="string"&&(c+=`&${e.$Ig}=${encodeURIComponent(n)}`),M.URI.from({scheme:O.$o?this.d:w.vscodeRemoteResource,authority:`${s}:${i}`,path:this.g,query:c})}}e.$Jg=new T;function D(m,r){return A.$hc.join(r??"/",`${m.quality??"oss"}-${m.commit??"dev"}`)}e.$Lg="vs/../../extensions",e.$Mg="vs/../../node_modules",e.$Ng="vs/../../node_modules.asar",e.$Og="vs/../../node_modules.asar.unpacked",e.$Pg="vscode-app";class d{static{this.a=e.$Pg}asBrowserUri(r){const o=this.b(r,le);return this.uriToBrowserUri(o)}uriToBrowserUri(r){return r.scheme===w.vscodeRemote?e.$Jg.rewrite(r):r.scheme===w.file&&(O.$m||O.$q===`${w.vscodeFileResource}://${d.a}`)?r.with({scheme:w.vscodeFileResource,authority:r.authority||d.a,query:null,fragment:null}):r}asFileUri(r){const o=this.b(r,le);return this.uriToFileUri(o)}uriToFileUri(r){return r.scheme===w.vscodeFileResource?r.with({scheme:w.file,authority:r.authority!==d.a?r.authority:null,query:null,fragment:null}):r}b(r,o){return M.URI.isUri(r)?r:M.URI.parse(o.toUrl(r))}}e.$Qg=new d;var b;(function(m){const r=new Map([["1",{"Cross-Origin-Opener-Policy":"same-origin"}],["2",{"Cross-Origin-Embedder-Policy":"require-corp"}],["3",{"Cross-Origin-Opener-Policy":"same-origin","Cross-Origin-Embedder-Policy":"require-corp"}]]);m.CoopAndCoep=Object.freeze(r.get("3"));const o="vscode-coi";function s(n){let c;typeof n=="string"?c=new URL(n).searchParams:n instanceof URL?c=n.searchParams:M.URI.isUri(n)&&(c=new URL(n.toString(!0)).searchParams);const l=c?.get(o);if(l)return r.get(l)}m.getHeadersFromQuery=s;function i(n,c,l){if(!globalThis.crossOriginIsolated)return;const t=c&&l?"3":l?"2":"1";n instanceof URLSearchParams?n.set(o,t):n[o]=t}m.addSearchParam=i})(b||(e.COI=b={}))}),define(Ie[23],Pe([1,0,48,16,19,22,13,2]),function(le,e,I,O,R,M,A,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.DataUri=e.$fh=e.$eh=e.$dh=e.$ch=e.$bh=e.$ah=e.$_g=e.$$g=e.$0g=e.$9g=e.$8g=e.$7g=e.$6g=e.$5g=e.$4g=e.$3g=e.$2g=e.$1g=e.$Zg=e.$Yg=void 0,e.$Xg=p,e.$gh=T,e.$hh=d;function p(b){return(0,w.$xc)(b,!0)}class E{constructor(m){this.a=m}compare(m,r,o=!1){return m===r?0:(0,A.$rf)(this.getComparisonKey(m,o),this.getComparisonKey(r,o))}isEqual(m,r,o=!1){return m===r?!0:!m||!r?!1:this.getComparisonKey(m,o)===this.getComparisonKey(r,o)}getComparisonKey(m,r=!1){return m.with({path:this.a(m)?m.path.toLowerCase():void 0,fragment:r?null:void 0}).toString()}ignorePathCasing(m){return this.a(m)}isEqualOrParent(m,r,o=!1){if(m.scheme===r.scheme){if(m.scheme===O.Schemas.file)return I.$vg(p(m),p(r),this.a(m))&&m.query===r.query&&(o||m.fragment===r.fragment);if((0,e.$ch)(m.authority,r.authority))return I.$vg(m.path,r.path,this.a(m),"/")&&m.query===r.query&&(o||m.fragment===r.fragment)}return!1}joinPath(m,...r){return w.URI.joinPath(m,...r)}basenameOrAuthority(m){return(0,e.$7g)(m)||m.authority}basename(m){return R.$hc.basename(m.path)}extname(m){return R.$hc.extname(m.path)}dirname(m){if(m.path.length===0)return m;let r;return m.scheme===O.Schemas.file?r=w.URI.file(R.$nc(p(m))).path:(r=R.$hc.dirname(m.path),m.authority&&r.length&&r.charCodeAt(0)!==47&&(console.error(`dirname("${m.toString})) resulted in a relative path`),r="/")),m.with({path:r})}normalizePath(m){if(!m.path.length)return m;let r;return m.scheme===O.Schemas.file?r=w.URI.file(R.$ic(p(m))).path:r=R.$hc.normalize(m.path),m.with({path:r})}relativePath(m,r){if(m.scheme!==r.scheme||!(0,e.$ch)(m.authority,r.authority))return;if(m.scheme===O.Schemas.file){const i=R.$mc(p(m),p(r));return M.$i?I.$pg(i):i}let o=m.path||"/";const s=r.path||"/";if(this.a(m)){let i=0;for(const n=Math.min(o.length,s.length);i<n&&!(o.charCodeAt(i)!==s.charCodeAt(i)&&o.charAt(i).toLowerCase()!==s.charAt(i).toLowerCase());i++);o=s.substr(0,i)+o.substr(i)}return R.$hc.relative(o,s)}resolvePath(m,r){if(m.scheme===O.Schemas.file){const o=w.URI.file(R.$lc(p(m),r));return m.with({authority:o.authority,path:o.path})}return r=I.$qg(r),m.with({path:R.$hc.resolve(m.path,r)})}isAbsolutePath(m){return!!m.path&&m.path[0]==="/"}isEqualAuthority(m,r){return m===r||m!==void 0&&r!==void 0&&(0,A.$yf)(m,r)}hasTrailingPathSeparator(m,r=R.sep){if(m.scheme===O.Schemas.file){const o=p(m);return o.length>I.$rg(o).length&&o[o.length-1]===r}else{const o=m.path;return o.length>1&&o.charCodeAt(o.length-1)===47&&!/^[a-zA-Z]:(\/$|\\$)/.test(m.fsPath)}}removeTrailingPathSeparator(m,r=R.sep){return(0,e.$dh)(m,r)?m.with({path:m.path.substr(0,m.path.length-1)}):m}addTrailingPathSeparator(m,r=R.sep){let o=!1;if(m.scheme===O.Schemas.file){const s=p(m);o=s!==void 0&&s.length===I.$rg(s).length&&s[s.length-1]===r}else{r="/";const s=m.path;o=s.length===1&&s.charCodeAt(s.length-1)===47}return!o&&!(0,e.$dh)(m,r)?m.with({path:m.path+"/"}):m}}e.$Yg=E,e.$Zg=new E(()=>!1),e.$1g=new E(b=>b.scheme===O.Schemas.file?!M.$k:!0),e.$2g=new E(b=>!0),e.$3g=e.$Zg.isEqual.bind(e.$Zg),e.$4g=e.$Zg.isEqualOrParent.bind(e.$Zg),e.$5g=e.$Zg.getComparisonKey.bind(e.$Zg),e.$6g=e.$Zg.basenameOrAuthority.bind(e.$Zg),e.$7g=e.$Zg.basename.bind(e.$Zg),e.$8g=e.$Zg.extname.bind(e.$Zg),e.$9g=e.$Zg.dirname.bind(e.$Zg),e.$0g=e.$Zg.joinPath.bind(e.$Zg),e.$$g=e.$Zg.normalizePath.bind(e.$Zg),e.$_g=e.$Zg.relativePath.bind(e.$Zg),e.$ah=e.$Zg.resolvePath.bind(e.$Zg),e.$bh=e.$Zg.isAbsolutePath.bind(e.$Zg),e.$ch=e.$Zg.isEqualAuthority.bind(e.$Zg),e.$dh=e.$Zg.hasTrailingPathSeparator.bind(e.$Zg),e.$eh=e.$Zg.removeTrailingPathSeparator.bind(e.$Zg),e.$fh=e.$Zg.addTrailingPathSeparator.bind(e.$Zg);function T(b,m){const r=[];for(let o=0;o<b.length;o++){const s=m(b[o]);b.some((i,n)=>n===o?!1:(0,e.$4g)(s,m(i)))||r.push(b[o])}return r}var D;(function(b){b.META_DATA_LABEL="label",b.META_DATA_DESCRIPTION="description",b.META_DATA_SIZE="size",b.META_DATA_MIME="mime";function m(r){const o=new Map;r.path.substring(r.path.indexOf(";")+1,r.path.lastIndexOf(";")).split(";").forEach(n=>{const[c,l]=n.split(":");c&&l&&o.set(c,l)});const i=r.path.substring(0,r.path.indexOf(";"));return i&&o.set(b.META_DATA_MIME,i),o}b.parseMetaData=m})(D||(e.DataUri=D={}));function d(b,m,r){if(m){let o=b.path;return o&&o[0]!==R.$hc.sep&&(o=R.$hc.sep+o),b.with({scheme:r,authority:m,path:o})}return b.with({scheme:r})}}),define(Ie[11],Pe([1,0,24,14,5,6,23,22,136,43]),function(le,e,I,O,R,M,A,w,p,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Zh=e.$Xh=e.$Wh=e.$Vh=e.$Uh=e.Promises=e.$Th=e.$Sh=e.$Rh=e.$Ph=e.$Oh=e.$Nh=e.$Mh=e.$Lh=e.$Kh=e.$Jh=e.$Ih=e.$Hh=e.$Gh=e.$Fh=e.$Eh=e.$Dh=e.$Ch=e.$wh=e.$vh=e.$uh=e.$th=e.$sh=e.$rh=e.$qh=void 0,e.$ih=T,e.$jh=D,e.$kh=d,e.$lh=b,e.$mh=m,e.$nh=r,e.$oh=o,e.$ph=s,e.$xh=S,e.$yh=h,e.$zh=v,e.$Ah=g,e.$Bh=k,e.$Qh=Se,e.$Yh=De;function T(ge){return!!ge&&typeof ge.then=="function"}function D(ge){const Q=new I.$pe,Y=ge(Q.token),he=new Promise((ue,Me)=>{const de=Q.token.onCancellationRequested(()=>{de.dispose(),Me(new O.$5)});Promise.resolve(Y).then(Ce=>{de.dispose(),Q.dispose(),ue(Ce)},Ce=>{de.dispose(),Q.dispose(),Me(Ce)})});return new class{cancel(){Q.cancel(),Q.dispose()}then(ue,Me){return he.then(ue,Me)}catch(ue){return this.then(void 0,ue)}finally(ue){return he.finally(ue)}}}function d(ge,Q,Y){return new Promise((he,ue)=>{const Me=Q.onCancellationRequested(()=>{Me.dispose(),he(Y)});ge.then(he,ue).finally(()=>Me.dispose())})}function b(ge,Q){return new Promise((Y,he)=>{const ue=Q.onCancellationRequested(()=>{ue.dispose(),he(new O.$5)});ge.then(Y,he).finally(()=>ue.dispose())})}async function m(ge){let Q=-1;const Y=ge.map((he,ue)=>he.then(Me=>(Q=ue,Me)));try{return await Promise.race(Y)}finally{ge.forEach((he,ue)=>{ue!==Q&&he.cancel()})}}function r(ge,Q,Y){let he;const ue=setTimeout(()=>{he?.(void 0),Y?.()},Q);return Promise.race([ge.finally(()=>clearTimeout(ue)),new Promise(Me=>he=Me)])}function o(ge){return new Promise((Q,Y)=>{const he=ge();T(he)?he.then(Q,Y):Q(he)})}function s(){let ge,Q;return{promise:new Promise((he,ue)=>{ge=he,Q=ue}),resolve:ge,reject:Q}}class i{constructor(){this.f=!1,this.a=null,this.b=null,this.d=null}queue(Q){if(this.f)return Promise.reject(new Error("Throttler is disposed"));if(this.a){if(this.d=Q,!this.b){const Y=()=>{if(this.b=null,this.f)return;const he=this.queue(this.d);return this.d=null,he};this.b=new Promise(he=>{this.a.then(Y,Y).then(he)})}return new Promise((Y,he)=>{this.b.then(Y,he)})}return this.a=Q(),new Promise((Y,he)=>{this.a.then(ue=>{this.a=null,Y(ue)},ue=>{this.a=null,he(ue)})})}dispose(){this.f=!0}}e.$qh=i;class n{constructor(){this.a=Promise.resolve(null)}queue(Q){return this.a=this.a.then(()=>Q(),()=>Q())}}e.$rh=n;class c{constructor(){this.a=new Map}queue(Q,Y){const ue=(this.a.get(Q)??Promise.resolve()).catch(()=>{}).then(Y).finally(()=>{this.a.get(Q)===ue&&this.a.delete(Q)});return this.a.set(Q,ue),ue}}e.$sh=c;const l=(ge,Q)=>{let Y=!0;const he=setTimeout(()=>{Y=!1,Q()},ge);return{isTriggered:()=>Y,dispose:()=>{clearTimeout(he),Y=!1}}},t=ge=>{let Q=!0;return queueMicrotask(()=>{Q&&(Q=!1,ge())}),{isTriggered:()=>Q,dispose:()=>{Q=!1}}};class f{constructor(Q){this.defaultDelay=Q,this.a=null,this.b=null,this.d=null,this.f=null,this.g=null}trigger(Q,Y=this.defaultDelay){this.g=Q,this.h(),this.b||(this.b=new Promise((ue,Me)=>{this.d=ue,this.f=Me}).then(()=>{if(this.b=null,this.d=null,this.g){const ue=this.g;return this.g=null,ue()}}));const he=()=>{this.a=null,this.d?.(null)};return this.a=Y===p.$be?t(he):l(Y,he),this.b}isTriggered(){return!!this.a?.isTriggered()}cancel(){this.h(),this.b&&(this.f?.(new O.$5),this.b=null)}h(){this.a?.dispose(),this.a=null}dispose(){this.cancel()}}e.$th=f;class a{constructor(Q){this.a=new f(Q),this.b=new i}trigger(Q,Y){return this.a.trigger(()=>this.b.queue(Q),Y)}isTriggered(){return this.a.isTriggered()}cancel(){this.a.cancel()}dispose(){this.a.dispose(),this.b.dispose()}}e.$uh=a;class ${constructor(){this.a=!1,this.b=new Promise((Q,Y)=>{this.d=Q})}isOpen(){return this.a}open(){this.a=!0,this.d(!0)}wait(){return this.b}}e.$vh=$;class u extends ${constructor(Q){super(),this.f=setTimeout(()=>this.open(),Q)}open(){clearTimeout(this.f),super.open()}}e.$wh=u;function S(ge,Q){return Q?new Promise((Y,he)=>{const ue=setTimeout(()=>{Me.dispose(),Y()},ge),Me=Q.onCancellationRequested(()=>{clearTimeout(ue),Me.dispose(),he(new O.$5)})}):D(Y=>S(ge,Y))}function h(ge,Q=0,Y){const he=setTimeout(()=>{ge(),Y&&ue.dispose()},Q),ue=(0,M.$Tc)(()=>{clearTimeout(he),Y?.deleteAndLeak(ue)});return Y?.add(ue),ue}function v(ge){const Q=[];let Y=0;const he=ge.length;function ue(){return Y<he?ge[Y++]():null}function Me(de){de!=null&&Q.push(de);const Ce=ue();return Ce?Ce.then(Me):Promise.resolve(Q)}return Promise.resolve(null).then(Me)}function g(ge,Q=he=>!!he,Y=null){let he=0;const ue=ge.length,Me=()=>{if(he>=ue)return Promise.resolve(Y);const de=ge[he++];return Promise.resolve(de()).then(Re=>Q(Re)?Promise.resolve(Re):Me())};return Me()}function k(ge,Q=he=>!!he,Y=null){if(ge.length===0)return Promise.resolve(Y);let he=ge.length;const ue=()=>{he=-1;for(const Me of ge)Me.cancel?.()};return new Promise((Me,de)=>{for(const Ce of ge)Ce.then(Re=>{--he>=0&&Q(Re)?(ue(),Me(Re)):he===0&&Me(Y)}).catch(Re=>{--he>=0&&(ue(),de(Re))})})}class y{constructor(Q){this.a=0,this.b=!1,this.f=Q,this.g=[],this.d=0,this.h=new R.$ee}whenIdle(){return this.size>0?R.Event.toPromise(this.onDrained):Promise.resolve()}get onDrained(){return this.h.event}get size(){return this.a}queue(Q){if(this.b)throw new Error("Object has been disposed");return this.a++,new Promise((Y,he)=>{this.g.push({factory:Q,c:Y,e:he}),this.j()})}j(){for(;this.g.length&&this.d<this.f;){const Q=this.g.shift();this.d++;const Y=Q.factory();Y.then(Q.c,Q.e),Y.then(()=>this.k(),()=>this.k())}}k(){this.b||(this.d--,--this.a===0&&this.h.fire(),this.g.length>0&&this.j())}clear(){if(this.b)throw new Error("Object has been disposed");this.g.length=0,this.a=this.d}dispose(){this.b=!0,this.g.length=0,this.a=0,this.h.dispose()}}e.$Ch=y;class C extends y{constructor(){super(1)}}e.$Dh=C;class P{constructor(){this.a=new fe,this.b=0}queue(Q){return this.a.isRunning()?this.a.queue(()=>this.a.run(this.b++,Q())):this.a.run(this.b++,Q())}}e.$Eh=P;class W{constructor(){this.a=new Map,this.b=new Set,this.d=void 0,this.f=0}async whenDrained(){if(this.g())return;const Q=new ae;return this.b.add(Q),Q.p}g(){for(const[,Q]of this.a)if(Q.size>0)return!1;return!0}queueSize(Q,Y=A.$Zg){const he=Y.getComparisonKey(Q);return this.a.get(he)?.size??0}queueFor(Q,Y,he=A.$Zg){const ue=he.getComparisonKey(Q);let Me=this.a.get(ue);if(!Me){Me=new C;const de=this.f++,Ce=R.Event.once(Me.onDrained)(()=>{Me?.dispose(),this.a.delete(ue),this.h(),this.d?.deleteAndDispose(de),this.d?.size===0&&(this.d.dispose(),this.d=void 0)});this.d||(this.d=new M.$5c),this.d.set(de,Ce),this.a.set(ue,Me)}return Me.queue(Y)}h(){this.g()&&this.j()}j(){for(const Q of this.b)Q.complete();this.b.clear()}dispose(){for(const[,Q]of this.a)Q.dispose();this.a.clear(),this.j(),this.d?.dispose()}}e.$Fh=W;class V{constructor(Q,Y){this.a=-1,typeof Q=="function"&&typeof Y=="number"&&this.setIfNotSet(Q,Y)}dispose(){this.cancel()}cancel(){this.a!==-1&&(clearTimeout(this.a),this.a=-1)}cancelAndSet(Q,Y){this.cancel(),this.a=setTimeout(()=>{this.a=-1,Q()},Y)}setIfNotSet(Q,Y){this.a===-1&&(this.a=setTimeout(()=>{this.a=-1,Q()},Y))}}e.$Gh=V;class q{constructor(){this.d=void 0}cancel(){this.d?.dispose(),this.d=void 0}cancelAndSet(Q,Y,he=globalThis){this.cancel();const ue=he.setInterval(()=>{Q()},Y);this.d=(0,M.$Tc)(()=>{he.clearInterval(ue),this.d=void 0})}dispose(){this.cancel()}}e.$Hh=q;class N{constructor(Q,Y){this.b=-1,this.a=Q,this.d=Y,this.f=this.g.bind(this)}dispose(){this.cancel(),this.a=null}cancel(){this.isScheduled()&&(clearTimeout(this.b),this.b=-1)}schedule(Q=this.d){this.cancel(),this.b=setTimeout(this.f,Q)}get delay(){return this.d}set delay(Q){this.d=Q}isScheduled(){return this.b!==-1}flush(){this.isScheduled()&&(this.cancel(),this.h())}g(){this.b=-1,this.a&&this.h()}h(){this.a?.()}}e.$Ih=N;class j{constructor(Q,Y){Y%1e3!==0&&console.warn(`ProcessTimeRunOnceScheduler resolution is 1s, ${Y}ms is not a multiple of 1000ms.`),this.a=Q,this.b=Y,this.d=0,this.f=-1,this.g=this.h.bind(this)}dispose(){this.cancel(),this.a=null}cancel(){this.isScheduled()&&(clearInterval(this.f),this.f=-1)}schedule(Q=this.b){Q%1e3!==0&&console.warn(`ProcessTimeRunOnceScheduler resolution is 1s, ${Q}ms is not a multiple of 1000ms.`),this.cancel(),this.d=Math.ceil(Q/1e3),this.f=setInterval(this.g,1e3)}isScheduled(){return this.f!==-1}h(){this.d--,!(this.d>0)&&(clearInterval(this.f),this.f=-1,this.a?.())}}e.$Jh=j;class K extends N{constructor(Q,Y){super(Q,Y),this.j=[]}work(Q){this.j.push(Q),this.isScheduled()||this.schedule()}h(){const Q=this.j;this.j=[],this.a?.(Q)}dispose(){this.j=[],super.dispose()}}e.$Kh=K;class ie extends M.$Vc{constructor(Q,Y){super(),this.g=Q,this.h=Y,this.a=[],this.b=this.B(new M.$Wc),this.f=!1}get pending(){return this.a.length}work(Q){if(this.f)return!1;if(typeof this.g.maxBufferedWork=="number"){if(this.b.value){if(this.pending+Q.length>this.g.maxBufferedWork)return!1}else if(this.pending+Q.length-this.g.maxWorkChunkSize>this.g.maxBufferedWork)return!1}for(const Y of Q)this.a.push(Y);return this.b.value||this.j(),!0}j(){this.h(this.a.splice(0,this.g.maxWorkChunkSize)),this.a.length>0&&(this.b.value=new N(()=>{this.b.clear(),this.j()},this.g.throttleDelay),this.b.value.schedule())}dispose(){super.dispose(),this.f=!0}}e.$Lh=ie,function(){typeof globalThis.requestIdleCallback!="function"||typeof globalThis.cancelIdleCallback!="function"?e.$Nh=(ge,Q)=>{(0,w.$B)(()=>{if(Y)return;const he=Date.now()+15;Q(Object.freeze({didTimeout:!0,timeRemaining(){return Math.max(0,he-Date.now())}}))});let Y=!1;return{dispose(){Y||(Y=!0)}}}:e.$Nh=(ge,Q,Y)=>{const he=ge.requestIdleCallback(Q,typeof Y=="number"?{timeout:Y}:void 0);let ue=!1;return{dispose(){ue||(ue=!0,ge.cancelIdleCallback(he))}}},e.$Mh=ge=>(0,e.$Nh)(globalThis,ge)}();class ce{constructor(Q,Y){this.g=!1,this.d=()=>{try{this.j=Y()}catch(he){this.l=he}finally{this.g=!0}},this.f=(0,e.$Nh)(Q,()=>this.d())}dispose(){this.f.dispose()}get value(){if(this.g||(this.f.dispose(),this.d()),this.l)throw this.l;return this.j}get isInitialized(){return this.g}}e.$Oh=ce;class ye extends ce{constructor(Q){super(globalThis,Q)}}e.$Ph=ye;async function Se(ge,Q,Y){let he;for(let ue=0;ue<Y;ue++)try{return await ge()}catch(Me){he=Me,await S(Q)}throw he}class fe{isRunning(Q){return typeof Q=="number"?this.a?.taskId===Q:!!this.a}get running(){return this.a?.promise}cancelRunning(){this.a?.cancel()}run(Q,Y,he){return this.a={taskId:Q,cancel:()=>he?.(),promise:Y},Y.then(()=>this.d(Q),()=>this.d(Q)),Y}d(Q){this.a&&Q===this.a.taskId&&(this.a=void 0,this.f())}f(){if(this.b){const Q=this.b;this.b=void 0,Q.run().then(Q.promiseResolve,Q.promiseReject)}}queue(Q){if(this.b)this.b.run=Q;else{const{promise:Y,resolve:he,reject:ue}=s();this.b={run:Q,promise:Y,promiseResolve:he,promiseReject:ue}}return this.b.promise}hasQueued(){return!!this.b}async join(){return this.b?.promise??this.a?.promise}}e.$Rh=fe;class $e{constructor(Q,Y=()=>Date.now()){this.d=Q,this.f=Y,this.a=0,this.b=0}increment(){const Q=this.f();return Q-this.a>this.d&&(this.a=Q,this.b=0),this.b++,this.b}}e.$Sh=$e;var Te;(function(ge){ge[ge.Resolved=0]="Resolved",ge[ge.Rejected=1]="Rejected"})(Te||(Te={}));class ae{get isRejected(){return this.d?.outcome===1}get isResolved(){return this.d?.outcome===0}get isSettled(){return!!this.d}get value(){return this.d?.outcome===0?this.d?.value:void 0}constructor(){this.p=new Promise((Q,Y)=>{this.a=Q,this.b=Y})}complete(Q){return new Promise(Y=>{this.a(Q),this.d={outcome:0,value:Q},Y()})}error(Q){return new Promise(Y=>{this.b(Q),this.d={outcome:1,value:Q},Y()})}cancel(){return this.error(new O.$5)}}e.$Th=ae;var Ne;(function(ge){async function Q(he){let ue;const Me=await Promise.all(he.map(de=>de.then(Ce=>Ce,Ce=>{ue||(ue=Ce)})));if(typeof ue<"u")throw ue;return Me}ge.settled=Q;function Y(he){return new Promise(async(ue,Me)=>{try{await he(ue,Me)}catch(de){Me(de)}})}ge.withAsyncBody=Y})(Ne||(e.Promises=Ne={}));class ne{get value(){return this.a}get error(){return this.b}get isResolved(){return this.d}constructor(Q){this.a=void 0,this.b=void 0,this.d=!1,this.promise=Q.then(Y=>(this.a=Y,this.d=!0,Y),Y=>{throw this.b=Y,this.d=!0,Y})}requireValue(){if(!this.d)throw new O.$cb("Promise is not resolved yet");if(this.b)throw this.b;return this.a}}e.$Uh=ne;class z{constructor(Q){this.b=Q,this.a=new E.$V(()=>new ne(this.b()))}requireValue(){return this.a.value.requireValue()}getPromise(){return this.a.value.promise}get currentValue(){return this.a.rawValue?.value}}e.$Vh=z;var x;(function(ge){ge[ge.Initial=0]="Initial",ge[ge.DoneOK=1]="DoneOK",ge[ge.DoneError=2]="DoneError"})(x||(x={}));class be{static fromArray(Q){return new be(Y=>{Y.emitMany(Q)})}static fromPromise(Q){return new be(async Y=>{Y.emitMany(await Q)})}static fromPromises(Q){return new be(async Y=>{await Promise.all(Q.map(async he=>Y.emitOne(await he)))})}static merge(Q){return new be(async Y=>{await Promise.all(Q.map(async he=>{for await(const ue of he)Y.emitOne(ue)}))})}static{this.EMPTY=be.fromArray([])}constructor(Q,Y){this.a=0,this.b=[],this.d=null,this.f=Y,this.g=new R.$ee,queueMicrotask(async()=>{const he={emitOne:ue=>this.h(ue),emitMany:ue=>this.j(ue),reject:ue=>this.l(ue)};try{await Promise.resolve(Q(he)),this.k()}catch(ue){this.l(ue)}finally{he.emitOne=void 0,he.emitMany=void 0,he.reject=void 0}})}[Symbol.asyncIterator](){let Q=0;return{next:async()=>{do{if(this.a===2)throw this.d;if(Q<this.b.length)return{done:!1,value:this.b[Q++]};if(this.a===1)return{done:!0,value:void 0};await R.Event.toPromise(this.g.event)}while(!0)},return:async()=>(this.f?.(),{done:!0,value:void 0})}}static map(Q,Y){return new be(async he=>{for await(const ue of Q)he.emitOne(Y(ue))})}map(Q){return be.map(this,Q)}static filter(Q,Y){return new be(async he=>{for await(const ue of Q)Y(ue)&&he.emitOne(ue)})}filter(Q){return be.filter(this,Q)}static coalesce(Q){return be.filter(Q,Y=>!!Y)}coalesce(){return be.coalesce(this)}static async toPromise(Q){const Y=[];for await(const he of Q)Y.push(he);return Y}toPromise(){return be.toPromise(this)}h(Q){this.a===0&&(this.b.push(Q),this.g.fire())}j(Q){this.a===0&&(this.b=this.b.concat(Q),this.g.fire())}k(){this.a===0&&(this.a=1,this.g.fire())}l(Q){this.a===0&&(this.a=2,this.d=Q,this.g.fire())}}e.$Wh=be;class Fe extends be{constructor(Q,Y){super(Y),this.m=Q}cancel(){this.m.cancel()}}e.$Xh=Fe;function De(ge){const Q=new I.$pe,Y=ge(Q.token);return new Fe(Q,async he=>{const ue=Q.token.onCancellationRequested(()=>{ue.dispose(),Q.dispose(),he.reject(new O.$5)});try{for await(const Me of Y){if(Q.token.isCancellationRequested)return;he.emitOne(Me)}ue.dispose(),Q.dispose()}catch(Me){ue.dispose(),Q.dispose(),he.reject(Me)}})}class we{constructor(Q){this.a=new ae,this.b=new be(ue=>{if(Y){ue.reject(Y);return}return he&&ue.emitMany(he),this.d=Me=>ue.reject(Me),this.f=Me=>ue.emitOne(Me),this.a.p},Q);let Y,he;this.f=ue=>{he||(he=[]),he.push(ue)},this.d=ue=>{Y||(Y=ue)}}get asyncIterable(){return this.b}resolve(){this.a.complete()}reject(Q){this.d(Q),this.a.complete()}emitOne(Q){this.f(Q)}}e.$Zh=we}),define(Ie[37],Pe([1,0,18,11,48,28,19,22,13]),function(le,e,I,O,R,M,A,w,p){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$nk=e.$mk=void 0,e.$lk=E,e.$ok=m,e.$pk=C,e.$qk=P,e.$rk=W,e.$sk=V,e.$tk=q,e.$uk=ie;function E(){return Object.create(null)}e.$mk="**",e.$nk="/";const T="[/\\\\]",D="[^/\\\\]",d=/\//g;function b(ce,ye){switch(ce){case 0:return"";case 1:return`${D}*?`;default:return`(?:${T}|${D}+${T}${ye?`|${T}${D}+`:""})*?`}}function m(ce,ye){if(!ce)return[];const Se=[];let fe=!1,$e=!1,Te="";for(const ae of ce){switch(ae){case ye:if(!fe&&!$e){Se.push(Te),Te="";continue}break;case"{":fe=!0;break;case"}":fe=!1;break;case"[":$e=!0;break;case"]":$e=!1;break}Te+=ae}return Te&&Se.push(Te),Se}function r(ce){if(!ce)return"";let ye="";const Se=m(ce,e.$nk);if(Se.every(fe=>fe===e.$mk))ye=".*";else{let fe=!1;Se.forEach(($e,Te)=>{if($e===e.$mk){if(fe)return;ye+=b(2,Te===Se.length-1)}else{let ae=!1,Ne="",ne=!1,z="";for(const x of $e){if(x!=="}"&&ae){Ne+=x;continue}if(ne&&(x!=="]"||!z)){let be;x==="-"?be=x:(x==="^"||x==="!")&&!z?be="^":x===e.$nk?be="":be=(0,p.$af)(x),z+=be;continue}switch(x){case"{":ae=!0;continue;case"[":ne=!0;continue;case"}":{const Fe=`(?:${m(Ne,",").map(De=>r(De)).join("|")})`;ye+=Fe,ae=!1,Ne="";break}case"]":{ye+="["+z+"]",ne=!1,z="";break}case"?":ye+=D;continue;case"*":ye+=b(1);continue;default:ye+=(0,p.$af)(x)}}Te<Se.length-1&&(Se[Te+1]!==e.$mk||Te+2<Se.length)&&(ye+=T)}fe=$e===e.$mk})}return ye}const o=/^\*\*\/\*\.[\w\.-]+$/,s=/^\*\*\/([\w\.-]+)\/?$/,i=/^{\*\*\/\*?[\w\.-]+\/?(,\*\*\/\*?[\w\.-]+\/?)*}$/,n=/^{\*\*\/\*?[\w\.-]+(\/(\*\*)?)?(,\*\*\/\*?[\w\.-]+(\/(\*\*)?)?)*}$/,c=/^\*\*((\/[\w\.-]+)+)\/?$/,l=/^([\w\.-]+(\/[\w\.-]+)*)\/?$/,t=new M.$Ec(1e4),f=function(){return!1},a=function(){return null};function $(ce,ye){if(!ce)return a;let Se;typeof ce!="string"?Se=ce.pattern:Se=ce,Se=Se.trim();const fe=`${Se}_${!!ye.trimForExclusions}`;let $e=t.get(fe);if($e)return u($e,ce);let Te;return o.test(Se)?$e=h(Se.substr(4),Se):(Te=s.exec(S(Se,ye)))?$e=v(Te[1],Se):(ye.trimForExclusions?n:i).test(Se)?$e=g(Se,ye):(Te=c.exec(S(Se,ye)))?$e=k(Te[1].substr(1),Se,!0):(Te=l.exec(S(Se,ye)))?$e=k(Te[1],Se,!1):$e=y(Se),t.set(fe,$e),u($e,ce)}function u(ce,ye){if(typeof ye=="string")return ce;const Se=function(fe,$e){return(0,R.$vg)(fe,ye.base,!w.$k)?ce((0,p.$ff)(fe.substr(ye.base.length),A.sep),$e):null};return Se.allBasenames=ce.allBasenames,Se.allPaths=ce.allPaths,Se.basenames=ce.basenames,Se.patterns=ce.patterns,Se}function S(ce,ye){return ye.trimForExclusions&&ce.endsWith("/**")?ce.substr(0,ce.length-2):ce}function h(ce,ye){return function(Se,fe){return typeof Se=="string"&&Se.endsWith(ce)?ye:null}}function v(ce,ye){const Se=`/${ce}`,fe=`\\${ce}`,$e=function(ae,Ne){return typeof ae!="string"?null:Ne?Ne===ce?ye:null:ae===ce||ae.endsWith(Se)||ae.endsWith(fe)?ye:null},Te=[ce];return $e.basenames=Te,$e.patterns=[ye],$e.allBasenames=Te,$e}function g(ce,ye){const Se=K(ce.slice(1,-1).split(",").map(Ne=>$(Ne,ye)).filter(Ne=>Ne!==a),ce),fe=Se.length;if(!fe)return a;if(fe===1)return Se[0];const $e=function(Ne,ne){for(let z=0,x=Se.length;z<x;z++)if(Se[z](Ne,ne))return ce;return null},Te=Se.find(Ne=>!!Ne.allBasenames);Te&&($e.allBasenames=Te.allBasenames);const ae=Se.reduce((Ne,ne)=>ne.allPaths?Ne.concat(ne.allPaths):Ne,[]);return ae.length&&($e.allPaths=ae),$e}function k(ce,ye,Se){const fe=A.sep===A.$hc.sep,$e=fe?ce:ce.replace(d,A.sep),Te=A.sep+$e,ae=A.$hc.sep+ce;let Ne;return Se?Ne=function(ne,z){return typeof ne=="string"&&(ne===$e||ne.endsWith(Te)||!fe&&(ne===ce||ne.endsWith(ae)))?ye:null}:Ne=function(ne,z){return typeof ne=="string"&&(ne===$e||!fe&&ne===ce)?ye:null},Ne.allPaths=[(Se?"*/":"./")+ce],Ne}function y(ce){try{const ye=new RegExp(`^${r(ce)}$`);return function(Se){return ye.lastIndex=0,typeof Se=="string"&&ye.test(Se)?ce:null}}catch{return a}}function C(ce,ye,Se){return!ce||typeof ye!="string"?!1:P(ce)(ye,void 0,Se)}function P(ce,ye={}){if(!ce)return f;if(typeof ce=="string"||W(ce)){const Se=$(ce,ye);if(Se===a)return f;const fe=function($e,Te){return!!Se($e,Te)};return Se.allBasenames&&(fe.allBasenames=Se.allBasenames),Se.allPaths&&(fe.allPaths=Se.allPaths),fe}return N(ce,ye)}function W(ce){const ye=ce;return ye?typeof ye.base=="string"&&typeof ye.pattern=="string":!1}function V(ce){return ce.allBasenames||[]}function q(ce){return ce.allPaths||[]}function N(ce,ye){const Se=K(Object.getOwnPropertyNames(ce).map(Ne=>j(Ne,ce[Ne],ye)).filter(Ne=>Ne!==a)),fe=Se.length;if(!fe)return a;if(!Se.some(Ne=>!!Ne.requiresSiblings)){if(fe===1)return Se[0];const Ne=function(x,be){let Fe;for(let De=0,we=Se.length;De<we;De++){const ge=Se[De](x,be);if(typeof ge=="string")return ge;(0,O.$ih)(ge)&&(Fe||(Fe=[]),Fe.push(ge))}return Fe?(async()=>{for(const De of Fe){const we=await De;if(typeof we=="string")return we}return null})():null},ne=Se.find(x=>!!x.allBasenames);ne&&(Ne.allBasenames=ne.allBasenames);const z=Se.reduce((x,be)=>be.allPaths?x.concat(be.allPaths):x,[]);return z.length&&(Ne.allPaths=z),Ne}const $e=function(Ne,ne,z){let x,be;for(let Fe=0,De=Se.length;Fe<De;Fe++){const we=Se[Fe];we.requiresSiblings&&z&&(ne||(ne=(0,A.$oc)(Ne)),x||(x=ne.substr(0,ne.length-(0,A.$pc)(Ne).length)));const ge=we(Ne,ne,x,z);if(typeof ge=="string")return ge;(0,O.$ih)(ge)&&(be||(be=[]),be.push(ge))}return be?(async()=>{for(const Fe of be){const De=await Fe;if(typeof De=="string")return De}return null})():null},Te=Se.find(Ne=>!!Ne.allBasenames);Te&&($e.allBasenames=Te.allBasenames);const ae=Se.reduce((Ne,ne)=>ne.allPaths?Ne.concat(ne.allPaths):Ne,[]);return ae.length&&($e.allPaths=ae),$e}function j(ce,ye,Se){if(ye===!1)return a;const fe=$(ce,Se);if(fe===a)return a;if(typeof ye=="boolean")return fe;if(ye){const $e=ye.when;if(typeof $e=="string"){const Te=(ae,Ne,ne,z)=>{if(!z||!fe(ae,Ne))return null;const x=$e.replace("$(basename)",()=>ne),be=z(x);return(0,O.$ih)(be)?be.then(Fe=>Fe?ce:null):be?ce:null};return Te.requiresSiblings=!0,Te}}return fe}function K(ce,ye){const Se=ce.filter(Ne=>!!Ne.basenames);if(Se.length<2)return ce;const fe=Se.reduce((Ne,ne)=>{const z=ne.basenames;return z?Ne.concat(z):Ne},[]);let $e;if(ye){$e=[];for(let Ne=0,ne=fe.length;Ne<ne;Ne++)$e.push(ye)}else $e=Se.reduce((Ne,ne)=>{const z=ne.patterns;return z?Ne.concat(z):Ne},[]);const Te=function(Ne,ne){if(typeof Ne!="string")return null;if(!ne){let x;for(x=Ne.length;x>0;x--){const be=Ne.charCodeAt(x-1);if(be===47||be===92)break}ne=Ne.substr(x)}const z=fe.indexOf(ne);return z!==-1?$e[z]:null};Te.basenames=fe,Te.patterns=$e,Te.allBasenames=fe;const ae=ce.filter(Ne=>!Ne.basenames);return ae.push(Te),ae}function ie(ce,ye){return(0,I.$ub)(ce,ye,(Se,fe)=>typeof Se=="string"&&typeof fe=="string"?Se===fe:typeof Se!="string"&&typeof fe!="string"?Se.base===fe.base&&Se.pattern===fe.pattern:!1)}}),define(Ie[55],Pe([1,0,14,137,23,13,2]),function(le,e,I,O,R,M,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Tk=e.MarkdownStringTextNewlineStyle=void 0,e.$Uk=E,e.$Vk=T,e.$Wk=D,e.$Xk=d,e.$Yk=b,e.$Zk=m,e.$1k=r,e.$2k=o;var w;(function(s){s[s.Paragraph=0]="Paragraph",s[s.Break=1]="Break"})(w||(e.MarkdownStringTextNewlineStyle=w={}));class p{constructor(i="",n=!1){if(this.value=i,typeof this.value!="string")throw(0,I.$7)("value");typeof n=="boolean"?(this.isTrusted=n,this.supportThemeIcons=!1,this.supportHtml=!1):(this.isTrusted=n.isTrusted??void 0,this.supportThemeIcons=n.supportThemeIcons??!1,this.supportHtml=n.supportHtml??!1)}appendText(i,n=0){return this.value+=d(this.supportThemeIcons?(0,O.$Nk)(i):i).replace(/([ \t]+)/g,(c,l)=>"&nbsp;".repeat(l.length)).replace(/\>/gm,"\\>").replace(/\n/g,n===1?`\\
`:`

`),this}appendMarkdown(i){return this.value+=i,this}appendCodeblock(i,n){return this.value+=`
${b(n,i)}
`,this}appendLink(i,n,c){return this.value+="[",this.value+=this.c(n,"]"),this.value+="](",this.value+=this.c(String(i),")"),c&&(this.value+=` "${this.c(this.c(c,'"'),")")}"`),this.value+=")",this}c(i,n){const c=new RegExp((0,M.$af)(n),"g");return i.replace(c,(l,t)=>i.charAt(t-1)!=="\\"?`\\${l}`:l)}}e.$Tk=p;function E(s){return T(s)?!s.value:Array.isArray(s)?s.every(E):!0}function T(s){return s instanceof p?!0:s&&typeof s=="object"?typeof s.value=="string"&&(typeof s.isTrusted=="boolean"||typeof s.isTrusted=="object"||s.isTrusted===void 0)&&(typeof s.supportThemeIcons=="boolean"||s.supportThemeIcons===void 0):!1}function D(s,i){return s===i?!0:!s||!i?!1:s.value===i.value&&s.isTrusted===i.isTrusted&&s.supportThemeIcons===i.supportThemeIcons&&s.supportHtml===i.supportHtml&&(s.baseUri===i.baseUri||!!s.baseUri&&!!i.baseUri&&(0,R.$3g)(A.URI.from(s.baseUri),A.URI.from(i.baseUri)))}function d(s){return s.replace(/[\\`*_{}[\]()#+\-!~]/g,"\\$&")}function b(s,i){const n=s.match(/^`+/gm)?.reduce((l,t)=>l.length>t.length?l:t).length??0,c=n>=3?n+1:3;return[`${"`".repeat(c)}${i}`,s,`${"`".repeat(c)}`].join(`
`)}function m(s){return s.replace(/"/g,"&quot;")}function r(s){return s&&s.replace(/\\([\\`*_{}[\]()#+\-.!~])/g,"$1")}function o(s){const i=[],n=s.split("|").map(l=>l.trim());s=n[0];const c=n[1];if(c){const l=/height=(\d+)/.exec(c),t=/width=(\d+)/.exec(c),f=l?l[1]:"",a=t?t[1]:"",$=isFinite(parseInt(a)),u=isFinite(parseInt(f));$&&i.push(`width="${a}"`),u&&i.push(`height="${f}"`)}return{href:s,dimensions:i}}}),define(Ie[97],Pe([1,0,18,48,19,22,23,13]),function(le,e,I,O,R,M,A,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Dw=p,e.$Ew=T,e.$Fw=d,e.$Gw=b,e.$Hw=s,e.$Iw=n,e.$Jw=c,e.$Kw=l,e.$Lw=t,e.$Mw=f;function p($,u){const{os:S,tildify:h,relative:v}=u;if(v){const y=E($,v,S);if(typeof y=="string")return y}let g=$.fsPath;if(S===1&&!M.$i?g=g.replace(/\//g,"\\"):S!==1&&M.$i&&(g=g.replace(/\\/g,"/")),S!==1&&h?.userHome){const y=h.userHome.fsPath;let C;$.scheme!==h.userHome.scheme&&$.path[0]===R.$hc.sep&&$.path[1]!==R.$hc.sep?C=h.userHome.with({path:$.path}).fsPath:C=g,g=d(C,y,S)}return(S===1?R.$gc:R.$hc).normalize(T(g,S===1))}function E($,u,S){const h=S===1?R.$gc:R.$hc,v=S===3?A.$Zg:A.$2g,g=u.getWorkspace(),k=(0,I.$Ob)(g.folders);if(!k)return;$.scheme!==k.uri.scheme&&$.path[0]===R.$hc.sep&&$.path[1]!==R.$hc.sep&&($=k.uri.with({path:$.path}));const y=u.getWorkspaceFolder($);if(!y)return;let C;if(v.isEqual(y.uri,$)?C="":C=v.relativePath(y.uri,$)??"",C&&(C=h.normalize(C)),g.folders.length>1&&!u.noPrefix){const P=y.name?y.name:v.basenameOrAuthority(y.uri);C=C?`${P} \u2022 ${C}`:P}return C}function T($,u=M.$i){return(0,O.$Ag)($,u)?$.charAt(0).toUpperCase()+$.slice(1):$}let D=Object.create(null);function d($,u,S=M.OS){if(S===1||!$||!u)return $;let h=D.original===u?D.normalized:void 0;h||(h=u,M.$i&&(h=(0,O.$pg)(h)),h=`${(0,w.$gf)(h,R.$hc.sep)}${R.$hc.sep}`,D={original:u,normalized:h});let v=$;return M.$i&&(v=(0,O.$pg)(v)),(S===3?v.startsWith(h):(0,w.$zf)(v,h))?`~/${v.substr(h.length)}`:$}function b($,u){return $.replace(/^~($|\/|\\)/,`${u}$1`)}const m="\u2026",r="\\\\",o="~";function s($,u=R.sep){const S=new Array($.length);let h=!1;for(let v=0;v<$.length;v++){const g=$[v];if(g===""){S[v]=`.${u}`;continue}if(!g){S[v]=g;continue}h=!0;let k="",y=g;y.indexOf(r)===0?(k=y.substr(0,y.indexOf(r)+r.length),y=y.substr(y.indexOf(r)+r.length)):y.indexOf(u)===0?(k=y.substr(0,y.indexOf(u)+u.length),y=y.substr(y.indexOf(u)+u.length)):y.indexOf(o)===0&&(k=y.substr(0,y.indexOf(o)+o.length),y=y.substr(y.indexOf(o)+o.length));const C=y.split(u);for(let P=1;h&&P<=C.length;P++)for(let W=C.length-P;h&&W>=0;W--){h=!1;let V=C.slice(W,W+P).join(u);for(let q=0;!h&&q<$.length;q++)if(q!==v&&$[q]&&$[q].indexOf(V)>-1){const N=W+P===C.length,j=W>0&&$[q].indexOf(u)>-1?u+V:V,K=$[q].endsWith(j);h=!N||K}if(!h){let q="";(C[0].endsWith(":")||k!=="")&&(W===1&&(W=0,P++,V=C[0]+u+V),W>0&&(q=C[0]+u),q=k+q),W>0&&(q=q+m+u),q=q+V,W+P<C.length&&(q=q+u+m),S[v]=q}}h&&(S[v]=g)}return S}var i;(function($){$[$.TEXT=0]="TEXT",$[$.VARIABLE=1]="VARIABLE",$[$.SEPARATOR=2]="SEPARATOR"})(i||(i={}));function n($,u=Object.create(null)){const S=[];let h=!1,v="";for(const g of $)if(g==="$"||h&&g==="{")v&&S.push({value:v,type:i.TEXT}),v="",h=!0;else if(g==="}"&&h){const k=u[v];if(typeof k=="string")k.length&&S.push({value:k,type:i.VARIABLE});else if(k){const y=S[S.length-1];(!y||y.type!==i.SEPARATOR)&&S.push({value:k.label,type:i.SEPARATOR})}v="",h=!1}else v+=g;return v&&!h&&S.push({value:v,type:i.TEXT}),S.filter((g,k)=>{if(g.type===i.SEPARATOR){const y=S[k-1],C=S[k+1];return[y,C].every(P=>P&&(P.type===i.VARIABLE||P.type===i.TEXT)&&P.value.length>0)}return!0}).map(g=>g.value).join("")}function c($,u){return M.$j||u?$.replace(/\(&&\w\)|&&/g,"").replace(/&/g,M.$j?"&":"&&"):$.replace(/&&|&/g,S=>S==="&"?"&&":"&")}function l($,u){return M.$j||u?$.replace(/\(&&\w\)|&&/g,""):M.$i?$.replace(/&&|&/g,S=>S==="&"?"&&":"&"):$.replace(/&&/g,"_")}function t($){return $.replace(/&/g,"&&")}function f($){if($.endsWith("]")){const u=$.lastIndexOf(" [",$.length-2);if(u!==-1){const S=a($.substring(0,u)),h=$.substring(u);return{name:S.name+h,parentPath:S.parentPath}}}return a($)}function a($){const u=$.indexOf("/")!==-1?R.$hc:R.$gc,S=u.basename($),h=u.dirname($);return S.length?{name:S,parentPath:h}:{name:h,parentPath:""}}}),define(Ie[150],Pe([1,0,21,2]),function(le,e,I,O){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$zn=e.$yn=void 0,e.$An=w,e.$Bn=E,e.$Cn=T;function R(D){return D.toJSON()}class M{constructor(d){this.a=d}transformIncoming(d){const b=this.a.transformIncoming(d);return b===d?d:R(O.URI.from(b))}transformOutgoing(d){const b=this.a.transformOutgoing(d);return b===d?d:R(O.URI.from(b))}transformOutgoingURI(d){const b=this.a.transformOutgoing(d);return b===d?d:O.URI.from(b)}transformOutgoingScheme(d){return this.a.transformOutgoingScheme(d)}}e.$yn=M,e.$zn=new class{transformIncoming(D){return D}transformOutgoing(D){return D}transformOutgoingURI(D){return D}transformOutgoingScheme(D){return D}};function A(D,d,b){if(!D||b>200)return null;if(typeof D=="object"){if(D instanceof O.URI)return d.transformOutgoing(D);for(const m in D)if(Object.hasOwnProperty.call(D,m)){const r=A(D[m],d,b+1);r!==null&&(D[m]=r)}}return null}function w(D,d){const b=A(D,d,0);return b===null?D:b}function p(D,d,b,m){if(!D||m>200)return null;if(typeof D=="object"){if(D.$mid===1)return b?O.URI.revive(d.transformIncoming(D)):d.transformIncoming(D);if(D instanceof I.$Ge)return null;for(const r in D)if(Object.hasOwnProperty.call(D,r)){const o=p(D[r],d,b,m+1);o!==null&&(D[r]=o)}}return null}function E(D,d){const b=p(D,d,!1,0);return b===null?D:b}function T(D,d){const b=p(D,d,!0,0);return b===null?D:b}}),define(Ie[151],Pe([1,0,11,5,6,49,15]),function(le,e,I,O,R,M,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Xp=e.$Wp=e.StorageState=e.StorageHint=void 0,e.$Vp=p;var w;(function(d){d[d.STORAGE_DOES_NOT_EXIST=0]="STORAGE_DOES_NOT_EXIST",d[d.STORAGE_IN_MEMORY=1]="STORAGE_IN_MEMORY"})(w||(e.StorageHint=w={}));function p(d){const b=d;return b?.changed instanceof Map||b?.deleted instanceof Set}var E;(function(d){d[d.None=0]="None",d[d.Initialized=1]="Initialized",d[d.Closed=2]="Closed"})(E||(e.StorageState=E={}));class T extends R.$Vc{static{this.a=100}constructor(b,m=Object.create(null)){super(),this.r=b,this.s=m,this.b=this.B(new O.$he),this.onDidChangeStorage=this.b.event,this.c=E.None,this.f=new Map,this.g=this.B(new I.$uh(T.a)),this.h=new Set,this.j=new Map,this.m=void 0,this.n=[],this.t()}t(){this.B(this.r.onDidChangeItemsExternal(b=>this.u(b)))}u(b){this.b.pause();try{b.changed?.forEach((m,r)=>this.w(r,m)),b.deleted?.forEach(m=>this.w(m,void 0))}finally{this.b.resume()}}w(b,m){if(this.c===E.Closed)return;let r=!1;(0,A.$fg)(m)?r=this.f.delete(b):this.f.get(b)!==m&&(this.f.set(b,m),r=!0),r&&this.b.fire({key:b,external:!0})}get items(){return this.f}get size(){return this.f.size}async init(){this.c===E.None&&(this.c=E.Initialized,this.s.hint!==w.STORAGE_DOES_NOT_EXIST&&(this.f=await this.r.getItems()))}get(b,m){const r=this.f.get(b);return(0,A.$fg)(r)?m:r}getBoolean(b,m){const r=this.get(b);return(0,A.$fg)(r)?m:r==="true"}getNumber(b,m){const r=this.get(b);return(0,A.$fg)(r)?m:parseInt(r,10)}getObject(b,m){const r=this.get(b);return(0,A.$fg)(r)?m:(0,M.$5h)(r)}async set(b,m,r=!1){if(this.c===E.Closed)return;if((0,A.$fg)(m))return this.delete(b,r);const o=(0,A.$$f)(m)||Array.isArray(m)?(0,M.$4h)(m):String(m);if(this.f.get(b)!==o)return this.f.set(b,o),this.j.set(b,o),this.h.delete(b),this.b.fire({key:b,external:r}),this.D()}async delete(b,m=!1){if(!(this.c===E.Closed||!this.f.delete(b)))return this.h.has(b)||this.h.add(b),this.j.delete(b),this.b.fire({key:b,external:m}),this.D()}async optimize(){if(this.c!==E.Closed)return await this.flush(0),this.r.optimize()}async close(){return this.m||(this.m=this.y()),this.m}async y(){this.c=E.Closed;try{await this.D(0)}catch{}await this.r.close(()=>this.f)}get z(){return this.j.size>0||this.h.size>0}async C(){if(!this.z)return;const b={insert:this.j,delete:this.h};return this.h=new Set,this.j=new Map,this.r.updateItems(b).finally(()=>{if(!this.z)for(;this.n.length;)this.n.pop()?.()})}async flush(b){if(this.z)return this.D(b)}async D(b){return this.s.hint===w.STORAGE_IN_MEMORY?this.C():this.g.trigger(()=>this.C(),b)}async whenFlushed(){if(this.z)return new Promise(b=>this.n.push(b))}isInMemory(){return this.s.hint===w.STORAGE_IN_MEMORY}}e.$Wp=T;class D{constructor(){this.onDidChangeItemsExternal=O.Event.None,this.a=new Map}async getItems(){return this.a}async updateItems(b){b.insert?.forEach((m,r)=>this.a.set(r,m)),b.delete?.forEach(m=>this.a.delete(m))}async optimize(){}async close(){}}e.$Xp=D}),define(Ie[152],Pe([1,0,13,22,21]),function(le,e,I,O,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Ft=void 0,e.$Dt=T,e.$Et=D;let M;function A(){return M||(M=new TextDecoder("UTF-16LE")),M}let w;function p(){return w||(w=new TextDecoder("UTF-16BE")),w}let E;function T(){return E||(E=O.$D()?A():p()),E}function D(m,r,o){const s=new Uint16Array(m.buffer,r,o);return o>0&&(s[0]===65279||s[0]===65534)?d(m,r,o):A().decode(s)}function d(m,r,o){const s=[];let i=0;for(let n=0;n<o;n++){const c=R.$Ie(m,r);r+=2,s[i++]=String.fromCharCode(c)}return s.join("")}class b{constructor(r){this.a=r|0,this.b=new Uint16Array(this.a),this.c=null,this.d=0}reset(){this.c=null,this.d=0}build(){return this.c!==null?(this.f(),this.c.join("")):this.e()}e(){if(this.d===0)return"";const r=new Uint16Array(this.b.buffer,0,this.d);return T().decode(r)}f(){const r=this.e();this.d=0,this.c===null?this.c=[r]:this.c[this.c.length]=r}appendCharCode(r){const o=this.a-this.d;o<=1&&(o===0||I.$Cf(r))&&this.f(),this.b[this.d++]=r}appendASCIICharCode(r){this.d===this.a&&this.f(),this.b[this.d++]=r}appendString(r){const o=r.length;if(this.d+o>=this.a){this.f(),this.c[this.c.length]=r;return}for(let s=0;s<o;s++)this.b[this.d++]=r.charCodeAt(s)}}e.$Ft=b}),define(Ie[153],Pe([1,0,21,152]),function(le,e,I,O){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Gt=void 0,e.$Ht=A;function R(p){return p.replace(/\n/g,"\\n").replace(/\r/g,"\\r")}class M{get oldLength(){return this.oldText.length}get oldEnd(){return this.oldPosition+this.oldText.length}get newLength(){return this.newText.length}get newEnd(){return this.newPosition+this.newText.length}constructor(E,T,D,d){this.oldPosition=E,this.oldText=T,this.newPosition=D,this.newText=d}toString(){return this.oldText.length===0?`(insert@${this.oldPosition} "${R(this.newText)}")`:this.newText.length===0?`(delete@${this.oldPosition} "${R(this.oldText)}")`:`(replace@${this.oldPosition} "${R(this.oldText)}" with "${R(this.newText)}")`}static a(E){return 4+2*E.length}static c(E,T,D){const d=T.length;I.$Le(E,d,D),D+=4;for(let b=0;b<d;b++)I.$Je(E,T.charCodeAt(b),D),D+=2;return D}static d(E,T){const D=I.$Ke(E,T);return T+=4,(0,O.$Et)(E,T,D)}writeSize(){return 8+M.a(this.oldText)+M.a(this.newText)}write(E,T){return I.$Le(E,this.oldPosition,T),T+=4,I.$Le(E,this.newPosition,T),T+=4,T=M.c(E,this.oldText,T),T=M.c(E,this.newText,T),T}static read(E,T,D){const d=I.$Ke(E,T);T+=4;const b=I.$Ke(E,T);T+=4;const m=M.d(E,T);T+=M.a(m);const r=M.d(E,T);return T+=M.a(r),D.push(new M(d,m,b,r)),T}}e.$Gt=M;function A(p,E){return p===null||p.length===0?E:new w(p,E).compress()}class w{constructor(E,T){this.a=E,this.c=T,this.d=[],this.e=0,this.f=this.a.length,this.g=0,this.h=this.c.length,this.j=0}compress(){let E=0,T=0,D=this.n(E),d=this.l(T);for(;E<this.f||T<this.h;){if(D===null){this.k(d),d=this.l(++T);continue}if(d===null){this.m(D),D=this.n(++E);continue}if(d.oldEnd<=D.newPosition){this.k(d),d=this.l(++T);continue}if(D.newEnd<=d.oldPosition){this.m(D),D=this.n(++E);continue}if(d.oldPosition<D.newPosition){const[s,i]=w.r(d,D.newPosition-d.oldPosition);this.k(s),d=i;continue}if(D.newPosition<d.oldPosition){const[s,i]=w.q(D,d.oldPosition-D.newPosition);this.m(s),D=i;continue}let r,o;if(d.oldEnd===D.newEnd)r=D,o=d,D=this.n(++E),d=this.l(++T);else if(d.oldEnd<D.newEnd){const[s,i]=w.q(D,d.oldLength);r=s,o=d,D=i,d=this.l(++T)}else{const[s,i]=w.r(d,D.newLength);r=D,o=s,D=this.n(++E),d=i}this.d[this.e++]=new M(r.oldPosition,r.oldText,o.newPosition,o.newText),this.g+=r.newLength-r.oldLength,this.j+=o.newLength-o.oldLength}const b=w.s(this.d);return w.t(b)}k(E){this.d[this.e++]=w.o(this.g,E),this.j+=E.newLength-E.oldLength}l(E){return E<this.h?this.c[E]:null}m(E){this.d[this.e++]=w.p(this.j,E),this.g+=E.newLength-E.oldLength}n(E){return E<this.f?this.a[E]:null}static o(E,T){return new M(T.oldPosition-E,T.oldText,T.newPosition,T.newText)}static p(E,T){return new M(T.oldPosition,T.oldText,T.newPosition+E,T.newText)}static q(E,T){const D=E.newText.substr(0,T),d=E.newText.substr(T);return[new M(E.oldPosition,E.oldText,E.newPosition,D),new M(E.oldEnd,"",E.newPosition+T,d)]}static r(E,T){const D=E.oldText.substr(0,T),d=E.oldText.substr(T);return[new M(E.oldPosition,D,E.newPosition,E.newText),new M(E.oldPosition+T,d,E.newEnd,"")]}static s(E){if(E.length===0)return E;const T=[];let D=0,d=E[0];for(let b=1;b<E.length;b++){const m=E[b];d.oldEnd===m.oldPosition?d=new M(d.oldPosition,d.oldText+m.oldText,d.newPosition,d.newText+m.newText):(T[D++]=d,d=m)}return T[D++]=d,T}static t(E){if(E.length===0)return E;const T=[];let D=0;for(let d=0;d<E.length;d++){const b=E[d];b.oldText!==b.newText&&(T[D++]=b)}return T}}}),define(Ie[154],Pe([1,0,37,19]),function(le,e,I,O){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Xt=R,e.$Yt=M;function R(A,w,p,E,T,D){if(Array.isArray(A)){let d=0;for(const b of A){const m=R(b,w,p,E,T,D);if(m===10)return m;m>d&&(d=m)}return d}else{if(typeof A=="string")return E?A==="*"?5:A===p?10:0:0;if(A){const{language:d,pattern:b,scheme:m,hasAccessToAllModels:r,notebookType:o}=A;if(!E&&!r)return 0;o&&T&&(w=T);let s=0;if(m)if(m===w.scheme)s=10;else if(m==="*")s=5;else return 0;if(d)if(d===p)s=10;else if(d==="*")s=Math.max(s,5);else return 0;if(o)if(o===D)s=10;else if(o==="*"&&D!==void 0)s=Math.max(s,5);else return 0;if(b){let i;if(typeof b=="string"?i=b:i={...b,base:(0,O.$ic)(b.base)},i===w.fsPath||(0,I.$pk)(i,w.fsPath))s=10;else return 0}return s}else return 0}}function M(A){return typeof A=="string"?!1:Array.isArray(A)?A.some(M):!!A.notebookType}}),define(Ie[155],Pe([1,0,5,13,30,95,93,139,153,6]),function(le,e,I,O,R,M,A,w,p,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$1C=void 0;class T extends E.$Vc{constructor(d,b,m,r,o,s,i){super(),this.m=this.B(new I.$ee),this.onDidChangeContent=this.m.event,this.f=b,this.j=!s,this.g=r,this.h=o,this.c=new A.$ZC(d,m,i)}equals(d){return!(d instanceof T)||this.f!==d.f||this.getEOL()!==d.getEOL()?!1:this.c.equal(d.c)}mightContainRTL(){return this.g}mightContainUnusualLineTerminators(){return this.h}resetMightContainUnusualLineTerminators(){this.h=!1}mightContainNonBasicASCII(){return this.j}getBOM(){return this.f}getEOL(){return this.c.getEOL()}createSnapshot(d){return this.c.createSnapshot(d?this.f:"")}getOffsetAt(d,b){return this.c.getOffsetAt(d,b)}getPositionAt(d){return this.c.getPositionAt(d)}getRangeAt(d,b){const m=d+b,r=this.getPositionAt(d),o=this.getPositionAt(m);return new R.$ut(r.lineNumber,r.column,o.lineNumber,o.column)}getValueInRange(d,b=0){if(d.isEmpty())return"";const m=this.n(b);return this.c.getValueInRange(d,m)}getValueLengthInRange(d,b=0){if(d.isEmpty())return 0;if(d.startLineNumber===d.endLineNumber)return d.endColumn-d.startColumn;const m=this.getOffsetAt(d.startLineNumber,d.startColumn),r=this.getOffsetAt(d.endLineNumber,d.endColumn);let o=0;const s=this.n(b),i=this.getEOL();if(s.length!==i.length){const n=s.length-i.length,c=d.endLineNumber-d.startLineNumber;o=n*c}return r-m+o}getCharacterCountInRange(d,b=0){if(this.j){let m=0;const r=d.startLineNumber,o=d.endLineNumber;for(let s=r;s<=o;s++){const i=this.getLineContent(s),n=s===r?d.startColumn-1:0,c=s===o?d.endColumn-1:i.length;for(let l=n;l<c;l++)O.$Cf(i.charCodeAt(l))?(m=m+1,l=l+1):m=m+1}return m+=this.n(b).length*(o-r),m}return this.getValueLengthInRange(d,b)}getLength(){return this.c.getLength()}getLineCount(){return this.c.getLineCount()}getLinesContent(){return this.c.getLinesContent()}getLineContent(d){return this.c.getLineContent(d)}getLineCharCode(d,b){return this.c.getLineCharCode(d,b)}getCharCode(d){return this.c.getCharCode(d)}getLineLength(d){return this.c.getLineLength(d)}getLineMinColumn(d){return 1}getLineMaxColumn(d){return this.getLineLength(d)+1}getLineFirstNonWhitespaceColumn(d){const b=O.$nf(this.getLineContent(d));return b===-1?0:b+1}getLineLastNonWhitespaceColumn(d){const b=O.$pf(this.getLineContent(d));return b===-1?0:b+2}n(d){switch(d){case 1:return`
`;case 2:return`\r
`;case 0:return this.getEOL();default:throw new Error("Unknown EOL preference")}}setEOL(d){this.c.setEOL(d)}applyEdits(d,b,m){let r=this.g,o=this.h,s=this.j,i=!0,n=[];for(let u=0;u<d.length;u++){const S=d[u];i&&S._isTracked&&(i=!1);const h=S.range;if(S.text){let C=!0;s||(C=!O.$Nf(S.text),s=C),!r&&C&&(r=O.$Mf(S.text)),!o&&C&&(o=O.$Pf(S.text))}let v="",g=0,k=0,y=0;if(S.text){let C;[g,k,y,C]=(0,w.$1t)(S.text);const P=this.getEOL();C===0||C===(P===`\r
`?2:1)?v=S.text:v=S.text.replace(/\r\n|\r|\n/g,P)}n[u]={sortIndex:u,identifier:S.identifier||null,range:h,rangeOffset:this.getOffsetAt(h.startLineNumber,h.startColumn),rangeLength:this.getValueLengthInRange(h),text:v,eolCount:g,firstLineLength:k,lastLineLength:y,forceMoveMarkers:!!S.forceMoveMarkers,isAutoWhitespaceEdit:S.isAutoWhitespaceEdit||!1}}n.sort(T.u);let c=!1;for(let u=0,S=n.length-1;u<S;u++){const h=n[u].range.getEndPosition(),v=n[u+1].range.getStartPosition();if(v.isBeforeOrEqual(h)){if(v.isBefore(h))throw new Error("Overlapping ranges are not allowed!");c=!0}}i&&(n=this.s(n));const l=m||b?T._getInverseEditRanges(n):[],t=[];if(b)for(let u=0;u<n.length;u++){const S=n[u],h=l[u];if(S.isAutoWhitespaceEdit&&S.range.isEmpty())for(let v=h.startLineNumber;v<=h.endLineNumber;v++){let g="";v===h.startLineNumber&&(g=this.getLineContent(S.range.startLineNumber),O.$nf(g)!==-1)||t.push({lineNumber:v,oldContent:g})}}let f=null;if(m){let u=0;f=[];for(let S=0;S<n.length;S++){const h=n[S],v=l[S],g=this.getValueInRange(h.range),k=h.rangeOffset+u;u+=h.text.length-g.length,f[S]={sortIndex:h.sortIndex,identifier:h.identifier,range:v,text:g,textChange:new p.$Gt(h.rangeOffset,g,k,h.text)}}c||f.sort((S,h)=>S.sortIndex-h.sortIndex)}this.g=r,this.h=o,this.j=s;const a=this.t(n);let $=null;if(b&&t.length>0){t.sort((u,S)=>S.lineNumber-u.lineNumber),$=[];for(let u=0,S=t.length;u<S;u++){const h=t[u].lineNumber;if(u>0&&t[u-1].lineNumber===h)continue;const v=t[u].oldContent,g=this.getLineContent(h);g.length===0||g===v||O.$nf(g)!==-1||$.push(h)}}return this.m.fire(),new M.$Jv(f,a,$)}s(d){return d.length<1e3?d:[this._toSingleEditOperation(d)]}_toSingleEditOperation(d){let b=!1;const m=d[0].range,r=d[d.length-1].range,o=new R.$ut(m.startLineNumber,m.startColumn,r.endLineNumber,r.endColumn);let s=m.startLineNumber,i=m.startColumn;const n=[];for(let a=0,$=d.length;a<$;a++){const u=d[a],S=u.range;b=b||u.forceMoveMarkers,n.push(this.getValueInRange(new R.$ut(s,i,S.startLineNumber,S.startColumn))),u.text.length>0&&n.push(u.text),s=S.endLineNumber,i=S.endColumn}const c=n.join(""),[l,t,f]=(0,w.$1t)(c);return{sortIndex:0,identifier:d[0].identifier,range:o,rangeOffset:this.getOffsetAt(o.startLineNumber,o.startColumn),rangeLength:this.getValueLengthInRange(o,0),text:c,eolCount:l,firstLineLength:t,lastLineLength:f,forceMoveMarkers:b,isAutoWhitespaceEdit:!1}}t(d){d.sort(T.w);const b=[];for(let m=0;m<d.length;m++){const r=d[m],o=r.range.startLineNumber,s=r.range.startColumn,i=r.range.endLineNumber,n=r.range.endColumn;if(o===i&&s===n&&r.text.length===0)continue;r.text?(this.c.delete(r.rangeOffset,r.rangeLength),this.c.insert(r.rangeOffset,r.text,!0)):this.c.delete(r.rangeOffset,r.rangeLength);const c=new R.$ut(o,s,i,n);b.push({range:c,rangeLength:r.rangeLength,text:r.text,rangeOffset:r.rangeOffset,forceMoveMarkers:r.forceMoveMarkers})}return b}findMatchesLineByLine(d,b,m,r){return this.c.findMatchesLineByLine(d,b,m,r)}getPieceTree(){return this.c}static _getInverseEditRange(d,b){const m=d.startLineNumber,r=d.startColumn,[o,s,i]=(0,w.$1t)(b);let n;if(b.length>0){const c=o+1;c===1?n=new R.$ut(m,r,m,r+s):n=new R.$ut(m,r,m+c-1,i+1)}else n=new R.$ut(m,r,m,r);return n}static _getInverseEditRanges(d){const b=[];let m=0,r=0,o=null;for(let s=0,i=d.length;s<i;s++){const n=d[s];let c,l;o?o.range.endLineNumber===n.range.startLineNumber?(c=m,l=r+(n.range.startColumn-o.range.endColumn)):(c=m+(n.range.startLineNumber-o.range.endLineNumber),l=n.range.startColumn):(c=n.range.startLineNumber,l=n.range.startColumn);let t;if(n.text.length>0){const f=n.eolCount+1;f===1?t=new R.$ut(c,l,c,l+n.firstLineLength):t=new R.$ut(c,l,c+f-1,n.lastLineLength+1)}else t=new R.$ut(c,l,c,l);m=t.endLineNumber,r=t.endColumn,b.push(t),o=n}return b}static u(d,b){const m=R.$ut.compareRangesUsingEnds(d.range,b.range);return m===0?d.sortIndex-b.sortIndex:m}static w(d,b){const m=R.$ut.compareRangesUsingEnds(d.range,b.range);return m===0?b.sortIndex-d.sortIndex:-m}}e.$1C=T}),define(Ie[156],Pe([1,0,13,93,155]),function(le,e,I,O,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$2C=void 0;class M{constructor(p,E,T,D,d,b,m,r,o){this.a=p,this.b=E,this.c=T,this.d=D,this.e=d,this.f=b,this.g=m,this.h=r,this.j=o}k(p){const E=this.c+this.d+this.e,T=this.c+this.e;return E===0?p===1?`
`:`\r
`:T>E/2?`\r
`:`
`}create(p){const E=this.k(p),T=this.a;if(this.j&&(E===`\r
`&&(this.c>0||this.d>0)||E===`
`&&(this.c>0||this.e>0)))for(let d=0,b=T.length;d<b;d++){const m=T[d].buffer.replace(/\r\n|\r|\n/g,E),r=(0,O.$VC)(m);T[d]=new O.$YC(m,r)}const D=new R.$1C(T,this.b,E,this.f,this.g,this.h,this.j);return{textBuffer:D,disposable:D}}getFirstLineText(p){return this.a[0].buffer.substr(0,p).split(/\r\n|\r|\n/)[0]}}class A{constructor(){this.a=[],this.b="",this.c=!1,this.d=0,this.e=[],this.f=0,this.g=0,this.h=0,this.j=!1,this.k=!1,this.l=!0}acceptChunk(p){if(p.length===0)return;this.a.length===0&&I.$Wf(p)&&(this.b=I.$Vf,p=p.substr(1));const E=p.charCodeAt(p.length-1);E===13||E>=55296&&E<=56319?(this.m(p.substr(0,p.length-1),!1),this.c=!0,this.d=E):(this.m(p,!1),this.c=!1,this.d=E)}m(p,E){!E&&p.length===0||(this.c?this.n(String.fromCharCode(this.d)+p):this.n(p))}n(p){const E=(0,O.$WC)(this.e,p);this.a.push(new O.$YC(p,E.lineStarts)),this.f+=E.cr,this.g+=E.lf,this.h+=E.crlf,E.isBasicASCII||(this.l=!1,this.j||(this.j=I.$Mf(p)),this.k||(this.k=I.$Pf(p)))}finish(p=!0){return this.o(),new M(this.a,this.b,this.f,this.g,this.h,this.j,this.k,this.l,p)}o(){if(this.a.length===0&&this.m("",!0),this.c){this.c=!1;const p=this.a[this.a.length-1];p.buffer+=String.fromCharCode(this.d);const E=(0,O.$VC)(p.buffer);p.lineStarts=E,this.d===13&&this.f++}}}e.$2C=A}),define(Ie[98],Pe([1,0,21,22]),function(le,e,I,O){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$0bb=p,e.$$bb=T;var R;(function(D){D[D.Full=1]="Full",D[D.Delta=2]="Delta"})(R||(R={}));function M(D){for(let d=0,b=D.length;d<b;d+=4){const m=D[d+0],r=D[d+1],o=D[d+2],s=D[d+3];D[d+0]=s,D[d+1]=o,D[d+2]=r,D[d+3]=m}}function A(D){const d=new Uint8Array(D.buffer,D.byteOffset,D.length*4);return O.$D()||M(d),I.$Ge.wrap(d)}function w(D){const d=D.buffer;if(O.$D()||M(d),d.byteOffset%4===0)return new Uint32Array(d.buffer,d.byteOffset,d.length/4);{const b=new Uint8Array(d.byteLength);return b.set(d),new Uint32Array(b.buffer,b.byteOffset,b.length/4)}}function p(D){const d=new Uint32Array(E(D));let b=0;if(d[b++]=D.id,D.type==="full")d[b++]=1,d[b++]=D.data.length,d.set(D.data,b),b+=D.data.length;else{d[b++]=2,d[b++]=D.deltas.length;for(const m of D.deltas)d[b++]=m.start,d[b++]=m.deleteCount,m.data?(d[b++]=m.data.length,d.set(m.data,b),b+=m.data.length):d[b++]=0}return A(d)}function E(D){let d=0;if(d+=2,D.type==="full")d+=1+D.data.length;else{d+=1,d+=3*D.deltas.length;for(const b of D.deltas)b.data&&(d+=b.data.length)}return d}function T(D){const d=w(D);let b=0;const m=d[b++];if(d[b++]===1){const i=d[b++],n=d.subarray(b,b+i);return b+=i,{id:m,type:"full",data:n}}const o=d[b++],s=[];for(let i=0;i<o;i++){const n=d[b++],c=d[b++],l=d[b++];let t;l>0&&(t=d.subarray(b,b+l),b+=l),s[i]={start:n,deleteCount:c,data:t}}return{id:m,type:"delta",deltas:s}}}),define(Ie[157],Pe([9,10]),function(le,e){return le.create("vs/editor/common/config/editorOptions",e)}),define(Ie[158],Pe([1,0,18,25,22,140,159,157]),function(le,e,I,O,R,M,A,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.EditorOptions=e.EditorOption=e.editorOptionsRegistry=e.EDITOR_FONT_DEFAULTS=e.WrappingIndent=e.unicodeHighlightConfigKeys=e.inUntrustedWorkspace=e.RenderLineNumbersType=e.ShowLightbulbIconMode=e.EditorLayoutInfoComputer=e.RenderMinimap=e.EditorFontVariations=e.EditorFontLigatures=e.TextEditorCursorStyle=e.TextEditorCursorBlinkingStyle=e.ApplyUpdateResult=e.ComputeOptionsMemory=e.ConfigurationChangedEvent=e.MINIMAP_GUTTER_WIDTH=e.EditorAutoIndentStrategy=void 0,e.boolean=o,e.clampedInt=i,e.clampedFloat=c,e.stringSet=f,e.cursorStyleToString=y,e.filterValidationDecorations=ue;var p;(function(X){X[X.None=0]="None",X[X.Keep=1]="Keep",X[X.Brackets=2]="Brackets",X[X.Advanced=3]="Advanced",X[X.Full=4]="Full"})(p||(e.EditorAutoIndentStrategy=p={})),e.MINIMAP_GUTTER_WIDTH=8;class E{constructor(Z){this.c=Z}hasChanged(Z){return this.c[Z]}}e.ConfigurationChangedEvent=E;class T{constructor(){this.stableMinimapLayoutInput=null,this.stableFitMaxMinimapScale=0,this.stableFitRemainingWidth=0}}e.ComputeOptionsMemory=T;class D{constructor(Z,me,qe,ve){this.id=Z,this.name=me,this.defaultValue=qe,this.schema=ve}applyUpdate(Z,me){return b(Z,me)}compute(Z,me,qe){return qe}}class d{constructor(Z,me){this.newValue=Z,this.didChange=me}}e.ApplyUpdateResult=d;function b(X,Z){if(typeof X!="object"||typeof Z!="object"||!X||!Z)return new d(Z,X!==Z);if(Array.isArray(X)||Array.isArray(Z)){const qe=Array.isArray(X)&&Array.isArray(Z)&&I.$ub(X,Z);return new d(Z,!qe)}let me=!1;for(const qe in Z)if(Z.hasOwnProperty(qe)){const ve=b(X[qe],Z[qe]);ve.didChange&&(X[qe]=ve.newValue,me=!0)}return new d(X,me)}class m{constructor(Z){this.schema=void 0,this.id=Z,this.name="_never_",this.defaultValue=void 0}applyUpdate(Z,me){return b(Z,me)}validate(Z){return this.defaultValue}}class r{constructor(Z,me,qe,ve){this.id=Z,this.name=me,this.defaultValue=qe,this.schema=ve}applyUpdate(Z,me){return b(Z,me)}validate(Z){return typeof Z>"u"?this.defaultValue:Z}compute(Z,me,qe){return qe}}function o(X,Z){return typeof X>"u"?Z:X==="false"?!1:!!X}class s extends r{constructor(Z,me,qe,ve=void 0){typeof ve<"u"&&(ve.type="boolean",ve.default=qe),super(Z,me,qe,ve)}validate(Z){return o(Z,this.defaultValue)}}function i(X,Z,me,qe){if(typeof X>"u")return Z;let ve=parseInt(X,10);return isNaN(ve)?Z:(ve=Math.max(me,ve),ve=Math.min(qe,ve),ve|0)}class n extends r{static clampedInt(Z,me,qe,ve){return i(Z,me,qe,ve)}constructor(Z,me,qe,ve,ot,dt=void 0){typeof dt<"u"&&(dt.type="integer",dt.default=qe,dt.minimum=ve,dt.maximum=ot),super(Z,me,qe,dt),this.minimum=ve,this.maximum=ot}validate(Z){return n.clampedInt(Z,this.defaultValue,this.minimum,this.maximum)}}function c(X,Z,me,qe){if(typeof X>"u")return Z;const ve=l.float(X,Z);return l.clamp(ve,me,qe)}class l extends r{static clamp(Z,me,qe){return Z<me?me:Z>qe?qe:Z}static float(Z,me){if(typeof Z=="number")return Z;if(typeof Z>"u")return me;const qe=parseFloat(Z);return isNaN(qe)?me:qe}constructor(Z,me,qe,ve,ot){typeof ot<"u"&&(ot.type="number",ot.default=qe),super(Z,me,qe,ot),this.validationFn=ve}validate(Z){return this.validationFn(l.float(Z,this.defaultValue))}}class t extends r{static string(Z,me){return typeof Z!="string"?me:Z}constructor(Z,me,qe,ve=void 0){typeof ve<"u"&&(ve.type="string",ve.default=qe),super(Z,me,qe,ve)}validate(Z){return t.string(Z,this.defaultValue)}}function f(X,Z,me,qe){return typeof X!="string"?Z:qe&&X in qe?qe[X]:me.indexOf(X)===-1?Z:X}class a extends r{constructor(Z,me,qe,ve,ot=void 0){typeof ot<"u"&&(ot.type="string",ot.enum=ve,ot.default=qe),super(Z,me,qe,ot),this.c=ve}validate(Z){return f(Z,this.defaultValue,this.c)}}class $ extends D{constructor(Z,me,qe,ve,ot,dt,Pt=void 0){typeof Pt<"u"&&(Pt.type="string",Pt.enum=ot,Pt.default=ve),super(Z,me,qe,Pt),this.c=ot,this.d=dt}validate(Z){return typeof Z!="string"?this.defaultValue:this.c.indexOf(Z)===-1?this.defaultValue:this.d(Z)}}function u(X){switch(X){case"none":return 0;case"keep":return 1;case"brackets":return 2;case"advanced":return 3;case"full":return 4}}class S extends D{constructor(){super(2,"accessibilitySupport",0,{type:"string",enum:["auto","on","off"],enumDescriptions:[w.localize(0,null),w.localize(1,null),w.localize(2,null)],default:"auto",tags:["accessibility"],description:w.localize(3,null)})}validate(Z){switch(Z){case"auto":return 0;case"off":return 1;case"on":return 2}return this.defaultValue}compute(Z,me,qe){return qe===0?Z.accessibilitySupport:qe}}class h extends D{constructor(){const Z={insertSpace:!0,ignoreEmptyLines:!0};super(23,"comments",Z,{"editor.comments.insertSpace":{type:"boolean",default:Z.insertSpace,description:w.localize(4,null)},"editor.comments.ignoreEmptyLines":{type:"boolean",default:Z.ignoreEmptyLines,description:w.localize(5,null)}})}validate(Z){if(!Z||typeof Z!="object")return this.defaultValue;const me=Z;return{insertSpace:o(me.insertSpace,this.defaultValue.insertSpace),ignoreEmptyLines:o(me.ignoreEmptyLines,this.defaultValue.ignoreEmptyLines)}}}var v;(function(X){X[X.Hidden=0]="Hidden",X[X.Blink=1]="Blink",X[X.Smooth=2]="Smooth",X[X.Phase=3]="Phase",X[X.Expand=4]="Expand",X[X.Solid=5]="Solid"})(v||(e.TextEditorCursorBlinkingStyle=v={}));function g(X){switch(X){case"blink":return 1;case"smooth":return 2;case"phase":return 3;case"expand":return 4;case"solid":return 5}}var k;(function(X){X[X.Line=1]="Line",X[X.Block=2]="Block",X[X.Underline=3]="Underline",X[X.LineThin=4]="LineThin",X[X.BlockOutline=5]="BlockOutline",X[X.UnderlineThin=6]="UnderlineThin"})(k||(e.TextEditorCursorStyle=k={}));function y(X){switch(X){case k.Line:return"line";case k.Block:return"block";case k.Underline:return"underline";case k.LineThin:return"line-thin";case k.BlockOutline:return"block-outline";case k.UnderlineThin:return"underline-thin"}}function C(X){switch(X){case"line":return k.Line;case"block":return k.Block;case"underline":return k.Underline;case"line-thin":return k.LineThin;case"block-outline":return k.BlockOutline;case"underline-thin":return k.UnderlineThin}}class P extends m{constructor(){super(142)}compute(Z,me,qe){const ve=["monaco-editor"];return me.get(39)&&ve.push(me.get(39)),Z.extraEditorClassName&&ve.push(Z.extraEditorClassName),me.get(74)==="default"?ve.push("mouse-default"):me.get(74)==="copy"&&ve.push("mouse-copy"),me.get(111)&&ve.push("showUnused"),me.get(140)&&ve.push("showDeprecated"),ve.join(" ")}}class W extends s{constructor(){super(37,"emptySelectionClipboard",!0,{description:w.localize(6,null)})}compute(Z,me,qe){return qe&&Z.emptySelectionClipboard}}class V extends D{constructor(){const Z={cursorMoveOnType:!0,seedSearchStringFromSelection:"always",autoFindInSelection:"never",globalFindClipboard:!1,addExtraSpaceOnTop:!0,loop:!0};super(41,"find",Z,{"editor.find.cursorMoveOnType":{type:"boolean",default:Z.cursorMoveOnType,description:w.localize(7,null)},"editor.find.seedSearchStringFromSelection":{type:"string",enum:["never","always","selection"],default:Z.seedSearchStringFromSelection,enumDescriptions:[w.localize(8,null),w.localize(9,null),w.localize(10,null)],description:w.localize(11,null)},"editor.find.autoFindInSelection":{type:"string",enum:["never","always","multiline"],default:Z.autoFindInSelection,enumDescriptions:[w.localize(12,null),w.localize(13,null),w.localize(14,null)],description:w.localize(15,null)},"editor.find.globalFindClipboard":{type:"boolean",default:Z.globalFindClipboard,description:w.localize(16,null),included:R.$j},"editor.find.addExtraSpaceOnTop":{type:"boolean",default:Z.addExtraSpaceOnTop,description:w.localize(17,null)},"editor.find.loop":{type:"boolean",default:Z.loop,description:w.localize(18,null)}})}validate(Z){if(!Z||typeof Z!="object")return this.defaultValue;const me=Z;return{cursorMoveOnType:o(me.cursorMoveOnType,this.defaultValue.cursorMoveOnType),seedSearchStringFromSelection:typeof Z.seedSearchStringFromSelection=="boolean"?Z.seedSearchStringFromSelection?"always":"never":f(me.seedSearchStringFromSelection,this.defaultValue.seedSearchStringFromSelection,["never","always","selection"]),autoFindInSelection:typeof Z.autoFindInSelection=="boolean"?Z.autoFindInSelection?"always":"never":f(me.autoFindInSelection,this.defaultValue.autoFindInSelection,["never","always","multiline"]),globalFindClipboard:o(me.globalFindClipboard,this.defaultValue.globalFindClipboard),addExtraSpaceOnTop:o(me.addExtraSpaceOnTop,this.defaultValue.addExtraSpaceOnTop),loop:o(me.loop,this.defaultValue.loop)}}}class q extends D{static{this.OFF='"liga" off, "calt" off'}static{this.ON='"liga" on, "calt" on'}constructor(){super(51,"fontLigatures",q.OFF,{anyOf:[{type:"boolean",description:w.localize(19,null)},{type:"string",description:w.localize(20,null)}],description:w.localize(21,null),default:!1})}validate(Z){return typeof Z>"u"?this.defaultValue:typeof Z=="string"?Z==="false"||Z.length===0?q.OFF:Z==="true"?q.ON:Z:Z?q.ON:q.OFF}}e.EditorFontLigatures=q;class N extends D{static{this.OFF="normal"}static{this.TRANSLATE="translate"}constructor(){super(54,"fontVariations",N.OFF,{anyOf:[{type:"boolean",description:w.localize(22,null)},{type:"string",description:w.localize(23,null)}],description:w.localize(24,null),default:!1})}validate(Z){return typeof Z>"u"?this.defaultValue:typeof Z=="string"?Z==="false"?N.OFF:Z==="true"?N.TRANSLATE:Z:Z?N.TRANSLATE:N.OFF}compute(Z,me,qe){return Z.fontInfo.fontVariationSettings}}e.EditorFontVariations=N;class j extends m{constructor(){super(50)}compute(Z,me,qe){return Z.fontInfo}}class K extends r{constructor(){super(52,"fontSize",e.EDITOR_FONT_DEFAULTS.fontSize,{type:"number",minimum:6,maximum:100,default:e.EDITOR_FONT_DEFAULTS.fontSize,description:w.localize(25,null)})}validate(Z){const me=l.float(Z,this.defaultValue);return me===0?e.EDITOR_FONT_DEFAULTS.fontSize:l.clamp(me,6,100)}compute(Z,me,qe){return Z.fontInfo.fontSize}}class ie extends D{static{this.c=["normal","bold","100","200","300","400","500","600","700","800","900"]}static{this.d=1}static{this.e=1e3}constructor(){super(53,"fontWeight",e.EDITOR_FONT_DEFAULTS.fontWeight,{anyOf:[{type:"number",minimum:ie.d,maximum:ie.e,errorMessage:w.localize(26,null)},{type:"string",pattern:"^(normal|bold|1000|[1-9][0-9]{0,2})$"},{enum:ie.c}],default:e.EDITOR_FONT_DEFAULTS.fontWeight,description:w.localize(27,null)})}validate(Z){return Z==="normal"||Z==="bold"?Z:String(n.clampedInt(Z,e.EDITOR_FONT_DEFAULTS.fontWeight,ie.d,ie.e))}}class ce extends D{constructor(){const Z={multiple:"peek",multipleDefinitions:"peek",multipleTypeDefinitions:"peek",multipleDeclarations:"peek",multipleImplementations:"peek",multipleReferences:"peek",alternativeDefinitionCommand:"editor.action.goToReferences",alternativeTypeDefinitionCommand:"editor.action.goToReferences",alternativeDeclarationCommand:"editor.action.goToReferences",alternativeImplementationCommand:"",alternativeReferenceCommand:""},me={type:"string",enum:["peek","gotoAndPeek","goto"],default:Z.multiple,enumDescriptions:[w.localize(28,null),w.localize(29,null),w.localize(30,null)]},qe=["","editor.action.referenceSearch.trigger","editor.action.goToReferences","editor.action.peekImplementation","editor.action.goToImplementation","editor.action.peekTypeDefinition","editor.action.goToTypeDefinition","editor.action.peekDeclaration","editor.action.revealDeclaration","editor.action.peekDefinition","editor.action.revealDefinitionAside","editor.action.revealDefinition"];super(58,"gotoLocation",Z,{"editor.gotoLocation.multiple":{deprecationMessage:w.localize(31,null)},"editor.gotoLocation.multipleDefinitions":{description:w.localize(32,null),...me},"editor.gotoLocation.multipleTypeDefinitions":{description:w.localize(33,null),...me},"editor.gotoLocation.multipleDeclarations":{description:w.localize(34,null),...me},"editor.gotoLocation.multipleImplementations":{description:w.localize(35,null),...me},"editor.gotoLocation.multipleReferences":{description:w.localize(36,null),...me},"editor.gotoLocation.alternativeDefinitionCommand":{type:"string",default:Z.alternativeDefinitionCommand,enum:qe,description:w.localize(37,null)},"editor.gotoLocation.alternativeTypeDefinitionCommand":{type:"string",default:Z.alternativeTypeDefinitionCommand,enum:qe,description:w.localize(38,null)},"editor.gotoLocation.alternativeDeclarationCommand":{type:"string",default:Z.alternativeDeclarationCommand,enum:qe,description:w.localize(39,null)},"editor.gotoLocation.alternativeImplementationCommand":{type:"string",default:Z.alternativeImplementationCommand,enum:qe,description:w.localize(40,null)},"editor.gotoLocation.alternativeReferenceCommand":{type:"string",default:Z.alternativeReferenceCommand,enum:qe,description:w.localize(41,null)}})}validate(Z){if(!Z||typeof Z!="object")return this.defaultValue;const me=Z;return{multiple:f(me.multiple,this.defaultValue.multiple,["peek","gotoAndPeek","goto"]),multipleDefinitions:me.multipleDefinitions??f(me.multipleDefinitions,"peek",["peek","gotoAndPeek","goto"]),multipleTypeDefinitions:me.multipleTypeDefinitions??f(me.multipleTypeDefinitions,"peek",["peek","gotoAndPeek","goto"]),multipleDeclarations:me.multipleDeclarations??f(me.multipleDeclarations,"peek",["peek","gotoAndPeek","goto"]),multipleImplementations:me.multipleImplementations??f(me.multipleImplementations,"peek",["peek","gotoAndPeek","goto"]),multipleReferences:me.multipleReferences??f(me.multipleReferences,"peek",["peek","gotoAndPeek","goto"]),alternativeDefinitionCommand:t.string(me.alternativeDefinitionCommand,this.defaultValue.alternativeDefinitionCommand),alternativeTypeDefinitionCommand:t.string(me.alternativeTypeDefinitionCommand,this.defaultValue.alternativeTypeDefinitionCommand),alternativeDeclarationCommand:t.string(me.alternativeDeclarationCommand,this.defaultValue.alternativeDeclarationCommand),alternativeImplementationCommand:t.string(me.alternativeImplementationCommand,this.defaultValue.alternativeImplementationCommand),alternativeReferenceCommand:t.string(me.alternativeReferenceCommand,this.defaultValue.alternativeReferenceCommand)}}}class ye extends D{constructor(){const Z={enabled:!0,delay:300,hidingDelay:300,sticky:!0,above:!0};super(60,"hover",Z,{"editor.hover.enabled":{type:"boolean",default:Z.enabled,description:w.localize(42,null)},"editor.hover.delay":{type:"number",default:Z.delay,minimum:0,maximum:1e4,description:w.localize(43,null)},"editor.hover.sticky":{type:"boolean",default:Z.sticky,description:w.localize(44,null)},"editor.hover.hidingDelay":{type:"integer",minimum:0,default:Z.hidingDelay,description:w.localize(45,null)},"editor.hover.above":{type:"boolean",default:Z.above,description:w.localize(46,null)}})}validate(Z){if(!Z||typeof Z!="object")return this.defaultValue;const me=Z;return{enabled:o(me.enabled,this.defaultValue.enabled),delay:n.clampedInt(me.delay,this.defaultValue.delay,0,1e4),sticky:o(me.sticky,this.defaultValue.sticky),hidingDelay:n.clampedInt(me.hidingDelay,this.defaultValue.hidingDelay,0,6e5),above:o(me.above,this.defaultValue.above)}}}var Se;(function(X){X[X.None=0]="None",X[X.Text=1]="Text",X[X.Blocks=2]="Blocks"})(Se||(e.RenderMinimap=Se={}));class fe extends m{constructor(){super(145)}compute(Z,me,qe){return fe.computeLayout(me,{memory:Z.memory,outerWidth:Z.outerWidth,outerHeight:Z.outerHeight,isDominatedByLongLines:Z.isDominatedByLongLines,lineHeight:Z.fontInfo.lineHeight,viewLineCount:Z.viewLineCount,lineNumbersDigitCount:Z.lineNumbersDigitCount,typicalHalfwidthCharacterWidth:Z.fontInfo.typicalHalfwidthCharacterWidth,maxDigitWidth:Z.fontInfo.maxDigitWidth,pixelRatio:Z.pixelRatio,glyphMarginDecorationLaneCount:Z.glyphMarginDecorationLaneCount})}static computeContainedMinimapLineCount(Z){const me=Z.height/Z.lineHeight,qe=Math.floor(Z.paddingTop/Z.lineHeight);let ve=Math.floor(Z.paddingBottom/Z.lineHeight);Z.scrollBeyondLastLine&&(ve=Math.max(ve,me-1));const ot=(qe+Z.viewLineCount+ve)/(Z.pixelRatio*Z.height),dt=Math.floor(Z.viewLineCount/ot);return{typicalViewportLineCount:me,extraLinesBeforeFirstLine:qe,extraLinesBeyondLastLine:ve,desiredRatio:ot,minimapLineCount:dt}}static c(Z,me){const qe=Z.outerWidth,ve=Z.outerHeight,ot=Z.pixelRatio;if(!Z.minimap.enabled)return{renderMinimap:0,minimapLeft:0,minimapWidth:0,minimapHeightIsEditorHeight:!1,minimapIsSampling:!1,minimapScale:1,minimapLineHeight:1,minimapCanvasInnerWidth:0,minimapCanvasInnerHeight:Math.floor(ot*ve),minimapCanvasOuterWidth:0,minimapCanvasOuterHeight:ve};const dt=me.stableMinimapLayoutInput,Pt=dt&&Z.outerHeight===dt.outerHeight&&Z.lineHeight===dt.lineHeight&&Z.typicalHalfwidthCharacterWidth===dt.typicalHalfwidthCharacterWidth&&Z.pixelRatio===dt.pixelRatio&&Z.scrollBeyondLastLine===dt.scrollBeyondLastLine&&Z.paddingTop===dt.paddingTop&&Z.paddingBottom===dt.paddingBottom&&Z.minimap.enabled===dt.minimap.enabled&&Z.minimap.side===dt.minimap.side&&Z.minimap.size===dt.minimap.size&&Z.minimap.showSlider===dt.minimap.showSlider&&Z.minimap.renderCharacters===dt.minimap.renderCharacters&&Z.minimap.maxColumn===dt.minimap.maxColumn&&Z.minimap.scale===dt.minimap.scale&&Z.verticalScrollbarWidth===dt.verticalScrollbarWidth&&Z.isViewportWrapping===dt.isViewportWrapping,Vt=Z.lineHeight,Qt=Z.typicalHalfwidthCharacterWidth,ti=Z.scrollBeyondLastLine,Zt=Z.minimap.renderCharacters;let Et=ot>=2?Math.round(Z.minimap.scale*2):Z.minimap.scale;const Xt=Z.minimap.maxColumn,Yt=Z.minimap.size,Xe=Z.minimap.side,oi=Z.verticalScrollbarWidth,Ht=Z.viewLineCount,ht=Z.remainingWidth,$t=Z.isViewportWrapping,xt=Zt?2:3;let Kt=Math.floor(ot*ve);const Ft=Kt/ot;let ft=!1,Bt=!1,_t=xt*Et,jt=Et/ot,Qe=1;if(Yt==="fill"||Yt==="fit"){const{typicalViewportLineCount:Ot,extraLinesBeforeFirstLine:ii,extraLinesBeyondLastLine:qt,desiredRatio:ni,minimapLineCount:Ct}=fe.computeContainedMinimapLineCount({viewLineCount:Ht,scrollBeyondLastLine:ti,paddingTop:Z.paddingTop,paddingBottom:Z.paddingBottom,height:ve,lineHeight:Vt,pixelRatio:ot});if(Ht/Ct>1)ft=!0,Bt=!0,Et=1,_t=1,jt=Et/ot;else{let Nt=!1,It=Et+1;if(Yt==="fit"){const mt=Math.ceil((ii+Ht+qt)*_t);$t&&Pt&&ht<=me.stableFitRemainingWidth?(Nt=!0,It=me.stableFitMaxMinimapScale):Nt=mt>Kt}if(Yt==="fill"||Nt){ft=!0;const mt=Et;_t=Math.min(Vt*ot,Math.max(1,Math.floor(1/ni))),$t&&Pt&&ht<=me.stableFitRemainingWidth&&(It=me.stableFitMaxMinimapScale),Et=Math.min(It,Math.max(1,Math.floor(_t/xt))),Et>mt&&(Qe=Math.min(2,Et/mt)),jt=Et/ot/Qe,Kt=Math.ceil(Math.max(Ot,ii+Ht+qt)*_t),$t?(me.stableMinimapLayoutInput=Z,me.stableFitRemainingWidth=ht,me.stableFitMaxMinimapScale=Et):(me.stableMinimapLayoutInput=null,me.stableFitRemainingWidth=0)}}}const ui=Math.floor(Xt*jt),Jt=Math.min(ui,Math.max(0,Math.floor((ht-oi-2)*jt/(Qt+jt)))+e.MINIMAP_GUTTER_WIDTH);let Wt=Math.floor(ot*Jt);const pt=Wt/ot;Wt=Math.floor(Wt*Qe);const Lt=Zt?1:2,At=Xe==="left"?0:qe-Jt-oi;return{renderMinimap:Lt,minimapLeft:At,minimapWidth:Jt,minimapHeightIsEditorHeight:ft,minimapIsSampling:Bt,minimapScale:Et,minimapLineHeight:_t,minimapCanvasInnerWidth:Wt,minimapCanvasInnerHeight:Kt,minimapCanvasOuterWidth:pt,minimapCanvasOuterHeight:Ft}}static computeLayout(Z,me){const qe=me.outerWidth|0,ve=me.outerHeight|0,ot=me.lineHeight|0,dt=me.lineNumbersDigitCount|0,Pt=me.typicalHalfwidthCharacterWidth,Vt=me.maxDigitWidth,Qt=me.pixelRatio,ti=me.viewLineCount,Zt=Z.get(137),Et=Zt==="inherit"?Z.get(136):Zt,Xt=Et==="inherit"?Z.get(132):Et,Yt=Z.get(135),Xe=me.isDominatedByLongLines,oi=Z.get(57),Ht=Z.get(68).renderType!==0,ht=Z.get(69),$t=Z.get(105),xt=Z.get(84),Kt=Z.get(73),Ft=Z.get(103),ft=Ft.verticalScrollbarSize,Bt=Ft.verticalHasArrows,_t=Ft.arrowSize,jt=Ft.horizontalScrollbarSize,Qe=Z.get(43),ui=Z.get(110)!=="never";let Jt=Z.get(66);Qe&&ui&&(Jt+=16);let Wt=0;if(Ht){const ai=Math.max(dt,ht);Wt=Math.round(ai*Vt)}let pt=0;oi&&(pt=ot*me.glyphMarginDecorationLaneCount);let Lt=0,At=Lt+pt,Ot=At+Wt,ii=Ot+Jt;const qt=qe-pt-Wt-Jt;let ni=!1,Ct=!1,Mt=-1;Et==="inherit"&&Xe?(ni=!0,Ct=!0):Xt==="on"||Xt==="bounded"?Ct=!0:Xt==="wordWrapColumn"&&(Mt=Yt);const Nt=fe.c({outerWidth:qe,outerHeight:ve,lineHeight:ot,typicalHalfwidthCharacterWidth:Pt,pixelRatio:Qt,scrollBeyondLastLine:$t,paddingTop:xt.top,paddingBottom:xt.bottom,minimap:Kt,verticalScrollbarWidth:ft,viewLineCount:ti,remainingWidth:qt,isViewportWrapping:Ct},me.memory||new T);Nt.renderMinimap!==0&&Nt.minimapLeft===0&&(Lt+=Nt.minimapWidth,At+=Nt.minimapWidth,Ot+=Nt.minimapWidth,ii+=Nt.minimapWidth);const It=qt-Nt.minimapWidth,mt=Math.max(1,Math.floor((It-ft-2)/Pt)),Dt=Bt?_t:0;return Ct&&(Mt=Math.max(1,mt),Xt==="bounded"&&(Mt=Math.min(Mt,Yt))),{width:qe,height:ve,glyphMarginLeft:Lt,glyphMarginWidth:pt,glyphMarginDecorationLaneCount:me.glyphMarginDecorationLaneCount,lineNumbersLeft:At,lineNumbersWidth:Wt,decorationsLeft:Ot,decorationsWidth:Jt,contentLeft:ii,contentWidth:It,minimap:Nt,viewportColumn:mt,isWordWrapMinified:ni,isViewportWrapping:Ct,wrappingColumn:Mt,verticalScrollbarWidth:ft,horizontalScrollbarHeight:jt,overviewRuler:{top:Dt,width:ft,height:ve-2*Dt,right:0}}}}e.EditorLayoutInfoComputer=fe;class $e extends D{constructor(){super(139,"wrappingStrategy","simple",{"editor.wrappingStrategy":{enumDescriptions:[w.localize(47,null),w.localize(48,null)],type:"string",enum:["simple","advanced"],default:"simple",description:w.localize(49,null)}})}validate(Z){return f(Z,"simple",["simple","advanced"])}compute(Z,me,qe){return me.get(2)===2?"advanced":qe}}var Te;(function(X){X.Off="off",X.OnCode="onCode",X.On="on"})(Te||(e.ShowLightbulbIconMode=Te={}));class ae extends D{constructor(){const Z={enabled:Te.On};super(65,"lightbulb",Z,{"editor.lightbulb.enabled":{type:"string",tags:["experimental"],enum:[Te.Off,Te.OnCode,Te.On],default:Z.enabled,enumDescriptions:[w.localize(50,null),w.localize(51,null),w.localize(52,null)],description:w.localize(53,null)}})}validate(Z){return!Z||typeof Z!="object"?this.defaultValue:{enabled:f(Z.enabled,this.defaultValue.enabled,[Te.Off,Te.OnCode,Te.On])}}}class Ne extends D{constructor(){const Z={enabled:!0,maxLineCount:5,defaultModel:"outlineModel",scrollWithEditor:!0};super(115,"stickyScroll",Z,{"editor.stickyScroll.enabled":{type:"boolean",default:Z.enabled,description:w.localize(54,null),tags:["experimental"]},"editor.stickyScroll.maxLineCount":{type:"number",default:Z.maxLineCount,minimum:1,maximum:20,description:w.localize(55,null)},"editor.stickyScroll.defaultModel":{type:"string",enum:["outlineModel","foldingProviderModel","indentationModel"],default:Z.defaultModel,description:w.localize(56,null)},"editor.stickyScroll.scrollWithEditor":{type:"boolean",default:Z.scrollWithEditor,description:w.localize(57,null)}})}validate(Z){if(!Z||typeof Z!="object")return this.defaultValue;const me=Z;return{enabled:o(me.enabled,this.defaultValue.enabled),maxLineCount:n.clampedInt(me.maxLineCount,this.defaultValue.maxLineCount,1,20),defaultModel:f(me.defaultModel,this.defaultValue.defaultModel,["outlineModel","foldingProviderModel","indentationModel"]),scrollWithEditor:o(me.scrollWithEditor,this.defaultValue.scrollWithEditor)}}}class ne extends D{constructor(){const Z={enabled:"on",fontSize:0,fontFamily:"",padding:!1};super(141,"inlayHints",Z,{"editor.inlayHints.enabled":{type:"string",default:Z.enabled,description:w.localize(58,null),enum:["on","onUnlessPressed","offUnlessPressed","off"],markdownEnumDescriptions:[w.localize(59,null),w.localize(60,null,R.$j?"Ctrl+Option":"Ctrl+Alt"),w.localize(61,null,R.$j?"Ctrl+Option":"Ctrl+Alt"),w.localize(62,null)]},"editor.inlayHints.fontSize":{type:"number",default:Z.fontSize,markdownDescription:w.localize(63,null,"`#editor.fontSize#`","`5`")},"editor.inlayHints.fontFamily":{type:"string",default:Z.fontFamily,markdownDescription:w.localize(64,null,"`#editor.fontFamily#`")},"editor.inlayHints.padding":{type:"boolean",default:Z.padding,description:w.localize(65,null)}})}validate(Z){if(!Z||typeof Z!="object")return this.defaultValue;const me=Z;return typeof me.enabled=="boolean"&&(me.enabled=me.enabled?"on":"off"),{enabled:f(me.enabled,this.defaultValue.enabled,["on","off","offUnlessPressed","onUnlessPressed"]),fontSize:n.clampedInt(me.fontSize,this.defaultValue.fontSize,0,100),fontFamily:t.string(me.fontFamily,this.defaultValue.fontFamily),padding:o(me.padding,this.defaultValue.padding)}}}class z extends D{constructor(){super(66,"lineDecorationsWidth",10)}validate(Z){return typeof Z=="string"&&/^\d+(\.\d+)?ch$/.test(Z)?-parseFloat(Z.substring(0,Z.length-2)):n.clampedInt(Z,this.defaultValue,0,1e3)}compute(Z,me,qe){return qe<0?n.clampedInt(-qe*Z.fontInfo.typicalHalfwidthCharacterWidth,this.defaultValue,0,1e3):qe}}class x extends l{constructor(){super(67,"lineHeight",e.EDITOR_FONT_DEFAULTS.lineHeight,Z=>l.clamp(Z,0,150),{markdownDescription:w.localize(66,null)})}compute(Z,me,qe){return Z.fontInfo.lineHeight}}class be extends D{constructor(){const Z={enabled:!0,size:"proportional",side:"right",showSlider:"mouseover",autohide:!1,renderCharacters:!0,maxColumn:120,scale:1,showRegionSectionHeaders:!0,showMarkSectionHeaders:!0,sectionHeaderFontSize:9};super(73,"minimap",Z,{"editor.minimap.enabled":{type:"boolean",default:Z.enabled,description:w.localize(67,null)},"editor.minimap.autohide":{type:"boolean",default:Z.autohide,description:w.localize(68,null)},"editor.minimap.size":{type:"string",enum:["proportional","fill","fit"],enumDescriptions:[w.localize(69,null),w.localize(70,null),w.localize(71,null)],default:Z.size,description:w.localize(72,null)},"editor.minimap.side":{type:"string",enum:["left","right"],default:Z.side,description:w.localize(73,null)},"editor.minimap.showSlider":{type:"string",enum:["always","mouseover"],default:Z.showSlider,description:w.localize(74,null)},"editor.minimap.scale":{type:"number",default:Z.scale,minimum:1,maximum:3,enum:[1,2,3],description:w.localize(75,null)},"editor.minimap.renderCharacters":{type:"boolean",default:Z.renderCharacters,description:w.localize(76,null)},"editor.minimap.maxColumn":{type:"number",default:Z.maxColumn,description:w.localize(77,null)},"editor.minimap.showRegionSectionHeaders":{type:"boolean",default:Z.showRegionSectionHeaders,description:w.localize(78,null)},"editor.minimap.showMarkSectionHeaders":{type:"boolean",default:Z.showMarkSectionHeaders,description:w.localize(79,null)},"editor.minimap.sectionHeaderFontSize":{type:"number",default:Z.sectionHeaderFontSize,description:w.localize(80,null)}})}validate(Z){if(!Z||typeof Z!="object")return this.defaultValue;const me=Z;return{enabled:o(me.enabled,this.defaultValue.enabled),autohide:o(me.autohide,this.defaultValue.autohide),size:f(me.size,this.defaultValue.size,["proportional","fill","fit"]),side:f(me.side,this.defaultValue.side,["right","left"]),showSlider:f(me.showSlider,this.defaultValue.showSlider,["always","mouseover"]),renderCharacters:o(me.renderCharacters,this.defaultValue.renderCharacters),scale:n.clampedInt(me.scale,1,1,3),maxColumn:n.clampedInt(me.maxColumn,this.defaultValue.maxColumn,1,1e4),showRegionSectionHeaders:o(me.showRegionSectionHeaders,this.defaultValue.showRegionSectionHeaders),showMarkSectionHeaders:o(me.showMarkSectionHeaders,this.defaultValue.showMarkSectionHeaders),sectionHeaderFontSize:l.clamp(me.sectionHeaderFontSize??this.defaultValue.sectionHeaderFontSize,4,32)}}}function Fe(X){return X==="ctrlCmd"?R.$j?"metaKey":"ctrlKey":"altKey"}class De extends D{constructor(){super(84,"padding",{top:0,bottom:0},{"editor.padding.top":{type:"number",default:0,minimum:0,maximum:1e3,description:w.localize(81,null)},"editor.padding.bottom":{type:"number",default:0,minimum:0,maximum:1e3,description:w.localize(82,null)}})}validate(Z){if(!Z||typeof Z!="object")return this.defaultValue;const me=Z;return{top:n.clampedInt(me.top,0,0,1e3),bottom:n.clampedInt(me.bottom,0,0,1e3)}}}class we extends D{constructor(){const Z={enabled:!0,cycle:!0};super(86,"parameterHints",Z,{"editor.parameterHints.enabled":{type:"boolean",default:Z.enabled,description:w.localize(83,null)},"editor.parameterHints.cycle":{type:"boolean",default:Z.cycle,description:w.localize(84,null)}})}validate(Z){if(!Z||typeof Z!="object")return this.defaultValue;const me=Z;return{enabled:o(me.enabled,this.defaultValue.enabled),cycle:o(me.cycle,this.defaultValue.cycle)}}}class ge extends m{constructor(){super(143)}compute(Z,me,qe){return Z.pixelRatio}}class Q extends D{constructor(){const Z={other:"on",comments:"off",strings:"off"},me=[{type:"boolean"},{type:"string",enum:["on","inline","off"],enumDescriptions:[w.localize(85,null),w.localize(86,null),w.localize(87,null)]}];super(89,"quickSuggestions",Z,{type:"object",additionalProperties:!1,properties:{strings:{anyOf:me,default:Z.strings,description:w.localize(88,null)},comments:{anyOf:me,default:Z.comments,description:w.localize(89,null)},other:{anyOf:me,default:Z.other,description:w.localize(90,null)}},default:Z,markdownDescription:w.localize(91,null,"#editor.suggestOnTriggerCharacters#")}),this.defaultValue=Z}validate(Z){if(typeof Z=="boolean"){const Qt=Z?"on":"off";return{comments:Qt,strings:Qt,other:Qt}}if(!Z||typeof Z!="object")return this.defaultValue;const{other:me,comments:qe,strings:ve}=Z,ot=["on","inline","off"];let dt,Pt,Vt;return typeof me=="boolean"?dt=me?"on":"off":dt=f(me,this.defaultValue.other,ot),typeof qe=="boolean"?Pt=qe?"on":"off":Pt=f(qe,this.defaultValue.comments,ot),typeof ve=="boolean"?Vt=ve?"on":"off":Vt=f(ve,this.defaultValue.strings,ot),{other:dt,comments:Pt,strings:Vt}}}var Y;(function(X){X[X.Off=0]="Off",X[X.On=1]="On",X[X.Relative=2]="Relative",X[X.Interval=3]="Interval",X[X.Custom=4]="Custom"})(Y||(e.RenderLineNumbersType=Y={}));class he extends D{constructor(){super(68,"lineNumbers",{renderType:1,renderFn:null},{type:"string",enum:["off","on","relative","interval"],enumDescriptions:[w.localize(92,null),w.localize(93,null),w.localize(94,null),w.localize(95,null)],default:"on",description:w.localize(96,null)})}validate(Z){let me=this.defaultValue.renderType,qe=this.defaultValue.renderFn;return typeof Z<"u"&&(typeof Z=="function"?(me=4,qe=Z):Z==="interval"?me=3:Z==="relative"?me=2:Z==="on"?me=1:me=0),{renderType:me,renderFn:qe}}}function ue(X){const Z=X.get(98);return Z==="editable"?X.get(91):Z!=="on"}class Me extends D{constructor(){const Z=[],me={type:"number",description:w.localize(97,null)};super(102,"rulers",Z,{type:"array",items:{anyOf:[me,{type:["object"],properties:{column:me,color:{type:"string",description:w.localize(98,null),format:"color-hex"}}}]},default:Z,description:w.localize(99,null)})}validate(Z){if(Array.isArray(Z)){const me=[];for(const qe of Z)if(typeof qe=="number")me.push({column:n.clampedInt(qe,0,0,1e4),color:null});else if(qe&&typeof qe=="object"){const ve=qe;me.push({column:n.clampedInt(ve.column,0,0,1e4),color:ve.color})}return me.sort((qe,ve)=>qe.column-ve.column),me}return this.defaultValue}}class de extends D{constructor(){super(92,"readOnlyMessage",void 0)}validate(Z){return!Z||typeof Z!="object"?this.defaultValue:Z}}function Ce(X,Z){if(typeof X!="string")return Z;switch(X){case"hidden":return 2;case"visible":return 3;default:return 1}}class Re extends D{constructor(){const Z={vertical:1,horizontal:1,arrowSize:11,useShadows:!0,verticalHasArrows:!1,horizontalHasArrows:!1,horizontalScrollbarSize:12,horizontalSliderSize:12,verticalScrollbarSize:14,verticalSliderSize:14,handleMouseWheel:!0,alwaysConsumeMouseWheel:!0,scrollByPage:!1,ignoreHorizontalScrollbarInContentHeight:!1};super(103,"scrollbar",Z,{"editor.scrollbar.vertical":{type:"string",enum:["auto","visible","hidden"],enumDescriptions:[w.localize(100,null),w.localize(101,null),w.localize(102,null)],default:"auto",description:w.localize(103,null)},"editor.scrollbar.horizontal":{type:"string",enum:["auto","visible","hidden"],enumDescriptions:[w.localize(104,null),w.localize(105,null),w.localize(106,null)],default:"auto",description:w.localize(107,null)},"editor.scrollbar.verticalScrollbarSize":{type:"number",default:Z.verticalScrollbarSize,description:w.localize(108,null)},"editor.scrollbar.horizontalScrollbarSize":{type:"number",default:Z.horizontalScrollbarSize,description:w.localize(109,null)},"editor.scrollbar.scrollByPage":{type:"boolean",default:Z.scrollByPage,description:w.localize(110,null)},"editor.scrollbar.ignoreHorizontalScrollbarInContentHeight":{type:"boolean",default:Z.ignoreHorizontalScrollbarInContentHeight,description:w.localize(111,null)}})}validate(Z){if(!Z||typeof Z!="object")return this.defaultValue;const me=Z,qe=n.clampedInt(me.horizontalScrollbarSize,this.defaultValue.horizontalScrollbarSize,0,1e3),ve=n.clampedInt(me.verticalScrollbarSize,this.defaultValue.verticalScrollbarSize,0,1e3);return{arrowSize:n.clampedInt(me.arrowSize,this.defaultValue.arrowSize,0,1e3),vertical:Ce(me.vertical,this.defaultValue.vertical),horizontal:Ce(me.horizontal,this.defaultValue.horizontal),useShadows:o(me.useShadows,this.defaultValue.useShadows),verticalHasArrows:o(me.verticalHasArrows,this.defaultValue.verticalHasArrows),horizontalHasArrows:o(me.horizontalHasArrows,this.defaultValue.horizontalHasArrows),handleMouseWheel:o(me.handleMouseWheel,this.defaultValue.handleMouseWheel),alwaysConsumeMouseWheel:o(me.alwaysConsumeMouseWheel,this.defaultValue.alwaysConsumeMouseWheel),horizontalScrollbarSize:qe,horizontalSliderSize:n.clampedInt(me.horizontalSliderSize,qe,0,1e3),verticalScrollbarSize:ve,verticalSliderSize:n.clampedInt(me.verticalSliderSize,ve,0,1e3),scrollByPage:o(me.scrollByPage,this.defaultValue.scrollByPage),ignoreHorizontalScrollbarInContentHeight:o(me.ignoreHorizontalScrollbarInContentHeight,this.defaultValue.ignoreHorizontalScrollbarInContentHeight)}}}e.inUntrustedWorkspace="inUntrustedWorkspace",e.unicodeHighlightConfigKeys={allowedCharacters:"editor.unicodeHighlight.allowedCharacters",invisibleCharacters:"editor.unicodeHighlight.invisibleCharacters",nonBasicASCII:"editor.unicodeHighlight.nonBasicASCII",ambiguousCharacters:"editor.unicodeHighlight.ambiguousCharacters",includeComments:"editor.unicodeHighlight.includeComments",includeStrings:"editor.unicodeHighlight.includeStrings",allowedLocales:"editor.unicodeHighlight.allowedLocales"};class je extends D{constructor(){const Z={nonBasicASCII:e.inUntrustedWorkspace,invisibleCharacters:!0,ambiguousCharacters:!0,includeComments:e.inUntrustedWorkspace,includeStrings:!0,allowedCharacters:{},allowedLocales:{_os:!0,_vscode:!0}};super(125,"unicodeHighlight",Z,{[e.unicodeHighlightConfigKeys.nonBasicASCII]:{restricted:!0,type:["boolean","string"],enum:[!0,!1,e.inUntrustedWorkspace],default:Z.nonBasicASCII,description:w.localize(112,null)},[e.unicodeHighlightConfigKeys.invisibleCharacters]:{restricted:!0,type:"boolean",default:Z.invisibleCharacters,description:w.localize(113,null)},[e.unicodeHighlightConfigKeys.ambiguousCharacters]:{restricted:!0,type:"boolean",default:Z.ambiguousCharacters,description:w.localize(114,null)},[e.unicodeHighlightConfigKeys.includeComments]:{restricted:!0,type:["boolean","string"],enum:[!0,!1,e.inUntrustedWorkspace],default:Z.includeComments,description:w.localize(115,null)},[e.unicodeHighlightConfigKeys.includeStrings]:{restricted:!0,type:["boolean","string"],enum:[!0,!1,e.inUntrustedWorkspace],default:Z.includeStrings,description:w.localize(116,null)},[e.unicodeHighlightConfigKeys.allowedCharacters]:{restricted:!0,type:"object",default:Z.allowedCharacters,description:w.localize(117,null),additionalProperties:{type:"boolean"}},[e.unicodeHighlightConfigKeys.allowedLocales]:{restricted:!0,type:"object",additionalProperties:{type:"boolean"},default:Z.allowedLocales,description:w.localize(118,null)}})}applyUpdate(Z,me){let qe=!1;me.allowedCharacters&&Z&&(O.$7n(Z.allowedCharacters,me.allowedCharacters)||(Z={...Z,allowedCharacters:me.allowedCharacters},qe=!0)),me.allowedLocales&&Z&&(O.$7n(Z.allowedLocales,me.allowedLocales)||(Z={...Z,allowedLocales:me.allowedLocales},qe=!0));const ve=super.applyUpdate(Z,me);return qe?new d(ve.newValue,!0):ve}validate(Z){if(!Z||typeof Z!="object")return this.defaultValue;const me=Z;return{nonBasicASCII:ee(me.nonBasicASCII,e.inUntrustedWorkspace,[!0,!1,e.inUntrustedWorkspace]),invisibleCharacters:o(me.invisibleCharacters,this.defaultValue.invisibleCharacters),ambiguousCharacters:o(me.ambiguousCharacters,this.defaultValue.ambiguousCharacters),includeComments:ee(me.includeComments,e.inUntrustedWorkspace,[!0,!1,e.inUntrustedWorkspace]),includeStrings:ee(me.includeStrings,e.inUntrustedWorkspace,[!0,!1,e.inUntrustedWorkspace]),allowedCharacters:this.c(Z.allowedCharacters,this.defaultValue.allowedCharacters),allowedLocales:this.c(Z.allowedLocales,this.defaultValue.allowedLocales)}}c(Z,me){if(typeof Z!="object"||!Z)return me;const qe={};for(const[ve,ot]of Object.entries(Z))ot===!0&&(qe[ve]=!0);return qe}}class U extends D{constructor(){const Z={enabled:!0,mode:"subwordSmart",showToolbar:"onHover",suppressSuggestions:!1,keepOnBlur:!1,fontFamily:"default"};super(62,"inlineSuggest",Z,{"editor.inlineSuggest.enabled":{type:"boolean",default:Z.enabled,description:w.localize(119,null)},"editor.inlineSuggest.showToolbar":{type:"string",default:Z.showToolbar,enum:["always","onHover","never"],enumDescriptions:[w.localize(120,null),w.localize(121,null),w.localize(122,null)],description:w.localize(123,null)},"editor.inlineSuggest.suppressSuggestions":{type:"boolean",default:Z.suppressSuggestions,description:w.localize(124,null)},"editor.inlineSuggest.fontFamily":{type:"string",default:Z.fontFamily,description:w.localize(125,null)}})}validate(Z){if(!Z||typeof Z!="object")return this.defaultValue;const me=Z;return{enabled:o(me.enabled,this.defaultValue.enabled),mode:f(me.mode,this.defaultValue.mode,["prefix","subword","subwordSmart"]),showToolbar:f(me.showToolbar,this.defaultValue.showToolbar,["always","onHover","never"]),suppressSuggestions:o(me.suppressSuggestions,this.defaultValue.suppressSuggestions),keepOnBlur:o(me.keepOnBlur,this.defaultValue.keepOnBlur),fontFamily:t.string(me.fontFamily,this.defaultValue.fontFamily)}}}class F extends D{constructor(){const Z={enabled:!1,showToolbar:"onHover",fontFamily:"default",keepOnBlur:!1,backgroundColoring:!1};super(63,"experimentalInlineEdit",Z,{"editor.experimentalInlineEdit.enabled":{type:"boolean",default:Z.enabled,description:w.localize(126,null)},"editor.experimentalInlineEdit.showToolbar":{type:"string",default:Z.showToolbar,enum:["always","onHover","never"],enumDescriptions:[w.localize(127,null),w.localize(128,null),w.localize(129,null)],description:w.localize(130,null)},"editor.experimentalInlineEdit.fontFamily":{type:"string",default:Z.fontFamily,description:w.localize(131,null)},"editor.experimentalInlineEdit.backgroundColoring":{type:"boolean",default:Z.backgroundColoring,description:w.localize(132,null)}})}validate(Z){if(!Z||typeof Z!="object")return this.defaultValue;const me=Z;return{enabled:o(me.enabled,this.defaultValue.enabled),showToolbar:f(me.showToolbar,this.defaultValue.showToolbar,["always","onHover","never"]),fontFamily:t.string(me.fontFamily,this.defaultValue.fontFamily),keepOnBlur:o(me.keepOnBlur,this.defaultValue.keepOnBlur),backgroundColoring:o(me.backgroundColoring,this.defaultValue.backgroundColoring)}}}class G extends D{constructor(){const Z={enabled:M.$4s.bracketPairColorizationOptions.enabled,independentColorPoolPerBracketType:M.$4s.bracketPairColorizationOptions.independentColorPoolPerBracketType};super(15,"bracketPairColorization",Z,{"editor.bracketPairColorization.enabled":{type:"boolean",default:Z.enabled,markdownDescription:w.localize(133,null,"`#workbench.colorCustomizations#`")},"editor.bracketPairColorization.independentColorPoolPerBracketType":{type:"boolean",default:Z.independentColorPoolPerBracketType,description:w.localize(134,null)}})}validate(Z){if(!Z||typeof Z!="object")return this.defaultValue;const me=Z;return{enabled:o(me.enabled,this.defaultValue.enabled),independentColorPoolPerBracketType:o(me.independentColorPoolPerBracketType,this.defaultValue.independentColorPoolPerBracketType)}}}class H extends D{constructor(){const Z={bracketPairs:!1,bracketPairsHorizontal:"active",highlightActiveBracketPair:!0,indentation:!0,highlightActiveIndentation:!0};super(16,"guides",Z,{"editor.guides.bracketPairs":{type:["boolean","string"],enum:[!0,"active",!1],enumDescriptions:[w.localize(135,null),w.localize(136,null),w.localize(137,null)],default:Z.bracketPairs,description:w.localize(138,null)},"editor.guides.bracketPairsHorizontal":{type:["boolean","string"],enum:[!0,"active",!1],enumDescriptions:[w.localize(139,null),w.localize(140,null),w.localize(141,null)],default:Z.bracketPairsHorizontal,description:w.localize(142,null)},"editor.guides.highlightActiveBracketPair":{type:"boolean",default:Z.highlightActiveBracketPair,description:w.localize(143,null)},"editor.guides.indentation":{type:"boolean",default:Z.indentation,description:w.localize(144,null)},"editor.guides.highlightActiveIndentation":{type:["boolean","string"],enum:[!0,"always",!1],enumDescriptions:[w.localize(145,null),w.localize(146,null),w.localize(147,null)],default:Z.highlightActiveIndentation,description:w.localize(148,null)}})}validate(Z){if(!Z||typeof Z!="object")return this.defaultValue;const me=Z;return{bracketPairs:ee(me.bracketPairs,this.defaultValue.bracketPairs,[!0,!1,"active"]),bracketPairsHorizontal:ee(me.bracketPairsHorizontal,this.defaultValue.bracketPairsHorizontal,[!0,!1,"active"]),highlightActiveBracketPair:o(me.highlightActiveBracketPair,this.defaultValue.highlightActiveBracketPair),indentation:o(me.indentation,this.defaultValue.indentation),highlightActiveIndentation:ee(me.highlightActiveIndentation,this.defaultValue.highlightActiveIndentation,[!0,!1,"always"])}}}function ee(X,Z,me){const qe=me.indexOf(X);return qe===-1?Z:me[qe]}class re extends D{constructor(){const Z={insertMode:"insert",filterGraceful:!0,snippetsPreventQuickSuggestions:!1,localityBonus:!1,shareSuggestSelections:!1,selectionMode:"always",showIcons:!0,showStatusBar:!1,preview:!1,previewMode:"subwordSmart",showInlineDetails:!0,showMethods:!0,showFunctions:!0,showConstructors:!0,showDeprecated:!0,matchOnWordStartOnly:!0,showFields:!0,showVariables:!0,showClasses:!0,showStructs:!0,showInterfaces:!0,showModules:!0,showProperties:!0,showEvents:!0,showOperators:!0,showUnits:!0,showValues:!0,showConstants:!0,showEnums:!0,showEnumMembers:!0,showKeywords:!0,showWords:!0,showColors:!0,showFiles:!0,showReferences:!0,showFolders:!0,showTypeParameters:!0,showSnippets:!0,showUsers:!0,showIssues:!0};super(118,"suggest",Z,{"editor.suggest.insertMode":{type:"string",enum:["insert","replace"],enumDescriptions:[w.localize(149,null),w.localize(150,null)],default:Z.insertMode,description:w.localize(151,null)},"editor.suggest.filterGraceful":{type:"boolean",default:Z.filterGraceful,description:w.localize(152,null)},"editor.suggest.localityBonus":{type:"boolean",default:Z.localityBonus,description:w.localize(153,null)},"editor.suggest.shareSuggestSelections":{type:"boolean",default:Z.shareSuggestSelections,markdownDescription:w.localize(154,null)},"editor.suggest.selectionMode":{type:"string",enum:["always","never","whenTriggerCharacter","whenQuickSuggestion"],enumDescriptions:[w.localize(155,null),w.localize(156,null),w.localize(157,null),w.localize(158,null)],default:Z.selectionMode,markdownDescription:w.localize(159,null)},"editor.suggest.snippetsPreventQuickSuggestions":{type:"boolean",default:Z.snippetsPreventQuickSuggestions,description:w.localize(160,null)},"editor.suggest.showIcons":{type:"boolean",default:Z.showIcons,description:w.localize(161,null)},"editor.suggest.showStatusBar":{type:"boolean",default:Z.showStatusBar,description:w.localize(162,null)},"editor.suggest.preview":{type:"boolean",default:Z.preview,description:w.localize(163,null)},"editor.suggest.showInlineDetails":{type:"boolean",default:Z.showInlineDetails,description:w.localize(164,null)},"editor.suggest.maxVisibleSuggestions":{type:"number",deprecationMessage:w.localize(165,null)},"editor.suggest.filteredTypes":{type:"object",deprecationMessage:w.localize(166,null)},"editor.suggest.showMethods":{type:"boolean",default:!0,markdownDescription:w.localize(167,null)},"editor.suggest.showFunctions":{type:"boolean",default:!0,markdownDescription:w.localize(168,null)},"editor.suggest.showConstructors":{type:"boolean",default:!0,markdownDescription:w.localize(169,null)},"editor.suggest.showDeprecated":{type:"boolean",default:!0,markdownDescription:w.localize(170,null)},"editor.suggest.matchOnWordStartOnly":{type:"boolean",default:!0,markdownDescription:w.localize(171,null)},"editor.suggest.showFields":{type:"boolean",default:!0,markdownDescription:w.localize(172,null)},"editor.suggest.showVariables":{type:"boolean",default:!0,markdownDescription:w.localize(173,null)},"editor.suggest.showClasses":{type:"boolean",default:!0,markdownDescription:w.localize(174,null)},"editor.suggest.showStructs":{type:"boolean",default:!0,markdownDescription:w.localize(175,null)},"editor.suggest.showInterfaces":{type:"boolean",default:!0,markdownDescription:w.localize(176,null)},"editor.suggest.showModules":{type:"boolean",default:!0,markdownDescription:w.localize(177,null)},"editor.suggest.showProperties":{type:"boolean",default:!0,markdownDescription:w.localize(178,null)},"editor.suggest.showEvents":{type:"boolean",default:!0,markdownDescription:w.localize(179,null)},"editor.suggest.showOperators":{type:"boolean",default:!0,markdownDescription:w.localize(180,null)},"editor.suggest.showUnits":{type:"boolean",default:!0,markdownDescription:w.localize(181,null)},"editor.suggest.showValues":{type:"boolean",default:!0,markdownDescription:w.localize(182,null)},"editor.suggest.showConstants":{type:"boolean",default:!0,markdownDescription:w.localize(183,null)},"editor.suggest.showEnums":{type:"boolean",default:!0,markdownDescription:w.localize(184,null)},"editor.suggest.showEnumMembers":{type:"boolean",default:!0,markdownDescription:w.localize(185,null)},"editor.suggest.showKeywords":{type:"boolean",default:!0,markdownDescription:w.localize(186,null)},"editor.suggest.showWords":{type:"boolean",default:!0,markdownDescription:w.localize(187,null)},"editor.suggest.showColors":{type:"boolean",default:!0,markdownDescription:w.localize(188,null)},"editor.suggest.showFiles":{type:"boolean",default:!0,markdownDescription:w.localize(189,null)},"editor.suggest.showReferences":{type:"boolean",default:!0,markdownDescription:w.localize(190,null)},"editor.suggest.showCustomcolors":{type:"boolean",default:!0,markdownDescription:w.localize(191,null)},"editor.suggest.showFolders":{type:"boolean",default:!0,markdownDescription:w.localize(192,null)},"editor.suggest.showTypeParameters":{type:"boolean",default:!0,markdownDescription:w.localize(193,null)},"editor.suggest.showSnippets":{type:"boolean",default:!0,markdownDescription:w.localize(194,null)},"editor.suggest.showUsers":{type:"boolean",default:!0,markdownDescription:w.localize(195,null)},"editor.suggest.showIssues":{type:"boolean",default:!0,markdownDescription:w.localize(196,null)}})}validate(Z){if(!Z||typeof Z!="object")return this.defaultValue;const me=Z;return{insertMode:f(me.insertMode,this.defaultValue.insertMode,["insert","replace"]),filterGraceful:o(me.filterGraceful,this.defaultValue.filterGraceful),snippetsPreventQuickSuggestions:o(me.snippetsPreventQuickSuggestions,this.defaultValue.filterGraceful),localityBonus:o(me.localityBonus,this.defaultValue.localityBonus),shareSuggestSelections:o(me.shareSuggestSelections,this.defaultValue.shareSuggestSelections),selectionMode:f(me.selectionMode,this.defaultValue.selectionMode,["always","never","whenQuickSuggestion","whenTriggerCharacter"]),showIcons:o(me.showIcons,this.defaultValue.showIcons),showStatusBar:o(me.showStatusBar,this.defaultValue.showStatusBar),preview:o(me.preview,this.defaultValue.preview),previewMode:f(me.previewMode,this.defaultValue.previewMode,["prefix","subword","subwordSmart"]),showInlineDetails:o(me.showInlineDetails,this.defaultValue.showInlineDetails),showMethods:o(me.showMethods,this.defaultValue.showMethods),showFunctions:o(me.showFunctions,this.defaultValue.showFunctions),showConstructors:o(me.showConstructors,this.defaultValue.showConstructors),showDeprecated:o(me.showDeprecated,this.defaultValue.showDeprecated),matchOnWordStartOnly:o(me.matchOnWordStartOnly,this.defaultValue.matchOnWordStartOnly),showFields:o(me.showFields,this.defaultValue.showFields),showVariables:o(me.showVariables,this.defaultValue.showVariables),showClasses:o(me.showClasses,this.defaultValue.showClasses),showStructs:o(me.showStructs,this.defaultValue.showStructs),showInterfaces:o(me.showInterfaces,this.defaultValue.showInterfaces),showModules:o(me.showModules,this.defaultValue.showModules),showProperties:o(me.showProperties,this.defaultValue.showProperties),showEvents:o(me.showEvents,this.defaultValue.showEvents),showOperators:o(me.showOperators,this.defaultValue.showOperators),showUnits:o(me.showUnits,this.defaultValue.showUnits),showValues:o(me.showValues,this.defaultValue.showValues),showConstants:o(me.showConstants,this.defaultValue.showConstants),showEnums:o(me.showEnums,this.defaultValue.showEnums),showEnumMembers:o(me.showEnumMembers,this.defaultValue.showEnumMembers),showKeywords:o(me.showKeywords,this.defaultValue.showKeywords),showWords:o(me.showWords,this.defaultValue.showWords),showColors:o(me.showColors,this.defaultValue.showColors),showFiles:o(me.showFiles,this.defaultValue.showFiles),showReferences:o(me.showReferences,this.defaultValue.showReferences),showFolders:o(me.showFolders,this.defaultValue.showFolders),showTypeParameters:o(me.showTypeParameters,this.defaultValue.showTypeParameters),showSnippets:o(me.showSnippets,this.defaultValue.showSnippets),showUsers:o(me.showUsers,this.defaultValue.showUsers),showIssues:o(me.showIssues,this.defaultValue.showIssues)}}}class Oe extends D{constructor(){super(113,"smartSelect",{selectLeadingAndTrailingWhitespace:!0,selectSubwords:!0},{"editor.smartSelect.selectLeadingAndTrailingWhitespace":{description:w.localize(197,null),default:!0,type:"boolean"},"editor.smartSelect.selectSubwords":{description:w.localize(198,null),default:!0,type:"boolean"}})}validate(Z){return!Z||typeof Z!="object"?this.defaultValue:{selectLeadingAndTrailingWhitespace:o(Z.selectLeadingAndTrailingWhitespace,this.defaultValue.selectLeadingAndTrailingWhitespace),selectSubwords:o(Z.selectSubwords,this.defaultValue.selectSubwords)}}}class Be extends D{constructor(){const Z=[];super(130,"wordSegmenterLocales",Z,{anyOf:[{description:w.localize(199,null),type:"string"},{description:w.localize(200,null),type:"array",items:{type:"string"}}]})}validate(Z){if(typeof Z=="string"&&(Z=[Z]),Array.isArray(Z)){const me=[];for(const qe of Z)if(typeof qe=="string")try{Intl.Segmenter.supportedLocalesOf(qe).length>0&&me.push(qe)}catch{}return me}return this.defaultValue}}var Ge;(function(X){X[X.None=0]="None",X[X.Same=1]="Same",X[X.Indent=2]="Indent",X[X.DeepIndent=3]="DeepIndent"})(Ge||(e.WrappingIndent=Ge={}));class _e extends D{constructor(){super(138,"wrappingIndent",1,{"editor.wrappingIndent":{type:"string",enum:["none","same","indent","deepIndent"],enumDescriptions:[w.localize(201,null),w.localize(202,null),w.localize(203,null),w.localize(204,null)],description:w.localize(205,null),default:"same"}})}validate(Z){switch(Z){case"none":return 0;case"same":return 1;case"indent":return 2;case"deepIndent":return 3}return 1}compute(Z,me,qe){return me.get(2)===2?0:qe}}class xe extends m{constructor(){super(146)}compute(Z,me,qe){const ve=me.get(145);return{isDominatedByLongLines:Z.isDominatedByLongLines,isWordWrapMinified:ve.isWordWrapMinified,isViewportWrapping:ve.isViewportWrapping,wrappingColumn:ve.wrappingColumn}}}class et extends D{constructor(){const Z={enabled:!0,showDropSelector:"afterDrop"};super(36,"dropIntoEditor",Z,{"editor.dropIntoEditor.enabled":{type:"boolean",default:Z.enabled,markdownDescription:w.localize(206,null)},"editor.dropIntoEditor.showDropSelector":{type:"string",markdownDescription:w.localize(207,null),enum:["afterDrop","never"],enumDescriptions:[w.localize(208,null),w.localize(209,null)],default:"afterDrop"}})}validate(Z){if(!Z||typeof Z!="object")return this.defaultValue;const me=Z;return{enabled:o(me.enabled,this.defaultValue.enabled),showDropSelector:f(me.showDropSelector,this.defaultValue.showDropSelector,["afterDrop","never"])}}}class tt extends D{constructor(){const Z={enabled:!0,showPasteSelector:"afterPaste"};super(85,"pasteAs",Z,{"editor.pasteAs.enabled":{type:"boolean",default:Z.enabled,markdownDescription:w.localize(210,null)},"editor.pasteAs.showPasteSelector":{type:"string",markdownDescription:w.localize(211,null),enum:["afterPaste","never"],enumDescriptions:[w.localize(212,null),w.localize(213,null)],default:"afterPaste"}})}validate(Z){if(!Z||typeof Z!="object")return this.defaultValue;const me=Z;return{enabled:o(me.enabled,this.defaultValue.enabled),showPasteSelector:f(me.showPasteSelector,this.defaultValue.showPasteSelector,["afterPaste","never"])}}}const it="Consolas, 'Courier New', monospace",at="Menlo, Monaco, 'Courier New', monospace",gt="'Droid Sans Mono', 'monospace', monospace";e.EDITOR_FONT_DEFAULTS={fontFamily:R.$j?at:R.$k?gt:it,fontWeight:"normal",fontSize:R.$j?12:14,lineHeight:0,letterSpacing:0},e.editorOptionsRegistry=[];function Ue(X){return e.editorOptionsRegistry[X.id]=X,X}var st;(function(X){X[X.acceptSuggestionOnCommitCharacter=0]="acceptSuggestionOnCommitCharacter",X[X.acceptSuggestionOnEnter=1]="acceptSuggestionOnEnter",X[X.accessibilitySupport=2]="accessibilitySupport",X[X.accessibilityPageSize=3]="accessibilityPageSize",X[X.ariaLabel=4]="ariaLabel",X[X.ariaRequired=5]="ariaRequired",X[X.autoClosingBrackets=6]="autoClosingBrackets",X[X.autoClosingComments=7]="autoClosingComments",X[X.screenReaderAnnounceInlineSuggestion=8]="screenReaderAnnounceInlineSuggestion",X[X.autoClosingDelete=9]="autoClosingDelete",X[X.autoClosingOvertype=10]="autoClosingOvertype",X[X.autoClosingQuotes=11]="autoClosingQuotes",X[X.autoIndent=12]="autoIndent",X[X.automaticLayout=13]="automaticLayout",X[X.autoSurround=14]="autoSurround",X[X.bracketPairColorization=15]="bracketPairColorization",X[X.guides=16]="guides",X[X.codeLens=17]="codeLens",X[X.codeLensFontFamily=18]="codeLensFontFamily",X[X.codeLensFontSize=19]="codeLensFontSize",X[X.colorDecorators=20]="colorDecorators",X[X.colorDecoratorsLimit=21]="colorDecoratorsLimit",X[X.columnSelection=22]="columnSelection",X[X.comments=23]="comments",X[X.contextmenu=24]="contextmenu",X[X.copyWithSyntaxHighlighting=25]="copyWithSyntaxHighlighting",X[X.cursorBlinking=26]="cursorBlinking",X[X.cursorSmoothCaretAnimation=27]="cursorSmoothCaretAnimation",X[X.cursorStyle=28]="cursorStyle",X[X.cursorSurroundingLines=29]="cursorSurroundingLines",X[X.cursorSurroundingLinesStyle=30]="cursorSurroundingLinesStyle",X[X.cursorWidth=31]="cursorWidth",X[X.disableLayerHinting=32]="disableLayerHinting",X[X.disableMonospaceOptimizations=33]="disableMonospaceOptimizations",X[X.domReadOnly=34]="domReadOnly",X[X.dragAndDrop=35]="dragAndDrop",X[X.dropIntoEditor=36]="dropIntoEditor",X[X.emptySelectionClipboard=37]="emptySelectionClipboard",X[X.experimentalWhitespaceRendering=38]="experimentalWhitespaceRendering",X[X.extraEditorClassName=39]="extraEditorClassName",X[X.fastScrollSensitivity=40]="fastScrollSensitivity",X[X.find=41]="find",X[X.fixedOverflowWidgets=42]="fixedOverflowWidgets",X[X.folding=43]="folding",X[X.foldingStrategy=44]="foldingStrategy",X[X.foldingHighlight=45]="foldingHighlight",X[X.foldingImportsByDefault=46]="foldingImportsByDefault",X[X.foldingMaximumRegions=47]="foldingMaximumRegions",X[X.unfoldOnClickAfterEndOfLine=48]="unfoldOnClickAfterEndOfLine",X[X.fontFamily=49]="fontFamily",X[X.fontInfo=50]="fontInfo",X[X.fontLigatures=51]="fontLigatures",X[X.fontSize=52]="fontSize",X[X.fontWeight=53]="fontWeight",X[X.fontVariations=54]="fontVariations",X[X.formatOnPaste=55]="formatOnPaste",X[X.formatOnType=56]="formatOnType",X[X.glyphMargin=57]="glyphMargin",X[X.gotoLocation=58]="gotoLocation",X[X.hideCursorInOverviewRuler=59]="hideCursorInOverviewRuler",X[X.hover=60]="hover",X[X.inDiffEditor=61]="inDiffEditor",X[X.inlineSuggest=62]="inlineSuggest",X[X.inlineEdit=63]="inlineEdit",X[X.letterSpacing=64]="letterSpacing",X[X.lightbulb=65]="lightbulb",X[X.lineDecorationsWidth=66]="lineDecorationsWidth",X[X.lineHeight=67]="lineHeight",X[X.lineNumbers=68]="lineNumbers",X[X.lineNumbersMinChars=69]="lineNumbersMinChars",X[X.linkedEditing=70]="linkedEditing",X[X.links=71]="links",X[X.matchBrackets=72]="matchBrackets",X[X.minimap=73]="minimap",X[X.mouseStyle=74]="mouseStyle",X[X.mouseWheelScrollSensitivity=75]="mouseWheelScrollSensitivity",X[X.mouseWheelZoom=76]="mouseWheelZoom",X[X.multiCursorMergeOverlapping=77]="multiCursorMergeOverlapping",X[X.multiCursorModifier=78]="multiCursorModifier",X[X.multiCursorPaste=79]="multiCursorPaste",X[X.multiCursorLimit=80]="multiCursorLimit",X[X.occurrencesHighlight=81]="occurrencesHighlight",X[X.overviewRulerBorder=82]="overviewRulerBorder",X[X.overviewRulerLanes=83]="overviewRulerLanes",X[X.padding=84]="padding",X[X.pasteAs=85]="pasteAs",X[X.parameterHints=86]="parameterHints",X[X.peekWidgetDefaultFocus=87]="peekWidgetDefaultFocus",X[X.definitionLinkOpensInPeek=88]="definitionLinkOpensInPeek",X[X.quickSuggestions=89]="quickSuggestions",X[X.quickSuggestionsDelay=90]="quickSuggestionsDelay",X[X.readOnly=91]="readOnly",X[X.readOnlyMessage=92]="readOnlyMessage",X[X.renameOnType=93]="renameOnType",X[X.renderControlCharacters=94]="renderControlCharacters",X[X.renderFinalNewline=95]="renderFinalNewline",X[X.renderLineHighlight=96]="renderLineHighlight",X[X.renderLineHighlightOnlyWhenFocus=97]="renderLineHighlightOnlyWhenFocus",X[X.renderValidationDecorations=98]="renderValidationDecorations",X[X.renderWhitespace=99]="renderWhitespace",X[X.revealHorizontalRightPadding=100]="revealHorizontalRightPadding",X[X.roundedSelection=101]="roundedSelection",X[X.rulers=102]="rulers",X[X.scrollbar=103]="scrollbar",X[X.scrollBeyondLastColumn=104]="scrollBeyondLastColumn",X[X.scrollBeyondLastLine=105]="scrollBeyondLastLine",X[X.scrollPredominantAxis=106]="scrollPredominantAxis",X[X.selectionClipboard=107]="selectionClipboard",X[X.selectionHighlight=108]="selectionHighlight",X[X.selectOnLineNumbers=109]="selectOnLineNumbers",X[X.showFoldingControls=110]="showFoldingControls",X[X.showUnused=111]="showUnused",X[X.snippetSuggestions=112]="snippetSuggestions",X[X.smartSelect=113]="smartSelect",X[X.smoothScrolling=114]="smoothScrolling",X[X.stickyScroll=115]="stickyScroll",X[X.stickyTabStops=116]="stickyTabStops",X[X.stopRenderingLineAfter=117]="stopRenderingLineAfter",X[X.suggest=118]="suggest",X[X.suggestFontSize=119]="suggestFontSize",X[X.suggestLineHeight=120]="suggestLineHeight",X[X.suggestOnTriggerCharacters=121]="suggestOnTriggerCharacters",X[X.suggestSelection=122]="suggestSelection",X[X.tabCompletion=123]="tabCompletion",X[X.tabIndex=124]="tabIndex",X[X.unicodeHighlighting=125]="unicodeHighlighting",X[X.unusualLineTerminators=126]="unusualLineTerminators",X[X.useShadowDOM=127]="useShadowDOM",X[X.useTabStops=128]="useTabStops",X[X.wordBreak=129]="wordBreak",X[X.wordSegmenterLocales=130]="wordSegmenterLocales",X[X.wordSeparators=131]="wordSeparators",X[X.wordWrap=132]="wordWrap",X[X.wordWrapBreakAfterCharacters=133]="wordWrapBreakAfterCharacters",X[X.wordWrapBreakBeforeCharacters=134]="wordWrapBreakBeforeCharacters",X[X.wordWrapColumn=135]="wordWrapColumn",X[X.wordWrapOverride1=136]="wordWrapOverride1",X[X.wordWrapOverride2=137]="wordWrapOverride2",X[X.wrappingIndent=138]="wrappingIndent",X[X.wrappingStrategy=139]="wrappingStrategy",X[X.showDeprecated=140]="showDeprecated",X[X.inlayHints=141]="inlayHints",X[X.editorClassName=142]="editorClassName",X[X.pixelRatio=143]="pixelRatio",X[X.tabFocusMode=144]="tabFocusMode",X[X.layoutInfo=145]="layoutInfo",X[X.wrappingInfo=146]="wrappingInfo",X[X.defaultColorDecorators=147]="defaultColorDecorators",X[X.colorDecoratorsActivatedOn=148]="colorDecoratorsActivatedOn",X[X.inlineCompletionsAccessibilityVerbose=149]="inlineCompletionsAccessibilityVerbose"})(st||(e.EditorOption=st={})),e.EditorOptions={acceptSuggestionOnCommitCharacter:Ue(new s(0,"acceptSuggestionOnCommitCharacter",!0,{markdownDescription:w.localize(214,null)})),acceptSuggestionOnEnter:Ue(new a(1,"acceptSuggestionOnEnter","on",["on","smart","off"],{markdownEnumDescriptions:["",w.localize(215,null),""],markdownDescription:w.localize(216,null)})),accessibilitySupport:Ue(new S),accessibilityPageSize:Ue(new n(3,"accessibilityPageSize",10,1,1073741824,{description:w.localize(217,null),tags:["accessibility"]})),ariaLabel:Ue(new t(4,"ariaLabel",w.localize(218,null))),ariaRequired:Ue(new s(5,"ariaRequired",!1,void 0)),screenReaderAnnounceInlineSuggestion:Ue(new s(8,"screenReaderAnnounceInlineSuggestion",!0,{description:w.localize(219,null),tags:["accessibility"]})),autoClosingBrackets:Ue(new a(6,"autoClosingBrackets","languageDefined",["always","languageDefined","beforeWhitespace","never"],{enumDescriptions:["",w.localize(220,null),w.localize(221,null),""],description:w.localize(222,null)})),autoClosingComments:Ue(new a(7,"autoClosingComments","languageDefined",["always","languageDefined","beforeWhitespace","never"],{enumDescriptions:["",w.localize(223,null),w.localize(224,null),""],description:w.localize(225,null)})),autoClosingDelete:Ue(new a(9,"autoClosingDelete","auto",["always","auto","never"],{enumDescriptions:["",w.localize(226,null),""],description:w.localize(227,null)})),autoClosingOvertype:Ue(new a(10,"autoClosingOvertype","auto",["always","auto","never"],{enumDescriptions:["",w.localize(228,null),""],description:w.localize(229,null)})),autoClosingQuotes:Ue(new a(11,"autoClosingQuotes","languageDefined",["always","languageDefined","beforeWhitespace","never"],{enumDescriptions:["",w.localize(230,null),w.localize(231,null),""],description:w.localize(232,null)})),autoIndent:Ue(new $(12,"autoIndent",4,"full",["none","keep","brackets","advanced","full"],u,{enumDescriptions:[w.localize(233,null),w.localize(234,null),w.localize(235,null),w.localize(236,null),w.localize(237,null)],description:w.localize(238,null)})),automaticLayout:Ue(new s(13,"automaticLayout",!1)),autoSurround:Ue(new a(14,"autoSurround","languageDefined",["languageDefined","quotes","brackets","never"],{enumDescriptions:[w.localize(239,null),w.localize(240,null),w.localize(241,null),""],description:w.localize(242,null)})),bracketPairColorization:Ue(new G),bracketPairGuides:Ue(new H),stickyTabStops:Ue(new s(116,"stickyTabStops",!1,{description:w.localize(243,null)})),codeLens:Ue(new s(17,"codeLens",!0,{description:w.localize(244,null)})),codeLensFontFamily:Ue(new t(18,"codeLensFontFamily","",{description:w.localize(245,null)})),codeLensFontSize:Ue(new n(19,"codeLensFontSize",0,0,100,{type:"number",default:0,minimum:0,maximum:100,markdownDescription:w.localize(246,null)})),colorDecorators:Ue(new s(20,"colorDecorators",!0,{description:w.localize(247,null)})),colorDecoratorActivatedOn:Ue(new a(148,"colorDecoratorsActivatedOn","clickAndHover",["clickAndHover","hover","click"],{enumDescriptions:[w.localize(248,null),w.localize(249,null),w.localize(250,null)],description:w.localize(251,null)})),colorDecoratorsLimit:Ue(new n(21,"colorDecoratorsLimit",500,1,1e6,{markdownDescription:w.localize(252,null)})),columnSelection:Ue(new s(22,"columnSelection",!1,{description:w.localize(253,null)})),comments:Ue(new h),contextmenu:Ue(new s(24,"contextmenu",!0)),copyWithSyntaxHighlighting:Ue(new s(25,"copyWithSyntaxHighlighting",!0,{description:w.localize(254,null)})),cursorBlinking:Ue(new $(26,"cursorBlinking",1,"blink",["blink","smooth","phase","expand","solid"],g,{description:w.localize(255,null)})),cursorSmoothCaretAnimation:Ue(new a(27,"cursorSmoothCaretAnimation","off",["off","explicit","on"],{enumDescriptions:[w.localize(256,null),w.localize(257,null),w.localize(258,null)],description:w.localize(259,null)})),cursorStyle:Ue(new $(28,"cursorStyle",k.Line,"line",["line","block","underline","line-thin","block-outline","underline-thin"],C,{description:w.localize(260,null)})),cursorSurroundingLines:Ue(new n(29,"cursorSurroundingLines",0,0,1073741824,{description:w.localize(261,null)})),cursorSurroundingLinesStyle:Ue(new a(30,"cursorSurroundingLinesStyle","default",["default","all"],{enumDescriptions:[w.localize(262,null),w.localize(263,null)],markdownDescription:w.localize(264,null)})),cursorWidth:Ue(new n(31,"cursorWidth",0,0,1073741824,{markdownDescription:w.localize(265,null)})),disableLayerHinting:Ue(new s(32,"disableLayerHinting",!1)),disableMonospaceOptimizations:Ue(new s(33,"disableMonospaceOptimizations",!1)),domReadOnly:Ue(new s(34,"domReadOnly",!1)),dragAndDrop:Ue(new s(35,"dragAndDrop",!0,{description:w.localize(266,null)})),emptySelectionClipboard:Ue(new W),dropIntoEditor:Ue(new et),stickyScroll:Ue(new Ne),experimentalWhitespaceRendering:Ue(new a(38,"experimentalWhitespaceRendering","svg",["svg","font","off"],{enumDescriptions:[w.localize(267,null),w.localize(268,null),w.localize(269,null)],description:w.localize(270,null)})),extraEditorClassName:Ue(new t(39,"extraEditorClassName","")),fastScrollSensitivity:Ue(new l(40,"fastScrollSensitivity",5,X=>X<=0?5:X,{markdownDescription:w.localize(271,null)})),find:Ue(new V),fixedOverflowWidgets:Ue(new s(42,"fixedOverflowWidgets",!1)),folding:Ue(new s(43,"folding",!0,{description:w.localize(272,null)})),foldingStrategy:Ue(new a(44,"foldingStrategy","auto",["auto","indentation"],{enumDescriptions:[w.localize(273,null),w.localize(274,null)],description:w.localize(275,null)})),foldingHighlight:Ue(new s(45,"foldingHighlight",!0,{description:w.localize(276,null)})),foldingImportsByDefault:Ue(new s(46,"foldingImportsByDefault",!1,{description:w.localize(277,null)})),foldingMaximumRegions:Ue(new n(47,"foldingMaximumRegions",5e3,10,65e3,{description:w.localize(278,null)})),unfoldOnClickAfterEndOfLine:Ue(new s(48,"unfoldOnClickAfterEndOfLine",!1,{description:w.localize(279,null)})),fontFamily:Ue(new t(49,"fontFamily",e.EDITOR_FONT_DEFAULTS.fontFamily,{description:w.localize(280,null)})),fontInfo:Ue(new j),fontLigatures2:Ue(new q),fontSize:Ue(new K),fontWeight:Ue(new ie),fontVariations:Ue(new N),formatOnPaste:Ue(new s(55,"formatOnPaste",!1,{description:w.localize(281,null)})),formatOnType:Ue(new s(56,"formatOnType",!1,{description:w.localize(282,null)})),glyphMargin:Ue(new s(57,"glyphMargin",!0,{description:w.localize(283,null)})),gotoLocation:Ue(new ce),hideCursorInOverviewRuler:Ue(new s(59,"hideCursorInOverviewRuler",!1,{description:w.localize(284,null)})),hover:Ue(new ye),inDiffEditor:Ue(new s(61,"inDiffEditor",!1)),letterSpacing:Ue(new l(64,"letterSpacing",e.EDITOR_FONT_DEFAULTS.letterSpacing,X=>l.clamp(X,-5,20),{description:w.localize(285,null)})),lightbulb:Ue(new ae),lineDecorationsWidth:Ue(new z),lineHeight:Ue(new x),lineNumbers:Ue(new he),lineNumbersMinChars:Ue(new n(69,"lineNumbersMinChars",5,1,300)),linkedEditing:Ue(new s(70,"linkedEditing",!1,{description:w.localize(286,null)})),links:Ue(new s(71,"links",!0,{description:w.localize(287,null)})),matchBrackets:Ue(new a(72,"matchBrackets","always",["always","near","never"],{description:w.localize(288,null)})),minimap:Ue(new be),mouseStyle:Ue(new a(74,"mouseStyle","text",["text","default","copy"])),mouseWheelScrollSensitivity:Ue(new l(75,"mouseWheelScrollSensitivity",1,X=>X===0?1:X,{markdownDescription:w.localize(289,null)})),mouseWheelZoom:Ue(new s(76,"mouseWheelZoom",!1,{markdownDescription:R.$j?w.localize(290,null):w.localize(291,null)})),multiCursorMergeOverlapping:Ue(new s(77,"multiCursorMergeOverlapping",!0,{description:w.localize(292,null)})),multiCursorModifier:Ue(new $(78,"multiCursorModifier","altKey","alt",["ctrlCmd","alt"],Fe,{markdownEnumDescriptions:[w.localize(293,null),w.localize(294,null)],markdownDescription:w.localize(295,null)})),multiCursorPaste:Ue(new a(79,"multiCursorPaste","spread",["spread","full"],{markdownEnumDescriptions:[w.localize(296,null),w.localize(297,null)],markdownDescription:w.localize(298,null)})),multiCursorLimit:Ue(new n(80,"multiCursorLimit",1e4,1,1e5,{markdownDescription:w.localize(299,null)})),occurrencesHighlight:Ue(new a(81,"occurrencesHighlight","singleFile",["off","singleFile","multiFile"],{markdownEnumDescriptions:[w.localize(300,null),w.localize(301,null),w.localize(302,null)],markdownDescription:w.localize(303,null)})),overviewRulerBorder:Ue(new s(82,"overviewRulerBorder",!0,{description:w.localize(304,null)})),overviewRulerLanes:Ue(new n(83,"overviewRulerLanes",3,0,3)),padding:Ue(new De),pasteAs:Ue(new tt),parameterHints:Ue(new we),peekWidgetDefaultFocus:Ue(new a(87,"peekWidgetDefaultFocus","tree",["tree","editor"],{enumDescriptions:[w.localize(305,null),w.localize(306,null)],description:w.localize(307,null)})),definitionLinkOpensInPeek:Ue(new s(88,"definitionLinkOpensInPeek",!1,{description:w.localize(308,null)})),quickSuggestions:Ue(new Q),quickSuggestionsDelay:Ue(new n(90,"quickSuggestionsDelay",10,0,1073741824,{description:w.localize(309,null)})),readOnly:Ue(new s(91,"readOnly",!1)),readOnlyMessage:Ue(new de),renameOnType:Ue(new s(93,"renameOnType",!1,{description:w.localize(310,null),markdownDeprecationMessage:w.localize(311,null)})),renderControlCharacters:Ue(new s(94,"renderControlCharacters",!0,{description:w.localize(312,null),restricted:!0})),renderFinalNewline:Ue(new a(95,"renderFinalNewline",R.$k?"dimmed":"on",["off","on","dimmed"],{description:w.localize(313,null)})),renderLineHighlight:Ue(new a(96,"renderLineHighlight","line",["none","gutter","line","all"],{enumDescriptions:["","","",w.localize(314,null)],description:w.localize(315,null)})),renderLineHighlightOnlyWhenFocus:Ue(new s(97,"renderLineHighlightOnlyWhenFocus",!1,{description:w.localize(316,null)})),renderValidationDecorations:Ue(new a(98,"renderValidationDecorations","editable",["editable","on","off"])),renderWhitespace:Ue(new a(99,"renderWhitespace","selection",["none","boundary","selection","trailing","all"],{enumDescriptions:["",w.localize(317,null),w.localize(318,null),w.localize(319,null),""],description:w.localize(320,null)})),revealHorizontalRightPadding:Ue(new n(100,"revealHorizontalRightPadding",15,0,1e3)),roundedSelection:Ue(new s(101,"roundedSelection",!0,{description:w.localize(321,null)})),rulers:Ue(new Me),scrollbar:Ue(new Re),scrollBeyondLastColumn:Ue(new n(104,"scrollBeyondLastColumn",4,0,1073741824,{description:w.localize(322,null)})),scrollBeyondLastLine:Ue(new s(105,"scrollBeyondLastLine",!0,{description:w.localize(323,null)})),scrollPredominantAxis:Ue(new s(106,"scrollPredominantAxis",!0,{description:w.localize(324,null)})),selectionClipboard:Ue(new s(107,"selectionClipboard",!0,{description:w.localize(325,null),included:R.$k})),selectionHighlight:Ue(new s(108,"selectionHighlight",!0,{description:w.localize(326,null)})),selectOnLineNumbers:Ue(new s(109,"selectOnLineNumbers",!0)),showFoldingControls:Ue(new a(110,"showFoldingControls","mouseover",["always","never","mouseover"],{enumDescriptions:[w.localize(327,null),w.localize(328,null),w.localize(329,null)],description:w.localize(330,null)})),showUnused:Ue(new s(111,"showUnused",!0,{description:w.localize(331,null)})),showDeprecated:Ue(new s(140,"showDeprecated",!0,{description:w.localize(332,null)})),inlayHints:Ue(new ne),snippetSuggestions:Ue(new a(112,"snippetSuggestions","inline",["top","bottom","inline","none"],{enumDescriptions:[w.localize(333,null),w.localize(334,null),w.localize(335,null),w.localize(336,null)],description:w.localize(337,null)})),smartSelect:Ue(new Oe),smoothScrolling:Ue(new s(114,"smoothScrolling",!1,{description:w.localize(338,null)})),stopRenderingLineAfter:Ue(new n(117,"stopRenderingLineAfter",1e4,-1,1073741824)),suggest:Ue(new re),inlineSuggest:Ue(new U),inlineEdit:Ue(new F),inlineCompletionsAccessibilityVerbose:Ue(new s(149,"inlineCompletionsAccessibilityVerbose",!1,{description:w.localize(339,null)})),suggestFontSize:Ue(new n(119,"suggestFontSize",0,0,1e3,{markdownDescription:w.localize(340,null,"`0`","`#editor.fontSize#`")})),suggestLineHeight:Ue(new n(120,"suggestLineHeight",0,0,1e3,{markdownDescription:w.localize(341,null,"`0`","`#editor.lineHeight#`")})),suggestOnTriggerCharacters:Ue(new s(121,"suggestOnTriggerCharacters",!0,{description:w.localize(342,null)})),suggestSelection:Ue(new a(122,"suggestSelection","first",["first","recentlyUsed","recentlyUsedByPrefix"],{markdownEnumDescriptions:[w.localize(343,null),w.localize(344,null),w.localize(345,null)],description:w.localize(346,null)})),tabCompletion:Ue(new a(123,"tabCompletion","off",["on","off","onlySnippets"],{enumDescriptions:[w.localize(347,null),w.localize(348,null),w.localize(349,null)],description:w.localize(350,null)})),tabIndex:Ue(new n(124,"tabIndex",0,-1,1073741824)),unicodeHighlight:Ue(new je),unusualLineTerminators:Ue(new a(126,"unusualLineTerminators","prompt",["auto","off","prompt"],{enumDescriptions:[w.localize(351,null),w.localize(352,null),w.localize(353,null)],description:w.localize(354,null)})),useShadowDOM:Ue(new s(127,"useShadowDOM",!0)),useTabStops:Ue(new s(128,"useTabStops",!0,{description:w.localize(355,null)})),wordBreak:Ue(new a(129,"wordBreak","normal",["normal","keepAll"],{markdownEnumDescriptions:[w.localize(356,null),w.localize(357,null)],description:w.localize(358,null)})),wordSegmenterLocales:Ue(new Be),wordSeparators:Ue(new t(131,"wordSeparators",A.$5s,{description:w.localize(359,null)})),wordWrap:Ue(new a(132,"wordWrap","off",["off","on","wordWrapColumn","bounded"],{markdownEnumDescriptions:[w.localize(360,null),w.localize(361,null),w.localize(362,null),w.localize(363,null)],description:w.localize(364,null)})),wordWrapBreakAfterCharacters:Ue(new t(133,"wordWrapBreakAfterCharacters"," 	})]?|/&.,;\xA2\xB0\u2032\u2033\u2030\u2103\u3001\u3002\uFF61\uFF64\uFFE0\uFF0C\uFF0E\uFF1A\uFF1B\uFF1F\uFF01\uFF05\u30FB\uFF65\u309D\u309E\u30FD\u30FE\u30FC\u30A1\u30A3\u30A5\u30A7\u30A9\u30C3\u30E3\u30E5\u30E7\u30EE\u30F5\u30F6\u3041\u3043\u3045\u3047\u3049\u3063\u3083\u3085\u3087\u308E\u3095\u3096\u31F0\u31F1\u31F2\u31F3\u31F4\u31F5\u31F6\u31F7\u31F8\u31F9\u31FA\u31FB\u31FC\u31FD\u31FE\u31FF\u3005\u303B\uFF67\uFF68\uFF69\uFF6A\uFF6B\uFF6C\uFF6D\uFF6E\uFF6F\uFF70\u201D\u3009\u300B\u300D\u300F\u3011\u3015\uFF09\uFF3D\uFF5D\uFF63")),wordWrapBreakBeforeCharacters:Ue(new t(134,"wordWrapBreakBeforeCharacters","([{\u2018\u201C\u3008\u300A\u300C\u300E\u3010\u3014\uFF08\uFF3B\uFF5B\uFF62\xA3\xA5\uFF04\uFFE1\uFFE5+\uFF0B")),wordWrapColumn:Ue(new n(135,"wordWrapColumn",80,1,1073741824,{markdownDescription:w.localize(365,null)})),wordWrapOverride1:Ue(new a(136,"wordWrapOverride1","inherit",["off","on","inherit"])),wordWrapOverride2:Ue(new a(137,"wordWrapOverride2","inherit",["off","on","inherit"])),editorClassName:Ue(new P),defaultColorDecorators:Ue(new s(147,"defaultColorDecorators",!1,{markdownDescription:w.localize(366,null)})),pixelRatio:Ue(new ge),tabFocusMode:Ue(new s(144,"tabFocusMode",!1,{markdownDescription:w.localize(367,null)})),layoutInfo:Ue(new fe),wrappingInfo:Ue(new xe),wrappingIndent:Ue(new _e),wrappingStrategy:Ue(new $e)}}),define(Ie[160],Pe([9,10]),function(le,e){return le.create("vs/platform/configuration/common/configurationRegistry",e)}),define(Ie[161],Pe([9,10]),function(le,e){return le.create("vs/platform/contextkey/common/contextkey",e)}),define(Ie[162],Pe([9,10]),function(le,e){return le.create("vs/platform/contextkey/common/scanner",e)}),define(Ie[163],Pe([9,10]),function(le,e){return le.create("vs/platform/extensionManagement/common/extensionManagement",e)}),define(Ie[164],Pe([9,10]),function(le,e){return le.create("vs/platform/extensions/common/extensionValidator",e)}),define(Ie[165],Pe([9,10]),function(le,e){return le.create("vs/platform/files/common/files",e)}),define(Ie[166],Pe([9,10]),function(le,e){return le.create("vs/platform/log/common/log",e)}),define(Ie[167],Pe([9,10]),function(le,e){return le.create("vs/platform/markers/common/markers",e)}),define(Ie[168],Pe([9,10]),function(le,e){return le.create("vs/platform/request/common/request",e)}),define(Ie[169],Pe([9,10]),function(le,e){return le.create("vs/platform/theme/common/iconRegistry",e)}),define(Ie[170],Pe([9,10]),function(le,e){return le.create("vs/platform/userDataProfile/common/userDataProfile",e)}),define(Ie[171],Pe([9,10]),function(le,e){return le.create("vs/platform/workspace/common/workspace",e)}),define(Ie[172],Pe([9,10]),function(le,e){return le.create("vs/workbench/api/common/extHostDiagnostics",e)}),define(Ie[173],Pe([9,10]),function(le,e){return le.create("vs/workbench/api/common/extHostExtensionService",e)}),define(Ie[174],Pe([9,10]),function(le,e){return le.create("vs/workbench/api/common/extHostLanguageFeatures",e)}),define(Ie[175],Pe([9,10]),function(le,e){return le.create("vs/workbench/api/common/extHostLanguageModels",e)}),define(Ie[176],Pe([9,10]),function(le,e){return le.create("vs/workbench/api/common/extHostLogService",e)}),define(Ie[177],Pe([9,10]),function(le,e){return le.create("vs/workbench/api/common/extHostNotebook",e)}),define(Ie[178],Pe([9,10]),function(le,e){return le.create("vs/workbench/api/common/extHostStatusBar",e)}),define(Ie[179],Pe([9,10]),function(le,e){return le.create("vs/workbench/api/common/extHostTelemetry",e)}),define(Ie[180],Pe([9,10]),function(le,e){return le.create("vs/workbench/api/common/extHostTerminalService",e)}),define(Ie[181],Pe([9,10]),function(le,e){return le.create("vs/workbench/api/common/extHostTreeViews",e)}),define(Ie[182],Pe([9,10]),function(le,e){return le.create("vs/workbench/api/common/extHostTunnelService",e)}),define(Ie[183],Pe([9,10]),function(le,e){return le.create("vs/workbench/api/common/extHostWorkspace",e)}),define(Ie[184],Pe([9,10]),function(le,e){return le.create("vs/workbench/common/configuration",e)}),define(Ie[185],Pe([9,10]),function(le,e){return le.create("vs/workbench/common/editor",e)}),define(Ie[186],Pe([9,10]),function(le,e){return le.create("vs/workbench/common/views",e)}),define(Ie[187],Pe([9,10]),function(le,e){return le.create("vs/workbench/contrib/chat/common/chatContextKeys",e)}),define(Ie[188],Pe([9,10]),function(le,e){return le.create("vs/workbench/contrib/debug/common/abstractDebugAdapter",e)}),define(Ie[189],Pe([9,10]),function(le,e){return le.create("vs/workbench/contrib/debug/common/debug",e)}),define(Ie[190],Pe([9,10]),function(le,e){return le.create("vs/workbench/contrib/tasks/common/taskDefinitionRegistry",e)}),define(Ie[191],Pe([9,10]),function(le,e){return le.create("vs/workbench/contrib/tasks/common/tasks",e)}),define(Ie[192],Pe([9,10]),function(le,e){return le.create("vs/workbench/services/configurationResolver/common/variableResolver",e)}),define(Ie[193],Pe([9,10]),function(le,e){return le.create("vs/workbench/services/editor/common/editorResolverService",e)}),define(Ie[194],Pe([9,10]),function(le,e){return le.create("vs/workbench/services/extensions/common/extensionsRegistry",e)}),define(Ie[195],Pe([9,10]),function(le,e){return le.create("vs/workbench/services/search/common/queryBuilder",e)}),define(Ie[196],Pe([1,0,14,162]),function(le,e,I,O){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$rj=e.TokenType=void 0;var R;(function(E){E[E.LParen=0]="LParen",E[E.RParen=1]="RParen",E[E.Neg=2]="Neg",E[E.Eq=3]="Eq",E[E.NotEq=4]="NotEq",E[E.Lt=5]="Lt",E[E.LtEq=6]="LtEq",E[E.Gt=7]="Gt",E[E.GtEq=8]="GtEq",E[E.RegexOp=9]="RegexOp",E[E.RegexStr=10]="RegexStr",E[E.True=11]="True",E[E.False=12]="False",E[E.In=13]="In",E[E.Not=14]="Not",E[E.And=15]="And",E[E.Or=16]="Or",E[E.Str=17]="Str",E[E.QuotedStr=18]="QuotedStr",E[E.Error=19]="Error",E[E.EOF=20]="EOF"})(R||(e.TokenType=R={}));function M(...E){switch(E.length){case 1:return(0,O.localize)(0,null,E[0]);case 2:return(0,O.localize)(1,null,E[0],E[1]);case 3:return(0,O.localize)(2,null,E[0],E[1],E[2]);default:return}}const A=(0,O.localize)(3,null),w=(0,O.localize)(4,null);class p{constructor(){this.c="",this.d=0,this.e=0,this.f=[],this.g=[],this.m=/[a-zA-Z0-9_<>\-\./\\:\*\?\+\[\]\^,#@;"%\$\p{L}-]+/uy}static getLexeme(T){switch(T.type){case 0:return"(";case 1:return")";case 2:return"!";case 3:return T.isTripleEq?"===":"==";case 4:return T.isTripleEq?"!==":"!=";case 5:return"<";case 6:return"<=";case 7:return">=";case 8:return">=";case 9:return"=~";case 10:return T.lexeme;case 11:return"true";case 12:return"false";case 13:return"in";case 14:return"not";case 15:return"&&";case 16:return"||";case 17:return T.lexeme;case 18:return T.lexeme;case 19:return T.lexeme;case 20:return"EOF";default:throw(0,I.$8)(`unhandled token type: ${JSON.stringify(T)}; have you forgotten to add a case?`)}}static{this.a=new Set(["i","g","s","m","y","u"].map(T=>T.charCodeAt(0)))}static{this.b=new Map([["not",14],["in",13],["false",12],["true",11]])}get errors(){return this.g}reset(T){return this.c=T,this.d=0,this.e=0,this.f=[],this.g=[],this}scan(){for(;!this.r();)switch(this.d=this.e,this.i()){case 40:this.k(0);break;case 41:this.k(1);break;case 33:if(this.h(61)){const D=this.h(61);this.f.push({type:4,offset:this.d,isTripleEq:D})}else this.k(2);break;case 39:this.o();break;case 47:this.q();break;case 61:if(this.h(61)){const D=this.h(61);this.f.push({type:3,offset:this.d,isTripleEq:D})}else this.h(126)?this.k(9):this.l(M("==","=~"));break;case 60:this.k(this.h(61)?6:5);break;case 62:this.k(this.h(61)?8:7);break;case 38:this.h(38)?this.k(15):this.l(M("&&"));break;case 124:this.h(124)?this.k(16):this.l(M("||"));break;case 32:case 13:case 9:case 10:case 160:break;default:this.n()}return this.d=this.e,this.k(20),Array.from(this.f)}h(T){return this.r()||this.c.charCodeAt(this.e)!==T?!1:(this.e++,!0)}i(){return this.c.charCodeAt(this.e++)}j(){return this.r()?0:this.c.charCodeAt(this.e)}k(T){this.f.push({type:T,offset:this.d})}l(T){const D=this.d,d=this.c.substring(this.d,this.e),b={type:19,offset:this.d,lexeme:d};this.g.push({offset:D,lexeme:d,additionalInfo:T}),this.f.push(b)}n(){this.m.lastIndex=this.d;const T=this.m.exec(this.c);if(T){this.e=this.d+T[0].length;const D=this.c.substring(this.d,this.e),d=p.b.get(D);d?this.k(d):this.f.push({type:17,lexeme:D,offset:this.d})}}o(){for(;this.j()!==39&&!this.r();)this.i();if(this.r()){this.l(A);return}this.i(),this.f.push({type:18,lexeme:this.c.substring(this.d+1,this.e-1),offset:this.d+1})}q(){let T=this.e,D=!1,d=!1;for(;;){if(T>=this.c.length){this.e=T,this.l(w);return}const m=this.c.charCodeAt(T);if(D)D=!1;else if(m===47&&!d){T++;break}else m===91?d=!0:m===92?D=!0:m===93&&(d=!1);T++}for(;T<this.c.length&&p.a.has(this.c.charCodeAt(T));)T++;this.e=T;const b=this.c.substring(this.d,this.e);this.f.push({type:10,lexeme:b,offset:this.d})}r(){return this.e>=this.c.length}}e.$rj=p}),define(Ie[197],Pe([1,0,23,33,164,311]),function(le,e,I,O,R,M){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Gp=p,e.$Hp=E,e.$Ip=T,e.$Jp=D,e.$Kp=d,e.$Lp=b,e.$Mp=m;const A=/^(\^|>=)?((\d+)|x)\.((\d+)|x)\.((\d+)|x)(\-.*)?$/,w=/^-(\d{4})(\d{2})(\d{2})$/;function p(s){return s=s.trim(),s==="*"||A.test(s)}function E(s){if(!p(s))return null;if(s=s.trim(),s==="*")return{hasCaret:!1,hasGreaterEquals:!1,majorBase:0,majorMustEqual:!1,minorBase:0,minorMustEqual:!1,patchBase:0,patchMustEqual:!1,preRelease:null};const i=s.match(A);return i?{hasCaret:i[1]==="^",hasGreaterEquals:i[1]===">=",majorBase:i[2]==="x"?0:parseInt(i[2],10),majorMustEqual:i[2]!=="x",minorBase:i[4]==="x"?0:parseInt(i[4],10),minorMustEqual:i[4]!=="x",patchBase:i[6]==="x"?0:parseInt(i[6],10),patchMustEqual:i[6]!=="x",preRelease:i[8]||null}:null}function T(s){if(!s)return null;const i=s.majorBase,n=s.majorMustEqual,c=s.minorBase;let l=s.minorMustEqual;const t=s.patchBase;let f=s.patchMustEqual;s.hasCaret&&(i===0||(l=!1),f=!1);let a=0;if(s.preRelease){const $=w.exec(s.preRelease);if($){const[,u,S,h]=$;a=Date.UTC(Number(u),Number(S)-1,Number(h))}}return{majorBase:i,majorMustEqual:n,minorBase:c,minorMustEqual:l,patchBase:t,patchMustEqual:f,isMinimum:s.hasGreaterEquals,notBefore:a}}function D(s,i,n){let c;typeof s=="string"?c=T(E(s)):c=s;let l;i instanceof Date?l=i.getTime():typeof i=="string"&&(l=new Date(i).getTime());let t;if(typeof n=="string"?t=T(E(n)):t=n,!c||!t)return!1;const f=c.majorBase,a=c.minorBase,$=c.patchBase;let u=t.majorBase,S=t.minorBase,h=t.patchBase;const v=t.notBefore;let g=t.majorMustEqual,k=t.minorMustEqual,y=t.patchMustEqual;return t.isMinimum?f>u?!0:f<u?!1:a>S?!0:a<S||l&&l<v?!1:$>=h:(f===1&&u===0&&(!g||!k||!y)&&(u=1,S=0,h=0,g=!0,k=!1,y=!1),f<u?!1:f>u?!g:a<S?!1:a>S?!k:$<h?!1:$>h?!y:!(l&&l<v))}function d(s,i,n,c,l){const t=[];if(typeof c.publisher<"u"&&typeof c.publisher!="string")return t.push([O.default.Error,R.localize(0,null)]),t;if(typeof c.name!="string")return t.push([O.default.Error,R.localize(1,null,"name")]),t;if(typeof c.version!="string")return t.push([O.default.Error,R.localize(2,null,"version")]),t;if(!c.engines)return t.push([O.default.Error,R.localize(3,null,"engines")]),t;if(typeof c.engines.vscode!="string")return t.push([O.default.Error,R.localize(4,null,"engines.vscode")]),t;if(typeof c.extensionDependencies<"u"&&!o(c.extensionDependencies))return t.push([O.default.Error,R.localize(5,null,"extensionDependencies")]),t;if(typeof c.activationEvents<"u"){if(!o(c.activationEvents))return t.push([O.default.Error,R.localize(6,null,"activationEvents")]),t;if(typeof c.main>"u"&&typeof c.browser>"u")return t.push([O.default.Error,R.localize(7,null,"activationEvents","main","browser")]),t}if(typeof c.extensionKind<"u"&&typeof c.main>"u"&&t.push([O.default.Warning,R.localize(8,null,"extensionKind")]),typeof c.main<"u"){if(typeof c.main!="string")return t.push([O.default.Error,R.localize(9,null,"main")]),t;{const $=(0,I.$0g)(n,c.main);(0,I.$4g)($,n)||t.push([O.default.Warning,R.localize(10,null,$.path,n.path)])}}if(typeof c.browser<"u"){if(typeof c.browser!="string")return t.push([O.default.Error,R.localize(11,null,"browser")]),t;{const $=(0,I.$0g)(n,c.browser);(0,I.$4g)($,n)||t.push([O.default.Warning,R.localize(12,null,$.path,n.path)])}}if(!M.valid(c.version))return t.push([O.default.Error,R.localize(13,null)]),t;const f=[];if(!b(s,i,c,l,f))for(const $ of f)t.push([O.default.Error,$]);return t}function b(s,i,n,c,l){return c||typeof n.main>"u"&&typeof n.browser>"u"?!0:r(s,i,n.engines.vscode,l)}function m(s,i,n){return s==="*"||r(i,n,s)}function r(s,i,n,c=[]){const l=T(E(n));if(!l)return c.push(R.localize(14,null,n)),!1;if(l.majorBase===0){if(!l.majorMustEqual||!l.minorMustEqual)return c.push(R.localize(15,null,n)),!1}else if(!l.majorMustEqual)return c.push(R.localize(16,null,n)),!1;return D(s,i,l)?!0:(c.push(R.localize(17,null,s,n)),!1)}function o(s){if(!Array.isArray(s))return!1;for(let i=0,n=s.length;i<n;i++)if(typeof s[i]!="string")return!1;return!0}}),define(Ie[71],Pe([1,0]),function(le,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$ti=void 0;class I{constructor(R,M=[],A=!1){this.ctor=R,this.staticArguments=M,this.supportsDelayedInstantiation=A}}e.$ti=I}),define(Ie[56],Pe([1,0,71]),function(le,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.InstantiationType=void 0,e.$xs=M,e.$ys=A;const O=[];var R;(function(w){w[w.Eager=0]="Eager",w[w.Delayed=1]="Delayed"})(R||(e.InstantiationType=R={}));function M(w,p,E){p instanceof I.$ti||(p=new I.$ti(p,[],!!E)),O.push([w,p])}function A(){return O}}),define(Ie[198],Pe([1,0]),function(le,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$br=e.$ar=void 0;class I{constructor(M,A){this.key=M,this.data=A,this.incoming=new Map,this.outgoing=new Map}}e.$ar=I;class O{constructor(M){this.b=M,this.a=new Map}roots(){const M=[];for(const A of this.a.values())A.outgoing.size===0&&M.push(A);return M}insertEdge(M,A){const w=this.lookupOrInsertNode(M),p=this.lookupOrInsertNode(A);w.outgoing.set(p.key,p),p.incoming.set(w.key,w)}removeNode(M){const A=this.b(M);this.a.delete(A);for(const w of this.a.values())w.outgoing.delete(A),w.incoming.delete(A)}lookupOrInsertNode(M){const A=this.b(M);let w=this.a.get(A);return w||(w=new I(A,M),this.a.set(A,w)),w}lookup(M){return this.a.get(this.b(M))}isEmpty(){return this.a.size===0}toString(){const M=[];for(const[A,w]of this.a)M.push(`${A}
	(-> incoming)[${[...w.incoming.keys()].join(", ")}]
	(outgoing ->)[${[...w.outgoing.keys()].join(",")}]
`);return M.join(`
`)}findCycleSlow(){for(const[M,A]of this.a){const w=new Set([M]),p=this.c(A,w);if(p)return p}}c(M,A){for(const[w,p]of M.outgoing){if(A.has(w))return[...A,w].join(" -> ");A.add(w);const E=this.c(p,A);if(E)return E;A.delete(w)}}}e.$br=O}),define(Ie[3],Pe([1,0]),function(le,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$vi=e._util=void 0,e.$wi=R,e.$xi=M;var I;(function(A){A.serviceIds=new Map,A.DI_TARGET="$di$target",A.DI_DEPENDENCIES="$di$dependencies";function w(p){return p[A.DI_DEPENDENCIES]||[]}A.getServiceDependencies=w})(I||(e._util=I={})),e.$vi=R("instantiationService");function O(A,w,p){w[I.DI_TARGET]===w?w[I.DI_DEPENDENCIES].push({id:A,index:p}):(w[I.DI_DEPENDENCIES]=[{id:A,index:p}],w[I.DI_TARGET]=w)}function R(A){if(I.serviceIds.has(A))return I.serviceIds.get(A);const w=function(p,E,T){if(arguments.length!==3)throw new Error("@IServiceName-decorator can only be used to decorate a parameter");O(w,p,T)};return w.toString=()=>A,I.serviceIds.set(A,w),w}function M(A){return A}}),define(Ie[50],Pe([1,0,15,2,3]),function(le,e,I,O,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ConfigurationTarget=e.$3i=void 0,e.$4i=M,e.$5i=A,e.$6i=p,e.$7i=E,e.$8i=T,e.$9i=D,e.$0i=d,e.$$i=m,e.$_i=r,e.$aj=o,e.$3i=(0,R.$wi)("configurationService");function M(s){return s&&typeof s=="object"&&(!s.overrideIdentifier||typeof s.overrideIdentifier=="string")&&(!s.resource||s.resource instanceof O.URI)}function A(s){return s&&typeof s=="object"&&(!s.overrideIdentifiers||Array.isArray(s.overrideIdentifiers))&&!s.overrideIdentifier&&(!s.resource||s.resource instanceof O.URI)}var w;(function(s){s[s.APPLICATION=1]="APPLICATION",s[s.USER=2]="USER",s[s.USER_LOCAL=3]="USER_LOCAL",s[s.USER_REMOTE=4]="USER_REMOTE",s[s.WORKSPACE=5]="WORKSPACE",s[s.WORKSPACE_FOLDER=6]="WORKSPACE_FOLDER",s[s.DEFAULT=7]="DEFAULT",s[s.MEMORY=8]="MEMORY"})(w||(e.ConfigurationTarget=w={}));function p(s){switch(s){case 1:return"APPLICATION";case 2:return"USER";case 3:return"USER_LOCAL";case 4:return"USER_REMOTE";case 5:return"WORKSPACE";case 6:return"WORKSPACE_FOLDER";case 7:return"DEFAULT";case 8:return"MEMORY"}}function E(s){return s.applicationValue!==void 0||s.userValue!==void 0||s.userLocalValue!==void 0||s.userRemoteValue!==void 0||s.workspaceValue!==void 0||s.workspaceFolderValue!==void 0}function T(s,i){const n=Object.create(null);for(const c in s)D(n,c,s[c],i);return n}function D(s,i,n,c){const l=i.split("."),t=l.pop();let f=s;for(let a=0;a<l.length;a++){const $=l[a];let u=f[$];switch(typeof u){case"undefined":u=f[$]=Object.create(null);break;case"object":if(u===null){c(`Ignoring ${i} as ${l.slice(0,a+1).join(".")} is null`);return}break;default:c(`Ignoring ${i} as ${l.slice(0,a+1).join(".")} is ${JSON.stringify(u)}`);return}f=u}if(typeof f=="object"&&f!==null)try{f[t]=n}catch{c(`Ignoring ${i} as ${l.join(".")} is ${JSON.stringify(f)}`)}else c(`Ignoring ${i} as ${l.join(".")} is ${JSON.stringify(f)}`)}function d(s,i){const n=i.split(".");b(s,n)}function b(s,i){const n=i.shift();if(i.length===0){delete s[n];return}if(Object.keys(s).indexOf(n)!==-1){const c=s[n];typeof c=="object"&&!Array.isArray(c)&&(b(c,i),Object.keys(c).length===0&&delete s[n])}}function m(s,i,n){function c(f,a){let $=f;for(const u of a){if(typeof $!="object"||$===null)return;$=$[u]}return $}const l=i.split("."),t=c(s,l);return typeof t>"u"?n:t}function r(s,i,n){Object.keys(i).forEach(c=>{c!=="__proto__"&&(c in s?I.$$f(s[c])&&I.$$f(i[c])?r(s[c],i[c],n):n&&(s[c]=i[c]):s[c]=i[c])})}function o(s){return s.replace(/[\[\]]/g,"")}}),define(Ie[31],Pe([1,0,22,13,196,3,161,14]),function(le,e,I,O,R,M,A,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Oj=e.$Nj=e.$Mj=e.$Lj=e.$Kj=e.$Jj=e.$Ij=e.$Hj=e.$Gj=e.$Fj=e.$Ej=e.$Dj=e.$Cj=e.$Bj=e.$Aj=e.$zj=e.$yj=e.$xj=e.$uj=e.$tj=e.ContextKeyExprType=void 0,e.$sj=E,e.$vj=f,e.$wj=a,e.$Pj=Te;const p=new Map;p.set("false",!1),p.set("true",!0),p.set("isMac",I.$j),p.set("isLinux",I.$k),p.set("isWindows",I.$i),p.set("isWeb",I.$o),p.set("isMacNative",I.$j&&!I.$o),p.set("isEdge",I.$H),p.set("isFirefox",I.$F),p.set("isChrome",I.$E),p.set("isSafari",I.$G);function E(ne,z){if(p.get(ne)!==void 0)throw(0,w.$7)("contextkey.setConstant(k, v) invoked with already set constant `k`");p.set(ne,z)}const T=Object.prototype.hasOwnProperty;var D;(function(ne){ne[ne.False=0]="False",ne[ne.True=1]="True",ne[ne.Defined=2]="Defined",ne[ne.Not=3]="Not",ne[ne.Equals=4]="Equals",ne[ne.NotEquals=5]="NotEquals",ne[ne.And=6]="And",ne[ne.Regex=7]="Regex",ne[ne.NotRegex=8]="NotRegex",ne[ne.Or=9]="Or",ne[ne.In=10]="In",ne[ne.NotIn=11]="NotIn",ne[ne.Greater=12]="Greater",ne[ne.GreaterEquals=13]="GreaterEquals",ne[ne.Smaller=14]="Smaller",ne[ne.SmallerEquals=15]="SmallerEquals"})(D||(e.ContextKeyExprType=D={}));const d={regexParsingWithErrorRecovery:!0},b=(0,A.localize)(0,null),m=(0,A.localize)(1,null),r=(0,A.localize)(2,null),o=(0,A.localize)(3,null),s=(0,A.localize)(4,null),i=(0,A.localize)(5,null),n=(0,A.localize)(6,null),c=(0,A.localize)(7,null);class l{static{this.c=new Error}get lexingErrors(){return this.d.errors}get parsingErrors(){return this.h}constructor(z=d){this.k=z,this.d=new R.$rj,this.f=[],this.g=0,this.h=[],this.v=/g|y/g}parse(z){if(z===""){this.h.push({message:b,offset:0,lexeme:"",additionalInfo:m});return}this.f=this.d.reset(z).scan(),this.g=0,this.h=[];try{const x=this.l();if(!this.E()){const be=this.D(),Fe=be.type===17?i:void 0;throw this.h.push({message:s,offset:be.offset,lexeme:R.$rj.getLexeme(be),additionalInfo:Fe}),l.c}return x}catch(x){if(x!==l.c)throw x;return}}l(){return this.m()}m(){const z=[this.o()];for(;this.y(16);){const x=this.o();z.push(x)}return z.length===1?z[0]:t.or(...z)}o(){const z=[this.s()];for(;this.y(15);){const x=this.s();z.push(x)}return z.length===1?z[0]:t.and(...z)}s(){if(this.y(2)){const z=this.D();switch(z.type){case 11:return this.z(),u.INSTANCE;case 12:return this.z(),S.INSTANCE;case 0:{this.z();const x=this.l();return this.A(1,o),x?.negate()}case 17:return this.z(),C.create(z.lexeme);default:throw this.B("KEY | true | false | '(' expression ')'",z)}}return this.t()}t(){const z=this.D();switch(z.type){case 11:return this.z(),t.true();case 12:return this.z(),t.false();case 0:{this.z();const x=this.l();return this.A(1,o),x}case 17:{const x=z.lexeme;if(this.z(),this.y(9)){const Fe=this.D();if(!this.k.regexParsingWithErrorRecovery){if(this.z(),Fe.type!==10)throw this.B("REGEX",Fe);const De=Fe.lexeme,we=De.lastIndexOf("/"),ge=we===De.length-1?void 0:this.w(De.substring(we+1));let Q;try{Q=new RegExp(De.substring(1,we),ge)}catch{throw this.B("REGEX",Fe)}return j.create(x,Q)}switch(Fe.type){case 10:case 19:{const De=[Fe.lexeme];this.z();let we=this.D(),ge=0;for(let Me=0;Me<Fe.lexeme.length;Me++)Fe.lexeme.charCodeAt(Me)===40?ge++:Fe.lexeme.charCodeAt(Me)===41&&ge--;for(;!this.E()&&we.type!==15&&we.type!==16;){switch(we.type){case 0:ge++;break;case 1:ge--;break;case 10:case 18:for(let Me=0;Me<we.lexeme.length;Me++)we.lexeme.charCodeAt(Me)===40?ge++:Fe.lexeme.charCodeAt(Me)===41&&ge--}if(ge<0)break;De.push(R.$rj.getLexeme(we)),this.z(),we=this.D()}const Q=De.join(""),Y=Q.lastIndexOf("/"),he=Y===Q.length-1?void 0:this.w(Q.substring(Y+1));let ue;try{ue=new RegExp(Q.substring(1,Y),he)}catch{throw this.B("REGEX",Fe)}return t.regex(x,ue)}case 18:{const De=Fe.lexeme;this.z();let we=null;if(!(0,O.$8e)(De)){const ge=De.indexOf("/"),Q=De.lastIndexOf("/");if(ge!==Q&&ge>=0){const Y=De.slice(ge+1,Q),he=De[Q+1]==="i"?"i":"";try{we=new RegExp(Y,he)}catch{throw this.B("REGEX",Fe)}}}if(we===null)throw this.B("REGEX",Fe);return j.create(x,we)}default:throw this.B("REGEX",this.D())}}if(this.y(14)){this.A(13,r);const Fe=this.u();return t.notIn(x,Fe)}switch(this.D().type){case 3:{this.z();const Fe=this.u();if(this.x().type===18)return t.equals(x,Fe);switch(Fe){case"true":return t.has(x);case"false":return t.not(x);default:return t.equals(x,Fe)}}case 4:{this.z();const Fe=this.u();if(this.x().type===18)return t.notEquals(x,Fe);switch(Fe){case"true":return t.not(x);case"false":return t.has(x);default:return t.notEquals(x,Fe)}}case 5:return this.z(),q.create(x,this.u());case 6:return this.z(),N.create(x,this.u());case 7:return this.z(),W.create(x,this.u());case 8:return this.z(),V.create(x,this.u());case 13:return this.z(),t.in(x,this.u());default:return t.has(x)}}case 20:throw this.h.push({message:n,offset:z.offset,lexeme:"",additionalInfo:c}),l.c;default:throw this.B(`true | false | KEY 
	| KEY '=~' REGEX 
	| KEY ('==' | '!=' | '<' | '<=' | '>' | '>=' | 'in' | 'not' 'in') value`,this.D())}}u(){const z=this.D();switch(z.type){case 17:case 18:return this.z(),z.lexeme;case 11:return this.z(),"true";case 12:return this.z(),"false";case 13:return this.z(),"in";default:return""}}w(z){return z.replaceAll(this.v,"")}x(){return this.f[this.g-1]}y(z){return this.C(z)?(this.z(),!0):!1}z(){return this.E()||this.g++,this.x()}A(z,x){if(this.C(z))return this.z();throw this.B(x,this.D())}B(z,x,be){const Fe=(0,A.localize)(8,null,z,R.$rj.getLexeme(x)),De=x.offset,we=R.$rj.getLexeme(x);return this.h.push({message:Fe,offset:De,lexeme:we,additionalInfo:be}),l.c}C(z){return this.D().type===z}D(){return this.f[this.g]}E(){return this.D().type===20}}e.$tj=l;class t{static false(){return u.INSTANCE}static true(){return S.INSTANCE}static has(z){return h.create(z)}static equals(z,x){return v.create(z,x)}static notEquals(z,x){return y.create(z,x)}static regex(z,x){return j.create(z,x)}static in(z,x){return g.create(z,x)}static notIn(z,x){return k.create(z,x)}static not(z){return C.create(z)}static and(...z){return ce.create(z,null,!0)}static or(...z){return ye.create(z,null,!0)}static greater(z,x){return W.create(z,x)}static greaterEquals(z,x){return V.create(z,x)}static smaller(z,x){return q.create(z,x)}static smallerEquals(z,x){return N.create(z,x)}static{this.c=new l({regexParsingWithErrorRecovery:!1})}static deserialize(z){return z==null?void 0:this.c.parse(z)}}e.$uj=t;function f(ne){const z=new l({regexParsingWithErrorRecovery:!1});return ne.map(x=>(z.parse(x),z.lexingErrors.length>0?z.lexingErrors.map(be=>({errorMessage:be.additionalInfo?(0,A.localize)(9,null,be.additionalInfo):(0,A.localize)(10,null),offset:be.offset,length:be.lexeme.length})):z.parsingErrors.length>0?z.parsingErrors.map(be=>({errorMessage:be.additionalInfo?`${be.message}. ${be.additionalInfo}`:be.message,offset:be.offset,length:be.lexeme.length})):[]))}function a(ne,z){const x=ne?ne.substituteConstants():void 0,be=z?z.substituteConstants():void 0;return!x&&!be?!0:!x||!be?!1:x.equals(be)}function $(ne,z){return ne.cmp(z)}class u{static{this.INSTANCE=new u}constructor(){this.type=0}cmp(z){return this.type-z.type}equals(z){return z.type===this.type}substituteConstants(){return this}evaluate(z){return!1}serialize(){return"false"}keys(){return[]}map(z){return this}negate(){return S.INSTANCE}}e.$xj=u;class S{static{this.INSTANCE=new S}constructor(){this.type=1}cmp(z){return this.type-z.type}equals(z){return z.type===this.type}substituteConstants(){return this}evaluate(z){return!0}serialize(){return"true"}keys(){return[]}map(z){return this}negate(){return u.INSTANCE}}e.$yj=S;class h{static create(z,x=null){const be=p.get(z);return typeof be=="boolean"?be?S.INSTANCE:u.INSTANCE:new h(z,x)}constructor(z,x){this.key=z,this.c=x,this.type=2}cmp(z){return z.type!==this.type?this.type-z.type:fe(this.key,z.key)}equals(z){return z.type===this.type?this.key===z.key:!1}substituteConstants(){const z=p.get(this.key);return typeof z=="boolean"?z?S.INSTANCE:u.INSTANCE:this}evaluate(z){return!!z.getValue(this.key)}serialize(){return this.key}keys(){return[this.key]}map(z){return z.mapDefined(this.key)}negate(){return this.c||(this.c=C.create(this.key,this)),this.c}}e.$zj=h;class v{static create(z,x,be=null){if(typeof x=="boolean")return x?h.create(z,be):C.create(z,be);const Fe=p.get(z);return typeof Fe=="boolean"?x===(Fe?"true":"false")?S.INSTANCE:u.INSTANCE:new v(z,x,be)}constructor(z,x,be){this.c=z,this.d=x,this.f=be,this.type=4}cmp(z){return z.type!==this.type?this.type-z.type:$e(this.c,this.d,z.c,z.d)}equals(z){return z.type===this.type?this.c===z.c&&this.d===z.d:!1}substituteConstants(){const z=p.get(this.c);if(typeof z=="boolean"){const x=z?"true":"false";return this.d===x?S.INSTANCE:u.INSTANCE}return this}evaluate(z){return z.getValue(this.c)==this.d}serialize(){return`${this.c} == '${this.d}'`}keys(){return[this.c]}map(z){return z.mapEquals(this.c,this.d)}negate(){return this.f||(this.f=y.create(this.c,this.d,this)),this.f}}e.$Aj=v;class g{static create(z,x){return new g(z,x)}constructor(z,x){this.d=z,this.f=x,this.type=10,this.c=null}cmp(z){return z.type!==this.type?this.type-z.type:$e(this.d,this.f,z.d,z.f)}equals(z){return z.type===this.type?this.d===z.d&&this.f===z.f:!1}substituteConstants(){return this}evaluate(z){const x=z.getValue(this.f),be=z.getValue(this.d);return Array.isArray(x)?x.includes(be):typeof be=="string"&&typeof x=="object"&&x!==null?T.call(x,be):!1}serialize(){return`${this.d} in '${this.f}'`}keys(){return[this.d,this.f]}map(z){return z.mapIn(this.d,this.f)}negate(){return this.c||(this.c=k.create(this.d,this.f)),this.c}}e.$Bj=g;class k{static create(z,x){return new k(z,x)}constructor(z,x){this.d=z,this.f=x,this.type=11,this.c=g.create(z,x)}cmp(z){return z.type!==this.type?this.type-z.type:this.c.cmp(z.c)}equals(z){return z.type===this.type?this.c.equals(z.c):!1}substituteConstants(){return this}evaluate(z){return!this.c.evaluate(z)}serialize(){return`${this.d} not in '${this.f}'`}keys(){return this.c.keys()}map(z){return z.mapNotIn(this.d,this.f)}negate(){return this.c}}e.$Cj=k;class y{static create(z,x,be=null){if(typeof x=="boolean")return x?C.create(z,be):h.create(z,be);const Fe=p.get(z);return typeof Fe=="boolean"?x===(Fe?"true":"false")?u.INSTANCE:S.INSTANCE:new y(z,x,be)}constructor(z,x,be){this.c=z,this.d=x,this.f=be,this.type=5}cmp(z){return z.type!==this.type?this.type-z.type:$e(this.c,this.d,z.c,z.d)}equals(z){return z.type===this.type?this.c===z.c&&this.d===z.d:!1}substituteConstants(){const z=p.get(this.c);if(typeof z=="boolean"){const x=z?"true":"false";return this.d===x?u.INSTANCE:S.INSTANCE}return this}evaluate(z){return z.getValue(this.c)!=this.d}serialize(){return`${this.c} != '${this.d}'`}keys(){return[this.c]}map(z){return z.mapNotEquals(this.c,this.d)}negate(){return this.f||(this.f=v.create(this.c,this.d,this)),this.f}}e.$Dj=y;class C{static create(z,x=null){const be=p.get(z);return typeof be=="boolean"?be?u.INSTANCE:S.INSTANCE:new C(z,x)}constructor(z,x){this.c=z,this.d=x,this.type=3}cmp(z){return z.type!==this.type?this.type-z.type:fe(this.c,z.c)}equals(z){return z.type===this.type?this.c===z.c:!1}substituteConstants(){const z=p.get(this.c);return typeof z=="boolean"?z?u.INSTANCE:S.INSTANCE:this}evaluate(z){return!z.getValue(this.c)}serialize(){return`!${this.c}`}keys(){return[this.c]}map(z){return z.mapNot(this.c)}negate(){return this.d||(this.d=h.create(this.c,this)),this.d}}e.$Ej=C;function P(ne,z){if(typeof ne=="string"){const x=parseFloat(ne);isNaN(x)||(ne=x)}return typeof ne=="string"||typeof ne=="number"?z(ne):u.INSTANCE}class W{static create(z,x,be=null){return P(x,Fe=>new W(z,Fe,be))}constructor(z,x,be){this.c=z,this.d=x,this.f=be,this.type=12}cmp(z){return z.type!==this.type?this.type-z.type:$e(this.c,this.d,z.c,z.d)}equals(z){return z.type===this.type?this.c===z.c&&this.d===z.d:!1}substituteConstants(){return this}evaluate(z){return typeof this.d=="string"?!1:parseFloat(z.getValue(this.c))>this.d}serialize(){return`${this.c} > ${this.d}`}keys(){return[this.c]}map(z){return z.mapGreater(this.c,this.d)}negate(){return this.f||(this.f=N.create(this.c,this.d,this)),this.f}}e.$Fj=W;class V{static create(z,x,be=null){return P(x,Fe=>new V(z,Fe,be))}constructor(z,x,be){this.c=z,this.d=x,this.f=be,this.type=13}cmp(z){return z.type!==this.type?this.type-z.type:$e(this.c,this.d,z.c,z.d)}equals(z){return z.type===this.type?this.c===z.c&&this.d===z.d:!1}substituteConstants(){return this}evaluate(z){return typeof this.d=="string"?!1:parseFloat(z.getValue(this.c))>=this.d}serialize(){return`${this.c} >= ${this.d}`}keys(){return[this.c]}map(z){return z.mapGreaterEquals(this.c,this.d)}negate(){return this.f||(this.f=q.create(this.c,this.d,this)),this.f}}e.$Gj=V;class q{static create(z,x,be=null){return P(x,Fe=>new q(z,Fe,be))}constructor(z,x,be){this.c=z,this.d=x,this.f=be,this.type=14}cmp(z){return z.type!==this.type?this.type-z.type:$e(this.c,this.d,z.c,z.d)}equals(z){return z.type===this.type?this.c===z.c&&this.d===z.d:!1}substituteConstants(){return this}evaluate(z){return typeof this.d=="string"?!1:parseFloat(z.getValue(this.c))<this.d}serialize(){return`${this.c} < ${this.d}`}keys(){return[this.c]}map(z){return z.mapSmaller(this.c,this.d)}negate(){return this.f||(this.f=V.create(this.c,this.d,this)),this.f}}e.$Hj=q;class N{static create(z,x,be=null){return P(x,Fe=>new N(z,Fe,be))}constructor(z,x,be){this.c=z,this.d=x,this.f=be,this.type=15}cmp(z){return z.type!==this.type?this.type-z.type:$e(this.c,this.d,z.c,z.d)}equals(z){return z.type===this.type?this.c===z.c&&this.d===z.d:!1}substituteConstants(){return this}evaluate(z){return typeof this.d=="string"?!1:parseFloat(z.getValue(this.c))<=this.d}serialize(){return`${this.c} <= ${this.d}`}keys(){return[this.c]}map(z){return z.mapSmallerEquals(this.c,this.d)}negate(){return this.f||(this.f=W.create(this.c,this.d,this)),this.f}}e.$Ij=N;class j{static create(z,x){return new j(z,x)}constructor(z,x){this.d=z,this.f=x,this.type=7,this.c=null}cmp(z){if(z.type!==this.type)return this.type-z.type;if(this.d<z.d)return-1;if(this.d>z.d)return 1;const x=this.f?this.f.source:"",be=z.f?z.f.source:"";return x<be?-1:x>be?1:0}equals(z){if(z.type===this.type){const x=this.f?this.f.source:"",be=z.f?z.f.source:"";return this.d===z.d&&x===be}return!1}substituteConstants(){return this}evaluate(z){const x=z.getValue(this.d);return this.f?this.f.test(x):!1}serialize(){const z=this.f?`/${this.f.source}/${this.f.flags}`:"/invalid/";return`${this.d} =~ ${z}`}keys(){return[this.d]}map(z){return z.mapRegex(this.d,this.f)}negate(){return this.c||(this.c=K.create(this)),this.c}}e.$Jj=j;class K{static create(z){return new K(z)}constructor(z){this.c=z,this.type=8}cmp(z){return z.type!==this.type?this.type-z.type:this.c.cmp(z.c)}equals(z){return z.type===this.type?this.c.equals(z.c):!1}substituteConstants(){return this}evaluate(z){return!this.c.evaluate(z)}serialize(){return`!(${this.c.serialize()})`}keys(){return this.c.keys()}map(z){return new K(this.c.map(z))}negate(){return this.c}}e.$Kj=K;function ie(ne){let z=null;for(let x=0,be=ne.length;x<be;x++){const Fe=ne[x].substituteConstants();if(ne[x]!==Fe&&z===null){z=[];for(let De=0;De<x;De++)z[De]=ne[De]}z!==null&&(z[x]=Fe)}return z===null?ne:z}class ce{static create(z,x,be){return ce.d(z,x,be)}constructor(z,x){this.expr=z,this.c=x,this.type=6}cmp(z){if(z.type!==this.type)return this.type-z.type;if(this.expr.length<z.expr.length)return-1;if(this.expr.length>z.expr.length)return 1;for(let x=0,be=this.expr.length;x<be;x++){const Fe=$(this.expr[x],z.expr[x]);if(Fe!==0)return Fe}return 0}equals(z){if(z.type===this.type){if(this.expr.length!==z.expr.length)return!1;for(let x=0,be=this.expr.length;x<be;x++)if(!this.expr[x].equals(z.expr[x]))return!1;return!0}return!1}substituteConstants(){const z=ie(this.expr);return z===this.expr?this:ce.create(z,this.c,!1)}evaluate(z){for(let x=0,be=this.expr.length;x<be;x++)if(!this.expr[x].evaluate(z))return!1;return!0}static d(z,x,be){const Fe=[];let De=!1;for(const we of z)if(we){if(we.type===1){De=!0;continue}if(we.type===0)return u.INSTANCE;if(we.type===6){Fe.push(...we.expr);continue}Fe.push(we)}if(Fe.length===0&&De)return S.INSTANCE;if(Fe.length!==0){if(Fe.length===1)return Fe[0];Fe.sort($);for(let we=1;we<Fe.length;we++)Fe[we-1].equals(Fe[we])&&(Fe.splice(we,1),we--);if(Fe.length===1)return Fe[0];for(;Fe.length>1;){const we=Fe[Fe.length-1];if(we.type!==9)break;Fe.pop();const ge=Fe.pop(),Q=Fe.length===0,Y=ye.create(we.expr.map(he=>ce.create([he,ge],null,be)),null,Q);Y&&(Fe.push(Y),Fe.sort($))}if(Fe.length===1)return Fe[0];if(be){for(let we=0;we<Fe.length;we++)for(let ge=we+1;ge<Fe.length;ge++)if(Fe[we].negate().equals(Fe[ge]))return u.INSTANCE;if(Fe.length===1)return Fe[0]}return new ce(Fe,x)}}serialize(){return this.expr.map(z=>z.serialize()).join(" && ")}keys(){const z=[];for(const x of this.expr)z.push(...x.keys());return z}map(z){return new ce(this.expr.map(x=>x.map(z)),null)}negate(){if(!this.c){const z=[];for(const x of this.expr)z.push(x.negate());this.c=ye.create(z,this,!0)}return this.c}}e.$Lj=ce;class ye{static create(z,x,be){return ye.d(z,x,be)}constructor(z,x){this.expr=z,this.c=x,this.type=9}cmp(z){if(z.type!==this.type)return this.type-z.type;if(this.expr.length<z.expr.length)return-1;if(this.expr.length>z.expr.length)return 1;for(let x=0,be=this.expr.length;x<be;x++){const Fe=$(this.expr[x],z.expr[x]);if(Fe!==0)return Fe}return 0}equals(z){if(z.type===this.type){if(this.expr.length!==z.expr.length)return!1;for(let x=0,be=this.expr.length;x<be;x++)if(!this.expr[x].equals(z.expr[x]))return!1;return!0}return!1}substituteConstants(){const z=ie(this.expr);return z===this.expr?this:ye.create(z,this.c,!1)}evaluate(z){for(let x=0,be=this.expr.length;x<be;x++)if(this.expr[x].evaluate(z))return!0;return!1}static d(z,x,be){let Fe=[],De=!1;if(z){for(let we=0,ge=z.length;we<ge;we++){const Q=z[we];if(Q){if(Q.type===0){De=!0;continue}if(Q.type===1)return S.INSTANCE;if(Q.type===9){Fe=Fe.concat(Q.expr);continue}Fe.push(Q)}}if(Fe.length===0&&De)return u.INSTANCE;Fe.sort($)}if(Fe.length!==0){if(Fe.length===1)return Fe[0];for(let we=1;we<Fe.length;we++)Fe[we-1].equals(Fe[we])&&(Fe.splice(we,1),we--);if(Fe.length===1)return Fe[0];if(be){for(let we=0;we<Fe.length;we++)for(let ge=we+1;ge<Fe.length;ge++)if(Fe[we].negate().equals(Fe[ge]))return S.INSTANCE;if(Fe.length===1)return Fe[0]}return new ye(Fe,x)}}serialize(){return this.expr.map(z=>z.serialize()).join(" || ")}keys(){const z=[];for(const x of this.expr)z.push(...x.keys());return z}map(z){return new ye(this.expr.map(x=>x.map(z)),null)}negate(){if(!this.c){const z=[];for(const x of this.expr)z.push(x.negate());for(;z.length>1;){const x=z.shift(),be=z.shift(),Fe=[];for(const De of Ne(x))for(const we of Ne(be))Fe.push(ce.create([De,we],null,!1));z.unshift(ye.create(Fe,null,!1))}this.c=ye.create(z,this,!0)}return this.c}}e.$Mj=ye;class Se extends h{static{this.d=[]}static all(){return Se.d.values()}constructor(z,x,be){super(z,null),this.f=x,typeof be=="object"?Se.d.push({...be,key:z}):be!==!0&&Se.d.push({key:z,description:be,type:x!=null?typeof x:void 0})}bindTo(z){return z.createKey(this.key,this.f)}getValue(z){return z.getContextKeyValue(this.key)}toNegated(){return this.negate()}isEqualTo(z){return v.create(this.key,z)}notEqualsTo(z){return y.create(this.key,z)}}e.$Nj=Se,e.$Oj=(0,M.$wi)("contextKeyService");function fe(ne,z){return ne<z?-1:ne>z?1:0}function $e(ne,z,x,be){return ne<x?-1:ne>x?1:z<be?-1:z>be?1:0}function Te(ne,z){if(ne.type===0||z.type===1)return!0;if(ne.type===9)return z.type===9?ae(ne.expr,z.expr):!1;if(z.type===9){for(const x of z.expr)if(Te(ne,x))return!0;return!1}if(ne.type===6){if(z.type===6)return ae(z.expr,ne.expr);for(const x of ne.expr)if(Te(x,z))return!0;return!1}return ne.equals(z)}function ae(ne,z){let x=0,be=0;for(;x<ne.length&&be<z.length;){const Fe=ne[x].cmp(z[be]);if(Fe<0)return!1;Fe===0&&x++,be++}return x===ne.length}function Ne(ne){return ne.type===9?ne.expr:[ne]}}),define(Ie[99],Pe([1,0,3]),function(le,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Ei=e.$Di=void 0,e.$Di=(0,I.$wi)("environmentService"),e.$Ei=(0,I.$xi)(e.$Di)}),define(Ie[100],Pe([1,0,163,3]),function(le,e,I,O){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$cp=e.$bp=e.$ap=e.$_o=e.$$o=e.$0o=e.$9o=e.$8o=e.ExtensionGalleryErrorCode=e.$7o=e.ExtensionManagementErrorCode=e.$6o=e.InstallOperation=e.StatisticType=e.SortOrder=e.SortBy=e.$Yo=e.$Xo=e.$Wo=e.$Vo=e.$Uo=e.$To=void 0,e.$Zo=R,e.$1o=M,e.$2o=A,e.$3o=w,e.$4o=p,e.$5o=E,e.$To="^([a-z0-9A-Z][a-z0-9-A-Z]*)\\.([a-z0-9A-Z][a-z0-9-A-Z]*)$",e.$Uo=new RegExp(e.$To),e.$Vo="__web_extension",e.$Wo="skipWalkthrough",e.$Xo="extensionsSync",e.$Yo="dependecyOrPackExtensionInstall";function R(i){switch(i){case"win32-x64":return"Windows 64 bit";case"win32-arm64":return"Windows ARM";case"linux-x64":return"Linux 64 bit";case"linux-arm64":return"Linux ARM 64";case"linux-armhf":return"Linux ARM";case"alpine-x64":return"Alpine Linux 64 bit";case"alpine-arm64":return"Alpine ARM 64";case"darwin-x64":return"Mac";case"darwin-arm64":return"Mac Silicon";case"web":return"Web";case"universal":return"universal";case"unknown":return"unknown";case"undefined":return"undefined"}}function M(i){switch(i){case"win32-x64":return"win32-x64";case"win32-arm64":return"win32-arm64";case"linux-x64":return"linux-x64";case"linux-arm64":return"linux-arm64";case"linux-armhf":return"linux-armhf";case"alpine-x64":return"alpine-x64";case"alpine-arm64":return"alpine-arm64";case"darwin-x64":return"darwin-x64";case"darwin-arm64":return"darwin-arm64";case"web":return"web";case"universal":return"universal";default:return"unknown"}}function A(i,n){switch(i){case 3:return n==="x64"?"win32-x64":n==="arm64"?"win32-arm64":"unknown";case 2:return n==="x64"?"linux-x64":n==="arm64"?"linux-arm64":n==="arm"?"linux-armhf":"unknown";case"alpine":return n==="x64"?"alpine-x64":n==="arm64"?"alpine-arm64":"unknown";case 1:return n==="x64"?"darwin-x64":n==="arm64"?"darwin-arm64":"unknown";case 0:return"web"}}function w(i,n){return n==="web"&&!i.includes("web")}function p(i,n,c){return w(n,c)?!1:i==="undefined"||i==="universal"?!0:i==="unknown"?!1:i===c}function E(i){return i&&typeof i=="object"&&typeof i.id=="string"&&(!i.uuid||typeof i.uuid=="string")}var T;(function(i){i[i.NoneOrRelevance=0]="NoneOrRelevance",i[i.LastUpdatedDate=1]="LastUpdatedDate",i[i.Title=2]="Title",i[i.PublisherName=3]="PublisherName",i[i.InstallCount=4]="InstallCount",i[i.PublishedDate=10]="PublishedDate",i[i.AverageRating=6]="AverageRating",i[i.WeightedRating=12]="WeightedRating"})(T||(e.SortBy=T={}));var D;(function(i){i[i.Default=0]="Default",i[i.Ascending=1]="Ascending",i[i.Descending=2]="Descending"})(D||(e.SortOrder=D={}));var d;(function(i){i.Install="install",i.Uninstall="uninstall"})(d||(e.StatisticType=d={}));var b;(function(i){i[i.None=1]="None",i[i.Install=2]="Install",i[i.Update=3]="Update",i[i.Migrate=4]="Migrate"})(b||(e.InstallOperation=b={})),e.$6o=(0,O.$wi)("extensionGalleryService");var m;(function(i){i.Unsupported="Unsupported",i.Deprecated="Deprecated",i.Malicious="Malicious",i.Incompatible="Incompatible",i.IncompatibleTargetPlatform="IncompatibleTargetPlatform",i.ReleaseVersionNotFound="ReleaseVersionNotFound",i.Invalid="Invalid",i.Download="Download",i.DownloadSignature="DownloadSignature",i.UpdateMetadata="UpdateMetadata",i.Extract="Extract",i.Scanning="Scanning",i.Delete="Delete",i.Rename="Rename",i.CorruptZip="CorruptZip",i.IncompleteZip="IncompleteZip",i.Signature="Signature",i.NotAllowed="NotAllowed",i.Gallery="Gallery",i.Cancelled="Cancelled",i.Unknown="Unknown",i.Internal="Internal"})(m||(e.ExtensionManagementErrorCode=m={}));class r extends Error{constructor(n,c){super(n),this.code=c,this.name=c}}e.$7o=r;var o;(function(i){i.Timeout="Timeout",i.Cancelled="Cancelled",i.Failed="Failed"})(o||(e.ExtensionGalleryErrorCode=o={}));class s extends Error{constructor(n,c){super(n),this.code=c,this.name=c}}e.$8o=s,e.$9o=(0,O.$wi)("extensionManagementService"),e.$0o="extensionsIdentifiers/disabled",e.$$o="extensionsIdentifiers/enabled",e.$_o=(0,O.$wi)("IGlobalExtensionEnablementService"),e.$ap=(0,O.$wi)("IExtensionTipsService"),e.$bp=(0,I.localize2)(0,"Extensions"),e.$cp=(0,I.localize2)(1,"Preferences")}),define(Ie[38],Pe([1,0,54,19,13,15,2,165,3,22,16,43]),function(le,e,I,O,R,M,A,w,p,E,T,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$yl=e.$vl=e.FileKind=e.$ul=e.$tl=e.$sl=e.$rl=e.$ql=e.$pl=e.$ol=e.FileOperationResult=e.$nl=e.$ml=e.$ll=e.$jl=e.FileChangeType=e.$il=e.FileOperation=e.$cl=e.FileSystemProviderErrorCode=e.FileSystemProviderCapabilities=e.FileChangeFilter=e.FilePermission=e.FileType=e.$3k=void 0,e.$4k=d,e.$5k=o,e.$6k=i,e.$7k=n,e.$8k=c,e.$9k=l,e.$0k=t,e.$$k=f,e.$_k=a,e.$al=$,e.$bl=u,e.$dl=v,e.$el=g,e.$fl=k,e.$gl=y,e.$hl=C,e.$kl=N,e.$wl=Se,e.$xl=fe,e.$zl=Te,e.$3k=(0,p.$wi)("fileService");function d(ae){return ae.create===!0}var b;(function(ae){ae[ae.Unknown=0]="Unknown",ae[ae.File=1]="File",ae[ae.Directory=2]="Directory",ae[ae.SymbolicLink=64]="SymbolicLink"})(b||(e.FileType=b={}));var m;(function(ae){ae[ae.Readonly=1]="Readonly",ae[ae.Locked=2]="Locked"})(m||(e.FilePermission=m={}));var r;(function(ae){ae[ae.UPDATED=2]="UPDATED",ae[ae.ADDED=4]="ADDED",ae[ae.DELETED=8]="DELETED"})(r||(e.FileChangeFilter=r={}));function o(ae){const Ne=ae;return!!Ne&&typeof Ne.onDidChange=="function"}var s;(function(ae){ae[ae.None=0]="None",ae[ae.FileReadWrite=2]="FileReadWrite",ae[ae.FileOpenReadWriteClose=4]="FileOpenReadWriteClose",ae[ae.FileReadStream=16]="FileReadStream",ae[ae.FileFolderCopy=8]="FileFolderCopy",ae[ae.PathCaseSensitive=1024]="PathCaseSensitive",ae[ae.Readonly=2048]="Readonly",ae[ae.Trash=4096]="Trash",ae[ae.FileWriteUnlock=8192]="FileWriteUnlock",ae[ae.FileAtomicRead=16384]="FileAtomicRead",ae[ae.FileAtomicWrite=32768]="FileAtomicWrite",ae[ae.FileAtomicDelete=65536]="FileAtomicDelete",ae[ae.FileClone=131072]="FileClone"})(s||(e.FileSystemProviderCapabilities=s={}));function i(ae){return!!(ae.capabilities&2)}function n(ae){return!!(ae.capabilities&8)}function c(ae){return!!(ae.capabilities&131072)}function l(ae){return!!(ae.capabilities&4)}function t(ae){return!!(ae.capabilities&16)}function f(ae){return i(ae)?!!(ae.capabilities&16384):!1}function a(ae){return i(ae)?!!(ae.capabilities&32768):!1}function $(ae){return!!(ae.capabilities&65536)}function u(ae){return!!(ae.capabilities&2048)}var S;(function(ae){ae.FileExists="EntryExists",ae.FileNotFound="EntryNotFound",ae.FileNotADirectory="EntryNotADirectory",ae.FileIsADirectory="EntryIsADirectory",ae.FileExceedsStorageQuota="EntryExceedsStorageQuota",ae.FileTooLarge="EntryTooLarge",ae.FileWriteLocked="EntryWriteLocked",ae.NoPermissions="NoPermissions",ae.Unavailable="Unavailable",ae.Unknown="Unknown"})(S||(e.FileSystemProviderErrorCode=S={}));class h extends Error{static create(Ne,ne){const z=new h(Ne.toString(),ne);return k(z,ne),z}constructor(Ne,ne){super(Ne),this.code=ne}}e.$cl=h;function v(ae,Ne){return h.create(ae,Ne)}function g(ae){return ae||v((0,w.localize)(0,null),S.Unknown)}function k(ae,Ne){return ae.name=Ne?`${Ne} (FileSystemError)`:"FileSystemError",ae}function y(ae){if(!ae)return S.Unknown;if(ae instanceof h)return ae.code;const Ne=/^(.+) \(FileSystemError\)$/.exec(ae.name);if(!Ne)return S.Unknown;switch(Ne[1]){case S.FileExists:return S.FileExists;case S.FileIsADirectory:return S.FileIsADirectory;case S.FileNotADirectory:return S.FileNotADirectory;case S.FileNotFound:return S.FileNotFound;case S.FileTooLarge:return S.FileTooLarge;case S.FileWriteLocked:return S.FileWriteLocked;case S.NoPermissions:return S.NoPermissions;case S.Unavailable:return S.Unavailable}return S.Unknown}function C(ae){if(ae instanceof j)return ae.fileOperationResult;switch(y(ae)){case S.FileNotFound:return 1;case S.FileIsADirectory:return 0;case S.FileNotADirectory:return 9;case S.FileWriteLocked:return 5;case S.NoPermissions:return 6;case S.FileExists:return 4;case S.FileTooLarge:return 7;default:return 10}}var P;(function(ae){ae[ae.CREATE=0]="CREATE",ae[ae.DELETE=1]="DELETE",ae[ae.MOVE=2]="MOVE",ae[ae.COPY=3]="COPY",ae[ae.WRITE=4]="WRITE"})(P||(e.FileOperation=P={}));class W{constructor(Ne,ne,z){this.resource=Ne,this.operation=ne,this.target=z}isOperation(Ne){return this.operation===Ne}}e.$il=W;var V;(function(ae){ae[ae.UPDATED=0]="UPDATED",ae[ae.ADDED=1]="ADDED",ae[ae.DELETED=2]="DELETED"})(V||(e.FileChangeType=V={}));class q{static{this.a=null}constructor(Ne,ne){this.c=ne,this.b=void 0,this.d=new D.$V(()=>{const z=I.$Ci.forUris(()=>this.c);return z.fill(this.rawAdded.map(x=>[x,!0])),z}),this.f=new D.$V(()=>{const z=I.$Ci.forUris(()=>this.c);return z.fill(this.rawUpdated.map(x=>[x,!0])),z}),this.g=new D.$V(()=>{const z=I.$Ci.forUris(()=>this.c);return z.fill(this.rawDeleted.map(x=>[x,!0])),z}),this.rawAdded=[],this.rawUpdated=[],this.rawDeleted=[];for(const z of Ne){switch(z.type){case 1:this.rawAdded.push(z.resource);break;case 0:this.rawUpdated.push(z.resource);break;case 2:this.rawDeleted.push(z.resource);break}this.b!==q.a&&(typeof z.cId=="number"?this.b===void 0?this.b=z.cId:this.b!==z.cId&&(this.b=q.a):this.b!==void 0&&(this.b=q.a))}}contains(Ne,...ne){return this.h(Ne,{includeChildren:!1},...ne)}affects(Ne,...ne){return this.h(Ne,{includeChildren:!0},...ne)}h(Ne,ne,...z){if(!Ne)return!1;const x=z.length>0;return!!((!x||z.includes(1))&&(this.d.value.get(Ne)||ne.includeChildren&&this.d.value.findSuperstr(Ne))||(!x||z.includes(0))&&(this.f.value.get(Ne)||ne.includeChildren&&this.f.value.findSuperstr(Ne))||(!x||z.includes(2))&&(this.g.value.findSubstr(Ne)||ne.includeChildren&&this.g.value.findSuperstr(Ne)))}gotAdded(){return this.rawAdded.length>0}gotDeleted(){return this.rawDeleted.length>0}gotUpdated(){return this.rawUpdated.length>0}correlates(Ne){return this.b===Ne}hasCorrelation(){return typeof this.b=="number"}}e.$jl=q;function N(ae,Ne,ne){return!ae||!Ne||ae===Ne||Ne.length>ae.length?!1:(Ne.charAt(Ne.length-1)!==O.sep&&(Ne+=O.sep),ne?(0,R.$zf)(ae,Ne):ae.indexOf(Ne)===0)}class j extends Error{constructor(Ne,ne,z){super(Ne),this.fileOperationResult=ne,this.options=z}}e.$ll=j;class K extends j{constructor(Ne,ne,z,x){super(Ne,ne,x),this.fileOperationResult=ne,this.size=z}}e.$ml=K;class ie extends j{constructor(Ne,ne,z){super(Ne,2,z),this.stat=ne}}e.$nl=ie;var ce;(function(ae){ae[ae.FILE_IS_DIRECTORY=0]="FILE_IS_DIRECTORY",ae[ae.FILE_NOT_FOUND=1]="FILE_NOT_FOUND",ae[ae.FILE_NOT_MODIFIED_SINCE=2]="FILE_NOT_MODIFIED_SINCE",ae[ae.FILE_MODIFIED_SINCE=3]="FILE_MODIFIED_SINCE",ae[ae.FILE_MOVE_CONFLICT=4]="FILE_MOVE_CONFLICT",ae[ae.FILE_WRITE_LOCKED=5]="FILE_WRITE_LOCKED",ae[ae.FILE_PERMISSION_DENIED=6]="FILE_PERMISSION_DENIED",ae[ae.FILE_TOO_LARGE=7]="FILE_TOO_LARGE",ae[ae.FILE_INVALID_PATH=8]="FILE_INVALID_PATH",ae[ae.FILE_NOT_DIRECTORY=9]="FILE_NOT_DIRECTORY",ae[ae.FILE_OTHER_ERROR=10]="FILE_OTHER_ERROR"})(ce||(e.FileOperationResult=ce={})),e.$ol={OFF:"off",AFTER_DELAY:"afterDelay",ON_FOCUS_CHANGE:"onFocusChange",ON_WINDOW_CHANGE:"onWindowChange"},e.$pl={OFF:"off",ON_EXIT:"onExit",ON_EXIT_AND_WINDOW_CLOSE:"onExitAndWindowClose"},e.$ql="files.associations",e.$rl="files.exclude",e.$sl="files.readonlyInclude",e.$tl="files.readonlyExclude",e.$ul="files.readonlyFromPermissions";var ye;(function(ae){ae[ae.FILE=0]="FILE",ae[ae.FOLDER=1]="FOLDER",ae[ae.ROOT_FOLDER=2]="ROOT_FOLDER"})(ye||(e.FileKind=ye={})),e.$vl="";function Se(ae){if(!(typeof ae.size!="number"||typeof ae.mtime!="number"))return ae.mtime.toString(29)+ae.size.toString(31)}async function fe(ae,Ne){if(!Ne.hasProvider(A.URI.from({scheme:ae.scheme})))return new Promise(ne=>{const z=Ne.onDidChangeFileSystemProviderRegistrations(x=>{x.scheme===ae.scheme&&x.added&&(z.dispose(),ne())})})}class $e{static{this.KB=1024}static{this.MB=$e.KB*$e.KB}static{this.GB=$e.MB*$e.KB}static{this.TB=$e.GB*$e.KB}static formatSize(Ne){return(0,M.$ag)(Ne)||(Ne=0),Ne<$e.KB?(0,w.localize)(1,null,Ne.toFixed(0)):Ne<$e.MB?(0,w.localize)(2,null,(Ne/$e.KB).toFixed(2)):Ne<$e.GB?(0,w.localize)(3,null,(Ne/$e.MB).toFixed(2)):Ne<$e.TB?(0,w.localize)(4,null,(Ne/$e.GB).toFixed(2)):(0,w.localize)(5,null,(Ne/$e.TB).toFixed(2))}}e.$yl=$e;function Te(ae){const Ne=typeof ae=="string"||ae?.scheme===T.Schemas.vscodeRemote;return typeof ae!="string"&&ae?.scheme===T.Schemas.file?1024*$e.MB:Ne?10*$e.MB:E.$o?50*$e.MB:1024*$e.MB}}),define(Ie[72],Pe([1,0]),function(le,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$ui=void 0;class I{constructor(...R){this.a=new Map;for(const[M,A]of R)this.set(M,A)}set(R,M){const A=this.a.get(R);return this.a.set(R,M),A}has(R){return this.a.has(R)}get(R){return this.a.get(R)}}e.$ui=I}),define(Ie[199],Pe([1,0,11,14,6,71,198,3,72,200]),function(le,e,I,O,R,M,A,w,p,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$dr=e.$cr=void 0;const T=!1;class D extends Error{constructor(o){super("cyclic dependency between services"),this.message=o.findCycleSlow()??`UNABLE to detect cycle, dumping graph: 
${o.toString()}`}}class d{constructor(o=new p.$ui,s=!1,i,n=T){this.i=o,this.j=s,this.k=i,this.l=n,this.f=!1,this.g=new Set,this.h=new Set,this.t=new Set,this.i.set(w.$vi,this),this._globalGraph=n?i?._globalGraph??new A.$br(c=>c):void 0}dispose(){if(!this.f){this.f=!0,(0,R.$Qc)(this.h),this.h.clear();for(const o of this.g)(0,R.$Pc)(o)&&o.dispose();this.g.clear()}}m(){if(this.f)throw new Error("InstantiationService has been disposed")}createChild(o){this.m();const s=new class extends d{dispose(){this.h.delete(s),super.dispose()}}(o,this.j,this,this.l);return this.h.add(s),s}invokeFunction(o,...s){this.m();const i=m.traceInvocation(this.l,o);let n=!1;try{return o({get:l=>{if(n)throw(0,O.$8)("service accessor is only valid during the invocation of its target method");const t=this.s(l,i);if(!t)throw new Error(`[invokeFunction] unknown service '${l}'`);return t}},...s)}finally{n=!0,i.stop()}}createInstance(o,...s){this.m();let i,n;return o instanceof M.$ti?(i=m.traceCreation(this.l,o.ctor),n=this.o(o.ctor,o.staticArguments.concat(s),i)):(i=m.traceCreation(this.l,o),n=this.o(o,s,i)),i.stop(),n}o(o,s=[],i){const n=w._util.getServiceDependencies(o).sort((t,f)=>t.index-f.index),c=[];for(const t of n){const f=this.s(t.id,i);f||this.y(`[createInstance] ${o.name} depends on UNKNOWN service ${t.id}.`,!1),c.push(f)}const l=n.length>0?n[0].index:s.length;if(s.length!==l){console.trace(`[createInstance] First service dependency of ${o.name} at position ${l+1} conflicts with ${s.length} static arguments`);const t=l-s.length;t>0?s=s.concat(new Array(t)):s=s.slice(0,l)}return Reflect.construct(o,s.concat(c))}q(o,s){if(this.i.get(o)instanceof M.$ti)this.i.set(o,s);else if(this.k)this.k.q(o,s);else throw new Error("illegalState - setting UNKNOWN service instance")}r(o){const s=this.i.get(o);return!s&&this.k?this.k.r(o):s}s(o,s){this._globalGraph&&this.c&&this._globalGraph.insertEdge(this.c,String(o));const i=this.r(o);return i instanceof M.$ti?this.u(o,i,s.branch(o,!0)):(s.branch(o,!1),i)}u(o,s,i){if(this.t.has(o))throw new Error(`illegal state - RECURSIVELY instantiating service '${o}'`);this.t.add(o);try{return this.v(o,s,i)}finally{this.t.delete(o)}}v(o,s,i){const n=new A.$br(t=>t.id.toString());let c=0;const l=[{id:o,desc:s,_trace:i}];for(;l.length;){const t=l.pop();if(n.lookupOrInsertNode(t),c++>1e3)throw new D(n);for(const f of w._util.getServiceDependencies(t.desc.ctor)){const a=this.r(f.id);if(a||this.y(`[createInstance] ${o} depends on ${f.id} which is NOT registered.`,!0),this._globalGraph?.insertEdge(String(t.id),String(f.id)),a instanceof M.$ti){const $={id:f.id,desc:a,_trace:t._trace.branch(f.id,!0)};n.insertEdge(t,$),l.push($)}}}for(;;){const t=n.roots();if(t.length===0){if(!n.isEmpty())throw new D(n);break}for(const{data:f}of t){if(this.r(f.id)instanceof M.$ti){const $=this.w(f.id,f.desc.ctor,f.desc.staticArguments,f.desc.supportsDelayedInstantiation,f._trace);this.q(f.id,$)}n.removeNode(f)}}return this.r(o)}w(o,s,i=[],n,c){if(this.i.get(o)instanceof M.$ti)return this.x(o,s,i,n,c,this.g);if(this.k)return this.k.w(o,s,i,n,c);throw new Error(`illegalState - creating UNKNOWN service instance ${s.name}`)}x(o,s,i=[],n,c,l){if(n){const t=new d(void 0,this.j,this,this.l);t.c=String(o);const f=new Map,a=new I.$Ph(()=>{const $=t.o(s,i,c);for(const[u,S]of f){const h=$[u];if(typeof h=="function")for(const v of S)v.disposable=h.apply($,v.listener)}return f.clear(),l.add($),$});return new Proxy(Object.create(null),{get($,u){if(!a.isInitialized&&typeof u=="string"&&(u.startsWith("onDid")||u.startsWith("onWill"))){let v=f.get(u);return v||(v=new E.$6c,f.set(u,v)),(k,y,C)=>{if(a.isInitialized)return a.value[u](k,y,C);{const P={listener:[k,y,C],disposable:void 0},W=v.push(P);return(0,R.$Tc)(()=>{W(),P.disposable?.dispose()})}}}if(u in $)return $[u];const S=a.value;let h=S[u];return typeof h!="function"||(h=h.bind(S),$[u]=h),h},set($,u,S){return a.value[u]=S,!0},getPrototypeOf($){return s.prototype}})}else{const t=this.o(s,i,c);return l.add(t),t}}y(o,s){if(s&&console.warn(o),this.j)throw new Error(o)}}e.$cr=d;var b;(function(r){r[r.None=0]="None",r[r.Creation=1]="Creation",r[r.Invocation=2]="Invocation",r[r.Branch=3]="Branch"})(b||(b={}));class m{static{this.all=new Set}static{this.c=new class extends m{constructor(){super(0,null)}stop(){}branch(){return this}}}static traceInvocation(o,s){return o?new m(2,s.name||new Error().stack.split(`
`).slice(3,4).join(`
`)):m.c}static traceCreation(o,s){return o?new m(1,s.name):m.c}static{this.f=0}constructor(o,s){this.type=o,this.name=s,this.g=Date.now(),this.h=[]}branch(o,s){const i=new m(3,o.toString());return this.h.push([o,s,i]),i}stop(){const o=Date.now()-this.g;m.f+=o;let s=!1;function i(c,l){const t=[],f=new Array(c+1).join("	");for(const[a,$,u]of l.h)if($&&u){s=!0,t.push(`${f}CREATES -> ${a}`);const S=i(c+1,u);S&&t.push(S)}else t.push(`${f}uses -> ${a}`);return t.join(`
`)}const n=[`${this.type===1?"CREATE":"CALL"} ${this.name}`,`${i(1,this)}`,`DONE, took ${o.toFixed(2)}ms (grand total ${m.f.toFixed(2)}ms)`];(o>2||s)&&m.all.add(n.join(`
`))}}e.$dr=m}),define(Ie[12],Pe([1,0,166,44,5,73,6,28,22,23,15,2,31,3]),function(le,e,I,O,R,M,A,w,p,E,T,D,d,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$ik=e.$dk=e.$ck=e.$bk=e.$ak=e.$_j=e.$$j=e.$0j=e.$9j=e.$8j=e.$6j=e.LogLevel=e.$4j=e.$3j=void 0,e.$5j=r,e.log=s,e.$ek=h,e.$fk=v,e.$gk=g,e.$hk=k,e.$3j=(0,b.$wi)("logService"),e.$4j=(0,b.$wi)("loggerService");function m(){return new Date().toISOString()}function r(y){return(0,T.$ag)(y)}var o;(function(y){y[y.Off=0]="Off",y[y.Trace=1]="Trace",y[y.Debug=2]="Debug",y[y.Info=3]="Info",y[y.Warning=4]="Warning",y[y.Error=5]="Error"})(o||(e.LogLevel=o={})),e.$6j=o.Info;function s(y,C,P){switch(C){case o.Trace:y.trace(P);break;case o.Debug:y.debug(P);break;case o.Info:y.info(P);break;case o.Warning:y.warn(P);break;case o.Error:y.error(P);break;case o.Off:break;default:throw new Error(`Invalid log level ${C}`)}}function i(y,C=!1){let P="";for(let W=0;W<y.length;W++){let V=y[W];if(V instanceof Error&&(V=(0,O.$hj)(V,C)),typeof V=="object")try{V=JSON.stringify(V)}catch{}P+=(W>0?" ":"")+V}return P}class n extends A.$Vc{constructor(){super(...arguments),this.b=e.$6j,this.c=this.B(new R.$ee),this.onDidChangeLogLevel=this.c.event}setLevel(C){this.b!==C&&(this.b=C,this.c.fire(this.b))}getLevel(){return this.b}f(C){return this.b!==o.Off&&this.b<=C}}e.$8j=n;class c extends n{constructor(C){super(),this.h=C}f(C){return this.h||super.f(C)}trace(C,...P){this.f(o.Trace)&&this.g(o.Trace,i([C,...P],!0))}debug(C,...P){this.f(o.Debug)&&this.g(o.Debug,i([C,...P]))}info(C,...P){this.f(o.Info)&&this.g(o.Info,i([C,...P]))}warn(C,...P){this.f(o.Warning)&&this.g(o.Warning,i([C,...P]))}error(C,...P){if(this.f(o.Error))if(C instanceof Error){const W=Array.prototype.slice.call(arguments);W[0]=C.stack,this.g(o.Error,i(W))}else this.g(o.Error,i([C,...P]))}flush(){}}e.$9j=c;class l extends n{constructor(C=e.$6j){super(),this.setLevel(C),this.g=!p.$i}trace(C,...P){this.f(o.Trace)&&(this.g?console.log(`\x1B[90m[main ${m()}]\x1B[0m`,C,...P):console.log(`[main ${m()}]`,C,...P))}debug(C,...P){this.f(o.Debug)&&(this.g?console.log(`\x1B[90m[main ${m()}]\x1B[0m`,C,...P):console.log(`[main ${m()}]`,C,...P))}info(C,...P){this.f(o.Info)&&(this.g?console.log(`\x1B[90m[main ${m()}]\x1B[0m`,C,...P):console.log(`[main ${m()}]`,C,...P))}warn(C,...P){this.f(o.Warning)&&(this.g?console.warn(`\x1B[93m[main ${m()}]\x1B[0m`,C,...P):console.warn(`[main ${m()}]`,C,...P))}error(C,...P){this.f(o.Error)&&(this.g?console.error(`\x1B[91m[main ${m()}]\x1B[0m`,C,...P):console.error(`[main ${m()}]`,C,...P))}flush(){}}e.$0j=l;class t extends n{constructor(C=e.$6j,P=!0){super(),this.g=P,this.setLevel(C)}trace(C,...P){this.f(o.Trace)&&(this.g?console.log("%cTRACE","color: #888",C,...P):console.log(C,...P))}debug(C,...P){this.f(o.Debug)&&(this.g?console.log("%cDEBUG","background: #eee; color: #888",C,...P):console.log(C,...P))}info(C,...P){this.f(o.Info)&&(this.g?console.log("%c INFO","color: #33f",C,...P):console.log(C,...P))}warn(C,...P){this.f(o.Warning)&&(this.g?console.log("%c WARN","color: #993",C,...P):console.log(C,...P))}error(C,...P){this.f(o.Error)&&(this.g?console.log("%c  ERR","color: #f33",C,...P):console.error(C,...P))}flush(){}}e.$$j=t;class f extends n{constructor(C,P=e.$6j){super(),this.g=C,this.setLevel(P)}trace(C,...P){this.f(o.Trace)&&this.g.log(o.Trace,[this.h(C),...P])}debug(C,...P){this.f(o.Debug)&&this.g.log(o.Debug,[this.h(C),...P])}info(C,...P){this.f(o.Info)&&this.g.log(o.Info,[this.h(C),...P])}warn(C,...P){this.f(o.Warning)&&this.g.log(o.Warning,[this.h(C),...P])}error(C,...P){this.f(o.Error)&&this.g.log(o.Error,[this.h(C),...P])}h(C){return typeof C=="string"?C:(0,O.$hj)(C,this.f(o.Trace))}flush(){}}e.$_j=f;class a extends n{constructor(C){super(),this.g=C,C.length&&this.setLevel(C[0].getLevel())}setLevel(C){for(const P of this.g)P.setLevel(C);super.setLevel(C)}trace(C,...P){for(const W of this.g)W.trace(C,...P)}debug(C,...P){for(const W of this.g)W.debug(C,...P)}info(C,...P){for(const W of this.g)W.info(C,...P)}warn(C,...P){for(const W of this.g)W.warn(C,...P)}error(C,...P){for(const W of this.g)W.error(C,...P)}flush(){for(const C of this.g)C.flush()}dispose(){for(const C of this.g)C.dispose();super.dispose()}}e.$ak=a;class $ extends A.$Vc{constructor(C,P,W){if(super(),this.h=C,this.j=P,this.b=new w.$Bc,this.c=this.B(new R.$ee),this.onDidChangeLoggers=this.c.event,this.f=this.B(new R.$ee),this.onDidChangeLogLevel=this.f.event,this.g=this.B(new R.$ee),this.onDidChangeVisibility=this.g.event,W)for(const V of W)this.b.set(V.resource,{logger:void 0,info:V})}m(C){return(0,T.$9f)(C)?[...this.b.values()].find(P=>P.info.id===C):this.b.get(C)}getLogger(C){return this.m(C)?.logger}createLogger(C,P){const W=this.n(C),V=(0,T.$9f)(C)?C:P?.id??(0,M.$kj)(W.toString()).toString(16);let q=this.b.get(W)?.logger;const N=P?.logLevel==="always"?o.Trace:P?.logLevel;q||(q=this.s(W,N??this.getLogLevel(W)??this.h,{...P,id:V}));const j={logger:q,info:{resource:W,id:V,logLevel:N,name:P?.name,hidden:P?.hidden,extensionId:P?.extensionId,when:P?.when}};return this.registerLogger(j.info),this.b.set(W,j),q}n(C){return(0,T.$9f)(C)?(0,E.$0g)(this.j,`${C}.log`):C}setLogLevel(C,P){if(D.URI.isUri(C)){const W=C,V=P,q=this.b.get(W);q&&V!==q.info.logLevel&&(q.info.logLevel=V===this.h?void 0:V,q.logger?.setLevel(V),this.b.set(q.info.resource,q),this.f.fire([W,V]))}else{this.h=C;for(const[W,V]of this.b.entries())this.b.get(W)?.info.logLevel===void 0&&V.logger?.setLevel(this.h);this.f.fire(this.h)}}setVisibility(C,P){const W=this.m(C);W&&P!==!W.info.hidden&&(W.info.hidden=!P,this.b.set(W.info.resource,W),this.g.fire([W.info.resource,P]))}getLogLevel(C){let P;return C&&(P=this.b.get(C)?.info.logLevel),P??this.h}registerLogger(C){const P=this.b.get(C.resource);P?P.info.hidden!==C.hidden&&this.setVisibility(C.resource,!C.hidden):(this.b.set(C.resource,{info:C,logger:void 0}),this.c.fire({added:[C],removed:[]}))}deregisterLogger(C){const P=this.b.get(C);P&&(P.logger&&P.logger.dispose(),this.b.delete(C),this.c.fire({added:[],removed:[P.info]}))}*getRegisteredLoggers(){for(const C of this.b.values())yield C.info}getRegisteredLogger(C){return this.b.get(C)?.info}dispose(){this.b.forEach(C=>C.logger?.dispose()),this.b.clear(),super.dispose()}}e.$bk=$;class u{constructor(){this.onDidChangeLogLevel=new R.$ee().event}setLevel(C){}getLevel(){return o.Info}trace(C,...P){}debug(C,...P){}info(C,...P){}warn(C,...P){}error(C,...P){}critical(C,...P){}dispose(){}flush(){}}e.$ck=u;class S extends u{}e.$dk=S;function h(y){if(y.verbose)return o.Trace;if(typeof y.logLevel=="string"){const C=k(y.logLevel.toLowerCase());if(C!==void 0)return C}return e.$6j}function v(y){switch(y){case o.Trace:return"trace";case o.Debug:return"debug";case o.Info:return"info";case o.Warning:return"warn";case o.Error:return"error";case o.Off:return"off"}}function g(y){switch(y){case o.Trace:return{original:"Trace",value:I.localize(0,null)};case o.Debug:return{original:"Debug",value:I.localize(1,null)};case o.Info:return{original:"Info",value:I.localize(2,null)};case o.Warning:return{original:"Warning",value:I.localize(3,null)};case o.Error:return{original:"Error",value:I.localize(4,null)};case o.Off:return{original:"Off",value:I.localize(5,null)}}}function k(y){switch(y){case"trace":return o.Trace;case"debug":return o.Debug;case"info":return o.Info;case"warn":return o.Warning;case"error":return o.Error;case"critical":return o.Error;case"off":return o.Off}}e.$ik=new d.$Nj("logLevel",v(o.Info))}),define(Ie[201],Pe([1,0,6,12]),function(le,e,I,O){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$UQ=void 0;class R extends I.$Vc{constructor(A,w=[]){super(),this.a=new O.$ak([A,...w]),this.B(A.onDidChangeLogLevel(p=>this.setLevel(p)))}get onDidChangeLogLevel(){return this.a.onDidChangeLogLevel}setLevel(A){this.a.setLevel(A)}getLevel(){return this.a.getLevel()}trace(A,...w){this.a.trace(A,...w)}debug(A,...w){this.a.debug(A,...w)}info(A,...w){this.a.info(A,...w)}warn(A,...w){this.a.warn(A,...w)}error(A,...w){this.a.error(A,...w)}flush(){this.a.flush()}}e.$UQ=R}),define(Ie[101],Pe([1,0,33,167,3]),function(le,e,I,O,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$7t=e.IMarkerData=e.MarkerSeverity=e.MarkerTag=void 0;var M;(function(p){p[p.Unnecessary=1]="Unnecessary",p[p.Deprecated=2]="Deprecated"})(M||(e.MarkerTag=M={}));var A;(function(p){p[p.Hint=1]="Hint",p[p.Info=2]="Info",p[p.Warning=4]="Warning",p[p.Error=8]="Error"})(A||(e.MarkerSeverity=A={})),function(p){function E(m,r){return r-m}p.compare=E;const T=Object.create(null);T[p.Error]=(0,O.localize)(0,null),T[p.Warning]=(0,O.localize)(1,null),T[p.Info]=(0,O.localize)(2,null);function D(m){return T[m]||""}p.toString=D;function d(m){switch(m){case I.default.Error:return p.Error;case I.default.Warning:return p.Warning;case I.default.Info:return p.Info;case I.default.Ignore:return p.Hint}}p.fromSeverity=d;function b(m){switch(m){case p.Error:return I.default.Error;case p.Warning:return I.default.Warning;case p.Info:return I.default.Info;case p.Hint:return I.default.Ignore}}p.toSeverity=b}(A||(e.MarkerSeverity=A={}));var w;(function(p){const E="";function T(d){return D(d,!0)}p.makeKey=T;function D(d,b){const m=[E];return d.source?m.push(d.source.replace("\xA6","\\\xA6")):m.push(E),d.code?typeof d.code=="string"?m.push(d.code.replace("\xA6","\\\xA6")):m.push(d.code.value.replace("\xA6","\\\xA6")):m.push(E),d.severity!==void 0&&d.severity!==null?m.push(A.toString(d.severity)):m.push(E),d.message&&b?m.push(d.message.replace("\xA6","\\\xA6")):m.push(E),d.startLineNumber!==void 0&&d.startLineNumber!==null?m.push(d.startLineNumber.toString()):m.push(E),d.startColumn!==void 0&&d.startColumn!==null?m.push(d.startColumn.toString()):m.push(E),d.endLineNumber!==void 0&&d.endLineNumber!==null?m.push(d.endLineNumber.toString()):m.push(E),d.endColumn!==void 0&&d.endColumn!==null?m.push(d.endColumn.toString()):m.push(E),m.push(E),m.join("\xA6")}p.makeKeyOptionalMessage=D})(w||(e.IMarkerData=w={})),e.$7t=(0,R.$wi)("markerService")}),define(Ie[202],Pe([1,0,5,33,3]),function(le,e,I,O,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$aw=e.$_v=e.NotificationsFilter=e.NeverShowAgainScope=e.NotificationPriority=e.$0v=e.Severity=void 0,e.$$v=w,e.Severity=O.default,e.$0v=(0,R.$wi)("notificationService");var M;(function(D){D[D.DEFAULT=0]="DEFAULT",D[D.SILENT=1]="SILENT",D[D.URGENT=2]="URGENT"})(M||(e.NotificationPriority=M={}));var A;(function(D){D[D.WORKSPACE=0]="WORKSPACE",D[D.PROFILE=1]="PROFILE",D[D.APPLICATION=2]="APPLICATION"})(A||(e.NeverShowAgainScope=A={}));function w(D){if(D){const d=D;return typeof d.id=="string"&&typeof d.label=="string"}return!1}var p;(function(D){D[D.OFF=0]="OFF",D[D.ERROR=1]="ERROR"})(p||(e.NotificationsFilter=p={}));class E{constructor(){this.progress=new T,this.onDidClose=I.Event.None,this.onDidChangeVisibility=I.Event.None}updateSeverity(d){}updateMessage(d){}updateActions(d){}close(){}}e.$_v=E;class T{infinite(){}done(){}total(d){}worked(d){}}e.$aw=T}),define(Ie[102],Pe([1,0,3]),function(le,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$kk=e.$jk=void 0,e.$jk=(0,I.$wi)("productService"),e.$kk="vscode://schemas/vscode-product"});var Je=this&&this.__decorate||function(le,e,I,O){var R=arguments.length,M=R<3?e:O===null?O=Object.getOwnPropertyDescriptor(e,I):O,A;if(typeof Reflect=="object"&&typeof Reflect.decorate=="function")M=Reflect.decorate(le,e,I,O);else for(var w=le.length-1;w>=0;w--)(A=le[w])&&(M=(R<3?A(M):R>3?A(e,I,M):A(e,I))||M);return R>3&&M&&Object.defineProperty(e,I,M),M},We=this&&this.__param||function(le,e){return function(I,O){e(I,O,le)}};define(Ie[103],Pe([1,0,11,24,6,3]),function(le,e,I,O,R,M){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$hw=e.$gw=e.$fw=e.$ew=e.$dw=e.$cw=e.ProgressLocation=e.$bw=void 0,e.$bw=(0,M.$wi)("progressService");var A;(function(D){D[D.Explorer=1]="Explorer",D[D.Scm=3]="Scm",D[D.Extensions=5]="Extensions",D[D.Window=10]="Window",D[D.Notification=15]="Notification",D[D.Dialog=20]="Dialog"})(A||(e.ProgressLocation=A={})),e.$cw=Object.freeze({total(){},worked(){},done(){}});class w{static{this.None=Object.freeze({report(){}})}get value(){return this.a}constructor(d){this.b=d}report(d){this.a=d,this.b(this.a)}}e.$dw=w;class p{get value(){return this.a}constructor(d){this.e=d}report(d){this.b?this.b.push(d):this.b=[d],this.f()}async f(){if(!this.c)try{for(this.c=!0;this.b&&this.b.length;){const d=this.b.shift();this.a=d,await this.e(this.a)}}finally{this.c=!1;const d=this.d;this.d=void 0,d?.()}}drain(){return this.c?new Promise(d=>{const b=this.d;this.d=()=>{b?.(),d()}}):Promise.resolve()}}e.$ew=p;let E=class extends R.$Vc{constructor(d,b){super(),this.a=new I.$Th,b.withProgress(d,m=>(this.b=m,this.c&&m.report(this.c),this.a.p)),this.B((0,R.$Tc)(()=>this.a.complete()))}report(d){this.b?this.b.report(d):this.c=d}};e.$fw=E,e.$fw=E=Je([We(1,e.$bw)],E);class T extends R.$Vc{constructor(d){super(),this.g=d,this.a=0,this.b=this.B(new R.$Uc)}start(d){this.stop();const b=++this.a,m=new O.$pe;return this.f=setTimeout(()=>{b===this.a&&(this.c=this.g.show(!0))},d),this.b.add((0,R.$Tc)(()=>clearTimeout(this.f))),this.b.add((0,R.$Tc)(()=>m.cancel())),this.b.add((0,R.$Tc)(()=>this.c?this.c.done():void 0)),{id:b,token:m.token,stop:()=>this.h(b),isCurrent:()=>this.a===b}}stop(){this.h(this.a)}h(d){this.a===d&&this.b.clear()}}e.$gw=T,e.$hw=(0,M.$wi)("editorProgressService")}),define(Ie[29],Pe([1,0,57,15]),function(le,e,I,O){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$co=void 0;class R{constructor(){this.a=new Map}add(A,w){I.ok(O.$9f(A)),I.ok(O.$$f(w)),I.ok(!this.a.has(A),"There is already an extension with this id"),this.a.set(A,w)}knows(A){return this.a.has(A)}as(A){return this.a.get(A)||null}}e.$co=new R}),define(Ie[74],Pe([1,0,5,29]),function(le,e,I,O){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$do=void 0,e.$do={JSONContribution:"base.contributions.json"};function R(w){return w.length>0&&w.charAt(w.length-1)==="#"?w.substring(0,w.length-1):w}class M{constructor(){this.b=new I.$ee,this.onDidChangeSchema=this.b.event,this.a={}}registerSchema(p,E){this.a[R(p)]=E,this.b.fire(p)}notifySchemaChanged(p){this.b.fire(p)}getSchemaContributions(){return{schemas:this.a}}}const A=new M;O.$co.add(e.$do.JSONContribution,A)}),define(Ie[51],Pe([1,0,18,5,15,160,50,74,29]),function(le,e,I,O,R,M,A,w,p){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$ro=e.$qo=e.$po=e.$oo=e.$no=e.$mo=e.$lo=e.$ko=e.$jo=e.$io=e.ConfigurationScope=e.$ho=e.EditPresentationTypes=void 0,e.$so=r,e.$to=o,e.$uo=s,e.$vo=n,e.$wo=c;var E;(function(l){l.Multiline="multilineText",l.Singleline="singlelineText"})(E||(e.EditPresentationTypes=E={})),e.$ho={Configuration:"base.contributions.configuration"};var T;(function(l){l[l.APPLICATION=1]="APPLICATION",l[l.MACHINE=2]="MACHINE",l[l.WINDOW=3]="WINDOW",l[l.RESOURCE=4]="RESOURCE",l[l.LANGUAGE_OVERRIDABLE=5]="LANGUAGE_OVERRIDABLE",l[l.MACHINE_OVERRIDABLE=6]="MACHINE_OVERRIDABLE"})(T||(e.ConfigurationScope=T={})),e.$io={properties:{},patternProperties:{}},e.$jo={properties:{},patternProperties:{}},e.$ko={properties:{},patternProperties:{}},e.$lo={properties:{},patternProperties:{}},e.$mo={properties:{},patternProperties:{}},e.$no={properties:{},patternProperties:{}},e.$oo="vscode://schemas/settings/resourceLanguage",e.$po="vscode://schemas/settings/configurationDefaults";const D=p.$co.as(w.$do.JSONContribution);class d{constructor(){this.h=new Set,this.i=new O.$ee,this.onDidSchemaChange=this.i.event,this.j=new O.$ee,this.onDidUpdateConfiguration=this.j.event,this.a=new Map,this.b={id:"defaultOverrides",title:M.localize(0,null),properties:{}},this.c=[this.b],this.g={properties:{},patternProperties:{},additionalProperties:!0,allowTrailingCommas:!0,allowComments:!0},this.d={},this.e=new Map,this.f={},D.registerSchema(e.$oo,this.g),this.v()}registerConfiguration(t,f=!0){this.registerConfigurations([t],f)}registerConfigurations(t,f=!0){const a=new Set;this.n(t,f,a),D.registerSchema(e.$oo,this.g),this.i.fire(),this.j.fire({properties:a})}deregisterConfigurations(t){const f=new Set;this.o(t,f),D.registerSchema(e.$oo,this.g),this.i.fire(),this.j.fire({properties:f})}updateConfigurations({add:t,remove:f}){const a=new Set;this.o(f,a),this.n(t,!1,a),D.registerSchema(e.$oo,this.g),this.i.fire(),this.j.fire({properties:a})}registerDefaultConfigurations(t){const f=new Set;this.k(t,f),this.i.fire(),this.j.fire({properties:f,defaultsOverrides:!0})}k(t,f){const a=[];for(const{overrides:$,source:u}of t)for(const S in $)if(f.add(S),e.$ro.test(S)){const h=this.a.get(S),v=h?.valuesSources??new Map;if(u)for(const C of Object.keys($[S]))v.set(C,u);const g={...h?.value||{},...$[S]};this.a.set(S,{source:u,value:g,valuesSources:v});const k=(0,A.$aj)(S),y={type:"object",default:g,description:M.localize(1,null,k),$ref:e.$oo,defaultDefaultValue:g,source:R.$9f(u)?void 0:u,defaultValueSource:u};a.push(...r(S)),this.d[S]=y,this.b.properties[S]=y}else{this.a.set(S,{value:$[S],source:u});const h=this.d[S];h&&(this.w(S,h),this.r(S,h))}this.m(a)}deregisterDefaultConfigurations(t){const f=new Set;this.l(t,f),this.i.fire(),this.j.fire({properties:f,defaultsOverrides:!0})}l(t,f){for(const{overrides:a,source:$}of t)for(const u in a){const S=this.a.get(u),h=R.$9f($)?$:$?.id,v=R.$9f(S?.source)?S?.source:S?.source?.id;if(h===v)if(f.add(u),this.a.delete(u),e.$ro.test(u))delete this.d[u],delete this.b.properties[u];else{const g=this.d[u];g&&(this.w(u,g),this.r(u,g))}}this.u()}deltaConfiguration(t){let f=!1;const a=new Set;t.removedDefaults&&(this.l(t.removedDefaults,a),f=!0),t.addedDefaults&&(this.k(t.addedDefaults,a),f=!0),t.removedConfigurations&&this.o(t.removedConfigurations,a),t.addedConfigurations&&this.n(t.addedConfigurations,!1,a),this.i.fire(),this.j.fire({properties:a,defaultsOverrides:f})}notifyConfigurationSchemaUpdated(...t){this.i.fire()}registerOverrideIdentifiers(t){this.m(t),this.i.fire()}m(t){for(const f of t)this.h.add(f);this.u()}n(t,f,a){t.forEach($=>{this.p($,f,$.extensionInfo,$.restrictedProperties,void 0,a),this.c.push($),this.q($)})}o(t,f){const a=$=>{if($.properties)for(const u in $.properties){f.add(u);const S=this.d[u];S?.policy?.name&&this.e.delete(S.policy.name),delete this.d[u],this.s(u,$.properties[u])}$.allOf?.forEach(u=>a(u))};for(const $ of t){a($);const u=this.c.indexOf($);u!==-1&&this.c.splice(u,1)}}p(t,f=!0,a,$,u=3,S){u=R.$fg(t.scope)?u:t.scope;const h=t.properties;if(h)for(const g in h){const k=h[g];if(f&&n(g,k)){delete h[g];continue}if(k.source=a,k.defaultDefaultValue=h[g].default,this.w(g,k),e.$ro.test(g)?k.scope=void 0:(k.scope=R.$fg(k.scope)?u:k.scope,k.restricted=R.$fg(k.restricted)?!!$?.includes(g):k.restricted),h[g].hasOwnProperty("included")&&!h[g].included){this.f[g]=h[g],delete h[g];continue}else this.d[g]=h[g],h[g].policy?.name&&this.e.set(h[g].policy.name,g);!h[g].deprecationMessage&&h[g].markdownDeprecationMessage&&(h[g].deprecationMessage=h[g].markdownDeprecationMessage),S.add(g)}const v=t.allOf;if(v)for(const g of v)this.p(g,f,a,$,u,S)}getConfigurations(){return this.c}getConfigurationProperties(){return this.d}getPolicyConfigurations(){return this.e}getExcludedConfigurationProperties(){return this.f}getConfigurationDefaultsOverrides(){return this.a}q(t){const f=a=>{const $=a.properties;if($)for(const S in $)this.r(S,$[S]);a.allOf?.forEach(f)};f(t)}r(t,f){switch(e.$io.properties[t]=f,f.scope){case 1:e.$jo.properties[t]=f;break;case 2:e.$ko.properties[t]=f;break;case 6:e.$lo.properties[t]=f;break;case 3:e.$mo.properties[t]=f;break;case 4:e.$no.properties[t]=f;break;case 5:e.$no.properties[t]=f,this.g.properties[t]=f;break}}s(t,f){switch(delete e.$io.properties[t],f.scope){case 1:delete e.$jo.properties[t];break;case 2:delete e.$ko.properties[t];break;case 6:delete e.$lo.properties[t];break;case 3:delete e.$mo.properties[t];break;case 4:case 5:delete e.$no.properties[t],delete this.g.properties[t];break}}u(){for(const t of this.h.values()){const f=`[${t}]`,a={type:"object",description:M.localize(2,null),errorMessage:M.localize(3,null),$ref:e.$oo};this.w(f,a),e.$io.properties[f]=a,e.$jo.properties[f]=a,e.$ko.properties[f]=a,e.$lo.properties[f]=a,e.$mo.properties[f]=a,e.$no.properties[f]=a}}v(){const t={type:"object",description:M.localize(4,null),errorMessage:M.localize(5,null),$ref:e.$oo};e.$io.patternProperties[e.$qo]=t,e.$jo.patternProperties[e.$qo]=t,e.$ko.patternProperties[e.$qo]=t,e.$lo.patternProperties[e.$qo]=t,e.$mo.patternProperties[e.$qo]=t,e.$no.patternProperties[e.$qo]=t,this.i.fire()}w(t,f){const a=this.a.get(t);let $=a?.value,u=a?.source;R.$dg($)&&($=f.defaultDefaultValue,u=void 0),R.$dg($)&&($=s(f.type)),f.default=$,f.defaultValueSource=u}}const b="\\[([^\\]]+)\\]",m=new RegExp(b,"g");e.$qo=`^(${b})+$`,e.$ro=new RegExp(e.$qo);function r(l){const t=[];if(e.$ro.test(l)){let f=m.exec(l);for(;f?.length;){const a=f[1].trim();a&&t.push(a),f=m.exec(l)}}return(0,I.$Mb)(t)}function o(l){return l.reduce((t,f)=>`${t}[${f}]`,"")}function s(l){switch(Array.isArray(l)?l[0]:l){case"boolean":return!1;case"integer":case"number":return 0;case"string":return"";case"array":return[];case"object":return{};default:return null}}const i=new d;p.$co.add(e.$ho.Configuration,i);function n(l,t){return l.trim()?e.$ro.test(l)?M.localize(7,null,l):i.getConfigurationProperties()[l]!==void 0?M.localize(8,null,l):t.policy?.name&&i.getPolicyConfigurations().get(t.policy?.name)!==void 0?M.localize(9,null,l,t.policy?.name,i.getPolicyConfigurations().get(t.policy?.name)):null:M.localize(6,null)}function c(){const l=[],t=i.getConfigurationProperties();for(const f of Object.keys(t))l.push([f,t[f].scope]);return l.push(["launch",4]),l.push(["task",4]),l}}),define(Ie[203],Pe([1,0,18,5,126,6,28,25,15,2,50,51,29]),function(le,e,I,O,R,M,A,w,p,E,T,D,d){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Co=e.$Ao=e.$zo=e.$yo=e.$xo=void 0,e.$Bo=n;function b(f){return Object.isFrozen(f)?f:w.$4n(f)}class m{static createEmptyModel(a){return new m({},[],[],void 0,a)}constructor(a,$,u,S,h){this.b=a,this.c=$,this.d=u,this.raw=S,this.f=h,this.a=new Map}get rawConfiguration(){if(!this.g)if(this.raw?.length){const a=this.raw.map($=>{if($ instanceof m)return $;const u=new r("",this.f);return u.parseRaw($),u.configurationModel});this.g=a.reduce(($,u)=>u===$?u:$.merge(u),a[0])}else this.g=this;return this.g}get contents(){return this.b}get overrides(){return this.d}get keys(){return this.c}isEmpty(){return this.c.length===0&&Object.keys(this.b).length===0&&this.d.length===0}getValue(a){return a?(0,T.$$i)(this.contents,a):this.contents}inspect(a,$){const u=this;return{get value(){return b(u.rawConfiguration.getValue(a))},get override(){return $?b(u.rawConfiguration.getOverrideValue(a,$)):void 0},get merged(){return b($?u.rawConfiguration.override($).getValue(a):u.rawConfiguration.getValue(a))},get overrides(){const S=[];for(const{contents:h,identifiers:v,keys:g}of u.rawConfiguration.overrides){const k=new m(h,g,[],void 0,u.f).getValue(a);k!==void 0&&S.push({identifiers:v,value:k})}return S.length?b(S):void 0}}}getOverrideValue(a,$){const u=this.j($);return u?a?(0,T.$$i)(u,a):u:void 0}getKeysForOverrideIdentifier(a){const $=[];for(const u of this.overrides)u.identifiers.includes(a)&&$.push(...u.keys);return I.$Mb($)}getAllOverrideIdentifiers(){const a=[];for(const $ of this.overrides)a.push(...$.identifiers);return I.$Mb(a)}override(a){let $=this.a.get(a);return $||($=this.h(a),this.a.set(a,$)),$}merge(...a){const $=w.$3n(this.contents),u=w.$3n(this.overrides),S=[...this.keys],h=this.raw?.length?[...this.raw]:[this];for(const v of a)if(h.push(...v.raw?.length?v.raw:[v]),!v.isEmpty()){this.i($,v.contents);for(const g of v.overrides){const[k]=u.filter(y=>I.$ub(y.identifiers,g.identifiers));k?(this.i(k.contents,g.contents),k.keys.push(...g.keys),k.keys=I.$Mb(k.keys)):u.push(w.$3n(g))}for(const g of v.keys)S.indexOf(g)===-1&&S.push(g)}return new m($,S,u,h.every(v=>v instanceof m)?void 0:h,this.f)}h(a){const $=this.j(a);if(!$||typeof $!="object"||!Object.keys($).length)return this;const u={};for(const S of I.$Mb([...Object.keys(this.contents),...Object.keys($)])){let h=this.contents[S];const v=$[S];v&&(typeof h=="object"&&typeof v=="object"?(h=w.$3n(h),this.i(h,v)):h=v),u[S]=h}return new m(u,this.keys,this.overrides,void 0,this.f)}i(a,$){for(const u of Object.keys($)){if(u in a&&p.$$f(a[u])&&p.$$f($[u])){this.i(a[u],$[u]);continue}a[u]=w.$3n($[u])}}j(a){let $=null,u=null;const S=h=>{h&&(u?this.i(u,h):u=w.$3n(h))};for(const h of this.overrides)h.identifiers.length===1&&h.identifiers[0]===a?$=h.contents:h.identifiers.includes(a)&&S(h.contents);return S($),u}toJSON(){return{contents:this.contents,overrides:this.overrides,keys:this.keys}}addValue(a,$){this.k(a,$,!0)}setValue(a,$){this.k(a,$,!1)}removeValue(a){const $=this.keys.indexOf(a);$!==-1&&(this.keys.splice($,1),(0,T.$0i)(this.contents,a),D.$ro.test(a)&&this.overrides.splice(this.overrides.findIndex(u=>I.$ub(u.identifiers,(0,D.$so)(a))),1))}k(a,$,u){(0,T.$9i)(this.contents,a,$,S=>this.f.error(S)),u=u||this.keys.indexOf(a)===-1,u&&this.keys.push(a),D.$ro.test(a)&&this.overrides.push({identifiers:(0,D.$so)(a),keys:Object.keys(this.contents[a]),contents:(0,T.$8i)(this.contents[a],S=>this.f.error(S))})}}e.$xo=m;class r{constructor(a,$){this.f=a,this.g=$,this.a=null,this.b=null,this.c=[],this.d=[]}get configurationModel(){return this.b||m.createEmptyModel(this.g)}get restrictedConfigurations(){return this.c}get errors(){return this.d}parse(a,$){if(!p.$fg(a)){const u=this.h(a);this.parseRaw(u,$)}}reparse(a){this.a&&this.parseRaw(this.a,a)}parseRaw(a,$){this.a=a;const{contents:u,keys:S,overrides:h,restricted:v,hasExcludedProperties:g}=this.i(a,$);this.b=new m(u,S,h,g?[a]:void 0,this.g),this.c=v||[]}h(a){let $={},u=null,S=[];const h=[],v=[];function g(y){Array.isArray(S)?S.push(y):u!==null&&(S[u]=y)}const k={onObjectBegin:()=>{const y={};g(y),h.push(S),S=y,u=null},onObjectProperty:y=>{u=y},onObjectEnd:()=>{S=h.pop()},onArrayBegin:()=>{const y=[];g(y),h.push(S),S=y,u=null},onArrayEnd:()=>{S=h.pop()},onLiteralValue:g,onError:(y,C,P)=>{v.push({error:y,offset:C,length:P})}};if(a)try{R.$Qn(a,k),$=S[0]||{}}catch(y){this.g.error(`Error while parsing settings file ${this.f}: ${y}`),this.d=[y]}return $}i(a,$){const u=d.$co.as(D.$ho.Configuration).getConfigurationProperties(),S=this.j(a,u,!0,$);a=S.raw;const h=(0,T.$8i)(a,k=>this.g.error(`Conflict in settings file ${this.f}: ${k}`)),v=Object.keys(a),g=this.l(a,k=>this.g.error(`Conflict in settings file ${this.f}: ${k}`));return{contents:h,keys:v,overrides:g,restricted:S.restricted,hasExcludedProperties:S.hasExcludedProperties}}j(a,$,u,S){let h=!1;if(!S?.scopes&&!S?.skipRestricted&&!S?.exclude?.length)return{raw:a,restricted:[],hasExcludedProperties:h};const v={},g=[];for(const k in a)if(D.$ro.test(k)&&u){const y=this.j(a[k],$,!1,S);v[k]=y.raw,h=h||y.hasExcludedProperties,g.push(...y.restricted)}else{const y=$[k],C=y?typeof y.scope<"u"?y.scope:3:void 0;y?.restricted&&g.push(k),!S.exclude?.includes(k)&&(S.include?.includes(k)||(C===void 0||S.scopes===void 0||S.scopes.includes(C))&&!(S.skipRestricted&&y?.restricted))?v[k]=a[k]:h=!0}return{raw:v,restricted:g,hasExcludedProperties:h}}l(a,$){const u=[];for(const S of Object.keys(a))if(D.$ro.test(S)){const h={};for(const v in a[S])h[v]=a[S][v];u.push({identifiers:(0,D.$so)(S),keys:Object.keys(h),contents:(0,T.$8i)(h,$)})}return u}}e.$yo=r;class o extends M.$Vc{constructor(a,$,u,S,h){super(),this.c=a,this.f=$,this.g=S,this.h=h,this.b=this.B(new O.$ee),this.onDidChange=this.b.event,this.a=new r(this.c.toString(),h),this.B(this.g.watch(u.dirname(this.c))),this.B(this.g.watch(this.c)),this.B(O.Event.any(O.Event.filter(this.g.onDidFilesChange,v=>v.contains(this.c)),O.Event.filter(this.g.onDidRunOperation,v=>(v.isOperation(0)||v.isOperation(3)||v.isOperation(1)||v.isOperation(4))&&u.isEqual(v.resource,a)))(()=>this.b.fire()))}async loadConfiguration(){try{const a=await this.g.readFile(this.c);return this.a.parse(a.value.toString()||"{}",this.f),this.a.configurationModel}catch{return m.createEmptyModel(this.h)}}reparse(a){return a&&(this.f=a),this.a.reparse(this.f),this.a.configurationModel}getRestrictedSettings(){return this.a.restrictedConfigurations}}e.$zo=o;class s{constructor(a,$,u,S,h,v,g,k,y,C,P,W,V){this.a=a,this.b=$,this.c=u,this.overrideIdentifiers=S,this.d=h,this.f=v,this.g=g,this.h=k,this.i=y,this.j=C,this.k=P,this.l=W,this.m=V}get value(){return b(this.c)}n(a){return a?.value!==void 0||a?.override!==void 0||a?.overrides!==void 0?a:void 0}get q(){return this.p||(this.p=this.d.inspect(this.a,this.b.overrideIdentifier)),this.p}get defaultValue(){return this.q.merged}get default(){return this.n(this.q)}get s(){return this.r===void 0&&(this.r=this.f?this.f.inspect(this.a):null),this.r}get policyValue(){return this.s?.merged}get policy(){return this.s?.value!==void 0?{value:this.s.value}:void 0}get u(){return this.t===void 0&&(this.t=this.g?this.g.inspect(this.a):null),this.t}get applicationValue(){return this.u?.merged}get application(){return this.n(this.u)}get w(){return this.v||(this.v=this.h.inspect(this.a,this.b.overrideIdentifier)),this.v}get userValue(){return this.w.merged}get user(){return this.n(this.w)}get y(){return this.x||(this.x=this.i.inspect(this.a,this.b.overrideIdentifier)),this.x}get userLocalValue(){return this.y.merged}get userLocal(){return this.n(this.y)}get A(){return this.z||(this.z=this.j.inspect(this.a,this.b.overrideIdentifier)),this.z}get userRemoteValue(){return this.A.merged}get userRemote(){return this.n(this.A)}get D(){return this.B===void 0&&(this.B=this.k?this.k.inspect(this.a,this.b.overrideIdentifier):null),this.B}get workspaceValue(){return this.D?.merged}get workspace(){return this.n(this.D)}get F(){return this.E===void 0&&(this.E=this.l?this.l.inspect(this.a,this.b.overrideIdentifier):null),this.E}get workspaceFolderValue(){return this.F?.merged}get workspaceFolder(){return this.n(this.F)}get H(){return this.G===void 0&&(this.G=this.m.inspect(this.a,this.b.overrideIdentifier)),this.G}get memoryValue(){return this.H.merged}get memory(){return this.n(this.H)}}class i{constructor(a,$,u,S,h,v,g,k,y,C){this.j=a,this.l=$,this.m=u,this.n=S,this.p=h,this.q=v,this.r=g,this.s=k,this.t=y,this.u=C,this.h=null,this.i=new A.$Bc,this.v=null}getValue(a,$,u){return this.w(a,$,u).getValue(a)}updateValue(a,$,u={}){let S;u.resource?(S=this.t.get(u.resource),S||(S=m.createEmptyModel(this.u),this.t.set(u.resource,S))):S=this.s,$===void 0?S.removeValue(a):S.setValue(a,$),u.resource||(this.h=null)}inspect(a,$,u){const S=this.w(a,$,u),h=this.A($.resource,u),v=$.resource?this.t.get($.resource)||this.s:this.s,g=new Set;for(const k of S.overrides)for(const y of k.identifiers)S.getOverrideValue(a,y)!==void 0&&g.add(y);return new s(a,$,S.getValue(a),g.size?[...g]:void 0,this.j,this.l.isEmpty()?void 0:this.l,this.applicationConfiguration.isEmpty()?void 0:this.applicationConfiguration,this.userConfiguration,this.localUserConfiguration,this.remoteUserConfiguration,u?this.q:void 0,h||void 0,v)}keys(a){const $=this.A(void 0,a);return{default:this.j.keys.slice(0),user:this.userConfiguration.keys.slice(0),workspace:this.q.keys.slice(0),workspaceFolder:$?$.keys.slice(0):[]}}updateDefaultConfiguration(a){this.j=a,this.h=null,this.i.clear()}updatePolicyConfiguration(a){this.l=a}updateApplicationConfiguration(a){this.m=a,this.h=null,this.i.clear()}updateLocalUserConfiguration(a){this.n=a,this.v=null,this.h=null,this.i.clear()}updateRemoteUserConfiguration(a){this.p=a,this.v=null,this.h=null,this.i.clear()}updateWorkspaceConfiguration(a){this.q=a,this.h=null,this.i.clear()}updateFolderConfiguration(a,$){this.r.set(a,$),this.i.delete(a)}deleteFolderConfiguration(a){this.folderConfigurations.delete(a),this.i.delete(a)}compareAndUpdateDefaultConfiguration(a,$){const u=[];if(!$){const{added:S,updated:h,removed:v}=l(this.j,a);$=[...S,...h,...v]}for(const S of $)for(const h of(0,D.$so)(S)){const v=this.j.getKeysForOverrideIdentifier(h),g=a.getKeysForOverrideIdentifier(h),k=[...g.filter(y=>v.indexOf(y)===-1),...v.filter(y=>g.indexOf(y)===-1),...v.filter(y=>!w.$7n(this.j.override(h).getValue(y),a.override(h).getValue(y)))];u.push([h,k])}return this.updateDefaultConfiguration(a),{keys:$,overrides:u}}compareAndUpdatePolicyConfiguration(a){const{added:$,updated:u,removed:S}=l(this.l,a),h=[...$,...u,...S];return h.length&&this.updatePolicyConfiguration(a),{keys:h,overrides:[]}}compareAndUpdateApplicationConfiguration(a){const{added:$,updated:u,removed:S,overrides:h}=l(this.applicationConfiguration,a),v=[...$,...u,...S];return v.length&&this.updateApplicationConfiguration(a),{keys:v,overrides:h}}compareAndUpdateLocalUserConfiguration(a){const{added:$,updated:u,removed:S,overrides:h}=l(this.localUserConfiguration,a),v=[...$,...u,...S];return v.length&&this.updateLocalUserConfiguration(a),{keys:v,overrides:h}}compareAndUpdateRemoteUserConfiguration(a){const{added:$,updated:u,removed:S,overrides:h}=l(this.remoteUserConfiguration,a),v=[...$,...u,...S];return v.length&&this.updateRemoteUserConfiguration(a),{keys:v,overrides:h}}compareAndUpdateWorkspaceConfiguration(a){const{added:$,updated:u,removed:S,overrides:h}=l(this.workspaceConfiguration,a),v=[...$,...u,...S];return v.length&&this.updateWorkspaceConfiguration(a),{keys:v,overrides:h}}compareAndUpdateFolderConfiguration(a,$){const u=this.folderConfigurations.get(a),{added:S,updated:h,removed:v,overrides:g}=l(u,$),k=[...S,...h,...v];return(k.length||!u)&&this.updateFolderConfiguration(a,$),{keys:k,overrides:g}}compareAndDeleteFolderConfiguration(a){const $=this.folderConfigurations.get(a);if(!$)throw new Error("Unknown folder");this.deleteFolderConfiguration(a);const{added:u,updated:S,removed:h,overrides:v}=l($,void 0);return{keys:[...u,...S,...h],overrides:v}}get defaults(){return this.j}get applicationConfiguration(){return this.m}get userConfiguration(){return this.v||(this.v=this.p.isEmpty()?this.n:this.n.merge(this.p)),this.v}get localUserConfiguration(){return this.n}get remoteUserConfiguration(){return this.p}get workspaceConfiguration(){return this.q}get folderConfigurations(){return this.r}w(a,$,u){let S=this.x($,u);return $.overrideIdentifier&&(S=S.override($.overrideIdentifier)),!this.l.isEmpty()&&this.l.getValue(a)!==void 0&&(S=S.merge(this.l)),S}x({resource:a},$){let u=this.y();if($&&a){const S=$.getFolder(a);S&&(u=this.z(S.uri)||u);const h=this.t.get(a);h&&(u=u.merge(h))}return u}y(){return this.h||(this.h=this.j.merge(this.applicationConfiguration,this.userConfiguration,this.q,this.s)),this.h}z(a){let $=this.i.get(a);if(!$){const u=this.y(),S=this.r.get(a);S?($=u.merge(S),this.i.set(a,$)):$=u}return $}A(a,$){if($&&a){const u=$.getFolder(a);if(u)return this.r.get(u.uri)}}toData(){return{defaults:{contents:this.j.contents,overrides:this.j.overrides,keys:this.j.keys},policy:{contents:this.l.contents,overrides:this.l.overrides,keys:this.l.keys},application:{contents:this.applicationConfiguration.contents,overrides:this.applicationConfiguration.overrides,keys:this.applicationConfiguration.keys},user:{contents:this.userConfiguration.contents,overrides:this.userConfiguration.overrides,keys:this.userConfiguration.keys},workspace:{contents:this.q.contents,overrides:this.q.overrides,keys:this.q.keys},folders:[...this.r.keys()].reduce((a,$)=>{const{contents:u,overrides:S,keys:h}=this.r.get($);return a.push([$,{contents:u,overrides:S,keys:h}]),a},[])}}allKeys(){const a=new Set;return this.j.keys.forEach($=>a.add($)),this.userConfiguration.keys.forEach($=>a.add($)),this.q.keys.forEach($=>a.add($)),this.r.forEach($=>$.keys.forEach(u=>a.add(u))),[...a.values()]}B(){const a=new Set;return this.j.getAllOverrideIdentifiers().forEach($=>a.add($)),this.userConfiguration.getAllOverrideIdentifiers().forEach($=>a.add($)),this.q.getAllOverrideIdentifiers().forEach($=>a.add($)),this.r.forEach($=>$.getAllOverrideIdentifiers().forEach(u=>a.add(u))),[...a.values()]}D(a){const $=new Set;return this.j.getKeysForOverrideIdentifier(a).forEach(u=>$.add(u)),this.userConfiguration.getKeysForOverrideIdentifier(a).forEach(u=>$.add(u)),this.q.getKeysForOverrideIdentifier(a).forEach(u=>$.add(u)),this.r.forEach(u=>u.getKeysForOverrideIdentifier(a).forEach(S=>$.add(S))),[...$.values()]}static parse(a,$){const u=this.E(a.defaults,$),S=this.E(a.policy,$),h=this.E(a.application,$),v=this.E(a.user,$),g=this.E(a.workspace,$),k=a.folders.reduce((y,C)=>(y.set(E.URI.revive(C[0]),this.E(C[1],$)),y),new A.$Bc);return new i(u,S,h,v,m.createEmptyModel($),g,k,m.createEmptyModel($),new A.$Bc,$)}static E(a,$){return new m(a.contents,a.keys,a.overrides,void 0,$)}}e.$Ao=i;function n(...f){if(f.length===0)return{keys:[],overrides:[]};if(f.length===1)return f[0];const a=new Set,$=new Map;for(const S of f)S.keys.forEach(h=>a.add(h)),S.overrides.forEach(([h,v])=>{const g=(0,A.$yc)($,h,new Set);v.forEach(k=>g.add(k))});const u=[];return $.forEach((S,h)=>u.push([h,[...S.values()]])),{keys:[...a.values()],overrides:u}}class c{constructor(a,$,u,S,h){this.change=a,this.f=$,this.g=u,this.h=S,this.i=h,this.a=`
`,this.b=this.a.charCodeAt(0),this.c=46,this.affectedKeys=new Set,this.j=void 0;for(const v of a.keys)this.affectedKeys.add(v);for(const[,v]of a.overrides)for(const g of v)this.affectedKeys.add(g);this.d=this.a;for(const v of this.affectedKeys)this.d+=v+this.a}get previousConfiguration(){return!this.j&&this.f&&(this.j=i.parse(this.f.data,this.i)),this.j}affectsConfiguration(a,$){const u=this.a+a,S=this.d.indexOf(u);if(S<0)return!1;const h=S+u.length;if(h>=this.d.length)return!1;const v=this.d.charCodeAt(h);if(v!==this.b&&v!==this.c)return!1;if($){const g=this.previousConfiguration?this.previousConfiguration.getValue(a,$,this.f?.workspace):void 0,k=this.g.getValue(a,$,this.h);return!w.$7n(g,k)}return!0}}e.$Co=c;function l(f,a){const{added:$,removed:u,updated:S}=t(a?.rawConfiguration,f?.rawConfiguration),h=[],v=f?.getAllOverrideIdentifiers()||[],g=a?.getAllOverrideIdentifiers()||[];if(a){const k=g.filter(y=>!v.includes(y));for(const y of k)h.push([y,a.getKeysForOverrideIdentifier(y)])}if(f){const k=v.filter(y=>!g.includes(y));for(const y of k)h.push([y,f.getKeysForOverrideIdentifier(y)])}if(a&&f){for(const k of v)if(g.includes(k)){const y=t({contents:f.getOverrideValue(void 0,k)||{},keys:f.getKeysForOverrideIdentifier(k)},{contents:a.getOverrideValue(void 0,k)||{},keys:a.getKeysForOverrideIdentifier(k)});h.push([k,[...y.added,...y.removed,...y.updated]])}}return{added:$,removed:u,updated:S,overrides:h}}function t(f,a){const $=f?a?f.keys.filter(h=>a.keys.indexOf(h)===-1):[...f.keys]:[],u=a?f?a.keys.filter(h=>f.keys.indexOf(h)===-1):[...a.keys]:[],S=[];if(f&&a){for(const h of a.keys)if(f.keys.indexOf(h)!==-1){const v=(0,T.$$i)(a.contents,h),g=(0,T.$$i)(f.contents,h);w.$7n(v,g)||S.push(h)}}return{added:$,removed:u,updated:S}}}),define(Ie[104],Pe([1,0,14,3]),function(le,e,I,O){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Kl=e.RemoteAuthorityResolverErrorCode=e.$Jl=e.$Il=e.RemoteConnectionType=e.$Hl=void 0,e.$Ll=E,e.$Hl=(0,O.$wi)("remoteAuthorityResolverService");var R;(function(T){T[T.WebSocket=0]="WebSocket",T[T.Managed=1]="Managed"})(R||(e.RemoteConnectionType=R={}));class M{constructor(D){this.id=D,this.type=1}toString(){return`Managed(${this.id})`}}e.$Il=M;class A{constructor(D,d){this.host=D,this.port=d,this.type=0}toString(){return`WebSocket(${this.host}:${this.port})`}}e.$Jl=A;var w;(function(T){T.Unknown="Unknown",T.NotAvailable="NotAvailable",T.TemporarilyNotAvailable="TemporarilyNotAvailable",T.NoResolverFound="NoResolverFound",T.InvalidAuthority="InvalidAuthority"})(w||(e.RemoteAuthorityResolverErrorCode=w={}));class p extends I.$bb{static isNotAvailable(D){return D instanceof p&&D._code===w.NotAvailable}static isTemporarilyNotAvailable(D){return D instanceof p&&D._code===w.TemporarilyNotAvailable}static isNoResolverFound(D){return D instanceof p&&D._code===w.NoResolverFound}static isInvalidAuthority(D){return D instanceof p&&D._code===w.InvalidAuthority}static isHandled(D){return D instanceof p&&D.isHandled}constructor(D,d=w.Unknown,b){super(D),this._message=D,this._code=d,this._detail=b,this.isHandled=d===w.NotAvailable&&b===!0,Object.setPrototypeOf(this,p.prototype)}}e.$Kl=p;function E(T){const D=T.indexOf("+");return D===-1?T:T.substring(0,D)}}),define(Ie[58],Pe([1,0,16]),function(le,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Hm=O,e.$Im=R,e.$Jm=M,e.$Km=A;function O(p){return p.scheme===I.Schemas.vscodeRemote?p.authority:void 0}function R(p){if(!p)return;const E=p.indexOf("+");return E<0?p:p.substr(0,E)}function M(p){const{host:E,port:T}=w(p);if(typeof T>"u")throw new Error(`Invalid remote authority: ${p}. It must either be a remote of form <remoteName>+<arg> or a remote host of form <host>:<port>.`);return{host:E,port:T}}function A(p,E){let{host:T,port:D}=w(p);return typeof D>"u"&&(D=E),{host:T,port:D}}function w(p){const E=p.match(/^(\[[0-9a-z:]+\]):(\d+)$/);if(E)return{host:E[1],port:parseInt(E[2],10)};const T=p.match(/^(\[[0-9a-z:]+\])$/);if(T)return{host:T[1],port:void 0};const D=p.match(/(.*):(\d+)$/);return D?{host:D[1],port:parseInt(D[2],10)}:{host:p,port:void 0}}}),define(Ie[20],Pe([1,0,13,3,58]),function(le,e,I,O,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Ym=e.$Tm=e.$Sm=e.$Rm=e.TargetPlatform=e.ExtensionType=e.$Qm=e.$Om=e.$Nm=e.$Mm=e.$Lm=void 0,e.$Pm=M,e.$Um=D,e.$Vm=d,e.$Wm=b,e.$Xm=m,e.$Lm="extensions.user.cache",e.$Mm="extensions.builtin.cache",e.$Nm="undefined_publisher",e.$Om=["ui","workspace","web"];function M(r){if(typeof r=="object"&&r!==null&&r.supported!==!0)return r.description}e.$Qm=["Azure","Data Science","Debuggers","Extension Packs","Education","Formatters","Keymaps","Language Packs","Linters","Machine Learning","Notebooks","Programming Languages","SCM Providers","Snippets","Testing","Themes","Visualization","AI","Chat","Other"];var A;(function(r){r[r.System=0]="System",r[r.User=1]="User"})(A||(e.ExtensionType=A={}));var w;(function(r){r.WIN32_X64="win32-x64",r.WIN32_ARM64="win32-arm64",r.LINUX_X64="linux-x64",r.LINUX_ARM64="linux-arm64",r.LINUX_ARMHF="linux-armhf",r.ALPINE_X64="alpine-x64",r.ALPINE_ARM64="alpine-arm64",r.DARWIN_X64="darwin-x64",r.DARWIN_ARM64="darwin-arm64",r.WEB="web",r.UNIVERSAL="universal",r.UNKNOWN="unknown",r.UNDEFINED="undefined"})(w||(e.TargetPlatform=w={}));class p{constructor(o){this.value=o,this._lower=o.toLowerCase()}static equals(o,s){if(typeof o>"u"||o===null)return typeof s>"u"||s===null;if(typeof s>"u"||s===null)return!1;if(typeof o=="string"||typeof s=="string"){const i=typeof o=="string"?o:o.value,n=typeof s=="string"?s:s.value;return I.$yf(i,n)}return o._lower===s._lower}static toKey(o){return typeof o=="string"?o.toLowerCase():o._lower}}e.$Rm=p;class E{get size(){return this.c.size}constructor(o){if(this.c=new Set,o)for(const s of o)this.add(s)}add(o){this.c.add(p.toKey(o))}delete(o){return this.c.delete(p.toKey(o))}has(o){return this.c.has(p.toKey(o))}}e.$Sm=E;class T{constructor(){this.c=new Map}clear(){this.c.clear()}delete(o){this.c.delete(p.toKey(o))}get(o){return this.c.get(p.toKey(o))}has(o){return this.c.has(p.toKey(o))}set(o,s){this.c.set(p.toKey(o),s)}values(){return this.c.values()}forEach(o){this.c.forEach(o)}[Symbol.iterator](){return this.c[Symbol.iterator]()}}e.$Tm=T;function D(r){return d(r)}function d(r){return r.contributes&&r.contributes.localizations?r.contributes.localizations.length>0:!1}function b(r){return r.contributes&&r.contributes.authentication?r.contributes.authentication.length>0:!1}function m(r,o){if(o){const s=`onResolveRemoteAuthority:${(0,R.$Im)(o)}`;return!!r.activationEvents?.includes(s)}return!1}e.$Ym=(0,O.$wi)("IBuiltinExtensionsScannerService")}),define(Ie[105],Pe([1,0,14,20]),function(le,e,I,O){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$tG=e.$sG=void 0;class R{constructor(){this.a=new Map,this.b=new WeakMap}register(A,w){this.a.set(A,w)}readActivationEvents(A){return this.b.has(A)||this.b.set(A,this.c(A)),this.b.get(A)}createActivationEventsMap(A){const w=Object.create(null);for(const p of A){const E=this.readActivationEvents(p);E.length>0&&(w[O.$Rm.toKey(p.identifier)]=E)}return w}c(A){if(typeof A.main>"u"&&typeof A.browser>"u")return[];const w=Array.isArray(A.activationEvents)?A.activationEvents.slice(0):[];for(let p=0;p<w.length;p++)w[p]==="onUri"&&(w[p]=`onUri:${O.$Rm.toKey(A.identifier)}`);if(!A.contributes)return w;for(const p in A.contributes){const E=this.a.get(p);if(!E)continue;const T=A.contributes[p],D=Array.isArray(T)?T:[T];try{E(D,w)}catch(d){(0,I.$1)(d)}}return w}}e.$sG=R,e.$tG=new R}),define(Ie[204],Pe([1,0,21,14,6,168,51,3,12,29]),function(le,e,I,O,R,M,A,w,p,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Op=e.$Np=void 0,e.$Pp=d,e.$Qp=b,e.$Rp=m,e.$Sp=r,e.$Tp=o,e.$Up=s,e.$Np=(0,w.$wi)("requestService");class T{constructor(l){this.b=l}toJSON(){if(!this.a){const l=Object.create(null);for(const t in this.b)t.toLowerCase()==="authorization"||t.toLowerCase()==="proxy-authorization"?l[t]="*****":l[t]=this.b[t];this.a=l}return this.a}}class D extends R.$Vc{constructor(l){super(),this.b=0,this.a=l.createLogger("network",{name:(0,M.localize)(0,null),when:p.$ik.isEqualTo((0,p.$fk)(p.LogLevel.Trace)).serialize()})}async c(l,t,f){const a=`${l} #${++this.b}: ${t.url}`;this.a.trace(`${a} - begin`,t.type,new T(t.headers??{}));try{const $=await f();return this.a.trace(`${a} - end`,t.type,$.res.statusCode,$.res.headers),$}catch($){throw this.a.error(`${a} - error`,t.type,(0,O.$0)($)),$}}}e.$Op=D;function d(c){return c.res.statusCode&&c.res.statusCode>=200&&c.res.statusCode<300||c.res.statusCode===1223}function b(c){return c.res.statusCode===204}async function m(c){return b(c)?null:(await(0,I.$Se)(c.stream)).toString()}async function r(c){if(!d(c))throw new Error("Server returned "+c.res.statusCode);return m(c)}async function o(c){if(!d(c))throw new Error("Server returned "+c.res.statusCode);if(b(c))return null;const t=(await(0,I.$Se)(c.stream)).toString();try{return JSON.parse(t)}catch(f){throw f.message+=`:
`+t,f}}function s(c){n(c)}let i;function n(c){const l=E.$co.as(A.$ho.Configuration),t=i;i={id:"http",order:15,title:(0,M.localize)(1,null),type:"object",scope:c,properties:{"http.proxy":{type:"string",pattern:"^(https?|socks|socks4a?|socks5h?)://([^:]*(:[^@]*)?@)?([^:]+|\\[[:0-9a-fA-F]+\\])(:\\d+)?/?$|^$",markdownDescription:(0,M.localize)(2,null),restricted:!0},"http.proxyStrictSSL":{type:"boolean",default:!0,description:(0,M.localize)(3,null),restricted:!0},"http.proxyKerberosServicePrincipal":{type:"string",markdownDescription:(0,M.localize)(4,null),restricted:!0},"http.proxyAuthorization":{type:["null","string"],default:null,markdownDescription:(0,M.localize)(5,null),restricted:!0},"http.proxySupport":{type:"string",enum:["off","on","fallback","override"],enumDescriptions:[(0,M.localize)(6,null),(0,M.localize)(7,null),(0,M.localize)(8,null),(0,M.localize)(9,null)],default:"override",description:(0,M.localize)(10,null),restricted:!0},"http.systemCertificates":{type:"boolean",default:!0,description:(0,M.localize)(11,null),restricted:!0},"http.experimental.systemCertificatesV2":{type:"boolean",tags:["experimental"],default:!1,description:(0,M.localize)(12,null),restricted:!0}}},l.updateConfigurations({add:[i],remove:t?[t]:[]})}n(1)}),define(Ie[205],Pe([1,0,22,75,34]),function(le,e,I,O,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$dp=A,e.$ep=w;function M(p){if(I.$u===2&&/^penguin(\.|$)/i.test(p))return"chromebook"}function A(p,E,T,D,d,b,m,r,o){const s=Object.create(null);s["common.machineId"]=b,s["common.sqmId"]=m,s.sessionID=(0,R.$Sg)()+Date.now(),s.commitHash=D,s.version=d,s["common.platformVersion"]=(p||"").replace(/^(\d+)(\.\d+)?(\.\d+)?(.*)/,"$1$2$3"),s["common.platform"]=(0,I.$h)(I.$u),s["common.nodePlatform"]=O.$ec,s["common.nodeArch"]=T,s["common.product"]=o||"desktop",r&&(s["common.msftInternal"]=r);let i=0;const n=Date.now();Object.defineProperties(s,{timestamp:{get:()=>new Date,enumerable:!0},"common.timesincesessionstart":{get:()=>Date.now()-n,enumerable:!0},"common.sequence":{get:()=>i++,enumerable:!0}}),I.$l&&(s["common.snap"]="true");const c=M(E);return c&&(s["common.platformDetail"]=c),s}function w(p){const E=O.env.USERDNSDOMAIN;if(!E)return!1;const T=E.toLowerCase();return p.some(D=>T===D)}}),define(Ie[206],Pe([1,0,3]),function(le,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TelemetryConfiguration=e.TelemetryLevel=e.$_l=e.$$l=e.$0l=e.$9l=e.$8l=e.$7l=e.$6l=e.$5l=e.$4l=e.$3l=e.$2l=void 0,e.$2l=(0,I.$wi)("telemetryService"),e.$3l=(0,I.$wi)("customEndpointTelemetryService"),e.$4l="telemetry.currentSessionDate",e.$5l="telemetry.firstSessionDate",e.$6l="telemetry.lastSessionDate",e.$7l="telemetry.machineId",e.$8l="telemetry.sqmId",e.$9l="telemetry",e.$0l="telemetry.telemetryLevel",e.$$l="telemetry.enableCrashReporter",e.$_l="telemetry.enableTelemetry";var O;(function(M){M[M.NONE=0]="NONE",M[M.CRASH=1]="CRASH",M[M.ERROR=2]="ERROR",M[M.USAGE=3]="USAGE"})(O||(e.TelemetryLevel=O={}));var R;(function(M){M.OFF="off",M.CRASH="crash",M.ERROR="error",M.ON="all"})(R||(e.TelemetryConfiguration=R={}))}),define(Ie[59],Pe([1,0,25,15,58,205,206]),function(le,e,I,O,R,M,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$lp=e.$kp=e.$jp=e.$ip=e.$hp=e.$gp=e.$fp=void 0,e.$mp=T,e.$np=D,e.$op=d,e.$pp=b,e.$qp=r,e.$rp=s,e.$sp=i,e.$tp=l;class w{constructor(f){this.value=f,this.isTrustedTelemetryValue=!0}}e.$fp=w;class p{constructor(){this.telemetryLevel=0,this.sessionId="someValue.sessionId",this.machineId="someValue.machineId",this.sqmId="someValue.sqmId",this.firstSessionDate="someValue.firstSessionDate",this.sendErrorTelemetry=!1}publicLog(){}publicLog2(){}publicLogError(){}publicLogError2(){}setExperimentProperty(){}}e.$gp=p,e.$hp=new p;class E{async publicLog(f,a,$){}async publicLogError(f,a,$){}}e.$ip=E,e.$jp="telemetry",e.$kp="extensionTelemetryLog",e.$lp={log:()=>null,flush:()=>Promise.resolve(null)};function T(t,f){return!f.isBuilt&&!f.disableTelemetry?!0:!(f.disableTelemetry||!t.enableTelemetry)}function D(t,f){return f.extensionTestsLocationURI?!0:!(f.isBuilt||f.disableTelemetry||t.enableTelemetry&&t.aiConfig?.ariaKey)}function d(t){const f=t.getValue(A.$0l),a=t.getValue(A.$$l);if(t.getValue(A.$_l)===!1||a===!1)return 0;switch(f??"all"){case"all":return 3;case"error":return 2;case"crash":return 1;case"off":return 0}}function b(t){const f={},a={},$={};o(t,$);for(let u in $){u=u.length>150?u.substr(u.length-149):u;const S=$[u];typeof S=="number"?a[u]=S:typeof S=="boolean"?a[u]=S?1:0:typeof S=="string"?(S.length>8192&&console.warn(`Telemetry property: ${u} has been trimmed to 8192, the original length is ${S.length}`),f[u]=S.substring(0,8191)):typeof S<"u"&&S!==null&&(f[u]=S)}return{properties:f,measurements:a}}const m=new Set(["ssh-remote","dev-container","attached-container","wsl","tunnel","codespaces","amlext"]);function r(t){if(!t)return"none";const f=(0,R.$Im)(t);return m.has(f)?f:"other"}function o(t,f,a=0,$){if(t)for(const u of Object.getOwnPropertyNames(t)){const S=t[u],h=$?$+u:u;Array.isArray(S)?f[h]=(0,I.$8n)(S):S instanceof Date?f[h]=S.toISOString():(0,O.$$f)(S)?a<2?o(S,f,a+1,h+"."):f[h]=(0,I.$8n)(S):f[h]=S}}function s(t,f){const a=t.msftInternalDomains||[],$=f.getValue("telemetry.internalTesting");return(0,M.$ep)(a)||$}function i(t){return[t.appRoot,t.extensionsPath,t.userHome.fsPath,t.tmpDir.fsPath,t.userDataPath]}function n(t,f){if(!t||!t.includes("/")&&!t.includes("\\"))return t;let a=t;const $=[];for(const v of f)for(;;){const g=v.exec(t);if(!g)break;$.push([g.index,v.lastIndex])}const u=/^[\\\/]?(node_modules|node_modules\.asar)[\\\/]/,S=/(file:\/\/)?([a-zA-Z]:(\\\\|\\|\/)|(\\\\|\\|\/))?([\w-\._]+(\\\\|\\|\/))+[\w-\._]*/g;let h=0;for(a="";;){const v=S.exec(t);if(!v)break;const g=$.some(([k,y])=>v.index<y&&k<S.lastIndex);!u.test(v[0])&&!g&&(a+=t.substring(h,v.index)+"<REDACTED: user-file-path>",h=S.lastIndex)}return h<t.length&&(a+=t.substr(h)),a}function c(t){if(!t)return t;const f=[{label:"Google API Key",regex:/AIza[A-Za-z0-9_\\\-]{35}/},{label:"Slack Token",regex:/xox[pbar]\-[A-Za-z0-9]/},{label:"GitHub Token",regex:/(gh[psuro]_[a-zA-Z0-9]{36}|github_pat_[a-zA-Z0-9]{22}_[a-zA-Z0-9]{59})/},{label:"Generic Secret",regex:/(key|token|sig|secret|signature|password|passwd|pwd|android:value)[^a-zA-Z0-9]/i},{label:"CLI Credentials",regex:/((login|psexec|(certutil|psexec)\.exe).{1,50}(\s-u(ser(name)?)?\s+.{3,100})?\s-(admin|user|vm|root)?p(ass(word)?)?\s+["']?[^$\-\/\s]|(^|[\s\r\n\\])net(\.exe)?.{1,5}(user\s+|share\s+\/user:| user -? secrets ? set) \s + [^ $\s \/])/},{label:"Email",regex:/@[a-zA-Z0-9-]+\.[a-zA-Z0-9-]+/}];for(const a of f)if(a.regex.test(t))return`<REDACTED: ${a.label}>`;return t}function l(t,f){return(0,I.$5n)(t,a=>{if(a instanceof w||Object.hasOwnProperty.call(a,"isTrustedTelemetryValue"))return a.value;if(typeof a=="string"){let $=a.replaceAll("%20"," ");$=n($,f);for(const u of f)$=$.replace(u,"");return $=c($),$}})}}),define(Ie[207],Pe([1,0,13,100,20,22,2,14,75,59]),function(le,e,I,O,R,M,A,w,p,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Dp=e.$vp=void 0,e.$up=T,e.$wp=m,e.$xp=r,e.$yp=o,e.$zp=s,e.$Ap=i,e.$Bp=n,e.$Cp=c,e.$Ep=l,e.$Fp=f;function T(a,$){return a.uuid&&$.uuid?a.uuid===$.uuid:a.id===$.id?!0:(0,I.$tf)(a.id,$.id)===0}const D=/^([^.]+\..+)-(\d+\.\d+\.\d+)(-(.+))?$/;class d{static create($){const u=$.manifest?$.manifest.version:$.version,S=$.manifest?$.targetPlatform:$.properties.targetPlatform;return new d($.identifier,u,S)}static parse($){const u=D.exec($);return u&&u[1]&&u[2]?new d({id:u[1]},u[2],u[4]||void 0):null}constructor($,u,S="undefined"){this.version=u,this.targetPlatform=S,this.id=$.id}toString(){return`${this.id}-${this.version}${this.targetPlatform!=="undefined"?`-${this.targetPlatform}`:""}`}equals($){return $ instanceof d?T(this,$)&&this.version===$.version&&this.targetPlatform===$.targetPlatform:!1}}e.$vp=d;const b=/^([^.]+\..+)@((prerelease)|(\d+\.\d+\.\d+(-.*)?))$/;function m(a){const $=b.exec(a);return $&&$[1]?[o($[1]),$[2]]:[o(a),void 0]}function r(a,$){return`${a}.${$}`}function o(a){return a.toLowerCase()}function s(a,$){return o(r(a??R.$Nm,$))}function i(a,$){const u=[],S=h=>{for(const v of u)if(v.some(g=>T($(g),$(h))))return v;return null};for(const h of a){const v=S(h);v?v.push(h):u.push([h])}return u}function n(a){return{id:a.identifier.id,name:a.manifest.name,galleryId:null,publisherId:a.publisherId,publisherName:a.manifest.publisher,publisherDisplayName:a.publisherDisplayName,dependencies:a.manifest.extensionDependencies&&a.manifest.extensionDependencies.length>0}}function c(a){return{id:new E.$fp(a.identifier.id),name:new E.$fp(a.name),galleryId:a.identifier.uuid,publisherId:a.publisherId,publisherName:a.publisher,publisherDisplayName:a.publisherDisplayName,isPreReleaseVersion:a.properties.isPreReleaseVersion,dependencies:!!(a.properties.dependencies&&a.properties.dependencies.length>0),isSigned:a.isSigned,...a.telemetryData}}e.$Dp=new R.$Rm("pprice.better-merge");function l(a,$){const u=[],S=$.manifest.extensionDependencies?.slice(0)??[];for(;S.length;){const h=S.shift();if(h&&u.every(v=>!T(v.identifier,{id:h}))){const v=a.filter(g=>T(g.identifier,{id:h}));v.length===1&&(u.push(v[0]),S.push(...v[0].manifest.extensionDependencies?.slice(0)??[]))}}return u}async function t(a,$){if(!M.$k)return!1;let u;try{u=(await a.readFile(A.URI.file("/etc/os-release"))).value.toString()}catch{try{u=(await a.readFile(A.URI.file("/usr/lib/os-release"))).value.toString()}catch(h){$.debug("Error while getting the os-release file.",(0,w.$0)(h))}}return!!u&&(u.match(/^ID=([^\u001b\r\n]*)/m)||[])[1]==="alpine"}async function f(a,$){const u=await t(a,$),S=(0,O.$2o)(u?"alpine":M.$u,p.$fc);return $.debug("ComputeTargetPlatform:",S),S}}),define(Ie[208],Pe([1,0]),function(le,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$ls=I,e.$ms=O,e.$ns=R,e.$os=M,e.$ps=A,e.$qs=w;function I(p){return[...p.entries()]}function O(p){return p?[...p.entries()]:[]}function R(p){return new Map(p)}function M(p){return new Map(p??[])}function A(p){return Array.from(p.entries()).map(E=>[E[0],I(E[1].map),O(E[1].descriptionMap)])}function w(p){return new Map(p.map(E=>[E[0],{map:R(E[1]),descriptionMap:M(E[2])}]))}}),define(Ie[209],Pe([1,0]),function(le,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Jvb=void 0;class I{constructor(R){this.b=R,this.a=new Map}dispose(){for(const R of this.a.values())R.dispose()}startBuffering(R,M,A=5){const w=M(p=>{const E=typeof p=="string"?p:p.data;let T=this.a.get(R);if(T){T.data.push(E);return}const D=setTimeout(()=>this.flushBuffer(R),A);T={data:[E],timeoutId:D,dispose:()=>{clearTimeout(D),this.flushBuffer(R),w.dispose()}},this.a.set(R,T)});return w}stopBuffering(R){this.a.get(R)?.dispose()}flushBuffer(R){const M=this.a.get(R);M&&(this.a.delete(R),this.b(R,M.data.join("")))}}e.$Jvb=I}),define(Ie[210],Pe([1,0,11,92,312,36,5,15,2,169,74,29]),function(le,e,I,O,R,M,A,w,p,E,T,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$mx=e.$lx=e.$kx=e.$jx=e.$ix=e.$hx=e.IconFontDefinition=e.IconContribution=e.$ex=void 0,e.$fx=o,e.$gx=s,e.$ex={IconContribution:"base.contributions.icons"};var d;(function(l){function t(f,a){let $=f.defaults;for(;M.ThemeIcon.isThemeIcon($);){const u=r.getIcon($.id);if(!u)return;$=u.defaults}return $}l.getDefinition=t})(d||(e.IconContribution=d={}));var b;(function(l){function t(a){return{weight:a.weight,style:a.style,src:a.src.map($=>({format:$.format,location:$.location.toString()}))}}l.toJSONObject=t;function f(a){const $=u=>(0,w.$9f)(u)?u:void 0;if(a&&Array.isArray(a.src)&&a.src.every(u=>(0,w.$9f)(u.format)&&(0,w.$9f)(u.location)))return{weight:$(a.weight),style:$(a.style),src:a.src.map(u=>({format:u.format,location:p.URI.parse(u.location)}))}}l.fromJSONObject=f})(b||(e.IconFontDefinition=b={}));class m{constructor(){this.a=new A.$ee,this.onDidChange=this.a.event,this.d={definitions:{icons:{type:"object",properties:{fontId:{type:"string",description:(0,E.localize)(0,null)},fontCharacter:{type:"string",description:(0,E.localize)(1,null)}},additionalProperties:!1,defaultSnippets:[{body:{fontCharacter:"\\\\e030"}}]}},type:"object",properties:{}},this.e={type:"string",pattern:`^${M.ThemeIcon.iconNameExpression}$`,enum:[],enumDescriptions:[]},this.b={},this.f={}}registerIcon(t,f,a,$){const u=this.b[t];if(u){if(a&&!u.description){u.description=a,this.d.properties[t].markdownDescription=`${a} $(${t})`;const v=this.e.enum.indexOf(t);v!==-1&&(this.e.enumDescriptions[v]=a),this.a.fire()}return u}const S={id:t,description:a,defaults:f,deprecationMessage:$};this.b[t]=S;const h={$ref:"#/definitions/icons"};return $&&(h.deprecationMessage=$),a&&(h.markdownDescription=`${a}: $(${t})`),this.d.properties[t]=h,this.e.enum.push(t),this.e.enumDescriptions.push(a||""),this.a.fire(),{id:t}}deregisterIcon(t){delete this.b[t],delete this.d.properties[t];const f=this.e.enum.indexOf(t);f!==-1&&(this.e.enum.splice(f,1),this.e.enumDescriptions.splice(f,1)),this.a.fire()}getIcons(){return Object.keys(this.b).map(t=>this.b[t])}getIcon(t){return this.b[t]}getIconSchema(){return this.d}getIconReferenceSchema(){return this.e}registerIconFont(t,f){const a=this.f[t];return a||(this.f[t]=f,this.a.fire(),f)}deregisterIconFont(t){delete this.f[t]}getIconFont(t){return this.f[t]}toString(){const t=(u,S)=>u.id.localeCompare(S.id),f=u=>{for(;M.ThemeIcon.isThemeIcon(u.defaults);)u=this.b[u.defaults.id];return`codicon codicon-${u?u.id:""}`},a=[];a.push("| preview     | identifier                        | default codicon ID                | description"),a.push("| ----------- | --------------------------------- | --------------------------------- | --------------------------------- |");const $=Object.keys(this.b).map(u=>this.b[u]);for(const u of $.filter(S=>!!S.description).sort(t))a.push(`|<i class="${f(u)}"></i>|${u.id}|${M.ThemeIcon.isThemeIcon(u.defaults)?u.defaults.id:u.id}|${u.description||""}|`);a.push("| preview     | identifier                        "),a.push("| ----------- | --------------------------------- |");for(const u of $.filter(S=>!M.ThemeIcon.isThemeIcon(S.defaults)).sort(t))a.push(`|<i class="${f(u)}"></i>|${u.id}|`);return a.join(`
`)}}const r=new m;D.$co.add(e.$ex.IconContribution,r);function o(l,t,f,a){return r.registerIcon(l,t,f,a)}function s(){return r}function i(){const l=(0,R.$Rj)();for(const t in l){const f="\\"+l[t].toString(16);r.registerIcon(t,{fontCharacter:f})}}i(),e.$hx="vscode://schemas/icons";const n=D.$co.as(T.$do.JSONContribution);n.registerSchema(e.$hx,r.getIconSchema());const c=new I.$Ih(()=>n.notifySchemaChanged(e.$hx),200);r.onDidChange(()=>{c.isScheduled()||c.schedule()}),e.$ix=o("widget-close",O.$Vj.close,(0,E.localize)(2,null)),e.$jx=o("goto-previous-location",O.$Vj.arrowUp,(0,E.localize)(3,null)),e.$kx=o("goto-next-location",O.$Vj.arrowDown,(0,E.localize)(4,null)),e.$lx=M.ThemeIcon.modify(O.$Vj.sync,"spin"),e.$mx=M.ThemeIcon.modify(O.$Vj.loading,"spin")}),define(Ie[211],Pe([1,0,5,2,50,3,12]),function(le,e,I,O,R,M,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$tw=e.$sw=e.$pw=e.$nw=e.ProvidedOnAutoForward=e.TunnelPrivacyId=e.TunnelProtocol=e.$jw=e.$iw=void 0,e.$kw=E,e.$lw=D,e.$mw=d,e.$ow=b,e.$qw=m,e.$rw=r,e.$iw=(0,M.$wi)("tunnelService"),e.$jw=(0,M.$wi)("sharedTunnelsService");var w;(function(i){i.Http="http",i.Https="https"})(w||(e.TunnelProtocol=w={}));var p;(function(i){i.ConstantPrivate="constantPrivate",i.Private="private",i.Public="public"})(p||(e.TunnelPrivacyId=p={}));function E(i){return!!i.forwardPort}var T;(function(i){i[i.Notify=1]="Notify",i[i.OpenBrowser=2]="OpenBrowser",i[i.OpenPreview=3]="OpenPreview",i[i.Silent=4]="Silent",i[i.Ignore=5]="Ignore",i[i.OpenBrowserOnce=6]="OpenBrowserOnce"})(T||(e.ProvidedOnAutoForward=T={}));function D(i){if(i.scheme!=="http"&&i.scheme!=="https")return;const n=/^(localhost|127\.0\.0\.1|0\.0\.0\.0):(\d+)$/.exec(i.authority);if(n)return{address:n[1],port:+n[2]}}function d(i){if(i.scheme!=="http"&&i.scheme!=="https"||!i.query)return;const n=i.query.split("&");for(const c of n){const l=c.split("=")[1];if(/^https?:/.exec(l)){const t=D(O.URI.parse(l));if(t)return t}}}e.$nw=["localhost","127.0.0.1","0:0:0:0:0:0:0:1","::1"];function b(i){return e.$nw.indexOf(i)>=0}e.$pw=["0.0.0.0","0:0:0:0:0:0:0:0","::"];function m(i){return e.$pw.indexOf(i)>=0}function r(i,n,c,l){if(c===1)return!1;if(c===2&&m(n)){const t=/(\d+)\.(\d+)\.(\d+)/g.exec(l);if(t?.length===4&&parseInt(t[1])>=18)return!1}return i<1024}class o{constructor(n,c,l){this.remoteAddress=n,this.localAddress=c,this.b=l,this.a=new I.$ee,this.onDidDispose=this.a.event}dispose(){return this.a.fire(),this.b()}}e.$sw=o;let s=class{constructor(n,c){this.k=n,this.l=c,this.a=new I.$ee,this.onTunnelOpened=this.a.event,this.b=new I.$ee,this.onTunnelClosed=this.b.event,this.c=new I.$ee,this.onAddedTunnelProvider=this.c.event,this.e=new Map,this.g=!1,this.h=!0,this.i=[],this.j=new Set}get hasTunnelProvider(){return!!this.f}get m(){const n=this.l.getValue("remote.localPortHost");return!n||n==="localhost"?"127.0.0.1":"0.0.0.0"}setTunnelProvider(n){return this.f=n,n?(this.c.fire(),{dispose:()=>{this.f=void 0,this.g=!1,this.i=[]}}):(this.g=!1,this.i=[],this.c.fire(),{dispose:()=>{}})}setTunnelFeatures(n){this.g=n.elevation,this.i=n.privacyOptions,this.h=n.protocol}get canChangeProtocol(){return this.h}get canElevate(){return this.g}get canChangePrivacy(){return this.i.length>0}get privacyOptions(){return this.i}get tunnels(){return this.n()}async n(){const n=[],c=Array.from(this.e.values());for(const l of c){const t=Array.from(l.values());for(const f of t){const a=await f.value;a&&typeof a!="string"&&n.push(a)}}return n}async dispose(){for(const n of this.e.values()){for(const{value:c}of n.values())await c.then(l=>typeof l!="string"?l?.dispose():void 0);n.clear()}this.e.clear()}setEnvironmentTunnel(n,c,l,t,f){this.q(n,c,Promise.resolve({tunnelRemoteHost:n,tunnelRemotePort:c,localAddress:l,privacy:t,protocol:f,dispose:()=>Promise.resolve()}))}async getExistingTunnel(n,c){(m(n)||b(n))&&(n=e.$nw[0]);const l=this.s(n,c);if(l)return++l.refcount,l.value}openTunnel(n,c,l,t,f,a=!1,$,u){this.k.trace(`ForwardedPorts: (TunnelService) openTunnel request for ${c}:${l} on local port ${f}.`);const S=this.f??n;if(!S)return;if(c||(c="localhost"),t||(t=this.m),this.f&&this.j.has(l)){this.k.debug("ForwardedPorts: (TunnelService) Another call to create a tunnel with the same address has occurred before the last one completed. This call will be ignored.");return}const h=this.t(S,c,l,t,f,a,$,u);return h?h.then(v=>{if(v){if(typeof v=="string")return this.k.trace("ForwardedPorts: (TunnelService) The tunnel provider returned an error when creating the tunnel."),this.r(c,l),v}else{this.k.trace("ForwardedPorts: (TunnelService) New tunnel is undefined."),this.r(c,l);return}this.k.trace("ForwardedPorts: (TunnelService) New tunnel established.");const g=this.o(v);return(v.tunnelRemoteHost!==c||v.tunnelRemotePort!==l)&&this.k.warn("ForwardedPorts: (TunnelService) Created tunnel does not match requirements of requested tunnel. Host or port mismatch."),$&&v.privacy!==$&&this.k.warn("ForwardedPorts: (TunnelService) Created tunnel does not match requirements of requested tunnel. Privacy mismatch."),this.a.fire(g),g}):(this.k.trace("ForwardedPorts: (TunnelService) Tunnel was not created."),h)}o(n){return{tunnelRemotePort:n.tunnelRemotePort,tunnelRemoteHost:n.tunnelRemoteHost,tunnelLocalPort:n.tunnelLocalPort,localAddress:n.localAddress,privacy:n.privacy,protocol:n.protocol,dispose:async()=>{this.k.trace(`ForwardedPorts: (TunnelService) dispose request for ${n.tunnelRemoteHost}:${n.tunnelRemotePort} `);const c=this.e.get(n.tunnelRemoteHost);if(c){const l=c.get(n.tunnelRemotePort);l&&(l.refcount--,await this.p(n.tunnelRemoteHost,n.tunnelRemotePort,l))}}}}async p(n,c,l){if(l.refcount<=0){this.k.trace(`ForwardedPorts: (TunnelService) Tunnel is being disposed ${n}:${c}.`);const t=l.value.then(async f=>{f&&typeof f!="string"&&(await f.dispose(!0),this.b.fire({host:f.tunnelRemoteHost,port:f.tunnelRemotePort}))});return this.e.has(n)&&this.e.get(n).delete(c),t}}async closeTunnel(n,c){this.k.trace(`ForwardedPorts: (TunnelService) close request for ${n}:${c} `);const l=this.e.get(n);if(l&&l.has(c)){const t=l.get(c);t.refcount=0,await this.p(n,c,t)}}q(n,c,l){this.e.has(n)||this.e.set(n,new Map),this.e.get(n).set(c,{refcount:1,value:l})}async r(n,c){const l=this.e.get(n);if(l){const t=l.get(c),f=t?await t.value:void 0;(!f||typeof f=="string")&&l.delete(c),l.size===0&&this.e.delete(n)}}s(n,c){const l=[n];b(n)?(l.push(...e.$nw),l.push(...e.$pw)):m(n)&&l.push(...e.$pw);const t=l.map(f=>this.e.get(f));for(const f of t){const a=f?.get(c);if(a)return a}}canTunnel(n){return!!D(n)}u(n,c,l,t,f,a,$){this.k.trace(`ForwardedPorts: (TunnelService) Creating tunnel with provider ${c}:${l} on local port ${t}.`);const u=l;this.j.add(u);const S=t===void 0?l:t,h={elevationRequired:f?this.isPortPrivileged(S):!1},v={remoteAddress:{host:c,port:l},localAddressPort:t,privacy:a,public:a?a!==p.Private:void 0,protocol:$},g=n.forwardPort(v,h);return g?(this.q(c,l,g),g.finally(()=>{this.k.trace("ForwardedPorts: (TunnelService) Tunnel created by provider."),this.j.delete(u)})):this.j.delete(u),g}};e.$tw=s,e.$tw=s=Je([We(0,A.$3j),We(1,R.$3i)],s)}),define(Ie[212],Pe([1,0,3]),function(le,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Al=void 0,e.$Al=(0,I.$wi)("IUriIdentityService")}),define(Ie[213],Pe([1,0,3]),function(le,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.EditSessionIdentityMatch=e.$uw=void 0,e.$uw=(0,I.$wi)("editSessionIdentityService");var O;(function(R){R[R.Complete=100]="Complete",R[R.Partial=50]="Partial",R[R.None=0]="None"})(O||(e.EditSessionIdentityMatch=O={}))}),define(Ie[214],Pe([1,0,16]),function(le,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$FM=O,e.$GM=R,e.$HM=M,e.$IM=A,e.$JM=w;function O(p){return p.scheme!==I.Schemas.file&&p.scheme!==I.Schemas.vscodeRemote}function R(p){if(p.folders.length)return p.folders.every(E=>O(E.uri))?p.folders[0].uri:void 0;if(p.configuration&&O(p.configuration))return p.configuration}function M(p){return R(p)?.scheme}function A(p){return R(p)?.authority}function w(p){return R(p)!==void 0}}),define(Ie[45],Pe([1,0,171,19,54,23,2,3,16]),function(le,e,I,O,R,M,A,w,p){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Yi=e.$Vi=e.$Ui=e.$Ti=e.$Si=e.$Qi=e.$Pi=e.WorkbenchState=e.$Ji=e.$Ii=e.$Fi=void 0,e.$Gi=E,e.$Hi=T,e.$Ki=D,e.$Li=d,e.$Mi=b,e.$Ni=r,e.$Oi=o,e.$Ri=n,e.$Wi=c,e.$Xi=l,e.$Zi=t,e.$1i=f,e.$2i=a,e.$Fi=(0,w.$wi)("contextService");function E($){const u=$;return typeof u?.id=="string"&&A.URI.isUri(u.uri)}function T($){return typeof $?.id=="string"&&!E($)&&!d($)}e.$Ii={id:"ext-dev"},e.$Ji={id:"empty-window"};function D($,u){if(typeof $=="string"||typeof $>"u")return typeof $=="string"?{id:(0,O.$oc)($)}:u?e.$Ii:e.$Ji;const S=$;return S.configuration?{id:S.id,configPath:S.configuration}:S.folders.length===1?{id:S.id,uri:S.folders[0].uri}:{id:S.id}}function d($){const u=$;return typeof u?.id=="string"&&A.URI.isUri(u.configPath)}function b($){const u=$;if(u?.uri)return{id:u.id,uri:A.URI.revive(u.uri)};const S=$;if(S?.configPath)return{id:S.id,configPath:A.URI.revive(S.configPath)};if($?.id)return{id:$.id}}var m;(function($){$[$.EMPTY=1]="EMPTY",$[$.FOLDER=2]="FOLDER",$[$.WORKSPACE=3]="WORKSPACE"})(m||(e.WorkbenchState=m={}));function r($){const u=$;return!!(u&&typeof u=="object"&&typeof u.id=="string"&&Array.isArray(u.folders))}function o($){const u=$;return!!(u&&typeof u=="object"&&A.URI.isUri(u.uri)&&typeof u.name=="string"&&typeof u.toResource=="function")}class s{constructor(u,S,h,v,g){this.h=u,this.j=h,this.k=v,this.l=g,this.c=R.$Ci.forUris(this.l,()=>!0),this.folders=S}update(u){this.h=u.id,this.k=u.configuration,this.j=u.transient,this.l=u.l,this.folders=u.folders}get folders(){return this.g}set folders(u){this.g=u,this.n()}get id(){return this.h}get transient(){return this.j}get configuration(){return this.k}set configuration(u){this.k=u}getFolder(u){return u&&this.c.findSubstr(u)||null}n(){this.c=R.$Ci.forUris(this.l,()=>!0);for(const u of this.folders)this.c.set(u.uri,u)}toJSON(){return{id:this.id,folders:this.folders,transient:this.transient,configuration:this.configuration}}}e.$Pi=s;class i{constructor(u,S){this.raw=S,this.uri=u.uri,this.index=u.index,this.name=u.name}toResource(u){return(0,M.$0g)(this.uri,u)}toJSON(){return{uri:this.uri,name:this.name,index:this.index}}}e.$Qi=i;function n($){return new i({uri:$,index:0,name:(0,M.$6g)($)},{uri:$.toString()})}e.$Si="code-workspace",e.$Ti=`.${e.$Si}`,e.$Ui=[{name:(0,I.localize)(0,null),extensions:[e.$Si]}],e.$Vi="workspace.json";function c($,u){return M.$1g.isEqualOrParent($,u.untitledWorkspacesHome)}function l($){let u;return A.URI.isUri($)?u=$:u=$.configuration,u?.scheme===p.Schemas.tmp}e.$Yi="4064f6ec-cb38-4ad0-af64-ee6467e63c82";function t($){return $.id===e.$Yi}function f($,u){return!c($,u)&&!l($)}function a($){return(typeof $=="string"?(0,O.$pc)($):(0,M.$8g)($))===e.$Ti}}),define(Ie[215],Pe([1,0,73,5,6,23,2,170,99,38,3,12,45,28,212,11,34,13,15]),function(le,e,I,O,R,M,A,w,p,E,T,D,d,b,m,r,o,s,i){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Gl=e.$Fl=e.$Cl=e.ProfileResourceType=void 0,e.$Bl=c,e.$Dl=l,e.$El=t;var n;(function($){$.Settings="settings",$.Keybindings="keybindings",$.Snippets="snippets",$.Tasks="tasks",$.Extensions="extensions",$.GlobalState="globalState"})(n||(e.ProfileResourceType=n={}));function c($){const u=$;return!!(u&&typeof u=="object"&&typeof u.id=="string"&&typeof u.isDefault=="boolean"&&typeof u.name=="string"&&A.URI.isUri(u.location)&&A.URI.isUri(u.globalStorageHome)&&A.URI.isUri(u.settingsResource)&&A.URI.isUri(u.keybindingsResource)&&A.URI.isUri(u.tasksResource)&&A.URI.isUri(u.snippetsHome)&&A.URI.isUri(u.extensionsResource))}e.$Cl=(0,T.$wi)("IUserDataProfilesService");function l($,u){return{id:$.id,isDefault:$.isDefault,name:$.name,shortName:$.shortName,icon:$.icon,location:A.URI.revive($.location).with({scheme:u}),globalStorageHome:A.URI.revive($.globalStorageHome).with({scheme:u}),settingsResource:A.URI.revive($.settingsResource).with({scheme:u}),keybindingsResource:A.URI.revive($.keybindingsResource).with({scheme:u}),tasksResource:A.URI.revive($.tasksResource).with({scheme:u}),snippetsHome:A.URI.revive($.snippetsHome).with({scheme:u}),extensionsResource:A.URI.revive($.extensionsResource).with({scheme:u}),cacheHome:A.URI.revive($.cacheHome).with({scheme:u}),useDefaultFlags:$.useDefaultFlags,isTransient:$.isTransient}}function t($,u,S,h,v,g){return{id:$,name:u,location:S,isDefault:!1,shortName:v?.shortName,icon:v?.icon,globalStorageHome:g&&v?.useDefaultFlags?.globalState?g.globalStorageHome:(0,M.$0g)(S,"globalStorage"),settingsResource:g&&v?.useDefaultFlags?.settings?g.settingsResource:(0,M.$0g)(S,"settings.json"),keybindingsResource:g&&v?.useDefaultFlags?.keybindings?g.keybindingsResource:(0,M.$0g)(S,"keybindings.json"),tasksResource:g&&v?.useDefaultFlags?.tasks?g.tasksResource:(0,M.$0g)(S,"tasks.json"),snippetsHome:g&&v?.useDefaultFlags?.snippets?g.snippetsHome:(0,M.$0g)(S,"snippets"),extensionsResource:g&&v?.useDefaultFlags?.extensions?g.extensionsResource:(0,M.$0g)(S,"extensions.json"),cacheHome:(0,M.$0g)(h,$),useDefaultFlags:v?.useDefaultFlags,isTransient:v?.transient}}let f=class extends R.$Vc{static{this.b="userDataProfiles"}static{this.c="profileAssociations"}get defaultProfile(){return this.profiles[0]}get profiles(){return[...this.C.profiles,...this.s.profiles]}constructor(u,S,h,v){super(),this.t=u,this.u=S,this.w=h,this.y=v,this.f=!0,this.h=this.B(new O.$ee),this.onDidChangeProfiles=this.h.event,this.j=this.B(new O.$ee),this.onWillCreateProfile=this.j.event,this.m=this.B(new O.$ee),this.onWillRemoveProfile=this.m.event,this.n=this.B(new O.$ee),this.onDidResetWorkspaces=this.n.event,this.r=new Map,this.s={profiles:[],workspaces:new b.$Bc,emptyWindows:new Map},this.profilesHome=(0,M.$0g)(this.t.userRoamingDataHome,"profiles"),this.g=(0,M.$0g)(this.t.cacheHome,"CachedProfilesData")}init(){this.z=void 0}setEnablement(u){this.f!==u&&(this.z=void 0,this.f=u)}isEnabled(){return this.f}get C(){if(!this.z){const u=this.D(),S=[u];if(this.f)try{for(const g of this.O()){if(!g.name||!(0,i.$9f)(g.name)||!g.location){this.y.warn("Skipping the invalid stored profile",g.location||g.name);continue}S.push(t((0,M.$7g)(g.location),g.name,g.location,this.g,{shortName:g.shortName,icon:g.icon,useDefaultFlags:g.useDefaultFlags},u))}}catch(g){this.y.error(g)}const h=new b.$Bc,v=new Map;if(S.length)try{const g=this.Q();if(g.workspaces)for(const[k,y]of Object.entries(g.workspaces)){const C=A.URI.parse(k),P=S.find(W=>W.id===y);P&&h.set(C,P)}if(g.emptyWindows)for(const[k,y]of Object.entries(g.emptyWindows)){const C=S.find(P=>P.id===y);C&&v.set(k,C)}}catch(g){this.y.error(g)}this.z={profiles:S,workspaces:h,emptyWindows:v}}return this.z}D(){const u=t("__default__profile__",(0,w.localize)(0,null),this.t.userRoamingDataHome,this.g);return{...u,extensionsResource:this.S()??u.extensionsResource,isDefault:!0}}async createTransientProfile(u){const S="Temp",h=new RegExp(`${(0,s.$af)(S)}\\s(\\d+)`);let v=0;for(const k of this.profiles){const y=h.exec(k.name),C=y?parseInt(y[1]):0;v=C>v?C:v}const g=`${S} ${v+1}`;return this.createProfile((0,I.$kj)((0,o.$Sg)()).toString(16),g,{transient:!0},u)}async createNamedProfile(u,S,h){return this.createProfile((0,I.$kj)((0,o.$Sg)()).toString(16),u,S,h)}async createProfile(u,S,h,v){if(!this.f)throw new Error("Profiles are disabled in the current environment.");const g=await this.F(u,S,h);return v&&await this.setProfileForWorkspace(v,g),g}async F(u,S,h){if(!(0,i.$9f)(S)||!S)throw new Error("Name of the profile is mandatory and must be of type `string`");let v=this.r.get(S);return v||(v=(async()=>{try{if(this.profiles.find(C=>C.name===S||C.id===u))throw new Error(`Profile with ${S} name already exists`);const k=t(u,S,(0,M.$0g)(this.profilesHome,u),this.g,h,this.defaultProfile);await this.u.createFolder(k.location);const y=[];return this.j.fire({profile:k,join(C){y.push(C)}}),await r.Promises.settled(y),this.I([k],[],[]),k}finally{this.r.delete(S)}})(),this.r.set(S,v)),v}async updateProfile(u,S){if(!this.f)throw new Error("Profiles are disabled in the current environment.");let h=this.profiles.find(v=>v.id===u.id);if(!h)throw new Error(`Profile '${u.name}' does not exist`);return h=t(h.id,S.name??h.name,h.location,this.g,{shortName:S.shortName??h.shortName,icon:S.icon===null?void 0:S.icon??h.icon,transient:S.transient??h.isTransient,useDefaultFlags:S.useDefaultFlags??h.useDefaultFlags},this.defaultProfile),this.I([],[],[h]),h}async removeProfile(u){if(!this.f)throw new Error("Profiles are disabled in the current environment.");if(u.isDefault)throw new Error("Cannot remove default profile");const S=this.profiles.find(v=>v.id===u.id);if(!S)throw new Error(`Profile '${u.name}' does not exist`);const h=[];this.m.fire({profile:S,join(v){h.push(v)}});try{await Promise.allSettled(h)}catch(v){this.y.error(v)}for(const v of[...this.C.emptyWindows.keys()])S.id===this.C.emptyWindows.get(v)?.id&&this.C.emptyWindows.delete(v);for(const v of[...this.C.workspaces.keys()])S.id===this.C.workspaces.get(v)?.id&&this.C.workspaces.delete(v);this.M(),this.I([],[S],[]);try{await this.u.del(S.cacheHome,{recursive:!0})}catch(v){(0,E.$hl)(v)!==1&&this.y.error(v)}}async setProfileForWorkspace(u,S){if(!this.f)throw new Error("Profiles are disabled in the current environment.");const h=this.profiles.find(v=>v.id===S.id);if(!h)throw new Error(`Profile '${S.name}' does not exist`);this.L(u,h)}unsetWorkspace(u,S){if(!this.f)throw new Error("Profiles are disabled in the current environment.");this.L(u,void 0,S)}async resetWorkspaces(){this.s.workspaces.clear(),this.s.emptyWindows.clear(),this.C.workspaces.clear(),this.C.emptyWindows.clear(),this.M(),this.n.fire()}async cleanUp(){if(this.f&&await this.u.exists(this.profilesHome)){const u=await this.u.resolve(this.profilesHome);await Promise.all((u.children||[]).filter(S=>S.isDirectory&&this.profiles.every(h=>!this.w.extUri.isEqual(h.location,S.resource))).map(S=>this.u.del(S.resource,{recursive:!0})))}}async cleanUpTransientProfiles(){if(!this.f)return;const u=this.s.profiles.filter(S=>!this.H(S));await Promise.allSettled(u.map(S=>this.removeProfile(S)))}getProfileForWorkspace(u){const S=this.G(u);return A.URI.isUri(S)?this.s.workspaces.get(S)??this.C.workspaces.get(S):this.s.emptyWindows.get(S)??this.C.emptyWindows.get(S)}G(u){return(0,d.$Gi)(u)?u.uri:(0,d.$Li)(u)?u.configPath:u.id}H(u){return!!([...this.s.emptyWindows.values()].some(S=>this.w.extUri.isEqual(S.location,u.location))||[...this.s.workspaces.values()].some(S=>this.w.extUri.isEqual(S.location,u.location))||[...this.C.emptyWindows.values()].some(S=>this.w.extUri.isEqual(S.location,u.location))||[...this.C.workspaces.values()].some(S=>this.w.extUri.isEqual(S.location,u.location)))}I(u,S,h){const v=[...this.profiles,...u],g=[];this.s.profiles=[];for(let k of v)k.isDefault||S.some(y=>k.id===y.id)||(k=h.find(y=>k.id===y.id)??k,k.isTransient?this.s.profiles.push(k):g.push({location:k.location,name:k.name,shortName:k.shortName,icon:k.icon,useDefaultFlags:k.useDefaultFlags}));this.P(g),this.z=void 0,this.J(u,S,h)}J(u,S,h){this.h.fire({added:u,removed:S,updated:h,all:this.profiles})}L(u,S,h){h=S?.isTransient?!0:h,h||this.L(u,void 0,!0);const v=this.G(u),g=h?this.s:this.C;A.URI.isUri(v)?(g.workspaces.delete(v),S&&g.workspaces.set(v,S)):(g.emptyWindows.delete(v),S&&g.emptyWindows.set(v,S)),h||this.M()}M(){const u={};for(const[h,v]of this.C.workspaces.entries())u[h.toString()]=v.id;const S={};for(const[h,v]of this.C.emptyWindows.entries())S[h.toString()]=v.id;this.R({workspaces:u,emptyWindows:S}),this.z=void 0}N(u){const S={},h=this.D();if(u.workspaces)for(const[g,k]of Object.entries(u.workspaces)){const y=A.URI.parse(k);S[g]=this.w.extUri.isEqual(y,h.location)?h.id:this.w.extUri.basename(y)}const v={};if(u.emptyWindows)for(const[g,k]of Object.entries(u.emptyWindows)){const y=A.URI.parse(k);v[g]=this.w.extUri.isEqual(y,h.location)?h.id:this.w.extUri.basename(y)}return{workspaces:S,emptyWindows:v}}O(){return[]}P(u){throw new Error("not implemented")}Q(){return{}}R(u){throw new Error("not implemented")}S(){}};e.$Fl=f,e.$Fl=f=Je([We(0,p.$Di),We(1,E.$3k),We(2,m.$Al),We(3,D.$3j)],f);class a extends f{constructor(){super(...arguments),this.a=[],this.X={}}O(){return this.a}P(u){this.a=u}Q(){return this.X}R(u){this.X=u}}e.$Gl=a}),define(Ie[216],Pe([1,0,11,5,6,60,15,151,3,215]),function(le,e,I,O,R,M,A,w,p,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$5p=e.$3p=e.StorageTarget=e.StorageScope=e.WillSaveStateReason=e.$1p=e.$Zp=e.$Yp=void 0,e.$2p=b,e.$4p=r,e.$6p=s,e.$Yp="__$__isNewStorageMarker",e.$Zp="__$__targetStorageMarker",e.$1p=(0,p.$wi)("storageService");var T;(function(i){i[i.NONE=0]="NONE",i[i.SHUTDOWN=1]="SHUTDOWN"})(T||(e.WillSaveStateReason=T={}));var D;(function(i){i[i.APPLICATION=-1]="APPLICATION",i[i.PROFILE=0]="PROFILE",i[i.WORKSPACE=1]="WORKSPACE"})(D||(e.StorageScope=D={}));var d;(function(i){i[i.USER=0]="USER",i[i.MACHINE=1]="MACHINE"})(d||(e.StorageTarget=d={}));function b(i){const n=i.get(e.$Zp);if(n)try{return JSON.parse(n)}catch{}return Object.create(null)}class m extends R.$Vc{static{this.a=60*1e3}constructor(n={flushInterval:m.a}){super(),this.m=n,this.b=this.B(new O.$he),this.c=this.B(new O.$he),this.onDidChangeTarget=this.c.event,this.f=this.B(new O.$ee),this.onWillSaveState=this.f.event,this.h=this.B(new I.$Ih(()=>this.n(),this.m.flushInterval)),this.j=this.B(new R.$Wc),this.C=void 0,this.F=void 0,this.H=void 0}onDidChangeValue(n,c,l){return O.Event.filter(this.b.event,t=>t.scope===n&&(c===void 0||t.key===c),l)}n(){this.j.value=(0,I.$Mh)(()=>{this.r()&&this.flush(),this.h.schedule()})}r(){return!0}t(){(0,R.$Qc)([this.j,this.h])}initialize(){return this.g||(this.g=(async()=>{(0,M.mark)("code/willInitStorage");try{await this.O()}finally{(0,M.mark)("code/didInitStorage")}this.h.schedule()})()),this.g}u(n,c){const{key:l,external:t}=c;if(l===e.$Zp){switch(n){case-1:this.H=void 0;break;case 0:this.F=void 0;break;case 1:this.C=void 0;break}this.c.fire({scope:n})}else this.b.fire({scope:n,key:l,target:this.J(n)[l],external:t})}w(n){this.f.fire({reason:n})}get(n,c,l){return this.P(c)?.get(n,l)}getBoolean(n,c,l){return this.P(c)?.getBoolean(n,l)}getNumber(n,c,l){return this.P(c)?.getNumber(n,l)}getObject(n,c,l){return this.P(c)?.getObject(n,l)}storeAll(n,c){this.y(()=>{for(const l of n)this.store(l.key,l.value,l.scope,l.target,c)})}store(n,c,l,t,f=!1){if((0,A.$fg)(c)){this.remove(n,l,f);return}this.y(()=>{this.z(n,l,t),this.P(l)?.set(n,c,f)})}remove(n,c,l=!1){this.y(()=>{this.z(n,c,void 0),this.P(c)?.delete(n,l)})}y(n){this.b.pause(),this.c.pause();try{n()}finally{this.b.resume(),this.c.resume()}}keys(n,c){const l=[],t=this.J(n);for(const f of Object.keys(t))t[f]===c&&l.push(f);return l}z(n,c,l,t=!1){const f=this.J(c);typeof l=="number"?f[n]!==l&&(f[n]=l,this.P(c)?.set(e.$Zp,JSON.stringify(f),t)):typeof f[n]=="number"&&(delete f[n],this.P(c)?.set(e.$Zp,JSON.stringify(f),t))}get D(){return this.C||(this.C=this.L(1)),this.C}get G(){return this.F||(this.F=this.L(0)),this.F}get I(){return this.H||(this.H=this.L(-1)),this.H}J(n){switch(n){case-1:return this.I;case 0:return this.G;default:return this.D}}L(n){const c=this.P(n);return c?b(c):Object.create(null)}isNew(n){return this.getBoolean(e.$Yp,n)===!0}async flush(n=T.NONE){this.f.fire({reason:n});const c=this.P(-1),l=this.P(0),t=this.P(1);switch(n){case T.NONE:await I.Promises.settled([c?.whenFlushed()??Promise.resolve(),l?.whenFlushed()??Promise.resolve(),t?.whenFlushed()??Promise.resolve()]);break;case T.SHUTDOWN:await I.Promises.settled([c?.flush(0)??Promise.resolve(),l?.flush(0)??Promise.resolve(),t?.flush(0)??Promise.resolve()]);break}}async log(){const n=this.P(-1)?.items??new Map,c=this.P(0)?.items??new Map,l=this.P(1)?.items??new Map;return s(n,c,l,this.Q(-1)??"",this.Q(0)??"",this.Q(1)??"")}async optimize(n){return await this.flush(),this.P(n)?.optimize()}async switch(n,c){return this.w(T.NONE),(0,E.$Bl)(n)?this.R(n,c):this.S(n,c)}M(n,c){return!(n.id===c.id||r(c)&&r(n))}N(n,c,l){this.y(()=>{const t=new Set;for(const[f,a]of n)t.add(f),c.get(f)!==a&&this.u(l,{key:f,external:!0});for(const[f]of c.items)t.has(f)||this.u(l,{key:f,external:!0})})}}e.$3p=m;function r(i){return i.isDefault||!!i.useDefaultFlags?.globalState}class o extends m{constructor(){super(),this.U=this.B(new w.$Wp(new w.$Xp,{hint:w.StorageHint.STORAGE_IN_MEMORY})),this.W=this.B(new w.$Wp(new w.$Xp,{hint:w.StorageHint.STORAGE_IN_MEMORY})),this.X=this.B(new w.$Wp(new w.$Xp,{hint:w.StorageHint.STORAGE_IN_MEMORY})),this.B(this.X.onDidChangeStorage(n=>this.u(1,n))),this.B(this.W.onDidChangeStorage(n=>this.u(0,n))),this.B(this.U.onDidChangeStorage(n=>this.u(-1,n)))}P(n){switch(n){case-1:return this.U;case 0:return this.W;default:return this.X}}Q(n){switch(n){case-1:return"inMemory (application)";case 0:return"inMemory (profile)";default:return"inMemory (workspace)"}}async O(){}async R(){}async S(){}r(){return!1}hasScope(n){return!1}}e.$5p=o;async function s(i,n,c,l,t,f){const a=C=>{try{return JSON.parse(C)}catch{return C}},$=new Map,u=new Map;i.forEach((C,P)=>{$.set(P,C),u.set(P,a(C))});const S=new Map,h=new Map;n.forEach((C,P)=>{S.set(P,C),h.set(P,a(C))});const v=new Map,g=new Map;c.forEach((C,P)=>{v.set(P,C),g.set(P,a(C))}),console.group(l!==t?`Storage: Application (path: ${l})`:`Storage: Application & Profile (path: ${l}, default profile)`);const k=[];if($.forEach((C,P)=>{k.push({key:P,value:C})}),console.table(k),console.groupEnd(),console.log(u),l!==t){console.group(`Storage: Profile (path: ${t}, profile specific)`);const C=[];S.forEach((P,W)=>{C.push({key:W,value:P})}),console.table(C),console.groupEnd(),console.log(h)}console.group(`Storage: Workspace (path: ${f})`);const y=[];v.forEach((C,P)=>{y.push({key:P,value:C})}),console.table(y),console.groupEnd(),console.log(g)}}),define(Ie[76],Pe([1,0]),function(le,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$0kc=void 0;class I{static{this.a=!1}constructor(R){this.d=R,this.b=new Map,this.c=1}add(R){const M=this.c++;return this.b.set(M,R),this.e(),M}get(R,M){return this.b.has(R)?this.b.get(R)[M]:void 0}delete(R){this.b.delete(R),this.e()}e(){I.a&&console.log(`${this.d} cache size - ${this.b.size}`)}}e.$0kc=I}),define(Ie[46],Pe([1,0,16,23,3]),function(le,e,I,O,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$dlc=e.$clc=void 0;class M{constructor(){this.a=new Set(Object.keys(I.Schemas)),this.b=new Map,this.extUri=new O.$Yg(w=>{const p=this.b.get(w.scheme);return!(p===void 0||p&1024)})}$acceptProviderInfos(w,p){p===null?this.b.delete(w.scheme):this.b.set(w.scheme,p)}isFreeScheme(w){return!this.b.has(w)&&!this.a.has(w)}getCapabilities(w){return this.b.get(w)}}e.$clc=M,e.$dlc=(0,R.$wi)("IExtHostFileSystemInfo")}),define(Ie[27],Pe([1,0,3]),function(le,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$MP=void 0,e.$MP=(0,I.$wi)("IExtHostInitDataService")}),define(Ie[217],Pe([1,0,176,12,201,27]),function(le,e,I,O,R,M){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$jnc=void 0;let A=class extends R.$UQ{constructor(p,E,T){const D=T.remote.isRemote?"remoteexthost":p?"workerexthost":"exthost",d=T.remote.isRemote?(0,I.localize)(0,null):p?(0,I.localize)(1,null):(0,I.localize)(2,null);super(E.createLogger(D,{name:d}))}};e.$jnc=A,e.$jnc=A=Je([We(1,O.$4j),We(2,M.$MP)],A)}),define(Ie[218],Pe([1,0,11]),function(le,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Vlc=e.$Ulc=void 0;class O{constructor(A,w,p){this.h=new Map,this.a=A,this.b=w,this.c=p,this.d=this.c.initializeExtensionStorage(this.b,this.a,Object.create(null)).then(E=>(this.f=E,this)),this.g=this.c.onDidChangeStorage(E=>{E.shared===this.b&&E.key===this.a&&(this.f=E.value)}),this.i=new I.$Ih(()=>{const E=this.h;this.h=new Map,(async()=>{try{await this.c.setValue(this.b,this.a,this.f);for(const T of E.values())T.complete()}catch(T){for(const D of E.values())D.error(T)}})()},0)}keys(){return Object.entries(this.f??{}).filter(([,A])=>A!==void 0).map(([A])=>A)}get whenReady(){return this.d}get(A,w){let p=this.f[A];return typeof p>"u"&&(p=w),p}update(A,w){this.f[A]=w;const p=this.h.get(A);if(p!==void 0)return p.p;const E=new I.$Th;return this.h.set(A,E),this.i.isScheduled()||this.i.schedule(),E.p}dispose(){this.g.dispose()}}e.$Ulc=O;class R extends O{setKeysForSync(A){this.c.registerExtensionStorageKeysToSync({id:this.a,version:this.j.version},A)}constructor(A,w){super(A.identifier.value,!0,w),this.j=A}}e.$Vlc=R}),define(Ie[219],Pe([1,0,5,2]),function(le,e,I,O){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Jmc=void 0;class R{constructor(A){this.c=A,this.a=new I.$ee,this.onDidSaveNotebookDocument=this.a.event,this.b=new I.$ee,this.onDidChangeNotebookDocument=this.b.event}$acceptModelChanged(A,w,p,E){const D=this.c.getNotebookDocument(O.URI.revive(A)).acceptModelChanged(w.value,p,E);this.b.fire(D)}$acceptDirtyStateChanged(A,w){this.c.getNotebookDocument(O.URI.revive(A)).acceptDirty(w)}$acceptModelSaved(A){const w=this.c.getNotebookDocument(O.URI.revive(A));this.a.fire(w.apiNotebook)}}e.$Jmc=R}),define(Ie[17],Pe([1,0,3]),function(le,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$xP=e.$wP=void 0,e.$wP=(0,I.$wi)("IExtHostRpcService");class O{constructor(M){this.getProxy=M.getProxy.bind(M),this.set=M.set.bind(M),this.dispose=M.dispose.bind(M),this.assertRegistered=M.assertRegistered.bind(M),this.drain=M.drain.bind(M)}}e.$xP=O}),define(Ie[220],Pe([1,0,20,5]),function(le,e,I,O){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$5lc=void 0;class R{#e;constructor(A,w){this.b=new O.$ee,this.onDidChange=this.b.event,this.a=I.$Rm.toKey(A.identifier),this.#e=w,this.#e.onDidChangePassword(p=>{p.extensionId===this.a&&this.b.fire({key:p.key})})}get(A){return this.#e.get(this.a,A)}store(A,w){return this.#e.store(this.a,A,w)}delete(A){return this.#e.delete(this.a,A)}}e.$5lc=R}),define(Ie[61],Pe([1,0,3]),function(le,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$tlc=e.$slc=void 0,e.$slc=(0,I.$wi)("IURITransformerService");class O{constructor(M){M?(this.transformIncoming=M.transformIncoming.bind(M),this.transformOutgoing=M.transformOutgoing.bind(M),this.transformOutgoingURI=M.transformOutgoingURI.bind(M),this.transformOutgoingScheme=M.transformOutgoingScheme.bind(M)):(this.transformIncoming=A=>A,this.transformOutgoing=A=>A,this.transformOutgoingURI=A=>A,this.transformOutgoingScheme=A=>A)}}e.$tlc=O}),define(Ie[221],Pe([1,0,21]),function(le,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$zrb=R,e.$Arb=A;class O{constructor(){this.buffers=[]}add(p){let E=this.buffers.indexOf(p);return E<0&&(E=this.buffers.length,this.buffers.push(p)),E}}function R(w,p){if(p.serializeBuffersForPostMessage){const E=new O,D=JSON.stringify(w,(b,m)=>{if(m instanceof ArrayBuffer)return{$$vscode_array_buffer_reference$$:!0,index:E.add(m)};if(ArrayBuffer.isView(m)){const r=M(m);if(r)return{$$vscode_array_buffer_reference$$:!0,index:E.add(m.buffer),view:{type:r,byteLength:m.byteLength,byteOffset:m.byteOffset}}}return m}),d=E.buffers.map(b=>{const m=new Uint8Array(b);return I.$Ge.wrap(m)});return{message:D,buffers:d}}else return{message:JSON.stringify(w),buffers:[]}}function M(w){switch(w.constructor.name){case"Int8Array":return 1;case"Uint8Array":return 2;case"Uint8ClampedArray":return 3;case"Int16Array":return 4;case"Uint16Array":return 5;case"Int32Array":return 6;case"Uint32Array":return 7;case"Float32Array":return 8;case"Float64Array":return 9;case"BigInt64Array":return 10;case"BigUint64Array":return 11}}function A(w,p){const E=p.map(d=>{const b=new ArrayBuffer(d.byteLength);return new Uint8Array(b).set(d.buffer),b}),T=p.length?(d,b)=>{if(b&&typeof b=="object"&&b.$$vscode_array_buffer_reference$$){const m=b,{index:r}=m,o=E[r];if(m.view)switch(m.view.type){case 1:return new Int8Array(o,m.view.byteOffset,m.view.byteLength/Int8Array.BYTES_PER_ELEMENT);case 2:return new Uint8Array(o,m.view.byteOffset,m.view.byteLength/Uint8Array.BYTES_PER_ELEMENT);case 3:return new Uint8ClampedArray(o,m.view.byteOffset,m.view.byteLength/Uint8ClampedArray.BYTES_PER_ELEMENT);case 4:return new Int16Array(o,m.view.byteOffset,m.view.byteLength/Int16Array.BYTES_PER_ELEMENT);case 5:return new Uint16Array(o,m.view.byteOffset,m.view.byteLength/Uint16Array.BYTES_PER_ELEMENT);case 6:return new Int32Array(o,m.view.byteOffset,m.view.byteLength/Int32Array.BYTES_PER_ELEMENT);case 7:return new Uint32Array(o,m.view.byteOffset,m.view.byteLength/Uint32Array.BYTES_PER_ELEMENT);case 8:return new Float32Array(o,m.view.byteOffset,m.view.byteLength/Float32Array.BYTES_PER_ELEMENT);case 9:return new Float64Array(o,m.view.byteOffset,m.view.byteLength/Float64Array.BYTES_PER_ELEMENT);case 10:return new BigInt64Array(o,m.view.byteOffset,m.view.byteLength/BigInt64Array.BYTES_PER_ELEMENT);case 11:return new BigUint64Array(o,m.view.byteOffset,m.view.byteLength/BigUint64Array.BYTES_PER_ELEMENT);default:throw new Error("Unknown array buffer view type")}return o}return b}:void 0;return{message:JSON.parse(w,T),arrayBuffers:E}}}),define(Ie[106],Pe([1,0,185,15,2,6,3,29,38,16,44,145,33]),function(le,e,I,O,R,M,A,w,p,E,T,D,d){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.EditorsOrder=e.CloseDirection=e.$QF=e.EditorCloseMethod=e.SideBySideEditor=e.GroupModelChangeKind=e.EditorCloseContext=e.$HF=e.EditorInputCapabilities=e.$GF=e.SaveReason=e.Verbosity=e.EditorPaneSelectionCompareResult=e.EditorPaneSelectionChangeReason=e.$wF=e.$vF=e.$uF=e.$tF=e.$sF=void 0,e.$xF=r,e.$yF=o,e.$zF=s,e.$AF=i,e.$BF=n,e.$CF=c,e.$DF=l,e.$EF=t,e.$FF=f,e.$IF=v,e.$JF=k,e.$KF=y,e.$LF=C,e.$MF=P,e.$NF=W,e.$OF=V,e.$PF=ce,e.$RF=fe,e.$SF=Te,e.$TF=ae,e.$UF=Ne,e.$sF={EditorPane:"workbench.contributions.editors",EditorFactory:"workbench.contributions.editor.inputFactories"},e.$tF={id:"default",displayName:(0,I.localize)(0,null),providerDisplayName:(0,I.localize)(1,null)},e.$uF="workbench.editor.sidebysideEditor",e.$vF="workbench.editors.textDiffEditor",e.$wF="workbench.editors.binaryResourceDiffEditor";var b;(function(ne){ne[ne.PROGRAMMATIC=1]="PROGRAMMATIC",ne[ne.USER=2]="USER",ne[ne.EDIT=3]="EDIT",ne[ne.NAVIGATION=4]="NAVIGATION",ne[ne.JUMP=5]="JUMP"})(b||(e.EditorPaneSelectionChangeReason=b={}));var m;(function(ne){ne[ne.IDENTICAL=1]="IDENTICAL",ne[ne.SIMILAR=2]="SIMILAR",ne[ne.DIFFERENT=3]="DIFFERENT"})(m||(e.EditorPaneSelectionCompareResult=m={}));function r(ne){const z=ne;return!!z&&typeof z.getSelection=="function"&&!!z.onDidChangeSelection}function o(ne){const z=ne;return!!z&&typeof z.getScrollPosition=="function"&&typeof z.setScrollPosition=="function"&&!!z.onDidChangeScroll}function s(ne,z,x){for(const be of x.visibleEditorPanes)if(be.group.id===z&&ne.matches(be.input))return be.getViewState()}function i(ne){if(v(ne))return!1;const z=ne;return R.URI.isUri(z?.resource)}function n(ne){if(v(ne))return!1;const z=ne;return z?.original!==void 0&&z.modified!==void 0}function c(ne){if(v(ne))return!1;const z=ne;return!z||z.resources&&!Array.isArray(z.resources)?!1:!!z.resources||!!z.multiDiffSource}function l(ne){if(v(ne)||n(ne))return!1;const z=ne;return z?.primary!==void 0&&z.secondary!==void 0}function t(ne){if(v(ne))return!1;const z=ne;return z?z.resource===void 0||z.resource.scheme===E.Schemas.untitled||z.forceUntitled===!0:!1}function f(ne){if(v(ne))return!1;const z=ne;return R.URI.isUri(z?.base?.resource)&&R.URI.isUri(z?.input1?.resource)&&R.URI.isUri(z?.input2?.resource)&&R.URI.isUri(z?.result?.resource)}var a;(function(ne){ne[ne.SHORT=0]="SHORT",ne[ne.MEDIUM=1]="MEDIUM",ne[ne.LONG=2]="LONG"})(a||(e.Verbosity=a={}));var $;(function(ne){ne[ne.EXPLICIT=1]="EXPLICIT",ne[ne.AUTO=2]="AUTO",ne[ne.FOCUS_CHANGE=3]="FOCUS_CHANGE",ne[ne.WINDOW_CHANGE=4]="WINDOW_CHANGE"})($||(e.SaveReason=$={}));class u{constructor(){this.a=new Map}registerSource(z,x){let be=this.a.get(z);return be||(be={source:z,label:x},this.a.set(z,be)),be.source}getSourceLabel(z){return this.a.get(z)?.label??z}}e.$GF=new u;var S;(function(ne){ne[ne.None=0]="None",ne[ne.Readonly=2]="Readonly",ne[ne.Untitled=4]="Untitled",ne[ne.Singleton=8]="Singleton",ne[ne.RequiresTrust=16]="RequiresTrust",ne[ne.CanSplitInGroup=32]="CanSplitInGroup",ne[ne.ForceDescription=64]="ForceDescription",ne[ne.CanDropIntoEditor=128]="CanDropIntoEditor",ne[ne.MultipleEditors=256]="MultipleEditors",ne[ne.Scratchpad=512]="Scratchpad"})(S||(e.EditorInputCapabilities=S={}));class h extends M.$Vc{}e.$HF=h;function v(ne){return ne instanceof h}function g(ne){const z=ne;return R.URI.isUri(z?.preferredResource)}function k(ne){const z=ne;return v(z?.primary)&&v(z?.secondary)}function y(ne){const z=ne;return v(z?.modified)&&v(z?.original)}function C(ne,z,x,be,Fe){return Ne(be,[(0,D.$gj)({id:"workbench.action.openLargeFile",label:(0,I.localize)(2,null),run:()=>{const De={...x,limits:{size:Number.MAX_VALUE}};ne.openEditor(z,De)}}),(0,D.$gj)({id:"workbench.action.configureEditorLargeFileConfirmation",label:(0,I.localize)(3,null),run:()=>Fe.openUserSettings({query:"workbench.editorLargeFileConfirmation"})})],{forceMessage:!0,forceSeverity:d.default.Warning})}function P(ne){return v(ne?.editor)}function W(ne){const z=ne;return P(ne)&&z?.group!==void 0}function V(ne){const z=ne;return typeof z?.groupId=="number"&&v(z.editor)}var q;(function(ne){ne[ne.UNKNOWN=0]="UNKNOWN",ne[ne.REPLACE=1]="REPLACE",ne[ne.MOVE=2]="MOVE",ne[ne.UNPIN=3]="UNPIN"})(q||(e.EditorCloseContext=q={}));var N;(function(ne){ne[ne.GROUP_ACTIVE=0]="GROUP_ACTIVE",ne[ne.GROUP_INDEX=1]="GROUP_INDEX",ne[ne.GROUP_LABEL=2]="GROUP_LABEL",ne[ne.GROUP_LOCKED=3]="GROUP_LOCKED",ne[ne.EDITOR_OPEN=4]="EDITOR_OPEN",ne[ne.EDITOR_CLOSE=5]="EDITOR_CLOSE",ne[ne.EDITOR_MOVE=6]="EDITOR_MOVE",ne[ne.EDITOR_ACTIVE=7]="EDITOR_ACTIVE",ne[ne.EDITOR_LABEL=8]="EDITOR_LABEL",ne[ne.EDITOR_CAPABILITIES=9]="EDITOR_CAPABILITIES",ne[ne.EDITOR_PIN=10]="EDITOR_PIN",ne[ne.EDITOR_TRANSIENT=11]="EDITOR_TRANSIENT",ne[ne.EDITOR_STICKY=12]="EDITOR_STICKY",ne[ne.EDITOR_DIRTY=13]="EDITOR_DIRTY",ne[ne.EDITOR_WILL_DISPOSE=14]="EDITOR_WILL_DISPOSE"})(N||(e.GroupModelChangeKind=N={}));var j;(function(ne){ne[ne.PRIMARY=1]="PRIMARY",ne[ne.SECONDARY=2]="SECONDARY",ne[ne.BOTH=3]="BOTH",ne[ne.ANY=4]="ANY"})(j||(e.SideBySideEditor=j={}));class K{getOriginalUri(z,x){if(!z)return;if(f(z))return e.$QF.getOriginalUri(z.result,x);if(x?.supportSideBySide){const{primary:Fe,secondary:De}=this.a(z);if(Fe&&De){if(x?.supportSideBySide===j.BOTH)return{primary:this.getOriginalUri(Fe,{filterByScheme:x.filterByScheme}),secondary:this.getOriginalUri(De,{filterByScheme:x.filterByScheme})};if(x?.supportSideBySide===j.ANY)return this.getOriginalUri(Fe,{filterByScheme:x.filterByScheme})??this.getOriginalUri(De,{filterByScheme:x.filterByScheme});z=x.supportSideBySide===j.PRIMARY?Fe:De}}if(n(z)||c(z)||l(z)||f(z))return;const be=g(z)?z.preferredResource:z.resource;return!be||!x||!x.filterByScheme?be:this.b(be,x.filterByScheme)}a(z){return k(z)||l(z)?{primary:z.primary,secondary:z.secondary}:y(z)||n(z)?{primary:z.modified,secondary:z.original}:{primary:void 0,secondary:void 0}}getCanonicalUri(z,x){if(!z)return;if(f(z))return e.$QF.getCanonicalUri(z.result,x);if(x?.supportSideBySide){const{primary:Fe,secondary:De}=this.a(z);if(Fe&&De){if(x?.supportSideBySide===j.BOTH)return{primary:this.getCanonicalUri(Fe,{filterByScheme:x.filterByScheme}),secondary:this.getCanonicalUri(De,{filterByScheme:x.filterByScheme})};if(x?.supportSideBySide===j.ANY)return this.getCanonicalUri(Fe,{filterByScheme:x.filterByScheme})??this.getCanonicalUri(De,{filterByScheme:x.filterByScheme});z=x.supportSideBySide===j.PRIMARY?Fe:De}}if(n(z)||c(z)||l(z)||f(z))return;const be=z.resource;return!be||!x||!x.filterByScheme?be:this.b(be,x.filterByScheme)}b(z,x){if(Array.isArray(x)){if(x.some(be=>z.scheme===be))return z}else if(x===z.scheme)return z}}var ie;(function(ne){ne[ne.UNKNOWN=0]="UNKNOWN",ne[ne.KEYBOARD=1]="KEYBOARD",ne[ne.MOUSE=2]="MOUSE"})(ie||(e.EditorCloseMethod=ie={}));function ce(ne,z,x,be){if(!ne.isSticky(z))return!1;switch(be.preventPinnedEditorClose){case"keyboardAndMouse":return x===ie.MOUSE||x===ie.KEYBOARD;case"mouse":return x===ie.MOUSE;case"keyboard":return x===ie.KEYBOARD}return!1}e.$QF=new K;var ye;(function(ne){ne[ne.LEFT=0]="LEFT",ne[ne.RIGHT=1]="RIGHT"})(ye||(e.CloseDirection=ye={}));class Se{constructor(){this.c=new Map,this.d=new Map}start(z){const x=this.a=z.get(A.$vi);for(const[be,Fe]of this.c)this.e(be,Fe,x);this.c.clear()}e(z,x,be){const Fe=be.createInstance(x);this.d.set(z,Fe)}registerFileEditorFactory(z){if(this.b)throw new Error("Can only register one file editor factory.");this.b=z}getFileEditorFactory(){return(0,O.$hg)(this.b)}registerEditorSerializer(z,x){if(this.c.has(z)||this.d.has(z))throw new Error(`A editor serializer with type ID '${z}' was already registered.`);return this.a?this.e(z,x,this.a):this.c.set(z,x),(0,M.$Tc)(()=>{this.c.delete(z),this.d.delete(z)})}getEditorSerializer(z){return this.d.get(typeof z=="string"?z:z.typeId)}}w.$co.add(e.$sF.EditorFactory,new Se);async function fe(ne,z,x){return!ne||!ne.length?[]:await Promise.all(ne.map(async be=>{const Fe=R.URI.revive(be.fileUri);if(!Fe){x.info("Cannot resolve the path because it is not valid.",be);return}if(!await z.canHandleResource(Fe)){x.info("Cannot resolve the path because it cannot be handled",be);return}let we=be.exists,ge=be.type;if(typeof we!="boolean"||typeof ge!="number")try{ge=(await z.stat(Fe)).isDirectory?p.FileType.Directory:p.FileType.Unknown,we=!0}catch(Y){x.error(Y),we=!1}if(!we&&be.openOnlyIfExists){x.info("Cannot resolve the path because it does not exist",be);return}if(ge===p.FileType.Directory){x.info("Cannot resolve the path because it is a directory",be);return}const Q={...be.options,pinned:!0};return we?{resource:Fe,options:Q}:{resource:Fe,options:Q,forceUntitled:!0}}))}var $e;(function(ne){ne[ne.MOST_RECENTLY_ACTIVE=0]="MOST_RECENTLY_ACTIVE",ne[ne.SEQUENTIAL=1]="SEQUENTIAL"})($e||(e.EditorsOrder=$e={}));function Te(ne){const z=ne;if(!z)return!1;const x=z;if(x.modified)return Te(x.modified);const be=z;return!!(be.contributionsState&&be.viewState&&Array.isArray(be.cursorState))}function ae(ne){return(0,T.$ij)(ne)}function Ne(ne,z,x){const be=(0,T.$jj)(ne,z);return be.forceMessage=x?.forceMessage,be.forceSeverity=x?.forceSeverity,be.allowDialog=x?.allowDialog,be}}),define(Ie[222],Pe([1,0,5,186,3,6,28,29,18,25,92,210]),function(le,e,I,O,R,M,A,w,p,E,T,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$3F=e.$2F=e.TreeItemCollapsibleState=e.ViewVisibilityState=e.$1F=e.ViewContentGroups=e.$YF=e.ViewContainerLocation=e.Extensions=e.$XF=e.$WF=e.$VF=void 0,e.$ZF=m,e.$VF="views",e.$WF=(0,O.localize)(0,null),e.$XF=(0,D.$fx)("default-view-icon",T.$Vj.window,(0,O.localize)(1,null));var d;(function(f){f.ViewContainersRegistry="workbench.registry.view.containers",f.ViewsRegistry="workbench.registry.view"})(d||(e.Extensions=d={}));var b;(function(f){f[f.Sidebar=0]="Sidebar",f[f.Panel=1]="Panel",f[f.AuxiliaryBar=2]="AuxiliaryBar"})(b||(e.ViewContainerLocation=b={})),e.$YF=[0,1,2];function m(f){switch(f){case 0:return"sidebar";case 1:return"panel";case 2:return"auxiliarybar"}}class r extends M.$Vc{constructor(){super(...arguments),this.c=this.B(new I.$ee),this.onDidRegister=this.c.event,this.f=this.B(new I.$ee),this.onDidDeregister=this.f.event,this.g=new Map,this.h=[]}get all(){return(0,p.$Rb)([...this.g.values()])}registerViewContainer(a,$,u){const S=this.get(a.id);if(S)return S;const h=a;return h.openCommandActionDescriptor=u?.doNotRegisterOpenCommand?void 0:h.openCommandActionDescriptor??{id:h.id},(0,A.$yc)(this.g,$,[]).push(h),u?.isDefault&&this.h.push(h),this.c.fire({viewContainer:h,viewContainerLocation:$}),h}deregisterViewContainer(a){for(const $ of this.g.keys()){const u=this.g.get($),S=u?.indexOf(a);if(S!==-1){u?.splice(S,1),u.length===0&&this.g.delete($),this.f.fire({viewContainer:a,viewContainerLocation:$});return}}}get(a){return this.all.filter($=>$.id===a)[0]}getViewContainers(a){return[...this.g.get(a)||[]]}getViewContainerLocation(a){return[...this.g.keys()].filter($=>this.getViewContainers($).filter(u=>u?.id===a.id).length>0)[0]}getDefaultViewContainer(a){return this.h.find($=>this.getViewContainerLocation($)===a)}}w.$co.add(d.ViewContainersRegistry,new r);var o;(function(f){f.Open="2_open",f.Debug="4_debug",f.SCM="5_scm",f.More="9_more"})(o||(e.ViewContentGroups=o={}));function s(f,a){const $=f.group??o.More,u=a.group??o.More;return $!==u?$.localeCompare(u):(f.order??5)-(a.order??5)}class i extends M.$Vc{constructor(){super(...arguments),this.c=this.B(new I.$ee),this.onViewsRegistered=this.c.event,this.f=this.B(new I.$ee),this.onViewsDeregistered=this.f.event,this.g=this.B(new I.$ee),this.onDidChangeContainer=this.g.event,this.h=this.B(new I.$ee),this.onDidChangeViewWelcomeContent=this.h.event,this.j=[],this.m=new Map,this.n=new A.$Ic}registerViews(a,$){this.registerViews2([{views:a,viewContainer:$}])}registerViews2(a){a.forEach(({views:$,viewContainer:u})=>this.r($,u)),this.c.fire(a)}deregisterViews(a,$){const u=this.s(a,$);u.length&&this.f.fire({views:u,viewContainer:$})}moveViews(a,$){for(const u of this.m.keys())if(u!==$){const S=this.s(a,u);S.length&&(this.r(S,$),this.g.fire({views:S,from:u,to:$}))}}getViews(a){return this.m.get(a)||[]}getView(a){for(const $ of this.j){const u=(this.m.get($)||[]).filter(S=>S.id===a)[0];if(u)return u}return null}getViewContainer(a){for(const $ of this.j)if((this.m.get($)||[]).filter(S=>S.id===a)[0])return $;return null}registerViewWelcomeContent(a,$){return this.n.add(a,$),this.h.fire(a),(0,M.$Tc)(()=>{this.n.delete(a,$),this.h.fire(a)})}registerViewWelcomeContent2(a,$){const u=new Map;for(const[S,h]of $)this.n.add(a,h),u.set(S,(0,M.$Tc)(()=>{this.n.delete(a,h),this.h.fire(a)}));return this.h.fire(a),u}getViewWelcomeContent(a){const $=[];return this.n.forEach(a,u=>$.push(u)),$.sort(s)}r(a,$){let u=this.m.get($);u||(u=[],this.m.set($,u),this.j.push($));for(const S of a){if(this.getView(S.id)!==null)throw new Error((0,O.localize)(2,null,S.id));u.push(S)}}s(a,$){const u=this.m.get($);if(!u)return[];const S=[],h=[];for(const v of u)a.includes(v)?S.push(v):h.push(v);return S.length&&(h.length?this.m.set($,h):(this.m.delete($),this.j.splice(this.j.indexOf($),1))),S}}w.$co.add(d.ViewsRegistry,new i),e.$1F=(0,R.$wi)("viewDescriptorService");var n;(function(f){f[f.Default=0]="Default",f[f.Expand=1]="Expand"})(n||(e.ViewVisibilityState=n={}));var c;(function(f){f[f.None=0]="None",f[f.Collapsed=1]="Collapsed",f[f.Expanded=2]="Expanded"})(c||(e.TreeItemCollapsibleState=c={}));class l{constructor(a,$){this.c=!1,this.d=!1,(0,E.$6n)(this,a),this.d=!!$,this.resolve=async u=>{if($&&!this.c){const S=await $(u);S&&(this.tooltip=this.tooltip??S.tooltip,this.command=this.command??S.command)}u.isCancellationRequested||(this.c=!0)}}get hasResolve(){return this.d}resetResolve(){this.c=!1}asTreeItem(){return{handle:this.handle,parentHandle:this.parentHandle,collapsibleState:this.collapsibleState,label:this.label,description:this.description,icon:this.icon,iconDark:this.iconDark,themeIcon:this.themeIcon,resourceUri:this.resourceUri,tooltip:this.tooltip,contextValue:this.contextValue,command:this.command,children:this.children,accessibilityInformation:this.accessibilityInformation}}}e.$2F=l;class t extends Error{constructor(a){super((0,O.localize)(3,null,a)),this.name="NoTreeViewError"}static is(a){return a.name==="NoTreeViewError"}}e.$3F=t}),define(Ie[223],Pe([1,0,187,31]),function(le,e,I,O){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$jG=e.$iG=e.$hG=e.$gG=e.$fG=e.$eG=e.$dG=e.$cG=e.$bG=e.$aG=e.$_F=e.$$F=e.$0F=e.$9F=e.$8F=e.$7F=void 0,e.$7F=new O.$Nj("chatSessionResponseVote","",{type:"string",description:(0,I.localize)(0,null)}),e.$8F=new O.$Nj("chatSessionResponseDetectedAgentOrCommand",!1,{type:"boolean",description:(0,I.localize)(1,null)}),e.$9F=new O.$Nj("chatResponseSupportsIssueReporting",!1,{type:"boolean",description:(0,I.localize)(2,null)}),e.$0F=new O.$Nj("chatSessionResponseFiltered",!1,{type:"boolean",description:(0,I.localize)(3,null)}),e.$$F=new O.$Nj("chatSessionRequestInProgress",!1,{type:"boolean",description:(0,I.localize)(4,null)}),e.$_F=new O.$Nj("chatResponse",!1,{type:"boolean",description:(0,I.localize)(5,null)}),e.$aG=new O.$Nj("chatRequest",!1,{type:"boolean",description:(0,I.localize)(6,null)}),e.$bG=new O.$Nj("chatEditApplied",!1,{type:"boolean",description:(0,I.localize)(7,null)}),e.$cG=new O.$Nj("chatInputHasText",!1,{type:"boolean",description:(0,I.localize)(8,null)}),e.$dG=new O.$Nj("chatInputHasFocus",!1,{type:"boolean",description:(0,I.localize)(9,null)}),e.$eG=new O.$Nj("inChatInput",!1,{type:"boolean",description:(0,I.localize)(10,null)}),e.$fG=new O.$Nj("inChat",!1,{type:"boolean",description:(0,I.localize)(11,null)}),e.$gG=new O.$Nj("chatIsEnabled",!1,{type:"boolean",description:(0,I.localize)(12,null)}),e.$hG=new O.$Nj("chatCursorAtTop",!1),e.$iG=new O.$Nj("chatInputHasAgent",!1),e.$jG=new O.$Nj("chatLocation",void 0)}),define(Ie[224],Pe([1,0,11,24,5,42,6,132,13,31,3,12,102,204,216,223]),function(le,e,I,O,R,M,A,w,p,E,T,D,d,b,m,r){"use strict";var o;Object.defineProperty(e,"__esModule",{value:!0}),e.$lH=e.$kH=e.$jH=e.$iH=e.$hH=e.ChatAgentLocation=void 0;var s;(function(l){l.Panel="panel",l.Terminal="terminal",l.Notebook="notebook",l.Editor="editor"})(s||(e.ChatAgentLocation=s={})),function(l){function t(f){switch(f){case"panel":return l.Panel;case"terminal":return l.Terminal;case"notebook":return l.Notebook;case"editor":return l.Editor}return l.Panel}l.fromRaw=t}(s||(e.ChatAgentLocation=s={})),e.$hH=(0,T.$wi)("chatAgentService");let i=class{static{this.AGENT_LEADER="@"}constructor(t){this.f=t,this.b=[],this.d=new R.$ee,this.onDidChangeAgents=this.d.event,this.e=r.$gG.bindTo(this.f)}registerAgent(t,f){if(this.getAgent(t))throw new Error(`Agent already registered: ${JSON.stringify(t)}`);const $=this,u=f.slashCommands;f={...f,get slashCommands(){return u.filter(h=>!h.when||$.f.contextMatchesRules(E.$uj.deserialize(h.when)))}};const S={data:f};return this.b.push(S),(0,A.$Tc)(()=>{this.b=this.b.filter(h=>h!==S),this.d.fire(void 0)})}registerAgentImplementation(t,f){const a=this.g(t);if(!a)throw new Error(`Unknown agent: ${JSON.stringify(t)}`);if(a.impl)throw new Error(`Agent already has implementation: ${JSON.stringify(t)}`);return a.data.isDefault&&this.e.set(!0),a.impl=f,this.d.fire(new n(a.data,f)),(0,A.$Tc)(()=>{a.impl=void 0,this.d.fire(void 0),a.data.isDefault&&this.e.set(!1)})}registerDynamicAgent(t,f){const a={data:t,impl:f};return this.b.push(a),this.d.fire(new n(t,f)),(0,A.$Tc)(()=>{this.b=this.b.filter($=>$!==a),this.d.fire(void 0)})}updateAgent(t,f){const a=this.g(t);if(!a?.impl)throw new Error(`No activated agent with id ${JSON.stringify(t)} registered`);a.data.metadata={...a.data.metadata,...f},this.d.fire(new n(a.data,a.impl))}getDefaultAgent(t){return this.getActivatedAgents().find(f=>!!f.isDefault&&f.locations.includes(t))}getContributedDefaultAgent(t){return this.getAgents().find(f=>!!f.isDefault&&f.locations.includes(t))}getSecondaryAgent(){return M.Iterable.find(this.b.values(),t=>!!t.data.metadata.isSecondary)?.data}g(t){return this.b.find(f=>f.data.id===t)}getAgent(t){return this.g(t)?.data}getAgents(){return this.b.map(t=>t.data)}getActivatedAgents(){return Array.from(this.b.values()).filter(t=>!!t.impl).map(t=>new n(t.data,t.impl))}getAgentsByName(t){return this.getAgents().filter(f=>f.name===t)}async invokeAgent(t,f,a,$,u){const S=this.g(t);if(!S?.impl)throw new Error(`No activated agent with id ${t}`);return await S.impl.invoke(f,a,$,u)}async getFollowups(t,f,a,$,u){const S=this.g(t);if(!S?.impl)throw new Error(`No activated agent with id ${t}`);return S.impl?.provideFollowups?S.impl.provideFollowups(f,a,$,u):[]}};e.$iH=i,e.$iH=i=Je([We(0,E.$Oj)],i);class n{constructor(t,f){this.b=t,this.d=f}get id(){return this.b.id}get name(){return this.b.name??""}get description(){return this.b.description??""}get extensionId(){return this.b.extensionId}get extensionPublisherId(){return this.b.extensionPublisherId}get extensionPublisherDisplayName(){return this.b.extensionPublisherDisplayName}get extensionDisplayName(){return this.b.extensionDisplayName}get isDefault(){return this.b.isDefault}get metadata(){return this.b.metadata}get slashCommands(){return this.b.slashCommands}get defaultImplicitVariables(){return this.b.defaultImplicitVariables}get locations(){return this.b.locations}async invoke(t,f,a,$){return this.d.invoke(t,f,a,$)}async provideFollowups(t,f,a,$){return this.d.provideFollowups?this.d.provideFollowups(t,f,a,$):[]}provideWelcomeMessage(t,f){if(this.d.provideWelcomeMessage)return this.d.provideWelcomeMessage(t,f)}provideSampleQuestions(t,f){if(this.d.provideSampleQuestions)return this.d.provideSampleQuestions(t,f)}}e.$jH=n,e.$kH=(0,T.$wi)("chatAgentNameService");let c=class{static{o=this}static{this.b="chat.participantNameRegistry"}constructor(t,f,a,$){if(this.g=f,this.h=a,this.i=$,this.e=(0,w.$2d)(this,Object.create(null)),this.f=!1,!t.chatParticipantRegistry)return;this.d=t.chatParticipantRegistry;const u=$.get(o.b,-1);try{this.e.set(JSON.parse(u??"{}"),void 0)}catch{$.remove(o.b,-1)}this.j()}j(){this.f||this.k().catch(t=>this.h.warn("Failed to fetch chat participant registry",t)).then(()=>(0,I.$xh)(5*60*1e3)).then(()=>this.j())}async k(){const t=await this.g.request({type:"GET",url:this.d},O.CancellationToken.None);if(t.res.statusCode!==200)throw new Error("Could not get extensions report.");const f=await(0,b.$Tp)(t);if(!f||f.version!==1)throw new Error("Unexpected chat participant registry response.");const a=f.restrictedChatParticipants;this.e.set(a,void 0),this.i.store(o.b,JSON.stringify(a),-1,1)}getAgentNameRestriction(t){return this.e.map(a=>a[t.name.toLowerCase()]).map(a=>a?a.some($=>(0,p.$yf)($,$.includes(".")?t.extensionId.value:t.extensionPublisherId)):!0)}dispose(){this.f=!0}};e.$lH=c,e.$lH=c=o=Je([We(0,d.$jk),We(1,b.$Np),We(2,D.$3j),We(3,m.$1p)],c)}),define(Ie[225],Pe([1,0,2,30,3]),function(le,e,I,O,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$rG=e.$qG=e.ChatCopyKind=e.InteractiveSessionVoteDirection=void 0,e.$oG=M,e.$pG=A;function M(E){return!!E&&typeof E=="object"&&"uri"in E&&E.uri instanceof I.URI&&"version"in E&&typeof E.version=="number"&&"ranges"in E&&Array.isArray(E.ranges)&&E.ranges.every(O.$ut.isIRange)}function A(E){return!!E&&typeof E=="object"&&"documents"in E&&Array.isArray(E.documents)&&E.documents.every(M)}var w;(function(E){E[E.Down=0]="Down",E[E.Up=1]="Up"})(w||(e.InteractiveSessionVoteDirection=w={}));var p;(function(E){E[E.Action=1]="Action",E[E.Toolbar=2]="Toolbar"})(p||(e.ChatCopyKind=p={})),e.$qG=(0,R.$wi)("IChatService"),e.$rG="accessibility.voice.keywordActivation"}),define(Ie[226],Pe([1,0,5,11,188]),function(le,e,I,O,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Mrb=void 0;class M{constructor(){this.f=new Map,this.m=[],this.n=new I.$ee,this.o=new I.$ee,this.d=1}get onError(){return this.n.event}get onExit(){return this.o.event}onMessage(w){this.k&&this.n.fire(new Error("attempt to set more than one 'Message' callback")),this.k=w}onEvent(w){this.j&&this.n.fire(new Error("attempt to set more than one 'Event' callback")),this.j=w}onRequest(w){this.g&&this.n.fire(new Error("attempt to set more than one 'Request' callback")),this.g=w}sendResponse(w){w.seq>0?this.n.fire(new Error(`attempt to send more than one response for command ${w.command}`)):this.u("response",w)}sendRequest(w,p,E,T){const D={command:w};if(p&&Object.keys(p).length>0&&(D.arguments=p),this.u("request",D),typeof T=="number"){const d=setTimeout(()=>{clearTimeout(d);const b=this.f.get(D.seq);if(b){this.f.delete(D.seq);const m={type:"response",seq:0,request_seq:D.seq,success:!1,command:w,message:(0,R.localize)(0,null,T,w)};b(m)}},T)}return E&&this.f.set(D.seq,E),D.seq}acceptMessage(w){this.k?this.k(w):(this.m.push(w),this.m.length===1&&this.s())}q(w,p){return w.type!=="event"||p.type!=="event"}async s(){let w;for(;this.m.length;){if((!w||this.q(this.m[0],w))&&await(0,O.$xh)(0),w=this.m.shift(),!w)return;switch(w.type){case"event":this.j?.(w);break;case"request":this.g?.(w);break;case"response":{const p=w,E=this.f.get(p.request_seq);E&&(this.f.delete(p.request_seq),E(p));break}}}}u(w,p){p.type=w,p.seq=this.d++,this.sendMessage(p)}async w(){if(this.f.size===0)return Promise.resolve();const w=new Map;this.f.forEach((p,E)=>w.set(E,p)),await(0,O.$xh)(500),w.forEach((p,E)=>{p({type:"response",seq:0,request_seq:E,success:!1,command:"canceled",message:"canceled"}),this.f.delete(E)})}getPendingRequestIds(){return Array.from(this.f.keys())}dispose(){this.m=[]}}e.$Mrb=M}),define(Ie[227],Pe([1,0,2,189,31,3]),function(le,e,I,O,R,M){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IDebugVisualization=e.IDebugVisualizationTreeItem=e.DebugTreeItemCollapsibleState=e.DebugVisualizationType=e.BreakpointWidgetContext=e.$BJ=e.DebuggerString=e.DebugConfigurationProviderTriggerKind=e.DataBreakpointSetType=e.$zJ=e.MemoryRangeType=e.State=e.$xJ=e.$wJ=e.$vJ=e.$uJ=e.$tJ=e.$sJ=e.$rJ=e.$qJ=e.$pJ=e.$oJ=e.$nJ=e.$mJ=e.$lJ=e.$kJ=e.$jJ=e.$iJ=e.$hJ=e.$gJ=e.$fJ=e.$eJ=e.$dJ=e.$cJ=e.$bJ=e.$aJ=e.$_I=e.$$I=e.$0I=e.$9I=e.$8I=e.$7I=e.$6I=e.$5I=e.$4I=e.$3I=e.$2I=e.$1I=e.$ZI=e.$YI=e.$XI=e.$WI=e.$VI=e.$UI=e.$TI=e.$SI=e.$RI=e.$QI=e.$PI=e.$OI=e.$NI=e.$MI=e.$LI=e.$KI=e.$JI=e.$II=e.$HI=e.$GI=e.$FI=e.$EI=e.$DI=e.$CI=e.$BI=e.$AI=e.$zI=e.$yI=e.$xI=e.$wI=e.$vI=e.$uI=e.$tI=e.$sI=e.$rI=e.$qI=e.$pI=e.$oI=e.$nI=e.$mI=void 0,e.$yJ=p,e.$AJ=T,e.$mI="workbench.view.debug",e.$nI="workbench.debug.variablesView",e.$oI="workbench.debug.watchExpressionsView",e.$pI="workbench.debug.callStackView",e.$qI="workbench.debug.loadedScriptsView",e.$rI="workbench.debug.breakPointsView",e.$sI="workbench.debug.disassemblyView",e.$tI="workbench.panel.repl",e.$uI="workbench.panel.repl.view",e.$vI=new R.$Nj("debugType",void 0,{type:"string",description:O.localize(0,null)}),e.$wI=new R.$Nj("debugConfigurationType",void 0,{type:"string",description:O.localize(1,null)}),e.$xI=new R.$Nj("debugState","inactive",{type:"string",description:O.localize(2,null)}),e.$yI="debugUx",e.$zI=new R.$Nj(e.$yI,"default",{type:"string",description:O.localize(3,null)}),e.$AI=new R.$Nj("hasDebugged",!1,{type:"boolean",description:O.localize(4,null)}),e.$BI=new R.$Nj("inDebugMode",!1,{type:"boolean",description:O.localize(5,null)}),e.$CI=new R.$Nj("inDebugRepl",!1,{type:"boolean",description:O.localize(6,null)}),e.$DI=new R.$Nj("breakpointWidgetVisible",!1,{type:"boolean",description:O.localize(7,null)}),e.$EI=new R.$Nj("inBreakpointWidget",!1,{type:"boolean",description:O.localize(8,null)}),e.$FI=new R.$Nj("breakpointsFocused",!0,{type:"boolean",description:O.localize(9,null)}),e.$GI=new R.$Nj("watchExpressionsFocused",!0,{type:"boolean",description:O.localize(10,null)}),e.$HI=new R.$Nj("watchExpressionsExist",!1,{type:"boolean",description:O.localize(11,null)}),e.$II=new R.$Nj("variablesFocused",!0,{type:"boolean",description:O.localize(12,null)}),e.$JI=new R.$Nj("expressionSelected",!1,{type:"boolean",description:O.localize(13,null)}),e.$KI=new R.$Nj("breakpointInputFocused",!1,{type:"boolean",description:O.localize(14,null)}),e.$LI=new R.$Nj("callStackItemType",void 0,{type:"string",description:O.localize(15,null)}),e.$MI=new R.$Nj("callStackSessionIsAttach",!1,{type:"boolean",description:O.localize(16,null)}),e.$NI=new R.$Nj("callStackItemStopped",!1,{type:"boolean",description:O.localize(17,null)}),e.$OI=new R.$Nj("callStackSessionHasOneThread",!1,{type:"boolean",description:O.localize(18,null)}),e.$PI=new R.$Nj("watchItemType",void 0,{type:"string",description:O.localize(19,null)}),e.$QI=new R.$Nj("canViewMemory",void 0,{type:"boolean",description:O.localize(20,null)}),e.$RI=new R.$Nj("breakpointItemType",void 0,{type:"string",description:O.localize(21,null)}),e.$SI=new R.$Nj("breakpointItemBytes",void 0,{type:"boolean",description:O.localize(22,null)}),e.$TI=new R.$Nj("breakpointHasModes",!1,{type:"boolean",description:O.localize(23,null)}),e.$UI=new R.$Nj("breakpointSupportsCondition",!1,{type:"boolean",description:O.localize(24,null)}),e.$VI=new R.$Nj("loadedScriptsSupported",!1,{type:"boolean",description:O.localize(25,null)}),e.$WI=new R.$Nj("loadedScriptsItemType",void 0,{type:"string",description:O.localize(26,null)}),e.$XI=new R.$Nj("focusedSessionIsAttach",!1,{type:"boolean",description:O.localize(27,null)}),e.$YI=new R.$Nj("focusedSessionIsNoDebug",!1,{type:"boolean",description:O.localize(28,null)}),e.$ZI=new R.$Nj("stepBackSupported",!1,{type:"boolean",description:O.localize(29,null)}),e.$1I=new R.$Nj("restartFrameSupported",!1,{type:"boolean",description:O.localize(30,null)}),e.$2I=new R.$Nj("stackFrameSupportsRestart",!1,{type:"boolean",description:O.localize(31,null)}),e.$3I=new R.$Nj("jumpToCursorSupported",!1,{type:"boolean",description:O.localize(32,null)}),e.$4I=new R.$Nj("stepIntoTargetsSupported",!1,{type:"boolean",description:O.localize(33,null)}),e.$5I=new R.$Nj("breakpointsExist",!1,{type:"boolean",description:O.localize(34,null)}),e.$6I=new R.$Nj("debuggersAvailable",!1,{type:"boolean",description:O.localize(35,null)}),e.$7I=new R.$Nj("debugExtensionAvailable",!0,{type:"boolean",description:O.localize(36,null)}),e.$8I=new R.$Nj("debugProtocolVariableMenuContext",void 0,{type:"string",description:O.localize(37,null)}),e.$9I=new R.$Nj("debugSetVariableSupported",!1,{type:"boolean",description:O.localize(38,null)}),e.$0I=new R.$Nj("debugSetDataBreakpointAddressSupported",!1,{type:"boolean",description:O.localize(39,null)}),e.$$I=new R.$Nj("debugSetExpressionSupported",!1,{type:"boolean",description:O.localize(40,null)}),e.$_I=new R.$Nj("breakWhenValueChangesSupported",!1,{type:"boolean",description:O.localize(41,null)}),e.$aJ=new R.$Nj("breakWhenValueIsAccessedSupported",!1,{type:"boolean",description:O.localize(42,null)}),e.$bJ=new R.$Nj("breakWhenValueIsReadSupported",!1,{type:"boolean",description:O.localize(43,null)}),e.$cJ=new R.$Nj("terminateDebuggeeSupported",!1,{type:"boolean",description:O.localize(44,null)}),e.$dJ=new R.$Nj("suspendDebuggeeSupported",!1,{type:"boolean",description:O.localize(45,null)}),e.$eJ=new R.$Nj("variableEvaluateNamePresent",!1,{type:"boolean",description:O.localize(46,null)}),e.$fJ=new R.$Nj("variableIsReadonly",!1,{type:"boolean",description:O.localize(47,null)}),e.$gJ=new R.$Nj("variableValue",!1,{type:"string",description:O.localize(48,null)}),e.$hJ=new R.$Nj("variableType",!1,{type:"string",description:O.localize(49,null)}),e.$iJ=new R.$Nj("variableInterfaces",!1,{type:"array",description:O.localize(50,null)}),e.$jJ=new R.$Nj("variableName",!1,{type:"string",description:O.localize(51,null)}),e.$kJ=new R.$Nj("variableLanguage",!1,{type:"string",description:O.localize(52,null)}),e.$lJ=new R.$Nj("variableExtensionId",!1,{type:"string",description:O.localize(53,null)}),e.$mJ=new R.$Nj("exceptionWidgetVisible",!1,{type:"boolean",description:O.localize(54,null)}),e.$nJ=new R.$Nj("multiSessionRepl",!1,{type:"boolean",description:O.localize(55,null)}),e.$oJ=new R.$Nj("multiSessionDebug",!1,{type:"boolean",description:O.localize(56,null)}),e.$pJ=new R.$Nj("disassembleRequestSupported",!1,{type:"boolean",description:O.localize(57,null)}),e.$qJ=new R.$Nj("disassemblyViewFocus",!1,{type:"boolean",description:O.localize(58,null)}),e.$rJ=new R.$Nj("languageSupportsDisassembleRequest",!1,{type:"boolean",description:O.localize(59,null)}),e.$sJ=new R.$Nj("focusedStackFrameHasInstructionReference",!1,{type:"boolean",description:O.localize(60,null)});const A=n=>O.localize(61,null,n);e.$tJ=A,e.$uJ="editor.contrib.debug",e.$vJ="editor.contrib.breakpoint",e.$wJ="debug",e.$xJ={enum:["neverOpen","openOnSessionStart","openOnFirstSessionStart"],default:"openOnFirstSessionStart",description:O.localize(62,null)};var w;(function(n){n[n.Inactive=0]="Inactive",n[n.Initializing=1]="Initializing",n[n.Stopped=2]="Stopped",n[n.Running=3]="Running"})(w||(e.State=w={}));function p(n){switch(n){case 1:return"initializing";case 2:return"stopped";case 3:return"running";default:return"inactive"}}var E;(function(n){n[n.Valid=0]="Valid",n[n.Unreadable=1]="Unreadable",n[n.Error=2]="Error"})(E||(e.MemoryRangeType=E={})),e.$zJ="vscode-debug-memory";function T(n){return n.source.presentationHint==="deemphasize"||n.presentationHint==="deemphasize"||n.presentationHint==="subtle"}var D;(function(n){n[n.Variable=0]="Variable",n[n.Address=1]="Address"})(D||(e.DataBreakpointSetType=D={}));var d;(function(n){n[n.Initial=1]="Initial",n[n.Dynamic=2]="Dynamic"})(d||(e.DebugConfigurationProviderTriggerKind=d={}));var b;(function(n){n.UnverifiedBreakpoints="unverifiedBreakpoints"})(b||(e.DebuggerString=b={})),e.$BJ=(0,M.$wi)("debugService");var m;(function(n){n[n.CONDITION=0]="CONDITION",n[n.HIT_COUNT=1]="HIT_COUNT",n[n.LOG_MESSAGE=2]="LOG_MESSAGE",n[n.TRIGGER_POINT=3]="TRIGGER_POINT"})(m||(e.BreakpointWidgetContext=m={}));var r;(function(n){n[n.Command=0]="Command",n[n.Tree=1]="Tree"})(r||(e.DebugVisualizationType=r={}));var o;(function(n){n[n.None=0]="None",n[n.Collapsed=1]="Collapsed",n[n.Expanded=2]="Expanded"})(o||(e.DebugTreeItemCollapsibleState=o={}));var s;(function(n){n.deserialize=c=>c,n.serialize=c=>c})(s||(e.IDebugVisualizationTreeItem=s={}));var i;(function(n){n.deserialize=c=>({id:c.id,name:c.name,iconPath:c.iconPath&&{light:I.URI.revive(c.iconPath.light),dark:I.URI.revive(c.iconPath.dark)},iconClass:c.iconClass,visualization:c.visualization}),n.serialize=c=>c})(i||(e.IDebugVisualization=i={}))}),define(Ie[228],Pe([1,0,13,2,19,25,16,30,24,18]),function(le,e,I,O,R,M,A,w,p,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$AH=void 0,e.$oH=D,e.$pH=d,e.$qH=b,e.$rH=m,e.$sH=r,e.$tH=o,e.$uH=s,e.$vH=n,e.$wH=t,e.$xH=f,e.$yH=$,e.$zH=S;const T=/{([^}]+)}/g;function D(v,g,k){return v.replace(T,function(y,C){return g&&C.length>0&&C[0]!=="_"?y:k&&k.hasOwnProperty(C)?k[C]:y})}function d(v){const g={};for(const k of Object.keys(v))k.startsWith("!")||(g[k]=v[k]);return g}function b(v){return v.configuration.request==="attach"&&!m(v)&&(!v.parentSession||b(v.parentSession))}function m(v){let g=v.configuration.type;if(g)return g==="vslsShare"&&(g=v.configuration.adapterProxy.configuration.type),(0,I.$yf)(g,"extensionhost")||(0,I.$yf)(g,"pwa-extensionhost")?v:v.parentSession?m(v.parentSession):void 0}function r(v){return v.type&&(v.label||v.program||v.runtime)}function o(v,g,k){let y,C=0;const P=/([^()\[\]{}<>\s+\-/%~#^;=|,`!]|\->)+/g;let W=null;for(;W=P.exec(v);){const V=W.index+1,q=V+W[0].length;if(V<=g&&q>=k){y=W[0],C=V;break}}if(y){const V=/\w+/g;let q=null;for(;(q=V.exec(y))&&!(q.index+1+C+q[0].length>=k););q&&(y=y.substring(0,V.lastIndex))}return y?{start:C,end:C+y.length-1}:{start:0,end:0}}async function s(v,g,k,y){if(v.evaluatableExpressionProvider.has(g)){const C=v.evaluatableExpressionProvider.ordered(g),P=(0,E.$Hb)(await Promise.all(C.map(async W=>{try{return await W.provideEvaluatableExpression(g,k,y??p.CancellationToken.None)}catch{return}})));if(P.length>0){let W=P[0].expression;const V=P[0].range;return W||(W=g.getLineContent(k.lineNumber).substring(V.startColumn-1,V.endColumn-1)),{range:V,matchingExpression:W}}}else{const C=g.getLineContent(k.lineNumber),{start:P,end:W}=o(C,k.column,k.column),V=C.substring(P-1,W);return{matchingExpression:V,range:new w.$ut(k.lineNumber,P,k.lineNumber,P+V.length)}}return null}const i=/^[a-zA-Z][a-zA-Z0-9\+\-\.]+:/;function n(v){return!!(v&&v.match(i))}function c(v){if(typeof v.path=="string"&&!(typeof v.sourceReference=="number"&&v.sourceReference>0)){if(n(v.path))return O.URI.parse(v.path);if((0,R.$jc)(v.path))return O.URI.file(v.path)}return v.path}function l(v){if(typeof v.path=="object"){const g=O.URI.revive(v.path);if(g)return g.scheme===A.Schemas.file?g.fsPath:g.toString()}return v.path}function t(v,g){const k=g?c:l,y=(0,M.$3n)(v);return a(y,(C,P)=>{C&&P&&(P.path=k(P))}),y}function f(v,g){const k=g?c:l,y=(0,M.$3n)(v);return a(y,(C,P)=>{!C&&P&&(P.path=k(P))}),y}function a(v,g){switch(v.type){case"event":{const k=v;switch(k.event){case"output":g(!1,k.body.source);break;case"loadedSource":g(!1,k.body.source);break;case"breakpoint":g(!1,k.body.breakpoint.source);break;default:break}break}case"request":{const k=v;switch(k.command){case"setBreakpoints":g(!0,k.arguments.source);break;case"breakpointLocations":g(!0,k.arguments.source);break;case"source":g(!0,k.arguments.source);break;case"gotoTargets":g(!0,k.arguments.source);break;case"launchVSCode":k.arguments.args.forEach(y=>g(!1,y));break;default:break}break}case"response":{const k=v;if(k.success&&k.body)switch(k.command){case"stackTrace":k.body.stackFrames.forEach(y=>g(!1,y.source));break;case"loadedSources":k.body.sources.forEach(y=>g(!1,y));break;case"scopes":k.body.scopes.forEach(y=>g(!1,y.source));break;case"setFunctionBreakpoints":k.body.breakpoints.forEach(y=>g(!1,y.source));break;case"setBreakpoints":k.body.breakpoints.forEach(y=>g(!1,y.source));break;case"disassemble":k.body?.instructions.forEach(C=>g(!1,C.location));break;default:break}break}}}function $(v){return v.filter(g=>!g.presentation?.hidden).sort((g,k)=>g.presentation?k.presentation?g.presentation.group?k.presentation.group?g.presentation.group!==k.presentation.group?g.presentation.group.localeCompare(k.presentation.group):u(g.presentation.order,k.presentation.order):-1:k.presentation.group?1:u(g.presentation.order,k.presentation.order):-1:k.presentation?1:0)}function u(v,g){return typeof v!="number"?typeof g!="number"?0:1:typeof g!="number"?-1:v-g}async function S(v,g){const k=v.getValue("debug.saveBeforeStart",{overrideIdentifier:g.activeTextEditorLanguageId});if(k!=="none"&&(await g.saveAll(),k==="allEditorsInActiveGroup")){const y=g.activeEditorPane;y&&y.input.resource?.scheme===A.Schemas.untitled&&await g.save({editor:y.input,groupId:y.group.id})}await v.reloadConfiguration()}const h=(v,g)=>!v||!g?v===g:v.name===g.name&&v.path===g.path&&v.sourceReference===g.sourceReference;e.$AH=h}),define(Ie[229],Pe([1,0,3]),function(le,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$OK=e.CellExecutionUpdateType=void 0;var O;(function(R){R[R.Output=1]="Output",R[R.OutputItems=2]="OutputItems",R[R.ExecutionState=3]="ExecutionState"})(O||(e.CellExecutionUpdateType=O={})),e.$OK=(0,I.$wi)("INotebookExecutionService")}),define(Ie[230],Pe([1,0,3]),function(le,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$ejb=e.$djb=e.ProxyKernelState=e.$cjb=void 0,e.$cjb=100;var O;(function(R){R[R.Disconnected=1]="Disconnected",R[R.Connected=2]="Connected",R[R.Initializing=3]="Initializing"})(O||(e.ProxyKernelState=O={})),e.$djb=(0,I.$wi)("INotebookKernelService"),e.$ejb=(0,I.$wi)("INotebookKernelHistoryService")}),define(Ie[231],Pe([1,0,6,30,156,96]),function(le,e,I,O,R,M){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$fXb=void 0;class A extends I.$Vc{constructor(p,E,T){super(),this._source=p,this.b=E,this.c=T,this.a=void 0}f(p){const E=p.getLineCount();return new O.$ut(1,1,E,this.g(p,E))}g(p,E){if(E<1||E>p.getLineCount())throw new Error("Illegal value for lineNumber");return p.getLineLength(E)+1}get inputTextBuffer(){if(!this.b){const p=new R.$2C;p.acceptChunk(this._source);const E=p.finish(!0),{textBuffer:T,disposable:D}=E.create(1);this.b=T,this.B(D)}return this.b}get outputTextBuffers(){return this.a||(this.a=this.c.map(p=>{const E=new R.$2C;E.acceptChunk(p);const T=E.finish(!0),{textBuffer:D,disposable:d}=T.create(1);return this.B(d),D})),this.a}findInInputs(p){const T=new M.$PC(p,!1,!1,null).parseSearchRequest();if(!T)return[];const D=this.f(this.inputTextBuffer);return this.inputTextBuffer.findMatchesLineByLine(D,T,!0,5e3)}findInOutputs(p){const T=new M.$PC(p,!1,!1,null).parseSearchRequest();return T?this.outputTextBuffers.map(D=>{const d=D.findMatchesLineByLine(this.f(D),T,!0,5e3);if(d.length!==0)return{textBuffer:D,matches:d}}).filter(D=>!!D):[]}}e.$fXb=A}),define(Ie[52],Pe([1,0]),function(le,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$UL=e.TestPosition=e.TestIdPathParts=void 0;var I;(function(M){M.Delimiter="\0"})(I||(e.TestIdPathParts=I={}));var O;(function(M){M[M.IsSame=0]="IsSame",M[M.Disconnected=1]="Disconnected",M[M.IsChild=2]="IsChild",M[M.IsParent=3]="IsParent"})(O||(e.TestPosition=O={}));class R{static fromExtHostTestItem(A,w,p=A.parent){if(A._isRoot)return new R([w]);const E=[A.id];for(let T=p;T&&T.id!==w;T=T.parent)E.push(T.id);return E.push(w),new R(E.reverse())}static isRoot(A){return!A.includes("\0")}static root(A){const w=A.indexOf("\0");return w===-1?A:A.slice(0,w)}static fromString(A){return new R(A.split("\0"))}static join(A,w){return new R([...A.path,w])}static joinToString(A,w){return A.toString()+"\0"+w}static parentId(A){const w=A.lastIndexOf("\0");return w===-1?void 0:A.slice(0,w)}static localId(A){const w=A.lastIndexOf("\0");return w===-1?A:A.slice(w+1)}static isChild(A,w){return w.startsWith(A)&&w[A.length]==="\0"}static compare(A,w){return A===w?0:R.isChild(A,w)?2:R.isChild(w,A)?3:1}constructor(A,w=A.length){if(this.path=A,this.d=w,A.length===0||w<1)throw new Error("cannot create test with empty path")}get rootId(){return new R(this.path,1)}get parentId(){return this.d>1?new R(this.path,this.d-1):void 0}get localId(){return this.path[this.d-1]}get controllerId(){return this.path[0]}get isRoot(){return this.d===1}*idsFromRoot(){for(let A=1;A<=this.d;A++)yield new R(this.path,A)}*idsToRoot(){for(let A=this.d;A>0;A--)yield new R(this.path,A)}compare(A){if(typeof A=="string")return R.compare(this.toString(),A);for(let w=0;w<A.d&&w<this.d;w++)if(A.path[w]!==this.path[w])return 1;return A.d>this.d?2:A.d<this.d?3:0}toJSON(){return this.toString()}toString(){if(!this.c){this.c=this.path[0];for(let A=1;A<this.d;A++)this.c+="\0",this.c+=this.path[A]}return this.c}}e.$UL=R}),define(Ie[62],Pe([1,0,2,94,30,52]),function(le,e,I,O,R,M){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$4L=e.TestsDiffOp=e.TestDiffOpType=e.IStatementCoverage=e.IDeclarationCoverage=e.IBranchCoverage=e.CoverageDetails=e.DetailType=e.$3L=e.IFileCoverage=e.ICoverageCount=e.TestResultItem=e.$2L=e.ITestItemUpdate=e.InternalTestItem=e.TestItemExpandState=e.ITestItem=e.$1L=e.$ZL=e.ITestTaskState=e.ITestMessage=e.ITestOutputMessage=e.$YL=e.ITestErrorMessage=e.TestMessageType=e.IRichLocation=e.$XL=e.$WL=e.TestRunProfileBitset=e.ExtTestRunProfileKind=e.$VL=e.TestResultState=void 0;var A;(function(N){N[N.Unset=0]="Unset",N[N.Queued=1]="Queued",N[N.Running=2]="Running",N[N.Passed=3]="Passed",N[N.Failed=4]="Failed",N[N.Skipped=5]="Skipped",N[N.Errored=6]="Errored"})(A||(e.TestResultState=A={})),e.$VL={0:"unset",1:"queued",2:"running",3:"passed",4:"failed",5:"skipped",6:"errored"};var w;(function(N){N[N.Run=1]="Run",N[N.Debug=2]="Debug",N[N.Coverage=3]="Coverage"})(w||(e.ExtTestRunProfileKind=w={}));var p;(function(N){N[N.Run=2]="Run",N[N.Debug=4]="Debug",N[N.Coverage=8]="Coverage",N[N.HasNonDefaultProfile=16]="HasNonDefaultProfile",N[N.HasConfigurable=32]="HasConfigurable",N[N.SupportsContinuousRun=64]="SupportsContinuousRun"})(p||(e.TestRunProfileBitset=p={})),e.$WL=[2,4,8,16,32,64];const E=N=>"runId"in N;e.$XL=E;var T;(function(N){N.serialize=j=>({range:j.range.toJSON(),uri:j.uri.toJSON()}),N.deserialize=(j,K)=>({range:R.$ut.lift(K.range),uri:j.asCanonicalUri(I.URI.revive(K.uri))})})(T||(e.IRichLocation=T={}));var D;(function(N){N[N.Error=0]="Error",N[N.Output=1]="Output"})(D||(e.TestMessageType=D={}));var d;(function(N){N.serialize=j=>({message:j.message,type:0,expected:j.expected,actual:j.actual,contextValue:j.contextValue,location:j.location&&T.serialize(j.location)}),N.deserialize=(j,K)=>({message:K.message,type:0,expected:K.expected,actual:K.actual,contextValue:K.contextValue,location:K.location&&T.deserialize(j,K.location)})})(d||(e.ITestErrorMessage=d={}));const b=(N,j)=>`${j?"s":"e"}${N}`;e.$YL=b;var m;(function(N){N.serialize=j=>({message:j.message,type:1,offset:j.offset,length:j.length,location:j.location&&T.serialize(j.location)}),N.deserialize=(j,K)=>({message:K.message,type:1,offset:K.offset,length:K.length,location:K.location&&T.deserialize(j,K.location)})})(m||(e.ITestOutputMessage=m={}));var r;(function(N){N.serialize=j=>j.type===0?d.serialize(j):m.serialize(j),N.deserialize=(j,K)=>K.type===0?d.deserialize(j,K):m.deserialize(j,K)})(r||(e.ITestMessage=r={}));var o;(function(N){N.serializeWithoutMessages=j=>({state:j.state,duration:j.duration,messages:[]}),N.serialize=j=>({state:j.state,duration:j.duration,messages:j.messages.map(r.serialize)}),N.deserialize=(j,K)=>({state:K.state,duration:K.duration,messages:K.messages.map(ie=>r.deserialize(j,ie))})})(o||(e.ITestTaskState=o={}));const s="\0",i=(N,j)=>N+s+j;e.$ZL=i;const n=N=>{const j=N.indexOf(s);return{ctrlId:N.slice(0,j),tagId:N.slice(j+1)}};e.$1L=n;var c;(function(N){N.serialize=j=>({extId:j.extId,label:j.label,tags:j.tags,busy:j.busy,children:void 0,uri:j.uri?.toJSON(),range:j.range?.toJSON()||null,description:j.description,error:j.error,sortText:j.sortText}),N.deserialize=(j,K)=>({extId:K.extId,label:K.label,tags:K.tags,busy:K.busy,children:void 0,uri:K.uri?j.asCanonicalUri(I.URI.revive(K.uri)):void 0,range:K.range?R.$ut.lift(K.range):null,description:K.description,error:K.error,sortText:K.sortText})})(c||(e.ITestItem=c={}));var l;(function(N){N[N.NotExpandable=0]="NotExpandable",N[N.Expandable=1]="Expandable",N[N.BusyExpanding=2]="BusyExpanding",N[N.Expanded=3]="Expanded"})(l||(e.TestItemExpandState=l={}));var t;(function(N){N.serialize=j=>({expand:j.expand,item:c.serialize(j.item)}),N.deserialize=(j,K)=>({controllerId:M.$UL.root(K.item.extId),expand:K.expand,item:c.deserialize(j,K.item)})})(t||(e.InternalTestItem=t={}));var f;(function(N){N.serialize=j=>{let K;return j.item&&(K={},j.item.label!==void 0&&(K.label=j.item.label),j.item.tags!==void 0&&(K.tags=j.item.tags),j.item.busy!==void 0&&(K.busy=j.item.busy),j.item.uri!==void 0&&(K.uri=j.item.uri?.toJSON()),j.item.range!==void 0&&(K.range=j.item.range?.toJSON()),j.item.description!==void 0&&(K.description=j.item.description),j.item.error!==void 0&&(K.error=j.item.error),j.item.sortText!==void 0&&(K.sortText=j.item.sortText)),{extId:j.extId,expand:j.expand,item:K}},N.deserialize=j=>{let K;return j.item&&(K={},j.item.label!==void 0&&(K.label=j.item.label),j.item.tags!==void 0&&(K.tags=j.item.tags),j.item.busy!==void 0&&(K.busy=j.item.busy),j.item.range!==void 0&&(K.range=j.item.range?R.$ut.lift(j.item.range):null),j.item.description!==void 0&&(K.description=j.item.description),j.item.error!==void 0&&(K.error=j.item.error),j.item.sortText!==void 0&&(K.sortText=j.item.sortText)),{extId:j.extId,expand:j.expand,item:K}}})(f||(e.ITestItemUpdate=f={}));const a=(N,j)=>{j.expand!==void 0&&(N.expand=j.expand),j.item!==void 0&&(N.item=N.item?Object.assign(N.item,j.item):j.item)};e.$2L=a;var $;(function(N){N.serializeWithoutMessages=j=>({...t.serialize(j),ownComputedState:j.ownComputedState,computedState:j.computedState,tasks:j.tasks.map(o.serializeWithoutMessages)}),N.serialize=j=>({...t.serialize(j),ownComputedState:j.ownComputedState,computedState:j.computedState,tasks:j.tasks.map(o.serialize)}),N.deserialize=(j,K)=>({...t.deserialize(j,K),ownComputedState:K.ownComputedState,computedState:K.computedState,tasks:K.tasks.map(ie=>o.deserialize(j,ie)),retired:!0})})($||(e.TestResultItem=$={}));var u;(function(N){N.empty=()=>({covered:0,total:0}),N.sum=(j,K)=>{j.covered+=K.covered,j.total+=K.total}})(u||(e.ICoverageCount=u={}));var S;(function(N){N.serialize=j=>({id:j.id,statement:j.statement,branch:j.branch,declaration:j.declaration,uri:j.uri.toJSON()}),N.deserialize=(j,K)=>({id:K.id,statement:K.statement,branch:K.branch,declaration:K.declaration,uri:j.asCanonicalUri(I.URI.revive(K.uri))})})(S||(e.IFileCoverage=S={}));function h(N){return{...N,location:N.location?.toJSON()}}function v(N){return N.location=N.location?O.$tt.isIPosition(N.location)?O.$tt.lift(N.location):R.$ut.lift(N.location):void 0,N}e.$3L=3;var g;(function(N){N[N.Declaration=0]="Declaration",N[N.Statement=1]="Statement",N[N.Branch=2]="Branch"})(g||(e.DetailType=g={}));var k;(function(N){N.serialize=j=>j.type===0?C.serialize(j):P.serialize(j),N.deserialize=j=>j.type===0?C.deserialize(j):P.deserialize(j)})(k||(e.CoverageDetails=k={}));var y;(function(N){N.serialize=h,N.deserialize=v})(y||(e.IBranchCoverage=y={}));var C;(function(N){N.serialize=h,N.deserialize=v})(C||(e.IDeclarationCoverage=C={}));var P;(function(N){N.serialize=j=>({...h(j),branches:j.branches?.map(y.serialize)}),N.deserialize=j=>({...v(j),branches:j.branches?.map(y.deserialize)})})(P||(e.IStatementCoverage=P={}));var W;(function(N){N[N.Add=0]="Add",N[N.Update=1]="Update",N[N.DocumentSynced=2]="DocumentSynced",N[N.Remove=3]="Remove",N[N.IncrementPendingExtHosts=4]="IncrementPendingExtHosts",N[N.Retire=5]="Retire",N[N.AddTag=6]="AddTag",N[N.RemoveTag=7]="RemoveTag"})(W||(e.TestDiffOpType=W={}));var V;(function(N){N.deserialize=(j,K)=>K.op===0?{op:K.op,item:t.deserialize(j,K.item)}:K.op===1?{op:K.op,item:f.deserialize(K.item)}:K.op===2?{op:K.op,uri:j.asCanonicalUri(I.URI.revive(K.uri)),docv:K.docv}:K,N.serialize=j=>j.op===0?{op:j.op,item:t.serialize(j.item)}:j.op===1?{op:j.op,item:f.serialize(j.item)}:j})(V||(e.TestsDiffOp=V={}));class q{constructor(j){this.k=j,this.c=new Map,this.f=new Map,this.g=new Set,this.h=0,this.j=0,this.tags=this.c}apply(j){const K=this.v();for(const ie of j)switch(ie.op){case 0:this.l(t.deserialize(this.k,ie.item),K);break;case 1:this.o(f.deserialize(ie.item),K);break;case 3:this.p(ie.itemId,K);break;case 5:this.q(ie.itemId);break;case 4:this.updatePendingRoots(ie.amount);break;case 6:this.c.set(ie.tag.id,ie.tag);break;case 7:this.c.delete(ie.id);break}K.complete?.()}l(j,K){const ie=M.$UL.parentId(j.item.extId)?.toString();let ce;if(!ie)ce=this.w(j),this.g.add(ce),this.f.set(j.item.extId,ce);else if(this.f.has(ie)){const ye=this.f.get(ie);ye.children.add(j.item.extId),ce=this.w(j,ye),this.f.set(j.item.extId,ce)}else{console.error(`Test with unknown parent ID: ${JSON.stringify(j)}`);return}return K.add?.(ce),j.expand===2&&this.h++,ce}o(j,K){const ie=this.f.get(j.extId);if(ie)return j.expand!==void 0&&(ie.expand===2&&this.h--,j.expand===2&&this.h++),(0,e.$2L)(ie,j),K.update?.(ie),ie}p(j,K){const ie=this.f.get(j);if(!ie)return;const ce=M.$UL.parentId(ie.item.extId)?.toString();ce?this.f.get(ce).children.delete(ie.item.extId):this.g.delete(ie);const ye=[[j]];for(;ye.length;)for(const Se of ye.pop()){const fe=this.f.get(Se);fe&&(ye.push(fe.children),this.f.delete(Se),K.remove?.(fe,fe!==ie),fe.expand===2&&this.h--)}}q(j){}updatePendingRoots(j){this.j+=j}v(){return{}}}e.$4L=q}),define(Ie[77],Pe([1,0,11,5,6,57,62,52]),function(le,e,I,O,R,M,A,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$qP=e.$pP=e.$oP=e.$nP=e.$mP=e.TestItemEventOp=void 0;var p;(function(i){i[i.Upsert=0]="Upsert",i[i.SetTags=1]="SetTags",i[i.UpdateCanResolveChildren=2]="UpdateCanResolveChildren",i[i.RemoveChild=3]="RemoveChild",i[i.SetProp=4]="SetProp",i[i.Bulk=5]="Bulk",i[i.DocumentSynced=6]="DocumentSynced"})(p||(e.TestItemEventOp=p={}));const E=(i,n)=>i===n,D=Object.entries({range:(i,n)=>i===n?!0:!i||!n?!1:i.equalsRange(n),busy:E,label:E,description:E,error:E,sortText:E,tags:(i,n)=>!(i.length!==n.length||i.some(c=>!n.includes(c)))}),d=(i,n)=>{let c;for(const[l,t]of D)t(i[l],n[l])||(c?c[l]=n[l]:c={[l]:n[l]});return c};class b extends R.$Vc{get root(){return this.s.root}constructor(n){super(),this.s=n,this.f=this.B(new I.$Ih(()=>this.flushDiff(),200)),this.g=this.B(new O.$ee),this.tree=new Map,this.j=new Map,this.m=[],this.onDidGenerateDiff=this.g.event,this.root.canResolveChildren=!0,this.z(this.root,void 0)}set resolveHandler(n){this.h=n;for(const c of this.tree.values())this.J(c)}get resolveHandler(){return this.h}collectDiff(){const n=this.m;return this.m=[],n}pushDiff(n){switch(n.op){case 2:{for(const c of this.m)if(c.op===2&&c.uri===n.uri){c.docv=n.docv;return}break}case 1:{const c=this.m[this.m.length-1];if(c){if(c.op===1&&c.item.extId===n.item.extId){(0,A.$2L)(c.item,n.item);return}if(c.op===0&&c.item.item.extId===n.item.extId){(0,A.$2L)(c.item,n.item);return}}break}}this.m.push(n),this.f.isScheduled()||this.f.schedule()}expand(n,c){const l=this.tree.get(n);if(l){if((l.expandLevels===void 0||c>l.expandLevels)&&(l.expandLevels=c),l.expand===1){const t=this.M(l);return t.isOpen()?this.L(l,c-1):t.wait().then(()=>this.L(l,c-1))}else if(l.expand===3)return l.resolveBarrier?.isOpen()===!1?l.resolveBarrier.wait().then(()=>this.L(l,c-1)):this.L(l,c-1)}}dispose(){for(const n of this.tree.values())this.s.getApiFor(n.actual).listener=void 0;this.tree.clear(),this.m=[],super.dispose()}w(n,c){switch(c.op){case 3:this.O(w.$UL.joinToString(n.fullId,c.id));break;case 0:this.z(c.item,n);break;case 5:for(const l of c.ops)this.w(n,l);break;case 1:this.C(c.new,c.old,n.fullId.toString());break;case 2:this.J(n);break;case 4:this.pushDiff({op:1,item:{extId:n.fullId.toString(),item:c.update}});break;case 6:this.y(n.actual.uri);break;default:(0,M.$fd)(c)}}y(n){n&&this.pushDiff({op:2,uri:n,docv:this.s.getDocumentVersion(n)})}z(n,c){const l=w.$UL.fromExtHostTestItem(n,this.root.id,c?.actual),t=this.s.getApiFor(n);t.parent&&t.parent!==c?.actual&&this.s.getChildren(t.parent).delete(n.id);let f=this.tree.get(l.toString());if(!f){f={fullId:l,actual:n,expandLevels:c?.expandLevels?c.expandLevels-1:void 0,expand:0},n.tags.forEach(this.D,this),this.tree.set(f.fullId.toString(),f),this.G(n,c),this.pushDiff({op:0,item:{controllerId:this.s.controllerId,expand:f.expand,item:this.s.toITestItem(n)}}),this.I(n,f,c);return}if(f.actual===n){this.H(n,f,c);return}if(f.actual.uri?.toString()!==n.uri?.toString())return this.O(l.toString()),this.z(n,c);const a=this.s.getChildren(f.actual),$=f.actual,u=d(this.s.toITestItem($),this.s.toITestItem(n));this.s.getApiFor($).listener=void 0,f.actual=n,f.resolveBarrier=void 0,f.expand=0,u&&(u.hasOwnProperty("tags")&&(this.C(n.tags,$.tags,l.toString()),delete u.tags),this.w(f,{op:4,update:u})),this.I(n,f,c);for(const[h,v]of a)this.s.getChildren(n).get(v.id)||this.O(w.$UL.joinToString(l,v.id));const S=f.expandLevels;S!==void 0&&queueMicrotask(()=>{f.expand===1&&(f.expandLevels=void 0,this.expand(l.toString(),S))}),this.y(f.actual.uri)}C(n,c,l){const t=new Set(c.map(f=>f.id));for(const f of n)t.delete(f.id)||this.D(f);this.pushDiff({op:1,item:{extId:l,item:{tags:n.map(f=>(0,A.$ZL)(this.s.controllerId,f.id))}}}),t.forEach(this.F,this)}D(n){const c=this.j.get(n.id);c?c.refCount++:(this.j.set(n.id,{refCount:1}),this.pushDiff({op:6,tag:{id:(0,A.$ZL)(this.s.controllerId,n.id)}}))}F(n){const c=this.j.get(n);c&&!--c.refCount&&(this.j.delete(n),this.pushDiff({op:7,id:(0,A.$ZL)(this.s.controllerId,n)}))}G(n,c){this.s.getApiFor(n).parent=c&&c.actual!==this.root?c.actual:void 0}H(n,c,l){this.G(n,l);const t=this.s.getApiFor(n);t.parent=l?.actual,t.listener=f=>this.w(c,f),this.J(c)}I(n,c,l){this.H(n,c,l);for(const[t,f]of this.s.getChildren(n))this.z(f,c)}J(n){let c;this.h?n.resolveBarrier?c=n.resolveBarrier.isOpen()?3:2:c=n.actual.canResolveChildren?1:0:c=0,c!==n.expand&&(n.expand=c,this.pushDiff({op:1,item:{extId:n.fullId.toString(),expand:c}}),c===1&&n.expandLevels!==void 0&&this.M(n))}L(n,c){if(c<0)return;const l=[];for(const[t,f]of this.s.getChildren(n.actual)){const a=this.expand(w.$UL.joinToString(n.fullId,f.id),c);(0,I.$ih)(a)&&l.push(a)}if(l.length)return Promise.all(l).then(()=>{})}M(n){if(n.resolveBarrier)return n.resolveBarrier;if(!this.h){const f=new I.$vh;return f.open(),f}n.expand=2,this.N(n);const c=n.resolveBarrier=new I.$vh,l=f=>{console.error(`Unhandled error in resolveHandler of test controller "${this.s.controllerId}"`,f)};let t;try{t=this.h(n.actual===this.root?void 0:n.actual)}catch(f){l(f)}return(0,I.$ih)(t)?t.catch(l).then(()=>{c.open(),this.J(n)}):(c.open(),this.J(n)),n.resolveBarrier}N(n){this.pushDiff({op:1,item:{extId:n.fullId.toString(),expand:n.expand}})}O(n){const c=this.tree.get(n);if(!c)throw new Error("attempting to remove non-existent child");this.pushDiff({op:3,itemId:n});const l=[c];for(;l.length;){const t=l.pop();if(t){this.s.getApiFor(t.actual).listener=void 0;for(const f of t.actual.tags)this.F(f.id);this.tree.delete(t.fullId.toString());for(const[f,a]of this.s.getChildren(t.actual))l.push(this.tree.get(w.$UL.joinToString(t.fullId,a.id)))}}}flushDiff(){const n=this.collectDiff();n.length&&this.g.fire(n)}}e.$mP=b;class m extends Error{constructor(n){super(`Attempted to insert a duplicate test item ID ${n}`)}}e.$nP=m;class r extends Error{constructor(n){super(`TestItem with ID "${n}" is invalid. Make sure to create it from the createTestItem method.`)}}e.$oP=r;class o extends Error{constructor(n,c,l){super(`TestItem with ID "${n}" is from controller "${c}" and cannot be added as a child of an item from controller "${l}".`)}}e.$pP=o;const s=(i,n,c)=>{let l=new Map;return{get size(){return l.size},forEach(t,f){for(const a of l.values())t.call(f,a,this)},[Symbol.iterator](){return l.entries()},replace(t){const f=new Map,a=new Set(l.keys()),$={op:5,ops:[]};for(const u of t){if(!(u instanceof c))throw new r(u.id);const S=n(u).controllerId;if(S!==i.controllerId)throw new o(u.id,S,i.controllerId);if(f.has(u.id))throw new m(u.id);f.set(u.id,u),a.delete(u.id),$.ops.push({op:0,item:u})}for(const u of a.keys())$.ops.push({op:3,id:u});i.listener?.($),l=f},add(t){if(!(t instanceof c))throw new r(t.id);l.set(t.id,t),i.listener?.({op:0,item:t})},delete(t){l.delete(t)&&i.listener?.({op:3,id:t})},get(t){return l.get(t)},toJSON(){return Array.from(l.values())}}};e.$qP=s}),define(Ie[107],Pe([1,0,77]),function(le,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$sP=e.$rP=void 0;const O=new WeakMap,R=(A,w)=>{const p={controllerId:w};return O.set(A,p),p};e.$rP=R;const M=A=>{const w=O.get(A);if(!w)throw new I.$oP(A?.id||"<unknown>");return w};e.$sP=M}),define(Ie[78],Pe([1,0,16,2]),function(le,e,I,O){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$QAb=e.$PAb=e.$OAb=void 0,e.$RAb=R,e.$SAb=A,e.$OAb="vscode-cdn.net",e.$PAb=`vscode-resource.${e.$OAb}`,e.$QAb=`'self' https://*.${e.$OAb}`;function R(w,p){return w.scheme===I.Schemas.http||w.scheme===I.Schemas.https?w:(p&&p.authority&&p.isRemote&&w.scheme===I.Schemas.file&&(w=O.URI.from({scheme:I.Schemas.vscodeRemote,authority:p.authority,path:w.path})),O.URI.from({scheme:I.Schemas.https,authority:`${w.scheme}+${M(w.authority)}.${e.$PAb}`,path:w.path,fragment:w.fragment,query:w.query}))}function M(w){return w.replace(/./g,p=>{const E=p.charCodeAt(0);return E>=97&&E<=122||E>=65&&E<=90||E>=48&&E<=57?p:"-"+E.toString(16).padStart(4,"0")})}function A(w){return w.replace(/-([0-9a-f]{4})/g,(p,E)=>String.fromCharCode(parseInt(E,16)))}}),define(Ie[232],Pe([1,0,5,6,78]),function(le,e,I,O,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$qlc=void 0;class M{constructor(w,p,E){this.d=w,this.e=p,this.f=E,this.a=0,this.b=new O.$Uc,this.c=new Map,this.b.add(p.onDidChangeVisibleTextEditors(()=>{const T=p.getVisibleTextEditors();for(const D of this.c.values())T.indexOf(D.editor)<0&&D.inset.dispose()}))}dispose(){this.c.forEach(w=>w.inset.dispose()),this.b.dispose()}createWebviewEditorInset(w,p,E,T,D){let d;for(const n of this.e.getVisibleTextEditors(!0))if(n.value===w){d=n;break}if(!d)throw new Error("not a visible editor");const b=this,m=this.a++,r=new I.$ee,o=new I.$ee,s=new class{constructor(){this.a="",this.b=Object.create(null)}asWebviewUri(n){return(0,R.$RAb)(n,b.f)}get cspSource(){return R.$QAb}set options(n){this.b=n,b.d.$setOptions(m,n)}get options(){return this.b}set html(n){this.a=n,b.d.$setHtml(m,n)}get html(){return this.a}get onDidReceiveMessage(){return r.event}postMessage(n){return b.d.$postMessage(m,n)}},i=new class{constructor(){this.editor=w,this.line=p,this.height=E,this.webview=s,this.onDidDispose=o.event}dispose(){b.c.has(m)&&(b.c.delete(m),b.d.$disposeEditorInset(m),o.fire(),o.dispose(),r.dispose())}};return this.d.$createEditorInset(m,d.id,d.value.document.uri,p+1,E,T||{},D.identifier,D.extensionLocation),this.c.set(m,{editor:w,inset:i,onDidReceiveMessage:r}),i}$onDidDispose(w){const p=this.c.get(w);p&&p.inset.dispose()}$onDidReceiveMessage(w,p){this.c.get(w)?.onDidReceiveMessage.fire(p)}}e.$qlc=M}),define(Ie[108],Pe([1,0,3]),function(le,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$aM=e.$_L=e.$$L=void 0,e.$$L="__",e.$_L=(0,I.$wi)("IAuthenticationService"),e.$aM=(0,I.$wi)("IAuthenticationExtensionsService")}),define(Ie[233],Pe([1,0,3]),function(le,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$jQ=e.VariableKind=e.$iQ=void 0,e.$iQ=(0,I.$wi)("configurationResolverService");var O;(function(M){M.Unknown="unknown",M.Env="env",M.Config="config",M.Command="command",M.Input="input",M.ExtensionInstallFolder="extensionInstallFolder",M.WorkspaceFolder="workspaceFolder",M.Cwd="cwd",M.WorkspaceFolderBasename="workspaceFolderBasename",M.UserHome="userHome",M.LineNumber="lineNumber",M.SelectedText="selectedText",M.File="file",M.FileWorkspaceFolder="fileWorkspaceFolder",M.FileWorkspaceFolderBasename="fileWorkspaceFolderBasename",M.RelativeFile="relativeFile",M.RelativeFileDirname="relativeFileDirname",M.FileDirname="fileDirname",M.FileExtname="fileExtname",M.FileBasename="fileBasename",M.FileBasenameNoExtension="fileBasenameNoExtension",M.FileDirnameBasename="fileDirnameBasename",M.ExecPath="execPath",M.ExecInstallFolder="execInstallFolder",M.PathSeparator="pathSeparator",M.PathSeparatorAlias="/"})(O||(e.VariableKind=O={}));class R extends Error{constructor(A,w){super(w),this.variable=A}}e.$jQ=R}),define(Ie[234],Pe([1,0,19,75,15,25,22,97,192,233,13]),function(le,e,I,O,R,M,A,w,p,E,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$yQ=void 0;class D{static{this.VARIABLE_LHS="${"}static{this.VARIABLE_REGEXP=/\$\{(.*?)\}/g}constructor(b,m,r,o){this.h=new Map,this.a=b,this.b=m,this.g=r,o&&(this.c=o.then(s=>this.i(s)))}i(b){if(A.$i){const m=Object.create(null);return Object.keys(b).forEach(r=>{m[r.toLowerCase()]=b[r]}),m}return b}resolveWithEnvironment(b,m,r){return this.l({env:this.i(b),userHome:void 0},m?m.uri:void 0,r)}async resolveAsync(b,m){const r={env:await this.c,userHome:await this.g};return this.l(r,b?b.uri:void 0,m)}async j(b,m,r,o){const s=M.$3n(m);A.$i&&s.windows?Object.keys(s.windows).forEach(n=>s[n]=s.windows[n]):A.$j&&s.osx?Object.keys(s.osx).forEach(n=>s[n]=s.osx[n]):A.$k&&s.linux&&Object.keys(s.linux).forEach(n=>s[n]=s.linux[n]),delete s.windows,delete s.osx,delete s.linux;const i={env:await this.c,userHome:await this.g};return this.l(i,b?b.uri:void 0,s,r,o)}async resolveAnyAsync(b,m,r){return this.j(b,m,r)}async resolveAnyMap(b,m,r){const o=new Map;return{newConfig:await this.j(b,m,r,o),resolvedVariables:o}}resolveWithInteractionReplace(b,m,r,o){throw new Error("resolveWithInteractionReplace not implemented.")}resolveWithInteraction(b,m,r,o){throw new Error("resolveWithInteraction not implemented.")}contributeVariable(b,m){if(this.h.has(b))throw new Error("Variable "+b+" is contributed twice.");this.h.set(b,m)}async l(b,m,r,o,s){if(R.$9f(r))return this.m(b,m,r,o,s);if(Array.isArray(r))return Promise.all(r.map(i=>this.l(b,m,i,o,s)));if(R.$$f(r)){const i=Object.create(null),n=await Promise.all(Object.keys(r).map(async c=>[await this.m(b,m,c,o,s),await this.l(b,m,r[c],o,s)]));for(const[c,l]of n)i[c]=l;return i}return r}m(b,m,r,o,s){return(0,T.$qf)(r,D.VARIABLE_REGEXP,async(i,n)=>{if(n.includes(D.VARIABLE_LHS))return i;let c=await this.o(b,i,n,m,o);return s?.set(n,c),c!==i&&R.$9f(c)&&c.match(D.VARIABLE_REGEXP)&&(c=await this.m(b,m,c,o,s)),c})}n(b){return this.b?this.b.getUriLabel(b,{noPrefix:!0}):b.fsPath}async o(b,m,r,o,s){let i;const n=r.split(":");n.length>1&&(r=n[0],i=n[1]);const c=f=>{const a=this.a.getFilePath();if(a)return(0,w.$Ew)(a);throw new E.$jQ(f,(0,p.localize)(0,null,m))},l=f=>{const a=c(f);if(this.a.getWorkspaceFolderPathForFile){const $=this.a.getWorkspaceFolderPathForFile();if($)return(0,w.$Ew)($)}throw new E.$jQ(f,(0,p.localize)(1,null,m,I.$oc(a)))},t=f=>{if(i){const a=this.a.getFolderUri(i);if(a)return a;throw new E.$jQ(f,(0,p.localize)(2,null,m,i))}if(o)return o;throw this.a.getWorkspaceFolderCount()>1?new E.$jQ(f,(0,p.localize)(3,null,m)):new E.$jQ(f,(0,p.localize)(4,null,m))};switch(r){case"env":if(i){if(b.env){const f=b.env[A.$i?i.toLowerCase():i];if(R.$9f(f))return f}return""}throw new E.$jQ(E.VariableKind.Env,(0,p.localize)(5,null,m));case"config":if(i){const f=this.a.getConfigurationValue(o,i);if(R.$fg(f))throw new E.$jQ(E.VariableKind.Config,(0,p.localize)(6,null,m,i));if(R.$$f(f))throw new E.$jQ(E.VariableKind.Config,(0,p.localize)(7,null,m,i));return f}throw new E.$jQ(E.VariableKind.Config,(0,p.localize)(8,null,m));case"command":return this.p(E.VariableKind.Command,m,i,s,"command");case"input":return this.p(E.VariableKind.Input,m,i,s,"input");case"extensionInstallFolder":if(i){const f=await this.a.getExtension(i);if(!f)throw new E.$jQ(E.VariableKind.ExtensionInstallFolder,(0,p.localize)(9,null,m,i));return this.n(f.extensionLocation)}throw new E.$jQ(E.VariableKind.ExtensionInstallFolder,(0,p.localize)(10,null,m));default:switch(r){case"workspaceRoot":case"workspaceFolder":return(0,w.$Ew)(this.n(t(E.VariableKind.WorkspaceFolder)));case"cwd":return o||i?(0,w.$Ew)(this.n(t(E.VariableKind.Cwd))):O.cwd();case"workspaceRootFolderName":case"workspaceFolderBasename":return(0,w.$Ew)(I.$oc(this.n(t(E.VariableKind.WorkspaceFolderBasename))));case"userHome":{if(b.userHome)return b.userHome;throw new E.$jQ(E.VariableKind.UserHome,(0,p.localize)(11,null,m))}case"lineNumber":{const f=this.a.getLineNumber();if(f)return f;throw new E.$jQ(E.VariableKind.LineNumber,(0,p.localize)(12,null,m))}case"selectedText":{const f=this.a.getSelectedText();if(f)return f;throw new E.$jQ(E.VariableKind.SelectedText,(0,p.localize)(13,null,m))}case"file":return c(E.VariableKind.File);case"fileWorkspaceFolder":return l(E.VariableKind.FileWorkspaceFolder);case"fileWorkspaceFolderBasename":return I.$oc(l(E.VariableKind.FileWorkspaceFolderBasename));case"relativeFile":return o||i?I.$mc(this.n(t(E.VariableKind.RelativeFile)),c(E.VariableKind.RelativeFile)):c(E.VariableKind.RelativeFile);case"relativeFileDirname":{const f=I.$nc(c(E.VariableKind.RelativeFileDirname));if(o||i){const a=I.$mc(this.n(t(E.VariableKind.RelativeFileDirname)),f);return a.length===0?".":a}return f}case"fileDirname":return I.$nc(c(E.VariableKind.FileDirname));case"fileExtname":return I.$pc(c(E.VariableKind.FileExtname));case"fileBasename":return I.$oc(c(E.VariableKind.FileBasename));case"fileBasenameNoExtension":{const f=I.$oc(c(E.VariableKind.FileBasenameNoExtension));return f.slice(0,f.length-I.$pc(f).length)}case"fileDirnameBasename":return I.$oc(I.$nc(c(E.VariableKind.FileDirnameBasename)));case"execPath":{const f=this.a.getExecPath();return f||m}case"execInstallFolder":{const f=this.a.getAppRoot();return f||m}case"pathSeparator":case"/":return I.sep;default:try{const f=i?`${r}:${i}`:r;return this.p(E.VariableKind.Unknown,m,f,s,void 0)}catch{return m}}}}p(b,m,r,o,s){if(r&&o){const i=s===void 0?o[r]:o[s+":"+r];if(typeof i=="string")return i;throw new E.$jQ(b,(0,p.localize)(14,null,m))}return m}}e.$yQ=D}),define(Ie[109],Pe([1,0,3,106]),function(le,e,I,O){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.OpenEditorContext=e.GroupsOrder=e.MergeGroupMode=e.GroupsArrangement=e.GroupLocation=e.GroupOrientation=e.GroupDirection=e.$XD=void 0,e.$YD=E,e.$ZD=d,e.$1D=b,e.$XD=(0,I.$wi)("editorGroupsService");var R;(function(m){m[m.UP=0]="UP",m[m.DOWN=1]="DOWN",m[m.LEFT=2]="LEFT",m[m.RIGHT=3]="RIGHT"})(R||(e.GroupDirection=R={}));var M;(function(m){m[m.HORIZONTAL=0]="HORIZONTAL",m[m.VERTICAL=1]="VERTICAL"})(M||(e.GroupOrientation=M={}));var A;(function(m){m[m.FIRST=0]="FIRST",m[m.LAST=1]="LAST",m[m.NEXT=2]="NEXT",m[m.PREVIOUS=3]="PREVIOUS"})(A||(e.GroupLocation=A={}));var w;(function(m){m[m.MAXIMIZE=0]="MAXIMIZE",m[m.EXPAND=1]="EXPAND",m[m.EVEN=2]="EVEN"})(w||(e.GroupsArrangement=w={}));var p;(function(m){m[m.COPY_EDITORS=0]="COPY_EDITORS",m[m.MOVE_EDITORS=1]="MOVE_EDITORS"})(p||(e.MergeGroupMode=p={}));function E(m){const r=m;return(0,O.$IF)(r?.editor)&&(0,O.$IF)(r?.replacement)}var T;(function(m){m[m.CREATION_TIME=0]="CREATION_TIME",m[m.MOST_RECENTLY_ACTIVE=1]="MOST_RECENTLY_ACTIVE",m[m.GRID_APPEARANCE=2]="GRID_APPEARANCE"})(T||(e.GroupsOrder=T={}));var D;(function(m){m[m.NEW_EDITOR=1]="NEW_EDITOR",m[m.MOVE_EDITOR=2]="MOVE_EDITOR",m[m.COPY_EDITOR=3]="COPY_EDITOR"})(D||(e.OpenEditorContext=D={}));function d(m){const r=m;return!!r&&typeof r.id=="number"&&Array.isArray(r.editors)}function b(m){return m.getValue("workbench.editor.openSideBySideDirection")==="down"?1:3}}),define(Ie[235],Pe([1,0,3,109]),function(le,e,I,O){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$5D=e.$4D=e.$3D=e.$2D=void 0,e.$6D=R,e.$2D=(0,I.$wi)("editorService"),e.$3D=-1,e.$4D=-2,e.$5D=-3;function R(M){const A=M;return typeof M=="number"||(0,O.$ZD)(A)}}),define(Ie[236],Pe([1,0,3,99]),function(le,e,I,O){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$tM=void 0,e.$tM=(0,I.$xi)(O.$Di)}),define(Ie[110],Pe([1,0,20,5,19,6,11]),function(le,e,I,O,R,M,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$N_b=e.$M_b=e.$L_b=e.$K_b=e.$J_b=void 0;class w{constructor(i,n){this.versionId=i,this.removedDueToLooping=n}}e.$J_b=w;class p{static isHostExtension(i,n,c){if(n.getExtensionDescription(i))return!1;const l=c.getExtensionDescription(i);return l?!!((l.main||l.browser)&&l.api==="none"):!1}constructor(i,n){this.j=i,this.c=new O.$ee,this.onDidChange=this.c.event,this.d=0,this.e=n,this.k()}k(){this.e.sort(r),this.f=new I.$Tm,this.g=[],this.h=new Map;for(const i of this.e){if(this.f.has(i.identifier)){console.error("Extension `"+i.identifier.value+"` is already registered");continue}this.f.set(i.identifier,i),this.g.push(i);const n=this.j.readActivationEvents(i);for(const c of n)this.h.has(c)||this.h.set(c,[]),this.h.get(c).push(i)}}set(i){return this.e=i,this.k(),this.d++,this.c.fire(void 0),{versionId:this.d}}deltaExtensions(i,n){this.e=o(this.e,n),this.e=this.e.concat(i);const c=p.l(this.e);return this.e=o(this.e,c.map(l=>l.identifier)),this.k(),this.d++,this.c.fire(void 0),new w(this.d,c)}static l(i){const n=new class{constructor(){this.c=new Map,this.d=new Set,this.e=[]}addNode(a){this.d.has(a)||(this.d.add(a),this.e.push(a))}addArc(a,$){this.addNode(a),this.addNode($),this.c.has(a)?this.c.get(a).push($):this.c.set(a,[$])}getArcs(a){return this.c.has(a)?this.c.get(a):[]}hasOnlyGoodArcs(a,$){const u=n.getArcs(a);for(let S=0;S<u.length;S++)if(!$.has(u[S]))return!1;return!0}getNodes(){return this.e}},c=new I.$Tm;for(const a of i)if(c.set(a.identifier,a),a.extensionDependencies)for(const $ of a.extensionDependencies)n.addArc(I.$Rm.toKey(a.identifier),I.$Rm.toKey($));const l=new Set;n.getNodes().filter(a=>n.getArcs(a).length===0).forEach(a=>l.add(a));const t=n.getNodes().filter(a=>!l.has(a));let f;do{f=!1;for(let a=0;a<t.length;a++){const $=t[a];n.hasOnlyGoodArcs($,l)&&(t.splice(a,1),a--,l.add($),f=!0)}}while(f);return t.map(a=>c.get(a))}containsActivationEvent(i){return this.h.has(i)}containsExtension(i){return this.f.has(i)}getExtensionDescriptionsForActivationEvent(i){const n=this.h.get(i);return n?n.slice(0):[]}getAllExtensionDescriptions(){return this.g.slice(0)}getSnapshot(){return new E(this.d,this.getAllExtensionDescriptions())}getExtensionDescription(i){const n=this.f.get(i);return n||void 0}getExtensionDescriptionByUUID(i){for(const n of this.g)if(n.uuid===i)return n}getExtensionDescriptionByIdOrUUID(i,n){return this.getExtensionDescription(i)??(n?this.getExtensionDescriptionByUUID(n):void 0)}}e.$K_b=p;class E{constructor(i,n){this.versionId=i,this.extensions=n}}e.$L_b=E;class T{constructor(i){this.d=new b,this.c=new p(i,[])}async acquireLock(i){const n=await this.d.acquire(i);return new D(this,n)}deltaExtensions(i,n,c){if(!i.isAcquiredFor(this))throw new Error("Lock is not held");return this.c.deltaExtensions(n,c)}containsActivationEvent(i){return this.c.containsActivationEvent(i)}containsExtension(i){return this.c.containsExtension(i)}getExtensionDescriptionsForActivationEvent(i){return this.c.getExtensionDescriptionsForActivationEvent(i)}getAllExtensionDescriptions(){return this.c.getAllExtensionDescriptions()}getSnapshot(){return this.c.getSnapshot()}getExtensionDescription(i){return this.c.getExtensionDescription(i)}getExtensionDescriptionByUUID(i){return this.c.getExtensionDescriptionByUUID(i)}getExtensionDescriptionByIdOrUUID(i,n){return this.c.getExtensionDescriptionByIdOrUUID(i,n)}}e.$M_b=T;class D extends M.$Vc{constructor(i,n){super(),this.f=i,this.c=!1,this.B(n)}isAcquiredFor(i){return!this.c&&this.f===i}}e.$N_b=D;class d{constructor(i){this.name=i;const n=(0,A.$ph)();this.promise=n.promise,this.c=n.resolve}resolve(i){this.c(i)}}class b{constructor(){this.c=[],this.d=!1}async acquire(i){const n=new d(i);return this.c.push(n),this.e(),n.promise}e(){if(this.d||this.c.length===0)return;const i=this.c.shift();this.d=!0;let n=!0;const c=setTimeout(()=>{n&&console.warn(`The customer named ${i.name} has been holding on to the lock for 30s. This might be a problem.`)},30*1e3),l=()=>{n&&(clearTimeout(c),n=!1,this.d=!1,this.e())};i.resolve((0,M.$Tc)(l))}}var m;(function(s){s[s.Builtin=0]="Builtin",s[s.User=1]="User",s[s.Dev=2]="Dev"})(m||(m={}));function r(s,i){const n=s.isBuiltin?0:s.isUnderDevelopment?2:1,c=i.isBuiltin?0:i.isUnderDevelopment?2:1;if(n!==c)return n-c;const l=R.$hc.basename(s.extensionLocation.path),t=R.$hc.basename(i.extensionLocation.path);return l<t?-1:l>t?1:0}function o(s,i){const n=new I.$Sm(i);return s.filter(c=>!n.has(c.identifier))}}),define(Ie[79],Pe([1,0,21]),function(le,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NativeLogMarkers=e.MessageType=e.ExtensionHostExitCode=e.UIKind=void 0,e.$Zm=A,e.$1m=w;var O;(function(E){E[E.Desktop=1]="Desktop",E[E.Web=2]="Web"})(O||(e.UIKind=O={}));var R;(function(E){E[E.VersionMismatch=55]="VersionMismatch",E[E.UnexpectedError=81]="UnexpectedError"})(R||(e.ExtensionHostExitCode=R={}));var M;(function(E){E[E.Initialized=0]="Initialized",E[E.Ready=1]="Ready",E[E.Terminate=2]="Terminate"})(M||(e.MessageType=M={}));function A(E){const T=I.$Ge.alloc(1);switch(E){case 0:T.writeUInt8(1,0);break;case 1:T.writeUInt8(2,0);break;case 2:T.writeUInt8(3,0);break}return T}function w(E,T){if(E.byteLength!==1)return!1;switch(E.readUInt8(0)){case 1:return T===0;case 2:return T===1;case 3:return T===2;default:return!1}}var p;(function(E){E.Start="START_NATIVE_LOG",E.End="END_NATIVE_LOG"})(p||(e.NativeLogMarkers=p={}))}),define(Ie[63],Pe([1,0,3,5,12,27,79,58,59,25,2,6,179]),function(le,e,I,O,R,M,A,w,p,E,T,D,d){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$QP=e.$OP=e.$NP=void 0,e.$PP=r;let b=class extends D.$Vc{constructor(s,i){super(),this.s=s,this.t=i,this.a=this.B(new O.$ee),this.onDidChangeTelemetryEnabled=this.a.event,this.b=this.B(new O.$ee),this.onDidChangeTelemetryConfiguration=this.b.event,this.c={usage:!0,error:!0},this.f=0,this.g=!1,this.j=!1,this.r=new Map,this.m=T.URI.revive(this.s.environment.extensionTelemetryLogResource),this.j=this.s.environment.isExtensionTelemetryLoggingOnly,this.n=i.createLogger(this.m,{id:p.$kp,name:(0,d.localize)(0,null,this.j?" (Not Sent)":""),hidden:!0}),this.B(this.n),this.B(i.onDidChangeLogLevel(n=>{(0,R.$5j)(n)&&this.u()})),this.n.info("Below are logs for extension telemetry events sent to the telemetry output channel API once the log level is set to trace."),this.n.info("===========================================================")}u(){this.t.setVisibility(this.m,this.g&&this.t.getLogLevel()===R.LogLevel.Trace)}getTelemetryConfiguration(){return this.f===3}getTelemetryDetails(){return{isCrashEnabled:this.f>=1,isErrorsEnabled:this.c.error?this.f>=2:!1,isUsageEnabled:this.c.usage?this.f>=3:!1}}instantiateLogger(s,i,n){const c=this.getTelemetryDetails(),l=new m(i,n,s,this.n,this.j,this.getBuiltInCommonProperties(s),{isUsageEnabled:c.isUsageEnabled,isErrorsEnabled:c.isErrorsEnabled}),t=this.r.get(s.identifier.value)??[];return this.r.set(s.identifier.value,[...t,l]),l.apiTelemetryLogger}$initializeTelemetryLevel(s,i,n){this.f=s,this.g=i,this.c=n??{usage:!0,error:!0},this.u()}getBuiltInCommonProperties(s){const i=Object.create(null);switch(i["common.extname"]=`${s.publisher}.${s.name}`,i["common.extversion"]=s.version,i["common.vscodemachineid"]=this.s.telemetryInfo.machineId,i["common.vscodesessionid"]=this.s.telemetryInfo.sessionId,i["common.sqmid"]=this.s.telemetryInfo.sqmId,i["common.vscodeversion"]=this.s.version,i["common.isnewappinstall"]=r(this.s.telemetryInfo.firstSessionDate),i["common.product"]=this.s.environment.appHost,this.s.uiKind){case A.UIKind.Web:i["common.uikind"]="web";break;case A.UIKind.Desktop:i["common.uikind"]="desktop";break;default:i["common.uikind"]="unknown"}return i["common.remotename"]=(0,w.$Im)((0,p.$qp)(this.s.remote.authority)),i}$onDidChangeTelemetryLevel(s){this.h=this.getTelemetryConfiguration(),this.f=s;const i=this.getTelemetryDetails();this.r.forEach((n,c)=>{const l=n.filter(t=>!t.isDisposed);l.length===0?this.r.delete(c):this.r.set(c,l)}),this.r.forEach(n=>{for(const c of n)c.updateTelemetryEnablements(i.isUsageEnabled,i.isErrorsEnabled)}),this.h!==this.getTelemetryConfiguration()&&this.a.fire(this.getTelemetryConfiguration()),this.b.fire(this.getTelemetryDetails()),this.u()}onExtensionError(s,i){const c=this.r.get(s.value)?.filter(t=>!t.isDisposed);if(!c)return this.r.delete(s.value),!1;let l=!1;for(const t of c)t.ignoreUnhandledExtHostErrors||(t.logError(i),l=!0);return l}};e.$NP=b,e.$NP=b=Je([We(0,M.$MP),We(1,R.$4j)],b);class m{static validateSender(s){if(typeof s!="object")throw new TypeError("TelemetrySender argument is invalid");if(typeof s.sendEventData!="function")throw new TypeError("TelemetrySender.sendEventData must be a function");if(typeof s.sendErrorData!="function")throw new TypeError("TelemetrySender.sendErrorData must be a function");if(typeof s.flush<"u"&&typeof s.flush!="function")throw new TypeError("TelemetrySender.flush must be a function or undefined")}constructor(s,i,n,c,l,t,f){this.g=n,this.h=c,this.i=l,this.j=t,this.a=new O.$ee,this.ignoreUnhandledExtHostErrors=i?.ignoreUnhandledErrors??!1,this.b=i?.ignoreBuiltInCommonProperties??!1,this.c=i?.additionalCommonProperties,this.f=s,this.d={isUsageEnabled:f.isUsageEnabled,isErrorsEnabled:f.isErrorsEnabled}}updateTelemetryEnablements(s,i){this.e&&(this.d={isUsageEnabled:s,isErrorsEnabled:i},this.a.fire(this.e))}mixInCommonPropsAndCleanData(s){let i="properties"in s?s.properties??{}:s;return i=(0,p.$tp)(i,[]),this.c&&(i=(0,E.$6n)(i,this.c)),this.b||(i=(0,E.$6n)(i,this.j)),"properties"in s?s.properties=i:s=i,s}k(s,i){this.f&&(this.g.publisher==="vscode"?s=this.g.name+"/"+s:s=this.g.identifier.value+"/"+s,i=this.mixInCommonPropsAndCleanData(i||{}),this.i||this.f?.sendEventData(s,i),this.h.trace(s,i))}logUsage(s,i){this.d.isUsageEnabled&&this.k(s,i)}logError(s,i){if(!(!this.d.isErrorsEnabled||!this.f))if(typeof s=="string")this.k(s,i);else{const n={name:s.name,message:s.message,stack:s.stack,cause:s.cause},c=(0,p.$tp)(n,[]),l=new Error(c.message,{cause:c.cause});l.stack=c.stack,l.name=c.name,i=this.mixInCommonPropsAndCleanData(i||{}),this.i||this.f.sendErrorData(l,i),this.h.trace("exception",i)}}get apiTelemetryLogger(){if(!this.e){const s=this,i={logUsage:s.logUsage.bind(s),get isUsageEnabled(){return s.d.isUsageEnabled},get isErrorsEnabled(){return s.d.isErrorsEnabled},logError:s.logError.bind(s),dispose:s.dispose.bind(s),onDidChangeEnableStates:s.a.event.bind(s)};this.e=Object.freeze(i)}return this.e}get isDisposed(){return!this.f}dispose(){if(this.f?.flush){let s=this.f;this.f=void 0,Promise.resolve(s.flush()).then(s=void 0),this.e=void 0}else this.f=void 0}}e.$OP=m;function r(o){const s=Date.now()-new Date(o).getTime();return isNaN(s)?!1:s<1e3*60*60*24}e.$QP=(0,I.$wi)("IExtHostTelemetry")}),define(Ie[26],Pe([1,0,5,2,207,105,20,3]),function(le,e,I,O,R,M,A,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$TG=e.ActivationKind=e.$QG=e.$PG=e.$MG=e.ExtensionHostStartup=e.$LG=e.$KG=e.$JG=e.$IG=void 0,e.$NG=d,e.$OG=b,e.$RG=s,e.$SG=i,e.$IG=Object.freeze({identifier:new A.$Rm("nullExtensionDescription"),name:"Null Extension Description",version:"0.0.0",publisher:"vscode",engines:{vscode:""},extensionLocation:O.URI.parse("void:location"),isBuiltin:!1,targetPlatform:"undefined",isUserBuiltin:!1,isUnderDevelopment:!1}),e.$JG="extensions.webWorker",e.$KG=(0,w.$wi)("extensionService");class p{constructor(l){this.dependency=l}}e.$LG=p;var E;(function(c){c[c.EagerAutoStart=1]="EagerAutoStart",c[c.EagerManualStart=2]="EagerManualStart",c[c.Lazy=3]="Lazy"})(E||(e.ExtensionHostStartup=E={}));class T{get versionId(){return this.c}get allExtensions(){return this.d}get myExtensions(){return this.e}constructor(l,t,f){this.c=l,this.d=t.slice(0),this.e=f.slice(0),this.f=null}toSnapshot(){return{versionId:this.c,allExtensions:this.d,myExtensions:this.e,activationEvents:M.$tG.createActivationEventsMap(this.d)}}set(l,t,f){if(this.c>l)throw new Error(`ExtensionHostExtensions: invalid versionId ${l} (current: ${this.c})`);const a=[],$=[],u=[],S=[],h=D(this.d),v=D(t),g=(W,V)=>W.extensionLocation.toString()===V.extensionLocation.toString()||W.isBuiltin===V.isBuiltin||W.isUserBuiltin===V.isUserBuiltin||W.isUnderDevelopment===V.isUnderDevelopment;for(const W of this.d){const V=v.get(W.identifier);if(!V){a.push(W.identifier),h.delete(W.identifier);continue}if(!g(W,V)){a.push(W.identifier),h.delete(W.identifier);continue}}for(const W of t){const V=h.get(W.identifier);if(!V){$.push(W);continue}if(!g(V,W)){a.push(V.identifier),h.delete(V.identifier);continue}}const k=new A.$Sm(this.e),y=new A.$Sm(f);for(const W of this.e)y.has(W)||u.push(W);for(const W of f)k.has(W)||S.push(W);const C=M.$tG.createActivationEventsMap($),P={versionId:l,toRemove:a,toAdd:$,addActivationEvents:C,myToRemove:u,myToAdd:S};return this.delta(P),P}delta(l){if(this.c>=l.versionId)return null;const{toRemove:t,toAdd:f,myToRemove:a,myToAdd:$}=l,u=new A.$Sm(t),S=new A.$Sm(a);for(let h=0;h<this.d.length;h++)u.has(this.d[h].identifier)&&(this.d.splice(h,1),h--);for(let h=0;h<this.e.length;h++)S.has(this.e[h])&&(this.e.splice(h,1),h--);for(const h of f)this.d.push(h);for(const h of $)this.e.push(h);return this.f=null,l}containsExtension(l){for(const t of this.e)if(A.$Rm.equals(t,l))return!0;return!1}containsActivationEvent(l){return this.f||(this.f=this.g()),this.f.has(l)}g(){const l=new Set;for(const t of this.d){if(!this.containsExtension(t.identifier))continue;const f=M.$tG.readActivationEvents(t);for(const a of f)l.add(a)}return l}}e.$MG=T;function D(c){const l=new A.$Tm;for(const t of c)l.set(t.identifier,t);return l}function d(c,l){return c.enabledApiProposals?c.enabledApiProposals.includes(l):!1}function b(c,l){if(!d(c,l))throw new Error(`Extension '${c.identifier.value}' CANNOT use API proposal: ${l}.
Its package.json#enabledApiProposals-property declares: ${c.enabledApiProposals?.join(", ")??"[]"} but NOT ${l}.
 The missing proposal MUST be added and you must start in extension development mode or use the following command line switch: --enable-proposed-api ${c.identifier.value}`)}class m{constructor(l,t,f,a){this.codeLoadingTime=l,this.activateCallTime=t,this.activateResolvedTime=f,this.activationReason=a}}e.$PG=m;class r{constructor(l,t){this.description=l,this.value=t}}e.$QG=r;var o;(function(c){c[c.Normal=0]="Normal",c[c.Immediate=1]="Immediate"})(o||(e.ActivationKind=o={}));function s(c){return{type:c.isBuiltin?0:1,isBuiltin:c.isBuiltin||c.isUserBuiltin,identifier:{id:(0,R.$zp)(c.publisher,c.name),uuid:c.uuid},manifest:c,location:c.extensionLocation,targetPlatform:c.targetPlatform,validations:[],isValid:!0}}function i(c,l){return{identifier:new A.$Rm((0,R.$xp)(c.manifest.publisher,c.manifest.name)),isBuiltin:c.type===0,isUserBuiltin:c.type===1&&c.isBuiltin,isUnderDevelopment:!!l,extensionLocation:c.location,...c.manifest,uuid:c.identifier.uuid,targetPlatform:c.targetPlatform,publisherDisplayName:c.publisherDisplayName}}class n{constructor(){this.onDidRegisterExtensions=I.Event.None,this.onDidChangeExtensionsStatus=I.Event.None,this.onDidChangeExtensions=I.Event.None,this.onWillActivateByEvent=I.Event.None,this.onDidChangeResponsiveChange=I.Event.None,this.onWillStop=I.Event.None,this.extensions=[]}activateByEvent(l){return Promise.resolve(void 0)}activateById(l,t){return Promise.resolve(void 0)}activationEventIsDone(l){return!1}whenInstalledExtensionsRegistered(){return Promise.resolve(!0)}getExtension(){return Promise.resolve(void 0)}readExtensionPointContributions(l){return Promise.resolve(Object.create(null))}getExtensionsStatus(){return Object.create(null)}getInspectPorts(l,t){return Promise.resolve([])}stopExtensionHosts(){}async startExtensionHosts(){}async setRemoteEnvironment(l){}canAddExtension(){return!1}canRemoveExtension(){return!1}}e.$TG=n}),define(Ie[237],Pe([1,0,14,110,20,26,12,11]),function(le,e,I,O,R,M,A,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Rlc=e.$Qlc=e.$Plc=e.$Olc=e.$Nlc=e.$Mlc=void 0;class p{static{this.NONE=new p(!1,-1,-1,-1)}constructor(s,i,n,c){this.startup=s,this.codeLoadingTime=i,this.activateCallTime=n,this.activateResolvedTime=c}}e.$Mlc=p;class E{constructor(s){this.a=s,this.b=-1,this.c=-1,this.d=-1,this.f=-1,this.g=-1,this.h=-1}j(s,i){return s===-1||i===-1?-1:i-s}build(){return new p(this.a,this.j(this.b,this.c),this.j(this.d,this.f),this.j(this.g,this.h))}codeLoadingStart(){this.b=Date.now()}codeLoadingStop(){this.c=Date.now()}activateCallStart(){this.d=Date.now()}activateCallStop(){this.f=Date.now()}activateResolveStart(){this.g=Date.now()}activateResolveStop(){this.h=Date.now()}}e.$Nlc=E;class T{constructor(s,i,n,c,l,t){this.activationFailed=s,this.activationFailedError=i,this.activationTimes=n,this.module=c,this.exports=l,this.subscriptions=t}}e.$Olc=T;class D extends T{constructor(s){super(!1,null,s,{activate:void 0,deactivate:void 0},void 0,[])}}e.$Plc=D;class d extends T{constructor(){super(!1,null,p.NONE,{activate:void 0,deactivate:void 0},void 0,[])}}e.$Qlc=d;class b extends T{constructor(s){super(!0,s,p.NONE,{activate:void 0,deactivate:void 0},void 0,[])}}let m=class{constructor(s,i,n,c){this.g=c,this.a=s,this.b=i,this.c=n,this.d=new R.$Tm,this.f=Object.create(null)}dispose(){for(const[s,i]of this.d)i.dispose()}async waitForActivatingExtensions(){const s=[];for(const[i,n]of this.d)s.push(n.wait());await Promise.all(s)}isActivated(s){const i=this.d.get(s);return!!(i&&i.value)}getActivatedExtension(s){const i=this.d.get(s);if(!i||!i.value)throw new Error(`Extension '${s.value}' is not known or not activated`);return i.value}async activateByEvent(s,i){if(this.f[s])return;const n=this.a.getExtensionDescriptionsForActivationEvent(s);await this.h(n.map(c=>({id:c.identifier,reason:{startup:i,extensionId:c.identifier,activationEvent:s}}))),this.f[s]=!0}activateById(s,i){const n=this.a.getExtensionDescription(s);if(!n)throw new Error(`Extension '${s.value}' is not known`);return this.h([{id:n.identifier,reason:i}])}async h(s){const i=s.filter(n=>!this.isActivated(n.id)).map(n=>this.j(n));await Promise.all(i.map(n=>n.wait()))}j(s){if(this.d.has(s.id))return this.d.get(s.id);if(this.l(s.id))return this.k(s,null,[],null);const i=this.a.getExtensionDescription(s.id);if(!i){const l=new Error(`Cannot activate unknown extension '${s.id.value}'`),t=this.k(s,null,[],new b(l));return this.c.onExtensionActivationError(s.id,l,new M.$LG(s.id.value)),t}const n=[],c=typeof i.extensionDependencies>"u"?[]:i.extensionDependencies;for(const l of c){if(this.m(l))continue;const t=this.d.get(l);if(t){n.push(t);continue}if(this.l(l)){n.push(this.j({id:this.b.getExtensionDescription(l).identifier,reason:s.reason}));continue}const f=this.a.getExtensionDescription(l);if(f){if(!f.main&&!f.browser)continue;n.push(this.j({id:f.identifier,reason:s.reason}));continue}const a=i.displayName||i.identifier.value,$=new Error(`Cannot activate the '${a}' extension because it depends on unknown extension '${l}'`),u=this.k(s,i.displayName,[],new b($));return this.c.onExtensionActivationError(i.identifier,$,new M.$LG(l)),u}return this.k(s,i.displayName,n,null)}k(s,i,n,c){const l=new r(s.id,i,s.reason,n,c,this.c,this.g);return this.d.set(s.id,l),l}l(s){return O.$K_b.isHostExtension(s,this.a,this.b)}m(s){const i=this.b.getExtensionDescription(s);return i?!i.main&&!i.browser:!1}};e.$Rlc=m,e.$Rlc=m=Je([We(3,A.$3j)],m);let r=class{get value(){return this.h}get friendlyName(){return this.d||this.c.value}constructor(s,i,n,c,l,t,f){this.c=s,this.d=i,this.f=n,this.g=c,this.h=l,this.j=t,this.k=f,this.a=new w.$vh,this.b=!1,this.l()}dispose(){this.b=!0}wait(){return this.a.wait()}async l(){await this.m(),this.a.open()}async m(){if(!this.h){for(;this.g.length>0;){for(let s=0;s<this.g.length;s++){const i=this.g[s];if(i.value&&!i.value.activationFailed){this.g.splice(s,1),s--;continue}if(i.value&&i.value.activationFailed){const n=new Error(`Cannot activate the '${this.friendlyName}' extension because its dependency '${i.friendlyName}' failed to activate`);n.detail=i.value.activationFailedError,this.h=new b(n),this.j.onExtensionActivationError(this.c,n,null);return}}this.g.length>0&&await Promise.race(this.g.map(s=>s.wait()))}await this.n()}}async n(){try{this.h=await this.j.actualActivateExtension(this.c,this.f)}catch(s){const i=new Error;if(s&&s.name&&(i.name=s.name),s&&s.message?i.message=`Activating extension '${this.c.value}' failed: ${s.message}.`:i.message=`Activating extension '${this.c.value}' failed: ${s}.`,s&&s.stack&&(i.stack=s.stack),this.h=new b(i),this.b&&I.$4(s))return;this.j.onExtensionActivationError(this.c,i,null),this.k.error(`Activating extension ${this.c.value} failed due to an error:`),this.k.error(s)}}};r=Je([We(6,A.$3j)],r)}),define(Ie[238],Pe([1,0]),function(le,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.allApiProposals=void 0,e.allApiProposals=Object.freeze({activeComment:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.activeComment.d.ts",aiRelatedInformation:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.aiRelatedInformation.d.ts",aiTextSearchProvider:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.aiTextSearchProvider.d.ts",authGetSessions:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.authGetSessions.d.ts",authLearnMore:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.authLearnMore.d.ts",authSession:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.authSession.d.ts",canonicalUriProvider:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.canonicalUriProvider.d.ts",chatParticipant:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.chatParticipant.d.ts",chatParticipantAdditions:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.chatParticipantAdditions.d.ts",chatProvider:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.chatProvider.d.ts",chatTab:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.chatTab.d.ts",chatVariableResolver:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.chatVariableResolver.d.ts",codeActionAI:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.codeActionAI.d.ts",codeActionRanges:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.codeActionRanges.d.ts",codiconDecoration:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.codiconDecoration.d.ts",commentReactor:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.commentReactor.d.ts",commentThreadApplicability:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.commentThreadApplicability.d.ts",commentingRangeHint:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.commentingRangeHint.d.ts",commentsDraftState:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.commentsDraftState.d.ts",contribAccessibilityHelpContent:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.contribAccessibilityHelpContent.d.ts",contribCommentEditorActionsMenu:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.contribCommentEditorActionsMenu.d.ts",contribCommentPeekContext:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.contribCommentPeekContext.d.ts",contribCommentThreadAdditionalMenu:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.contribCommentThreadAdditionalMenu.d.ts",contribCommentsViewThreadMenus:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.contribCommentsViewThreadMenus.d.ts",contribDiffEditorGutterToolBarMenus:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.contribDiffEditorGutterToolBarMenus.d.ts",contribEditSessions:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.contribEditSessions.d.ts",contribEditorContentMenu:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.contribEditorContentMenu.d.ts",contribIssueReporter:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.contribIssueReporter.d.ts",contribLabelFormatterWorkspaceTooltip:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.contribLabelFormatterWorkspaceTooltip.d.ts",contribMenuBarHome:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.contribMenuBarHome.d.ts",contribMergeEditorMenus:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.contribMergeEditorMenus.d.ts",contribMultiDiffEditorMenus:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.contribMultiDiffEditorMenus.d.ts",contribNotebookStaticPreloads:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.contribNotebookStaticPreloads.d.ts",contribRemoteHelp:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.contribRemoteHelp.d.ts",contribShareMenu:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.contribShareMenu.d.ts",contribSourceControlHistoryItemGroupMenu:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.contribSourceControlHistoryItemGroupMenu.d.ts",contribSourceControlHistoryItemMenu:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.contribSourceControlHistoryItemMenu.d.ts",contribSourceControlInputBoxMenu:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.contribSourceControlInputBoxMenu.d.ts",contribSourceControlTitleMenu:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.contribSourceControlTitleMenu.d.ts",contribStatusBarItems:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.contribStatusBarItems.d.ts",contribViewsRemote:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.contribViewsRemote.d.ts",contribViewsWelcome:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.contribViewsWelcome.d.ts",createFileSystemWatcher:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.createFileSystemWatcher.d.ts",customEditorMove:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.customEditorMove.d.ts",debugFocus:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.debugFocus.d.ts",debugVisualization:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.debugVisualization.d.ts",defaultChatParticipant:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.defaultChatParticipant.d.ts",diffCommand:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.diffCommand.d.ts",diffContentOptions:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.diffContentOptions.d.ts",documentFiltersExclusive:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.documentFiltersExclusive.d.ts",documentPaste:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.documentPaste.d.ts",editSessionIdentityProvider:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.editSessionIdentityProvider.d.ts",editorHoverVerbosityLevel:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.editorHoverVerbosityLevel.d.ts",editorInsets:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.editorInsets.d.ts",extensionRuntime:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.extensionRuntime.d.ts",extensionsAny:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.extensionsAny.d.ts",externalUriOpener:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.externalUriOpener.d.ts",fileComments:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.fileComments.d.ts",fileSearchProvider:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.fileSearchProvider.d.ts",findFiles2:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.findFiles2.d.ts",findTextInFiles:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.findTextInFiles.d.ts",fsChunks:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.fsChunks.d.ts",idToken:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.idToken.d.ts",inlineCompletionsAdditions:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.inlineCompletionsAdditions.d.ts",inlineEdit:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.inlineEdit.d.ts",interactive:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.interactive.d.ts",interactiveWindow:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.interactiveWindow.d.ts",ipc:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.ipc.d.ts",languageModels:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.languageModels.d.ts",languageStatusText:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.languageStatusText.d.ts",mappedEditsProvider:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.mappedEditsProvider.d.ts",multiDocumentHighlightProvider:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.multiDocumentHighlightProvider.d.ts",newSymbolNamesProvider:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.newSymbolNamesProvider.d.ts",notebookCellExecution:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.notebookCellExecution.d.ts",notebookCellExecutionState:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.notebookCellExecutionState.d.ts",notebookControllerAffinityHidden:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.notebookControllerAffinityHidden.d.ts",notebookDeprecated:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.notebookDeprecated.d.ts",notebookExecution:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.notebookExecution.d.ts",notebookKernelSource:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.notebookKernelSource.d.ts",notebookLiveShare:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.notebookLiveShare.d.ts",notebookMessaging:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.notebookMessaging.d.ts",notebookMime:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.notebookMime.d.ts",notebookVariableProvider:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.notebookVariableProvider.d.ts",portsAttributes:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.portsAttributes.d.ts",profileContentHandlers:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.profileContentHandlers.d.ts",quickDiffProvider:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.quickDiffProvider.d.ts",quickPickItemTooltip:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.quickPickItemTooltip.d.ts",quickPickSortByLabel:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.quickPickSortByLabel.d.ts",resolvers:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.resolvers.d.ts",scmActionButton:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.scmActionButton.d.ts",scmHistoryProvider:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.scmHistoryProvider.d.ts",scmMultiDiffEditor:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.scmMultiDiffEditor.d.ts",scmSelectedProvider:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.scmSelectedProvider.d.ts",scmTextDocument:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.scmTextDocument.d.ts",scmValidation:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.scmValidation.d.ts",shareProvider:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.shareProvider.d.ts",showLocal:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.showLocal.d.ts",speech:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.speech.d.ts",tabInputMultiDiff:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.tabInputMultiDiff.d.ts",tabInputTextMerge:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.tabInputTextMerge.d.ts",taskPresentationGroup:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.taskPresentationGroup.d.ts",telemetry:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.telemetry.d.ts",terminalDataWriteEvent:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.terminalDataWriteEvent.d.ts",terminalDimensions:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.terminalDimensions.d.ts",terminalExecuteCommandEvent:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.terminalExecuteCommandEvent.d.ts",terminalQuickFixProvider:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.terminalQuickFixProvider.d.ts",terminalSelection:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.terminalSelection.d.ts",terminalShellIntegration:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.terminalShellIntegration.d.ts",testObserver:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.testObserver.d.ts",testPreserveFocus:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.testPreserveFocus.d.ts",textSearchProvider:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.textSearchProvider.d.ts",timeline:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.timeline.d.ts",tokenInformation:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.tokenInformation.d.ts",treeViewActiveItem:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.treeViewActiveItem.d.ts",treeViewMarkdownMessage:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.treeViewMarkdownMessage.d.ts",treeViewReveal:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.treeViewReveal.d.ts",tunnelFactory:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.tunnelFactory.d.ts",tunnels:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.tunnels.d.ts",workspaceTrust:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.workspaceTrust.d.ts"})}),define(Ie[239],Pe([1,0,194,14,33,100,74,29,20,238,102,105]),function(le,e,I,O,R,M,A,w,p,E,T,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$HG=e.$GG=e.$FG=e.$EG=e.$DG=e.$CG=void 0;const d=w.$co.as(A.$do.JSONContribution);class b{constructor(l,t,f){this.a=l,this.b=t,this.c=f}d(l,t){this.a({type:l,message:t,extensionId:this.b.identifier,extensionPointId:this.c})}error(l){this.d(R.default.Error,l)}warn(l){this.d(R.default.Warning,l)}info(l){this.d(R.default.Info,l)}}e.$CG=b;class m{static a(l){const t=new p.$Sm;for(let f=0,a=l.length;f<a;f++)t.add(l[f].description.identifier);return t}static compute(l,t){if(!l||!l.length)return new m(t,[]);if(!t||!t.length)return new m([],l);const f=this.a(l),a=this.a(t),$=t.filter(S=>!f.has(S.description.identifier)),u=l.filter(S=>!a.has(S.description.identifier));return new m($,u)}constructor(l,t){this.added=l,this.removed=t}}e.$DG=m;class r{constructor(l,t){this.name=l,this.defaultExtensionKind=t,this.a=null,this.b=null,this.c=null}setHandler(l){if(this.a!==null)throw new Error("Handler already set!");this.a=l,this.d()}acceptUsers(l){this.c=m.compute(this.b,l),this.b=l,this.d()}d(){if(!(this.a===null||this.b===null||this.c===null))try{this.a(this.b,this.c)}catch(l){(0,O.$1)(l)}}}e.$EG=r;const o={type:"string",enum:["ui","workspace"],enumDescriptions:[I.localize(0,null),I.localize(1,null)]},s="vscode://schemas/vscode-extensions";e.$FG={properties:{engines:{type:"object",description:I.localize(2,null),properties:{vscode:{type:"string",description:I.localize(3,null),default:"^1.22.0"}}},publisher:{description:I.localize(4,null),type:"string"},displayName:{description:I.localize(5,null),type:"string"},categories:{description:I.localize(6,null),type:"array",uniqueItems:!0,items:{oneOf:[{type:"string",enum:p.$Qm},{type:"string",const:"Languages",deprecationMessage:I.localize(7,null)}]}},galleryBanner:{type:"object",description:I.localize(8,null),properties:{color:{description:I.localize(9,null),type:"string"},theme:{description:I.localize(10,null),type:"string",enum:["dark","light"]}}},contributes:{description:I.localize(11,null),type:"object",properties:{},default:{}},preview:{type:"boolean",description:I.localize(12,null)},enableProposedApi:{type:"boolean",deprecationMessage:I.localize(13,null)},enabledApiProposals:{markdownDescription:I.localize(14,null),type:"array",uniqueItems:!0,items:{type:"string",enum:Object.keys(E.allApiProposals),markdownEnumDescriptions:Object.values(E.allApiProposals)}},api:{markdownDescription:I.localize(15,null),type:"string",enum:["none"],enumDescriptions:[I.localize(16,null)]},activationEvents:{description:I.localize(17,null),type:"array",items:{type:"string",defaultSnippets:[{label:"onWebviewPanel",description:I.localize(18,null),body:"onWebviewPanel:viewType"},{label:"onLanguage",description:I.localize(19,null),body:"onLanguage:${1:languageId}"},{label:"onCommand",description:I.localize(20,null),body:"onCommand:${2:commandId}"},{label:"onDebug",description:I.localize(21,null),body:"onDebug"},{label:"onDebugInitialConfigurations",description:I.localize(22,null),body:"onDebugInitialConfigurations"},{label:"onDebugDynamicConfigurations",description:I.localize(23,null),body:"onDebugDynamicConfigurations"},{label:"onDebugResolve",description:I.localize(24,null),body:"onDebugResolve:${6:type}"},{label:"onDebugAdapterProtocolTracker",description:I.localize(25,null),body:"onDebugAdapterProtocolTracker:${6:type}"},{label:"workspaceContains",description:I.localize(26,null),body:"workspaceContains:${4:filePattern}"},{label:"onStartupFinished",description:I.localize(27,null),body:"onStartupFinished"},{label:"onTaskType",description:I.localize(28,null),body:"onTaskType:${1:taskType}"},{label:"onFileSystem",description:I.localize(29,null),body:"onFileSystem:${1:scheme}"},{label:"onEditSession",description:I.localize(30,null),body:"onEditSession:${1:scheme}"},{label:"onSearch",description:I.localize(31,null),body:"onSearch:${7:scheme}"},{label:"onView",body:"onView:${5:viewId}",description:I.localize(32,null)},{label:"onUri",body:"onUri",description:I.localize(33,null)},{label:"onOpenExternalUri",body:"onOpenExternalUri",description:I.localize(34,null)},{label:"onCustomEditor",body:"onCustomEditor:${9:viewType}",description:I.localize(35,null)},{label:"onNotebook",body:"onNotebook:${1:type}",description:I.localize(36,null)},{label:"onAuthenticationRequest",body:"onAuthenticationRequest:${11:authenticationProviderId}",description:I.localize(37,null)},{label:"onRenderer",description:I.localize(38,null),body:"onRenderer:${11:rendererId}"},{label:"onTerminalProfile",body:"onTerminalProfile:${1:terminalId}",description:I.localize(39,null)},{label:"onTerminalQuickFixRequest",body:"onTerminalQuickFixRequest:${1:quickFixId}",description:I.localize(40,null)},{label:"onWalkthrough",body:"onWalkthrough:${1:walkthroughID}",description:I.localize(41,null)},{label:"onIssueReporterOpened",body:"onIssueReporterOpened",description:I.localize(42,null)},{label:"*",description:I.localize(43,null),body:"*"}]}},badges:{type:"array",description:I.localize(44,null),items:{type:"object",required:["url","href","description"],properties:{url:{type:"string",description:I.localize(45,null)},href:{type:"string",description:I.localize(46,null)},description:{type:"string",description:I.localize(47,null)}}}},markdown:{type:"string",description:I.localize(48,null),enum:["github","standard"],default:"github"},qna:{default:"marketplace",description:I.localize(49,null),anyOf:[{type:["string","boolean"],enum:["marketplace",!1]},{type:"string"}]},extensionDependencies:{description:I.localize(50,null),type:"array",uniqueItems:!0,items:{type:"string",pattern:M.$To}},extensionPack:{description:I.localize(51,null),type:"array",uniqueItems:!0,items:{type:"string",pattern:M.$To}},extensionKind:{description:I.localize(52,null),type:"array",items:o,default:["workspace"],defaultSnippets:[{body:["ui"],description:I.localize(53,null)},{body:["workspace"],description:I.localize(54,null)},{body:["ui","workspace"],description:I.localize(55,null)},{body:["workspace","ui"],description:I.localize(56,null)},{body:[],description:I.localize(57,null)}]},capabilities:{description:I.localize(58,null),type:"object",properties:{virtualWorkspaces:{description:I.localize(59,null),type:["boolean","object"],defaultSnippets:[{label:"limited",body:{supported:"${1:limited}",description:"${2}"}},{label:"false",body:{supported:!1,description:"${2}"}}],default:(!0).valueOf,properties:{supported:{markdownDescription:I.localize(60,null),type:["string","boolean"],enum:["limited",!0,!1],enumDescriptions:[I.localize(61,null),I.localize(62,null),I.localize(63,null)]},description:{type:"string",markdownDescription:I.localize(64,null)}}},untrustedWorkspaces:{description:I.localize(65,null),type:"object",required:["supported"],defaultSnippets:[{body:{supported:"${1:limited}",description:"${2}"}}],properties:{supported:{markdownDescription:I.localize(66,null),type:["string","boolean"],enum:["limited",!0,!1],enumDescriptions:[I.localize(67,null),I.localize(68,null),I.localize(69,null)]},restrictedConfigurations:{description:I.localize(70,null),type:"array",items:{type:"string"}},description:{type:"string",markdownDescription:I.localize(71,null)}}}}},sponsor:{description:I.localize(72,null),type:"object",defaultSnippets:[{body:{url:"${1:https:}"}}],properties:{url:{description:I.localize(73,null),type:"string"}}},scripts:{type:"object",properties:{"vscode:prepublish":{description:I.localize(74,null),type:"string"},"vscode:uninstall":{description:I.localize(75,null),type:"string"}}},icon:{type:"string",description:I.localize(76,null)},l10n:{type:"string",description:I.localize(77,null)},pricing:{type:"string",markdownDescription:I.localize(78,null),enum:["Free","Trial"],default:"Free"}}};class i{constructor(){this.a=new Map}registerExtensionPoint(l){if(this.a.has(l.extensionPoint))throw new Error("Duplicate extension point: "+l.extensionPoint);const t=new r(l.extensionPoint,l.defaultExtensionKind);return this.a.set(l.extensionPoint,t),l.activationEventsGenerator&&D.$tG.register(l.extensionPoint,l.activationEventsGenerator),e.$FG.properties.contributes.properties[l.extensionPoint]=l.jsonSchema,d.registerSchema(s,e.$FG),t}getExtensionPoints(){return Array.from(this.a.values())}}e.$GG=i;const n={ExtensionsRegistry:"ExtensionsRegistry"};w.$co.add(n.ExtensionsRegistry,new i),e.$HG=w.$co.as(n.ExtensionsRegistry),d.registerSchema(s,e.$FG),d.registerSchema(T.$kk,{properties:{extensionEnabledApiProposals:{description:I.localize(79,null),type:"object",properties:{},additionalProperties:{anyOf:[{type:"array",uniqueItems:!0,items:{type:"string",enum:Object.keys(E.allApiProposals),markdownEnumDescriptions:Object.values(E.allApiProposals)}}]}}}})}),define(Ie[240],Pe([1,0,190,15,25,239,31,5]),function(le,e,I,O,R,M,A,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$bI=void 0;const p={type:"object",additionalProperties:!1,properties:{type:{type:"string",description:I.localize(0,null)},required:{type:"array",items:{type:"string"}},properties:{type:"object",description:I.localize(1,null),additionalProperties:{$ref:"http://json-schema.org/draft-07/schema#"}},when:{type:"string",markdownDescription:I.localize(2,null),default:""}}};var E;(function(d){function b(m,r,o){if(!m)return;const s=O.$9f(m.type)?m.type:void 0;if(!s||s.length===0){o.error(I.localize(3,null));return}const i=[];if(Array.isArray(m.required))for(const n of m.required)O.$9f(n)&&i.push(n);return{extensionId:r.value,taskType:s,required:i,properties:m.properties?R.$3n(m.properties):{},when:m.when?A.$uj.deserialize(m.when):void 0}}d.from=b})(E||(E={}));const T=M.$HG.registerExtensionPoint({extensionPoint:"taskDefinitions",activationEventsGenerator:(d,b)=>{for(const m of d)m.type&&b.push(`onTaskType:${m.type}`)},jsonSchema:{description:I.localize(4,null),type:"array",items:p}});class D{constructor(){this.d=new w.$ee,this.onDefinitionsChanged=this.d.event,this.a=Object.create(null),this.b=new Promise((b,m)=>{T.setHandler((r,o)=>{this.c=void 0;try{for(const s of o.removed){const i=s.value;for(const n of i)this.a&&n.type&&this.a[n.type]&&delete this.a[n.type]}for(const s of o.added){const i=s.value;for(const n of i){const c=E.from(n,s.description.identifier,s.collector);c&&(this.a[c.taskType]=c)}}(o.removed.length>0||o.added.length>0)&&this.d.fire()}catch{}b(void 0)})})}onReady(){return this.b}get(b){return this.a[b]}all(){return Object.keys(this.a).map(b=>this.a[b])}getJsonSchema(){if(this.c===void 0){const b=[];for(const m of this.all()){const r={type:"object",additionalProperties:!1};m.required.length>0&&(r.required=m.required.slice(0)),m.properties!==void 0?r.properties=R.$3n(m.properties):r.properties=Object.create(null),r.properties.type={type:"string",enum:[m.taskType]},b.push(r)}this.c={oneOf:b}}return this.c}}e.$bI=new D}),define(Ie[241],Pe([1,0,191,15,23,25,31,240]),function(le,e,I,O,R,M,A,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TaskDefinition=e.TasksSchemaProperties=e.TaskSettingId=e.KeyedTaskIdentifier=e.TaskEvent=e.TaskRunSource=e.TaskRunType=e.TaskEventKind=e.$lI=e.JsonSchemaVersion=e.ExecutionEngine=e.$kI=e.$jI=e.$iI=e.$hI=e.$gI=e.RunOptions=e.RunOnOptions=e.DependsOrder=e.TaskSourceKind=e.TaskScope=e.TaskGroup=e.CommandString=e.RuntimeType=e.PresentationOptions=e.PanelKind=e.RevealProblemKind=e.RevealKind=e.CommandOptions=e.$fI=e.ShellQuoting=e.$eI=e.$dI=e.$cI=void 0,e.$cI="settings",e.$dI=new A.$Nj("taskRunning",!1,I.localize(0,null)),e.$eI=I.localize2(2,"Tasks");var p;(function(N){N[N.Escape=1]="Escape",N[N.Strong=2]="Strong",N[N.Weak=3]="Weak"})(p||(e.ShellQuoting=p={})),e.$fI="$customized",function(N){function j(K){if(!K)return N.Strong;switch(K.toLowerCase()){case"escape":return N.Escape;case"strong":return N.Strong;case"weak":return N.Weak;default:return N.Strong}}N.from=j}(p||(e.ShellQuoting=p={}));var E;(function(N){N.defaults={cwd:"${workspaceFolder}"}})(E||(e.CommandOptions=E={}));var T;(function(N){N[N.Always=1]="Always",N[N.Silent=2]="Silent",N[N.Never=3]="Never"})(T||(e.RevealKind=T={})),function(N){function j(K){switch(K.toLowerCase()){case"always":return N.Always;case"silent":return N.Silent;case"never":return N.Never;default:return N.Always}}N.fromString=j}(T||(e.RevealKind=T={}));var D;(function(N){N[N.Never=1]="Never",N[N.OnProblem=2]="OnProblem",N[N.Always=3]="Always"})(D||(e.RevealProblemKind=D={})),function(N){function j(K){switch(K.toLowerCase()){case"always":return N.Always;case"never":return N.Never;case"onproblem":return N.OnProblem;default:return N.OnProblem}}N.fromString=j}(D||(e.RevealProblemKind=D={}));var d;(function(N){N[N.Shared=1]="Shared",N[N.Dedicated=2]="Dedicated",N[N.New=3]="New"})(d||(e.PanelKind=d={})),function(N){function j(K){switch(K.toLowerCase()){case"shared":return N.Shared;case"dedicated":return N.Dedicated;case"new":return N.New;default:return N.Shared}}N.fromString=j}(d||(e.PanelKind=d={}));var b;(function(N){N.defaults={echo:!0,reveal:T.Always,revealProblems:D.Never,focus:!1,panel:d.Shared,showReuseMessage:!0,clear:!1}})(b||(e.PresentationOptions=b={}));var m;(function(N){N[N.Shell=1]="Shell",N[N.Process=2]="Process",N[N.CustomExecution=3]="CustomExecution"})(m||(e.RuntimeType=m={})),function(N){function j(ie){switch(ie.toLowerCase()){case"shell":return N.Shell;case"process":return N.Process;case"customExecution":return N.CustomExecution;default:return N.Process}}N.fromString=j;function K(ie){switch(ie){case N.Shell:return"shell";case N.Process:return"process";case N.CustomExecution:return"customExecution";default:return"process"}}N.toString=K}(m||(e.RuntimeType=m={}));var r;(function(N){function j(K){return O.$9f(K)?K:K.value}N.value=j})(r||(e.CommandString=r={}));var o;(function(N){N.Clean={_id:"clean",isDefault:!1},N.Build={_id:"build",isDefault:!1},N.Rebuild={_id:"rebuild",isDefault:!1},N.Test={_id:"test",isDefault:!1};function j(ie){return ie===N.Clean._id||ie===N.Build._id||ie===N.Rebuild._id||ie===N.Test._id}N.is=j;function K(ie){if(ie!==void 0)return O.$9f(ie)?j(ie)?{_id:ie,isDefault:!1}:void 0:ie}N.from=K})(o||(e.TaskGroup=o={}));var s;(function(N){N[N.Global=1]="Global",N[N.Workspace=2]="Workspace",N[N.Folder=3]="Folder"})(s||(e.TaskScope=s={}));var i;(function(N){N.Workspace="workspace",N.Extension="extension",N.InMemory="inMemory",N.WorkspaceFile="workspaceFile",N.User="user";function j(K){switch(K){case N.User:return 2;case N.WorkspaceFile:return 5;default:return 6}}N.toConfigurationTarget=j})(i||(e.TaskSourceKind=i={}));var n;(function(N){N.parallel="parallel",N.sequence="sequence"})(n||(e.DependsOrder=n={}));var c;(function(N){N[N.default=1]="default",N[N.folderOpen=2]="folderOpen"})(c||(e.RunOnOptions=c={}));var l;(function(N){N.defaults={reevaluateOnRerun:!0,runOn:c.default,instanceLimit:1}})(l||(e.RunOptions=l={}));class t{constructor(j,K,ie,ce,ye,Se){this._label="",this._id=j,K&&(this._label=K),ie&&(this.type=ie),this.runOptions=ce,this.configurationProperties=ye,this._source=Se}getDefinition(j){}getMapKey(){return this._id}getKey(){}getCommonTaskId(){const j={folder:this.d(),id:this._id};return JSON.stringify(j)}clone(){return this.f(Object.assign({},this))}getWorkspaceFolder(){}getWorkspaceFileName(){}getTelemetryKind(){return"unknown"}matches(j,K=!1){if(j===void 0)return!1;if(O.$9f(j))return j===this._label||j===this.configurationProperties.identifier||K&&j===this._id;const ie=this.getDefinition(!0);return ie!==void 0&&ie._key===j._key}getQualifiedLabel(){const j=this.getWorkspaceFolder();return j?`${this._label} (${j.name})`:this._label}getTaskExecution(){return{id:this._id,task:this}}addTaskLoadMessages(j){this.c===void 0&&(this.c=[]),j&&(this.c=this.c.concat(j))}get taskLoadMessages(){return this.c}}e.$gI=t;class f extends t{constructor(j,K,ie,ce,ye,Se,fe,$e){super(j,ie,void 0,fe,$e,K),this.command={},this._source=K,this.hasDefinedMatchers=Se,ye&&(this.command=ye)}clone(){return new f(this._id,this._source,this._label,this.type,this.command,this.hasDefinedMatchers,this.runOptions,this.configurationProperties)}customizes(){if(this._source&&this._source.customizes)return this._source.customizes}getDefinition(j=!1){if(j&&this._source.customizes!==void 0)return this._source.customizes;{let K;switch(this.command?this.command.runtime:void 0){case m.Shell:K="shell";break;case m.Process:K="process";break;case m.CustomExecution:K="customExecution";break;case void 0:K="$composite";break;default:throw new Error("Unexpected task runtime")}return{type:K,_key:this._id,id:this._id}}}static is(j){return j instanceof f}getMapKey(){const j=this._source.config.workspaceFolder;return j?`${j.uri.toString()}|${this._id}|${this.instance}`:`${this._id}|${this.instance}`}d(){return this._source.kind===i.User?e.$cI:this._source.config.workspaceFolder?.uri.toString()}getCommonTaskId(){return this._source.customizes?super.getCommonTaskId():this.getKey()??super.getCommonTaskId()}getKey(){const j=this.d();if(!j)return;let K=this.configurationProperties.identifier;this._source.kind!==i.Workspace&&(K+=this._source.kind);const ie={type:e.$fI,folder:j,id:K};return JSON.stringify(ie)}getWorkspaceFolder(){return this._source.config.workspaceFolder}getWorkspaceFileName(){return this._source.config.workspace&&this._source.config.workspace.configuration?R.$7g(this._source.config.workspace.configuration):void 0}getTelemetryKind(){return this._source.customizes?"workspace>extension":"workspace"}f(j){return new f(j._id,j._source,j._label,j.type,j.command,j.hasDefinedMatchers,j.runOptions,j.configurationProperties)}}e.$hI=f;class a extends t{constructor(j,K,ie,ce,ye,Se,fe){super(j,ie,ce,Se,fe,K),this._source=K,this.configures=ye}static is(j){return j instanceof a}f(j){return j}getDefinition(){return this.configures}getWorkspaceFileName(){return this._source.config.workspace&&this._source.config.workspace.configuration?R.$7g(this._source.config.workspace.configuration):void 0}getWorkspaceFolder(){return this._source.config.workspaceFolder}d(){return this._source.kind===i.User?e.$cI:this._source.config.workspaceFolder?.uri.toString()}getKey(){const j=this.d();if(!j)return;let K=this.configurationProperties.identifier;this._source.kind!==i.Workspace&&(K+=this._source.kind);const ie={type:e.$fI,folder:j,id:K};return JSON.stringify(ie)}}e.$iI=a;class $ extends t{constructor(j,K,ie,ce,ye,Se,fe,$e,Te){super(j,ie,ce,$e,Te,K),this.defines=ye,this.hasDefinedMatchers=fe,this.command=Se,this.icon=Te.icon,this.hide=Te.hide}clone(){return new $(this._id,this._source,this._label,this.type,this.defines,this.command,this.hasDefinedMatchers,this.runOptions,this.configurationProperties)}getDefinition(){return this.defines}static is(j){return j instanceof $}getMapKey(){const j=this._source.workspaceFolder;return j?`${this._source.scope.toString()}|${j.uri.toString()}|${this._id}|${this.instance}`:`${this._source.scope.toString()}|${this._id}|${this.instance}`}d(){if(this._source.scope===3&&this._source.workspaceFolder)return this._source.workspaceFolder.uri.toString()}getKey(){const j={type:"contributed",scope:this._source.scope,id:this._id};return j.folder=this.d(),JSON.stringify(j)}getWorkspaceFolder(){return this._source.workspaceFolder}getTelemetryKind(){return"extension"}f(j){return new $(j._id,j._source,j._label,j.type,j.defines,j.command,j.hasDefinedMatchers,j.runOptions,j.configurationProperties)}}e.$jI=$;class u extends t{constructor(j,K,ie,ce,ye,Se){super(j,ie,ce,ye,Se,K),this._source=K}clone(){return new u(this._id,this._source,this._label,this.type,this.runOptions,this.configurationProperties)}static is(j){return j instanceof u}getTelemetryKind(){return"composite"}getMapKey(){return`${this._id}|${this.instance}`}d(){}f(j){return new u(j._id,j._source,j._label,j.type,j.runOptions,j.configurationProperties)}}e.$kI=u;var S;(function(N){N[N.Process=1]="Process",N[N.Terminal=2]="Terminal"})(S||(e.ExecutionEngine=S={})),function(N){N._default=N.Terminal}(S||(e.ExecutionEngine=S={}));var h;(function(N){N[N.V0_1_0=1]="V0_1_0",N[N.V2_0_0=2]="V2_0_0"})(h||(e.JsonSchemaVersion=h={}));class v{constructor(j){this.c=new Map;for(let K=0;K<j.length;K++)this.c.set(j[K].uri.toString(),K)}compare(j,K){const ie=j.getWorkspaceFolder(),ce=K.getWorkspaceFolder();if(ie&&ce){let ye=this.c.get(ie.uri.toString());ye=ye===void 0?0:ye+1;let Se=this.c.get(ce.uri.toString());return Se=Se===void 0?0:Se+1,ye===Se?j._label.localeCompare(K._label):ye-Se}else return!ie&&ce?-1:ie&&!ce?1:0}}e.$lI=v;var g;(function(N){N.DependsOnStarted="dependsOnStarted",N.AcquiredInput="acquiredInput",N.Start="start",N.ProcessStarted="processStarted",N.Active="active",N.Inactive="inactive",N.Changed="changed",N.Terminated="terminated",N.ProcessEnded="processEnded",N.End="end"})(g||(e.TaskEventKind=g={}));var k;(function(N){N.SingleRun="singleRun",N.Background="background"})(k||(e.TaskRunType=k={}));var y;(function(N){N[N.System=0]="System",N[N.User=1]="User",N[N.FolderOpen=2]="FolderOpen",N[N.ConfigurationChange=3]="ConfigurationChange",N[N.Reconnect=4]="Reconnect"})(y||(e.TaskRunSource=y={}));var C;(function(N){function j($e){return{taskId:$e._id,taskName:$e.configurationProperties.name,runType:$e.configurationProperties.isBackground?"background":"singleRun",group:$e.configurationProperties.group,__task:$e}}function K($e,Te,ae){return{...j($e),kind:"start",terminalId:Te,resolvedVariables:ae}}N.start=K;function ie($e,Te,ae){return{...j($e),kind:"processStarted",terminalId:Te,processId:ae}}N.processStarted=ie;function ce($e,Te,ae){return{...j($e),kind:"processEnded",terminalId:Te,exitCode:ae}}N.processEnded=ce;function ye($e,Te,ae){return{...j($e),kind:"terminated",exitReason:ae,terminalId:Te}}N.terminated=ye;function Se($e,Te,ae){return{...j(Te),kind:$e,terminalId:ae}}N.general=Se;function fe(){return{kind:"changed"}}N.changed=fe})(C||(e.TaskEvent=C={}));var P;(function(N){function j(ie){const ce=Object.keys(ie).sort();let ye="";for(const Se of ce){let fe=ie[Se];fe instanceof Object?fe=j(fe):typeof fe=="string"&&(fe=fe.replace(/,/g,",,")),ye+=Se+","+fe+","}return ye}function K(ie){const ye={_key:j(ie),type:ie.taskType};return Object.assign(ye,ie),ye}N.create=K})(P||(e.KeyedTaskIdentifier=P={}));var W;(function(N){N.AutoDetect="task.autoDetect",N.SaveBeforeRun="task.saveBeforeRun",N.ShowDecorations="task.showDecorations",N.ProblemMatchersNeverPrompt="task.problemMatchers.neverPrompt",N.SlowProviderWarning="task.slowProviderWarning",N.QuickOpenHistory="task.quickOpen.history",N.QuickOpenDetail="task.quickOpen.detail",N.QuickOpenSkip="task.quickOpen.skip",N.QuickOpenShowAll="task.quickOpen.showAll",N.AllowAutomaticTasks="task.allowAutomaticTasks",N.Reconnection="task.reconnection",N.VerboseLogging="task.verboseLogging"})(W||(e.TaskSettingId=W={}));var V;(function(N){N.Tasks="tasks",N.SuppressTaskName="tasks.suppressTaskName",N.Windows="tasks.windows",N.Osx="tasks.osx",N.Linux="tasks.linux",N.ShowOutput="tasks.showOutput",N.IsShellCommand="tasks.isShellCommand",N.ServiceTestSetting="tasks.service.testSetting"})(V||(e.TasksSchemaProperties=V={}));var q;(function(N){function j(K,ie){const ce=w.$bI.get(K.type);if(ce===void 0){const $e=M.$3n(K);return delete $e._key,P.create($e)}const ye=Object.create(null);ye.type=ce.taskType;const Se=new Set;ce.required.forEach($e=>Se.add($e));const fe=ce.properties;for(const $e of Object.keys(fe)){const Te=K[$e];if(Te!=null)ye[$e]=Te;else if(Se.has($e)){const ae=fe[$e];if(ae.default!==void 0)ye[$e]=M.$3n(ae.default);else switch(ae.type){case"boolean":ye[$e]=!1;break;case"number":case"integer":ye[$e]=0;break;case"string":ye[$e]="";break;default:ie.error(I.localize(1,null,JSON.stringify(K,void 0,0),$e));return}}}return P.create(ye)}N.createTaskIdentifier=j})(q||(e.TaskDefinition=q={}))}),define(Ie[242],Pe([1,0,14]),function(le,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$P_b=e.$O_b=void 0;class O{constructor(){this.a=null,this.b=null,this.d=null,this.f=!1,this.g=null,this.h=!1,this.i=null}get[Symbol.toStringTag](){return this.toString()}j(){return this.a||(this.a=new Promise((A,w)=>{this.b=A,this.d=w,this.f&&this.b(this.g),this.h&&this.d(this.i)})),this.a}resolveOk(A){this.f||this.h||(this.f=!0,this.g=A,this.a&&this.b(A))}resolveErr(A){this.f||this.h||(this.h=!0,this.i=A,this.a?this.d(A):(0,I.$1)(A))}then(A,w){return this.j().then(A,w)}catch(A){return this.j().then(void 0,A)}finally(A){return this.j().finally(A)}}e.$O_b=O;class R extends O{constructor(){super(),this.h=!0,this.i=new I.$5}}e.$P_b=R}),define(Ie[35],Pe([1,0]),function(le,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Bw=e.$yw=void 0,e.$zw=R,e.$Aw=M;class I{static{this.count=0}constructor(p){this._proxyIdentifierBrand=void 0,this.sid=p,this.nid=++I.count}}e.$yw=I;const O=[];function R(w){const p=new I(w);return O[p.nid]=p,p}function M(w){return O[w].sid}class A{constructor(p){this.value=p}}e.$Bw=A}),define(Ie[4],Pe([1,0,35]),function(le,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$0M=e.$9M=e.ExtHostTestingResource=e.ISuggestResultDtoField=e.ISuggestDataDtoField=e.$8M=e.CandidatePortSource=e.NotebookEditorRevealType=e.CellOutputKind=e.WebviewMessageArrayBufferViewType=e.WebviewEditorCapabilities=e.TabModelOperationKind=e.TabInputKind=e.TextEditorRevealType=void 0;var O;(function(r){r[r.Default=0]="Default",r[r.InCenter=1]="InCenter",r[r.InCenterIfOutsideViewport=2]="InCenterIfOutsideViewport",r[r.AtTop=3]="AtTop"})(O||(e.TextEditorRevealType=O={}));var R;(function(r){r[r.UnknownInput=0]="UnknownInput",r[r.TextInput=1]="TextInput",r[r.TextDiffInput=2]="TextDiffInput",r[r.TextMergeInput=3]="TextMergeInput",r[r.NotebookInput=4]="NotebookInput",r[r.NotebookDiffInput=5]="NotebookDiffInput",r[r.CustomEditorInput=6]="CustomEditorInput",r[r.WebviewEditorInput=7]="WebviewEditorInput",r[r.TerminalEditorInput=8]="TerminalEditorInput",r[r.InteractiveEditorInput=9]="InteractiveEditorInput",r[r.ChatEditorInput=10]="ChatEditorInput",r[r.MultiDiffEditorInput=11]="MultiDiffEditorInput"})(R||(e.TabInputKind=R={}));var M;(function(r){r[r.TAB_OPEN=0]="TAB_OPEN",r[r.TAB_CLOSE=1]="TAB_CLOSE",r[r.TAB_UPDATE=2]="TAB_UPDATE",r[r.TAB_MOVE=3]="TAB_MOVE"})(M||(e.TabModelOperationKind=M={}));var A;(function(r){r[r.Editable=0]="Editable",r[r.SupportsHotExit=1]="SupportsHotExit"})(A||(e.WebviewEditorCapabilities=A={}));var w;(function(r){r[r.Int8Array=1]="Int8Array",r[r.Uint8Array=2]="Uint8Array",r[r.Uint8ClampedArray=3]="Uint8ClampedArray",r[r.Int16Array=4]="Int16Array",r[r.Uint16Array=5]="Uint16Array",r[r.Int32Array=6]="Int32Array",r[r.Uint32Array=7]="Uint32Array",r[r.Float32Array=8]="Float32Array",r[r.Float64Array=9]="Float64Array",r[r.BigInt64Array=10]="BigInt64Array",r[r.BigUint64Array=11]="BigUint64Array"})(w||(e.WebviewMessageArrayBufferViewType=w={}));var p;(function(r){r[r.Text=1]="Text",r[r.Error=2]="Error",r[r.Rich=3]="Rich"})(p||(e.CellOutputKind=p={}));var E;(function(r){r[r.Default=0]="Default",r[r.InCenter=1]="InCenter",r[r.InCenterIfOutsideViewport=2]="InCenterIfOutsideViewport",r[r.AtTop=3]="AtTop"})(E||(e.NotebookEditorRevealType=E={}));var T;(function(r){r[r.None=0]="None",r[r.Process=1]="Process",r[r.Output=2]="Output"})(T||(e.CandidatePortSource=T={}));class D{static{this.a=0}static mixin(o){return o._id=D.a++,o}}e.$8M=D;var d;(function(r){r.label="a",r.kind="b",r.detail="c",r.documentation="d",r.sortText="e",r.filterText="f",r.preselect="g",r.insertText="h",r.insertTextRules="i",r.range="j",r.commitCharacters="k",r.additionalTextEdits="l",r.kindModifier="m",r.commandIdent="n",r.commandId="o",r.commandArguments="p"})(d||(e.ISuggestDataDtoField=d={}));var b;(function(r){r.defaultRanges="a",r.completions="b",r.isIncomplete="c",r.duration="d"})(b||(e.ISuggestResultDtoField=b={}));var m;(function(r){r[r.Workspace=0]="Workspace",r[r.TextDocument=1]="TextDocument"})(m||(e.ExtHostTestingResource=m={})),e.$9M={MainThreadAuthentication:(0,I.$zw)("MainThreadAuthentication"),MainThreadBulkEdits:(0,I.$zw)("MainThreadBulkEdits"),MainThreadLanguageModels:(0,I.$zw)("MainThreadLanguageModels"),MainThreadChatAgents2:(0,I.$zw)("MainThreadChatAgents2"),MainThreadChatVariables:(0,I.$zw)("MainThreadChatVariables"),MainThreadClipboard:(0,I.$zw)("MainThreadClipboard"),MainThreadCommands:(0,I.$zw)("MainThreadCommands"),MainThreadComments:(0,I.$zw)("MainThreadComments"),MainThreadConfiguration:(0,I.$zw)("MainThreadConfiguration"),MainThreadConsole:(0,I.$zw)("MainThreadConsole"),MainThreadDebugService:(0,I.$zw)("MainThreadDebugService"),MainThreadDecorations:(0,I.$zw)("MainThreadDecorations"),MainThreadDiagnostics:(0,I.$zw)("MainThreadDiagnostics"),MainThreadDialogs:(0,I.$zw)("MainThreadDiaglogs"),MainThreadDocuments:(0,I.$zw)("MainThreadDocuments"),MainThreadDocumentContentProviders:(0,I.$zw)("MainThreadDocumentContentProviders"),MainThreadTextEditors:(0,I.$zw)("MainThreadTextEditors"),MainThreadEditorInsets:(0,I.$zw)("MainThreadEditorInsets"),MainThreadEditorTabs:(0,I.$zw)("MainThreadEditorTabs"),MainThreadErrors:(0,I.$zw)("MainThreadErrors"),MainThreadTreeViews:(0,I.$zw)("MainThreadTreeViews"),MainThreadDownloadService:(0,I.$zw)("MainThreadDownloadService"),MainThreadLanguageFeatures:(0,I.$zw)("MainThreadLanguageFeatures"),MainThreadLanguages:(0,I.$zw)("MainThreadLanguages"),MainThreadLogger:(0,I.$zw)("MainThreadLogger"),MainThreadMessageService:(0,I.$zw)("MainThreadMessageService"),MainThreadOutputService:(0,I.$zw)("MainThreadOutputService"),MainThreadProgress:(0,I.$zw)("MainThreadProgress"),MainThreadQuickDiff:(0,I.$zw)("MainThreadQuickDiff"),MainThreadQuickOpen:(0,I.$zw)("MainThreadQuickOpen"),MainThreadStatusBar:(0,I.$zw)("MainThreadStatusBar"),MainThreadSecretState:(0,I.$zw)("MainThreadSecretState"),MainThreadStorage:(0,I.$zw)("MainThreadStorage"),MainThreadSpeech:(0,I.$zw)("MainThreadSpeechProvider"),MainThreadTelemetry:(0,I.$zw)("MainThreadTelemetry"),MainThreadTerminalService:(0,I.$zw)("MainThreadTerminalService"),MainThreadTerminalShellIntegration:(0,I.$zw)("MainThreadTerminalShellIntegration"),MainThreadWebviews:(0,I.$zw)("MainThreadWebviews"),MainThreadWebviewPanels:(0,I.$zw)("MainThreadWebviewPanels"),MainThreadWebviewViews:(0,I.$zw)("MainThreadWebviewViews"),MainThreadCustomEditors:(0,I.$zw)("MainThreadCustomEditors"),MainThreadUrls:(0,I.$zw)("MainThreadUrls"),MainThreadUriOpeners:(0,I.$zw)("MainThreadUriOpeners"),MainThreadProfileContentHandlers:(0,I.$zw)("MainThreadProfileContentHandlers"),MainThreadWorkspace:(0,I.$zw)("MainThreadWorkspace"),MainThreadFileSystem:(0,I.$zw)("MainThreadFileSystem"),MainThreadFileSystemEventService:(0,I.$zw)("MainThreadFileSystemEventService"),MainThreadExtensionService:(0,I.$zw)("MainThreadExtensionService"),MainThreadSCM:(0,I.$zw)("MainThreadSCM"),MainThreadSearch:(0,I.$zw)("MainThreadSearch"),MainThreadShare:(0,I.$zw)("MainThreadShare"),MainThreadTask:(0,I.$zw)("MainThreadTask"),MainThreadWindow:(0,I.$zw)("MainThreadWindow"),MainThreadLabelService:(0,I.$zw)("MainThreadLabelService"),MainThreadNotebook:(0,I.$zw)("MainThreadNotebook"),MainThreadNotebookDocuments:(0,I.$zw)("MainThreadNotebookDocumentsShape"),MainThreadNotebookEditors:(0,I.$zw)("MainThreadNotebookEditorsShape"),MainThreadNotebookKernels:(0,I.$zw)("MainThreadNotebookKernels"),MainThreadNotebookRenderers:(0,I.$zw)("MainThreadNotebookRenderers"),MainThreadInteractive:(0,I.$zw)("MainThreadInteractive"),MainThreadInlineChat:(0,I.$zw)("MainThreadInlineChatShape"),MainThreadTheming:(0,I.$zw)("MainThreadTheming"),MainThreadTunnelService:(0,I.$zw)("MainThreadTunnelService"),MainThreadManagedSockets:(0,I.$zw)("MainThreadManagedSockets"),MainThreadTimeline:(0,I.$zw)("MainThreadTimeline"),MainThreadTesting:(0,I.$zw)("MainThreadTesting"),MainThreadLocalization:(0,I.$zw)("MainThreadLocalizationShape"),MainThreadAiRelatedInformation:(0,I.$zw)("MainThreadAiRelatedInformation"),MainThreadAiEmbeddingVector:(0,I.$zw)("MainThreadAiEmbeddingVector")},e.$0M={ExtHostCommands:(0,I.$zw)("ExtHostCommands"),ExtHostConfiguration:(0,I.$zw)("ExtHostConfiguration"),ExtHostDiagnostics:(0,I.$zw)("ExtHostDiagnostics"),ExtHostDebugService:(0,I.$zw)("ExtHostDebugService"),ExtHostDecorations:(0,I.$zw)("ExtHostDecorations"),ExtHostDocumentsAndEditors:(0,I.$zw)("ExtHostDocumentsAndEditors"),ExtHostDocuments:(0,I.$zw)("ExtHostDocuments"),ExtHostDocumentContentProviders:(0,I.$zw)("ExtHostDocumentContentProviders"),ExtHostDocumentSaveParticipant:(0,I.$zw)("ExtHostDocumentSaveParticipant"),ExtHostEditors:(0,I.$zw)("ExtHostEditors"),ExtHostTreeViews:(0,I.$zw)("ExtHostTreeViews"),ExtHostFileSystem:(0,I.$zw)("ExtHostFileSystem"),ExtHostFileSystemInfo:(0,I.$zw)("ExtHostFileSystemInfo"),ExtHostFileSystemEventService:(0,I.$zw)("ExtHostFileSystemEventService"),ExtHostLanguages:(0,I.$zw)("ExtHostLanguages"),ExtHostLanguageFeatures:(0,I.$zw)("ExtHostLanguageFeatures"),ExtHostQuickOpen:(0,I.$zw)("ExtHostQuickOpen"),ExtHostQuickDiff:(0,I.$zw)("ExtHostQuickDiff"),ExtHostStatusBar:(0,I.$zw)("ExtHostStatusBar"),ExtHostShare:(0,I.$zw)("ExtHostShare"),ExtHostExtensionService:(0,I.$zw)("ExtHostExtensionService"),ExtHostLogLevelServiceShape:(0,I.$zw)("ExtHostLogLevelServiceShape"),ExtHostTerminalService:(0,I.$zw)("ExtHostTerminalService"),ExtHostTerminalShellIntegration:(0,I.$zw)("ExtHostTerminalShellIntegration"),ExtHostSCM:(0,I.$zw)("ExtHostSCM"),ExtHostSearch:(0,I.$zw)("ExtHostSearch"),ExtHostTask:(0,I.$zw)("ExtHostTask"),ExtHostWorkspace:(0,I.$zw)("ExtHostWorkspace"),ExtHostWindow:(0,I.$zw)("ExtHostWindow"),ExtHostWebviews:(0,I.$zw)("ExtHostWebviews"),ExtHostWebviewPanels:(0,I.$zw)("ExtHostWebviewPanels"),ExtHostCustomEditors:(0,I.$zw)("ExtHostCustomEditors"),ExtHostWebviewViews:(0,I.$zw)("ExtHostWebviewViews"),ExtHostEditorInsets:(0,I.$zw)("ExtHostEditorInsets"),ExtHostEditorTabs:(0,I.$zw)("ExtHostEditorTabs"),ExtHostProgress:(0,I.$zw)("ExtHostProgress"),ExtHostComments:(0,I.$zw)("ExtHostComments"),ExtHostSecretState:(0,I.$zw)("ExtHostSecretState"),ExtHostStorage:(0,I.$zw)("ExtHostStorage"),ExtHostUrls:(0,I.$zw)("ExtHostUrls"),ExtHostUriOpeners:(0,I.$zw)("ExtHostUriOpeners"),ExtHostProfileContentHandlers:(0,I.$zw)("ExtHostProfileContentHandlers"),ExtHostOutputService:(0,I.$zw)("ExtHostOutputService"),ExtHostLabelService:(0,I.$zw)("ExtHostLabelService"),ExtHostNotebook:(0,I.$zw)("ExtHostNotebook"),ExtHostNotebookDocuments:(0,I.$zw)("ExtHostNotebookDocuments"),ExtHostNotebookEditors:(0,I.$zw)("ExtHostNotebookEditors"),ExtHostNotebookKernels:(0,I.$zw)("ExtHostNotebookKernels"),ExtHostNotebookRenderers:(0,I.$zw)("ExtHostNotebookRenderers"),ExtHostNotebookDocumentSaveParticipant:(0,I.$zw)("ExtHostNotebookDocumentSaveParticipant"),ExtHostInteractive:(0,I.$zw)("ExtHostInteractive"),ExtHostInlineChat:(0,I.$zw)("ExtHostInlineChatShape"),ExtHostChatAgents2:(0,I.$zw)("ExtHostChatAgents"),ExtHostChatVariables:(0,I.$zw)("ExtHostChatVariables"),ExtHostChatProvider:(0,I.$zw)("ExtHostChatProvider"),ExtHostSpeech:(0,I.$zw)("ExtHostSpeech"),ExtHostAiRelatedInformation:(0,I.$zw)("ExtHostAiRelatedInformation"),ExtHostAiEmbeddingVector:(0,I.$zw)("ExtHostAiEmbeddingVector"),ExtHostTheming:(0,I.$zw)("ExtHostTheming"),ExtHostTunnelService:(0,I.$zw)("ExtHostTunnelService"),ExtHostManagedSockets:(0,I.$zw)("ExtHostManagedSockets"),ExtHostAuthentication:(0,I.$zw)("ExtHostAuthentication"),ExtHostTimeline:(0,I.$zw)("ExtHostTimeline"),ExtHostTesting:(0,I.$zw)("ExtHostTesting"),ExtHostTelemetry:(0,I.$zw)("ExtHostTelemetry"),ExtHostLocalization:(0,I.$zw)("ExtHostLocalization")}}),define(Ie[80],Pe([1,0,3,12,4,17]),function(le,e,I,O,R,M){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$blc=e.$alc=e.$_kc=void 0,e.$_kc=(0,I.$wi)("IExtHostApiDeprecationService");let A=class{constructor(p,E){this.c=E,this.a=new Set,this.b=p.getProxy(R.$9M.MainThreadTelemetry)}report(p,E,T){const D=this.d(p,E);this.a.has(D)||(this.a.add(D),E.isUnderDevelopment&&this.c.warn(`[Deprecation Warning] '${p}' is deprecated. ${T}`),this.b.$publicLog2("extHostDeprecatedApiUsage",{extensionId:E.identifier.value,apiId:p}))}d(p,E){return`${p}-${E.identifier.value}`}};e.$alc=A,e.$alc=A=Je([We(0,M.$wP),We(1,O.$3j)],A),e.$blc=Object.freeze(new class{report(w,p,E){}})}),define(Ie[243],Pe([1,0,4]),function(le,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$olc=void 0;class O{constructor(M){const A=M.getProxy(I.$9M.MainThreadClipboard);this.value=Object.freeze({readText(){return A.$readText()},writeText(w){return A.$writeText(w)}})}}e.$olc=O}),define(Ie[244],Pe([1,0,25,4,27,17]),function(le,e,I,O,R,M){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$inc=void 0;let A=class{constructor(T,D){this.a=T.getProxy(O.$9M.MainThreadConsole),this.b=D.consoleForward.includeStack,this.c=D.consoleForward.logNative,this.d("info","log"),this.d("log","log"),this.d("warn","warn"),this.d("debug","debug"),this.d("error","error")}d(T,D){const d=this,b=console[T];Object.defineProperty(console,T,{set:()=>{},get:()=>function(){d.e(T,D,b,arguments)}})}e(T,D,d,b){this.a.$logExtensionHostMessage({type:"__$console",severity:D,arguments:p(b,this.b)}),this.c&&this.f(T,d,b)}};e.$inc=A,e.$inc=A=Je([We(0,M.$wP),We(1,R.$MP)],A);const w=1e5;function p(E,T){const D=[];if(E.length)for(let d=0;d<E.length;d++){let b=E[d];if(typeof b>"u")b="undefined";else if(b instanceof Error){const m=b;m.stack?b=m.stack:b=m.toString()}D.push(b)}if(T){const d=new Error().stack;d&&D.push({__$stack:d.split(`
`).slice(3).join(`
`)})}try{const d=(0,I.$8n)(D);return d.length>w?"Output omitted for a large object that exceeds the limits":d}catch(d){return`Output omitted for an object that cannot be inspected ('${d.toString()}')`}}}),define(Ie[245],Pe([1,0,2,4,26]),function(le,e,I,O,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$lmc=void 0;class M{constructor(w){this.a=w.getProxy(O.$9M.MainThreadDialogs)}showOpenDialog(w,p){return p?.allowUIResources&&(0,R.$OG)(w,"showLocal"),this.a.$showOpenDialog(p).then(E=>E?E.map(T=>I.URI.revive(T)):void 0)}showSaveDialog(w){return this.a.$showSaveDialog(w).then(p=>p?I.URI.revive(p):void 0)}}e.$lmc=M}),define(Ie[246],Pe([1,0,6,4]),function(le,e,I,O){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Fmc=void 0;class R{constructor(A){this.b=0,this.a=A.getProxy(O.$9M.MainThreadLabelService)}$registerResourceLabelFormatter(A){const w=this.b++;return this.a.$registerResourceLabelFormatter(w,A),(0,I.$Tc)(()=>{this.a.$unregisterResourceLabelFormatter(w)})}}e.$Fmc=R}),define(Ie[81],Pe([1,0,22,13,2,3,12,4,27,17]),function(le,e,I,O,R,M,A,w,p,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$7lc=e.$6lc=void 0;let T=class{constructor(d,b,m){this.f=m,this.d=new Map,this.a=b.getProxy(w.$9M.MainThreadLocalization),this.b=d.environment.appLanguage,this.c=this.b===I.$g}getMessage(d,b){const{message:m,args:r,comment:o}=b;if(this.c)return(0,O.$0e)(m,r??{});let s=m;o&&o.length>0&&(s+=`/${Array.isArray(o)?o.join(""):o}`);const i=this.d.get(d)?.contents[s];return i||this.f.warn(`Using default string since no string found in i18n bundle that has the key: ${s}`),(0,O.$0e)(i??m,r??{})}getBundle(d){return this.d.get(d)?.contents}getBundleUri(d){return this.d.get(d)?.uri}async initializeLocalizedMessages(d){if(this.c||!d.l10n&&!d.isBuiltin||this.d.has(d.identifier.value))return;let b;const m=await this.g(d);if(!m){this.f.error(`No bundle location found for extension ${d.identifier.value}`);return}try{const r=await this.a.$fetchBundleContents(m),o=JSON.parse(r);b=d.isBuiltin?o.contents?.bundle:o}catch(r){this.f.error(`Failed to load translations for ${d.identifier.value} from ${m}: ${r.message}`);return}b&&this.d.set(d.identifier.value,{contents:b,uri:m})}async g(d){if(d.isBuiltin){const b=await this.a.$fetchBuiltInBundleUri(d.identifier.value,this.b);return R.URI.revive(b)}return d.l10n?R.URI.joinPath(d.extensionLocation,d.l10n,`bundle.l10n.${this.b}.json`):void 0}};e.$6lc=T,e.$6lc=T=Je([We(0,p.$MP),We(1,E.$wP),We(2,A.$3j)],T),e.$7lc=(0,M.$wi)("IExtHostLocalizationService")}),define(Ie[247],Pe([1,0,12,4,27,17,2,49]),function(le,e,I,O,R,M,A,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$hnc=void 0;let p=class extends I.$bk{constructor(D,d){super(d.logLevel,d.logsLocation,d.loggers.map(b=>(0,w.$6h)(b))),this.r=D.getProxy(O.$9M.MainThreadLogger)}$setLogLevel(D,d){d?this.setLogLevel(A.URI.revive(d),D):this.setLogLevel(D)}setVisibility(D,d){super.setVisibility(D,d),this.r.$setVisibility(D,d)}s(D,d,b){return new E(this.r,D,d,b)}};e.$hnc=p,e.$hnc=p=Je([We(0,M.$wP),We(1,R.$MP)],p);class E extends I.$9j{constructor(D,d,b,m){super(m?.logLevel==="always"),this.r=D,this.s=d,this.m=!1,this.n=[],this.setLevel(b),this.r.$createLogger(d,m).then(()=>{this.u(this.n),this.m=!0})}g(D,d){const b=[[D,d]];this.m?this.u(b):this.n.push(...b)}u(D){this.r.$log(this.s,D)}flush(){this.r.$flush(this.s)}}}),define(Ie[82],Pe([1,0,4,3,6,17,21]),function(le,e,I,O,R,M,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$9lc=e.$8lc=void 0,e.$8lc=(0,O.$wi)("IExtHostManagedSockets");let w=class{constructor(D){this.b=0,this.c=null,this.d=new Map,this.a=D.getProxy(I.$9M.MainThreadManagedSockets)}setFactory(D,d){for(const b of this.d.values())b.dispose();this.c&&this.a.$unregisterSocketFactory(this.c.socketFactoryId),this.c=new p(D,d),this.a.$registerSocketFactory(this.c.socketFactoryId)}async $openRemoteSocket(D){if(!this.c||this.c.socketFactoryId!==D)throw new Error(`No socket factory with id ${D}`);const d=++this.b,b=await this.c.makeConnection(),m=new R.$Uc;return this.d.set(d,new E(d,b,m)),m.add((0,R.$Tc)(()=>this.d.delete(d))),m.add(b.onDidEnd(()=>{this.a.$onDidManagedSocketEnd(d),m.dispose()})),m.add(b.onDidClose(r=>{this.a.$onDidManagedSocketClose(d,r?.stack??r?.message),m.dispose()})),m.add(b.onDidReceiveMessage(r=>this.a.$onDidManagedSocketHaveData(d,A.$Ge.wrap(r)))),d}$remoteSocketWrite(D,d){this.d.get(D)?.actual.send(d.buffer)}$remoteSocketEnd(D){const d=this.d.get(D);d&&(d.actual.end(),d.dispose())}async $remoteSocketDrain(D){await this.d.get(D)?.actual.drain?.()}};e.$9lc=w,e.$9lc=w=Je([We(0,M.$wP)],w);class p{constructor(D,d){this.socketFactoryId=D,this.makeConnection=d}}class E extends R.$Vc{constructor(D,d,b){super(),this.socketId=D,this.actual=d,this.B(b)}}}),define(Ie[248],Pe([1,0,4,12,26]),function(le,e,I,O,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Hmc=void 0;function M(w){return w&&w.title}let A=class{constructor(p,E){this.b=E,this.a=p.getProxy(I.$9M.MainThreadMessageService)}showMessage(p,E,T,D,d){const b={source:{identifier:p.identifier,label:p.displayName||p.name}};let m;typeof D=="string"||M(D)?m=[D,...d]:(b.modal=D?.modal,b.useCustom=D?.useCustom,b.detail=D?.detail,m=d),b.useCustom&&(0,R.$OG)(p,"resolvers");const r=[];let o=!1;for(let s=0;s<m.length;s++){const i=m[s];if(typeof i=="string")r.push({title:i,handle:s,isCloseAffordance:!1});else if(typeof i=="object"){const{title:n,isCloseAffordance:c}=i;r.push({title:n,isCloseAffordance:!!c,handle:s}),c&&(o?this.b.warn(`[${p.identifier}] Only one message item can have 'isCloseAffordance':`,i):o=!0)}else this.b.warn(`[${p.identifier}] Invalid message item:`,i)}return this.a.$showMessage(E,T,b,r).then(s=>{if(typeof s=="number")return m[s]})}};e.$Hmc=A,e.$Hmc=A=Je([We(1,O.$3j)],A)}),define(Ie[249],Pe([1,0,6,15,2,26,4]),function(le,e,I,O,R,M,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Qmc=void 0;class w{constructor(E){this.b=new Map,this.a=E.getProxy(A.$9M.MainThreadProfileContentHandlers)}registerProfileContentHandler(E,T,D){if((0,M.$OG)(E,"profileContentHandlers"),this.b.has(T))throw new Error(`Handler with id '${T}' already registered`);return this.b.set(T,D),this.a.$registerProfileContentHandler(T,D.name,D.description,E.identifier.value),(0,I.$Tc)(()=>{this.b.delete(T),this.a.$unregisterProfileContentHandler(T)})}async $saveProfile(E,T,D,d){const b=this.b.get(E);if(!b)throw new Error(`Unknown handler with id: ${E}`);return b.saveProfile(T,D,d)}async $readProfile(E,T,D){const d=this.b.get(E);if(!d)throw new Error(`Unknown handler with id: ${E}`);return d.readProfile((0,O.$9f)(T)?T:R.URI.revive(T),D)}}e.$Qmc=w}),define(Ie[83],Pe([1,0,4,5,3]),function(le,e,I,O,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$4lc=e.$3lc=void 0;class M{constructor(w){this.b=new O.$ee,this.onDidChangePassword=this.b.event,this.a=w.getProxy(I.$9M.MainThreadSecretState)}async $onDidChangePassword(w){this.b.fire(w)}get(w,p){return this.a.$getPassword(w,p)}store(w,p,E){return this.a.$setPassword(w,p,E)}delete(w,p){return this.a.$deletePassword(w,p)}}e.$3lc=M,e.$4lc=(0,R.$wi)("IExtHostSecretState")}),define(Ie[250],Pe([1,0,24,6,4]),function(le,e,I,O,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Xmc=void 0;class M{static{this.a=1}constructor(w){this.c=new Map,this.d=new Map,this.b=w.getProxy(R.$9M.MainThreadSpeech)}async $createSpeechToTextSession(w,p,E){const T=this.c.get(w);if(!T)return;const D=new O.$Uc,d=new I.$pe;this.d.set(p,d);const b=D.add(T.provideSpeechToTextSession(d.token,E?{language:E}:void 0));D.add(b.onDidChange(m=>{d.token.isCancellationRequested||this.b.$emitSpeechToTextEvent(p,m)})),D.add(d.token.onCancellationRequested(()=>D.dispose()))}async $cancelSpeechToTextSession(w){this.d.get(w)?.dispose(!0),this.d.delete(w)}async $createKeywordRecognitionSession(w,p){const E=this.c.get(w);if(!E)return;const T=new O.$Uc,D=new I.$pe;this.d.set(p,D);const d=T.add(E.provideKeywordRecognitionSession(D.token));T.add(d.onDidChange(b=>{D.token.isCancellationRequested||this.b.$emitKeywordRecognitionEvent(p,b)})),T.add(D.token.onCancellationRequested(()=>T.dispose()))}async $cancelKeywordRecognitionSession(w){this.d.get(w)?.dispose(!0),this.d.delete(w)}registerProvider(w,p,E){const T=M.a++;return this.c.set(T,E),this.b.$registerProvider(T,p,{extension:w,displayName:w.value}),(0,O.$Tc)(()=>{this.b.$unregisterProvider(T),this.c.delete(T)})}}e.$Xmc=M}),define(Ie[84],Pe([1,0,4,5,3]),function(le,e,I,O,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Tlc=e.$Slc=void 0;class M{constructor(w,p){this.c=p,this.b=new O.$ee,this.onDidChangeStorage=this.b.event,this.a=w.getProxy(I.$9M.MainThreadStorage)}registerExtensionStorageKeysToSync(w,p){this.a.$registerExtensionStorageKeysToSync(w,p)}async initializeExtensionStorage(w,p,E){const T=await this.a.$initializeExtensionStorage(w,p);let D;return T&&(D=this.d(w,p,T)),D||E}setValue(w,p,E){return this.a.$setValue(w,p,E)}$acceptValue(w,p,E){const T=this.d(w,p,E);T&&this.b.fire({shared:w,key:p,value:T})}d(w,p,E){try{return JSON.parse(E)}catch(T){this.c.error(`[extHostStorage] unexpected error parsing storage contents (extensionId: ${p}, global: ${w}): ${T}`)}}}e.$Slc=M,e.$Tlc=(0,R.$wi)("IExtHostStorage")}),define(Ie[251],Pe([1,0,6,16,2,4]),function(le,e,I,O,R,M){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$bnc=void 0;class A{static{this.a=new Set([O.Schemas.http,O.Schemas.https])}constructor(p){this.c=new Map,this.b=p.getProxy(M.$9M.MainThreadUriOpeners)}registerExternalUriOpener(p,E,T,D){if(this.c.has(E))throw new Error(`Opener with id '${E}' already registered`);const d=D.schemes.find(b=>!A.a.has(b));if(d)throw new Error(`Scheme '${d}' is not supported. Only http and https are currently supported.`);return this.c.set(E,T),this.b.$registerUriOpener(E,D.schemes,p,D.label),(0,I.$Tc)(()=>{this.c.delete(E),this.b.$unregisterUriOpener(E)})}async $canOpenUri(p,E,T){const D=this.c.get(p);if(!D)throw new Error(`Unknown opener with id: ${p}`);const d=R.URI.revive(E);return D.canOpenExternalUri(d,T)}async $openUri(p,E,T){const D=this.c.get(p);if(!D)throw new Error(`Unknown opener id: '${p}'`);return D.openExternalUri(R.URI.revive(E.resolvedUri),{sourceUri:R.URI.revive(E.sourceUri)},T)}}e.$bnc=A}),define(Ie[252],Pe([1,0,4,2,6,14,20]),function(le,e,I,O,R,M,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$cnc=void 0;class w{static{this.a=0}constructor(E){this.c=new A.$Sm,this.d=new Map,this.b=E.getProxy(I.$9M.MainThreadUrls)}registerUriHandler(E,T){const D=E.identifier;if(this.c.has(D))throw new Error(`Protocol handler already registered for extension ${D}`);const d=w.a++;return this.c.add(D),this.d.set(d,T),this.b.$registerUriHandler(d,D,E.displayName||E.name),(0,R.$Tc)(()=>{this.c.delete(D),this.d.delete(d),this.b.$unregisterUriHandler(d)})}$handleExternalUri(E,T){const D=this.d.get(E);if(!D)return Promise.resolve(void 0);try{D.handleUri(O.URI.revive(T))}catch(d){(0,M.$1)(d)}return Promise.resolve(void 0)}async createAppUri(E){return O.URI.revive(await this.b.$createAppUri(E))}}e.$cnc=w}),define(Ie[64],Pe([1,0,5,6,16,25,2,197,221,78,4]),function(le,e,I,O,R,M,A,w,p,E,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Flc=e.$Dlc=void 0,e.$Elc=d,e.$Glc=r,e.$Hlc=o;class D{#e;#t;#i;#n;#s;#r;#a;#o;#c;#u;#l;#d;constructor(c,l,t,f,a,$,u){this.#a="",this.#c=!1,this.#u=!1,this._onMessageEmitter=new I.$ee,this.onDidReceiveMessage=this._onMessageEmitter.event,this.#h=new I.$ee,this._onDidDispose=this.#h.event,this.#e=c,this.#t=l,this.#o=t,this.#n=f,this.#s=a,this.#r=$,this.#l=d($),this.#d=b($),this.#i=u}#h;dispose(){this.#c=!0,this.#h.fire(),this.#h.dispose(),this._onMessageEmitter.dispose()}asWebviewUri(c){return this.#u=!0,(0,E.$RAb)(c,this.#n)}get cspSource(){const c=this.#r.extensionLocation;if(c.scheme===R.Schemas.https||c.scheme===R.Schemas.http){let l=c.toString();return l.endsWith("/")||(l+="/"),l+" "+E.$QAb}return E.$QAb}get html(){return this.a(),this.#a}set html(c){this.a(),this.#a!==c&&(this.#a=c,this.#d&&!this.#u&&/(["'])vscode-resource:([^\s'"]+?)(["'])/i.test(c)&&(this.#u=!0,this.#i.report("Webview vscode-resource: uris",this.#r,"Please migrate to use the 'webview.asWebviewUri' api instead: https://aka.ms/vscode-webview-use-aswebviewuri")),this.#t.$setHtml(this.#e,this.b(c)))}get options(){return this.a(),this.#o}set options(c){this.a(),M.$7n(this.#o,c)||this.#t.$setOptions(this.#e,o(this.#r,this.#s,c)),this.#o=c}async postMessage(c){if(this.#c)return!1;const l=(0,p.$zrb)(c,{serializeBuffersForPostMessage:this.#l});return this.#t.$postMessage(this.#e,l.message,...l.buffers)}a(){if(this.#c)throw new Error("Webview is disposed")}b(c){if(!this.#d)return c;const l=this.#r.extensionLocation?.scheme===R.Schemas.vscodeRemote,t=this.#r.extensionLocation.scheme===R.Schemas.vscodeRemote?this.#r.extensionLocation.authority:void 0;return c.replace(/(["'])(?:vscode-resource):(\/\/([^\s\/'"]+?)(?=\/))?([^\s'"]+?)(["'])/gi,(f,a,$,u,S,h)=>{const v=A.URI.from({scheme:u||"file",path:decodeURIComponent(S)}),g=(0,E.$RAb)(v,{isRemote:l,authority:t}).toString();return`${a}${g}${h}`}).replace(/(["'])(?:vscode-webview-resource):(\/\/[^\s\/'"]+\/([^\s\/'"]+?)(?=\/))?([^\s'"]+?)(["'])/gi,(f,a,$,u,S,h)=>{const v=A.URI.from({scheme:u||"file",path:decodeURIComponent(S)}),g=(0,E.$RAb)(v,{isRemote:l,authority:t}).toString();return`${a}${g}${h}`})}}e.$Dlc=D;function d(n){try{const c=(0,w.$Ip)((0,w.$Hp)(n.engines.vscode));return!!c&&c.majorBase>=1&&c.minorBase>=57}catch{return!1}}function b(n){try{const c=(0,w.$Ip)((0,w.$Hp)(n.engines.vscode));return c?c.majorBase<1||c.majorBase===1&&c.minorBase<60:!1}catch{return!1}}class m extends O.$Vc{constructor(c,l,t,f,a){super(),this.c=l,this.f=t,this.g=f,this.h=a,this.b=new Map,this.a=c.getProxy(T.$9M.MainThreadWebviews)}dispose(){super.dispose();for(const c of this.b.values())c.dispose();this.b.clear()}$onMessage(c,l,t){const f=this.j(c);if(f){const{message:a}=(0,p.$Arb)(l,t.value);f._onMessageEmitter.fire(a)}}$onMissingCsp(c,l){this.g.warn(`${l} created a webview without a content security policy: https://aka.ms/vscode-webview-missing-csp`)}createNewWebview(c,l,t){const f=new D(c,this.a,s(l),this.c,this.f,t,this.h);this.b.set(c,f);const a=f._onDidDispose(()=>{a.dispose(),this.deleteWebview(c)});return f}deleteWebview(c){this.b.delete(c)}j(c){return this.b.get(c)}}e.$Flc=m;function r(n){return{id:n.identifier,location:n.extensionLocation}}function o(n,c,l){return{enableCommandUris:l.enableCommandUris,enableScripts:l.enableScripts,enableForms:l.enableForms,portMapping:l.portMapping,localResourceRoots:l.localResourceRoots||i(n,c)}}function s(n){return{enableCommandUris:n.enableCommandUris,enableScripts:n.enableScripts,enableForms:n.enableForms,portMapping:n.portMapping,localResourceRoots:n.localResourceRoots?.map(c=>A.URI.from(c))}}function i(n,c){return[...(c?.getWorkspaceFolders()||[]).map(l=>l.uri),n.extensionLocation]}}),define(Ie[111],Pe([1,0,5,16,13,2,3,17,4]),function(le,e,I,O,R,M,A,w,p){"use strict";var E;Object.defineProperty(e,"__esModule",{value:!0}),e.$fnc=e.$enc=void 0;let T=class{static{E=this}static{this.a={focused:!0,active:!0}}getState(){const d=this.d;return{get focused(){return d.focused},get active(){return d.active}}}constructor(d){this.c=new I.$ee,this.onDidChangeWindowState=this.c.event,this.d=E.a,this.b=d.getProxy(p.$9M.MainThreadWindow),this.b.$getInitialState().then(({isFocused:b,isActive:m})=>{this.onDidChangeWindowProperty("focused",b),this.onDidChangeWindowProperty("active",m)})}$onDidChangeWindowFocus(d){this.onDidChangeWindowProperty("focused",d)}$onDidChangeWindowActive(d){this.onDidChangeWindowProperty("active",d)}onDidChangeWindowProperty(d,b){b!==this.d[d]&&(this.d={...this.d,[d]:b},this.c.fire(this.d))}openUri(d,b){let m;if(typeof d=="string"){m=d;try{d=M.URI.parse(d)}catch{return Promise.reject(`Invalid uri - '${d}'`)}}return(0,R.$8e)(d.scheme)?Promise.reject("Invalid scheme - cannot be empty"):d.scheme===O.Schemas.command?Promise.reject(`Invalid scheme '${d.scheme}'`):this.b.$openUri(d,m,b)}async asExternalUri(d,b){if((0,R.$8e)(d.scheme))return Promise.reject("Invalid scheme - cannot be empty");const m=await this.b.$asExternalUri(d,b);return M.URI.from(m)}};e.$enc=T,e.$enc=T=E=Je([We(0,w.$wP)],T),e.$fnc=(0,A.$wi)("IExtHostWindow")}),define(Ie[253],Pe([1,0,244,27,17]),function(le,e,I,O,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$qpc=void 0;let M=class extends I.$inc{constructor(w,p){super(w,p)}f(w,p,E){p.apply(console,E)}};e.$qpc=M,e.$qpc=M=Je([We(0,R.$wP),We(1,O.$MP)],M)}),define(Ie[254],Pe([1,0,11,21,24,14,5,6,150,242,35]),function(le,e,I,O,R,M,A,w,p,E,T){"use strict";var D;Object.defineProperty(e,"__esModule",{value:!0}),e.$S_b=e.ResponsiveState=e.RequestInitiator=void 0,e.$Q_b=o,e.$R_b=s;function d(y,C){try{return JSON.stringify(y,C)}catch{return"null"}}const b="$$ref$$",m={[b]:-1};class r{constructor(C,P){this.jsonString=C,this.referencedBuffers=P}}function o(y,C=null,P=!1){const W=[];return{jsonString:(P?d:JSON.stringify)(y,(q,N)=>{if(typeof N>"u")return m;if(typeof N=="object"){if(N instanceof O.$Ge){const j=W.push(N)-1;return{[b]:j}}if(C)return C(q,N)}return N}),referencedBuffers:W}}function s(y,C,P){return JSON.parse(y,(W,V)=>{if(V){const q=V[b];if(typeof q=="number")return C[q];if(P&&V.$mid===1)return P.transformIncoming(V)}return V})}function i(y,C){return JSON.stringify(y,C)}function n(y){return y?(C,P)=>P&&P.$mid===1?y.transformOutgoing(P):P:null}var c;(function(y){y[y.LocalSide=0]="LocalSide",y[y.OtherSide=1]="OtherSide"})(c||(e.RequestInitiator=c={}));var l;(function(y){y[y.Responsive=0]="Responsive",y[y.Unresponsive=1]="Unresponsive"})(l||(e.ResponsiveState=l={}));const t=()=>{},f=Symbol.for("rpcProtocol"),a=Symbol.for("rpcProxy");class $ extends w.$Vc{static{D=f}static{this.a=3*1e3}constructor(C,P=null,W=null){super(),this[D]=!0,this.b=this.B(new A.$ee),this.onDidChangeResponsiveState=this.b.event,this.c=C,this.f=P,this.g=W,this.h=n(this.g),this.j=!1,this.m=[],this.s=[];for(let V=0,q=T.$yw.count;V<q;V++)this.m[V]=null,this.s[V]=null;this.t=0,this.u=Object.create(null),this.w={},this.y=0,this.z=0,this.C=0,this.D=this.B(new I.$Ih(()=>this.H(),1e3)),this.c.onMessage(V=>this.L(V))}dispose(){this.j=!0,Object.keys(this.w).forEach(C=>{const P=this.w[C];delete this.w[C],P.resolveErr(M.$6())}),super.dispose()}drain(){return typeof this.c.drain=="function"?this.c.drain():Promise.resolve()}F(C){this.z===0&&(this.C=Date.now()+$.a),this.z++,this.D.isScheduled()||this.D.schedule()}G(C){this.C=Date.now()+$.a,this.z--,this.z===0&&this.D.cancel(),this.I(0)}H(){this.z!==0&&(Date.now()>this.C?this.I(1):this.D.schedule())}I(C){this.y!==C&&(this.y=C,this.b.fire(this.y))}get responsiveState(){return this.y}transformIncomingURIs(C){return this.g?(0,p.$Bn)(C,this.g):C}getProxy(C){const{nid:P,sid:W}=C;return this.s[P]||(this.s[P]=this.J(P,W)),this.s[P]}J(C,P){const W={get:(V,q)=>(typeof q=="string"&&!V[q]&&q.charCodeAt(0)===36&&(V[q]=(...N)=>this.U(C,q,N)),q===a?P:V[q])};return new Proxy(Object.create(null),W)}set(C,P){return this.m[C.nid]=P,P}assertRegistered(C){for(let P=0,W=C.length;P<W;P++){const V=C[P];if(!this.m[V.nid])throw new Error(`Missing proxy instance ${V.sid}`)}}L(C){if(this.j)return;const P=C.byteLength,W=S.read(C,0),V=W.readUInt8(),q=W.readUInt32();switch(V){case 1:case 2:{let{rpcId:N,method:j,args:K}=v.deserializeRequestJSONArgs(W);this.g&&(K=(0,p.$Bn)(K,this.g)),this.M(P,q,N,j,K,V===2);break}case 3:case 4:{let{rpcId:N,method:j,args:K}=v.deserializeRequestMixedArgs(W);this.g&&(K=(0,p.$Bn)(K,this.g)),this.M(P,q,N,j,K,V===4);break}case 5:{this.f?.logIncoming(P,q,0,"ack"),this.G(q);break}case 6:{this.N(P,q);break}case 7:{this.O(P,q,void 0);break}case 9:{let N=v.deserializeReplyOKJSON(W);this.g&&(N=(0,p.$Bn)(N,this.g)),this.O(P,q,N);break}case 10:{const N=v.deserializeReplyOKJSONWithBuffers(W,this.g);this.O(P,q,N);break}case 8:{const N=v.deserializeReplyOKVSBuffer(W);this.O(P,q,N);break}case 11:{let N=v.deserializeReplyErrError(W);this.g&&(N=(0,p.$Bn)(N,this.g)),this.P(P,q,N);break}case 12:{this.P(P,q,void 0);break}default:console.error("received unexpected message"),console.error(C)}}M(C,P,W,V,q,N){this.f?.logIncoming(C,P,1,`receiveRequest ${(0,T.$Aw)(W)}.${V}(`,q);const j=String(P);let K,ie;if(N){const ye=new R.$pe;q.push(ye.token),K=this.Q(W,V,q),ie=()=>ye.cancel()}else K=this.Q(W,V,q),ie=t;this.u[j]=ie;const ce=v.serializeAcknowledged(P);this.f?.logOutgoing(ce.byteLength,P,1,"ack"),this.c.send(ce),K.then(ye=>{delete this.u[j];const Se=v.serializeReplyOK(P,ye,this.h);this.f?.logOutgoing(Se.byteLength,P,1,"reply:",ye),this.c.send(Se)},ye=>{delete this.u[j];const Se=v.serializeReplyErr(P,ye);this.f?.logOutgoing(Se.byteLength,P,1,"replyErr:",ye),this.c.send(Se)})}N(C,P){this.f?.logIncoming(C,P,1,"receiveCancel");const W=String(P);this.u[W]?.()}O(C,P,W){this.f?.logIncoming(C,P,0,"receiveReply:",W);const V=String(P);if(!this.w.hasOwnProperty(V))return;const q=this.w[V];delete this.w[V],q.resolveOk(W)}P(C,P,W){this.f?.logIncoming(C,P,0,"receiveReplyErr:",W);const V=String(P);if(!this.w.hasOwnProperty(V))return;const q=this.w[V];delete this.w[V];let N;W&&(W.$isError?(N=new Error,N.name=W.name,N.message=W.message,N.stack=W.stack):N=W),q.resolveErr(N)}Q(C,P,W){try{return Promise.resolve(this.S(C,P,W))}catch(V){return Promise.reject(V)}}S(C,P,W){const V=this.m[C];if(!V)throw new Error("Unknown actor "+(0,T.$Aw)(C));const q=V[P];if(typeof q!="function")throw new Error("Unknown method "+P+" on actor "+(0,T.$Aw)(C));return q.apply(V,W)}U(C,P,W){if(this.j)return new E.$P_b;let V=null;if(W.length>0&&R.CancellationToken.isCancellationToken(W[W.length-1])&&(V=W.pop()),V&&V.isCancellationRequested)return Promise.reject(M.$6());const q=v.serializeRequestArguments(W,this.h),N=++this.t,j=String(N),K=new E.$O_b,ie=new w.$Uc;V&&ie.add(V.onCancellationRequested(()=>{const ye=v.serializeCancel(N);this.f?.logOutgoing(ye.byteLength,N,0,"cancel"),this.c.send(v.serializeCancel(N))})),this.w[j]=new u(K,ie),this.F(N);const ce=v.serializeRequest(N,C,P,q,!!V);return this.f?.logOutgoing(ce.byteLength,N,0,`request: ${(0,T.$Aw)(C)}.${P}(`,W),this.c.send(ce),K}}e.$S_b=$;class u{constructor(C,P){this.a=C,this.b=P}resolveOk(C){this.a.resolveOk(C),this.b.dispose()}resolveErr(C){this.a.resolveErr(C),this.b.dispose()}}class S{static alloc(C,P,W){const V=new S(O.$Ge.alloc(W+1+4),0);return V.writeUInt8(C),V.writeUInt32(P),V}static read(C,P){return new S(C,P)}get buffer(){return this.a}constructor(C,P){this.a=C,this.b=P}static sizeUInt8(){return 1}static{this.sizeUInt32=4}writeUInt8(C){this.a.writeUInt8(C,this.b),this.b+=1}readUInt8(){const C=this.a.readUInt8(this.b);return this.b+=1,C}writeUInt32(C){this.a.writeUInt32BE(C,this.b),this.b+=4}readUInt32(){const C=this.a.readUInt32BE(this.b);return this.b+=4,C}static sizeShortString(C){return 1+C.byteLength}writeShortString(C){this.a.writeUInt8(C.byteLength,this.b),this.b+=1,this.a.set(C,this.b),this.b+=C.byteLength}readShortString(){const C=this.a.readUInt8(this.b);this.b+=1;const W=this.a.slice(this.b,this.b+C).toString();return this.b+=C,W}static sizeLongString(C){return 4+C.byteLength}writeLongString(C){this.a.writeUInt32BE(C.byteLength,this.b),this.b+=4,this.a.set(C,this.b),this.b+=C.byteLength}readLongString(){const C=this.a.readUInt32BE(this.b);this.b+=4;const W=this.a.slice(this.b,this.b+C).toString();return this.b+=C,W}writeBuffer(C){this.a.writeUInt32BE(C.byteLength,this.b),this.b+=4,this.a.set(C,this.b),this.b+=C.byteLength}static sizeVSBuffer(C){return 4+C.byteLength}writeVSBuffer(C){this.a.writeUInt32BE(C.byteLength,this.b),this.b+=4,this.a.set(C,this.b),this.b+=C.byteLength}readVSBuffer(){const C=this.a.readUInt32BE(this.b);this.b+=4;const P=this.a.slice(this.b,this.b+C);return this.b+=C,P}static sizeMixedArray(C){let P=0;P+=1;for(let W=0,V=C.length;W<V;W++){const q=C[W];switch(P+=1,q.type){case 1:P+=this.sizeLongString(q.value);break;case 2:P+=this.sizeVSBuffer(q.value);break;case 3:P+=this.sizeUInt32,P+=this.sizeLongString(q.value);for(let N=0;N<q.buffers.length;++N)P+=this.sizeVSBuffer(q.buffers[N]);break;case 4:break}}return P}writeMixedArray(C){this.a.writeUInt8(C.length,this.b),this.b+=1;for(let P=0,W=C.length;P<W;P++){const V=C[P];switch(V.type){case 1:this.writeUInt8(1),this.writeLongString(V.value);break;case 2:this.writeUInt8(2),this.writeVSBuffer(V.value);break;case 3:this.writeUInt8(3),this.writeUInt32(V.buffers.length),this.writeLongString(V.value);for(let q=0;q<V.buffers.length;++q)this.writeBuffer(V.buffers[q]);break;case 4:this.writeUInt8(4);break}}}readMixedArray(){const C=this.a.readUInt8(this.b);this.b+=1;const P=new Array(C);for(let W=0;W<C;W++)switch(this.readUInt8()){case 1:P[W]=this.readLongString();break;case 2:P[W]=this.readVSBuffer();break;case 3:{const q=this.readUInt32(),N=this.readLongString(),j=[];for(let K=0;K<q;++K)j.push(this.readVSBuffer());P[W]=new T.$Bw(s(N,j,null));break}case 4:P[W]=void 0;break}return P}}var h;(function(y){y[y.Simple=0]="Simple",y[y.Mixed=1]="Mixed"})(h||(h={}));class v{static a(C){for(let P=0,W=C.length;P<W;P++)if(C[P]instanceof O.$Ge||C[P]instanceof T.$Bw||typeof C[P]>"u")return!0;return!1}static serializeRequestArguments(C,P){if(this.a(C)){const W=[];for(let V=0,q=C.length;V<q;V++){const N=C[V];if(N instanceof O.$Ge)W[V]={type:2,value:N};else if(typeof N>"u")W[V]={type:4};else if(N instanceof T.$Bw){const{jsonString:j,referencedBuffers:K}=o(N.value,P);W[V]={type:3,value:O.$Ge.fromString(j),buffers:K}}else W[V]={type:1,value:O.$Ge.fromString(i(N,P))}}return{type:1,args:W}}return{type:0,args:i(C,P)}}static serializeRequest(C,P,W,V,q){switch(V.type){case 0:return this.b(C,P,W,V.args,q);case 1:return this.c(C,P,W,V.args,q)}}static b(C,P,W,V,q){const N=O.$Ge.fromString(W),j=O.$Ge.fromString(V);let K=0;K+=S.sizeUInt8(),K+=S.sizeShortString(N),K+=S.sizeLongString(j);const ie=S.alloc(q?2:1,C,K);return ie.writeUInt8(P),ie.writeShortString(N),ie.writeLongString(j),ie.buffer}static deserializeRequestJSONArgs(C){const P=C.readUInt8(),W=C.readShortString(),V=C.readLongString();return{rpcId:P,method:W,args:JSON.parse(V)}}static c(C,P,W,V,q){const N=O.$Ge.fromString(W);let j=0;j+=S.sizeUInt8(),j+=S.sizeShortString(N),j+=S.sizeMixedArray(V);const K=S.alloc(q?4:3,C,j);return K.writeUInt8(P),K.writeShortString(N),K.writeMixedArray(V),K.buffer}static deserializeRequestMixedArgs(C){const P=C.readUInt8(),W=C.readShortString(),V=C.readMixedArray(),q=new Array(V.length);for(let N=0,j=V.length;N<j;N++){const K=V[N];typeof K=="string"?q[N]=JSON.parse(K):q[N]=K}return{rpcId:P,method:W,args:q}}static serializeAcknowledged(C){return S.alloc(5,C,0).buffer}static serializeCancel(C){return S.alloc(6,C,0).buffer}static serializeReplyOK(C,P,W){if(typeof P>"u")return this.d(C);if(P instanceof O.$Ge)return this.e(C,P);if(P instanceof T.$Bw){const{jsonString:V,referencedBuffers:q}=o(P.value,W,!0);return this.g(C,V,q)}else return this.f(C,d(P,W))}static d(C){return S.alloc(7,C,0).buffer}static e(C,P){let W=0;W+=S.sizeVSBuffer(P);const V=S.alloc(8,C,W);return V.writeVSBuffer(P),V.buffer}static deserializeReplyOKVSBuffer(C){return C.readVSBuffer()}static f(C,P){const W=O.$Ge.fromString(P);let V=0;V+=S.sizeLongString(W);const q=S.alloc(9,C,V);return q.writeLongString(W),q.buffer}static g(C,P,W){const V=O.$Ge.fromString(P);let q=0;q+=S.sizeUInt32,q+=S.sizeLongString(V);for(const j of W)q+=S.sizeVSBuffer(j);const N=S.alloc(10,C,q);N.writeUInt32(W.length),N.writeLongString(V);for(const j of W)N.writeBuffer(j);return N.buffer}static deserializeReplyOKJSON(C){const P=C.readLongString();return JSON.parse(P)}static deserializeReplyOKJSONWithBuffers(C,P){const W=C.readUInt32(),V=C.readLongString(),q=[];for(let N=0;N<W;++N)q.push(C.readVSBuffer());return new T.$Bw(s(V,q,P))}static serializeReplyErr(C,P){const W=P?d(M.$3(P),null):void 0;if(typeof W!="string")return this.h(C);const V=O.$Ge.fromString(W);let q=0;q+=S.sizeLongString(V);const N=S.alloc(11,C,q);return N.writeLongString(V),N.buffer}static deserializeReplyErrError(C){const P=C.readLongString();return JSON.parse(P)}static h(C){return S.alloc(12,C,0).buffer}}var g;(function(y){y[y.RequestJSONArgs=1]="RequestJSONArgs",y[y.RequestJSONArgsWithCancellation=2]="RequestJSONArgsWithCancellation",y[y.RequestMixedArgs=3]="RequestMixedArgs",y[y.RequestMixedArgsWithCancellation=4]="RequestMixedArgsWithCancellation",y[y.Acknowledged=5]="Acknowledged",y[y.Cancel=6]="Cancel",y[y.ReplyOKEmpty=7]="ReplyOKEmpty",y[y.ReplyOKVSBuffer=8]="ReplyOKVSBuffer",y[y.ReplyOKJSON=9]="ReplyOKJSON",y[y.ReplyOKJSONWithBuffers=10]="ReplyOKJSONWithBuffers",y[y.ReplyErrError=11]="ReplyErrError",y[y.ReplyErrEmpty=12]="ReplyErrEmpty"})(g||(g={}));var k;(function(y){y[y.String=1]="String",y[y.VSBuffer=2]="VSBuffer",y[y.SerializedObjectWithBuffers=3]="SerializedObjectWithBuffers",y[y.Undefined=4]="Undefined"})(k||(k={}))}),define(Ie[255],Pe([1,0]),function(le,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$spc=void 0;const I=function(M){const A=w=>{globalThis.removeEventListener("message",A);const p=w.data;Object.defineProperties(globalThis,{postMessage:{value(E,T){p.postMessage(E,T)}},onmessage:{get(){return p.onmessage},set(E){p.onmessage=E}}}),p.addEventListener("message",E=>{globalThis.dispatchEvent(new MessageEvent("message",{data:E.data,ports:E.ports?[...E.ports]:void 0}))}),p.start(),globalThis.Worker=class{constructor(){throw new TypeError("Nested workers from within nested worker are NOT supported.")}},importScripts(M)};globalThis.addEventListener("message",A)}.toString();class O extends EventTarget{constructor(M,A,w){super(),this.onmessage=null,this.onmessageerror=null,this.onerror=null;const p=`((${I})('${A}'))`,E=new Blob([p],{type:"application/javascript"}),T=URL.createObjectURL(E),D=new MessageChannel,d=T,b={type:"_newWorker",id:d,port:D.port2,url:T,options:w};M(b,[D.port2]),this.postMessage=D.port1.postMessage.bind(D.port1),this.terminate=()=>{M({type:"_terminateWorker",id:d}),URL.revokeObjectURL(T),D.port1.close(),D.port2.close()},Object.defineProperties(this,{onmessage:{get(){return D.port1.onmessage},set(m){D.port1.onmessage=m}},onmessageerror:{get(){return D.port1.onmessageerror},set(m){D.port1.onmessageerror=m}}}),D.port1.addEventListener("messageerror",m=>{const r=new MessageEvent("messageerror",{data:m.data});this.dispatchEvent(r)}),D.port1.addEventListener("message",m=>{const r=new MessageEvent("message",{data:m.data});this.dispatchEvent(r)}),D.port1.start()}}e.$spc=O}),define(Ie[256],Pe([1,0,21,28,16,56,3]),function(le,e,I,O,R,M,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$NK=e.$KK=void 0,e.$LK=T,e.$MK=D,e.$KK=(0,A.$wi)("notebookDocumentService");const w=["W","X","Y","Z","a","b","c","d","e","f"],p=new RegExp(`^[${w.join("")}]+`),E=7;function T(b){if(b.scheme!==R.Schemas.vscodeNotebookCell)return;const m=b.fragment.indexOf("s");if(m<0)return;const r=parseInt(b.fragment.substring(0,m).replace(p,""),E),o=(0,I.$Ze)(b.fragment.substring(m+1)).toString();if(!isNaN(r))return{handle:r,notebook:b.with({scheme:o,fragment:null})}}function D(b,m){const r=m.toString(E),s=`${r.length<w.length?w[r.length-1]:"z"}${r}s${(0,I.$1e)(I.$Ge.fromString(b.scheme),!0,!0)}`;return b.with({scheme:R.Schemas.vscodeNotebookCell,fragment:s})}class d{constructor(){this.a=new O.$Bc}getNotebook(m){if(m.scheme===R.Schemas.vscodeNotebookCell){const r=T(m);if(r){const o=this.a.get(r.notebook);if(o)return o}}return this.a.get(m)}addNotebookDocument(m){this.a.set(m.uri,m)}removeNotebookDocument(m){this.a.delete(m.uri)}}e.$NK=d,(0,M.$xs)(e.$KK,d,1)}),define(Ie[85],Pe([1,0,21,37,42,70,16,19,22,31,256]),function(le,e,I,O,R,M,A,w,p,E,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$8K=e.$5K=e.CellStatusbarAlignment=e.$4K=e.NotebookEditorPriority=e.$1K=e.$ZK=e.$XK=e.CellUri=e.CellEditType=e.SelectionStateType=e.NotebookCellsChangeType=e.RendererMessagingSpec=e.NotebookRendererMatch=e.NotebookExecutionState=e.NotebookCellExecutionState=e.NotebookRunState=e.$WK=e.$VK=e.$UK=e.$TK=e.CellKind=e.$SK=e.$RK=e.$QK=void 0,e.$YK=f,e.$2K=$,e.$3K=u,e.$6K=v,e.$7K=k,e.$QK="workbench.editor.notebook",e.$RK="workbench.editor.notebookTextDiffEditor",e.$SK="workbench.editor.interactive";var D;(function(K){K[K.Markup=1]="Markup",K[K.Code=2]="Code"})(D||(e.CellKind=D={})),e.$TK=["application/json","application/javascript","text/html","image/svg+xml",M.$Qs.latex,M.$Qs.markdown,"image/png","image/jpeg",M.$Qs.text],e.$UK=[M.$Qs.latex,M.$Qs.markdown,"application/json","text/html","image/svg+xml","image/png","image/jpeg",M.$Qs.text],e.$VK=new Map([["ms-toolsai.jupyter",new Set(["jupyter-notebook","interactive"])],["ms-toolsai.jupyter-renderers",new Set(["jupyter-notebook","interactive"])]]),e.$WK="_notAvailable";var d;(function(K){K[K.Running=1]="Running",K[K.Idle=2]="Idle"})(d||(e.NotebookRunState=d={}));var b;(function(K){K[K.Unconfirmed=1]="Unconfirmed",K[K.Pending=2]="Pending",K[K.Executing=3]="Executing"})(b||(e.NotebookCellExecutionState=b={}));var m;(function(K){K[K.Unconfirmed=1]="Unconfirmed",K[K.Pending=2]="Pending",K[K.Executing=3]="Executing"})(m||(e.NotebookExecutionState=m={}));var r;(function(K){K[K.WithHardKernelDependency=0]="WithHardKernelDependency",K[K.WithOptionalKernelDependency=1]="WithOptionalKernelDependency",K[K.Pure=2]="Pure",K[K.Never=3]="Never"})(r||(e.NotebookRendererMatch=r={}));var o;(function(K){K.Always="always",K.Never="never",K.Optional="optional"})(o||(e.RendererMessagingSpec=o={}));var s;(function(K){K[K.ModelChange=1]="ModelChange",K[K.Move=2]="Move",K[K.ChangeCellLanguage=5]="ChangeCellLanguage",K[K.Initialize=6]="Initialize",K[K.ChangeCellMetadata=7]="ChangeCellMetadata",K[K.Output=8]="Output",K[K.OutputItem=9]="OutputItem",K[K.ChangeCellContent=10]="ChangeCellContent",K[K.ChangeDocumentMetadata=11]="ChangeDocumentMetadata",K[K.ChangeCellInternalMetadata=12]="ChangeCellInternalMetadata",K[K.ChangeCellMime=13]="ChangeCellMime",K[K.Unknown=100]="Unknown"})(s||(e.NotebookCellsChangeType=s={}));var i;(function(K){K[K.Handle=0]="Handle",K[K.Index=1]="Index"})(i||(e.SelectionStateType=i={}));var n;(function(K){K[K.Replace=1]="Replace",K[K.Output=2]="Output",K[K.Metadata=3]="Metadata",K[K.CellLanguage=4]="CellLanguage",K[K.DocumentMetadata=5]="DocumentMetadata",K[K.Move=6]="Move",K[K.OutputItems=7]="OutputItems",K[K.PartialMetadata=8]="PartialMetadata",K[K.PartialInternalMetadata=9]="PartialInternalMetadata"})(n||(e.CellEditType=n={}));var c;(function(K){K.scheme=A.Schemas.vscodeNotebookCell;function ie(Te,ae){return(0,T.$MK)(Te,ae)}K.generate=ie;function ce(Te){return(0,T.$LK)(Te)}K.parse=ce;function ye(Te,ae){return Te.with({scheme:A.Schemas.vscodeNotebookCellOutput,fragment:`op${ae??""},${Te.scheme!==A.Schemas.file?Te.scheme:""}`})}K.generateCellOutputUri=ye;function Se(Te){if(Te.scheme!==A.Schemas.vscodeNotebookCellOutput)return;const ae=/^op([0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12})?\,(.*)$/i.exec(Te.fragment);if(!ae)return;const Ne=ae[1]&&ae[1]!==""?ae[1]:void 0,ne=ae[2];return{outputId:Ne,notebook:Te.with({scheme:ne||A.Schemas.file,fragment:null})}}K.parseCellOutputUri=Se;function fe(Te,ae,Ne){return K.generate(Te,ae).with({scheme:Ne})}K.generateCellPropertyUri=fe;function $e(Te,ae){if(Te.scheme===ae)return K.parse(Te.with({scheme:K.scheme}))}K.parseCellPropertyUri=$e})(c||(e.CellUri=c={}));const l=K=>p.$i?K.replace(/\//g,"\\"):K;class t{constructor(ie=[],ce=e.$TK){this.e=ce,this.d=[...new Set(ie)].map(ye=>({pattern:ye,matches:O.$qk(l(ye))}))}sort(ie){const ce=new Map(R.Iterable.map(ie,Se=>[Se,l(Se)]));let ye=[];for(const{matches:Se}of this.d)for(const[fe,$e]of ce)if(Se($e)){ye.push(fe),ce.delete(fe);break}return ce.size&&(ye=ye.concat([...ce.keys()].sort((Se,fe)=>this.e.indexOf(Se)-this.e.indexOf(fe)))),ye}prioritize(ie,ce){const ye=this.f(ie);if(ye===-1){this.d.unshift({pattern:ie,matches:O.$qk(l(ie))});return}const Se=new Set(ce.map($e=>this.f($e,ye)));Se.delete(-1);const fe=Array.from(Se).sort();this.d.splice(ye+1,0,...fe.map($e=>this.d[$e]));for(let $e=fe.length-1;$e>=0;$e--)this.d.splice(fe[$e],1)}toArray(){return this.d.map(ie=>ie.pattern)}f(ie,ce=this.d.length){const ye=l(ie);for(let Se=0;Se<ce;Se++)if(this.d[Se].matches(ye))return Se;return-1}}e.$XK=t;function f(K,ie,ce,ye=(Se,fe)=>Se===fe){const Se=[];function fe(ae,Ne,ne){if(Ne===0&&ne.length===0)return;const z=Se[Se.length-1];z&&z.start+z.deleteCount===ae?(z.deleteCount+=Ne,z.toInsert.push(...ne)):Se.push({start:ae,deleteCount:Ne,toInsert:ne})}let $e=0,Te=0;for(;;){if($e===K.length){fe($e,0,ie.slice(Te));break}if(Te===ie.length){fe($e,K.length-$e,[]);break}const ae=K[$e],Ne=ie[Te];if(ye(ae,Ne)){$e+=1,Te+=1;continue}ce(Ne)?(fe($e,1,[]),$e+=1):(fe($e,0,[Ne]),Te+=1)}return Se}e.$ZK=new E.$Nj("notebookEditorCursorAtBoundary","none"),e.$1K=new E.$Nj("notebookEditorCursorAtLineBoundary","none");var a;(function(K){K.default="default",K.option="option"})(a||(e.NotebookEditorPriority=a={}));function $(K){const ie=K;return!!((typeof ie.include=="string"||O.$rk(ie.include))&&(typeof ie.exclude=="string"||O.$rk(ie.exclude)))}function u(K,ie,ce){if(Array.isArray(K.viewType)&&K.viewType.indexOf(ie)>=0||K.viewType===ie)return!0;if(K.filenamePattern){const ye=$(K.filenamePattern)?K.filenamePattern.include:K.filenamePattern,Se=$(K.filenamePattern)?K.filenamePattern.exclude:void 0;if(O.$pk(ye,(0,w.$oc)(ce.fsPath).toLowerCase()))return!(Se&&O.$pk(Se,(0,w.$oc)(ce.fsPath).toLowerCase()))}return!1}e.$4K={displayOrder:"notebook.displayOrder",cellToolbarLocation:"notebook.cellToolbarLocation",cellToolbarVisibility:"notebook.cellToolbarVisibility",showCellStatusBar:"notebook.showCellStatusBar",textDiffEditorPreview:"notebook.diff.enablePreview",diffOverviewRuler:"notebook.diff.overviewRuler",experimentalInsertToolbarAlignment:"notebook.experimental.insertToolbarAlignment",compactView:"notebook.compactView",focusIndicator:"notebook.cellFocusIndicator",insertToolbarLocation:"notebook.insertToolbarLocation",globalToolbar:"notebook.globalToolbar",stickyScrollEnabled:"notebook.stickyScroll.enabled",stickyScrollMode:"notebook.stickyScroll.mode",undoRedoPerCell:"notebook.undoRedoPerCell",consolidatedOutputButton:"notebook.consolidatedOutputButton",showFoldingControls:"notebook.showFoldingControls",dragAndDropEnabled:"notebook.dragAndDropEnabled",cellEditorOptionsCustomizations:"notebook.editorOptionsCustomizations",consolidatedRunButton:"notebook.consolidatedRunButton",openGettingStarted:"notebook.experimental.openGettingStarted",globalToolbarShowLabel:"notebook.globalToolbarShowLabel",markupFontSize:"notebook.markup.fontSize",interactiveWindowCollapseCodeCells:"interactiveWindow.collapseCellInputCode",outputScrollingDeprecated:"notebook.experimental.outputScrolling",outputScrolling:"notebook.output.scrolling",textOutputLineLimit:"notebook.output.textLineLimit",LinkifyOutputFilePaths:"notebook.output.linkifyFilePaths",minimalErrorRendering:"notebook.output.minimalErrorRendering",formatOnSave:"notebook.formatOnSave.enabled",insertFinalNewline:"notebook.insertFinalNewline",formatOnCellExecution:"notebook.formatOnCellExecution",codeActionsOnSave:"notebook.codeActionsOnSave",outputWordWrap:"notebook.output.wordWrap",outputLineHeightDeprecated:"notebook.outputLineHeight",outputLineHeight:"notebook.output.lineHeight",outputFontSizeDeprecated:"notebook.outputFontSize",outputFontSize:"notebook.output.fontSize",outputFontFamilyDeprecated:"notebook.outputFontFamily",outputFontFamily:"notebook.output.fontFamily",findScope:"notebook.find.scope",logging:"notebook.logging",confirmDeleteRunningCell:"notebook.confirmDeleteRunningCell",remoteSaving:"notebook.experimental.remoteSave",gotoSymbolsAllSymbols:"notebook.gotoSymbols.showAllSymbols",outlineShowMarkdownHeadersOnly:"notebook.outline.showMarkdownHeadersOnly",outlineShowCodeCells:"notebook.outline.showCodeCells",outlineShowCodeCellSymbols:"notebook.outline.showCodeCellSymbols",breadcrumbsShowCodeCells:"notebook.breadcrumbs.showCodeCells",scrollToRevealCell:"notebook.scrolling.revealNextCellOnExecute",cellChat:"notebook.experimental.cellChat",cellGenerate:"notebook.experimental.generate",notebookVariablesView:"notebook.experimental.variablesView",InteractiveWindowPromptToSave:"interactiveWindow.promptToSaveOnClose",cellFailureDiagnostics:"notebook.cellFailureDiagnostics",outputBackupSizeLimit:"notebook.backup.sizeLimit"};var S;(function(K){K[K.Left=1]="Left",K[K.Right=2]="Right"})(S||(e.CellStatusbarAlignment=S={}));class h{static{this.d="notebook/"}static create(ie){return`${h.d}${ie}`}static parse(ie){if(ie.startsWith(h.d))return ie.substring(h.d.length)}}e.$5K=h;function v(K){return["application/vnd.code.notebook.stdout","application/vnd.code.notebook.stderr"].includes(K)}const g=new TextDecoder;function k(K){const ie=[];let ce=!1;for(const $e of K)(ie.length===0||ce)&&(ie.push($e),ce=!0);let ye=P(ie);const Se=I.$Ge.concat(ie.map($e=>I.$Ge.wrap($e))),fe=j(Se);return ye=ye||fe.byteLength!==Se.byteLength,{data:fe,didCompression:ye}}e.$8K="\x1B[A";const y=e.$8K.split("").map(K=>K.charCodeAt(0)),C=10;function P(K){let ie=!1;return K.forEach((ce,ye)=>{if(ye===0||ce.length<e.$8K.length)return;const Se=K[ye-1],fe=ce.subarray(0,e.$8K.length);if(fe[0]===y[0]&&fe[1]===y[1]&&fe[2]===y[2]){const $e=Se.lastIndexOf(C);if($e===-1)return;ie=!0,K[ye-1]=Se.subarray(0,$e),K[ye]=ce.subarray(e.$8K.length)}}),ie}function W(K){let ie=K;do K=ie,ie=K.replace(/[^\n]\x08/gm,"");while(ie.length<K.length);return K}function V(K){for(K=K.replace(/\r+\n/gm,`
`);K.search(/\r[^$]/g)>-1;){const ie=K.match(/^(.*)\r+/m)[1];let ce=K.match(/\r+(.*)$/m)[1];ce=ce+ie.slice(ce.length,ie.length),K=K.replace(/\r+.*$/m,"\r").replace(/^.*\r/m,ce)}return K}const q=8,N=13;function j(K){return!K.buffer.includes(q)&&!K.buffer.includes(N)?K:I.$Ge.fromString(V(W(g.decode(K.buffer))))}}),define(Ie[7],Pe([1,0,18,14,55,28,70,13,15,2,34,20,38,104,85]),function(le,e,I,O,R,M,A,w,p,E,T,D,d,b,m){"use strict";var r,o,s,i,n,c,l,t,f,a,$,u,S,h,v,g,k;Object.defineProperty(e,"__esModule",{value:!0}),e.InlineEditTriggerKind=e.$kP=e.KeywordRecognitionStatus=e.SpeechToTextStatus=e.RelatedInformationType=e.$jP=e.$iP=e.$hP=e.$gP=e.ChatLocation=e.$fP=e.$eP=e.$dP=e.$cP=e.$bP=e.$aP=e.$_O=e.$$O=e.$0O=e.$9O=e.$8O=e.ChatResultFeedbackKind=e.InteractiveEditorResponseFeedbackKind=e.$7O=e.ChatVariableLevel=e.ChatCopyKind=e.InteractiveSessionVoteDirection=e.$6O=e.$5O=e.$4O=e.$3O=e.$2O=e.$1O=e.$ZO=e.$YO=e.$XO=e.$WO=e.$VO=e.$UO=e.PortAutoForwardAction=e.WorkspaceTrustState=e.ExternalUriOpenerPriority=e.$TO=e.$SO=e.$RO=e.$QO=e.$OO=e.$NO=e.$MO=e.$LO=e.TestRunProfileKind=e.TestResultState=e.$KO=e.$JO=e.StandardTokenType=e.ExtensionRuntime=e.ExtensionMode=e.$IO=e.NotebookVariablesRequestKind=e.$HO=e.$GO=e.NotebookControllerAffinity2=e.NotebookControllerAffinity=e.$FO=e.NotebookEditorRevealType=e.NotebookCellStatusBarAlignment=e.NotebookCellExecutionState=e.NotebookCellKind=e.$EO=e.$DO=e.$CO=e.$BO=e.$AO=e.ColorThemeKind=e.$zO=e.$yO=e.ExtensionKind=e.InputBoxValidationSeverity=e.QuickPickItemKind=e.$xO=e.$wO=e.DebugConsoleMode=e.$vO=e.$uO=e.$tO=e.$sO=e.$rO=e.CommentThreadApplicability=e.CommentThreadState=e.CommentState=e.CommentMode=e.CommentThreadCollapsibleState=e.FoldingRangeKind=e.$qO=e.$pO=e.FileChangeType=e.$oO=e.NewSymbolNameTriggerKind=e.NewSymbolNameTag=e.$nO=e.$mO=e.$lO=e.$kO=e.InlineCompletionTriggerKind=e.$jO=e.$iO=e.$hO=e.$gO=e.$fO=e.$eO=e.$dO=e.$cO=e.$bO=e.$aO=e.$_N=e.$0N=e.ConfigurationTarget=e.$9N=e.$8N=e.$7N=e.$6N=e.DocumentPasteTriggerKind=e.$5N=e.$4N=e.$3N=e.$2N=e.$1N=e.$ZN=e.TreeItemCheckboxState=e.TreeItemCollapsibleState=e.$YN=e.ViewBadge=e.ProgressLocation=e.$XN=e.$WN=e.TaskScope=e.ShellQuoting=e.$VN=e.$UN=e.$TN=e.TaskPanelKind=e.TaskRevealKind=e.$SN=e.TerminalLocation=e.$RN=e.$QN=e.$PN=e.TerminalShellExecutionCommandLineConfidence=e.TerminalExitReason=e.SourceControlInputBoxValidationType=e.ColorFormat=e.$ON=e.$NN=e.$MN=e.$LN=e.SyntaxTokenType=e.DecorationRangeBehavior=e.TextDocumentChangeReason=e.TextEditorSelectionChangeKind=e.TextEditorRevealType=e.TextDocumentSaveReason=e.TextEditorLineNumbersStyle=e.StatusBarAlignment=e.ViewColumn=e.PartialAcceptTriggerKind=e.$JN=e.$IN=e.$HN=e.$GN=e.CompletionItemTag=e.CompletionItemKind=e.CompletionTriggerKind=e.$FN=e.$EN=e.InlayHintKind=e.SignatureHelpTriggerKind=e.$DN=e.$CN=e.$BN=e.$AN=e.$zN=e.LanguageStatusSeverity=e.$yN=e.$xN=e.$wN=e.$vN=e.$uN=e.$tN=e.CodeActionTriggerKind=e.$sN=e.$rN=e.SymbolTag=e.SymbolKind=e.$qN=e.$pN=e.DocumentHighlightKind=e.HoverVerbosityAction=e.$oN=e.$nN=e.$mN=e.$lN=e.$kN=e.DiagnosticSeverity=e.DiagnosticTag=e.$jN=e.$iN=e.FileEditType=e.$hN=e.$gN=e.$fN=e.EnvironmentVariableMutatorType=e.EndOfLine=e.$eN=e.$dN=e.$cN=e.$bN=e.$aN=e.$_M=e.$$M=e.TerminalQuickFixType=e.TerminalOutputAnchor=void 0,e.$KN=Vt,e.$$N=ke,e.$PO=vn;function y(B){return Object.assign(B,{apply:function(...te){if(te.length===0)return Reflect.construct(B,[]);{const Ee=te.length===1?[]:te[1];return Reflect.construct(B,Ee,te[0].constructor)}},call:function(...te){if(te.length===0)return Reflect.construct(B,[]);{const[Ee,...Ke]=te;return Reflect.construct(B,Ke,Ee.constructor)}}})}var C;(function(B){B[B.Top=0]="Top",B[B.Bottom=1]="Bottom"})(C||(e.TerminalOutputAnchor=C={}));var P;(function(B){B[B.TerminalCommand=0]="TerminalCommand",B[B.Opener=1]="Opener",B[B.Command=3]="Command"})(P||(e.TerminalQuickFixType=P={}));let W=r=class{static from(...L){let te=L;return new r(function(){if(te){for(const Ee of te)Ee&&typeof Ee.dispose=="function"&&Ee.dispose();te=void 0}})}#e;constructor(L){this.#e=L}dispose(){typeof this.#e=="function"&&(this.#e(),this.#e=void 0)}};e.$$M=W,e.$$M=W=r=Je([y],W);let V=o=class{static Min(...L){if(L.length===0)throw new TypeError;let te=L[0];for(let Ee=1;Ee<L.length;Ee++){const Ke=L[Ee];Ke.isBefore(te)&&(te=Ke)}return te}static Max(...L){if(L.length===0)throw new TypeError;let te=L[0];for(let Ee=1;Ee<L.length;Ee++){const Ke=L[Ee];Ke.isAfter(te)&&(te=Ke)}return te}static isPosition(L){if(!L)return!1;if(L instanceof o)return!0;const{line:te,character:Ee}=L;return typeof te=="number"&&typeof Ee=="number"}static of(L){if(L instanceof o)return L;if(this.isPosition(L))return new o(L.line,L.character);throw new Error("Invalid argument, is NOT a position-like object")}get line(){return this.c}get character(){return this.e}constructor(L,te){if(L<0)throw(0,O.$7)("line must be non-negative");if(te<0)throw(0,O.$7)("character must be non-negative");this.c=L,this.e=te}isBefore(L){return this.c<L.c?!0:L.c<this.c?!1:this.e<L.e}isBeforeOrEqual(L){return this.c<L.c?!0:L.c<this.c?!1:this.e<=L.e}isAfter(L){return!this.isBeforeOrEqual(L)}isAfterOrEqual(L){return!this.isBefore(L)}isEqual(L){return this.c===L.c&&this.e===L.e}compareTo(L){return this.c<L.c?-1:this.c>L.line?1:this.e<L.e?-1:this.e>L.e?1:0}translate(L,te=0){if(L===null||te===null)throw(0,O.$7)();let Ee;return typeof L>"u"?Ee=0:typeof L=="number"?Ee=L:(Ee=typeof L.lineDelta=="number"?L.lineDelta:0,te=typeof L.characterDelta=="number"?L.characterDelta:0),Ee===0&&te===0?this:new o(this.line+Ee,this.character+te)}with(L,te=this.character){if(L===null||te===null)throw(0,O.$7)();let Ee;return typeof L>"u"?Ee=this.line:typeof L=="number"?Ee=L:(Ee=typeof L.line=="number"?L.line:this.line,te=typeof L.character=="number"?L.character:this.character),Ee===this.line&&te===this.character?this:new o(Ee,te)}toJSON(){return{line:this.line,character:this.character}}};e.$_M=V,e.$_M=V=o=Je([y],V);let q=s=class{static isRange(L){return L instanceof s?!0:L?V.isPosition(L.start)&&V.isPosition(L.end):!1}static of(L){if(L instanceof s)return L;if(this.isRange(L))return new s(L.start,L.end);throw new Error("Invalid argument, is NOT a range-like object")}get start(){return this.c}get end(){return this.e}constructor(L,te,Ee,Ke){let Ye,lt;if(typeof L=="number"&&typeof te=="number"&&typeof Ee=="number"&&typeof Ke=="number"?(Ye=new V(L,te),lt=new V(Ee,Ke)):V.isPosition(L)&&V.isPosition(te)&&(Ye=V.of(L),lt=V.of(te)),!Ye||!lt)throw new Error("Invalid arguments");Ye.isBefore(lt)?(this.c=Ye,this.e=lt):(this.c=lt,this.e=Ye)}contains(L){return s.isRange(L)?this.contains(L.start)&&this.contains(L.end):V.isPosition(L)?!(V.of(L).isBefore(this.c)||this.e.isBefore(L)):!1}isEqual(L){return this.c.isEqual(L.c)&&this.e.isEqual(L.e)}intersection(L){const te=V.Max(L.start,this.c),Ee=V.Min(L.end,this.e);if(!te.isAfter(Ee))return new s(te,Ee)}union(L){if(this.contains(L))return this;if(L.contains(this))return L;const te=V.Min(L.start,this.c),Ee=V.Max(L.end,this.end);return new s(te,Ee)}get isEmpty(){return this.c.isEqual(this.e)}get isSingleLine(){return this.c.line===this.e.line}with(L,te=this.end){if(L===null||te===null)throw(0,O.$7)();let Ee;return L?V.isPosition(L)?Ee=L:(Ee=L.start||this.start,te=L.end||this.end):Ee=this.start,Ee.isEqual(this.c)&&te.isEqual(this.end)?this:new s(Ee,te)}toJSON(){return[this.start,this.end]}};e.$aN=q,e.$aN=q=s=Je([y],q);let N=i=class extends q{static isSelection(L){return L instanceof i?!0:L?q.isRange(L)&&V.isPosition(L.anchor)&&V.isPosition(L.active)&&typeof L.isReversed=="boolean":!1}get anchor(){return this.f}get active(){return this.g}constructor(L,te,Ee,Ke){let Ye,lt;if(typeof L=="number"&&typeof te=="number"&&typeof Ee=="number"&&typeof Ke=="number"?(Ye=new V(L,te),lt=new V(Ee,Ke)):V.isPosition(L)&&V.isPosition(te)&&(Ye=V.of(L),lt=V.of(te)),!Ye||!lt)throw new Error("Invalid arguments");super(Ye,lt),this.f=Ye,this.g=lt}get isReversed(){return this.f===this.e}toJSON(){return{start:this.start,end:this.end,active:this.active,anchor:this.anchor}}};e.$bN=N,e.$bN=N=i=Je([y],N);const j=B=>{if(typeof B!="string"||B.length===0||!/^[0-9A-Za-z_\-]+$/.test(B))throw(0,O.$7)("connectionToken")};class K{static isResolvedAuthority(L){return L&&typeof L=="object"&&typeof L.host=="string"&&typeof L.port=="number"&&(L.connectionToken===void 0||typeof L.connectionToken=="string")}constructor(L,te,Ee){if(typeof L!="string"||L.length===0)throw(0,O.$7)("host");if(typeof te!="number"||te===0||Math.round(te)!==te)throw(0,O.$7)("port");typeof Ee<"u"&&j(Ee),this.host=L,this.port=Math.round(te),this.connectionToken=Ee}}e.$cN=K;class ie{static isManagedResolvedAuthority(L){return L&&typeof L=="object"&&typeof L.makeConnection=="function"&&(L.connectionToken===void 0||typeof L.connectionToken=="string")}constructor(L,te){this.makeConnection=L,this.connectionToken=te,typeof te<"u"&&j(te)}}e.$dN=ie;class ce extends Error{static NotAvailable(L,te){return new ce(L,b.RemoteAuthorityResolverErrorCode.NotAvailable,te)}static TemporarilyNotAvailable(L){return new ce(L,b.RemoteAuthorityResolverErrorCode.TemporarilyNotAvailable)}constructor(L,te=b.RemoteAuthorityResolverErrorCode.Unknown,Ee){super(L),this._message=L,this._code=te,this._detail=Ee,Object.setPrototypeOf(this,ce.prototype)}}e.$eN=ce;var ye;(function(B){B[B.LF=1]="LF",B[B.CRLF=2]="CRLF"})(ye||(e.EndOfLine=ye={}));var Se;(function(B){B[B.Replace=1]="Replace",B[B.Append=2]="Append",B[B.Prepend=3]="Prepend"})(Se||(e.EnvironmentVariableMutatorType=Se={}));let fe=n=class{static isTextEdit(L){return L instanceof n?!0:L?q.isRange(L)&&typeof L.newText=="string":!1}static replace(L,te){return new n(L,te)}static insert(L,te){return n.replace(new q(L,L),te)}static delete(L){return n.replace(L,"")}static setEndOfLine(L){const te=new n(new q(new V(0,0),new V(0,0)),"");return te.newEol=L,te}get range(){return this.c}set range(L){if(L&&!q.isRange(L))throw(0,O.$7)("range");this.c=L}get newText(){return this.e||""}set newText(L){if(L&&typeof L!="string")throw(0,O.$7)("newText");this.e=L}get newEol(){return this.f}set newEol(L){if(L&&typeof L!="number")throw(0,O.$7)("newEol");this.f=L}constructor(L,te){this.c=L,this.e=te}toJSON(){return{range:this.range,newText:this.newText,newEol:this.f}}};e.$fN=fe,e.$fN=fe=n=Je([y],fe);let $e=c=class{static isNotebookCellEdit(L){return L instanceof c?!0:L?gi.isNotebookRange(L)&&Array.isArray(L.newCells):!1}static replaceCells(L,te){return new c(L,te)}static insertCells(L,te){return new c(new gi(L,L),te)}static deleteCells(L){return new c(L,[])}static updateCellMetadata(L,te){const Ee=new c(new gi(L,L),[]);return Ee.newCellMetadata=te,Ee}static updateNotebookMetadata(L){const te=new c(new gi(0,0),[]);return te.newNotebookMetadata=L,te}constructor(L,te){this.range=L,this.newCells=te}};e.$gN=$e,e.$gN=$e=c=Je([y],$e);class Te{static isSnippetTextEdit(L){return L instanceof Te?!0:L?q.isRange(L.range)&&ne.isSnippetString(L.snippet):!1}static replace(L,te){return new Te(L,te)}static insert(L,te){return Te.replace(new q(L,L),te)}constructor(L,te){this.range=L,this.snippet=te}}e.$hN=Te;var ae;(function(B){B[B.File=1]="File",B[B.Text=2]="Text",B[B.Cell=3]="Cell",B[B.CellReplace=5]="CellReplace",B[B.Snippet=6]="Snippet"})(ae||(e.FileEditType=ae={}));let Ne=class{constructor(){this.c=[]}_allEntries(){return this.c}renameFile(L,te,Ee,Ke){this.c.push({_type:1,from:L,to:te,options:Ee,metadata:Ke})}createFile(L,te,Ee){this.c.push({_type:1,from:void 0,to:L,options:te,metadata:Ee})}deleteFile(L,te,Ee){this.c.push({_type:1,from:L,to:void 0,options:te,metadata:Ee})}e(L,te,Ee){this.c.push({_type:3,metadata:Ee,uri:L,edit:{editType:5,metadata:te},notebookMetadata:te})}f(L,te,Ee,Ke){const Ye=te.start,lt=te.end;(Ye!==lt||Ee.length>0)&&this.c.push({_type:5,uri:L,index:Ye,count:lt-Ye,cells:Ee,metadata:Ke})}g(L,te,Ee,Ke){this.c.push({_type:3,metadata:Ke,uri:L,edit:{editType:3,index:te,metadata:Ee}})}replace(L,te,Ee,Ke){this.c.push({_type:2,uri:L,edit:new fe(te,Ee),metadata:Ke})}insert(L,te,Ee,Ke){this.replace(L,new q(te,te),Ee,Ke)}delete(L,te,Ee){this.replace(L,te,"",Ee)}has(L){return this.c.some(te=>te._type===2&&te.uri.toString()===L.toString())}set(L,te){if(te)for(const Ee of te){if(!Ee)continue;let Ke,Ye;Array.isArray(Ee)?(Ke=Ee[0],Ye=Ee[1]):Ke=Ee,$e.isNotebookCellEdit(Ke)?Ke.newCellMetadata?this.g(L,Ke.range.start,Ke.newCellMetadata,Ye):Ke.newNotebookMetadata?this.e(L,Ke.newNotebookMetadata,Ye):this.f(L,Ke.range,Ke.newCells,Ye):Te.isSnippetTextEdit(Ke)?this.c.push({_type:6,uri:L,range:Ke.range,edit:Ke.snippet,metadata:Ye}):this.c.push({_type:2,uri:L,edit:Ke,metadata:Ye})}else{for(let Ee=0;Ee<this.c.length;Ee++){const Ke=this.c[Ee];switch(Ke._type){case 2:case 6:case 3:case 5:Ke.uri.toString()===L.toString()&&(this.c[Ee]=void 0);break}}(0,I.$Ib)(this.c)}}get(L){const te=[];for(const Ee of this.c)Ee._type===2&&Ee.uri.toString()===L.toString()&&te.push(Ee.edit);return te}entries(){const L=new M.$Bc;for(const te of this.c)if(te._type===2){let Ee=L.get(te.uri);Ee||(Ee=[te.uri,[]],L.set(te.uri,Ee)),Ee[1].push(te.edit)}return[...L.values()]}get size(){return this.entries().length}toJSON(){return this.entries()}};e.$iN=Ne,e.$iN=Ne=Je([y],Ne);let ne=l=class{static isSnippetString(L){return L instanceof l?!0:L?typeof L.value=="string":!1}static c(L){return L.replace(/\$|}|\\/g,"\\$&")}constructor(L){this.e=1,this.value=L||""}appendText(L){return this.value+=l.c(L),this}appendTabstop(L=this.e++){return this.value+="$",this.value+=L,this}appendPlaceholder(L,te=this.e++){if(typeof L=="function"){const Ee=new l;Ee.e=this.e,L(Ee),this.e=Ee.e,L=Ee.value}else L=l.c(L);return this.value+="${",this.value+=te,this.value+=":",this.value+=L,this.value+="}",this}appendChoice(L,te=this.e++){const Ee=L.map(Ke=>Ke.replaceAll(/[|\\,]/g,"\\$&")).join(",");return this.value+="${",this.value+=te,this.value+="|",this.value+=Ee,this.value+="|}",this}appendVariable(L,te){if(typeof te=="function"){const Ee=new l;Ee.e=this.e,te(Ee),this.e=Ee.e,te=Ee.value}else typeof te=="string"&&(te=te.replace(/\$|}/g,"\\$&"));return this.value+="${",this.value+=L,te&&(this.value+=":",this.value+=te),this.value+="}",this}};e.$jN=ne,e.$jN=ne=l=Je([y],ne);var z;(function(B){B[B.Unnecessary=1]="Unnecessary",B[B.Deprecated=2]="Deprecated"})(z||(e.DiagnosticTag=z={}));var x;(function(B){B[B.Hint=3]="Hint",B[B.Information=2]="Information",B[B.Warning=1]="Warning",B[B.Error=0]="Error"})(x||(e.DiagnosticSeverity=x={}));let be=t=class{static isLocation(L){return L instanceof t?!0:L?q.isRange(L.range)&&E.URI.isUri(L.uri):!1}constructor(L,te){if(this.uri=L,te)if(q.isRange(te))this.range=q.of(te);else if(V.isPosition(te))this.range=new q(te,te);else throw new Error("Illegal argument")}toJSON(){return{uri:this.uri,range:this.range}}};e.$kN=be,e.$kN=be=t=Je([y],be);let Fe=class{static is(L){return L?typeof L.message=="string"&&L.location&&q.isRange(L.location.range)&&E.URI.isUri(L.location.uri):!1}constructor(L,te){this.location=L,this.message=te}static isEqual(L,te){return L===te?!0:!L||!te?!1:L.message===te.message&&L.location.range.isEqual(te.location.range)&&L.location.uri.toString()===te.location.uri.toString()}};e.$lN=Fe,e.$lN=Fe=Je([y],Fe);let De=class{constructor(L,te,Ee=x.Error){if(!q.isRange(L))throw new TypeError("range must be set");if(!te)throw new TypeError("message must be set");this.range=L,this.message=te,this.severity=Ee}toJSON(){return{severity:x[this.severity],message:this.message,range:this.range,source:this.source,code:this.code}}static isEqual(L,te){return L===te?!0:!L||!te?!1:L.message===te.message&&L.severity===te.severity&&L.code===te.code&&L.severity===te.severity&&L.source===te.source&&L.range.isEqual(te.range)&&(0,I.$ub)(L.tags,te.tags)&&(0,I.$ub)(L.relatedInformation,te.relatedInformation,Fe.isEqual)}};e.$mN=De,e.$mN=De=Je([y],De);let we=class{constructor(L,te){if(!L)throw new Error("Illegal argument, contents must be defined");Array.isArray(L)?this.contents=L:this.contents=[L],this.range=te}};e.$nN=we,e.$nN=we=Je([y],we);let ge=class extends we{constructor(L,te,Ee,Ke){super(L,te),this.canIncreaseHover=Ee,this.canDecreaseHover=Ke}};e.$oN=ge,e.$oN=ge=Je([y],ge);var Q;(function(B){B[B.Increase=0]="Increase",B[B.Decrease=1]="Decrease"})(Q||(e.HoverVerbosityAction=Q={}));var Y;(function(B){B[B.Text=0]="Text",B[B.Read=1]="Read",B[B.Write=2]="Write"})(Y||(e.DocumentHighlightKind=Y={}));let he=class{constructor(L,te=Y.Text){this.range=L,this.kind=te}toJSON(){return{range:this.range,kind:Y[this.kind]}}};e.$pN=he,e.$pN=he=Je([y],he);let ue=class{constructor(L,te){this.uri=L,this.highlights=te}toJSON(){return{uri:this.uri,highlights:this.highlights.map(L=>L.toJSON())}}};e.$qN=ue,e.$qN=ue=Je([y],ue);var Me;(function(B){B[B.File=0]="File",B[B.Module=1]="Module",B[B.Namespace=2]="Namespace",B[B.Package=3]="Package",B[B.Class=4]="Class",B[B.Method=5]="Method",B[B.Property=6]="Property",B[B.Field=7]="Field",B[B.Constructor=8]="Constructor",B[B.Enum=9]="Enum",B[B.Interface=10]="Interface",B[B.Function=11]="Function",B[B.Variable=12]="Variable",B[B.Constant=13]="Constant",B[B.String=14]="String",B[B.Number=15]="Number",B[B.Boolean=16]="Boolean",B[B.Array=17]="Array",B[B.Object=18]="Object",B[B.Key=19]="Key",B[B.Null=20]="Null",B[B.EnumMember=21]="EnumMember",B[B.Struct=22]="Struct",B[B.Event=23]="Event",B[B.Operator=24]="Operator",B[B.TypeParameter=25]="TypeParameter"})(Me||(e.SymbolKind=Me={}));var de;(function(B){B[B.Deprecated=1]="Deprecated"})(de||(e.SymbolTag=de={}));let Ce=f=class{static validate(L){if(!L.name)throw new Error("name must not be falsy")}constructor(L,te,Ee,Ke,Ye){this.name=L,this.kind=te,this.containerName=Ye,typeof Ee=="string"&&(this.containerName=Ee),Ke instanceof be?this.location=Ke:Ee instanceof q&&(this.location=new be(Ke,Ee)),f.validate(this)}toJSON(){return{name:this.name,kind:Me[this.kind],location:this.location,containerName:this.containerName}}};e.$rN=Ce,e.$rN=Ce=f=Je([y],Ce);let Re=a=class{static validate(L){if(!L.name)throw new Error("name must not be falsy");if(!L.range.contains(L.selectionRange))throw new Error("selectionRange must be contained in fullRange");L.children?.forEach(a.validate)}constructor(L,te,Ee,Ke,Ye){this.name=L,this.detail=te,this.kind=Ee,this.range=Ke,this.selectionRange=Ye,this.children=[],a.validate(this)}};e.$sN=Re,e.$sN=Re=a=Je([y],Re);var je;(function(B){B[B.Invoke=1]="Invoke",B[B.Automatic=2]="Automatic"})(je||(e.CodeActionTriggerKind=je={}));let U=class{constructor(L,te){this.title=L,this.kind=te}};e.$tN=U,e.$tN=U=Je([y],U);let F=class{static{$=this}static{this.c="."}constructor(L){this.value=L}append(L){return new $(this.value?this.value+$.c+L:L)}intersects(L){return this.contains(L)||L.contains(this)}contains(L){return this.value===L.value||L.value.startsWith(this.value+$.c)}};e.$uN=F,e.$uN=F=$=Je([y],F),F.Empty=new F(""),F.QuickFix=F.Empty.append("quickfix"),F.Refactor=F.Empty.append("refactor"),F.RefactorExtract=F.Refactor.append("extract"),F.RefactorInline=F.Refactor.append("inline"),F.RefactorMove=F.Refactor.append("move"),F.RefactorRewrite=F.Refactor.append("rewrite"),F.Source=F.Empty.append("source"),F.SourceOrganizeImports=F.Source.append("organizeImports"),F.SourceFixAll=F.Source.append("fixAll"),F.Notebook=F.Empty.append("notebook");let G=class{constructor(L,te){if(this.range=L,this.parent=te,te&&!te.range.contains(this.range))throw new Error("Invalid argument: parent must contain this range")}};e.$vN=G,e.$vN=G=Je([y],G);class H{constructor(L,te,Ee,Ke,Ye,lt){this.kind=L,this.name=te,this.detail=Ee,this.uri=Ke,this.range=Ye,this.selectionRange=lt}}e.$wN=H;class ee{constructor(L,te){this.fromRanges=te,this.from=L}}e.$xN=ee;class re{constructor(L,te){this.fromRanges=te,this.to=L}}e.$yN=re;var Oe;(function(B){B[B.Information=0]="Information",B[B.Warning=1]="Warning",B[B.Error=2]="Error"})(Oe||(e.LanguageStatusSeverity=Oe={}));let Be=class{constructor(L,te){this.range=L,this.command=te}get isResolved(){return!!this.command}};e.$zN=Be,e.$zN=Be=Je([y],Be);let Ge=u=class{#e;static isMarkdownString(L){return L instanceof u?!0:L&&L.appendCodeblock&&L.appendMarkdown&&L.appendText&&L.value!==void 0}constructor(L,te=!1){this.#e=new R.$Tk(L,{supportThemeIcons:te})}get value(){return this.#e.value}set value(L){this.#e.value=L}get isTrusted(){return this.#e.isTrusted}set isTrusted(L){this.#e.isTrusted=L}get supportThemeIcons(){return this.#e.supportThemeIcons}set supportThemeIcons(L){this.#e.supportThemeIcons=L}get supportHtml(){return this.#e.supportHtml}set supportHtml(L){this.#e.supportHtml=L}get baseUri(){return this.#e.baseUri}set baseUri(L){this.#e.baseUri=L}appendText(L){return this.#e.appendText(L),this}appendMarkdown(L){return this.#e.appendMarkdown(L),this}appendCodeblock(L,te){return this.#e.appendCodeblock(te??"",L),this}};e.$AN=Ge,e.$AN=Ge=u=Je([y],Ge);let _e=class{constructor(L,te){this.label=L,this.documentation=te}};e.$BN=_e,e.$BN=_e=Je([y],_e);let xe=class{constructor(L,te){this.label=L,this.documentation=te,this.parameters=[]}};e.$CN=xe,e.$CN=xe=Je([y],xe);let et=class{constructor(){this.activeSignature=0,this.activeParameter=0,this.signatures=[]}};e.$DN=et,e.$DN=et=Je([y],et);var tt;(function(B){B[B.Invoke=1]="Invoke",B[B.TriggerCharacter=2]="TriggerCharacter",B[B.ContentChange=3]="ContentChange"})(tt||(e.SignatureHelpTriggerKind=tt={}));var it;(function(B){B[B.Type=1]="Type",B[B.Parameter=2]="Parameter"})(it||(e.InlayHintKind=it={}));let at=class{constructor(L){this.value=L}};e.$EN=at,e.$EN=at=Je([y],at);let gt=class{constructor(L,te,Ee){this.position=L,this.label=te,this.kind=Ee}};e.$FN=gt,e.$FN=gt=Je([y],gt);var Ue;(function(B){B[B.Invoke=0]="Invoke",B[B.TriggerCharacter=1]="TriggerCharacter",B[B.TriggerForIncompleteCompletions=2]="TriggerForIncompleteCompletions"})(Ue||(e.CompletionTriggerKind=Ue={}));var st;(function(B){B[B.Text=0]="Text",B[B.Method=1]="Method",B[B.Function=2]="Function",B[B.Constructor=3]="Constructor",B[B.Field=4]="Field",B[B.Variable=5]="Variable",B[B.Class=6]="Class",B[B.Interface=7]="Interface",B[B.Module=8]="Module",B[B.Property=9]="Property",B[B.Unit=10]="Unit",B[B.Value=11]="Value",B[B.Enum=12]="Enum",B[B.Keyword=13]="Keyword",B[B.Snippet=14]="Snippet",B[B.Color=15]="Color",B[B.File=16]="File",B[B.Reference=17]="Reference",B[B.Folder=18]="Folder",B[B.EnumMember=19]="EnumMember",B[B.Constant=20]="Constant",B[B.Struct=21]="Struct",B[B.Event=22]="Event",B[B.Operator=23]="Operator",B[B.TypeParameter=24]="TypeParameter",B[B.User=25]="User",B[B.Issue=26]="Issue"})(st||(e.CompletionItemKind=st={}));var X;(function(B){B[B.Deprecated=1]="Deprecated"})(X||(e.CompletionItemTag=X={}));let Z=class{constructor(L,te){this.label=L,this.kind=te}toJSON(){return{label:this.label,kind:this.kind&&st[this.kind],detail:this.detail,documentation:this.documentation,sortText:this.sortText,filterText:this.filterText,preselect:this.preselect,insertText:this.insertText,textEdit:this.textEdit}}};e.$GN=Z,e.$GN=Z=Je([y],Z);let me=class{constructor(L=[],te=!1){this.items=L,this.isIncomplete=te}};e.$HN=me,e.$HN=me=Je([y],me);let qe=class{constructor(L,te,Ee){this.insertText=L,this.range=te,this.command=Ee}};e.$IN=qe,e.$IN=qe=Je([y],qe);let ve=class{constructor(L){this.commands=void 0,this.suppressSuggestions=void 0,this.items=L}};e.$JN=ve,e.$JN=ve=Je([y],ve);var ot;(function(B){B[B.Unknown=0]="Unknown",B[B.Word=1]="Word",B[B.Line=2]="Line",B[B.Suggest=3]="Suggest"})(ot||(e.PartialAcceptTriggerKind=ot={}));var dt;(function(B){B[B.Active=-1]="Active",B[B.Beside=-2]="Beside",B[B.One=1]="One",B[B.Two=2]="Two",B[B.Three=3]="Three",B[B.Four=4]="Four",B[B.Five=5]="Five",B[B.Six=6]="Six",B[B.Seven=7]="Seven",B[B.Eight=8]="Eight",B[B.Nine=9]="Nine"})(dt||(e.ViewColumn=dt={}));var Pt;(function(B){B[B.Left=1]="Left",B[B.Right=2]="Right"})(Pt||(e.StatusBarAlignment=Pt={}));function Vt(B,L){return`${D.$Rm.toKey(B)}.${L}`}var Qt;(function(B){B[B.Off=0]="Off",B[B.On=1]="On",B[B.Relative=2]="Relative",B[B.Interval=3]="Interval"})(Qt||(e.TextEditorLineNumbersStyle=Qt={}));var ti;(function(B){B[B.Manual=1]="Manual",B[B.AfterDelay=2]="AfterDelay",B[B.FocusOut=3]="FocusOut"})(ti||(e.TextDocumentSaveReason=ti={}));var Zt;(function(B){B[B.Default=0]="Default",B[B.InCenter=1]="InCenter",B[B.InCenterIfOutsideViewport=2]="InCenterIfOutsideViewport",B[B.AtTop=3]="AtTop"})(Zt||(e.TextEditorRevealType=Zt={}));var Et;(function(B){B[B.Keyboard=1]="Keyboard",B[B.Mouse=2]="Mouse",B[B.Command=3]="Command"})(Et||(e.TextEditorSelectionChangeKind=Et={}));var Xt;(function(B){B[B.Undo=1]="Undo",B[B.Redo=2]="Redo"})(Xt||(e.TextDocumentChangeReason=Xt={}));var Yt;(function(B){B[B.OpenOpen=0]="OpenOpen",B[B.ClosedClosed=1]="ClosedClosed",B[B.OpenClosed=2]="OpenClosed",B[B.ClosedOpen=3]="ClosedOpen"})(Yt||(e.DecorationRangeBehavior=Yt={})),function(B){function L(te){switch(te){case"keyboard":return B.Keyboard;case"mouse":return B.Mouse;case"api":return B.Command}}B.fromValue=L}(Et||(e.TextEditorSelectionChangeKind=Et={}));var Xe;(function(B){B[B.Other=0]="Other",B[B.Comment=1]="Comment",B[B.String=2]="String",B[B.RegEx=3]="RegEx"})(Xe||(e.SyntaxTokenType=Xe={})),function(B){function L(te){switch(te){case B.Other:return"other";case B.Comment:return"comment";case B.String:return"string";case B.RegEx:return"regex"}return"other"}B.toString=L}(Xe||(e.SyntaxTokenType=Xe={}));let oi=class{constructor(L,te){if(te&&!E.URI.isUri(te))throw(0,O.$7)("target");if(!q.isRange(L)||L.isEmpty)throw(0,O.$7)("range");this.range=L,this.target=te}};e.$LN=oi,e.$LN=oi=Je([y],oi);let Ht=class{constructor(L,te,Ee,Ke){this.red=L,this.green=te,this.blue=Ee,this.alpha=Ke}};e.$MN=Ht,e.$MN=Ht=Je([y],Ht);let ht=class{constructor(L,te){if(te&&!(te instanceof Ht))throw(0,O.$7)("color");if(!q.isRange(L)||L.isEmpty)throw(0,O.$7)("range");this.range=L,this.color=te}};e.$NN=ht,e.$NN=ht=Je([y],ht);let $t=class{constructor(L){if(!L||typeof L!="string")throw(0,O.$7)("label");this.label=L}};e.$ON=$t,e.$ON=$t=Je([y],$t);var xt;(function(B){B[B.RGB=0]="RGB",B[B.HEX=1]="HEX",B[B.HSL=2]="HSL"})(xt||(e.ColorFormat=xt={}));var Kt;(function(B){B[B.Error=0]="Error",B[B.Warning=1]="Warning",B[B.Information=2]="Information"})(Kt||(e.SourceControlInputBoxValidationType=Kt={}));var Ft;(function(B){B[B.Unknown=0]="Unknown",B[B.Shutdown=1]="Shutdown",B[B.Process=2]="Process",B[B.User=3]="User",B[B.Extension=4]="Extension"})(Ft||(e.TerminalExitReason=Ft={}));var ft;(function(B){B[B.Low=0]="Low",B[B.Medium=1]="Medium",B[B.High=2]="High"})(ft||(e.TerminalShellExecutionCommandLineConfidence=ft={}));class Bt{constructor(L,te,Ee){if(this.startIndex=L,this.length=te,this.tooltip=Ee,typeof L!="number"||L<0)throw(0,O.$7)("startIndex");if(typeof te!="number"||te<1)throw(0,O.$7)("length");if(Ee!==void 0&&typeof Ee!="string")throw(0,O.$7)("tooltip")}}e.$PN=Bt;class _t{constructor(L){this.uri=L}}e.$QN=_t;class jt{constructor(L){this.terminalCommand=L}}e.$RN=jt;var Qe;(function(B){B[B.Panel=1]="Panel",B[B.Editor=2]="Editor"})(Qe||(e.TerminalLocation=Qe={}));class ui{constructor(L){if(this.options=L,typeof L!="object")throw(0,O.$7)("options")}}e.$SN=ui;var Jt;(function(B){B[B.Always=1]="Always",B[B.Silent=2]="Silent",B[B.Never=3]="Never"})(Jt||(e.TaskRevealKind=Jt={}));var Wt;(function(B){B[B.Shared=1]="Shared",B[B.Dedicated=2]="Dedicated",B[B.New=3]="New"})(Wt||(e.TaskPanelKind=Wt={}));let pt=class{static{S=this}static{this.Clean=new S("clean","Clean")}static{this.Build=new S("build","Build")}static{this.Rebuild=new S("rebuild","Rebuild")}static{this.Test=new S("test","Test")}static from(L){switch(L){case"clean":return S.Clean;case"build":return S.Build;case"rebuild":return S.Rebuild;case"test":return S.Test;default:return}}constructor(L,te){if(this.label=te,typeof L!="string"||typeof te!="string")throw(0,O.$7)("name");this.c=L}get id(){return this.c}};e.$TN=pt,e.$TN=pt=S=Je([y],pt);function Lt(B){let L="";for(let te=0;te<B.length;te++)L+=B[te].replace(/,/g,",,")+",";return L}let At=class{constructor(L,te,Ee){if(typeof L!="string")throw(0,O.$7)("process");this.e=[],this.c=L,te!==void 0&&(Array.isArray(te)?(this.e=te,this.f=Ee):this.f=te)}get process(){return this.c}set process(L){if(typeof L!="string")throw(0,O.$7)("process");this.c=L}get args(){return this.e}set args(L){Array.isArray(L)||(L=[]),this.e=L}get options(){return this.f}set options(L){this.f=L}computeId(){const L=[];if(L.push("process"),this.c!==void 0&&L.push(this.c),this.e&&this.e.length>0)for(const te of this.e)L.push(te);return Lt(L)}};e.$UN=At,e.$UN=At=Je([y],At);let Ot=class{constructor(L,te,Ee){if(this.f=[],Array.isArray(te)){if(!L)throw(0,O.$7)("command can't be undefined or null");if(typeof L!="string"&&typeof L.value!="string")throw(0,O.$7)("command");this.e=L,this.f=te,this.g=Ee}else{if(typeof L!="string")throw(0,O.$7)("commandLine");this.c=L,this.g=te}}get commandLine(){return this.c}set commandLine(L){if(typeof L!="string")throw(0,O.$7)("commandLine");this.c=L}get command(){return this.e?this.e:""}set command(L){if(typeof L!="string"&&typeof L.value!="string")throw(0,O.$7)("command");this.e=L}get args(){return this.f}set args(L){this.f=L||[]}get options(){return this.g}set options(L){this.g=L}computeId(){const L=[];if(L.push("shell"),this.c!==void 0&&L.push(this.c),this.e!==void 0&&L.push(typeof this.e=="string"?this.e:this.e.value),this.f&&this.f.length>0)for(const te of this.f)L.push(typeof te=="string"?te:te.value);return Lt(L)}};e.$VN=Ot,e.$VN=Ot=Je([y],Ot);var ii;(function(B){B[B.Escape=1]="Escape",B[B.Strong=2]="Strong",B[B.Weak=3]="Weak"})(ii||(e.ShellQuoting=ii={}));var qt;(function(B){B[B.Global=1]="Global",B[B.Workspace=2]="Workspace"})(qt||(e.TaskScope=qt={}));class ni{constructor(L){this.c=L}computeId(){return"customExecution"+(0,T.$Sg)()}set callback(L){this.c=L}get callback(){return this.c}}e.$WN=ni;let Ct=class{static{h=this}static{this.c="customExecution"}static{this.e="process"}static{this.f="shell"}static{this.g="$empty"}constructor(L,te,Ee,Ke,Ye,lt){this.k=!1,this.l=this.definition=L;let wt;typeof te=="string"?(this.o=this.name=te,this.w=this.source=Ee,this.execution=Ke,wt=Ye,this.k=!0):te===qt.Global||te===qt.Workspace?(this.target=te,this.o=this.name=Ee,this.w=this.source=Ke,this.execution=Ye,wt=lt):(this.target=te,this.o=this.name=Ee,this.w=this.source=Ke,this.execution=Ye,wt=lt),typeof wt=="string"?(this.r=[wt],this.t=!0):Array.isArray(wt)?(this.r=wt,this.t=!0):(this.r=[],this.t=!1),this.u=!1,this.y=Object.create(null),this.z=Object.create(null)}get _id(){return this.j}set _id(L){this.j=L}get _deprecated(){return this.k}B(){this.j!==void 0&&(this.j=void 0,this.m=void 0,this.C())}C(){this.q instanceof At?this.l={type:h.e,id:this.q.computeId()}:this.q instanceof Ot?this.l={type:h.f,id:this.q.computeId()}:this.q instanceof ni?this.l={type:h.c,id:this.q.computeId()}:this.l={type:h.g,id:(0,T.$Sg)()}}get definition(){return this.l}set definition(L){if(L==null)throw(0,O.$7)("Kind can't be undefined or null");this.B(),this.l=L}get scope(){return this.m}set target(L){this.B(),this.m=L}get name(){return this.o}set name(L){if(typeof L!="string")throw(0,O.$7)("name");this.B(),this.o=L}get execution(){return this.q}set execution(L){L===null&&(L=void 0),this.B(),this.q=L;const te=this.l.type;(h.g===te||h.e===te||h.f===te||h.c===te)&&this.C()}get problemMatchers(){return this.r}set problemMatchers(L){if(Array.isArray(L))this.B(),this.r=L,this.t=!0;else{this.B(),this.r=[],this.t=!1;return}}get hasDefinedMatchers(){return this.t}get isBackground(){return this.u}set isBackground(L){L!==!0&&L!==!1&&(L=!1),this.B(),this.u=L}get source(){return this.w}set source(L){if(typeof L!="string"||L.length===0)throw(0,O.$7)("source must be a string of length > 0");this.B(),this.w=L}get group(){return this.x}set group(L){L===null&&(L=void 0),this.B(),this.x=L}get detail(){return this.A}set detail(L){L===null&&(L=void 0),this.A=L}get presentationOptions(){return this.y}set presentationOptions(L){L==null&&(L=Object.create(null)),this.B(),this.y=L}get runOptions(){return this.z}set runOptions(L){L==null&&(L=Object.create(null)),this.B(),this.z=L}};e.$XN=Ct,e.$XN=Ct=h=Je([y],Ct);var Mt;(function(B){B[B.SourceControl=1]="SourceControl",B[B.Window=10]="Window",B[B.Notification=15]="Notification"})(Mt||(e.ProgressLocation=Mt={}));var Nt;(function(B){function L(te){const Ee=te;return(0,p.$ag)(Ee.value)?Ee.tooltip&&!(0,p.$9f)(Ee.tooltip)?(console.log("INVALID view badge, invalid tooltip",Ee.tooltip),!1):!0:(console.log("INVALID view badge, invalid value",Ee.value),!1)}B.isViewBadge=L})(Nt||(e.ViewBadge=Nt={}));let It=v=class{static isTreeItem(L,te){const Ee=L;if(Ee.checkboxState!==void 0){const Ke=(0,p.$ag)(Ee.checkboxState)?Ee.checkboxState:(0,p.$$f)(Ee.checkboxState)&&(0,p.$ag)(Ee.checkboxState.state)?Ee.checkboxState.state:void 0,Ye=!(0,p.$ag)(Ee.checkboxState)&&(0,p.$$f)(Ee.checkboxState)?Ee.checkboxState.tooltip:void 0;if(Ke===void 0||Ke!==Dt.Checked&&Ke!==Dt.Unchecked||Ye!==void 0&&!(0,p.$9f)(Ye))return console.log("INVALID tree item, invalid checkboxState",Ee.checkboxState),!1}if(L instanceof v)return!0;if(Ee.label!==void 0&&!(0,p.$9f)(Ee.label)&&!Ee.label?.label)return console.log("INVALID tree item, invalid label",Ee.label),!1;if(Ee.id!==void 0&&!(0,p.$9f)(Ee.id))return console.log("INVALID tree item, invalid id",Ee.id),!1;if(Ee.iconPath!==void 0&&!(0,p.$9f)(Ee.iconPath)&&!E.URI.isUri(Ee.iconPath)&&(!Ee.iconPath||!(0,p.$9f)(Ee.iconPath.id))){const Ke=Ee.iconPath;if(!Ke||!(0,p.$9f)(Ke.light)&&!E.URI.isUri(Ke.light)&&!(0,p.$9f)(Ke.dark)&&!E.URI.isUri(Ke.dark))return console.log("INVALID tree item, invalid iconPath",Ee.iconPath),!1}return Ee.description!==void 0&&!(0,p.$9f)(Ee.description)&&typeof Ee.description!="boolean"?(console.log("INVALID tree item, invalid description",Ee.description),!1):Ee.resourceUri!==void 0&&!E.URI.isUri(Ee.resourceUri)?(console.log("INVALID tree item, invalid resourceUri",Ee.resourceUri),!1):Ee.tooltip!==void 0&&!(0,p.$9f)(Ee.tooltip)&&!(Ee.tooltip instanceof Ge)?(console.log("INVALID tree item, invalid tooltip",Ee.tooltip),!1):Ee.command!==void 0&&!Ee.command.command?(console.log("INVALID tree item, invalid command",Ee.command),!1):Ee.collapsibleState!==void 0&&Ee.collapsibleState<mt.None&&Ee.collapsibleState>mt.Expanded?(console.log("INVALID tree item, invalid collapsibleState",Ee.collapsibleState),!1):Ee.contextValue!==void 0&&!(0,p.$9f)(Ee.contextValue)?(console.log("INVALID tree item, invalid contextValue",Ee.contextValue),!1):Ee.accessibilityInformation!==void 0&&!Ee.accessibilityInformation?.label?(console.log("INVALID tree item, invalid accessibilityInformation",Ee.accessibilityInformation),!1):!0}constructor(L,te=mt.None){this.collapsibleState=te,E.URI.isUri(L)?this.resourceUri=L:this.label=L}};e.$YN=It,e.$YN=It=v=Je([y],It);var mt;(function(B){B[B.None=0]="None",B[B.Collapsed=1]="Collapsed",B[B.Expanded=2]="Expanded"})(mt||(e.TreeItemCollapsibleState=mt={}));var Dt;(function(B){B[B.Unchecked=0]="Unchecked",B[B.Checked=1]="Checked"})(Dt||(e.TreeItemCheckboxState=Dt={}));let ai=class{async asString(){return typeof this.value=="string"?this.value:JSON.stringify(this.value)}asFile(){}constructor(L){this.value=L}};e.$ZN=ai,e.$ZN=ai=Je([y],ai);class kt extends ai{}e.$1N=kt;class fi extends kt{#e;constructor(L){super(""),this.#e=L}asFile(){return this.#e}}e.$2N=fi;class ri{constructor(L,te,Ee,Ke){this.name=L,this.uri=te,this._itemId=Ee,this.c=Ke}data(){return this.c()}}e.$3N=ri;let $i=class{#e=new Map;constructor(L){for(const[te,Ee]of L??[]){const Ke=this.#e.get(this.#t(te));Ke?Ke.push(Ee):this.#e.set(this.#t(te),[Ee])}}get(L){return this.#e.get(this.#t(L))?.[0]}set(L,te){this.#e.set(this.#t(L),[te])}forEach(L,te){for(const[Ee,Ke]of this.#e)for(const Ye of Ke)L.call(te,Ye,Ee,this)}*[Symbol.iterator](){for(const[L,te]of this.#e)for(const Ee of te)yield[L,Ee]}#t(L){return L.toLowerCase()}};e.$4N=$i,e.$4N=$i=Je([y],$i);let li=class{constructor(L,te,Ee){this.insertText=L,this.title=te,this.kind=Ee}};e.$5N=li,e.$5N=li=Je([y],li);var wi;(function(B){B[B.Automatic=0]="Automatic",B[B.PasteAs=1]="PasteAs"})(wi||(e.DocumentPasteTriggerKind=wi={}));class St{static{this.c="."}constructor(L){this.value=L}append(...L){return new St((this.value?[this.value,...L]:L).join(St.c))}intersects(L){return this.contains(L)||L.contains(this)}contains(L){return this.value===L.value||L.value.startsWith(this.value+St.c)}}e.$6N=St,St.Empty=new St("");class vi{constructor(L,te,Ee){this.title=te,this.insertText=L,this.kind=Ee}}e.$7N=vi;let si=class{constructor(L,te){this.id=L,this.color=te}static isThemeIcon(L){return typeof L.id!="string"?(console.log("INVALID ThemeIcon, invalid id",L.id),!1):!0}};e.$8N=si,e.$8N=si=Je([y],si),si.File=new si("file"),si.Folder=new si("folder");let pe=class{constructor(L){this.id=L}};e.$9N=pe,e.$9N=pe=Je([y],pe);var Ae;(function(B){B[B.Global=1]="Global",B[B.Workspace=2]="Workspace",B[B.WorkspaceFolder=3]="WorkspaceFolder"})(Ae||(e.ConfigurationTarget=Ae={}));let se=class{get base(){return this.c}set base(L){this.c=L,this.e=E.URI.file(L)}get baseUri(){return this.e}set baseUri(L){this.e=L,this.c=L.fsPath}constructor(L,te){if(typeof L!="string"&&(!L||!E.URI.isUri(L)&&!E.URI.isUri(L.uri)))throw(0,O.$7)("base");if(typeof te!="string")throw(0,O.$7)("pattern");typeof L=="string"?this.baseUri=E.URI.file(L):E.URI.isUri(L)?this.baseUri=L:this.baseUri=L.uri,this.pattern=te}toJSON(){return{pattern:this.pattern,base:this.base,baseUri:this.baseUri.toJSON()}}};e.$0N=se,e.$0N=se=Je([y],se);const J=new WeakMap;function ke(B,L){J.set(B,L)}let Ve=class{constructor(L,te,Ee,Ke,Ye){this.enabled=typeof L=="boolean"?L:!0,typeof te=="string"&&(this.condition=te),typeof Ee=="string"&&(this.hitCondition=Ee),typeof Ke=="string"&&(this.logMessage=Ke),typeof Ye=="string"&&(this.mode=Ye)}get id(){return this.c||(this.c=J.get(this)??(0,T.$Sg)()),this.c}};e.$_N=Ve,e.$_N=Ve=Je([y],Ve);let Ze=class extends Ve{constructor(L,te,Ee,Ke,Ye,lt){if(super(te,Ee,Ke,Ye,lt),L===null)throw(0,O.$7)("location");this.location=L}};e.$aO=Ze,e.$aO=Ze=Je([y],Ze);let He=class extends Ve{constructor(L,te,Ee,Ke,Ye,lt){super(te,Ee,Ke,Ye,lt),this.functionName=L}};e.$bO=He,e.$bO=He=Je([y],He);let ut=class extends Ve{constructor(L,te,Ee,Ke,Ye,lt,wt,Gt){if(super(Ke,Ye,lt,wt,Gt),!te)throw(0,O.$7)("dataId");this.label=L,this.dataId=te,this.canPersist=Ee}};e.$cO=ut,e.$cO=ut=Je([y],ut);let yt=class{constructor(L,te,Ee){this.command=L,this.args=te||[],this.options=Ee}};e.$dO=yt,e.$dO=yt=Je([y],yt);let zt=class{constructor(L,te){this.port=L,this.host=te}};e.$eO=zt,e.$eO=zt=Je([y],zt);let ct=class{constructor(L){this.path=L}};e.$fO=ct,e.$fO=ct=Je([y],ct);let Tt=class{constructor(L){this.implementation=L}};e.$gO=Tt,e.$gO=Tt=Je([y],Tt);class Ut{constructor(L,te,Ee){this.session=L,this.threadId=te,this.frameId=Ee}}e.$hO=Ut;class yi{constructor(L,te){this.session=L,this.threadId=te}}e.$iO=yi;let ki=class{constructor(L,te){this.range=L,this.expression=te}};e.$jO=ki,e.$jO=ki=Je([y],ki);var Ki;(function(B){B[B.Invoke=0]="Invoke",B[B.Automatic=1]="Automatic"})(Ki||(e.InlineCompletionTriggerKind=Ki={}));let Oi=class{constructor(L,te){this.range=L,this.text=te}};e.$kO=Oi,e.$kO=Oi=Je([y],Oi);let Mi=class{constructor(L,te,Ee=!0){this.range=L,this.variableName=te,this.caseSensitiveLookup=Ee}};e.$lO=Mi,e.$lO=Mi=Je([y],Mi);let Si=class{constructor(L,te){this.range=L,this.expression=te}};e.$mO=Si,e.$mO=Si=Je([y],Si);let Ti=class{constructor(L,te){this.frameId=L,this.stoppedLocation=te}};e.$nO=Ti,e.$nO=Ti=Je([y],Ti);var Fi;(function(B){B[B.AIGenerated=1]="AIGenerated"})(Fi||(e.NewSymbolNameTag=Fi={}));var Ji;(function(B){B[B.Invoke=0]="Invoke",B[B.Automatic=1]="Automatic"})(Ji||(e.NewSymbolNameTriggerKind=Ji={}));class Li{constructor(L,te){this.newSymbolName=L,this.tags=te}}e.$oO=Li;var Ii;(function(B){B[B.Changed=1]="Changed",B[B.Created=2]="Created",B[B.Deleted=3]="Deleted"})(Ii||(e.FileChangeType=Ii={}));let zi=g=class extends Error{static FileExists(L){return new g(L,d.FileSystemProviderErrorCode.FileExists,g.FileExists)}static FileNotFound(L){return new g(L,d.FileSystemProviderErrorCode.FileNotFound,g.FileNotFound)}static FileNotADirectory(L){return new g(L,d.FileSystemProviderErrorCode.FileNotADirectory,g.FileNotADirectory)}static FileIsADirectory(L){return new g(L,d.FileSystemProviderErrorCode.FileIsADirectory,g.FileIsADirectory)}static NoPermissions(L){return new g(L,d.FileSystemProviderErrorCode.NoPermissions,g.NoPermissions)}static Unavailable(L){return new g(L,d.FileSystemProviderErrorCode.Unavailable,g.Unavailable)}constructor(L,te=d.FileSystemProviderErrorCode.Unknown,Ee){super(E.URI.isUri(L)?L.toString(!0):L),this.code=Ee?.name??"Unknown",(0,d.$fl)(this,te),Object.setPrototypeOf(this,g.prototype),typeof Error.captureStackTrace=="function"&&typeof Ee=="function"&&Error.captureStackTrace(this,Ee)}};e.$pO=zi,e.$pO=zi=g=Je([y],zi);let Ui=class{constructor(L,te,Ee){this.start=L,this.end=te,this.kind=Ee}};e.$qO=Ui,e.$qO=Ui=Je([y],Ui);var bi;(function(B){B[B.Comment=1]="Comment",B[B.Imports=2]="Imports",B[B.Region=3]="Region"})(bi||(e.FoldingRangeKind=bi={}));var Qi;(function(B){B[B.Collapsed=0]="Collapsed",B[B.Expanded=1]="Expanded"})(Qi||(e.CommentThreadCollapsibleState=Qi={}));var Zi;(function(B){B[B.Editing=0]="Editing",B[B.Preview=1]="Preview"})(Zi||(e.CommentMode=Zi={}));var Xi;(function(B){B[B.Published=0]="Published",B[B.Draft=1]="Draft"})(Xi||(e.CommentState=Xi={}));var Pi;(function(B){B[B.Unresolved=0]="Unresolved",B[B.Resolved=1]="Resolved"})(Pi||(e.CommentThreadState=Pi={}));var Yi;(function(B){B[B.Current=0]="Current",B[B.Outdated=1]="Outdated"})(Yi||(e.CommentThreadApplicability=Yi={}));class xi{constructor(L,te=[]){this.tokenTypes=L,this.tokenModifiers=te}}e.$rO=xi;function dn(B){return typeof B>"u"||(0,p.$0f)(B)}class Ci{constructor(L){if(this.c=0,this.e=0,this.f=!0,this.g=[],this.j=0,this.k=new Map,this.l=new Map,this.m=!1,L){this.m=!0;for(let te=0,Ee=L.tokenTypes.length;te<Ee;te++)this.k.set(L.tokenTypes[te],te);for(let te=0,Ee=L.tokenModifiers.length;te<Ee;te++)this.l.set(L.tokenModifiers[te],te)}}push(L,te,Ee,Ke,Ye){if(typeof L=="number"&&typeof te=="number"&&typeof Ee=="number"&&typeof Ke=="number"&&(typeof Ye=="number"||typeof Ye>"u"))return typeof Ye>"u"&&(Ye=0),this.q(L,te,Ee,Ke,Ye);if(q.isRange(L)&&typeof te=="string"&&dn(Ee))return this.o(L,te,Ee);throw(0,O.$7)()}o(L,te,Ee){if(!this.m)throw new Error("Legend must be provided in constructor");if(L.start.line!==L.end.line)throw new Error("`range` cannot span multiple lines");if(!this.k.has(te))throw new Error("`tokenType` is not in the provided legend");const Ke=L.start.line,Ye=L.start.character,lt=L.end.character-L.start.character,wt=this.k.get(te);let Gt=0;if(Ee)for(const ci of Ee){if(!this.l.has(ci))throw new Error("`tokenModifier` is not in the provided legend");const di=this.l.get(ci);Gt|=1<<di>>>0}this.q(Ke,Ye,lt,wt,Gt)}q(L,te,Ee,Ke,Ye){if(this.f&&(L<this.c||L===this.c&&te<this.e)){this.f=!1;const Gt=this.g.length/5|0;let ci=0,di=0;for(let mi=0;mi<Gt;mi++){let pi=this.g[5*mi],Gi=this.g[5*mi+1];pi===0?(pi=ci,Gi+=di):pi+=ci,this.g[5*mi]=pi,this.g[5*mi+1]=Gi,ci=pi,di=Gi}}let lt=L,wt=te;this.f&&this.j>0&&(lt-=this.c,lt===0&&(wt-=this.e)),this.g[this.j++]=lt,this.g[this.j++]=wt,this.g[this.j++]=Ee,this.g[this.j++]=Ke,this.g[this.j++]=Ye,this.c=L,this.e=te}static r(L){const te=[],Ee=L.length/5|0;for(let wt=0;wt<Ee;wt++)te[wt]=wt;te.sort((wt,Gt)=>{const ci=L[5*wt],di=L[5*Gt];if(ci===di){const mi=L[5*wt+1],pi=L[5*Gt+1];return mi-pi}return ci-di});const Ke=new Uint32Array(L.length);let Ye=0,lt=0;for(let wt=0;wt<Ee;wt++){const Gt=5*te[wt],ci=L[Gt+0],di=L[Gt+1],mi=L[Gt+2],pi=L[Gt+3],Gi=L[Gt+4],Tn=ci-Ye,dr=Tn===0?di-lt:di,Hi=5*wt;Ke[Hi+0]=Tn,Ke[Hi+1]=dr,Ke[Hi+2]=mi,Ke[Hi+3]=pi,Ke[Hi+4]=Gi,Ye=ci,lt=di}return Ke}build(L){return this.f?new ji(new Uint32Array(this.g),L):new ji(Ci.r(this.g),L)}}e.$sO=Ci;class ji{constructor(L,te){this.resultId=te,this.data=L}}e.$tO=ji;class fn{constructor(L,te,Ee){this.start=L,this.deleteCount=te,this.data=Ee}}e.$uO=fn;class gn{constructor(L,te){this.resultId=te,this.edits=L}}e.$vO=gn;var _i;(function(B){B[B.Separate=0]="Separate",B[B.MergeWithParent=1]="MergeWithParent"})(_i||(e.DebugConsoleMode=_i={}));class Bi{constructor(L){this.name=L}}e.$wO=Bi;let Ri=class{static{this.Back={iconPath:new si("arrow-left")}}constructor(){}};e.$xO=Ri,e.$xO=Ri=Je([y],Ri);var ze;(function(B){B[B.Separator=-1]="Separator",B[B.Default=0]="Default"})(ze||(e.QuickPickItemKind=ze={}));var hi;(function(B){B[B.Info=1]="Info",B[B.Warning=2]="Warning",B[B.Error=3]="Error"})(hi||(e.InputBoxValidationSeverity=hi={}));var Vi;(function(B){B[B.UI=1]="UI",B[B.Workspace=2]="Workspace"})(Vi||(e.ExtensionKind=Vi={}));class nt{static validate(L){if(typeof L.badge=="string"){let te=(0,w.$If)(L.badge,0);if(te<L.badge.length&&(te+=(0,w.$If)(L.badge,te)),L.badge.length>te)throw new Error("The 'badge'-property must be undefined or a short character")}else if(L.badge&&!si.isThemeIcon(L.badge))throw new Error("The 'badge'-property is not a valid ThemeIcon");if(!L.color&&!L.badge&&!L.tooltip)throw new Error("The decoration is empty");return!0}constructor(L,te,Ee){this.badge=L,this.tooltip=te,this.color=Ee}}e.$yO=nt;let bt=class{constructor(L){this.kind=L}};e.$zO=bt,e.$zO=bt=Je([y],bt);var en;(function(B){B[B.Light=1]="Light",B[B.Dark=2]="Dark",B[B.HighContrast=3]="HighContrast",B[B.HighContrastLight=4]="HighContrastLight"})(en||(e.ColorThemeKind=en={}));class gi{static isNotebookRange(L){return L instanceof gi?!0:L?typeof L.start=="number"&&typeof L.end=="number":!1}get start(){return this.c}get end(){return this.e}get isEmpty(){return this.c===this.e}constructor(L,te){if(L<0)throw(0,O.$7)("start must be positive");if(te<0)throw(0,O.$7)("end must be positive");L<=te?(this.c=L,this.e=te):(this.c=te,this.e=L)}with(L){let te=this.c,Ee=this.e;return L.start!==void 0&&(te=L.start),L.end!==void 0&&(Ee=L.end),te===this.c&&Ee===this.e?this:new gi(te,Ee)}}e.$AO=gi;class Ei{static validate(L){if(typeof L.kind!="number")throw new Error("NotebookCellData MUST have 'kind' property");if(typeof L.value!="string")throw new Error("NotebookCellData MUST have 'value' property");if(typeof L.languageId!="string")throw new Error("NotebookCellData MUST have 'languageId' property")}static isNotebookCellDataArray(L){return Array.isArray(L)&&L.every(te=>Ei.isNotebookCellData(te))}static isNotebookCellData(L){return!0}constructor(L,te,Ee,Ke,Ye,lt,wt){this.kind=L,this.value=te,this.languageId=Ee,this.mime=Ke,this.outputs=Ye??[],this.metadata=lt,this.executionSummary=wt,Ei.validate(this)}}e.$BO=Ei;class mn{constructor(L){this.cells=L}}e.$CO=mn;class ei{static isNotebookCellOutputItem(L){return L instanceof ei?!0:L?typeof L.mime=="string"&&L.data instanceof Uint8Array:!1}static error(L){const te={name:L.name,message:L.message,stack:L.stack};return ei.json(te,"application/vnd.code.notebook.error")}static stdout(L){return ei.text(L,"application/vnd.code.notebook.stdout")}static stderr(L){return ei.text(L,"application/vnd.code.notebook.stderr")}static bytes(L,te="application/octet-stream"){return new ei(L,te)}static#e=new TextEncoder;static text(L,te=A.$Qs.text){const Ee=ei.#e.encode(String(L));return new ei(Ee,te)}static json(L,te="text/x-json"){const Ee=JSON.stringify(L,void 0,"	");return ei.text(Ee,te)}constructor(L,te){this.data=L,this.mime=te;const Ee=(0,A.$Us)(te,!0);if(!Ee)throw new Error(`INVALID mime type: ${te}. Must be in the format "type/subtype[;optionalparameter]"`);this.mime=Ee}}e.$DO=ei;class Ai{static isNotebookCellOutput(L){return L instanceof Ai?!0:!L||typeof L!="object"?!1:typeof L.id=="string"&&Array.isArray(L.items)}static ensureUniqueMimeTypes(L,te=!1){const Ee=new Set,Ke=new Set;for(let Ye=0;Ye<L.length;Ye++){const lt=L[Ye],wt=(0,A.$Us)(lt.mime);if(!Ee.has(wt)||(0,m.$6K)(wt)){Ee.add(wt);continue}Ke.add(Ye),te&&console.warn(`DUPLICATED mime type '${lt.mime}' will be dropped`)}return Ke.size===0?L:L.filter((Ye,lt)=>!Ke.has(lt))}constructor(L,te,Ee){this.items=Ai.ensureUniqueMimeTypes(L,!0),typeof te=="string"?(this.id=te,this.metadata=Ee):(this.id=(0,T.$Sg)(),this.metadata=te??Ee)}}e.$EO=Ai;var tn;(function(B){B[B.Markup=1]="Markup",B[B.Code=2]="Code"})(tn||(e.NotebookCellKind=tn={}));var nn;(function(B){B[B.Idle=1]="Idle",B[B.Pending=2]="Pending",B[B.Executing=3]="Executing"})(nn||(e.NotebookCellExecutionState=nn={}));var Wi;(function(B){B[B.Left=1]="Left",B[B.Right=2]="Right"})(Wi||(e.NotebookCellStatusBarAlignment=Wi={}));var rn;(function(B){B[B.Default=0]="Default",B[B.InCenter=1]="InCenter",B[B.InCenterIfOutsideViewport=2]="InCenterIfOutsideViewport",B[B.AtTop=3]="AtTop"})(rn||(e.NotebookEditorRevealType=rn={}));class $n{constructor(L,te){this.text=L,this.alignment=te}}e.$FO=$n;var sn;(function(B){B[B.Default=1]="Default",B[B.Preferred=2]="Preferred"})(sn||(e.NotebookControllerAffinity=sn={}));var on;(function(B){B[B.Default=1]="Default",B[B.Preferred=2]="Preferred",B[B.Hidden=-1]="Hidden"})(on||(e.NotebookControllerAffinity2=on={}));class pn{constructor(L,te=[]){this.uri=L,this.provides=(0,I.$3b)(te)}}e.$GO=pn;class wn{constructor(L){this.label=L}}e.$HO=wn;var an;(function(B){B[B.Named=1]="Named",B[B.Indexed=2]="Indexed"})(an||(e.NotebookVariablesRequestKind=an={}));let qi=class{constructor(L,te){this.label=L,this.timestamp=te}};e.$IO=qi,e.$IO=qi=Je([y],qi);var cn;(function(B){B[B.Production=1]="Production",B[B.Development=2]="Development",B[B.Test=3]="Test"})(cn||(e.ExtensionMode=cn={}));var un;(function(B){B[B.Node=1]="Node",B[B.Webworker=2]="Webworker"})(un||(e.ExtensionRuntime=un={}));var ln;(function(B){B[B.Other=0]="Other",B[B.Comment=1]="Comment",B[B.String=2]="String",B[B.RegEx=3]="RegEx"})(ln||(e.StandardTokenType=ln={}));class _{constructor(L,te){this.ranges=L,this.wordPattern=te}}e.$JO=_;class oe{constructor(L){this.c=L}get autoForwardAction(){return this.c}}e.$KO=oe;var Le;(function(B){B[B.Queued=1]="Queued",B[B.Running=2]="Running",B[B.Passed=3]="Passed",B[B.Failed=4]="Failed",B[B.Skipped=5]="Skipped",B[B.Errored=6]="Errored"})(Le||(e.TestResultState=Le={}));var rt;(function(B){B[B.Run=1]="Run",B[B.Debug=2]="Debug",B[B.Coverage=3]="Coverage"})(rt||(e.TestRunProfileKind=rt={}));let vt=class{constructor(L=void 0,te=void 0,Ee=void 0,Ke=!1,Ye=!0){this.include=L,this.exclude=te,this.profile=Ee,this.continuous=Ke,this.preserveFocus=Ye}};e.$LO=vt,e.$LO=vt=Je([y],vt);let Rt=k=class{static diff(L,te,Ee){const Ke=new k(L);return Ke.expectedOutput=te,Ke.actualOutput=Ee,Ke}constructor(L){this.message=L}};e.$MO=Rt,e.$MO=Rt=k=Je([y],Rt);let Di=class{constructor(L){this.id=L}};e.$NO=Di,e.$NO=Di=Je([y],Di);class hn{constructor(L,te){this.covered=L,this.total=te,vn(this)}}e.$OO=hn;function vn(B){if(B){if(B.covered>B.total)throw new Error(`The total number of covered items (${B.covered}) cannot be greater than the total (${B.total})`);if(B.total<0)throw new Error(`The number of covered items (${B.total}) cannot be negative`)}}class bn{static fromDetails(L,te){const Ee=new hn(0,0),Ke=new hn(0,0),Ye=new hn(0,0);for(const wt of te)if("branches"in wt){Ee.total+=1,Ee.covered+=wt.executed?1:0;for(const Gt of wt.branches)Ke.total+=1,Ke.covered+=Gt.executed?1:0}else Ye.total+=1,Ye.covered+=wt.executed?1:0;const lt=new bn(L,Ee,Ke.total>0?Ke:void 0,Ye.total>0?Ye:void 0);return lt.detailedCoverage=te,lt}constructor(L,te,Ee,Ke){this.uri=L,this.statementCoverage=te,this.branchCoverage=Ee,this.declarationCoverage=Ke}}e.$QO=bn;class Fn{get executionCount(){return+this.executed}set executionCount(L){this.executed=L}constructor(L,te,Ee=[]){this.executed=L,this.location=te,this.branches=Ee}}e.$RO=Fn;class Ln{get executionCount(){return+this.executed}set executionCount(L){this.executed=L}constructor(L,te,Ee){this.executed=L,this.location=te,this.label=Ee}}e.$SO=Ln;class zn{get executionCount(){return+this.executed}set executionCount(L){this.executed=L}constructor(L,te,Ee){this.name=L,this.executed=te,this.location=Ee}}e.$TO=zn;var yn;(function(B){B[B.None=0]="None",B[B.Option=1]="Option",B[B.Default=2]="Default",B[B.Preferred=3]="Preferred"})(yn||(e.ExternalUriOpenerPriority=yn={}));var En;(function(B){B[B.Untrusted=0]="Untrusted",B[B.Trusted=1]="Trusted",B[B.Unspecified=2]="Unspecified"})(En||(e.WorkspaceTrustState=En={}));var Dn;(function(B){B[B.Notify=1]="Notify",B[B.OpenBrowser=2]="OpenBrowser",B[B.OpenPreview=3]="OpenPreview",B[B.Silent=4]="Silent",B[B.Ignore=5]="Ignore",B[B.OpenBrowserOnce=6]="OpenBrowserOnce"})(Dn||(e.PortAutoForwardAction=Dn={}));class Un{constructor(L,te,Ee,Ke,Ye,lt){this.kind=L,this.name=te,this.detail=Ee,this.uri=Ke,this.range=Ye,this.selectionRange=lt}}e.$UO=Un;class jn{constructor(L){this.uri=L}}e.$VO=jn;class Bn{constructor(L,te){this.original=L,this.modified=te}}e.$WO=Bn;class Vn{constructor(L,te,Ee,Ke){this.base=L,this.input1=te,this.input2=Ee,this.result=Ke}}e.$XO=Vn;class Wn{constructor(L,te){this.uri=L,this.viewType=te}}e.$YO=Wn;class qn{constructor(L){this.viewType=L}}e.$ZO=qn;class Gn{constructor(L,te){this.uri=L,this.notebookType=te}}e.$1O=Gn;class Hn{constructor(L,te,Ee){this.original=L,this.modified=te,this.notebookType=Ee}}e.$2O=Hn;class Kn{constructor(){}}e.$3O=Kn;class Jn{constructor(L,te){this.uri=L,this.inputBoxUri=te}}e.$4O=Jn;class Qn{constructor(){}}e.$5O=Qn;class Zn{constructor(L){this.textDiffs=L}}e.$6O=Zn;var kn;(function(B){B[B.Down=0]="Down",B[B.Up=1]="Up"})(kn||(e.InteractiveSessionVoteDirection=kn={}));var Sn;(function(B){B[B.Action=1]="Action",B[B.Toolbar=2]="Toolbar"})(Sn||(e.ChatCopyKind=Sn={}));var In;(function(B){B[B.Short=1]="Short",B[B.Medium=2]="Medium",B[B.Full=3]="Full"})(In||(e.ChatVariableLevel=In={}));class Xn{constructor(L,te){this.label=L,this.values=te}}e.$7O=Xn;var Pn;(function(B){B[B.Unhelpful=0]="Unhelpful",B[B.Helpful=1]="Helpful",B[B.Undone=2]="Undone",B[B.Accepted=3]="Accepted",B[B.Bug=4]="Bug"})(Pn||(e.InteractiveEditorResponseFeedbackKind=Pn={}));var Cn;(function(B){B[B.Unhelpful=0]="Unhelpful",B[B.Helpful=1]="Helpful"})(Cn||(e.ChatResultFeedbackKind=Cn={}));class Yn{constructor(L){if(typeof L!="string"&&L.isTrusted===!0)throw new Error("The boolean form of MarkdownString.isTrusted is NOT supported for chat participants.");this.value=typeof L=="string"?new Ge(L):L}}e.$8O=Yn;class xn{constructor(L,te){if(typeof L!="string"&&L.isTrusted===!0)throw new Error("The boolean form of MarkdownString.isTrusted is NOT supported for chat participants.");this.value=typeof L=="string"?new Ge(L):L,this.vulnerabilities=te}}e.$9O=xn;class _n{constructor(L,te){this.participant=L,this.command=te}}e.$0O=_n;class er{constructor(L,te){this.value=L,this.baseUri=te}}e.$$O=er;class tr{constructor(L,te){this.value=L,this.title=te}}e.$_O=tr;class ir{constructor(L){this.value=L}}e.$aP=ir;class nr{constructor(L){this.value=L}}e.$bP=nr;class rr{constructor(L,te){this.value=L,this.iconPath=te}}e.$cP=rr;class sr{constructor(L,te){this.uri=L,this.edits=Array.isArray(te)?te:[te]}}e.$dP=sr;class or{constructor(L,te,Ee,Ke){this.prompt=L,this.command=te,this.variables=Ee,this.participant=Ke}}e.$eP=or;class ar{constructor(L,te,Ee,Ke){this.response=L,this.result=te,this.participant=Ee,this.command=Ke}}e.$fP=ar;var Rn;(function(B){B[B.Panel=1]="Panel",B[B.Terminal=2]="Terminal",B[B.Notebook=3]="Notebook",B[B.Editor=4]="Editor"})(Rn||(e.ChatLocation=Rn={}));class cr{constructor(L){this.content=L}}e.$gP=cr;class ur{constructor(L,te){this.content=L,this.name=te}}e.$hP=ur;class lr{constructor(L,te){this.content=L,this.name=te}}e.$iP=lr;class Ni extends Error{static NotFound(L){return new Ni(L,Ni.NotFound.name)}static NoPermissions(L){return new Ni(L,Ni.NoPermissions.name)}constructor(L,te,Ee){super(L,{cause:Ee}),this.name="LanguageModelError",this.code=te??""}}e.$jP=Ni;var An;(function(B){B[B.SymbolInformation=1]="SymbolInformation",B[B.CommandInformation=2]="CommandInformation",B[B.SearchInformation=3]="SearchInformation",B[B.SettingInformation=4]="SettingInformation"})(An||(e.RelatedInformationType=An={}));var Nn;(function(B){B[B.Started=1]="Started",B[B.Recognizing=2]="Recognizing",B[B.Recognized=3]="Recognized",B[B.Stopped=4]="Stopped",B[B.Error=5]="Error"})(Nn||(e.SpeechToTextStatus=Nn={}));var On;(function(B){B[B.Recognized=1]="Recognized",B[B.Stopped=2]="Stopped"})(On||(e.KeywordRecognitionStatus=On={}));class hr{constructor(L,te){this.text=L,this.range=te}}e.$kP=hr;var Mn;(function(B){B[B.Invoke=0]="Invoke",B[B.Automatic=1]="Automatic"})(Mn||(e.InlineEditTriggerKind=Mn={}))}),define(Ie[257],Pe([1,0,4,7]),function(le,e,I,O){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$$kc=void 0;class R{constructor(A){this.a=new Map,this.b=0,this.c=A.getProxy(I.$9M.MainThreadAiRelatedInformation)}async $provideAiRelatedInformation(A,w,p){if(this.a.size===0)throw new Error("No related information providers registered");const E=this.a.get(A);if(!E)throw new Error("related information provider not found");return await E.provideRelatedInformation(w,p)??[]}getRelatedInformation(A,w,p){return this.c.$getAiRelatedInformation(w,p)}registerRelatedInformationProvider(A,w,p){const E=this.b;return this.b++,this.a.set(E,p),this.c.$registerAiRelatedInformationProvider(E,w),new O.$$M(()=>{this.c.$unregisterAiRelatedInformationProvider(E),this.a.delete(E)})}}e.$$kc=R}),define(Ie[86],Pe([1,0,5,4,7,20,108,3,17]),function(le,e,I,O,R,M,A,w,p){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$klc=e.$jlc=void 0,e.$jlc=(0,w.$wi)("IExtHostAuthentication");let E=class{constructor(d){this.b=new Map,this.c=new I.$ee,this.onDidChangeSessions=this.c.event,this.d=new T,this.f=new T,this.a=d.getProxy(O.$9M.MainThreadAuthentication)}async getSession(d,b,m,r={}){const o=M.$Rm.toKey(d.identifier),s=[...m].sort().join(" ");return await this.d.getOrCreate(`${o} ${b} ${s}`,async()=>{await this.a.$ensureProvider(b);const i=d.displayName||d.name;return this.a.$getSession(b,m,o,i,r)})}async getSessions(d,b,m){const r=M.$Rm.toKey(d.identifier),o=[...m].sort().join(" ");return await this.f.getOrCreate(`${r} ${o}`,async()=>{await this.a.$ensureProvider(b);const s=d.displayName||d.name;return this.a.$getSessions(b,m,r,s)})}async removeSession(d,b){const m=this.b.get(d);return m?m.provider.removeSession(b):this.a.$removeSession(d,b)}registerAuthenticationProvider(d,b,m,r){if(this.b.get(d))throw new Error(`An authentication provider with id '${d}' is already registered.`);this.b.set(d,{label:b,provider:m,options:r??{supportsMultipleAccounts:!1}});const o=m.onDidChangeSessions(s=>this.a.$sendDidChangeSessions(d,s));return this.a.$registerAuthenticationProvider(d,b,r?.supportsMultipleAccounts??!1),new R.$$M(()=>{o.dispose(),this.b.delete(d),this.a.$unregisterAuthenticationProvider(d)})}$createSession(d,b,m){const r=this.b.get(d);if(r)return Promise.resolve(r.provider.createSession(b,m));throw new Error(`Unable to find authentication provider with handle: ${d}`)}$removeSession(d,b){const m=this.b.get(d);if(m)return Promise.resolve(m.provider.removeSession(b));throw new Error(`Unable to find authentication provider with handle: ${d}`)}$getSessions(d,b){const m=this.b.get(d);if(m)return Promise.resolve(m.provider.getSessions(b));throw new Error(`Unable to find authentication provider with handle: ${d}`)}$onDidChangeAuthenticationSessions(d,b){return d.startsWith(A.$$L)||this.c.fire({provider:{id:d,label:b}}),Promise.resolve()}};e.$klc=E,e.$klc=E=Je([We(0,p.$wP)],E);class T{constructor(){this.a=new Map}getOrCreate(d,b){const m=this.a.get(d);if(m)return m;const r=b().finally(()=>this.a.delete(d));return this.a.set(d,r),r}}}),define(Ie[112],Pe([1,0,2,4,7,3,17,12,18,13,19,26]),function(le,e,I,O,R,M,A,w,p,E,T,D){"use strict";var d;Object.defineProperty(e,"__esModule",{value:!0}),e.$kmc=e.$jmc=void 0;let b=class{static{d=this}static{this.c=0}static{this.d=250}constructor(r,o){this.h=o,this.f=new Map,this.g=r.getProxy(O.$9M.MainThreadDecorations)}registerFileDecorationProvider(r,o){const s=d.c++;this.f.set(s,{provider:r,extensionDescription:o}),this.g.$registerDecorationProvider(s,o.identifier.value);const i=r.onDidChangeFileDecorations&&r.onDidChangeFileDecorations(n=>{if(!n){this.g.$onDidChange(s,null);return}const c=(0,p.$3b)(n);if(c.length<=d.d){this.g.$onDidChange(s,c);return}this.h.warn("[Decorations] CAPPING events from decorations provider",o.identifier.value,c.length);const l=c.map(a=>({uri:a,rank:(0,E.$bf)(a.path,"/")})),t=(0,p.$zb)(l,(a,$)=>a.rank-$.rank||(0,E.$rf)(a.uri.path,$.uri.path)),f=[];e:for(const a of t){let $;for(const u of a){const S=(0,T.$nc)(u.uri.path);if($!==S&&($=S,f.push(u.uri)>=d.d))break e}}this.g.$onDidChange(s,f)});return new R.$$M(()=>{i?.dispose(),this.g.$unregisterDecorationProvider(s),this.f.delete(s)})}async $provideDecorations(r,o,s){if(!this.f.has(r))return Object.create(null);const i=Object.create(null),{provider:n,extensionDescription:c}=this.f.get(r);return await Promise.all(o.map(async l=>{try{const{uri:t,id:f}=l,a=await Promise.resolve(n.provideFileDecoration(I.URI.revive(t),s));if(!a)return;try{R.$yO.validate(a),a.badge&&typeof a.badge!="string"&&(0,D.$OG)(c,"codiconDecoration"),i[f]=[a.propagate,a.tooltip,a.badge,a.color]}catch($){this.h.warn(`INVALID decoration from extension '${c.identifier.value}': ${$}`)}}catch(t){this.h.error(t)}})),i}};e.$jmc=b,e.$jmc=b=d=Je([We(0,A.$wP),We(1,w.$3j)],b),e.$kmc=(0,M.$wi)("IExtHostDecorations")}),define(Ie[258],Pe([1,0,14,2,7,4,16,24,13]),function(le,e,I,O,R,M,A,w,p){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$mmc=void 0;class E{static{this.a=0}constructor(D,d,b){this.d=d,this.e=b,this.b=new Map,this.c=D.getProxy(M.$9M.MainThreadDocumentContentProviders)}registerTextDocumentContentProvider(D,d){if(Object.keys(A.Schemas).indexOf(D)>=0)throw new Error(`scheme '${D}' already registered`);const b=E.a++;this.b.set(b,d),this.c.$registerTextContentProvider(b,D);let m;if(typeof d.onDidChange=="function"){let r;m=d.onDidChange(async o=>{if(o.scheme!==D){this.e.warn(`Provider for scheme '${D}' is firing event for schema '${o.scheme}' which will be IGNORED`);return}if(!this.d.getDocument(o))return;r&&await r;const s=this.$provideTextDocumentContent(b,o).then(async i=>{if(!i&&typeof i!="string")return;const n=this.d.getDocument(o);if(!n)return;const c=(0,p.$lf)(i);if(!n.equalLines(c))return this.c.$onVirtualDocumentChange(o,i)}).catch(I.$1).finally(()=>{r===s&&(r=void 0)});r=s})}return new R.$$M(()=>{this.b.delete(b)&&this.c.$unregisterTextContentProvider(b),m&&(m.dispose(),m=void 0)})}$provideTextDocumentContent(D,d){const b=this.b.get(D);return b?Promise.resolve(b.provideTextDocumentContent(O.URI.revive(d),w.CancellationToken.None)):Promise.reject(new Error(`unsupported uri-scheme: ${d.scheme}`))}}e.$mmc=E}),define(Ie[113],Pe([1,0,57,16,13,313,159,7,18]),function(le,e,I,O,R,M,A,w,p){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$AP=e.$zP=void 0,e.$yP=T;const E=new Map;function T(m,r){r?E.set(m,r):E.delete(m)}function D(m){return E.get(m)}class d extends M.$6v{constructor(r,o,s,i,n,c,l){super(o,s,i,n),this.c=r,this.m=c,this.q=l,this.b=!1}dispose(){(0,I.ok)(!this.b),this.b=!0,this.q=!1}equalLines(r){return(0,p.$ub)(this.f,r)}get document(){if(!this.a){const r=this;this.a={get uri(){return r.d},get fileName(){return r.d.fsPath},get isUntitled(){return r.d.scheme===O.Schemas.untitled},get languageId(){return r.m},get version(){return r.h},get isClosed(){return r.b},get isDirty(){return r.q},save(){return r.r()},getText(o){return o?r.s(o):r.getText()},get eol(){return r.g===`
`?w.EndOfLine.LF:w.EndOfLine.CRLF},get lineCount(){return r.f.length},lineAt(o){return r.t(o)},offsetAt(o){return r.u(o)},positionAt(o){return r.v(o)},validateRange(o){return r.w(o)},validatePosition(o){return r.x(o)},getWordRangeAtPosition(o,s){return r.y(o,s)}}}return Object.freeze(this.a)}_acceptLanguageId(r){(0,I.ok)(!this.b),this.m=r}_acceptIsDirty(r){(0,I.ok)(!this.b),this.q=r}r(){return this.b?Promise.reject(new Error("Document has been closed")):this.c.$trySaveDocument(this.d)}s(r){const o=this.w(r);if(o.isEmpty)return"";if(o.isSingleLine)return this.f[o.start.line].substring(o.start.character,o.end.character);const s=this.g,i=o.start.line,n=o.end.line,c=[];c.push(this.f[i].substring(o.start.character));for(let l=i+1;l<n;l++)c.push(this.f[l]);return c.push(this.f[n].substring(0,o.end.character)),c.join(s)}t(r){let o;if(r instanceof w.$_M?o=r.line:typeof r=="number"&&(o=r),typeof o!="number"||o<0||o>=this.f.length||Math.floor(o)!==o)throw new Error("Illegal value for `line`");return new b(o,this.f[o],o===this.f.length-1)}u(r){return r=this.x(r),this.l(),this.j.getPrefixSum(r.line-1)+r.character}v(r){r=Math.floor(r),r=Math.max(0,r),this.l();const o=this.j.getIndexOf(r),s=this.f[o.index].length;return new w.$_M(o.index,Math.min(o.remainder,s))}w(r){if(!(r instanceof w.$aN))throw new Error("Invalid argument");const o=this.x(r.start),s=this.x(r.end);return o===r.start&&s===r.end?r:new w.$aN(o.line,o.character,s.line,s.character)}x(r){if(!(r instanceof w.$_M))throw new Error("Invalid argument");if(this.f.length===0)return r.with(0,0);let{line:o,character:s}=r,i=!1;if(o<0)o=0,s=0,i=!0;else if(o>=this.f.length)o=this.f.length-1,s=this.f[o].length,i=!0;else{const n=this.f[o].length;s<0?(s=0,i=!0):s>n&&(s=n,i=!0)}return i?new w.$_M(o,s):r}y(r,o){const s=this.x(r);if(!o)o=D(this.m);else if((0,R.$kf)(o))throw new Error(`[getWordRangeAtPosition]: ignoring custom regexp '${o.source}' because it matches the empty string.`);const i=(0,A.$9s)(s.character+1,(0,A.$7s)(o),this.f[s.line],0);if(i)return new w.$aN(s.line,i.startColumn-1,s.line,i.endColumn-1)}}e.$zP=d;class b{constructor(r,o,s){this.a=r,this.b=o,this.c=s}get lineNumber(){return this.a}get text(){return this.b}get range(){return new w.$aN(this.a,0,this.a,this.b.length)}get rangeIncludingLineBreak(){return this.c?this.range:new w.$aN(this.a,0,this.a+1,0)}get firstNonWhitespaceCharacterIndex(){return/^(\s*)/.exec(this.b)[1].length}get isEmptyOrWhitespace(){return this.firstNonWhitespaceCharacterIndex===this.b.length}}e.$AP=b}),define(Ie[259],Pe([1,0,4,7]),function(le,e,I,O){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$omc=void 0;class R{constructor(A){this.a=new Map,this.b=0,this.c=A.getProxy(I.$9M.MainThreadAiEmbeddingVector)}async $provideAiEmbeddingVector(A,w,p){if(this.a.size===0)throw new Error("No embedding vector providers registered");const E=this.a.get(A);if(!E)throw new Error("Embedding vector provider not found");const T=await E.provideEmbeddingVector(w,p);if(!T)throw new Error("Embedding vector provider returned undefined");return T}registerEmbeddingVectorProvider(A,w,p){const E=this.b;return this.b++,this.a.set(E,p),this.c.$registerAiEmbeddingVectorProvider(w,E),new O.$$M(()=>{this.c.$unregisterAiEmbeddingVectorProvider(E),this.a.delete(E)})}}e.$omc=R}),define(Ie[65],Pe([1,0,4,38,7,21,3,17,46,6,11,23,16]),function(le,e,I,O,R,M,A,w,p,E,T,D,d){"use strict";var b;Object.defineProperty(e,"__esModule",{value:!0}),e.$Alc=e.$zlc=void 0;let m=b=class{constructor(o,s){this.b=new Map,this.c=new T.$Fh,this.a=o.getProxy(I.$9M.MainThreadFileSystem);const i=this;this.value=Object.freeze({async stat(n){try{let c;const l=i.b.get(n.scheme);return l?(await i.a.$ensureActivation(n.scheme),c=await l.impl.stat(n)):c=await i.a.$stat(n),{type:c.type,ctime:c.ctime,mtime:c.mtime,size:c.size,permissions:c.permissions===O.FilePermission.Readonly?1:void 0}}catch(c){b.e(c)}},async readDirectory(n){try{const c=i.b.get(n.scheme);return c?(await i.a.$ensureActivation(n.scheme),(await c.impl.readDirectory(n)).slice()):await i.a.$readdir(n)}catch(c){return b.e(c)}},async createDirectory(n){try{const c=i.b.get(n.scheme);return c&&!c.isReadonly?(await i.a.$ensureActivation(n.scheme),await i.d(c.impl,c.extUri,n)):await i.a.$mkdir(n)}catch(c){return b.e(c)}},async readFile(n){try{const c=i.b.get(n.scheme);return c?(await i.a.$ensureActivation(n.scheme),(await c.impl.readFile(n)).slice()):(await i.a.$readFile(n)).buffer}catch(c){return b.e(c)}},async writeFile(n,c){try{const l=i.b.get(n.scheme);return l&&!l.isReadonly?(await i.a.$ensureActivation(n.scheme),await i.d(l.impl,l.extUri,l.extUri.dirname(n)),await i.c.queueFor(n,()=>Promise.resolve(l.impl.writeFile(n,c,{create:!0,overwrite:!0})))):await i.a.$writeFile(n,M.$Ge.wrap(c))}catch(l){return b.e(l)}},async delete(n,c){try{const l=i.b.get(n.scheme);return l&&!l.isReadonly&&!c?.useTrash?(await i.a.$ensureActivation(n.scheme),await l.impl.delete(n,{recursive:!1,...c})):await i.a.$delete(n,{recursive:!1,useTrash:!1,atomic:!1,...c})}catch(l){return b.e(l)}},async rename(n,c,l){try{return await i.a.$rename(n,c,{overwrite:!1,...l})}catch(t){return b.e(t)}},async copy(n,c,l){try{return await i.a.$copy(n,c,{overwrite:!1,...l})}catch(t){return b.e(t)}},isWritableFileSystem(n){const c=s.getCapabilities(n);if(typeof c=="number")return!(c&2048)}})}async d(o,s,i){const n=[];for(;!s.isEqual(i,s.dirname(i));)try{if(!((await o.stat(i)).type&O.FileType.Directory))throw R.$pO.FileExists(`Unable to create folder '${i.scheme===d.Schemas.file?i.fsPath:i.toString(!0)}' that already exists but is not a directory`);break}catch(c){if(O.$gl(c)!==O.FileSystemProviderErrorCode.FileNotFound)throw c;n.push(s.basename(i)),i=s.dirname(i)}for(let c=n.length-1;c>=0;c--){i=s.joinPath(i,n[c]);try{await o.createDirectory(i)}catch(l){if(O.$gl(l)!==O.FileSystemProviderErrorCode.FileExists)throw l}}}static e(o){if(o instanceof R.$pO)throw o;if(o instanceof O.$cl)switch(o.code){case O.FileSystemProviderErrorCode.FileExists:throw R.$pO.FileExists(o.message);case O.FileSystemProviderErrorCode.FileNotFound:throw R.$pO.FileNotFound(o.message);case O.FileSystemProviderErrorCode.FileNotADirectory:throw R.$pO.FileNotADirectory(o.message);case O.FileSystemProviderErrorCode.FileIsADirectory:throw R.$pO.FileIsADirectory(o.message);case O.FileSystemProviderErrorCode.NoPermissions:throw R.$pO.NoPermissions(o.message);case O.FileSystemProviderErrorCode.Unavailable:throw R.$pO.Unavailable(o.message);default:throw new R.$pO(o.message,o.name)}if(!(o instanceof Error))throw new R.$pO(String(o));if(o.name==="ENOPRO"||o.message.includes("ENOPRO"))throw R.$pO.Unavailable(o.message);switch(o.name){case O.FileSystemProviderErrorCode.FileExists:throw R.$pO.FileExists(o.message);case O.FileSystemProviderErrorCode.FileNotFound:throw R.$pO.FileNotFound(o.message);case O.FileSystemProviderErrorCode.FileNotADirectory:throw R.$pO.FileNotADirectory(o.message);case O.FileSystemProviderErrorCode.FileIsADirectory:throw R.$pO.FileIsADirectory(o.message);case O.FileSystemProviderErrorCode.NoPermissions:throw R.$pO.NoPermissions(o.message);case O.FileSystemProviderErrorCode.Unavailable:throw R.$pO.Unavailable(o.message);default:throw new R.$pO(o.message,o.name)}}addFileSystemProvider(o,s,i){return this.b.set(o,{impl:s,extUri:i?.isCaseSensitive?D.$Zg:D.$2g,isReadonly:!!i?.isReadonly}),(0,E.$Tc)(()=>this.b.delete(o))}getFileSystemProviderExtUri(o){return this.b.get(o)?.extUri??D.$Zg}};e.$zlc=m,e.$zlc=m=b=Je([We(0,w.$wP),We(1,p.$dlc)],m),e.$Alc=(0,A.$wi)("IExtHostConsumerFileSystem")}),define(Ie[87],Pe([1,0,3,27,12,65,2]),function(le,e,I,O,R,M,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Clc=e.$Blc=void 0,e.$Blc=(0,I.$wi)("IExtensionStoragePaths");let w=class{constructor(E,T,D){this.d=T,this.f=D,this.a=E.workspace??void 0,this.b=E.environment,this.whenReady=this.h().then(d=>this.c=d)}async g(E){return A.URI.joinPath(this.b.workspaceStorageHome,E)}async h(){if(!this.a)return Promise.resolve(void 0);const E=this.a.id,T=await this.g(E);try{return await this.f.value.stat(T),this.d.trace("[ExtHostStorage] storage dir already exists",T),T}catch{}try{return this.d.trace("[ExtHostStorage] creating dir and metadata-file",T),await this.f.value.createDirectory(T),await this.f.value.writeFile(A.URI.joinPath(T,"meta.json"),new TextEncoder().encode(JSON.stringify({id:this.a.id,configuration:A.URI.revive(this.a.configuration)?.toString(),name:this.a.name},void 0,2))),T}catch(D){this.d.error("[ExtHostStorage]",D);return}}workspaceValue(E){if(this.c)return A.URI.joinPath(this.c,E.identifier.value)}globalValue(E){return A.URI.joinPath(this.b.globalStorageHome,E.identifier.value.toLowerCase())}onWillDeactivateAll(){}};e.$Clc=w,e.$Clc=w=Je([We(0,O.$MP),We(1,R.$3j),We(2,M.$Alc)],w)}),define(Ie[260],Pe([1,0,7,17,5]),function(le,e,I,O,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$0mc=void 0;let M=class{constructor(w){this.a=new I.$zO(I.ColorThemeKind.Dark),this.b=new R.$ee}get activeColorTheme(){return this.a}$onColorThemeChange(w){let p;switch(w){case"light":p=I.ColorThemeKind.Light;break;case"hcDark":p=I.ColorThemeKind.HighContrast;break;case"hcLight":p=I.ColorThemeKind.HighContrastLight;break;default:p=I.ColorThemeKind.Dark}this.a=new I.$zO(p),this.b.fire(this.a)}get onDidChangeActiveColorTheme(){return this.b.event}};e.$0mc=M,e.$0mc=M=Je([We(0,O.$wP)],M)}),define(Ie[88],Pe([1,0,24,5,6,182,3,12,211,4,27,17,7]),function(le,e,I,O,R,M,A,w,p,E,T,D,d){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$xDb=e.$wDb=e.TunnelDtoConverter=void 0;class b extends p.$sw{}var m;(function(o){function s(n){return{remoteAddress:n.remoteAddress,localAddress:n.localAddress,public:!!n.public,privacy:n.privacy??(n.public?p.TunnelPrivacyId.Public:p.TunnelPrivacyId.Private),protocol:n.protocol}}o.fromApiTunnel=s;function i(n){return{remoteAddress:{host:n.tunnelRemoteHost,port:n.tunnelRemotePort},localAddress:n.localAddress,public:n.privacy!==p.TunnelPrivacyId.ConstantPrivate&&n.privacy!==p.TunnelPrivacyId.ConstantPrivate,privacy:n.privacy,protocol:n.protocol}}o.fromServiceTunnel=i})(m||(e.TunnelDtoConverter=m={})),e.$wDb=(0,A.$wi)("IExtHostTunnelService");let r=class extends R.$Vc{constructor(s,i,n){super(),this.s=n,this.f=()=>Promise.resolve(!0),this.g=new Map,this.h=new O.$ee,this.onDidChangeTunnels=this.h.event,this.n=0,this.r=new Map,this.a=s.getProxy(E.$9M.MainThreadTunnelService)}async openTunnel(s,i){this.s.trace(`ForwardedPorts: (ExtHostTunnelService) ${s.identifier.value} called openTunnel API for ${i.remoteAddress.host}:${i.remoteAddress.port}.`);const n=await this.a.$openTunnel(i,s.displayName);if(n){const c=new b(n.remoteAddress,n.localAddress,()=>this.a.$closeTunnel(n.remoteAddress));return this.B(c),c}}async getTunnels(){return this.a.$getTunnels()}u(){return this.n++}registerPortsAttributesProvider(s,i){s.portRange===void 0&&s.commandPattern===void 0&&this.s.error("PortAttributesProvider must specify either a portRange or a commandPattern");const n=this.u();return this.r.set(n,{selector:s,provider:i}),this.a.$registerPortsAttributesProvider(s,n),new d.$$M(()=>{this.r.delete(n),this.a.$unregisterPortsAttributesProvider(n)})}async $providePortAttributes(s,i,n,c,l){const t=[];for(const a of s){const $=this.r.get(a);if(!$)return[];t.push(...await Promise.all(i.map(async u=>{let S;try{S=await $.provider.providePortAttributes({port:u,pid:n,commandLine:c},l)}catch{S=await $.provider.providePortAttributes(u,n,c,l)}return{providedAttributes:S,port:u}})))}const f=t.filter(a=>!!a.providedAttributes);return f.length>0?f.map(a=>({autoForwardAction:a.providedAttributes.autoForwardAction,port:a.port})):[]}async $registerCandidateFinder(s){}registerTunnelProvider(s,i){if(this.b)throw new Error("A tunnel provider has already been registered. Only the first tunnel provider to be registered will be used.");this.b=async(c,l)=>await s.provideTunnel(c,l,I.CancellationToken.None)??void 0;const n=i.tunnelFeatures?{elevation:!!i.tunnelFeatures?.elevation,privacyOptions:i.tunnelFeatures?.privacyOptions,protocol:i.tunnelFeatures.protocol===void 0?!0:i.tunnelFeatures.protocol}:void 0;return this.a.$setTunnelProvider(n),Promise.resolve((0,R.$Tc)(()=>{this.b=void 0,this.a.$setTunnelProvider(void 0)}))}async setTunnelFactory(s,i){if(s){s.candidatePortSource!==void 0&&this.a.$setCandidatePortSource(s.candidatePortSource),s.showCandidatePort&&(this.f=s.showCandidatePort,this.a.$setCandidateFilter());const n=s.tunnelFactory??(i?this.w(i):void 0);if(n){this.b=n;let c=s.tunnelFeatures?.privacyOptions??[];s.tunnelFeatures?.public&&c.length===0&&(c=[{id:"private",label:M.localize(0,null),themeIcon:"lock"},{id:"public",label:M.localize(1,null),themeIcon:"eye"}]);const l=s.tunnelFeatures?{elevation:!!s.tunnelFeatures?.elevation,public:!!s.tunnelFeatures?.public,privacyOptions:c,protocol:!0}:void 0;this.a.$setTunnelProvider(l)}}else this.b=void 0;return(0,R.$Tc)(()=>{this.b=void 0})}w(s){}async $closeTunnel(s,i){if(this.g.has(s.host)){const n=this.g.get(s.host);n.has(s.port)&&(i&&n.get(s.port).disposeListener.dispose(),await n.get(s.port).tunnel.dispose(),n.delete(s.port))}}async $onDidTunnelsChange(){this.h.fire()}async $forwardPort(s,i){if(this.b)try{this.s.trace("ForwardedPorts: (ExtHostTunnelService) Getting tunnel from provider.");const n=this.b(s,i);if(this.s.trace("ForwardedPorts: (ExtHostTunnelService) Got tunnel promise from provider."),n!==void 0){const c=await n;if(this.s.trace("ForwardedPorts: (ExtHostTunnelService) Successfully awaited tunnel from provider."),c===void 0){this.s.error("ForwardedPorts: (ExtHostTunnelService) Resolved tunnel is undefined");return}this.g.has(s.remoteAddress.host)||this.g.set(s.remoteAddress.host,new Map);const l=this.B(c.onDidDispose(()=>(this.s.trace("ForwardedPorts: (ExtHostTunnelService) Extension fired tunnel's onDidDispose."),this.a.$closeTunnel(c.remoteAddress))));return this.g.get(s.remoteAddress.host).set(s.remoteAddress.port,{tunnel:c,disposeListener:l}),m.fromApiTunnel(c)}else this.s.trace("ForwardedPorts: (ExtHostTunnelService) Tunnel is undefined")}catch(n){if(this.s.trace("ForwardedPorts: (ExtHostTunnelService) tunnel provider error"),n instanceof Error)return n.message}}async $applyCandidateFilter(s){const i=await Promise.all(s.map(c=>this.f(c.host,c.port,c.detail??""))),n=s.filter((c,l)=>i[l]);return this.s.trace(`ForwardedPorts: (ExtHostTunnelService) filtered from ${s.map(c=>c.port).join(", ")} to ${n.map(c=>c.port).join(", ")}`),n}};e.$xDb=r,e.$xDb=r=Je([We(0,D.$wP),We(1,T.$MP),We(2,w.$3j)],r)}),define(Ie[8],Pe([1,0,18,21,138,261,55,28,127,49,70,25,133,23,15,2,30,89,101,107,106,224,85,52,62,235,7,36]),function(le,e,I,O,R,M,A,w,p,E,T,D,d,b,m,r,o,s,i,n,c,l,t,f,a,$,u,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.DebugTreeItem=e.PartialAcceptTriggerKind=e.PartialAcceptInfo=e.TerminalQuickFix=e.ChatAgentUserActionEvent=e.ChatAgentResult=e.ChatAgentCompletionItem=e.ChatAgentResolvedVariable=e.ChatLocation=e.ChatAgentRequest=e.ChatResponsePart=e.ChatResponseReferencePart=e.ChatResponseTextEditPart=e.ChatResponseCommandButtonPart=e.ChatResponseProgressPart=e.ChatResponseAnchorPart=e.ChatResponseFilesPart=e.ChatResponseDetectedParticipantPart=e.ChatResponseMarkdownWithVulnerabilitiesPart=e.ChatResponseMarkdownPart=e.InteractiveEditorResponseFeedbackKind=e.ChatVariableLevel=e.ChatVariable=e.LanguageModelMessage=e.ChatInlineFollowup=e.ChatFollowup=e.DataTransfer=e.DataTransferItem=e.ViewBadge=e.TypeHierarchyItem=e.CodeActionTriggerKind=e.TestCoverage=e.TestResults=e.TestItem=e.TestTag=e.TestMessage=e.NotebookRendererScript=e.NotebookDocumentContentOptions=e.NotebookKernelSourceAction=e.NotebookStatusBarItem=e.NotebookExclusiveDocumentPattern=e.NotebookCellOutput=e.NotebookCellOutputItem=e.NotebookCellData=e.NotebookData=e.NotebookCellKind=e.NotebookCellExecutionState=e.NotebookCellExecutionSummary=e.NotebookRange=e.MappedEditsContext=e.LanguageSelector=e.GlobPattern=e.TextEditorOpenOptions=e.FoldingRangeKind=e.FoldingRange=e.ProgressLocation=e.EndOfLine=e.TextEditorLineNumbersStyle=e.TextDocumentSaveReason=e.SelectionRange=e.Color=e.ColorPresentation=e.DocumentLink=e.InlayHintKind=e.InlayHintLabelPart=e.InlayHint=e.SignatureHelp=e.SignatureInformation=e.ParameterInformation=e.CompletionItem=e.CompletionItemKind=e.CompletionItemTag=e.CompletionContext=e.CompletionTriggerKind=e.MultiDocumentHighlight=e.DocumentHighlight=e.InlineValueContext=e.InlineValue=e.EvaluatableExpression=e.Hover=e.DefinitionLink=e.location=e.CallHierarchyOutgoingCall=e.CallHierarchyIncomingCall=e.CallHierarchyItem=e.DocumentSymbol=e.WorkspaceSymbol=e.SymbolTag=e.SymbolKind=e.WorkspaceEdit=e.TextEdit=e.DecorationRenderOptions=e.DecorationRangeBehavior=e.ThemableDecorationRenderOptions=e.ThemableDecorationAttachmentRenderOptions=e.MarkdownString=e.ViewColumn=e.DiagnosticSeverity=e.DiagnosticRelatedInformation=e.Diagnostic=e.DiagnosticTag=e.DocumentSelector=e.Position=e.TokenType=e.Location=e.Range=e.Selection=void 0,e.$tP=K,e.$uP=ce,e.$vP=ye;var h;(function(pe){function Ae(J){const{selectionStartLineNumber:ke,selectionStartColumn:Ve,positionLineNumber:Ze,positionColumn:He}=J,ut=new u.$_M(ke-1,Ve-1),yt=new u.$_M(Ze-1,He-1);return new u.$bN(ut,yt)}pe.to=Ae;function se(J){const{anchor:ke,active:Ve}=J;return{selectionStartLineNumber:ke.line+1,selectionStartColumn:ke.character+1,positionLineNumber:Ve.line+1,positionColumn:Ve.character+1}}pe.from=se})(h||(e.Selection=h={}));var v;(function(pe){function Ae(J){if(!J)return;const{start:ke,end:Ve}=J;return{startLineNumber:ke.line+1,startColumn:ke.character+1,endLineNumber:Ve.line+1,endColumn:Ve.character+1}}pe.from=Ae;function se(J){if(!J)return;const{startLineNumber:ke,startColumn:Ve,endLineNumber:Ze,endColumn:He}=J;return new u.$aN(ke-1,Ve-1,Ze-1,He-1)}pe.to=se})(v||(e.Range=v={}));var g;(function(pe){function Ae(J){return{uri:J.uri,range:v.from(J.range)}}pe.from=Ae;function se(J){return new u.$kN(r.URI.revive(J.uri),v.to(J.range))}pe.to=se})(g||(e.Location=g={}));var k;(function(pe){function Ae(se){switch(se){case 1:return u.StandardTokenType.Comment;case 0:return u.StandardTokenType.Other;case 3:return u.StandardTokenType.RegEx;case 2:return u.StandardTokenType.String}}pe.to=Ae})(k||(e.TokenType=k={}));var y;(function(pe){function Ae(J){return new u.$_M(J.lineNumber-1,J.column-1)}pe.to=Ae;function se(J){return{lineNumber:J.line+1,column:J.character+1}}pe.from=se})(y||(e.Position=y={}));var C;(function(pe){function Ae(ke,Ve,Ze){return(0,I.$Hb)((0,I.$3b)(ke).map(He=>se(He,Ve,Ze)))}pe.from=Ae;function se(ke,Ve,Ze){if(typeof ke=="string")return{$serialized:!0,language:ke,isBuiltin:Ze?.isBuiltin};if(ke)return{$serialized:!0,language:ke.language,scheme:J(ke.scheme,Ve),pattern:me.from(ke.pattern)??void 0,exclusive:ke.exclusive,notebookType:ke.notebookType,isBuiltin:Ze?.isBuiltin}}function J(ke,Ve){return Ve&&typeof ke=="string"?Ve.transformOutgoingScheme(ke):ke}})(C||(e.DocumentSelector=C={}));var P;(function(pe){function Ae(J){switch(J){case u.DiagnosticTag.Unnecessary:return 1;case u.DiagnosticTag.Deprecated:return 2}}pe.from=Ae;function se(J){switch(J){case 1:return u.DiagnosticTag.Unnecessary;case 2:return u.DiagnosticTag.Deprecated;default:return}}pe.to=se})(P||(e.DiagnosticTag=P={}));var W;(function(pe){function Ae(J){let ke;return J.code&&((0,m.$9f)(J.code)||(0,m.$ag)(J.code)?ke=String(J.code):ke={value:String(J.code.value),target:J.code.target}),{...v.from(J.range),message:J.message,source:J.source,code:ke,severity:q.from(J.severity),relatedInformation:J.relatedInformation&&J.relatedInformation.map(V.from),tags:Array.isArray(J.tags)?(0,I.$Hb)(J.tags.map(P.from)):void 0}}pe.from=Ae;function se(J){const ke=new u.$mN(v.to(J),J.message,q.to(J.severity));return ke.source=J.source,ke.code=(0,m.$9f)(J.code)?J.code:J.code?.value,ke.relatedInformation=J.relatedInformation&&J.relatedInformation.map(V.to),ke.tags=J.tags&&(0,I.$Hb)(J.tags.map(P.to)),ke}pe.to=se})(W||(e.Diagnostic=W={}));var V;(function(pe){function Ae(J){return{...v.from(J.location.range),message:J.message,resource:J.location.uri}}pe.from=Ae;function se(J){return new u.$lN(new u.$kN(J.resource,v.to(J)),J.message)}pe.to=se})(V||(e.DiagnosticRelatedInformation=V={}));var q;(function(pe){function Ae(J){switch(J){case u.DiagnosticSeverity.Error:return i.MarkerSeverity.Error;case u.DiagnosticSeverity.Warning:return i.MarkerSeverity.Warning;case u.DiagnosticSeverity.Information:return i.MarkerSeverity.Info;case u.DiagnosticSeverity.Hint:return i.MarkerSeverity.Hint}return i.MarkerSeverity.Error}pe.from=Ae;function se(J){switch(J){case i.MarkerSeverity.Info:return u.DiagnosticSeverity.Information;case i.MarkerSeverity.Warning:return u.DiagnosticSeverity.Warning;case i.MarkerSeverity.Error:return u.DiagnosticSeverity.Error;case i.MarkerSeverity.Hint:return u.DiagnosticSeverity.Hint;default:return u.DiagnosticSeverity.Error}}pe.to=se})(q||(e.DiagnosticSeverity=q={}));var N;(function(pe){function Ae(J){return typeof J=="number"&&J>=u.ViewColumn.One?J-1:J===u.ViewColumn.Beside?$.$4D:$.$3D}pe.from=Ae;function se(J){if(typeof J=="number"&&J>=0)return J+1;throw new Error("invalid 'EditorGroupColumn'")}pe.to=se})(N||(e.ViewColumn=N={}));function j(pe){return typeof pe.range<"u"}function K(pe){return pe.length===0?!0:!!j(pe[0])}var ie;(function(pe){function Ae(He){return He.map(pe.from)}pe.fromMany=Ae;function se(He){return He&&typeof He=="object"&&typeof He.language=="string"&&typeof He.value=="string"}function J(He){let ut;if(se(He)){const{language:Tt,value:Ut}=He;ut={value:"```"+Tt+`
`+Ut+"\n```\n"}}else u.$AN.isMarkdownString(He)?ut={value:He.value,isTrusted:He.isTrusted,supportThemeIcons:He.supportThemeIcons,supportHtml:He.supportHtml,baseUri:He.baseUri}:typeof He=="string"?ut={value:He}:ut={value:""};const yt=Object.create(null);ut.uris=yt;const zt=Tt=>{try{let Ut=r.URI.parse(Tt,!0);Ut=Ut.with({query:ke(Ut.query,yt)}),yt[Tt]=Ut}catch{}return""},ct=new p.marked.Renderer;return ct.link=zt,ct.image=Tt=>typeof Tt=="string"?zt(A.$2k(Tt).href):"",(0,p.marked)(ut.value,{renderer:ct}),ut}pe.from=J;function ke(He,ut){if(!He)return He;let yt;try{yt=(0,E.$5h)(He)}catch{}if(!yt)return He;let zt=!1;return yt=(0,D.$5n)(yt,ct=>{if(r.URI.isUri(ct)){const Tt=`__uri_${Math.random().toString(16).slice(2,8)}`;return ut[Tt]=ct,zt=!0,Tt}else return}),zt?JSON.stringify(yt):He}function Ve(He){const ut=new u.$AN(He.value,He.supportThemeIcons);return ut.isTrusted=He.isTrusted,ut.supportHtml=He.supportHtml,ut.baseUri=He.baseUri?r.URI.from(He.baseUri):void 0,ut}pe.to=Ve;function Ze(He){if(He)return typeof He=="string"?He:pe.from(He)}pe.fromStrict=Ze})(ie||(e.MarkdownString=ie={}));function ce(pe){return K(pe)?pe.map(Ae=>({range:v.from(Ae.range),hoverMessage:Array.isArray(Ae.hoverMessage)?ie.fromMany(Ae.hoverMessage):Ae.hoverMessage?ie.from(Ae.hoverMessage):void 0,renderOptions:Ae.renderOptions})):pe.map(Ae=>({range:v.from(Ae)}))}function ye(pe){return typeof pe>"u"?pe:typeof pe=="string"?r.URI.file(pe):pe}var Se;(function(pe){function Ae(se){return typeof se>"u"?se:{contentText:se.contentText,contentIconPath:se.contentIconPath?ye(se.contentIconPath):void 0,border:se.border,borderColor:se.borderColor,fontStyle:se.fontStyle,fontWeight:se.fontWeight,textDecoration:se.textDecoration,color:se.color,backgroundColor:se.backgroundColor,margin:se.margin,width:se.width,height:se.height}}pe.from=Ae})(Se||(e.ThemableDecorationAttachmentRenderOptions=Se={}));var fe;(function(pe){function Ae(se){return typeof se>"u"?se:{backgroundColor:se.backgroundColor,outline:se.outline,outlineColor:se.outlineColor,outlineStyle:se.outlineStyle,outlineWidth:se.outlineWidth,border:se.border,borderColor:se.borderColor,borderRadius:se.borderRadius,borderSpacing:se.borderSpacing,borderStyle:se.borderStyle,borderWidth:se.borderWidth,fontStyle:se.fontStyle,fontWeight:se.fontWeight,textDecoration:se.textDecoration,cursor:se.cursor,color:se.color,opacity:se.opacity,letterSpacing:se.letterSpacing,gutterIconPath:se.gutterIconPath?ye(se.gutterIconPath):void 0,gutterIconSize:se.gutterIconSize,overviewRulerColor:se.overviewRulerColor,before:se.before?Se.from(se.before):void 0,after:se.after?Se.from(se.after):void 0}}pe.from=Ae})(fe||(e.ThemableDecorationRenderOptions=fe={}));var $e;(function(pe){function Ae(se){if(typeof se>"u")return se;switch(se){case u.DecorationRangeBehavior.OpenOpen:return 0;case u.DecorationRangeBehavior.ClosedClosed:return 1;case u.DecorationRangeBehavior.OpenClosed:return 2;case u.DecorationRangeBehavior.ClosedOpen:return 3}}pe.from=Ae})($e||(e.DecorationRangeBehavior=$e={}));var Te;(function(pe){function Ae(se){return{isWholeLine:se.isWholeLine,rangeBehavior:se.rangeBehavior?$e.from(se.rangeBehavior):void 0,overviewRulerLane:se.overviewRulerLane,light:se.light?fe.from(se.light):void 0,dark:se.dark?fe.from(se.dark):void 0,backgroundColor:se.backgroundColor,outline:se.outline,outlineColor:se.outlineColor,outlineStyle:se.outlineStyle,outlineWidth:se.outlineWidth,border:se.border,borderColor:se.borderColor,borderRadius:se.borderRadius,borderSpacing:se.borderSpacing,borderStyle:se.borderStyle,borderWidth:se.borderWidth,fontStyle:se.fontStyle,fontWeight:se.fontWeight,textDecoration:se.textDecoration,cursor:se.cursor,color:se.color,opacity:se.opacity,letterSpacing:se.letterSpacing,gutterIconPath:se.gutterIconPath?ye(se.gutterIconPath):void 0,gutterIconSize:se.gutterIconSize,overviewRulerColor:se.overviewRulerColor,before:se.before?Se.from(se.before):void 0,after:se.after?Se.from(se.after):void 0}}pe.from=Ae})(Te||(e.DecorationRenderOptions=Te={}));var ae;(function(pe){function Ae(J){return{text:J.newText,eol:J.newEol&&gt.from(J.newEol),range:v.from(J.range)}}pe.from=Ae;function se(J){const ke=new u.$fN(v.to(J.range),J.text);return ke.newEol=typeof J.eol>"u"?void 0:gt.to(J.eol),ke}pe.to=se})(ae||(e.TextEdit=ae={}));var Ne;(function(pe){function Ae(J,ke){const Ve={edits:[]};if(J instanceof u.$iN){const Ze=new w.$Cc;for(const He of J._allEntries())He._type===1&&r.URI.isUri(He.to)&&He.from===void 0&&Ze.add(He.to);for(const He of J._allEntries())if(He._type===1){let ut;He.options?.contents&&(ArrayBuffer.isView(He.options.contents)?ut={type:"base64",value:(0,O.$1e)(O.$Ge.wrap(He.options.contents))}:ut={type:"dataTransferItem",id:He.options.contents._itemId}),Ve.edits.push({oldResource:He.from,newResource:He.to,options:{...He.options,contents:ut},metadata:He.metadata})}else He._type===2?Ve.edits.push({resource:He.uri,textEdit:ae.from(He.edit),versionId:Ze.has(He.uri)?void 0:ke?.getTextDocumentVersion(He.uri),metadata:He.metadata}):He._type===6?Ve.edits.push({resource:He.uri,textEdit:{range:v.from(He.range),text:He.edit.value,insertAsSnippet:!0},versionId:Ze.has(He.uri)?void 0:ke?.getTextDocumentVersion(He.uri),metadata:He.metadata}):He._type===3?Ve.edits.push({metadata:He.metadata,resource:He.uri,cellEdit:He.edit,notebookMetadata:He.notebookMetadata,notebookVersionId:ke?.getNotebookDocumentVersion(He.uri)}):He._type===5&&Ve.edits.push({metadata:He.metadata,resource:He.uri,notebookVersionId:ke?.getNotebookDocumentVersion(He.uri),cellEdit:{editType:1,index:He.index,count:He.count,cells:He.cells.map(ti.from)}})}return Ve}pe.from=Ae;function se(J){const ke=new u.$iN,Ve=new w.$Bc;for(const Ze of J.edits)if(Ze.textEdit){const He=Ze,ut=r.URI.revive(He.resource),yt=v.to(He.textEdit.range),zt=He.textEdit.text,ct=He.textEdit.insertAsSnippet;let Tt;ct?Tt=u.$hN.replace(yt,new u.$jN(zt)):Tt=u.$fN.replace(yt,zt);const Ut=Ve.get(ut);Ut?Ut.push(Tt):Ve.set(ut,[Tt])}else ke.renameFile(r.URI.revive(Ze.oldResource),r.URI.revive(Ze.newResource),Ze.options);for(const[Ze,He]of Ve)ke.set(Ze,He);return ke}pe.to=se})(Ne||(e.WorkspaceEdit=Ne={}));var ne;(function(pe){const Ae=Object.create(null);Ae[u.SymbolKind.File]=0,Ae[u.SymbolKind.Module]=1,Ae[u.SymbolKind.Namespace]=2,Ae[u.SymbolKind.Package]=3,Ae[u.SymbolKind.Class]=4,Ae[u.SymbolKind.Method]=5,Ae[u.SymbolKind.Property]=6,Ae[u.SymbolKind.Field]=7,Ae[u.SymbolKind.Constructor]=8,Ae[u.SymbolKind.Enum]=9,Ae[u.SymbolKind.Interface]=10,Ae[u.SymbolKind.Function]=11,Ae[u.SymbolKind.Variable]=12,Ae[u.SymbolKind.Constant]=13,Ae[u.SymbolKind.String]=14,Ae[u.SymbolKind.Number]=15,Ae[u.SymbolKind.Boolean]=16,Ae[u.SymbolKind.Array]=17,Ae[u.SymbolKind.Object]=18,Ae[u.SymbolKind.Key]=19,Ae[u.SymbolKind.Null]=20,Ae[u.SymbolKind.EnumMember]=21,Ae[u.SymbolKind.Struct]=22,Ae[u.SymbolKind.Event]=23,Ae[u.SymbolKind.Operator]=24,Ae[u.SymbolKind.TypeParameter]=25;function se(ke){return typeof Ae[ke]=="number"?Ae[ke]:6}pe.from=se;function J(ke){for(const Ve in Ae)if(Ae[Ve]===ke)return Number(Ve);return u.SymbolKind.Property}pe.to=J})(ne||(e.SymbolKind=ne={}));var z;(function(pe){function Ae(J){switch(J){case u.SymbolTag.Deprecated:return 1}}pe.from=Ae;function se(J){switch(J){case 1:return u.SymbolTag.Deprecated}}pe.to=se})(z||(e.SymbolTag=z={}));var x;(function(pe){function Ae(J){return{name:J.name,kind:ne.from(J.kind),tags:J.tags&&J.tags.map(z.from),containerName:J.containerName,location:ge.from(J.location)}}pe.from=Ae;function se(J){const ke=new u.$rN(J.name,ne.to(J.kind),J.containerName,ge.to(J.location));return ke.tags=J.tags&&J.tags.map(z.to),ke}pe.to=se})(x||(e.WorkspaceSymbol=x={}));var be;(function(pe){function Ae(J){const ke={name:J.name||"!!MISSING: name!!",detail:J.detail,range:v.from(J.range),selectionRange:v.from(J.selectionRange),kind:ne.from(J.kind),tags:J.tags?.map(z.from)??[]};return J.children&&(ke.children=J.children.map(Ae)),ke}pe.from=Ae;function se(J){const ke=new u.$sN(J.name,J.detail,ne.to(J.kind),v.to(J.range),v.to(J.selectionRange));return(0,I.$Lb)(J.tags)&&(ke.tags=J.tags.map(z.to)),J.children&&(ke.children=J.children.map(se)),ke}pe.to=se})(be||(e.DocumentSymbol=be={}));var Fe;(function(pe){function Ae(J){const ke=new u.$wN(ne.to(J.kind),J.name,J.detail||"",r.URI.revive(J.uri),v.to(J.range),v.to(J.selectionRange));return ke._sessionId=J._sessionId,ke._itemId=J._itemId,ke}pe.to=Ae;function se(J,ke,Ve){if(ke=ke??J._sessionId,Ve=Ve??J._itemId,ke===void 0||Ve===void 0)throw new Error("invalid item");return{_sessionId:ke,_itemId:Ve,name:J.name,detail:J.detail,kind:ne.from(J.kind),uri:J.uri,range:v.from(J.range),selectionRange:v.from(J.selectionRange),tags:J.tags?.map(z.from)}}pe.from=se})(Fe||(e.CallHierarchyItem=Fe={}));var De;(function(pe){function Ae(se){return new u.$xN(Fe.to(se.from),se.fromRanges.map(J=>v.to(J)))}pe.to=Ae})(De||(e.CallHierarchyIncomingCall=De={}));var we;(function(pe){function Ae(se){return new u.$yN(Fe.to(se.to),se.fromRanges.map(J=>v.to(J)))}pe.to=Ae})(we||(e.CallHierarchyOutgoingCall=we={}));var ge;(function(pe){function Ae(J){return{range:J.range&&v.from(J.range),uri:J.uri}}pe.from=Ae;function se(J){return new u.$kN(r.URI.revive(J.uri),v.to(J.range))}pe.to=se})(ge||(e.location=ge={}));var Q;(function(pe){function Ae(J){const ke=J,Ve=J;return{originSelectionRange:ke.originSelectionRange?v.from(ke.originSelectionRange):void 0,uri:ke.targetUri?ke.targetUri:Ve.uri,range:v.from(ke.targetRange?ke.targetRange:Ve.range),targetSelectionRange:ke.targetSelectionRange?v.from(ke.targetSelectionRange):void 0}}pe.from=Ae;function se(J){return{targetUri:r.URI.revive(J.uri),targetRange:v.to(J.range),targetSelectionRange:J.targetSelectionRange?v.to(J.targetSelectionRange):void 0,originSelectionRange:J.originSelectionRange?v.to(J.originSelectionRange):void 0}}pe.to=se})(Q||(e.DefinitionLink=Q={}));var Y;(function(pe){function Ae(J){return{range:v.from(J.range),contents:ie.fromMany(J.contents),canIncreaseVerbosity:J.canIncreaseVerbosity,canDecreaseVerbosity:J.canDecreaseVerbosity}}pe.from=Ae;function se(J){const ke=J.contents.map(ie.to),Ve=v.to(J.range),Ze=J.canIncreaseVerbosity,He=J.canDecreaseVerbosity;return new u.$oN(ke,Ve,Ze,He)}pe.to=se})(Y||(e.Hover=Y={}));var he;(function(pe){function Ae(J){return{range:v.from(J.range),expression:J.expression}}pe.from=Ae;function se(J){return new u.$jO(v.to(J.range),J.expression)}pe.to=se})(he||(e.EvaluatableExpression=he={}));var ue;(function(pe){function Ae(J){if(J instanceof u.$kO)return{type:"text",range:v.from(J.range),text:J.text};if(J instanceof u.$lO)return{type:"variable",range:v.from(J.range),variableName:J.variableName,caseSensitiveLookup:J.caseSensitiveLookup};if(J instanceof u.$mO)return{type:"expression",range:v.from(J.range),expression:J.expression};throw new Error("Unknown 'InlineValue' type")}pe.from=Ae;function se(J){switch(J.type){case"text":return{range:v.to(J.range),text:J.text};case"variable":return{range:v.to(J.range),variableName:J.variableName,caseSensitiveLookup:J.caseSensitiveLookup};case"expression":return{range:v.to(J.range),expression:J.expression}}}pe.to=se})(ue||(e.InlineValue=ue={}));var Me;(function(pe){function Ae(J){return{frameId:J.frameId,stoppedLocation:v.from(J.stoppedLocation)}}pe.from=Ae;function se(J){return new u.$nO(J.frameId,v.to(J.stoppedLocation))}pe.to=se})(Me||(e.InlineValueContext=Me={}));var de;(function(pe){function Ae(J){return{range:v.from(J.range),kind:J.kind}}pe.from=Ae;function se(J){return new u.$pN(v.to(J.range),J.kind)}pe.to=se})(de||(e.DocumentHighlight=de={}));var Ce;(function(pe){function Ae(J){return{uri:J.uri,highlights:J.highlights.map(de.from)}}pe.from=Ae;function se(J){return new u.$qN(r.URI.revive(J.uri),J.highlights.map(de.to))}pe.to=se})(Ce||(e.MultiDocumentHighlight=Ce={}));var Re;(function(pe){function Ae(se){switch(se){case 1:return u.CompletionTriggerKind.TriggerCharacter;case 2:return u.CompletionTriggerKind.TriggerForIncompleteCompletions;case 0:default:return u.CompletionTriggerKind.Invoke}}pe.to=Ae})(Re||(e.CompletionTriggerKind=Re={}));var je;(function(pe){function Ae(se){return{triggerKind:Re.to(se.triggerKind),triggerCharacter:se.triggerCharacter}}pe.to=Ae})(je||(e.CompletionContext=je={}));var U;(function(pe){function Ae(J){switch(J){case u.CompletionItemTag.Deprecated:return 1}}pe.from=Ae;function se(J){switch(J){case 1:return u.CompletionItemTag.Deprecated}}pe.to=se})(U||(e.CompletionItemTag=U={}));var F;(function(pe){const Ae=new Map([[u.CompletionItemKind.Method,0],[u.CompletionItemKind.Function,1],[u.CompletionItemKind.Constructor,2],[u.CompletionItemKind.Field,3],[u.CompletionItemKind.Variable,4],[u.CompletionItemKind.Class,5],[u.CompletionItemKind.Interface,7],[u.CompletionItemKind.Struct,6],[u.CompletionItemKind.Module,8],[u.CompletionItemKind.Property,9],[u.CompletionItemKind.Unit,12],[u.CompletionItemKind.Value,13],[u.CompletionItemKind.Constant,14],[u.CompletionItemKind.Enum,15],[u.CompletionItemKind.EnumMember,16],[u.CompletionItemKind.Keyword,17],[u.CompletionItemKind.Snippet,27],[u.CompletionItemKind.Text,18],[u.CompletionItemKind.Color,19],[u.CompletionItemKind.File,20],[u.CompletionItemKind.Reference,21],[u.CompletionItemKind.Folder,23],[u.CompletionItemKind.Event,10],[u.CompletionItemKind.Operator,11],[u.CompletionItemKind.TypeParameter,24],[u.CompletionItemKind.Issue,26],[u.CompletionItemKind.User,25]]);function se(Ve){return Ae.get(Ve)??9}pe.from=se;const J=new Map([[0,u.CompletionItemKind.Method],[1,u.CompletionItemKind.Function],[2,u.CompletionItemKind.Constructor],[3,u.CompletionItemKind.Field],[4,u.CompletionItemKind.Variable],[5,u.CompletionItemKind.Class],[7,u.CompletionItemKind.Interface],[6,u.CompletionItemKind.Struct],[8,u.CompletionItemKind.Module],[9,u.CompletionItemKind.Property],[12,u.CompletionItemKind.Unit],[13,u.CompletionItemKind.Value],[14,u.CompletionItemKind.Constant],[15,u.CompletionItemKind.Enum],[16,u.CompletionItemKind.EnumMember],[17,u.CompletionItemKind.Keyword],[27,u.CompletionItemKind.Snippet],[18,u.CompletionItemKind.Text],[19,u.CompletionItemKind.Color],[20,u.CompletionItemKind.File],[21,u.CompletionItemKind.Reference],[23,u.CompletionItemKind.Folder],[10,u.CompletionItemKind.Event],[11,u.CompletionItemKind.Operator],[24,u.CompletionItemKind.TypeParameter],[25,u.CompletionItemKind.User],[26,u.CompletionItemKind.Issue]]);function ke(Ve){return J.get(Ve)??u.CompletionItemKind.Property}pe.to=ke})(F||(e.CompletionItemKind=F={}));var G;(function(pe){function Ae(se,J){const ke=new u.$GN(se.label);return ke.insertText=se.insertText,ke.kind=F.to(se.kind),ke.tags=se.tags?.map(U.to),ke.detail=se.detail,ke.documentation=A.$Vk(se.documentation)?ie.to(se.documentation):se.documentation,ke.sortText=se.sortText,ke.filterText=se.filterText,ke.preselect=se.preselect,ke.commitCharacters=se.commitCharacters,o.$ut.isIRange(se.range)?ke.range=v.to(se.range):typeof se.range=="object"&&(ke.range={inserting:v.to(se.range.insert),replacing:v.to(se.range.replace)}),ke.keepWhitespace=typeof se.insertTextRules>"u"?!1:!!(se.insertTextRules&1),typeof se.insertTextRules<"u"&&se.insertTextRules&4?ke.insertText=new u.$jN(se.insertText):(ke.insertText=se.insertText,ke.textEdit=ke.range instanceof u.$aN?new u.$fN(ke.range,ke.insertText):void 0),se.additionalTextEdits&&se.additionalTextEdits.length>0&&(ke.additionalTextEdits=se.additionalTextEdits.map(Ve=>ae.to(Ve))),ke.command=J&&se.command?J.fromInternal(se.command):void 0,ke}pe.to=Ae})(G||(e.CompletionItem=G={}));var H;(function(pe){function Ae(J){if(typeof J.label!="string"&&!Array.isArray(J.label))throw new TypeError("Invalid label");return{label:J.label,documentation:ie.fromStrict(J.documentation)}}pe.from=Ae;function se(J){return{label:J.label,documentation:A.$Vk(J.documentation)?ie.to(J.documentation):J.documentation}}pe.to=se})(H||(e.ParameterInformation=H={}));var ee;(function(pe){function Ae(J){return{label:J.label,documentation:ie.fromStrict(J.documentation),parameters:Array.isArray(J.parameters)?J.parameters.map(H.from):[],activeParameter:J.activeParameter}}pe.from=Ae;function se(J){return{label:J.label,documentation:A.$Vk(J.documentation)?ie.to(J.documentation):J.documentation,parameters:Array.isArray(J.parameters)?J.parameters.map(H.to):[],activeParameter:J.activeParameter}}pe.to=se})(ee||(e.SignatureInformation=ee={}));var re;(function(pe){function Ae(J){return{activeSignature:J.activeSignature,activeParameter:J.activeParameter,signatures:Array.isArray(J.signatures)?J.signatures.map(ee.from):[]}}pe.from=Ae;function se(J){return{activeSignature:J.activeSignature,activeParameter:J.activeParameter,signatures:Array.isArray(J.signatures)?J.signatures.map(ee.to):[]}}pe.to=se})(re||(e.SignatureHelp=re={}));var Oe;(function(pe){function Ae(se,J){const ke=new u.$FN(y.to(J.position),typeof J.label=="string"?J.label:J.label.map(Be.to.bind(void 0,se)),J.kind&&Ge.to(J.kind));return ke.textEdits=J.textEdits&&J.textEdits.map(ae.to),ke.tooltip=A.$Vk(J.tooltip)?ie.to(J.tooltip):J.tooltip,ke.paddingLeft=J.paddingLeft,ke.paddingRight=J.paddingRight,ke}pe.to=Ae})(Oe||(e.InlayHint=Oe={}));var Be;(function(pe){function Ae(se,J){const ke=new u.$EN(J.label);return ke.tooltip=A.$Vk(J.tooltip)?ie.to(J.tooltip):J.tooltip,s.Command.is(J.command)&&(ke.command=se.fromInternal(J.command)),J.location&&(ke.location=ge.to(J.location)),ke}pe.to=Ae})(Be||(e.InlayHintLabelPart=Be={}));var Ge;(function(pe){function Ae(J){return J}pe.from=Ae;function se(J){return J}pe.to=se})(Ge||(e.InlayHintKind=Ge={}));var _e;(function(pe){function Ae(J){return{range:v.from(J.range),url:J.target,tooltip:J.tooltip}}pe.from=Ae;function se(J){let ke;if(J.url)try{ke=typeof J.url=="string"?r.URI.parse(J.url,!0):r.URI.revive(J.url)}catch{}return new u.$LN(v.to(J.range),ke)}pe.to=se})(_e||(e.DocumentLink=_e={}));var xe;(function(pe){function Ae(J){const ke=new u.$ON(J.label);return J.textEdit&&(ke.textEdit=ae.to(J.textEdit)),J.additionalTextEdits&&(ke.additionalTextEdits=J.additionalTextEdits.map(Ve=>ae.to(Ve))),ke}pe.to=Ae;function se(J){return{label:J.label,textEdit:J.textEdit?ae.from(J.textEdit):void 0,additionalTextEdits:J.additionalTextEdits?J.additionalTextEdits.map(ke=>ae.from(ke)):void 0}}pe.from=se})(xe||(e.ColorPresentation=xe={}));var et;(function(pe){function Ae(J){return new u.$MN(J[0],J[1],J[2],J[3])}pe.to=Ae;function se(J){return[J.red,J.green,J.blue,J.alpha]}pe.from=se})(et||(e.Color=et={}));var tt;(function(pe){function Ae(J){return{range:v.from(J.range)}}pe.from=Ae;function se(J){return new u.$vN(v.to(J.range))}pe.to=se})(tt||(e.SelectionRange=tt={}));var it;(function(pe){function Ae(se){switch(se){case 2:return u.TextDocumentSaveReason.AfterDelay;case 1:return u.TextDocumentSaveReason.Manual;case 3:case 4:return u.TextDocumentSaveReason.FocusOut}}pe.to=Ae})(it||(e.TextDocumentSaveReason=it={}));var at;(function(pe){function Ae(J){switch(J){case u.TextEditorLineNumbersStyle.Off:return 0;case u.TextEditorLineNumbersStyle.Relative:return 2;case u.TextEditorLineNumbersStyle.Interval:return 3;case u.TextEditorLineNumbersStyle.On:default:return 1}}pe.from=Ae;function se(J){switch(J){case 0:return u.TextEditorLineNumbersStyle.Off;case 2:return u.TextEditorLineNumbersStyle.Relative;case 3:return u.TextEditorLineNumbersStyle.Interval;case 1:default:return u.TextEditorLineNumbersStyle.On}}pe.to=se})(at||(e.TextEditorLineNumbersStyle=at={}));var gt;(function(pe){function Ae(J){if(J===u.EndOfLine.CRLF)return 1;if(J===u.EndOfLine.LF)return 0}pe.from=Ae;function se(J){if(J===1)return u.EndOfLine.CRLF;if(J===0)return u.EndOfLine.LF}pe.to=se})(gt||(e.EndOfLine=gt={}));var Ue;(function(pe){function Ae(se){if(typeof se=="object")return se.viewId;switch(se){case u.ProgressLocation.SourceControl:return 3;case u.ProgressLocation.Window:return 10;case u.ProgressLocation.Notification:return 15}throw new Error("Unknown 'ProgressLocation'")}pe.from=Ae})(Ue||(e.ProgressLocation=Ue={}));var st;(function(pe){function Ae(J){const ke={start:J.start+1,end:J.end+1};return J.kind&&(ke.kind=X.from(J.kind)),ke}pe.from=Ae;function se(J){const ke={start:J.start-1,end:J.end-1};return J.kind&&(ke.kind=X.to(J.kind)),ke}pe.to=se})(st||(e.FoldingRange=st={}));var X;(function(pe){function Ae(J){if(J)switch(J){case u.FoldingRangeKind.Comment:return s.$du.Comment;case u.FoldingRangeKind.Imports:return s.$du.Imports;case u.FoldingRangeKind.Region:return s.$du.Region}}pe.from=Ae;function se(J){if(J)switch(J.value){case s.$du.Comment.value:return u.FoldingRangeKind.Comment;case s.$du.Imports.value:return u.FoldingRangeKind.Imports;case s.$du.Region.value:return u.FoldingRangeKind.Region}}pe.to=se})(X||(e.FoldingRangeKind=X={}));var Z;(function(pe){function Ae(se){if(se)return{pinned:typeof se.preview=="boolean"?!se.preview:void 0,inactive:se.background,preserveFocus:se.preserveFocus,selection:typeof se.selection=="object"?v.from(se.selection):void 0,override:typeof se.override=="boolean"?c.$tF.id:void 0}}pe.from=Ae})(Z||(e.TextEditorOpenOptions=Z={}));var me;(function(pe){function Ae(Ve){return Ve instanceof u.$0N?Ve.toJSON():typeof Ve=="string"?Ve:se(Ve)||J(Ve)?new u.$0N(Ve.baseUri??Ve.base,Ve.pattern).toJSON():Ve}pe.from=Ae;function se(Ve){const Ze=Ve;return Ze?r.URI.isUri(Ze.baseUri)&&typeof Ze.pattern=="string":!1}function J(Ve){const Ze=Ve;return Ze?typeof Ze.base=="string"&&typeof Ze.pattern=="string":!1}function ke(Ve){return typeof Ve=="string"?Ve:new u.$0N(r.URI.revive(Ve.baseUri),Ve.pattern)}pe.to=ke})(me||(e.GlobPattern=me={}));var qe;(function(pe){function Ae(se){if(se){if(Array.isArray(se))return se.map(Ae);if(typeof se=="string")return se;{const J=se;return{language:J.language,scheme:J.scheme,pattern:me.from(J.pattern),exclusive:J.exclusive,notebookType:J.notebookType}}}else return}pe.from=Ae})(qe||(e.LanguageSelector=qe={}));var ve;(function(pe){function Ae(J){return!!J&&typeof J=="object"&&"documents"in J&&Array.isArray(J.documents)&&J.documents.every(ke=>Array.isArray(ke)&&ke.every(Ve=>Ve&&typeof Ve=="object"&&"uri"in Ve&&r.URI.isUri(Ve.uri)&&"version"in Ve&&typeof Ve.version=="number"&&"ranges"in Ve&&Array.isArray(Ve.ranges)&&Ve.ranges.every(Ze=>Ze instanceof u.$aN)))}pe.is=Ae;function se(J){return{documents:J.documents.map(ke=>ke.map(Ve=>({uri:r.URI.from(Ve.uri),version:Ve.version,ranges:Ve.ranges.map(Ze=>v.from(Ze))})))}}pe.from=se})(ve||(e.MappedEditsContext=ve={}));var ot;(function(pe){function Ae(J){return{start:J.start,end:J.end}}pe.from=Ae;function se(J){return new u.$AO(J.start,J.end)}pe.to=se})(ot||(e.NotebookRange=ot={}));var dt;(function(pe){function Ae(J){return{timing:typeof J.runStartTime=="number"&&typeof J.runEndTime=="number"?{startTime:J.runStartTime,endTime:J.runEndTime}:void 0,executionOrder:J.executionOrder,success:J.lastRunSuccess}}pe.to=Ae;function se(J){return{lastRunSuccess:J.success,runStartTime:J.timing?.startTime,runEndTime:J.timing?.endTime,executionOrder:J.executionOrder}}pe.from=se})(dt||(e.NotebookCellExecutionSummary=dt={}));var Pt;(function(pe){function Ae(se){if(se===t.NotebookCellExecutionState.Unconfirmed)return u.NotebookCellExecutionState.Pending;if(se===t.NotebookCellExecutionState.Pending)return;if(se===t.NotebookCellExecutionState.Executing)return u.NotebookCellExecutionState.Executing;throw new Error(`Unknown state: ${se}`)}pe.to=Ae})(Pt||(e.NotebookCellExecutionState=Pt={}));var Vt;(function(pe){function Ae(J){switch(J){case u.NotebookCellKind.Markup:return t.CellKind.Markup;case u.NotebookCellKind.Code:default:return t.CellKind.Code}}pe.from=Ae;function se(J){switch(J){case t.CellKind.Markup:return u.NotebookCellKind.Markup;case t.CellKind.Code:default:return u.NotebookCellKind.Code}}pe.to=se})(Vt||(e.NotebookCellKind=Vt={}));var Qt;(function(pe){function Ae(J){const ke={metadata:J.metadata??Object.create(null),cells:[]};for(const Ve of J.cells)u.$BO.validate(Ve),ke.cells.push(ti.from(Ve));return ke}pe.from=Ae;function se(J){const ke=new u.$CO(J.cells.map(ti.to));return(0,m.$jg)(J.metadata)||(ke.metadata=J.metadata),ke}pe.to=se})(Qt||(e.NotebookData=Qt={}));var ti;(function(pe){function Ae(J){return{cellKind:Vt.from(J.kind),language:J.languageId,mime:J.mime,source:J.value,metadata:J.metadata,internalMetadata:dt.from(J.executionSummary??{}),outputs:J.outputs?J.outputs.map(Et.from):[]}}pe.from=Ae;function se(J){return new u.$BO(Vt.to(J.cellKind),J.source,J.language,J.mime,J.outputs?J.outputs.map(Et.to):void 0,J.metadata,J.internalMetadata?dt.to(J.internalMetadata):void 0)}pe.to=se})(ti||(e.NotebookCellData=ti={}));var Zt;(function(pe){function Ae(J){return{mime:J.mime,valueBytes:O.$Ge.wrap(J.data)}}pe.from=Ae;function se(J){return new u.$DO(J.valueBytes.buffer,J.mime)}pe.to=se})(Zt||(e.NotebookCellOutputItem=Zt={}));var Et;(function(pe){function Ae(J){return{outputId:J.id,items:J.items.map(Zt.from),metadata:J.metadata}}pe.from=Ae;function se(J){const ke=J.items.map(Zt.to);return new u.$EO(ke,J.outputId,J.metadata)}pe.to=se})(Et||(e.NotebookCellOutput=Et={}));var Xt;(function(pe){function Ae(ke){return J(ke)?{include:me.from(ke.include)??void 0,exclude:me.from(ke.exclude)??void 0}:me.from(ke)??void 0}pe.from=Ae;function se(ke){return J(ke)?{include:me.to(ke.include),exclude:me.to(ke.exclude)}:me.to(ke)}pe.to=se;function J(ke){const Ve=ke;return Ve?!(0,m.$fg)(Ve.include)&&!(0,m.$fg)(Ve.exclude):!1}})(Xt||(e.NotebookExclusiveDocumentPattern=Xt={}));var Yt;(function(pe){function Ae(se,J,ke){const Ve=typeof se.command=="string"?{title:"",command:se.command}:se.command;return{alignment:se.alignment===u.NotebookCellStatusBarAlignment.Left?1:2,command:J.toInternal(Ve,ke),text:se.text,tooltip:se.tooltip,accessibilityInformation:se.accessibilityInformation,priority:se.priority}}pe.from=Ae})(Yt||(e.NotebookStatusBarItem=Yt={}));var Xe;(function(pe){function Ae(se,J,ke){const Ve=typeof se.command=="string"?{title:"",command:se.command}:se.command;return{command:J.toInternal(Ve,ke),label:se.label,description:se.description,detail:se.detail,documentation:se.documentation}}pe.from=Ae})(Xe||(e.NotebookKernelSourceAction=Xe={}));var oi;(function(pe){function Ae(se){return{transientOutputs:se?.transientOutputs??!1,transientCellMetadata:se?.transientCellMetadata??{},transientDocumentMetadata:se?.transientDocumentMetadata??{},cellContentMetadata:se?.cellContentMetadata??{}}}pe.from=Ae})(oi||(e.NotebookDocumentContentOptions=oi={}));var Ht;(function(pe){function Ae(J){return{uri:J.uri,provides:J.provides}}pe.from=Ae;function se(J){return new u.$GO(r.URI.revive(J.uri),J.provides)}pe.to=se})(Ht||(e.NotebookRendererScript=Ht={}));var ht;(function(pe){function Ae(J){return{message:ie.fromStrict(J.message)||"",type:0,expected:J.expectedOutput,actual:J.actualOutput,contextValue:J.contextValue,location:J.location&&{range:v.from(J.location.range),uri:J.location.uri}}}pe.from=Ae;function se(J){const ke=new u.$MO(typeof J.message=="string"?J.message:ie.to(J.message));return ke.actualOutput=J.actual,ke.expectedOutput=J.expected,ke.contextValue=J.contextValue,ke.location=J.location?ge.to(J.location):void 0,ke}pe.to=se})(ht||(e.TestMessage=ht={}));var $t;(function(pe){pe.namespace=a.$ZL,pe.denamespace=a.$1L})($t||(e.TestTag=$t={}));var xt;(function(pe){function Ae(J){const ke=(0,n.$sP)(J).controllerId;return{extId:f.$UL.fromExtHostTestItem(J,ke).toString(),label:J.label,uri:r.URI.revive(J.uri),busy:J.busy,tags:J.tags.map(Ve=>$t.namespace(ke,Ve.id)),range:o.$ut.lift(v.from(J.range)),description:J.description||null,sortText:J.sortText||null,error:J.error&&ie.fromStrict(J.error)||null}}pe.from=Ae;function se(J){return{parent:void 0,error:void 0,id:f.$UL.fromString(J.extId).localId,label:J.label,uri:r.URI.revive(J.uri),tags:(J.tags||[]).map(ke=>{const{tagId:Ve}=$t.denamespace(ke);return new u.$NO(Ve)}),children:{add:()=>{},delete:()=>{},forEach:()=>{},*[Symbol.iterator](){},get:()=>{},replace:()=>{},size:0},range:v.to(J.range||void 0),canResolveChildren:!1,busy:J.busy,description:J.description||void 0,sortText:J.sortText||void 0}}pe.toPlain=se})(xt||(e.TestItem=xt={})),function(pe){function Ae(J){return{id:J.id}}pe.from=Ae;function se(J){return new u.$NO(J.id)}pe.to=se}($t||(e.TestTag=$t={}));var Kt;(function(pe){const Ae=(J,ke)=>{const Ve=J.value;if(!Ve)return;const Ze={...xt.toPlain(Ve.item),parent:ke,taskStates:Ve.tasks.map(He=>({state:He.state,duration:He.duration,messages:He.messages.filter(ut=>ut.type===0).map(ht.to)})),children:[]};if(J.children)for(const He of J.children.values()){const ut=Ae(He,Ze);ut&&Ze.children.push(ut)}return Ze};function se(J){const ke=new d.$lP;for(const He of J.items)ke.insert(f.$UL.fromString(He.item.extId).path,He);const Ve=[ke.nodes],Ze=[];for(;Ve.length;)for(const He of Ve.pop())He.value?Ze.push(He):He.children&&Ve.push(He.children.values());return{completedAt:J.completedAt,results:Ze.map(He=>Ae(He)).filter(m.$eg)}}pe.to=se})(Kt||(e.TestResults=Kt={}));var Ft;(function(pe){function Ae(Ve){return{covered:Ve.covered,total:Ve.total}}function se(Ve){return"line"in Ve?y.from(Ve):v.from(Ve)}function J(Ve){if(typeof Ve.executed=="number"&&Ve.executed<0)throw new Error(`Invalid coverage count ${Ve.executed}`);return"branches"in Ve?{count:Ve.executed,location:se(Ve.location),type:1,branches:Ve.branches.length?Ve.branches.map(Ze=>({count:Ze.executed,location:Ze.location&&se(Ze.location),label:Ze.label})):void 0}:{type:0,name:Ve.name,count:Ve.executed,location:se(Ve.location)}}pe.fromDetails=J;function ke(Ve,Ze){return u.$PO(Ze.statementCoverage),u.$PO(Ze.branchCoverage),u.$PO(Ze.declarationCoverage),{id:Ve,uri:Ze.uri,statement:Ae(Ze.statementCoverage),branch:Ze.branchCoverage&&Ae(Ze.branchCoverage),declaration:Ze.declarationCoverage&&Ae(Ze.declarationCoverage)}}pe.fromFile=ke})(Ft||(e.TestCoverage=Ft={}));var ft;(function(pe){function Ae(se){switch(se){case 1:return u.CodeActionTriggerKind.Invoke;case 2:return u.CodeActionTriggerKind.Automatic}}pe.to=Ae})(ft||(e.CodeActionTriggerKind=ft={}));var Bt;(function(pe){function Ae(J){const ke=new u.$UO(ne.to(J.kind),J.name,J.detail||"",r.URI.revive(J.uri),v.to(J.range),v.to(J.selectionRange));return ke._sessionId=J._sessionId,ke._itemId=J._itemId,ke}pe.to=Ae;function se(J,ke,Ve){if(ke=ke??J._sessionId,Ve=Ve??J._itemId,ke===void 0||Ve===void 0)throw new Error("invalid item");return{_sessionId:ke,_itemId:Ve,kind:ne.from(J.kind),name:J.name,detail:J.detail??"",uri:J.uri,range:v.from(J.range),selectionRange:v.from(J.selectionRange),tags:J.tags?.map(z.from)}}pe.from=se})(Bt||(e.TypeHierarchyItem=Bt={}));var _t;(function(pe){function Ae(se){if(se)return{value:se.value,tooltip:se.tooltip}}pe.from=Ae})(_t||(e.ViewBadge=_t={}));var jt;(function(pe){function Ae(Ve,Ze,He){const ut=Ze.fileData;return ut?new u.$2N(new u.$3N(ut.name,r.URI.revive(ut.uri),ut.id,(0,M.$db)(()=>He(ut.id)))):Ve===T.$Qs.uriList&&Ze.uriListData?new u.$1N(ke(Ze.uriListData)):new u.$1N(Ze.asString)}pe.to=Ae;async function se(Ve,Ze){const He=await Ze.asString();if(Ve===T.$Qs.uriList)return{asString:He,fileData:void 0,uriListData:J(He)};const ut=Ze.asFile();return{asString:He,fileData:ut?{name:ut.name,uri:ut.uri,id:ut._itemId??ut.id}:void 0}}pe.from=se;function J(Ve){return R.$Ut.split(Ve).map(Ze=>{if(Ze.startsWith("#"))return Ze;try{return r.URI.parse(Ze)}catch{}return Ze})}function ke(Ve){return R.$Ut.create(Ve.map(Ze=>typeof Ze=="string"?Ze:r.URI.revive(Ze)))}})(jt||(e.DataTransferItem=jt={}));var Qe;(function(pe){function Ae(J,ke){const Ve=J.items.map(([Ze,He])=>[Ze,jt.to(Ze,He,ke)]);return new u.$4N(Ve)}pe.toDataTransfer=Ae;async function se(J){const ke={items:[]},Ve=[];for(const[Ze,He]of J)Ve.push((async()=>{ke.items.push([Ze,await jt.from(Ze,He)])})());return await Promise.all(Ve),ke}pe.from=se})(Qe||(e.DataTransfer=Qe={}));var ui;(function(pe){function Ae(J,ke){return{kind:"reply",agentId:J.participant??ke?.agentId??"",subCommand:J.command??ke?.command,message:J.prompt,title:J.label}}pe.from=Ae;function se(J){return{prompt:J.message,label:J.title,participant:J.agentId,command:J.subCommand}}pe.to=se})(ui||(e.ChatFollowup=ui={}));var Jt;(function(pe){function Ae(se){return"commandId"in se?{kind:"command",title:se.title??"",commandId:se.commandId??"",when:se.when??"",args:se.args}:{kind:"reply",message:se.message,title:se.title,tooltip:se.tooltip}}pe.from=Ae})(Jt||(e.ChatInlineFollowup=Jt={}));var Wt;(function(pe){function Ae(J){switch(J.role){case 0:return new u.$gP(J.content);case 1:return new u.$hP(J.content);case 2:return new u.$iP(J.content)}}pe.to=Ae;function se(J){if(J instanceof u.$gP)return{role:0,content:J.content};if(J instanceof u.$hP)return{role:1,content:J.content};if(J instanceof u.$iP)return{role:2,content:J.content};throw new Error("Invalid LanguageModelMessage")}pe.from=se})(Wt||(e.LanguageModelMessage=Wt={}));var pt;(function(pe){function Ae(ke){const Ve={};for(const Ze of Object.keys(ke))Ve[Ze]=ke[Ze].map(pe.to);return Ve}pe.objectTo=Ae;function se(ke){return{level:Lt.to(ke.level),kind:ke.kind,value:(0,r.$wc)(ke.value)?r.URI.revive(ke.value):ke.value,description:ke.description}}pe.to=se;function J(ke){return{level:Lt.from(ke.level),kind:ke.kind,value:ke.value,description:ke.description}}pe.from=J})(pt||(e.ChatVariable=pt={}));var Lt;(function(pe){function Ae(J){switch(J){case"short":return u.ChatVariableLevel.Short;case"medium":return u.ChatVariableLevel.Medium;case"full":default:return u.ChatVariableLevel.Full}}pe.to=Ae;function se(J){switch(J){case u.ChatVariableLevel.Short:return"short";case u.ChatVariableLevel.Medium:return"medium";case u.ChatVariableLevel.Full:default:return"full"}}pe.from=se})(Lt||(e.ChatVariableLevel=Lt={}));var At;(function(pe){function Ae(se){switch(se){case 1:return u.InteractiveEditorResponseFeedbackKind.Helpful;case 0:return u.InteractiveEditorResponseFeedbackKind.Unhelpful;case 2:return u.InteractiveEditorResponseFeedbackKind.Undone;case 3:return u.InteractiveEditorResponseFeedbackKind.Accepted;case 4:return u.InteractiveEditorResponseFeedbackKind.Bug}}pe.to=Ae})(At||(e.InteractiveEditorResponseFeedbackKind=At={}));var Ot;(function(pe){function Ae(J){return{kind:"markdownContent",content:ie.from(J.value)}}pe.from=Ae;function se(J){return new u.$8O(ie.to(J.content))}pe.to=se})(Ot||(e.ChatResponseMarkdownPart=Ot={}));var ii;(function(pe){function Ae(J){return{kind:"markdownVuln",content:ie.from(J.value),vulnerabilities:J.vulnerabilities}}pe.from=Ae;function se(J){return new u.$9O(ie.to(J.content),J.vulnerabilities)}pe.to=se})(ii||(e.ChatResponseMarkdownWithVulnerabilitiesPart=ii={}));var qt;(function(pe){function Ae(J){return{kind:"agentDetection",agentId:J.participant,command:J.command}}pe.from=Ae;function se(J){return new u.$0O(J.agentId,J.command)}pe.to=se})(qt||(e.ChatResponseDetectedParticipantPart=qt={}));var ni;(function(pe){function Ae(J){const{value:ke,baseUri:Ve}=J;function Ze(He,ut){return He.map(yt=>{const zt=r.URI.joinPath(ut,yt.name);return{label:yt.name,uri:zt,children:yt.children&&Ze(yt.children,zt)}})}return{kind:"treeData",treeData:{label:(0,b.$7g)(Ve),uri:Ve,children:Ze(ke,Ve)}}}pe.from=Ae;function se(J){const ke=(0,E.$6h)(J.treeData);function Ve(ut){return ut.map(yt=>({name:yt.label,children:yt.children&&Ve(yt.children)}))}const Ze=ke.uri,He=ke.children?Ve(ke.children):[];return new u.$$O(He,Ze)}pe.to=se})(ni||(e.ChatResponseFilesPart=ni={}));var Ct;(function(pe){function Ae(J){return{kind:"inlineReference",name:J.title,inlineReference:r.URI.isUri(J.value)?J.value:g.from(J.value)}}pe.from=Ae;function se(J){const ke=(0,E.$6h)(J);return new u.$_O(r.URI.isUri(ke.inlineReference)?ke.inlineReference:g.to(ke.inlineReference),J.name)}pe.to=se})(Ct||(e.ChatResponseAnchorPart=Ct={}));var Mt;(function(pe){function Ae(J){return{kind:"progressMessage",content:ie.from(J.value)}}pe.from=Ae;function se(J){return new u.$aP(J.content.value)}pe.to=se})(Mt||(e.ChatResponseProgressPart=Mt={}));var Nt;(function(pe){function Ae(J,ke,Ve){return{kind:"command",command:ke.toInternal(J.value,Ve)??{command:J.value.command,title:J.value.title}}}pe.from=Ae;function se(J,ke){return new u.$bP(ke.fromInternal(J.command)??{command:J.command.id,title:J.command.title})}pe.to=se})(Nt||(e.ChatResponseCommandButtonPart=Nt={}));var It;(function(pe){function Ae(J){return{kind:"textEdit",uri:J.uri,edits:J.edits.map(ke=>ae.from(ke))}}pe.from=Ae;function se(J){return new u.$dP(r.URI.revive(J.uri),J.edits.map(ke=>ae.to(ke)))}pe.to=se})(It||(e.ChatResponseTextEditPart=It={}));var mt;(function(pe){function Ae(J){const ke=S.ThemeIcon.isThemeIcon(J.iconPath)?J.iconPath:void 0;return"variableName"in J.value?{kind:"reference",reference:{variableName:J.value.variableName,value:r.URI.isUri(J.value.value)||!J.value.value?J.value.value:g.from(J.value.value)},iconPath:ke}:{kind:"reference",reference:r.URI.isUri(J.value)?J.value:g.from(J.value),iconPath:ke}}pe.from=Ae;function se(J){const ke=(0,E.$6h)(J),Ve=Ze=>r.URI.isUri(Ze)?Ze:g.to(Ze);return new u.$cP("variableName"in ke.reference?{variableName:ke.reference.variableName,value:ke.reference.value&&Ve(ke.reference.value)}:Ve(ke.reference))}pe.to=se})(mt||(e.ChatResponseReferencePart=mt={}));var Dt;(function(pe){function Ae(ke,Ve,Ze){return ke instanceof u.$8O?Ot.from(ke):ke instanceof u.$_O?Ct.from(ke):ke instanceof u.$cP?mt.from(ke):ke instanceof u.$aP?Mt.from(ke):ke instanceof u.$$O?ni.from(ke):ke instanceof u.$bP?Nt.from(ke,Ve,Ze):ke instanceof u.$dP?It.from(ke):ke instanceof u.$9O?ii.from(ke):ke instanceof u.$0O?qt.from(ke):{kind:"markdownContent",content:ie.from("")}}pe.from=Ae;function se(ke,Ve){switch(ke.kind){case"reference":return mt.to(ke);case"markdownContent":case"inlineReference":case"progressMessage":case"treeData":case"command":return J(ke,Ve)}}pe.to=se;function J(ke,Ve){switch(ke.kind){case"markdownContent":return Ot.to(ke);case"inlineReference":return Ct.to(ke);case"progressMessage":return;case"treeData":return ni.to(ke);case"command":return Nt.to(ke,Ve)}}pe.toContent=J})(Dt||(e.ChatResponsePart=Dt={}));var ai;(function(pe){function Ae(se){return{prompt:se.message,command:se.command,attempt:se.attempt??0,enableCommandDetection:se.enableCommandDetection??!0,variables:se.variables.variables.map(fi.to),location:kt.to(se.location)}}pe.to=Ae})(ai||(e.ChatAgentRequest=ai={}));var kt;(function(pe){function Ae(se){switch(se){case l.ChatAgentLocation.Notebook:return u.ChatLocation.Notebook;case l.ChatAgentLocation.Terminal:return u.ChatLocation.Terminal;case l.ChatAgentLocation.Panel:return u.ChatLocation.Panel;case l.ChatAgentLocation.Editor:return u.ChatLocation.Editor}}pe.to=Ae})(kt||(e.ChatLocation=kt={}));var fi;(function(pe){function Ae(se){return{name:se.name,range:se.range&&[se.range.start,se.range.endExclusive],values:se.values.map(pt.to)}}pe.to=Ae})(fi||(e.ChatAgentResolvedVariable=fi={}));var ri;(function(pe){function Ae(se,J,ke){return{label:se.label,values:se.values.map(pt.from),insertText:se.insertText,detail:se.detail,documentation:se.documentation,command:J.toInternal(se.command,ke)}}pe.from=Ae})(ri||(e.ChatAgentCompletionItem=ri={}));var $i;(function(pe){function Ae(se){return{errorDetails:se.errorDetails,metadata:se.metadata}}pe.to=Ae})($i||(e.ChatAgentResult=$i={}));var li;(function(pe){function Ae(se,J,ke){if(J.action.kind==="vote")return;const Ve=$i.to(se);if(J.action.kind==="command"){const Ze=J.action.commandButton.command;return{action:{kind:"command",commandButton:{command:ke.fromInternal(Ze)??{command:Ze.id,title:Ze.title}}},result:Ve}}else return J.action.kind==="followUp"?{action:{kind:"followUp",followup:ui.to(J.action.followup)},result:Ve}:J.action.kind==="inlineChat"?{action:{kind:"editor",accepted:J.action.action==="accepted"},result:Ve}:{action:J.action,result:Ve}}pe.to=Ae})(li||(e.ChatAgentUserActionEvent=li={}));var wi;(function(pe){function Ae(se,J,ke){return"terminalCommand"in se?{terminalCommand:se.terminalCommand,shouldExecute:se.shouldExecute}:"uri"in se?{uri:se.uri}:J.toInternal(se,ke)}pe.from=Ae})(wi||(e.TerminalQuickFix=wi={}));var St;(function(pe){function Ae(se){return{kind:vi.to(se.kind)}}pe.to=Ae})(St||(e.PartialAcceptInfo=St={}));var vi;(function(pe){function Ae(se){switch(se){case 0:return u.PartialAcceptTriggerKind.Word;case 1:return u.PartialAcceptTriggerKind.Line;case 2:return u.PartialAcceptTriggerKind.Suggest;default:return u.PartialAcceptTriggerKind.Unknown}}pe.to=Ae})(vi||(e.PartialAcceptTriggerKind=vi={}));var si;(function(pe){function Ae(se,J){return{id:J,label:se.label,description:se.description,canEdit:se.canEdit,collapsibleState:se.collapsibleState||0,contextValue:se.contextValue}}pe.from=Ae})(si||(e.DebugTreeItem=si={}))}),define(Ie[262],Pe([1,0,4,17,8,35]),function(le,e,I,O,R,M){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$llc=void 0;let A=class{constructor(p,E){this.a=p.getProxy(I.$9M.MainThreadBulkEdits),this.b={getTextDocumentVersion:T=>E.getDocument(T)?.version,getNotebookDocumentVersion:()=>{}}}applyWorkspaceEdit(p,E,T){const D=new M.$Bw(R.WorkspaceEdit.from(p,this.b));return this.a.$tryApplyWorkspaceEdit(D,void 0,T?.isRefactoring??!1)}};e.$llc=A,e.$llc=A=Je([We(0,O.$wP)],A)}),define(Ie[263],Pe([1,0,18,11,44,5,42,6,66,15,2,20,4,8,7,225,26]),function(le,e,I,O,R,M,A,w,p,E,T,D,d,b,m,r,o){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$mlc=void 0;class s{constructor(l,t,f,a,$){this.j=l,this.k=t,this.l=f,this.m=a,this.n=$,this.b=p.$ae.create(!1),this.c=!1}close(){this.c=!0}get timings(){return{firstProgress:this.d,totalElapsed:this.b.elapsed()}}get apiObject(){if(!this.g){let t=function(a){if(l.c){const $=new Error("Response stream has been closed");throw Error.captureStackTrace($,a),$}};const l=this;this.b.reset();const f=a=>{typeof this.d>"u"&&"content"in a&&(this.d=this.b.elapsed()),this.l.$handleProgressChunk(this.k.requestId,a)};this.g={markdown(a){t(this.markdown);const $=new m.$8O(a),u=b.ChatResponseMarkdownPart.from($);return f(u),this},markdownWithVulnerabilities(a,$){t(this.markdown),$&&(0,o.$OG)(l.j,"chatParticipantAdditions");const u=new m.$9O(a,$),S=b.ChatResponseMarkdownWithVulnerabilitiesPart.from(u);return f(S),this},filetree(a,$){t(this.filetree);const u=new m.$$O(a,$),S=b.ChatResponseFilesPart.from(u);return f(S),this},anchor(a,$){t(this.anchor);const u=new m.$_O(a,$),S=b.ChatResponseAnchorPart.from(u);return f(S),this},button(a){t(this.anchor);const $=new m.$bP(a),u=b.ChatResponseCommandButtonPart.from($,l.m,l.n);return f(u),this},progress(a){t(this.progress);const $=new m.$aP(a),u=b.ChatResponseProgressPart.from($);return f(u),this},reference(a,$){if(t(this.reference),"variableName"in a&&!a.value){const u=l.k.variables.variables.find(S=>S.name===a.variableName);if(u){let S;if(u.references?.length)S=u.references.map(h=>({kind:"reference",reference:{variableName:a.variableName,value:h.reference}}));else{const h=new m.$cP(a,$);S=[b.ChatResponseReferencePart.from(h)]}return S.forEach(h=>f(h)),this}}else{const u=new m.$cP(a,$),S=b.ChatResponseReferencePart.from(u);f(S)}return this},textEdit(a,$){t(this.textEdit),(0,o.$OG)(l.j,"chatParticipantAdditions");const u=new m.$dP(a,$),S=b.ChatResponseTextEditPart.from(u);return f(S),this},detectedParticipant(a,$){t(this.detectedParticipant),(0,o.$OG)(l.j,"chatParticipantAdditions");const u=new m.$0O(a,$),S=b.ChatResponseDetectedParticipantPart.from(u);return f(S),this},push(a){if(t(this.push),(a instanceof m.$dP||a instanceof m.$9O||a instanceof m.$0O)&&(0,o.$OG)(l.j,"chatParticipantAdditions"),a instanceof m.$cP)this.reference(a.value,a.iconPath);else{const $=b.ChatResponsePart.from(a,l.m,l.n);f($)}return this}}}return this.g}}class i extends w.$Vc{static{this.b=0}constructor(l,t,f){super(),this.n=t,this.s=f,this.c=new Map,this.j=this.B(new w.$5c),this.m=this.B(new w.$Uc),this.g=l.getProxy(d.$9M.MainThreadChatAgents2)}transferActiveChat(l){this.g.$transferActiveChatSession(l)}createChatAgent(l,t,f){const a=i.b++,$=new n(l,t,this.g,a,f);return this.c.set(a,$),this.g.$registerAgent(a,l.identifier,t,{},void 0),$.apiAgent}createDynamicChatAgent(l,t,f,a,$){const u=i.b++,S=new n(l,t,this.g,u,$);return this.c.set(u,S),this.g.$registerAgent(u,l.identifier,t,{isSticky:!0},{name:f,description:a}),S.apiAgent}async $invokeAgent(l,t,f,a){const $=this.c.get(l);if(!$)throw new Error(`[CHAT](${l}) CANNOT invoke agent because the agent is not registered`);let u=this.j.get(t.sessionId);u||(u=new w.$Uc,this.j.set(t.sessionId,u));const S=new s($.extension,t,this.g,this.s.converter,u);try{const h=await this.t(t.agentId,f),v=$.invoke(b.ChatAgentRequest.to(t),{history:h},S.apiObject,a);return await(0,O.$kh)(Promise.resolve(v).then(g=>{if(g?.metadata)try{JSON.stringify(g.metadata)}catch(k){const y=`result.metadata MUST be JSON.stringify-able. Got error: ${k.message}`;return this.n.error(`[${$.extension.identifier.value}] [@${$.id}] ${y}`,$.extension),{errorDetails:{message:y},timings:S.timings}}return{errorDetails:g?.errorDetails,timings:S.timings,metadata:g?.metadata}}),a)}catch(h){return this.n.error(h,$.extension),{errorDetails:{message:(0,R.$hj)(h),responseIsIncomplete:!0}}}finally{S.close()}}async t(l,t){const f=[];for(const a of t.history){const $=b.ChatAgentResult.to(a.result),u=l===a.request.agentId?$:{...$,metadata:void 0};f.push(new m.$eP(a.request.message,a.request.command,a.request.variables.variables.map(b.ChatAgentResolvedVariable.to),a.request.agentId));const S=(0,I.$Hb)(a.response.map(h=>b.ChatResponsePart.toContent(h,this.s.converter)));f.push(new m.$fP(S,u,a.request.agentId,a.request.command))}return f}$releaseSession(l){this.j.deleteAndDispose(l)}async $provideFollowups(l,t,f,a,$){const u=this.c.get(t);if(!u)return Promise.resolve([]);const S=await this.t(u.id,a),h=b.ChatAgentResult.to(f);return(await u.provideFollowups(h,{history:S},$)).filter(v=>{const g=!v.participant||A.Iterable.some(this.c.values(),k=>k.id===v.participant&&D.$Rm.equals(k.extension.identifier,u.extension.identifier));return g||this.n.warn(`[@${u.id}] ChatFollowup refers to an unknown participant: ${v.participant}`),g}).map(v=>b.ChatFollowup.from(v,l))}$acceptFeedback(l,t,f,a){const $=this.c.get(l);if(!$)return;const u=b.ChatAgentResult.to(t);let S;switch(f){case r.InteractiveSessionVoteDirection.Down:S=m.ChatResultFeedbackKind.Unhelpful;break;case r.InteractiveSessionVoteDirection.Up:S=m.ChatResultFeedbackKind.Helpful;break}$.acceptFeedback(Object.freeze(a?{result:u,kind:S,reportIssue:a}:{result:u,kind:S}))}$acceptAction(l,t,f){const a=this.c.get(l);if(!a||f.action.kind==="vote")return;const $=b.ChatAgentUserActionEvent.to(t,f,this.s.converter);$&&a.acceptAction(Object.freeze($))}async $invokeCompletionProvider(l,t,f){const a=this.c.get(l);return a?(await a.invokeCompletionProvider(t,f)).map(u=>b.ChatAgentCompletionItem.from(u,this.s.converter,this.m)):[]}async $provideWelcomeMessage(l,t,f){const a=this.c.get(l);if(a)return await a.provideWelcomeMessage(b.ChatLocation.to(t),f)}async $provideSampleQuestions(l,t,f){const a=this.c.get(l);if(a)return(await a.provideSampleQuestions(b.ChatLocation.to(t),f)).map($=>b.ChatFollowup.from($,void 0))}}e.$mlc=i;class n{constructor(l,t,f,a,$){this.extension=l,this.id=t,this.w=f,this.x=a,this.y=$,this.o=new M.$ee,this.p=new M.$ee}acceptFeedback(l){this.o.fire(l)}acceptAction(l){this.p.fire(l)}async invokeCompletionProvider(l,t){return this.s?await this.s.provider.provideCompletionItems(l,t)??[]:[]}async provideFollowups(l,t,f){if(!this.b)return[];const a=await this.b.provideFollowups(l,t,f);return a?a.filter($=>!($&&"commandId"in $)).filter($=>!($&&"message"in $)):[]}async provideWelcomeMessage(l,t){if(!this.t)return[];const f=await this.t.provideWelcomeMessage(l,t);return f?f.map(a=>typeof a=="string"?a:b.MarkdownString.from(a)):[]}async provideSampleQuestions(l,t){if(!this.t||!this.t.provideSampleQuestions)return[];const f=await this.t.provideSampleQuestions(l,t);return f||[]}get apiAgent(){let l=!1,t=!1;const f=()=>{l||t||(t=!0,queueMicrotask(()=>{this.w.$updateAgent(this.x,{fullName:this.c,icon:this.d?this.d instanceof T.URI?this.d:"light"in this.d?this.d.light:void 0:void 0,iconDark:this.d&&"dark"in this.d?this.d.dark:void 0,themeIcon:this.d instanceof m.$8N?this.d:void 0,hasFollowups:this.b!==void 0,isSecondary:this.n,helpTextPrefix:!this.j||typeof this.j=="string"?this.j:b.MarkdownString.from(this.j),helpTextVariablesPrefix:!this.k||typeof this.k=="string"?this.k:b.MarkdownString.from(this.k),helpTextPostfix:!this.l||typeof this.l=="string"?this.l:b.MarkdownString.from(this.l),sampleRequest:this.m,supportIssueReporting:this.q,requester:this.u}),t=!1}))},a=this;return{get id(){return a.id},get fullName(){return(0,o.$OG)(a.extension,"defaultChatParticipant"),a.c??a.extension.displayName??a.extension.name},set fullName($){(0,o.$OG)(a.extension,"defaultChatParticipant"),a.c=$,f()},get iconPath(){return a.d},set iconPath($){a.d=$,f()},get requestHandler(){return a.y},set requestHandler($){(0,E.$gg)(typeof $=="function","Invalid request handler"),a.y=$},get followupProvider(){return a.b},set followupProvider($){a.b=$,f()},get isDefault(){return(0,o.$OG)(a.extension,"defaultChatParticipant"),a.g},set isDefault($){(0,o.$OG)(a.extension,"defaultChatParticipant"),a.g=$,f()},get helpTextPrefix(){return(0,o.$OG)(a.extension,"defaultChatParticipant"),a.j},set helpTextPrefix($){(0,o.$OG)(a.extension,"defaultChatParticipant"),a.j=$,f()},get helpTextVariablesPrefix(){return(0,o.$OG)(a.extension,"defaultChatParticipant"),a.k},set helpTextVariablesPrefix($){(0,o.$OG)(a.extension,"defaultChatParticipant"),a.k=$,f()},get helpTextPostfix(){return(0,o.$OG)(a.extension,"defaultChatParticipant"),a.l},set helpTextPostfix($){(0,o.$OG)(a.extension,"defaultChatParticipant"),a.l=$,f()},get isSecondary(){return(0,o.$OG)(a.extension,"defaultChatParticipant"),a.n},set isSecondary($){(0,o.$OG)(a.extension,"defaultChatParticipant"),a.n=$,f()},get sampleRequest(){return a.m},set sampleRequest($){a.m=$,f()},get supportIssueReporting(){return(0,o.$OG)(a.extension,"chatParticipantAdditions"),a.q},set supportIssueReporting($){(0,o.$OG)(a.extension,"chatParticipantAdditions"),a.q=$,f()},get onDidReceiveFeedback(){return a.o.event},set participantVariableProvider($){if((0,o.$OG)(a.extension,"chatParticipantAdditions"),a.s=$,$){if(!$.triggerCharacters.length)throw new Error("triggerCharacters are required");a.w.$registerAgentCompletionsProvider(a.x,$.triggerCharacters)}else a.w.$unregisterAgentCompletionsProvider(a.x)},get participantVariableProvider(){return(0,o.$OG)(a.extension,"chatParticipantAdditions"),a.s},set welcomeMessageProvider($){(0,o.$OG)(a.extension,"defaultChatParticipant"),a.t=$,f()},get welcomeMessageProvider(){return(0,o.$OG)(a.extension,"defaultChatParticipant"),a.t},onDidPerformAction:(0,o.$NG)(this.extension,"chatParticipantAdditions")?this.p.event:void 0,set requester($){a.u=$,f()},get requester(){return a.u},dispose(){l=!0,a.b=void 0,a.o.dispose(),a.w.$unregisterAgent(a.x)}}}invoke(l,t,f,a){return this.y(l,t,f,a)}}}),define(Ie[264],Pe([1,0,14,6,4,8,7,26]),function(le,e,I,O,R,M,A,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$nlc=void 0;class p{static{this.a=0}constructor(D){this.b=new Map,this.c=D.getProxy(R.$9M.MainThreadChatVariables)}async $resolveVariable(D,d,b,m){const r=this.b.get(D);if(r)try{if(r.resolver.resolve2){(0,w.$OG)(r.extension,"chatParticipantAdditions");const o=new E(d,this.c),s=await r.resolver.resolve2(r.data.name,{prompt:b},o.apiObject,m);if(s)return s.map(M.ChatVariable.from)}else{const o=await r.resolver.resolve(r.data.name,{prompt:b},m);if(o)return o.map(M.ChatVariable.from)}}catch(o){(0,I.$2)(o)}}registerVariableResolver(D,d,b,m){const r=p.a++;return this.b.set(r,{extension:D,data:{name:d,description:b},resolver:m}),this.c.$registerVariable(r,{name:d,description:b}),(0,O.$Tc)(()=>{this.b.delete(r),this.c.$unregisterVariable(r)})}}e.$nlc=p;class E{constructor(D,d){this.c=D,this.d=d,this.a=!1}close(){this.a=!0}get apiObject(){if(!this.b){let d=function(m){if(D.a){const r=new Error("Response stream has been closed");throw Error.captureStackTrace(r,m),r}};const D=this,b=m=>{this.d.$handleProgressChunk(this.c,m)};this.b={progress(m){d(this.progress);const r=new A.$aP(m),o=M.ChatResponseProgressPart.from(r);return b(o),this},reference(m){d(this.reference);const r=new A.$cP(m),o=M.ChatResponseReferencePart.from(r);return b(o),this},push(m){return d(this.push),m instanceof A.$cP?b(M.ChatResponseReferencePart.from(m)):m instanceof A.$aP&&b(M.ChatResponseProgressPart.from(m)),this}}}return this.b}}}),define(Ie[265],Pe([1,0,11,69,5,6,2,89,20,8,7,4,26]),function(le,e,I,O,R,M,A,w,p,E,T,D,d){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$rlc=b;function b(m,r,o){const s=m.getProxy(D.$9M.MainThreadComments);class i{static{this.a=0}constructor(){this.b=new Map,this.c=new p.$Tm,r.registerArgumentProcessor({processArgument:h=>{if(h&&h.$mid===6){const v=this.b.get(h.handle);return v?v.value:h}else if(h&&h.$mid===7){const v=h,g=this.b.get(v.commentControlHandle);if(!g)return v;const k=g.getCommentThread(v.commentThreadHandle);return k?k.value:v}else if(h&&(h.$mid===9||h.$mid===8)){const v=this.b.get(h.thread.commentControlHandle);if(!v)return h;const g=v.getCommentThread(h.thread.commentThreadHandle);return g?h.$mid===8?g.value:{thread:g.value,text:h.text}:h}else if(h&&h.$mid===10){const v=this.b.get(h.thread.commentControlHandle);if(!v)return h;const g=v.getCommentThread(h.thread.commentThreadHandle);if(!g)return h;const k=h.commentUniqueId,y=g.getCommentByUniqueId(k);return y||h}else if(h&&h.$mid===11){const v=this.b.get(h.thread.commentControlHandle);if(!v)return h;const g=v.getCommentThread(h.thread.commentThreadHandle);if(!g)return h;const k=h.text,y=h.commentUniqueId,C=g.getCommentByUniqueId(y);return C?(typeof C.body=="string"?C.body=k:C.body=new T.$AN(k),C):h}return h}})}createCommentController(h,v,g){const k=i.a++,y=new c(h,k,v,g);this.b.set(y.handle,y);const C=this.c.get(h.identifier)||[];return C.push(y),this.c.set(h.identifier,C),y.value}async $createCommentThreadTemplate(h,v,g){const k=this.b.get(h);k&&k.$createCommentThreadTemplate(v,g)}async $setActiveComment(h,v){const g=this.b.get(h);g&&g.$setActiveComment(v??void 0)}async $updateCommentThreadTemplate(h,v,g){const k=this.b.get(h);k&&k.$updateCommentThreadTemplate(v,g)}$deleteCommentThread(h,v){this.b.get(h)?.$deleteCommentThread(v)}async $provideCommentingRanges(h,v,g){const k=this.b.get(h);if(!k||!k.commentingRangeProvider)return Promise.resolve(void 0);const y=await o.ensureDocumentData(A.URI.revive(v));return(0,I.$oh)(async()=>{const C=await k.commentingRangeProvider.provideCommentingRanges(y.document,g);let P;return Array.isArray(C)?P={ranges:C,fileComments:!1}:C?P={ranges:C.ranges||[],fileComments:C.fileComments||!1}:P=C??void 0,P}).then(C=>{let P;return C&&(P={ranges:C.ranges.map(W=>E.Range.from(W)),fileComments:C.fileComments}),P})}$toggleReaction(h,v,g,k,y){const C=this.b.get(h);return!C||!C.reactionHandler?Promise.resolve(void 0):(0,I.$oh)(()=>{const P=C.getCommentThread(v);if(P){const W=P.getCommentByUniqueId(k.uniqueIdInThread);if(C!==void 0&&W&&C.reactionHandler)return C.reactionHandler(W,f(y))}return Promise.resolve(void 0)})}}class n{static{this.a=0}set threadId(h){this.n=h}get threadId(){return this.n}get id(){return this.n}get resource(){return this.o}get uri(){return this.o}set range(h){(h===void 0!=(this.p===void 0)||!h||!this.p||!h.isEqual(this.p))&&(this.p=h,this.b.range=h,this.c.fire())}get range(){return this.p}set canReply(h){this.d!==h&&(this.d=h,this.b.canReply=h,this.c.fire())}get canReply(){return this.d}get label(){return this.e}set label(h){this.e=h,this.b.label=h,this.c.fire()}get contextValue(){return this.f}set contextValue(h){this.f=h,this.b.contextValue=h,this.c.fire()}get comments(){return this.q}set comments(h){this.q=h,this.b.comments=h,this.c.fire()}get collapsibleState(){return this.g}set collapsibleState(h){this.g=h,this.b.collapsibleState=h,this.c.fire()}get state(){return this.h}set state(h){this.h=h,typeof h=="object"?((0,d.$OG)(this.extensionDescription,"commentThreadApplicability"),this.b.state=h.resolved,this.b.applicability=h.applicability):this.b.state=h,this.c.fire()}get isDisposed(){return this.j}constructor(h,v,g,k,y,C,P,W){this.m=v,this.n=g,this.o=k,this.p=y,this.q=C,this.extensionDescription=P,this.r=W,this.handle=n.a++,this.commentHandle=0,this.b=Object.create(null),this.c=new R.$ee,this.onDidUpdateCommentThread=this.c.event,this.d=!0,this.k=new Map,this.l=new M.$Wc,this.l.value=new M.$Uc,this.n===void 0&&(this.n=`${h}.${this.handle}`),s.$createCommentThread(v,this.handle,this.n,this.o,E.Range.from(this.p),P.identifier,this.r),this.i=[],this.j=!1,this.i.push(this.onDidUpdateCommentThread(()=>{this.eventuallyUpdateCommentThread()})),this.comments=C,this.i.push({dispose:()=>{s.$deleteCommentThread(v,this.handle)}});const V=this;this.value={get uri(){return V.uri},get range(){return V.range},set range(q){V.range=q},get comments(){return V.comments},set comments(q){V.comments=q},get collapsibleState(){return V.collapsibleState},set collapsibleState(q){V.collapsibleState=q},get canReply(){return V.canReply},set canReply(q){V.canReply=q},get contextValue(){return V.contextValue},set contextValue(q){V.contextValue=q},get label(){return V.label},set label(q){V.label=q},get state(){return V.state},set state(q){V.state=q},dispose:()=>{V.dispose()}}}s(){this.r&&(this.r=!1,this.b.isTemplate=!1)}eventuallyUpdateCommentThread(){if(this.j)return;this.s(),this.l.value||(this.l.value=new M.$Uc);const h=g=>Object.prototype.hasOwnProperty.call(this.b,g),v={};h("range")&&(v.range=E.Range.from(this.p)),h("label")&&(v.label=this.label),h("contextValue")&&(v.contextValue=this.contextValue??null),h("comments")&&(v.comments=this.q.map(g=>l(this,g,this.k,this.extensionDescription))),h("collapsibleState")&&(v.collapseState=a(this.g)),h("canReply")&&(v.canReply=this.canReply),h("state")&&(v.state=$(this.h)),h("applicability")&&(v.applicability=u(this.h)),h("isTemplate")&&(v.isTemplate=this.r),this.b={},s.$updateCommentThread(this.m,this.handle,this.n,this.o,v)}getCommentByUniqueId(h){for(const v of this.k){const g=v[0],k=v[1];if(h===k)return g}}dispose(){this.j=!0,this.l.dispose(),this.i.forEach(h=>h.dispose())}}Je([(0,O.$2h)(100)],n.prototype,"eventuallyUpdateCommentThread",null);class c{get id(){return this.j}get label(){return this.k}get handle(){return this.i}get commentingRangeProvider(){return this.b}set commentingRangeProvider(h){this.b=h,h?.resourceHints&&(0,d.$OG)(this.h,"commentingRangeHint"),s.$updateCommentingRanges(this.handle,h?.resourceHints)}get reactionHandler(){return this.c}set reactionHandler(h){this.c=h,s.$updateCommentControllerFeatures(this.handle,{reactionHandler:!!h})}get options(){return this.d}set options(h){this.d=h,s.$updateCommentControllerFeatures(this.handle,{options:this.d})}get activeComment(){return(0,d.$OG)(this.h,"activeComment"),this.e}get activeCommentThread(){return(0,d.$OG)(this.h,"activeComment"),this.f}constructor(h,v,g,k){this.h=h,this.i=v,this.j=g,this.k=k,this.a=new Map,s.$registerCommentController(this.handle,g,k,this.h.identifier.value);const y=this;this.value=Object.freeze({id:y.id,label:y.label,get options(){return y.options},set options(C){y.options=C},get commentingRangeProvider(){return y.commentingRangeProvider},set commentingRangeProvider(C){y.commentingRangeProvider=C},get reactionHandler(){return y.reactionHandler},set reactionHandler(C){y.reactionHandler=C},get activeCommentThread(){return y.activeCommentThread},createCommentThread(C,P,W){return y.createCommentThread(C,P,W).value},dispose:()=>{y.dispose()}}),this.g=[],this.g.push({dispose:()=>{s.$unregisterCommentController(this.handle)}})}createCommentThread(h,v,g){v===void 0&&(0,d.$OG)(this.h,"fileComments");const k=new n(this.id,this.handle,void 0,h,v,g,this.h,!1);return this.a.set(k.handle,k),k}$setActiveComment(h){if(!h){this.e=void 0,this.f=void 0;return}const v=this.a.get(h.commentThreadHandle);v&&(this.e=h.uniqueIdInThread?v.getCommentByUniqueId(h.uniqueIdInThread):void 0,this.f=v)}$createCommentThreadTemplate(h,v){const g=new n(this.id,this.handle,void 0,A.URI.revive(h),E.Range.to(v),[],this.h,!0);return g.collapsibleState=w.CommentThreadCollapsibleState.Expanded,this.a.set(g.handle,g),g}$updateCommentThreadTemplate(h,v){const g=this.a.get(h);g&&(g.range=E.Range.to(v))}$deleteCommentThread(h){this.a.get(h)?.dispose(),this.a.delete(h)}getCommentThread(h){return this.a.get(h)}dispose(){this.a.forEach(h=>{h.dispose()}),this.g.forEach(h=>h.dispose())}}function l(S,h,v,g){let k=v.get(h);return k||(k=++S.commentHandle,v.set(h,k)),h.state!==void 0&&(0,d.$OG)(g,"commentsDraftState"),h.reactions?.some(y=>y.reactors!==void 0)&&(0,d.$OG)(g,"commentReactor"),{mode:h.mode,contextValue:h.contextValue,uniqueIdInThread:k,body:typeof h.body=="string"?h.body:E.MarkdownString.from(h.body),userName:h.author.name,userIconPath:h.author.iconPath,label:h.label,commentReactions:h.reactions?h.reactions.map(y=>t(y)):void 0,state:h.state,timestamp:h.timestamp?.toJSON()}}function t(S){return{label:S.label,iconPath:S.iconPath?E.$vP(S.iconPath):void 0,count:S.count,hasReacted:S.authorHasReacted,reactors:S.reactors&&S.reactors.length>0&&typeof S.reactors[0]!="string"?S.reactors.map(h=>h.name):S.reactors}}function f(S){return{label:S.label||"",count:S.count||0,iconPath:S.iconPath?A.URI.revive(S.iconPath):"",authorHasReacted:S.hasReacted||!1,reactors:S.reactors?.map(h=>({name:h}))}}function a(S){if(S!==void 0)switch(S){case T.CommentThreadCollapsibleState.Expanded:return w.CommentThreadCollapsibleState.Expanded;case T.CommentThreadCollapsibleState.Collapsed:return w.CommentThreadCollapsibleState.Collapsed}return w.CommentThreadCollapsibleState.Collapsed}function $(S){let h;if(typeof S=="object"?h=S.resolved:h=S,h!==void 0)switch(h){case T.CommentThreadState.Unresolved:return w.CommentThreadState.Unresolved;case T.CommentThreadState.Resolved:return w.CommentThreadState.Resolved}return w.CommentThreadState.Unresolved}function u(S){let h;if(typeof S=="object"&&(h=S.applicability),h!==void 0)switch(h){case T.CommentThreadApplicability.Current:return w.CommentThreadApplicability.Current;case T.CommentThreadApplicability.Outdated:return w.CommentThreadApplicability.Outdated}return w.CommentThreadApplicability.Current}return new i}}),define(Ie[266],Pe([1,0,24,73,6,16,23,2,8,64,76,4,7]),function(le,e,I,O,R,M,A,w,p,E,T,D,d){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Jlc=void 0;class b{constructor(f,a){this.document=f,this.b=a,this.a=1,this.c=new T.$0kc("custom documents")}addEdit(f){return this.c.add([f])}async undo(f,a){await this.f(f).undo(),a||this.disposeBackup()}async redo(f,a){await this.f(f).redo(),a||this.disposeBackup()}disposeEdits(f){for(const a of f)this.c.delete(a)}getNewBackupUri(){if(!this.b)throw new Error("Backup requires a valid storage path");const f=l(this.document.uri)+this.a++;return(0,A.$0g)(this.b,f)}updateBackup(f){this.d?.delete(),this.d=f}disposeBackup(){this.d?.delete(),this.d=void 0}f(f){const a=this.c.get(f,0);if(!a)throw new Error("No edit found");return a}}class m{constructor(){this.a=new Map}get(f,a){return this.a.get(this.b(f,a))}add(f,a,$){const u=this.b(f,a.uri);if(this.a.has(u))throw new Error(`Document already exists for viewType:${f} resource:${a.uri}`);const S=new b(a,$);return this.a.set(u,S),S}delete(f,a){const $=this.b(f,a.uri);this.a.delete($)}b(f,a){return`${f}@@@${a}`}}var r;(function(t){t[t.Text=0]="Text",t[t.Custom=1]="Custom"})(r||(r={}));class o{constructor(){this.a=new Map}addTextProvider(f,a,$){return this.b(0,f,a,$)}addCustomProvider(f,a,$){return this.b(1,f,a,$)}get(f){return this.a.get(f)}b(f,a,$,u){if(this.a.has(a))throw new Error(`Provider for viewType:${a} already registered`);return this.a.set(a,{type:f,extension:$,provider:u}),new d.$$M(()=>this.a.delete(a))}}class s{constructor(f,a,$,u,S){this.d=a,this.f=$,this.g=u,this.h=S,this.b=new o,this.c=new m,this.a=f.getProxy(D.$9M.MainThreadCustomEditors)}registerCustomEditorProvider(f,a,$,u){const S=new R.$Uc;return n($)?(S.add(this.b.addTextProvider(a,f,$)),this.a.$registerTextEditorProvider((0,E.$Glc)(f),a,u.webviewOptions||{},{supportsMove:!!$.moveCustomTextEditor},(0,E.$Elc)(f))):(S.add(this.b.addCustomProvider(a,f,$)),i($)&&S.add($.onDidChangeCustomDocument(h=>{const v=this.i(a,h.document.uri);if(c(h)){const g=v.addEdit(h);this.a.$onDidEdit(h.document.uri,a,g,h.label)}else this.a.$onContentChange(h.document.uri,a)})),this.a.$registerCustomEditorProvider((0,E.$Glc)(f),a,u.webviewOptions||{},!!u.supportsMultipleEditorsPerDocument,(0,E.$Elc)(f))),d.$$M.from(S,new d.$$M(()=>{this.a.$unregisterEditorProvider(a)}))}async $createCustomDocument(f,a,$,u,S){const h=this.b.get(a);if(!h)throw new Error(`No provider found for '${a}'`);if(h.type!==1)throw new Error(`Invalid provide type for '${a}'`);const v=w.URI.revive(f),g=await h.provider.openCustomDocument(v,{backupId:$,untitledDocumentData:u?.buffer},S);let k;return i(h.provider)&&this.f&&(k=this.f.workspaceValue(h.extension)??this.f.globalValue(h.extension)),this.c.add(a,g,k),{editable:i(h.provider)}}async $disposeCustomDocument(f,a){const $=this.b.get(a);if(!$)throw new Error(`No provider found for '${a}'`);if($.type!==1)throw new Error(`Invalid provider type for '${a}'`);const u=w.URI.revive(f),{document:S}=this.i(a,u);this.c.delete(a,S),S.dispose()}async $resolveCustomEditor(f,a,$,u,S,h){const v=this.b.get($);if(!v)throw new Error(`No provider found for '${$}'`);const g=p.ViewColumn.to(S),k=this.g.createNewWebview(a,u.contentOptions,v.extension),y=this.h.createNewWebviewPanel(a,$,u.title,g,u.options,k,u.active),C=w.URI.revive(f);switch(v.type){case 1:{const{document:P}=this.i($,C);return v.provider.resolveCustomEditor(P,y,h)}case 0:{const P=this.d.getDocument(C);return v.provider.resolveCustomTextEditor(P,y,h)}default:throw new Error("Unknown webview provider type")}}$disposeEdits(f,a,$){this.i(a,f).disposeEdits($)}async $onMoveCustomEditor(f,a,$){const u=this.b.get($);if(!u)throw new Error(`No provider found for '${$}'`);if(!u.provider.moveCustomTextEditor)throw new Error(`Provider does not implement move '${$}'`);const S=this.h.getWebviewPanel(f);if(!S)throw new Error("No webview found");const h=w.URI.revive(a),v=this.d.getDocument(h);await u.provider.moveCustomTextEditor(v,S,I.CancellationToken.None)}async $undo(f,a,$,u){return this.i(a,f).undo($,u)}async $redo(f,a,$,u){return this.i(a,f).redo($,u)}async $revert(f,a,$){const u=this.i(a,f);await this.j(a).revertCustomDocument(u.document,$),u.disposeBackup()}async $onSave(f,a,$){const u=this.i(a,f);await this.j(a).saveCustomDocument(u.document,$),u.disposeBackup()}async $onSaveAs(f,a,$,u){const S=this.i(a,f);return this.j(a).saveCustomDocumentAs(S.document,w.URI.revive($),u)}async $backup(f,a,$){const u=this.i(a,f),h=await this.j(a).backupCustomDocument(u.document,{destination:u.getNewBackupUri()},$);return u.updateBackup(h),h.id}i(f,a){const $=this.c.get(f,w.URI.revive(a));if(!$)throw new Error("No custom document found");return $}j(f){const $=this.b.get(f)?.provider;if(!$||!i($))throw new Error("Custom document is not editable");return $}}e.$Jlc=s;function i(t){return!!t.onDidChangeCustomDocument}function n(t){return typeof t.resolveCustomTextEditor=="function"}function c(t){return typeof t.undo=="function"&&typeof t.redo=="function"}function l(t){const f=t.scheme===M.Schemas.file||t.scheme===M.Schemas.untitled?t.fsPath:t.toString();return(0,O.$kj)(f)+""}}),define(Ie[267],Pe([1,0,172,101,2,4,7,8,5,12,28,46]),function(le,e,I,O,R,M,A,w,p,E,T,D){"use strict";var d;Object.defineProperty(e,"__esModule",{value:!0}),e.$flc=e.$elc=void 0;class b{#e;#t;#i;constructor(o,s,i,n,c,l,t,f){this.d=o,this.e=s,this.f=i,this.g=n,this.h=c,this.c=!1,this.f=Math.max(n,i),this.#i=new T.$Bc(a=>l.getComparisonKey(a)),this.#e=t,this.#t=f}dispose(){this.c||(this.#t.fire([...this.#i.keys()]),this.#e?.$clear(this.e),this.#i.clear(),this.c=!0)}get name(){return this.j(),this.d}set(o,s){if(!o){this.clear();return}this.j();let i=[];if(R.URI.isUri(o)){if(!s){this.delete(o);return}this.#i.set(o,s.slice()),i=[o]}else if(Array.isArray(o)){i=[];let l;o=[...o].sort(b.k);for(const t of o){const[f,a]=t;if((!l||f.toString()!==l.toString())&&(l&&this.#i.get(l).length===0&&this.#i.delete(l),l=f,i.push(f),this.#i.set(f,[])),a)this.#i.get(f)?.push(...a);else{const $=this.#i.get(f);$&&($.length=0)}}}if(this.#t.fire(i),!this.#e)return;const n=[];let c=0;for(const l of i){let t=[];const f=this.#i.get(l);if(f)if(f.length>this.g){t=[];const a=[A.DiagnosticSeverity.Error,A.DiagnosticSeverity.Warning,A.DiagnosticSeverity.Information,A.DiagnosticSeverity.Hint];e:for(let $=0;$<4;$++)for(const u of f)if(u.severity===a[$]&&t.push({...w.Diagnostic.from(u),modelVersionId:this.h(l)})===this.g)break e;t.push({severity:O.MarkerSeverity.Info,message:(0,I.localize)(0,null,f.length-this.g),startLineNumber:t[t.length-1].startLineNumber,startColumn:t[t.length-1].startColumn,endLineNumber:t[t.length-1].endLineNumber,endColumn:t[t.length-1].endColumn})}else t=f.map(a=>({...w.Diagnostic.from(a),modelVersionId:this.h(l)}));if(n.push([l,t]),c+=t.length,c>this.f)break}this.#e.$changeMany(this.e,n)}delete(o){this.j(),this.#t.fire([o]),this.#i.delete(o),this.#e?.$changeMany(this.e,[[o,void 0]])}clear(){this.j(),this.#t.fire([...this.#i.keys()]),this.#i.clear(),this.#e?.$clear(this.e)}forEach(o,s){this.j();for(const[i,n]of this)o.call(s,i,n,this)}*[Symbol.iterator](){this.j();for(const o of this.#i.keys())yield[o,this.get(o)]}get(o){this.j();const s=this.#i.get(o);return Array.isArray(s)?Object.freeze(s.slice(0)):[]}has(o){return this.j(),Array.isArray(this.#i.get(o))}j(){if(this.c)throw new Error("illegal state - object is disposed")}static k(o,s){return o[0].toString()<s[0].toString()?-1:o[0].toString()>s[0].toString()?1:0}}e.$elc=b;let m=class{static{d=this}static{this.c=0}static{this.d=1e3}static{this.e=1.1*d.d}static _mapper(o){const s=new T.$Bc;for(const i of o)s.set(i,i);return{uris:Object.freeze(Array.from(s.values()))}}constructor(o,s,i,n){this.j=s,this.k=i,this.l=n,this.g=new Map,this.h=new p.$ie({merge:c=>c.flat(),delay:50}),this.onDidChangeDiagnostics=p.Event.map(this.h.event,d._mapper),this.f=o.getProxy(M.$9M.MainThreadDiagnostics)}createDiagnosticCollection(o,s){const{g:i,f:n,h:c,j:l,k:t,l:f}=this,a=new class{$changeMany(S,h){n.$changeMany(S,h),l.trace("[DiagnosticCollection] change many (extension, owner, uris)",o.value,S,h.length===0?"CLEARING":h)}$clear(S){n.$clear(S),l.trace("[DiagnosticCollection] remove all (extension, owner)",o.value,S)}dispose(){n.dispose()}};let $;if(!s)s="_generated_diagnostic_collection_name_#"+d.c++,$=s;else if(!i.has(s))$=s;else{this.j.warn(`DiagnosticCollection with name '${s}' does already exist.`);do $=s+d.c++;while(i.has($))}return new class extends b{constructor(){super(s,$,d.e,d.d,S=>f.getDocument(S)?.version,t.extUri,a,c),i.set($,this)}dispose(){super.dispose(),i.delete($)}}}getDiagnostics(o){if(o)return this.m(o);{const s=new Map,i=[];for(const n of this.g.values())n.forEach((c,l)=>{let t=s.get(c.toString());typeof t>"u"&&(t=i.length,s.set(c.toString(),t),i.push([c,[]])),i[t][1]=i[t][1].concat(...l)});return i}}m(o){let s=[];for(const i of this.g.values())i.has(o)&&(s=s.concat(i.get(o)));return s}$acceptMarkersChange(o){if(!this.n){const s="_generated_mirror",i=new b(s,s,Number.MAX_SAFE_INTEGER,Number.MAX_SAFE_INTEGER,n=>{},this.k.extUri,void 0,this.h);this.g.set(s,i),this.n=i}for(const[s,i]of o)this.n.set(R.URI.revive(s),i.map(w.Diagnostic.to))}};e.$flc=m,e.$flc=m=d=Je([We(1,E.$3j),We(2,D.$dlc)],m)}),define(Ie[268],Pe([1,0,2,14,7,8,200,35]),function(le,e,I,O,R,M,A,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$nmc=void 0;class p{constructor(T,D,d,b={timeout:1500,errors:3}){this.c=T,this.d=D,this.f=d,this.g=b,this.a=new A.$6c,this.b=new WeakMap}dispose(){this.a.clear()}getOnWillSaveTextDocumentEvent(T){return(D,d,b)=>{const r={dispose:this.a.push([D,d,T])};return Array.isArray(b)&&b.push(r),r}}async $participateInSave(T,D){const d=I.URI.revive(T);let b=!1;const m=setTimeout(()=>b=!0,this.g.timeout),r=[];try{for(const o of[...this.a]){if(b)break;const s=this.d.getDocument(d),i=await this.h(o,{document:s,reason:M.TextDocumentSaveReason.to(D)});r.push(i)}}finally{clearTimeout(m)}return r}h([T,D,d],b){const m=this.b.get(T);return typeof m=="number"&&m>this.g.errors?Promise.resolve(!1):this.i(d,T,D,b).then(()=>!0,r=>{if(this.c.error(`onWillSaveTextDocument-listener from extension '${d.identifier.value}' threw ERROR`),this.c.error(r),!(r instanceof Error)||r.message!=="concurrent_edits"){const o=this.b.get(T);this.b.set(T,o?o+1:1),typeof o=="number"&&o>this.g.errors&&this.c.info(`onWillSaveTextDocument-listener from extension '${d.identifier.value}' will now be IGNORED because of timeouts and/or errors`)}return!1})}i(T,D,d,b){const m=[],r=Date.now(),{document:o,reason:s}=b,{version:i}=o,n=Object.freeze({document:o,reason:s,waitUntil(c){if(Object.isFrozen(m))throw(0,O.$8)("waitUntil can not be called async");m.push(Promise.resolve(c))}});try{D.apply(d,[n])}catch(c){return Promise.reject(c)}return Object.freeze(m),new Promise((c,l)=>{const t=setTimeout(()=>l(new Error("timeout")),this.g.timeout);return Promise.all(m).then(f=>{this.c.debug(`onWillSaveTextDocument-listener from extension '${T.identifier.value}' finished after ${Date.now()-r}ms`),clearTimeout(t),c(f)}).catch(f=>{clearTimeout(t),l(f)})}).then(c=>{const l={edits:[]};for(const t of c)if(Array.isArray(t)&&t.every(f=>f instanceof R.$fN))for(const{newText:f,newEol:a,range:$}of t)l.edits.push({resource:o.uri,versionId:void 0,textEdit:{range:$&&M.Range.from($),text:f,eol:a&&M.EndOfLine.from(a)}});if(l.edits.length!==0)return i===o.version?this.f.$tryApplyWorkspaceEdit(new w.$Bw(l)):Promise.reject(new Error("concurrent_edits"))})}}e.$nmc=p}),define(Ie[269],Pe([1,0,5,6,2,4,113,8,15,25,7]),function(le,e,I,O,R,M,A,w,p,E,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$glc=void 0;class D{constructor(b,m){this.a=new I.$ee,this.b=new I.$ee,this.c=new I.$ee,this.d=new I.$ee,this.onDidAddDocument=this.a.event,this.onDidRemoveDocument=this.b.event,this.onDidChangeDocument=this.c.event,this.onDidSaveDocument=this.d.event,this.e=new O.$Uc,this.h=new Map,this.f=b.getProxy(M.$9M.MainThreadDocuments),this.g=m,this.g.onDidRemoveDocuments(r=>{for(const o of r)this.b.fire(o.document)},void 0,this.e),this.g.onDidAddDocuments(r=>{for(const o of r)this.a.fire(o.document)},void 0,this.e)}dispose(){this.e.dispose()}getAllDocumentData(){return[...this.g.allDocuments()]}getDocumentData(b){if(!b)return;const m=this.g.getDocument(b);if(m)return m}getDocument(b){const m=this.getDocumentData(b);if(!m?.document)throw new Error(`Unable to retrieve document from URI '${b}'`);return m.document}ensureDocumentData(b){const m=this.g.getDocument(b);if(m)return Promise.resolve(m);let r=this.h.get(b.toString());return r||(r=this.f.$tryOpenDocument(b).then(o=>{this.h.delete(b.toString());const s=R.URI.revive(o);return(0,p.$hg)(this.g.getDocument(s))},o=>(this.h.delete(b.toString()),Promise.reject(o))),this.h.set(b.toString(),r)),r}createDocumentData(b){return this.f.$tryCreateDocument(b).then(m=>R.URI.revive(m))}$acceptModelLanguageChanged(b,m){const r=R.URI.revive(b),o=this.g.getDocument(r);if(!o)throw new Error("unknown document");this.b.fire(o.document),o._acceptLanguageId(m),this.a.fire(o.document)}$acceptModelSaved(b){const m=R.URI.revive(b),r=this.g.getDocument(m);if(!r)throw new Error("unknown document");this.$acceptDirtyStateChanged(b,!1),this.d.fire(r.document)}$acceptDirtyStateChanged(b,m){const r=R.URI.revive(b),o=this.g.getDocument(r);if(!o)throw new Error("unknown document");o._acceptIsDirty(m),this.c.fire({document:o.document,contentChanges:[],reason:void 0})}$acceptModelChanged(b,m,r){const o=R.URI.revive(b),s=this.g.getDocument(o);if(!s)throw new Error("unknown document");s._acceptIsDirty(r),s.onEvents(m);let i;m.isUndoing?i=T.TextDocumentChangeReason.Undo:m.isRedoing&&(i=T.TextDocumentChangeReason.Redo),this.c.fire((0,E.$4n)({document:s.document,contentChanges:m.changes.map(n=>({range:w.Range.to(n.range),rangeOffset:n.rangeOffset,rangeLength:n.rangeLength,text:n.text})),reason:i}))}setWordDefinitionFor(b,m){(0,A.$yP)(b,m)}}e.$glc=D}),define(Ie[67],Pe([1,0,270,5,15,2,3,4,17,8,7]),function(le,e,I,O,R,M,A,w,p,E,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Llc=e.$Klc=void 0,e.$Klc=(0,A.$wi)("IExtHostEditorTabs");class D{constructor(o,s,i){this.e=i,this.d=s,this.acceptDtoUpdate(o)}get apiObject(){if(!this.a){const o=this,s={get isActive(){return o.b.id===o.e()},get label(){return o.b.label},get input(){return o.c},get isDirty(){return o.b.isDirty},get isPinned(){return o.b.isPinned},get isPreview(){return o.b.isPreview},get group(){return o.d.apiObject}};this.a=Object.freeze(s)}return this.a}get tabId(){return this.b.id}acceptDtoUpdate(o){this.b=o,this.c=this.f()}f(){switch(this.b.input.kind){case 1:return new T.$VO(M.URI.revive(this.b.input.uri));case 2:return new T.$WO(M.URI.revive(this.b.input.original),M.URI.revive(this.b.input.modified));case 3:return new T.$XO(M.URI.revive(this.b.input.base),M.URI.revive(this.b.input.input1),M.URI.revive(this.b.input.input2),M.URI.revive(this.b.input.result));case 6:return new T.$YO(M.URI.revive(this.b.input.uri),this.b.input.viewType);case 7:return new T.$ZO(this.b.input.viewType);case 4:return new T.$1O(M.URI.revive(this.b.input.uri),this.b.input.notebookType);case 5:return new T.$2O(M.URI.revive(this.b.input.original),M.URI.revive(this.b.input.modified),this.b.input.notebookType);case 8:return new T.$3O;case 9:return new T.$4O(M.URI.revive(this.b.input.uri),M.URI.revive(this.b.input.inputBoxUri));case 10:return new T.$5O;case 11:return new T.$6O(this.b.input.diffEditors.map(o=>new T.$WO(M.URI.revive(o.original),M.URI.revive(o.modified))));default:return}}}class d{constructor(o,s){this.c=[],this.d="",this.b=o,this.e=s;for(const i of o.tabs)i.isActive&&(this.d=i.id),this.c.push(new D(i,this,()=>this.activeTabId()))}get apiObject(){if(!this.a){const o=this,s={get isActive(){return o.b.groupId===o.e()},get viewColumn(){return E.ViewColumn.to(o.b.viewColumn)},get activeTab(){return o.c.find(i=>i.tabId===o.d)?.apiObject},get tabs(){return Object.freeze(o.c.map(i=>i.apiObject))}};this.a=Object.freeze(s)}return this.a}get groupId(){return this.b.groupId}get tabs(){return this.c}acceptGroupDtoUpdate(o){this.b=o}acceptTabOperation(o){if(o.kind===0){const i=new D(o.tabDto,this,()=>this.activeTabId());return this.c.splice(o.index,0,i),o.tabDto.isActive&&(this.d=i.tabId),i}else if(o.kind===1){const i=this.c.splice(o.index,1)[0];if(!i)throw new Error(`Tab close updated received for index ${o.index} which does not exist`);return i.tabId===this.d&&(this.d=""),i}else if(o.kind===3){if(o.oldIndex===void 0)throw new Error("Invalid old index on move IPC");const i=this.c.splice(o.oldIndex,1)[0];if(!i)throw new Error(`Tab move updated received for index ${o.oldIndex} which does not exist`);return this.c.splice(o.index,0,i),i}const s=this.c.find(i=>i.tabId===o.tabDto.id);if(!s)throw new Error("INVALID tab");return o.tabDto.isActive?this.d=o.tabDto.id:this.d===o.tabDto.id&&!o.tabDto.isActive&&(this.d=""),s.acceptDtoUpdate(o.tabDto),s}activeTabId(){return this.d}}let b=class{constructor(o){this.b=new O.$ee,this.c=new O.$ee,this.e=[],this.a=o.getProxy(w.$9M.MainThreadEditorTabs)}get tabGroups(){if(!this.f){const o=this,s={onDidChangeTabGroups:o.c.event,onDidChangeTabs:o.b.event,get all(){return Object.freeze(o.e.map(i=>i.apiObject))},get activeTabGroup(){const i=o.d;return(0,R.$hg)(o.e.find(c=>c.groupId===i)?.apiObject)},close:async(i,n)=>{const c=Array.isArray(i)?i:[i];return c.length?m(c[0])?this.j(c,n):this.i(c,n):!0}};this.f=Object.freeze(s)}return this.f}$acceptEditorTabModel(o){const s=new Set(this.e.map(a=>a.groupId)),i=new Set(o.map(a=>a.groupId)),n=(0,I.$L)(s,i),c=this.e.filter(a=>n.removed.includes(a.groupId)).map(a=>a.apiObject),l=[],t=[];this.e=o.map(a=>{const $=new d(a,()=>this.d);return n.added.includes($.groupId)?l.push($.apiObject):t.push($.apiObject),$});const f=(0,R.$hg)(o.find(a=>a.isActive===!0)?.groupId);f!==void 0&&this.d!==f&&(this.d=f),this.c.fire(Object.freeze({opened:l,closed:c,changed:t}))}$acceptTabGroupUpdate(o){const s=this.e.find(i=>i.groupId===o.groupId);if(!s)throw new Error("Update Group IPC call received before group creation.");s.acceptGroupDtoUpdate(o),o.isActive&&(this.d=o.groupId),this.c.fire(Object.freeze({changed:[s.apiObject],opened:[],closed:[]}))}$acceptTabOperation(o){const s=this.e.find(n=>n.groupId===o.groupId);if(!s)throw new Error("Update Tabs IPC call received before group creation.");const i=s.acceptTabOperation(o);switch(o.kind){case 0:this.b.fire(Object.freeze({opened:[i.apiObject],closed:[],changed:[]}));return;case 1:this.b.fire(Object.freeze({opened:[],closed:[i.apiObject],changed:[]}));return;case 3:case 2:this.b.fire(Object.freeze({opened:[],closed:[],changed:[i.apiObject]}));return}}g(o){for(const s of this.e)for(const i of s.tabs)if(i.apiObject===o)return i}h(o){return this.e.find(s=>s.apiObject===o)}async i(o,s){const i=[];for(const n of o){const c=this.g(n);if(!c)throw new Error("Tab close: Invalid tab not found!");i.push(c.tabId)}return this.a.$closeTab(i,s)}async j(o,s){const i=[];for(const n of o){const c=this.h(n);if(!c)throw new Error("Group close: Invalid group not found!");i.push(c.groupId)}return this.a.$closeGroup(i,s)}};e.$Llc=b,e.$Llc=b=Je([We(0,p.$wP)],b);function m(r){return r.tabs!==void 0}}),define(Ie[271],Pe([1,0,2,4,6,7,8,314,13,21,26,55]),function(le,e,I,O,R,M,A,w,p,E,T,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$pmc=void 0;class d{constructor(){this.a=[]}add(r){this.b=void 0,this.a.push(r)}delete(r){const o=this.a.indexOf(r);o>=0&&(this.a.splice(o,1),this.b=void 0)}c(){if(!this.b){const r=this.a.sort(),o=[];let s,i,n=14,c=14;for(const l of r){let t=s?(0,p.$Af)(s,l):0;for(t===0?i=1:i=c;t<l.length;t++)t+1===l.length?(n=c,c=9):c+=1,o.push([i,l.toUpperCase().charCodeAt(t),c]),o.push([i,l.toLowerCase().charCodeAt(t),c]),i=c;s=l,c=n}o.push([9,58,10]),o.push([10,47,12]),this.b=new w.$r3(o)}}provideDocumentLinks(r){this.c();const o=[],s=w.$s3.computeLinks({getLineContent(i){return r.lineAt(i-1).text},getLineCount(){return r.lineCount}},this.b);for(const i of s){const n=A.DocumentLink.to(i);n.target&&o.push(n)}return o}}class b{constructor(r,o){this.i=o,this.b=new d,this.c=new Map,this.d=new Set,this.f=new Map,this.h=0,this.a=r.getProxy(O.$9M.MainThreadFileSystem)}dispose(){this.g?.dispose()}registerFileSystemProvider(r,o,s,i={}){if(b.j(s),this.d.has(o))throw new Error(`a provider for the scheme '${o}' is already registered`);this.g||(this.g=this.i.registerDocumentLinkProvider(r,"*",this.b));const n=this.h++;this.b.add(o),this.d.add(o),this.c.set(n,s);let c=2;i.isCaseSensitive&&(c+=1024),i.isReadonly&&(c+=2048),typeof s.copy=="function"&&(c+=8),typeof s.open=="function"&&typeof s.close=="function"&&typeof s.read=="function"&&typeof s.write=="function"&&((0,T.$OG)(r,"fsChunks"),c+=4);let l;i.isReadonly&&(0,D.$Vk)(i.isReadonly)&&i.isReadonly.value!==""&&(l={value:i.isReadonly.value,isTrusted:i.isReadonly.isTrusted,supportThemeIcons:i.isReadonly.supportThemeIcons,supportHtml:i.isReadonly.supportHtml,baseUri:i.isReadonly.baseUri,uris:i.isReadonly.uris}),this.a.$registerFileSystemProvider(n,o,c,l).catch(f=>{console.error(`FAILED to register filesystem provider of ${r.identifier.value}-extension for the scheme ${o}`),console.error(f)});const t=s.onDidChangeFile(f=>{const a=[];for(const $ of f){const{uri:u,type:S}=$;if(u.scheme!==o)continue;let h;switch(S){case M.FileChangeType.Changed:h=0;break;case M.FileChangeType.Created:h=1;break;case M.FileChangeType.Deleted:h=2;break;default:throw new Error("Unknown FileChangeType")}a.push({resource:u,type:h})}this.a.$onFileSystemChange(n,a)});return(0,R.$Tc)(()=>{t.dispose(),this.b.delete(o),this.d.delete(o),this.c.delete(n),this.a.$unregisterProvider(n)})}static j(r){if(!r)throw new Error("MISSING provider");if(typeof r.watch!="function")throw new Error("Provider does NOT implement watch");if(typeof r.stat!="function")throw new Error("Provider does NOT implement stat");if(typeof r.readDirectory!="function")throw new Error("Provider does NOT implement readDirectory");if(typeof r.createDirectory!="function")throw new Error("Provider does NOT implement createDirectory");if(typeof r.readFile!="function")throw new Error("Provider does NOT implement readFile");if(typeof r.writeFile!="function")throw new Error("Provider does NOT implement writeFile");if(typeof r.delete!="function")throw new Error("Provider does NOT implement delete");if(typeof r.rename!="function")throw new Error("Provider does NOT implement rename")}static k(r){const{type:o,ctime:s,mtime:i,size:n,permissions:c}=r;return{type:o,ctime:s,mtime:i,size:n,permissions:c}}$stat(r,o){return Promise.resolve(this.l(r).stat(I.URI.revive(o))).then(s=>b.k(s))}$readdir(r,o){return Promise.resolve(this.l(r).readDirectory(I.URI.revive(o)))}$readFile(r,o){return Promise.resolve(this.l(r).readFile(I.URI.revive(o))).then(s=>E.$Ge.wrap(s))}$writeFile(r,o,s,i){return Promise.resolve(this.l(r).writeFile(I.URI.revive(o),s.buffer,i))}$delete(r,o,s){return Promise.resolve(this.l(r).delete(I.URI.revive(o),s))}$rename(r,o,s,i){return Promise.resolve(this.l(r).rename(I.URI.revive(o),I.URI.revive(s),i))}$copy(r,o,s,i){const n=this.l(r);if(!n.copy)throw new Error('FileSystemProvider does not implement "copy"');return Promise.resolve(n.copy(I.URI.revive(o),I.URI.revive(s),i))}$mkdir(r,o){return Promise.resolve(this.l(r).createDirectory(I.URI.revive(o)))}$watch(r,o,s,i){const n=this.l(r).watch(I.URI.revive(s),i);this.f.set(o,n)}$unwatch(r,o){const s=this.f.get(o);s&&(s.dispose(),this.f.delete(o))}$open(r,o,s){const i=this.l(r);if(!i.open)throw new Error('FileSystemProvider does not implement "open"');return Promise.resolve(i.open(I.URI.revive(o),s))}$close(r,o){const s=this.l(r);if(!s.close)throw new Error('FileSystemProvider does not implement "close"');return Promise.resolve(s.close(o))}$read(r,o,s,i){const n=this.l(r);if(!n.read)throw new Error('FileSystemProvider does not implement "read"');const c=E.$Ge.alloc(i);return Promise.resolve(n.read(o,s,c.buffer,0,i)).then(l=>c.slice(0,l))}$write(r,o,s,i){const n=this.l(r);if(!n.write)throw new Error('FileSystemProvider does not implement "write"');return Promise.resolve(n.write(o,s,i.buffer,0,i.byteLength))}l(r){const o=this.c.get(r);if(!o){const s=new Error;throw s.name="ENOPRO",s.message="no provider",s}return o}}e.$pmc=b}),define(Ie[272],Pe([1,0,5,37,2,4,8,7,43]),function(le,e,I,O,R,M,A,w,p){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$qmc=void 0;class E{get ignoreCreateEvents(){return!!(this.h&1)}get ignoreChangeEvents(){return!!(this.h&2)}get ignoreDeleteEvents(){return!!(this.h&4)}constructor(b,m,r,o,s,i){this.a=Math.random(),this.b=new I.$ee,this.c=new I.$ee,this.d=new I.$ee,this.h=0,i?.ignoreCreateEvents&&(this.h+=1),i?.ignoreChangeEvents&&(this.h+=2),i?.ignoreDeleteEvents&&(this.h+=4);const n=(0,O.$qk)(s),c=typeof s=="string",l=i?.correlate,t=o(f=>{if(!(typeof f.session=="number"&&f.session!==this.a)&&!(l&&typeof f.session>"u")){if(!i?.ignoreCreateEvents)for(const a of f.created){const $=R.URI.revive(a);n($.fsPath)&&(!c||m.getWorkspaceFolder($))&&this.b.fire($)}if(!i?.ignoreChangeEvents)for(const a of f.changed){const $=R.URI.revive(a);n($.fsPath)&&(!c||m.getWorkspaceFolder($))&&this.c.fire($)}if(!i?.ignoreDeleteEvents)for(const a of f.deleted){const $=R.URI.revive(a);n($.fsPath)&&(!c||m.getWorkspaceFolder($))&&this.d.fire($)}}});this.g=w.$$M.from(this.i(b,r,s,i,i?.correlate),this.b,this.c,this.d,t)}i(b,m,r,o,s){const i=w.$$M.from();if(typeof r=="string"||o?.ignoreChangeEvents&&o?.ignoreCreateEvents&&o?.ignoreDeleteEvents)return i;const n=b.getProxy(M.$9M.MainThreadFileSystemEventService);let c=!1;(r.pattern.includes(O.$mk)||r.pattern.includes(O.$nk))&&(c=!0);let l;return s&&(o?.ignoreChangeEvents||o?.ignoreCreateEvents||o?.ignoreDeleteEvents)&&(l=14,o?.ignoreChangeEvents&&(l&=-3),o?.ignoreCreateEvents&&(l&=-5),o?.ignoreDeleteEvents&&(l&=-9)),n.$watch(m.identifier.value,this.a,r.baseUri,{recursive:c,excludes:o?.excludes??[],filter:l},!!s),w.$$M.from({dispose:()=>n.$unwatch(this.a)})}dispose(){this.g.dispose()}get onDidCreate(){return this.b.event}get onDidChange(){return this.c.event}get onDidDelete(){return this.d.event}}class T{constructor(b){this.a=b,this.session=this.a.session,this.b=new p.$V(()=>this.a.created.map(R.URI.revive)),this.c=new p.$V(()=>this.a.changed.map(R.URI.revive)),this.d=new p.$V(()=>this.a.deleted.map(R.URI.revive))}get created(){return this.b.value}get changed(){return this.c.value}get deleted(){return this.d.value}}class D{constructor(b,m,r){this.j=b,this.k=m,this.l=r,this.a=new I.$ee,this.b=new I.$ee,this.c=new I.$ee,this.d=new I.$ee,this.g=new I.$ge,this.h=new I.$ge,this.i=new I.$ge,this.onDidRenameFile=this.b.event,this.onDidCreateFile=this.c.event,this.onDidDeleteFile=this.d.event}createFileSystemWatcher(b,m,r,o){return new E(this.j,b,m,this.a.event,A.GlobPattern.from(r),o)}$onFileEvent(b){this.a.fire(new T(b))}$onDidRunFileOperation(b,m){switch(b){case 2:this.b.fire(Object.freeze({files:m.map(r=>({oldUri:R.URI.revive(r.source),newUri:R.URI.revive(r.target)}))}));break;case 1:this.d.fire(Object.freeze({files:m.map(r=>R.URI.revive(r.target))}));break;case 0:case 3:this.c.fire(Object.freeze({files:m.map(r=>R.URI.revive(r.target))}));break;default:}}getOnWillRenameFileEvent(b){return this.m(b,this.g)}getOnWillCreateFileEvent(b){return this.m(b,this.h)}getOnWillDeleteFileEvent(b){return this.m(b,this.i)}m(b,m){return(r,o,s)=>{const i=function(c){r.call(o,c)};return i.extension=b,m.event(i,void 0,s)}}async $onWillRunFileOperation(b,m,r,o){switch(b){case 2:return await this.n(this.g,{files:m.map(s=>({oldUri:R.URI.revive(s.source),newUri:R.URI.revive(s.target)}))},r,o);case 1:return await this.n(this.i,{files:m.map(s=>R.URI.revive(s.target))},r,o);case 0:case 3:return await this.n(this.h,{files:m.map(s=>R.URI.revive(s.target))},r,o)}}async n(b,m,r,o){const s=new Set,i=[];if(await b.fireAsync(m,o,async(c,l)=>{const t=Date.now(),f=await Promise.resolve(c);f instanceof w.$iN&&(i.push([l.extension,f]),s.add(l.extension.displayName??l.extension.identifier.value)),Date.now()-t>r&&this.k.warn("SLOW file-participant",l.extension.identifier)}),o.isCancellationRequested||i.length===0)return;const n={edits:[]};for(const[,c]of i){const{edits:l}=A.WorkspaceEdit.from(c,{getTextDocumentVersion:t=>this.l.getDocument(t)?.version,getNotebookDocumentVersion:()=>{}});n.edits=n.edits.concat(l)}return{edit:n,extensionNames:Array.from(s)}}}e.$qmc=D}),define(Ie[273],Pe([1,0,18,11,24,14,91,6,25,66,13,15,2,30,315,89,98,174,20,8,7,26,76,4]),function(le,e,I,O,R,M,A,w,p,E,T,D,d,b,m,r,o,s,i,n,c,l,t,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$hlc=void 0;class a{constructor(U,F){this.d=U,this.e=F}async provideDocumentSymbols(U,F){const G=this.d.getDocument(U),H=await this.e.provideDocumentSymbols(G,F);if(!(0,I.$Kb)(H))return H[0]instanceof c.$sN?H.map(n.DocumentSymbol.from):a.f(H)}static f(U){U=U.slice(0).sort((H,ee)=>{let re=H.location.range.start.compareTo(ee.location.range.start);return re===0&&(re=ee.location.range.end.compareTo(H.location.range.end)),re});const F=[],G=[];for(const H of U){const ee={name:H.name||"!!MISSING: name!!",kind:n.SymbolKind.from(H.kind),tags:H.tags?.map(n.SymbolTag.from)||[],detail:"",containerName:H.containerName,range:n.Range.from(H.location.range),selectionRange:n.Range.from(H.location.range),children:[]};for(;;){if(G.length===0){G.push(ee),F.push(ee);break}const re=G[G.length-1];if(b.$ut.containsRange(re.range,ee.range)&&!b.$ut.equalsRange(re.range,ee.range)){re.children?.push(ee),G.push(ee);break}G.pop()}}return F}}class ${constructor(U,F,G,H,ee,re){this.f=U,this.g=F,this.h=G,this.j=H,this.k=ee,this.l=re,this.d=new t.$0kc("CodeLens"),this.e=new Map}async provideCodeLenses(U,F){const G=this.f.getDocument(U),H=await this.h.provideCodeLenses(G,F);if(!H||F.isCancellationRequested)return;const ee=this.d.add(H),re=new w.$Uc;this.e.set(ee,re);const Oe={cacheId:ee,lenses:[]};for(let Be=0;Be<H.length;Be++)Oe.lenses.push({cacheId:[ee,Be],range:n.Range.from(H[Be].range),command:this.g.toInternal(H[Be].command,re)});return Oe}async resolveCodeLens(U,F){const G=U.cacheId&&this.d.get(...U.cacheId);if(!G)return;let H;if(typeof this.h.resolveCodeLens!="function"||G.isResolved?H=G:H=await this.h.resolveCodeLens(G,F),H||(H=G),F.isCancellationRequested)return;const ee=U.cacheId&&this.e.get(U.cacheId[0]);if(ee){if(!H.command){const re=new Error("INVALID code lens resolved, lacks command: "+this.j.identifier.value);this.k.onExtensionError(this.j.identifier,re),this.l.error(re);return}return U.command=this.g.toInternal(H.command,ee),U}}releaseCodeLenses(U){this.e.get(U)?.dispose(),this.e.delete(U),this.d.delete(U)}}function u(je){return Array.isArray(je)?je.map(n.DefinitionLink.from):je?[n.DefinitionLink.from(je)]:[]}class S{constructor(U,F){this.d=U,this.e=F}async provideDefinition(U,F,G){const H=this.d.getDocument(U),ee=n.Position.to(F),re=await this.e.provideDefinition(H,ee,G);return u(re)}}class h{constructor(U,F){this.d=U,this.e=F}async provideDeclaration(U,F,G){const H=this.d.getDocument(U),ee=n.Position.to(F),re=await this.e.provideDeclaration(H,ee,G);return u(re)}}class v{constructor(U,F){this.d=U,this.e=F}async provideImplementation(U,F,G){const H=this.d.getDocument(U),ee=n.Position.to(F),re=await this.e.provideImplementation(H,ee,G);return u(re)}}class g{constructor(U,F){this.d=U,this.e=F}async provideTypeDefinition(U,F,G){const H=this.d.getDocument(U),ee=n.Position.to(F),re=await this.e.provideTypeDefinition(H,ee,G);return u(re)}}class k{static{this.f=10}constructor(U,F){this.g=U,this.h=F,this.d=0,this.e=new Map}async provideHover(U,F,G,H){const ee=this.g.getDocument(U),re=n.Position.to(F);let Oe;if(G&&G.verbosityRequest){const xe=G.verbosityRequest.previousHover.id,et=this.e.get(xe);if(!et)throw new Error(`Hover with id ${xe} not found`);const tt={action:G.verbosityRequest.action,previousHover:et};Oe=await this.h.provideHover(ee,re,H,tt)}else Oe=await this.h.provideHover(ee,re,H);if(!Oe||(0,I.$Kb)(Oe.contents))return;Oe.range||(Oe.range=ee.getWordRangeAtPosition(re)),Oe.range||(Oe.range=new c.$aN(re,re));const Be=n.Hover.from(Oe),Ge=this.d;if(this.e.size===k.f){const xe=Math.min(...this.e.keys());this.e.delete(xe)}return this.e.set(Ge,Oe),this.d+=1,{...Be,id:Ge}}releaseHover(U){this.e.delete(U)}}class y{constructor(U,F){this.d=U,this.e=F}async provideEvaluatableExpression(U,F,G){const H=this.d.getDocument(U),ee=n.Position.to(F),re=await this.e.provideEvaluatableExpression(H,ee,G);if(re)return n.EvaluatableExpression.from(re)}}class C{constructor(U,F){this.d=U,this.e=F}async provideInlineValues(U,F,G,H){const ee=this.d.getDocument(U),re=await this.e.provideInlineValues(ee,n.Range.to(F),n.InlineValueContext.to(G),H);if(Array.isArray(re))return re.map(Oe=>n.InlineValue.from(Oe))}}class P{constructor(U,F){this.d=U,this.e=F}async provideDocumentHighlights(U,F,G){const H=this.d.getDocument(U),ee=n.Position.to(F),re=await this.e.provideDocumentHighlights(H,ee,G);if(Array.isArray(re))return re.map(n.DocumentHighlight.from)}}class W{constructor(U,F){this.d=U,this.e=F}async provideMultiDocumentHighlights(U,F,G,H){const ee=this.d.getDocument(U),re=G.map(Ge=>this.d.getDocument(Ge)),Oe=n.Position.to(F),Be=await this.e.provideMultiDocumentHighlights(ee,Oe,re,H);if(Array.isArray(Be))return Be.map(n.MultiDocumentHighlight.from)}}class V{constructor(U,F){this.d=U,this.e=F}async provideLinkedEditingRanges(U,F,G){const H=this.d.getDocument(U),ee=n.Position.to(F),re=await this.e.provideLinkedEditingRanges(H,ee,G);if(re&&Array.isArray(re.ranges))return{ranges:(0,I.$Hb)(re.ranges.map(n.Range.from)),wordPattern:re.wordPattern}}}class q{constructor(U,F){this.d=U,this.e=F}async provideReferences(U,F,G,H){const ee=this.d.getDocument(U),re=n.Position.to(F),Oe=await this.e.provideReferences(ee,re,G,H);if(Array.isArray(Oe))return Oe.map(n.location.from)}}class N{static{this.d=1e3}constructor(U,F,G,H,ee,re,Oe){this.g=U,this.h=F,this.j=G,this.k=H,this.l=ee,this.m=re,this.n=Oe,this.e=new t.$0kc("CodeAction"),this.f=new Map}async provideCodeActions(U,F,G,H){const ee=this.g.getDocument(U),re=m.$wt.isISelection(F)?n.Selection.to(F):n.Range.to(F),Oe=[];for(const tt of this.j.getDiagnostics(U))if(re.intersection(tt.range)&&Oe.push(tt)>N.d)break;const Be={diagnostics:Oe,only:G.only?new c.$uN(G.only):void 0,triggerKind:n.CodeActionTriggerKind.to(G.trigger)},Ge=await this.k.provideCodeActions(ee,re,Be,H);if(!(0,I.$Lb)(Ge)||H.isCancellationRequested)return;const _e=this.e.add(Ge),xe=new w.$Uc;this.f.set(_e,xe);const et=[];for(let tt=0;tt<Ge.length;tt++){const it=Ge[tt];if(it)if(N.o(it))this.n.report("CodeActionProvider.provideCodeActions - return commands",this.m,"Return 'CodeAction' instances instead."),et.push({_isSynthetic:!0,title:it.title,command:this.h.toInternal(it,xe)});else{Be.only&&(it.kind?Be.only.contains(it.kind)||this.l.warn(`${this.m.identifier.value} - Code actions of kind '${Be.only.value} 'requested but returned code action is of kind '${it.kind.value}'. Code action will be dropped. Please check 'CodeActionContext.only' to only return requested code actions.`):this.l.warn(`${this.m.identifier.value} - Code actions of kind '${Be.only.value} 'requested but returned code action does not have a 'kind'. Code action will be dropped. Please set 'CodeAction.kind'.`));const at=it.ranges??[];et.push({cacheId:[_e,tt],title:it.title,command:it.command&&this.h.toInternal(it.command,xe),diagnostics:it.diagnostics&&it.diagnostics.map(n.Diagnostic.from),edit:it.edit&&n.WorkspaceEdit.from(it.edit,void 0),kind:it.kind&&it.kind.value,isPreferred:it.isPreferred,isAI:(0,l.$NG)(this.m,"codeActionAI")?it.isAI:!1,ranges:(0,l.$NG)(this.m,"codeActionRanges")?(0,I.$Hb)(at.map(n.Range.from)):void 0,disabled:it.disabled?.reason})}}return{cacheId:_e,actions:et}}async resolveCodeAction(U,F){const[G,H]=U,ee=this.e.get(G,H);if(!ee||N.o(ee))return{};if(!this.k.resolveCodeAction)return{};const re=await this.k.resolveCodeAction(ee,F)??ee;let Oe;re.edit&&(Oe=n.WorkspaceEdit.from(re.edit,void 0));let Be;if(re.command){const Ge=this.f.get(G);Ge&&(Be=this.h.toInternal(re.command,Ge))}return{edit:Oe,command:Be}}releaseCodeActions(U){this.f.get(U)?.dispose(),this.f.delete(U),this.e.delete(U)}static o(U){return typeof U.command=="string"&&typeof U.title=="string"}}class j{constructor(U,F,G,H,ee){this.e=U,this.f=F,this.g=G,this.h=H,this.j=ee,this.d=new t.$0kc("DocumentPasteEdit")}async prepareDocumentPaste(U,F,G,H){if(!this.g.prepareDocumentPaste)return;const ee=this.f.getDocument(U),re=F.map(Ge=>n.Range.to(Ge)),Oe=n.DataTransfer.toDataTransfer(G,()=>{throw new M.$$});if(await this.g.prepareDocumentPaste(ee,re,Oe,H),H.isCancellationRequested)return;const Be=Array.from(Oe).filter(([,Ge])=>!(Ge instanceof c.$1N));return n.DataTransfer.from(Be)}async providePasteEdits(U,F,G,H,ee,re){if(!this.g.provideDocumentPasteEdits)return[];const Oe=this.f.getDocument(F),Be=G.map(et=>n.Range.to(et)),Ge=n.DataTransfer.toDataTransfer(H,async et=>(await this.e.$resolvePasteFileData(this.h,U,et)).buffer),_e=await this.g.provideDocumentPasteEdits(Oe,Be,Ge,{only:ee.only?new c.$6N(ee.only):void 0,triggerKind:ee.triggerKind},re);if(!_e||re.isCancellationRequested)return[];const xe=this.d.add(_e);return _e.map((et,tt)=>({_cacheId:[xe,tt],title:et.title??(0,s.localize)(0,null,this.j.displayName||this.j.name),kind:et.kind,yieldTo:et.yieldTo?.map(it=>it.value),insertText:typeof et.insertText=="string"?et.insertText:{snippet:et.insertText.value},additionalEdit:et.additionalEdit?n.WorkspaceEdit.from(et.additionalEdit,void 0):void 0}))}async resolvePasteEdit(U,F){const[G,H]=U,ee=this.d.get(G,H);if(!ee||!this.g.resolveDocumentPasteEdit)return{};const re=await this.g.resolveDocumentPasteEdit(ee,F)??ee;return{additionalEdit:re.additionalEdit?n.WorkspaceEdit.from(re.additionalEdit,void 0):void 0}}releasePasteEdits(U){this.d.delete(U)}}class K{constructor(U,F){this.d=U,this.e=F}async provideDocumentFormattingEdits(U,F,G){const H=this.d.getDocument(U),ee=await this.e.provideDocumentFormattingEdits(H,F,G);if(Array.isArray(ee))return ee.map(n.TextEdit.from)}}class ie{constructor(U,F){this.d=U,this.e=F}async provideDocumentRangeFormattingEdits(U,F,G,H){const ee=this.d.getDocument(U),re=n.Range.to(F),Oe=await this.e.provideDocumentRangeFormattingEdits(ee,re,G,H);if(Array.isArray(Oe))return Oe.map(n.TextEdit.from)}async provideDocumentRangesFormattingEdits(U,F,G,H){(0,D.$gg)(typeof this.e.provideDocumentRangesFormattingEdits=="function","INVALID invocation of `provideDocumentRangesFormattingEdits`");const ee=this.d.getDocument(U),re=F.map(n.Range.to),Oe=await this.e.provideDocumentRangesFormattingEdits(ee,re,G,H);if(Array.isArray(Oe))return Oe.map(n.TextEdit.from)}}class ce{constructor(U,F){this.d=U,this.e=F,this.autoFormatTriggerCharacters=[]}async provideOnTypeFormattingEdits(U,F,G,H,ee){const re=this.d.getDocument(U),Oe=n.Position.to(F),Be=await this.e.provideOnTypeFormattingEdits(re,Oe,G,H,ee);if(Array.isArray(Be))return Be.map(n.TextEdit.from)}}class ye{constructor(U,F){this.e=U,this.f=F,this.d=new t.$0kc("WorkspaceSymbols")}async provideWorkspaceSymbols(U,F){const G=await this.e.provideWorkspaceSymbols(U,F);if(!(0,I.$Lb)(G))return{symbols:[]};const H=this.d.add(G),ee={cacheId:H,symbols:[]};for(let re=0;re<G.length;re++){const Oe=G[re];if(!Oe||!Oe.name){this.f.warn("INVALID SymbolInformation",Oe);continue}ee.symbols.push({...n.WorkspaceSymbol.from(Oe),cacheId:[H,re]})}return ee}async resolveWorkspaceSymbol(U,F){if(typeof this.e.resolveWorkspaceSymbol!="function"||!U.cacheId)return U;const G=this.d.get(...U.cacheId);if(G){const H=await this.e.resolveWorkspaceSymbol(G,F);return H&&(0,p.$6n)(U,n.WorkspaceSymbol.from(H),!0)}}releaseWorkspaceSymbols(U){this.d.delete(U)}}class Se{static supportsResolving(U){return typeof U.prepareRename=="function"}constructor(U,F,G){this.d=U,this.e=F,this.f=G}async provideRenameEdits(U,F,G,H){const ee=this.d.getDocument(U),re=n.Position.to(F);try{const Oe=await this.e.provideRenameEdits(ee,re,G,H);return Oe?n.WorkspaceEdit.from(Oe):void 0}catch(Oe){const Be=Se.g(Oe);return Be?{rejectReason:Be,edits:void 0}:Promise.reject(Oe)}}async resolveRenameLocation(U,F,G){if(typeof this.e.prepareRename!="function")return Promise.resolve(void 0);const H=this.d.getDocument(U),ee=n.Position.to(F);try{const re=await this.e.prepareRename(H,ee,G);let Oe,Be;if(c.$aN.isRange(re)?(Oe=re,Be=H.getText(re)):(0,D.$$f)(re)&&(Oe=re.range,Be=re.placeholder),!Oe||!Be)return;if(Oe.start.line>ee.line||Oe.end.line<ee.line){this.f.warn("INVALID rename location: position line must be within range start/end lines");return}return{range:n.Range.from(Oe),text:Be}}catch(re){const Oe=Se.g(re);return Oe?{rejectReason:Oe,range:void 0,text:void 0}:Promise.reject(re)}}static g(U){return typeof U=="string"?U:U instanceof Error&&typeof U.message=="string"?U.message:void 0}}class fe{static{this.d={[r.NewSymbolNameTriggerKind.Invoke]:c.NewSymbolNameTriggerKind.Invoke,[r.NewSymbolNameTriggerKind.Automatic]:c.NewSymbolNameTriggerKind.Automatic}}constructor(U,F,G){this.e=U,this.f=F,this.g=G}async supportsAutomaticNewSymbolNamesTriggerKind(){return this.f.supportsAutomaticTriggerKind}async provideNewSymbolNames(U,F,G,H){const ee=this.e.getDocument(U),re=n.Range.to(F);try{const Oe=fe.d[G],Be=await this.f.provideNewSymbolNames(ee,re,Oe,H);return Be?Be.map(Ge=>typeof Ge=="string"?{newSymbolName:Ge}:{newSymbolName:Ge.newSymbolName,tags:Ge.tags}):void 0}catch(Oe){this.g.error(fe.h(Oe)??JSON.stringify(Oe,null,"	"));return}}static h(U){return typeof U=="string"?U:U instanceof Error&&typeof U.message=="string"?U.message:void 0}}class $e{constructor(U,F){this.resultId=U,this.tokens=F}}class Te{constructor(U,F){this.f=U,this.g=F,this.e=1,this.d=new Map}async provideDocumentSemanticTokens(U,F,G){const H=this.f.getDocument(U),ee=F!==0?this.d.get(F):null;let re=typeof ee?.resultId=="string"&&typeof this.g.provideDocumentSemanticTokensEdits=="function"?await this.g.provideDocumentSemanticTokensEdits(H,ee.resultId,G):await this.g.provideDocumentSemanticTokens(H,G);return ee&&this.d.delete(F),re?(re=Te.h(re),this.o(Te.n(ee,re),re)):null}async releaseDocumentSemanticColoring(U){this.d.delete(U)}static h(U){return Te.j(U)?Te.k(U)?U:new c.$tO(new Uint32Array(U.data),U.resultId):Te.l(U)?Te.m(U)?U:new c.$vO(U.edits.map(F=>new c.$uO(F.start,F.deleteCount,F.data?new Uint32Array(F.data):F.data)),U.resultId):U}static j(U){return U&&!!U.data}static k(U){return U.data instanceof Uint32Array}static l(U){return U&&Array.isArray(U.edits)}static m(U){for(const F of U.edits)if(!(F.data instanceof Uint32Array))return!1;return!0}static n(U,F){if(!Te.j(F)||!U||!U.tokens)return F;const G=U.tokens,H=G.length,ee=F.data,re=ee.length;let Oe=0;const Be=Math.min(H,re);for(;Oe<Be&&G[Oe]===ee[Oe];)Oe++;if(Oe===H&&Oe===re)return new c.$vO([],F.resultId);let Ge=0;const _e=Be-Oe;for(;Ge<_e&&G[H-Ge-1]===ee[re-Ge-1];)Ge++;return new c.$vO([{start:Oe,deleteCount:H-Oe-Ge,data:ee.subarray(Oe,re-Ge)}],F.resultId)}o(U,F){if(Te.j(U)){const G=this.e++;return this.d.set(G,new $e(U.resultId,U.data)),(0,o.$0bb)({id:G,type:"full",data:U.data})}if(Te.l(U)){const G=this.e++;return Te.j(F)?this.d.set(G,new $e(F.resultId,F.data)):this.d.set(G,new $e(U.resultId)),(0,o.$0bb)({id:G,type:"delta",deltas:(U.edits||[]).map(H=>({start:H.start,deleteCount:H.deleteCount,data:H.data}))})}return null}}class ae{constructor(U,F){this.d=U,this.e=F}async provideDocumentRangeSemanticTokens(U,F,G){const H=this.d.getDocument(U),ee=await this.e.provideDocumentRangeSemanticTokens(H,n.Range.to(F),G);return ee?this.f(ee):null}f(U){return(0,o.$0bb)({id:0,type:"full",data:U.data})}}class Ne{static supportsResolving(U){return typeof U.resolveCompletionItem=="function"}constructor(U,F,G,H,ee){this.f=U,this.g=F,this.h=G,this.j=H,this.k=ee,this.d=new t.$0kc("CompletionItem"),this.e=new Map}async provideCompletionItems(U,F,G,H){const ee=this.f.getDocument(U),re=n.Position.to(F),Oe=ee.getWordRangeAtPosition(re)||new c.$aN(re,re),Be=Oe.with({end:re}),Ge=new E.$ae,_e=await this.h.provideCompletionItems(ee,re,H,n.CompletionContext.to(G));if(!_e||H.isCancellationRequested)return;const xe=Array.isArray(_e)?new c.$HN(_e):_e,et=Ne.supportsResolving(this.h)?this.d.add(xe.items):this.d.add([]),tt=new w.$Uc;this.e.set(et,tt);const it=[],at={x:et,b:it,a:{replace:n.Range.from(Oe),insert:n.Range.from(Be)},c:xe.isIncomplete||void 0,d:Ge.elapsed()};for(let gt=0;gt<xe.items.length;gt++){const Ue=xe.items[gt],st=this.l(Ue,[et,gt],Be,Oe);it.push(st)}return at}async resolveCompletionItem(U,F){if(typeof this.h.resolveCompletionItem!="function")return;const G=this.d.get(...U);if(!G)return;const H=this.l(G,U),ee=await this.h.resolveCompletionItem(G,F);if(!ee)return;const re=this.l(ee,U);return(H.h!==re.h||H.i!==re.i)&&this.j.report("CompletionItem.insertText",this.k,"extension MAY NOT change 'insertText' of a CompletionItem during resolve"),(H.n!==re.n||H.o!==re.o||!(0,p.$7n)(H.p,re.p))&&this.j.report("CompletionItem.command",this.k,"extension MAY NOT change 'command' of a CompletionItem during resolve"),{...H,d:re.d,c:re.c,l:re.l,h:re.h,i:re.i,n:re.n,o:re.o,p:re.p}}releaseCompletionItems(U){this.e.get(U)?.dispose(),this.e.delete(U),this.d.delete(U)}l(U,F,G,H){const ee=this.e.get(F[0]);if(!ee)throw Error("DisposableStore is missing...");const re=this.g.toInternal(U.command,ee),Oe={x:F,a:U.label,b:U.kind!==void 0?n.CompletionItemKind.from(U.kind):void 0,m:U.tags&&U.tags.map(n.CompletionItemTag.from),c:U.detail,d:typeof U.documentation>"u"?void 0:n.MarkdownString.fromStrict(U.documentation),e:U.sortText!==U.label?U.sortText:void 0,f:U.filterText!==U.label?U.filterText:void 0,g:U.preselect||void 0,i:U.keepWhitespace?1:0,k:U.commitCharacters?.join(""),l:U.additionalTextEdits&&U.additionalTextEdits.map(n.TextEdit.from),n:re?.$ident,o:re?.id,p:re?.$ident?void 0:re?.arguments};U.textEdit?(this.j.report("CompletionItem.textEdit",this.k,"Use 'CompletionItem.insertText' and 'CompletionItem.range' instead."),Oe.h=U.textEdit.newText):typeof U.insertText=="string"?Oe.h=U.insertText:U.insertText instanceof c.$jN&&(Oe.h=U.insertText.value,Oe.i|=4);let Be;return U.textEdit?Be=U.textEdit.range:U.range&&(Be=U.range),c.$aN.isRange(Be)?Oe.j=n.Range.from(Be):Be&&(!G?.isEqual(Be.inserting)||!H?.isEqual(Be.replacing))&&(Oe.j={insert:n.Range.from(Be.inserting),replace:n.Range.from(Be.replacing)}),Oe}}class ne{async provideInlineCompletions(U,F,G,H){}disposeCompletions(U){}handleDidShowCompletionItem(U,F,G){}handlePartialAccept(U,F,G,H){}}class z extends ne{constructor(U,F,G,H){super(),this.f=U,this.g=F,this.h=G,this.j=H,this.d=new be,this.e=(0,l.$NG)(this.f,"inlineCompletionsAdditions"),this.k={[r.InlineCompletionTriggerKind.Automatic]:c.InlineCompletionTriggerKind.Automatic,[r.InlineCompletionTriggerKind.Explicit]:c.InlineCompletionTriggerKind.Invoke}}get supportsHandleEvents(){return(0,l.$NG)(this.f,"inlineCompletionsAdditions")&&(typeof this.h.handleDidShowCompletionItem=="function"||typeof this.h.handleDidPartiallyAcceptCompletionItem=="function")}async provideInlineCompletions(U,F,G,H){const ee=this.g.getDocument(U),re=n.Position.to(F),Oe=await this.h.provideInlineCompletionItems(ee,re,{selectedCompletionInfo:G.selectedSuggestionInfo?{range:n.Range.to(G.selectedSuggestionInfo.range),text:G.selectedSuggestionInfo.text}:void 0,triggerKind:this.k[G.triggerKind]},H);if(!Oe||H.isCancellationRequested)return;const Be=Array.isArray(Oe)?Oe:Oe.items,Ge=this.e?Array.isArray(Oe)?[]:Oe.commands||[]:[],_e=this.e&&!Array.isArray(Oe)?Oe.enableForwardStability:void 0;let xe;return{pid:this.d.createReferenceId({dispose(){xe?.dispose()},items:Be}),items:Be.map((tt,it)=>{let at;tt.command&&(xe||(xe=new w.$Uc),at=this.j.toInternal(tt.command,xe));const gt=tt.insertText;return{insertText:typeof gt=="string"?gt:{snippet:gt.value},filterText:tt.filterText,range:tt.range?n.Range.from(tt.range):void 0,command:at,idx:it,completeBracketPairs:this.e?tt.completeBracketPairs:!1}}),commands:Ge.map(tt=>(xe||(xe=new w.$Uc),this.j.toInternal(tt,xe))),suppressSuggestions:!1,enableForwardStability:_e}}disposeCompletions(U){this.d.disposeReferenceId(U)?.dispose()}handleDidShowCompletionItem(U,F,G){const H=this.d.get(U)?.items[F];H&&this.h.handleDidShowCompletionItem&&this.e&&this.h.handleDidShowCompletionItem(H,G)}handlePartialAccept(U,F,G,H){const ee=this.d.get(U)?.items[F];ee&&this.h.handleDidPartiallyAcceptCompletionItem&&this.e&&(this.h.handleDidPartiallyAcceptCompletionItem(ee,G),this.h.handleDidPartiallyAcceptCompletionItem(ee,n.PartialAcceptInfo.to(H)))}}class x{async provideInlineEdits(U,F,G){const H=this.f.getDocument(U),ee=await this.g.provideInlineEdit(H,{triggerKind:this.e[F.triggerKind]},G);if(!ee||G.isCancellationRequested)return;let re;const Oe=this.d.createReferenceId({dispose(){re?.dispose()},item:ee});let Be;ee.accepted&&(re||(re=new w.$Uc),Be=this.h.toInternal(ee.accepted,re));let Ge;return ee.rejected&&(re||(re=new w.$Uc),Ge=this.h.toInternal(ee.rejected,re)),{pid:Oe,text:ee.text,range:n.Range.from(ee.range),accepted:Be,rejected:Ge}}disposeEdit(U){this.d.disposeReferenceId(U)?.dispose()}constructor(U,F,G,H){this.f=F,this.g=G,this.h=H,this.d=new be,this.e={[r.InlineEditTriggerKind.Automatic]:c.InlineEditTriggerKind.Automatic,[r.InlineEditTriggerKind.Invoke]:c.InlineEditTriggerKind.Invoke}}}class be{constructor(){this.d=new Map,this.e=1}createReferenceId(U){const F=this.e++;return this.d.set(F,U),F}disposeReferenceId(U){const F=this.d.get(U);return this.d.delete(U),F}get(U){return this.d.get(U)}}class Fe{constructor(U,F){this.e=U,this.f=F,this.d=new t.$0kc("SignatureHelp")}async provideSignatureHelp(U,F,G,H){const ee=this.e.getDocument(U),re=n.Position.to(F),Oe=this.g(G),Be=await this.f.provideSignatureHelp(ee,re,H,Oe);if(Be){const Ge=this.d.add([Be]);return{...n.SignatureHelp.from(Be),id:Ge}}}g(U){let F;if(U.activeSignatureHelp){const G=n.SignatureHelp.to(U.activeSignatureHelp),H=this.d.get(U.activeSignatureHelp.id,0);H?(F=H,F.activeSignature=G.activeSignature,F.activeParameter=G.activeParameter):F=G}return{...U,activeSignatureHelp:F}}releaseSignatureHelp(U){this.d.delete(U)}}class De{constructor(U,F,G,H,ee){this.f=U,this.g=F,this.h=G,this.j=H,this.k=ee,this.d=new t.$0kc("InlayHints"),this.e=new Map}async provideInlayHints(U,F,G){const H=this.f.getDocument(U),ee=n.Range.to(F),re=await this.h.provideInlayHints(H,ee,G);if(!Array.isArray(re)||re.length===0){this.j.trace(`[InlayHints] NO inlay hints from '${this.k.identifier.value}' for range ${JSON.stringify(F)}`);return}if(G.isCancellationRequested)return;const Oe=this.d.add(re);this.e.set(Oe,new w.$Uc);const Be={hints:[],cacheId:Oe};for(let Ge=0;Ge<re.length;Ge++)this.l(re[Ge],ee)&&Be.hints.push(this.m(re[Ge],[Oe,Ge]));return this.j.trace(`[InlayHints] ${Be.hints.length} inlay hints from '${this.k.identifier.value}' for range ${JSON.stringify(F)}`),Be}async resolveInlayHint(U,F){if(typeof this.h.resolveInlayHint!="function")return;const G=this.d.get(...U);if(!G)return;const H=await this.h.resolveInlayHint(G,F);if(H&&this.l(H))return this.m(H,U)}releaseHints(U){this.e.get(U)?.dispose(),this.e.delete(U),this.d.delete(U)}l(U,F){return U.label.length===0||Array.isArray(U.label)&&U.label.every(G=>G.value.length===0)?(console.log("INVALID inlay hint, empty label",U),!1):!(F&&!F.contains(U.position))}m(U,F){const G=this.e.get(F[0]);if(!G)throw Error("DisposableStore is missing...");const H={label:"",cacheId:F,tooltip:n.MarkdownString.fromStrict(U.tooltip),position:n.Position.from(U.position),textEdits:U.textEdits&&U.textEdits.map(n.TextEdit.from),kind:U.kind&&n.InlayHintKind.from(U.kind),paddingLeft:U.paddingLeft,paddingRight:U.paddingRight};if(typeof U.label=="string")H.label=U.label;else{const ee=[];H.label=ee;for(const re of U.label){if(!re.value){console.warn("INVALID inlay hint, empty label part",this.k.identifier.value);continue}const Oe={label:re.value,tooltip:n.MarkdownString.fromStrict(re.tooltip)};c.$kN.isLocation(re.location)&&(Oe.location=n.location.from(re.location)),re.command&&(Oe.command=this.g.toInternal(re.command,G)),ee.push(Oe)}}return H}}class we{constructor(U,F){this.e=U,this.f=F,this.d=new t.$0kc("DocumentLink")}async provideLinks(U,F){const G=this.e.getDocument(U),H=await this.f.provideDocumentLinks(G,F);if(!(!Array.isArray(H)||H.length===0)&&!F.isCancellationRequested){if(typeof this.f.resolveDocumentLink!="function")return{links:H.filter(we.g).map(n.DocumentLink.from)};{const ee=this.d.add(H),re={links:[],cacheId:ee};for(let Oe=0;Oe<H.length;Oe++){if(!we.g(H[Oe]))continue;const Be=n.DocumentLink.from(H[Oe]);Be.cacheId=[ee,Oe],re.links.push(Be)}return re}}}static g(U){return U.target&&U.target.path.length>5e4?(console.warn("DROPPING link because it is too long"),!1):!0}async resolveLink(U,F){if(typeof this.f.resolveDocumentLink!="function")return;const G=this.d.get(...U);if(!G)return;const H=await this.f.resolveDocumentLink(G,F);if(!(!H||!we.g(H)))return n.DocumentLink.from(H)}releaseLinks(U){this.d.delete(U)}}class ge{constructor(U,F){this.d=U,this.e=F}async provideColors(U,F){const G=this.d.getDocument(U),H=await this.e.provideDocumentColors(G,F);return Array.isArray(H)?H.map(re=>({color:n.Color.from(re.color),range:n.Range.from(re.range)})):[]}async provideColorPresentations(U,F,G){const H=this.d.getDocument(U),ee=n.Range.to(F.range),re=n.Color.to(F.color),Oe=await this.e.provideColorPresentations(re,{document:H,range:ee},G);if(Array.isArray(Oe))return Oe.map(n.ColorPresentation.from)}}class Q{constructor(U,F){this.d=U,this.e=F}async provideFoldingRanges(U,F,G){const H=this.d.getDocument(U),ee=await this.e.provideFoldingRanges(H,F,G);if(Array.isArray(ee))return ee.map(n.FoldingRange.from)}}class Y{constructor(U,F,G){this.d=U,this.e=F,this.f=G}async provideSelectionRanges(U,F,G){const H=this.d.getDocument(U),ee=F.map(n.Position.to),re=await this.e.provideSelectionRanges(H,ee,G);if(!(0,I.$Lb)(re))return[];if(re.length!==ee.length)return this.f.warn("BAD selection ranges, provider must return ranges for each position"),[];const Oe=[];for(let Be=0;Be<ee.length;Be++){const Ge=[];Oe.push(Ge);let _e=ee[Be],xe=re[Be];for(;;){if(!xe.range.contains(_e))throw new Error("INVALID selection range, must contain the previous range");if(Ge.push(n.SelectionRange.from(xe)),!xe.parent)break;_e=xe.range,xe=xe.parent}}return Oe}}class he{constructor(U,F){this.f=U,this.g=F,this.d=new A.$BP(""),this.e=new Map}async prepareSession(U,F,G){const H=this.f.getDocument(U),ee=n.Position.to(F),re=await this.g.prepareCallHierarchy(H,ee,G);if(!re)return;const Oe=this.d.nextId();return this.e.set(Oe,new Map),Array.isArray(re)?re.map(Be=>this.h(Oe,Be)):[this.h(Oe,re)]}async provideCallsTo(U,F,G){const H=this.j(U,F);if(!H)throw new Error("missing call hierarchy item");const ee=await this.g.provideCallHierarchyIncomingCalls(H,G);if(ee)return ee.map(re=>({from:this.h(U,re.from),fromRanges:re.fromRanges.map(Oe=>n.Range.from(Oe))}))}async provideCallsFrom(U,F,G){const H=this.j(U,F);if(!H)throw new Error("missing call hierarchy item");const ee=await this.g.provideCallHierarchyOutgoingCalls(H,G);if(ee)return ee.map(re=>({to:this.h(U,re.to),fromRanges:re.fromRanges.map(Oe=>n.Range.from(Oe))}))}releaseSession(U){this.e.delete(U)}h(U,F){const G=this.e.get(U),H=n.CallHierarchyItem.from(F,U,G.size.toString(36));return G.set(H._itemId,F),H}j(U,F){return this.e.get(U)?.get(F)}}class ue{constructor(U,F){this.f=U,this.g=F,this.d=new A.$BP(""),this.e=new Map}async prepareSession(U,F,G){const H=this.f.getDocument(U),ee=n.Position.to(F),re=await this.g.prepareTypeHierarchy(H,ee,G);if(!re)return;const Oe=this.d.nextId();return this.e.set(Oe,new Map),Array.isArray(re)?re.map(Be=>this.h(Oe,Be)):[this.h(Oe,re)]}async provideSupertypes(U,F,G){const H=this.j(U,F);if(!H)throw new Error("missing type hierarchy item");const ee=await this.g.provideTypeHierarchySupertypes(H,G);if(ee)return ee.map(re=>this.h(U,re))}async provideSubtypes(U,F,G){const H=this.j(U,F);if(!H)throw new Error("missing type hierarchy item");const ee=await this.g.provideTypeHierarchySubtypes(H,G);if(ee)return ee.map(re=>this.h(U,re))}releaseSession(U){this.e.delete(U)}h(U,F){const G=this.e.get(U),H=n.TypeHierarchyItem.from(F,U,G.size.toString(36));return G.set(H._itemId,F),H}j(U,F){return this.e.get(U)?.get(F)}}class Me{constructor(U,F,G,H,ee){this.e=U,this.f=F,this.g=G,this.h=H,this.j=ee,this.d=new t.$0kc("DocumentDropEdit")}async provideDocumentOnDropEdits(U,F,G,H,ee){const re=this.f.getDocument(F),Oe=n.Position.to(G),Be=n.DataTransfer.toDataTransfer(H,async et=>(await this.e.$resolveDocumentOnDropFileData(this.h,U,et)).buffer),Ge=await this.g.provideDocumentDropEdits(re,Oe,Be,ee);if(!Ge)return;const _e=(0,I.$3b)(Ge),xe=this.d.add(_e);return _e.map((et,tt)=>({_cacheId:[xe,tt],title:et.title??(0,s.localize)(1,null,this.j.displayName||this.j.name),kind:et.kind?.value,yieldTo:et.yieldTo?.map(it=>it.value),insertText:typeof et.insertText=="string"?et.insertText:{snippet:et.insertText.value},additionalEdit:et.additionalEdit?n.WorkspaceEdit.from(et.additionalEdit,void 0):void 0}))}async resolveDropEdit(U,F){const[G,H]=U,ee=this.d.get(G,H);if(!ee||!this.g.resolveDocumentDropEdit)return{};const re=await this.g.resolveDocumentDropEdit(ee,F)??ee;return{additionalEdit:re.additionalEdit?n.WorkspaceEdit.from(re.additionalEdit,void 0):void 0}}releaseDropEdits(U){this.d.delete(U)}}class de{constructor(U,F){this.d=U,this.e=F}async provideMappedEdits(U,F,G,H){const ee=d.URI.revive(U),re=this.d.getDocument(ee),Oe=G.documents.map(_e=>_e.map(xe=>({uri:d.URI.revive(xe.uri),version:xe.version,ranges:xe.ranges.map(et=>n.Range.to(et))}))),Be={documents:Oe,selections:Oe[0]?.[0]?.ranges??[]},Ge=await this.e.provideMappedEdits(re,F,Be,H);return Ge?n.WorkspaceEdit.from(Ge):null}}class Ce{constructor(U,F){this.adapter=U,this.extension=F}}class Re{static{this.d=0}constructor(U,F,G,H,ee,re,Oe,Be){this.g=F,this.h=G,this.j=H,this.k=ee,this.l=re,this.m=Oe,this.n=Be,this.f=new Map,this.e=U.getProxy(f.$9M.MainThreadLanguageFeatures)}o(U,F){return n.DocumentSelector.from(U,this.g,F)}p(U){return new c.$$M(()=>{this.f.delete(U),this.e.$unregister(U)})}q(){return Re.d++}async s(U,F,G,H,ee,re=!1){const Oe=this.f.get(U);if(!Oe||!(Oe.adapter instanceof F))return H;const Be=Date.now();re||this.l.trace(`[${Oe.extension.identifier.value}] INVOKE provider '${G.toString().replace(/[\r\n]/g,"")}'`);const Ge=G(Oe.adapter,Oe.extension);return Promise.resolve(Ge).catch(_e=>{(0,M.$4)(_e)||(this.l.error(`[${Oe.extension.identifier.value}] provider FAILED`),this.l.error(_e),this.n.onExtensionError(Oe.extension.identifier,_e))}).finally(()=>{re||this.l.trace(`[${Oe.extension.identifier.value}] provider DONE after ${Date.now()-Be}ms`)}),R.CancellationToken.isCancellationToken(ee)?(0,O.$lh)(Ge,ee):Ge}t(U,F){const G=this.q();return this.f.set(G,new Ce(U,F)),G}static u(U){return U.displayName||U.name}registerDocumentSymbolProvider(U,F,G,H){const ee=this.t(new a(this.h,G),U),re=H&&H.label||Re.u(U);return this.e.$registerDocumentSymbolProvider(ee,this.o(F,U),re),this.p(ee)}$provideDocumentSymbols(U,F,G){return this.s(U,a,H=>H.provideDocumentSymbols(d.URI.revive(F),G),void 0,G)}registerCodeLensProvider(U,F,G){const H=this.q(),ee=typeof G.onDidChangeCodeLenses=="function"?this.q():void 0;this.f.set(H,new Ce(new $(this.h,this.j.converter,G,U,this.n,this.l),U)),this.e.$registerCodeLensSupport(H,this.o(F,U),ee);let re=this.p(H);if(ee!==void 0){const Oe=G.onDidChangeCodeLenses(Be=>this.e.$emitCodeLensEvent(ee));re=c.$$M.from(re,Oe)}return re}$provideCodeLenses(U,F,G){return this.s(U,$,H=>H.provideCodeLenses(d.URI.revive(F),G),void 0,G)}$resolveCodeLens(U,F,G){return this.s(U,$,H=>H.resolveCodeLens(F,G),void 0,void 0)}$releaseCodeLenses(U,F){this.s(U,$,G=>Promise.resolve(G.releaseCodeLenses(F)),void 0,void 0)}registerDefinitionProvider(U,F,G){const H=this.t(new S(this.h,G),U);return this.e.$registerDefinitionSupport(H,this.o(F,U)),this.p(H)}$provideDefinition(U,F,G,H){return this.s(U,S,ee=>ee.provideDefinition(d.URI.revive(F),G,H),[],H)}registerDeclarationProvider(U,F,G){const H=this.t(new h(this.h,G),U);return this.e.$registerDeclarationSupport(H,this.o(F,U)),this.p(H)}$provideDeclaration(U,F,G,H){return this.s(U,h,ee=>ee.provideDeclaration(d.URI.revive(F),G,H),[],H)}registerImplementationProvider(U,F,G){const H=this.t(new v(this.h,G),U);return this.e.$registerImplementationSupport(H,this.o(F,U)),this.p(H)}$provideImplementation(U,F,G,H){return this.s(U,v,ee=>ee.provideImplementation(d.URI.revive(F),G,H),[],H)}registerTypeDefinitionProvider(U,F,G){const H=this.t(new g(this.h,G),U);return this.e.$registerTypeDefinitionSupport(H,this.o(F,U)),this.p(H)}$provideTypeDefinition(U,F,G,H){return this.s(U,g,ee=>ee.provideTypeDefinition(d.URI.revive(F),G,H),[],H)}registerHoverProvider(U,F,G,H){const ee=this.t(new k(this.h,G),U);return this.e.$registerHoverProvider(ee,this.o(F,U)),this.p(ee)}$provideHover(U,F,G,H,ee){return this.s(U,k,re=>re.provideHover(d.URI.revive(F),G,H,ee),void 0,ee)}$releaseHover(U,F){this.s(U,k,G=>Promise.resolve(G.releaseHover(F)),void 0,void 0)}registerEvaluatableExpressionProvider(U,F,G,H){const ee=this.t(new y(this.h,G),U);return this.e.$registerEvaluatableExpressionProvider(ee,this.o(F,U)),this.p(ee)}$provideEvaluatableExpression(U,F,G,H){return this.s(U,y,ee=>ee.provideEvaluatableExpression(d.URI.revive(F),G,H),void 0,H)}registerInlineValuesProvider(U,F,G,H){const ee=typeof G.onDidChangeInlineValues=="function"?this.q():void 0,re=this.t(new C(this.h,G),U);this.e.$registerInlineValuesProvider(re,this.o(F,U),ee);let Oe=this.p(re);if(ee!==void 0){const Be=G.onDidChangeInlineValues(Ge=>this.e.$emitInlineValuesEvent(ee));Oe=c.$$M.from(Oe,Be)}return Oe}$provideInlineValues(U,F,G,H,ee){return this.s(U,C,re=>re.provideInlineValues(d.URI.revive(F),G,H,ee),void 0,ee)}registerDocumentHighlightProvider(U,F,G){const H=this.t(new P(this.h,G),U);return this.e.$registerDocumentHighlightProvider(H,this.o(F,U)),this.p(H)}registerMultiDocumentHighlightProvider(U,F,G){const H=this.t(new W(this.h,G),U);return this.e.$registerMultiDocumentHighlightProvider(H,this.o(F,U)),this.p(H)}$provideDocumentHighlights(U,F,G,H){return this.s(U,P,ee=>ee.provideDocumentHighlights(d.URI.revive(F),G,H),void 0,H)}$provideMultiDocumentHighlights(U,F,G,H,ee){return this.s(U,W,re=>re.provideMultiDocumentHighlights(d.URI.revive(F),G,H.map(Oe=>d.URI.revive(Oe)),ee),void 0,ee)}registerLinkedEditingRangeProvider(U,F,G){const H=this.t(new V(this.h,G),U);return this.e.$registerLinkedEditingRangeProvider(H,this.o(F,U)),this.p(H)}$provideLinkedEditingRanges(U,F,G,H){return this.s(U,V,async ee=>{const re=await ee.provideLinkedEditingRanges(d.URI.revive(F),G,H);if(re)return{ranges:re.ranges,wordPattern:re.wordPattern?Re.w(re.wordPattern):void 0}},void 0,H)}registerReferenceProvider(U,F,G){const H=this.t(new q(this.h,G),U);return this.e.$registerReferenceSupport(H,this.o(F,U)),this.p(H)}$provideReferences(U,F,G,H,ee){return this.s(U,q,re=>re.provideReferences(d.URI.revive(F),G,H,ee),void 0,ee)}registerCodeActionProvider(U,F,G,H){const ee=new w.$Uc,re=this.t(new N(this.h,this.j.converter,this.k,G,this.l,U,this.m),U);return this.e.$registerQuickFixSupport(re,this.o(F,U),{providedKinds:H?.providedCodeActionKinds?.map(Oe=>Oe.value),documentation:H?.documentation?.map(Oe=>({kind:Oe.kind.value,command:this.j.converter.toInternal(Oe.command,ee)}))},Re.u(U),!!G.resolveCodeAction),ee.add(this.p(re)),ee}$provideCodeActions(U,F,G,H,ee){return this.s(U,N,re=>re.provideCodeActions(d.URI.revive(F),G,H,ee),void 0,ee)}$resolveCodeAction(U,F,G){return this.s(U,N,H=>H.resolveCodeAction(F,G),{},void 0)}$releaseCodeActions(U,F){this.s(U,N,G=>Promise.resolve(G.releaseCodeActions(F)),void 0,void 0)}registerDocumentFormattingEditProvider(U,F,G){const H=this.t(new K(this.h,G),U);return this.e.$registerDocumentFormattingSupport(H,this.o(F,U),U.identifier,U.displayName||U.name),this.p(H)}$provideDocumentFormattingEdits(U,F,G,H){return this.s(U,K,ee=>ee.provideDocumentFormattingEdits(d.URI.revive(F),G,H),void 0,H)}registerDocumentRangeFormattingEditProvider(U,F,G){const H=typeof G.provideDocumentRangesFormattingEdits=="function",ee=this.t(new ie(this.h,G),U);return this.e.$registerRangeFormattingSupport(ee,this.o(F,U),U.identifier,U.displayName||U.name,H),this.p(ee)}$provideDocumentRangeFormattingEdits(U,F,G,H,ee){return this.s(U,ie,re=>re.provideDocumentRangeFormattingEdits(d.URI.revive(F),G,H,ee),void 0,ee)}$provideDocumentRangesFormattingEdits(U,F,G,H,ee){return this.s(U,ie,re=>re.provideDocumentRangesFormattingEdits(d.URI.revive(F),G,H,ee),void 0,ee)}registerOnTypeFormattingEditProvider(U,F,G,H){const ee=this.t(new ce(this.h,G),U);return this.e.$registerOnTypeFormattingSupport(ee,this.o(F,U),H,U.identifier),this.p(ee)}$provideOnTypeFormattingEdits(U,F,G,H,ee,re){return this.s(U,ce,Oe=>Oe.provideOnTypeFormattingEdits(d.URI.revive(F),G,H,ee,re),void 0,re)}registerWorkspaceSymbolProvider(U,F){const G=this.t(new ye(F,this.l),U);return this.e.$registerNavigateTypeSupport(G,typeof F.resolveWorkspaceSymbol=="function"),this.p(G)}$provideWorkspaceSymbols(U,F,G){return this.s(U,ye,H=>H.provideWorkspaceSymbols(F,G),{symbols:[]},G)}$resolveWorkspaceSymbol(U,F,G){return this.s(U,ye,H=>H.resolveWorkspaceSymbol(F,G),void 0,void 0)}$releaseWorkspaceSymbols(U,F){this.s(U,ye,G=>G.releaseWorkspaceSymbols(F),void 0,void 0)}registerRenameProvider(U,F,G){const H=this.t(new Se(this.h,G,this.l),U);return this.e.$registerRenameSupport(H,this.o(F,U),Se.supportsResolving(G)),this.p(H)}$provideRenameEdits(U,F,G,H,ee){return this.s(U,Se,re=>re.provideRenameEdits(d.URI.revive(F),G,H,ee),void 0,ee)}$resolveRenameLocation(U,F,G,H){return this.s(U,Se,ee=>ee.resolveRenameLocation(d.URI.revive(F),G,H),void 0,H)}registerNewSymbolNamesProvider(U,F,G){const H=this.t(new fe(this.h,G,this.l),U);return this.e.$registerNewSymbolNamesProvider(H,this.o(F,U)),this.p(H)}$supportsAutomaticNewSymbolNamesTriggerKind(U){return this.s(U,fe,F=>F.supportsAutomaticNewSymbolNamesTriggerKind(),!1,void 0)}$provideNewSymbolNames(U,F,G,H,ee){return this.s(U,fe,re=>re.provideNewSymbolNames(d.URI.revive(F),G,H,ee),void 0,ee)}registerDocumentSemanticTokensProvider(U,F,G,H){const ee=this.t(new Te(this.h,G),U),re=typeof G.onDidChangeSemanticTokens=="function"?this.q():void 0;this.e.$registerDocumentSemanticTokensProvider(ee,this.o(F,U),H,re);let Oe=this.p(ee);if(re){const Be=G.onDidChangeSemanticTokens(Ge=>this.e.$emitDocumentSemanticTokensEvent(re));Oe=c.$$M.from(Oe,Be)}return Oe}$provideDocumentSemanticTokens(U,F,G,H){return this.s(U,Te,ee=>ee.provideDocumentSemanticTokens(d.URI.revive(F),G,H),null,H)}$releaseDocumentSemanticTokens(U,F){this.s(U,Te,G=>G.releaseDocumentSemanticColoring(F),void 0,void 0)}registerDocumentRangeSemanticTokensProvider(U,F,G,H){const ee=this.t(new ae(this.h,G),U);return this.e.$registerDocumentRangeSemanticTokensProvider(ee,this.o(F,U),H),this.p(ee)}$provideDocumentRangeSemanticTokens(U,F,G,H){return this.s(U,ae,ee=>ee.provideDocumentRangeSemanticTokens(d.URI.revive(F),G,H),null,H)}registerCompletionItemProvider(U,F,G,H){const ee=this.t(new Ne(this.h,this.j.converter,G,this.m,U),U);return this.e.$registerCompletionsProvider(ee,this.o(F,U),H,Ne.supportsResolving(G),U.identifier),this.p(ee)}$provideCompletionItems(U,F,G,H,ee){return this.s(U,Ne,re=>re.provideCompletionItems(d.URI.revive(F),G,H,ee),void 0,ee)}$resolveCompletionItem(U,F,G){return this.s(U,Ne,H=>H.resolveCompletionItem(F,G),void 0,G)}$releaseCompletionItems(U,F){this.s(U,Ne,G=>G.releaseCompletionItems(F),void 0,void 0)}registerInlineCompletionsProvider(U,F,G,H){const ee=new z(U,this.h,G,this.j.converter),re=this.t(ee,U);return this.e.$registerInlineCompletionsSupport(re,this.o(F,U),ee.supportsHandleEvents,i.$Rm.toKey(U.identifier.value),H?.yieldTo?.map(Oe=>i.$Rm.toKey(Oe))||[]),this.p(re)}$provideInlineCompletions(U,F,G,H,ee){return this.s(U,ne,re=>re.provideInlineCompletions(d.URI.revive(F),G,H,ee),void 0,ee)}$handleInlineCompletionDidShow(U,F,G,H){this.s(U,ne,async ee=>{ee.handleDidShowCompletionItem(F,G,H)},void 0,void 0)}$handleInlineCompletionPartialAccept(U,F,G,H,ee){this.s(U,ne,async re=>{re.handlePartialAccept(F,G,H,ee)},void 0,void 0)}$freeInlineCompletionsList(U,F){this.s(U,ne,async G=>{G.disposeCompletions(F)},void 0,void 0)}registerInlineEditProvider(U,F,G){const H=new x(U,this.h,G,this.j.converter),ee=this.t(H,U);return this.e.$registerInlineEditProvider(ee,this.o(F,U),U.identifier),this.p(ee)}$provideInlineEdit(U,F,G,H){return this.s(U,x,ee=>ee.provideInlineEdits(d.URI.revive(F),G,H),void 0,H)}$freeInlineEdit(U,F){this.s(U,x,async G=>{G.disposeEdit(F)},void 0,void 0)}registerSignatureHelpProvider(U,F,G,H){const ee=Array.isArray(H)?{triggerCharacters:H,retriggerCharacters:[]}:H,re=this.t(new Fe(this.h,G),U);return this.e.$registerSignatureHelpProvider(re,this.o(F,U),ee),this.p(re)}$provideSignatureHelp(U,F,G,H,ee){return this.s(U,Fe,re=>re.provideSignatureHelp(d.URI.revive(F),G,H,ee),void 0,ee)}$releaseSignatureHelp(U,F){this.s(U,Fe,G=>G.releaseSignatureHelp(F),void 0,void 0)}registerInlayHintsProvider(U,F,G){const H=typeof G.onDidChangeInlayHints=="function"?this.q():void 0,ee=this.t(new De(this.h,this.j.converter,G,this.l,U),U);this.e.$registerInlayHintsProvider(ee,this.o(F,U),typeof G.resolveInlayHint=="function",H,Re.u(U));let re=this.p(ee);if(H!==void 0){const Oe=G.onDidChangeInlayHints(Be=>this.e.$emitInlayHintsEvent(H));re=c.$$M.from(re,Oe)}return re}$provideInlayHints(U,F,G,H){return this.s(U,De,ee=>ee.provideInlayHints(d.URI.revive(F),G,H),void 0,H)}$resolveInlayHint(U,F,G){return this.s(U,De,H=>H.resolveInlayHint(F,G),void 0,G)}$releaseInlayHints(U,F){this.s(U,De,G=>G.releaseHints(F),void 0,void 0)}registerDocumentLinkProvider(U,F,G){const H=this.t(new we(this.h,G),U);return this.e.$registerDocumentLinkProvider(H,this.o(F,U),typeof G.resolveDocumentLink=="function"),this.p(H)}$provideDocumentLinks(U,F,G){return this.s(U,we,H=>H.provideLinks(d.URI.revive(F),G),void 0,G,F.scheme==="output")}$resolveDocumentLink(U,F,G){return this.s(U,we,H=>H.resolveLink(F,G),void 0,void 0,!0)}$releaseDocumentLinks(U,F){this.s(U,we,G=>G.releaseLinks(F),void 0,void 0,!0)}registerColorProvider(U,F,G){const H=this.t(new ge(this.h,G),U);return this.e.$registerDocumentColorProvider(H,this.o(F,U)),this.p(H)}$provideDocumentColors(U,F,G){return this.s(U,ge,H=>H.provideColors(d.URI.revive(F),G),[],G)}$provideColorPresentations(U,F,G,H){return this.s(U,ge,ee=>ee.provideColorPresentations(d.URI.revive(F),G,H),void 0,H)}registerFoldingRangeProvider(U,F,G){const H=this.q(),ee=typeof G.onDidChangeFoldingRanges=="function"?this.q():void 0;this.f.set(H,new Ce(new Q(this.h,G),U)),this.e.$registerFoldingRangeProvider(H,this.o(F,U),U.identifier,ee);let re=this.p(H);if(ee!==void 0){const Oe=G.onDidChangeFoldingRanges(()=>this.e.$emitFoldingRangeEvent(ee));re=c.$$M.from(re,Oe)}return re}$provideFoldingRanges(U,F,G,H){return this.s(U,Q,ee=>ee.provideFoldingRanges(d.URI.revive(F),G,H),void 0,H)}registerSelectionRangeProvider(U,F,G){const H=this.t(new Y(this.h,G,this.l),U);return this.e.$registerSelectionRangeProvider(H,this.o(F,U)),this.p(H)}$provideSelectionRanges(U,F,G,H){return this.s(U,Y,ee=>ee.provideSelectionRanges(d.URI.revive(F),G,H),[],H)}registerCallHierarchyProvider(U,F,G){const H=this.t(new he(this.h,G),U);return this.e.$registerCallHierarchyProvider(H,this.o(F,U)),this.p(H)}$prepareCallHierarchy(U,F,G,H){return this.s(U,he,ee=>Promise.resolve(ee.prepareSession(d.URI.revive(F),G,H)),void 0,H)}$provideCallHierarchyIncomingCalls(U,F,G,H){return this.s(U,he,ee=>ee.provideCallsTo(F,G,H),void 0,H)}$provideCallHierarchyOutgoingCalls(U,F,G,H){return this.s(U,he,ee=>ee.provideCallsFrom(F,G,H),void 0,H)}$releaseCallHierarchy(U,F){this.s(U,he,G=>Promise.resolve(G.releaseSession(F)),void 0,void 0)}registerTypeHierarchyProvider(U,F,G){const H=this.t(new ue(this.h,G),U);return this.e.$registerTypeHierarchyProvider(H,this.o(F,U)),this.p(H)}$prepareTypeHierarchy(U,F,G,H){return this.s(U,ue,ee=>Promise.resolve(ee.prepareSession(d.URI.revive(F),G,H)),void 0,H)}$provideTypeHierarchySupertypes(U,F,G,H){return this.s(U,ue,ee=>ee.provideSupertypes(F,G,H),void 0,H)}$provideTypeHierarchySubtypes(U,F,G,H){return this.s(U,ue,ee=>ee.provideSubtypes(F,G,H),void 0,H)}$releaseTypeHierarchy(U,F){this.s(U,ue,G=>Promise.resolve(G.releaseSession(F)),void 0,void 0)}registerDocumentOnDropEditProvider(U,F,G,H){const ee=this.q();return this.f.set(ee,new Ce(new Me(this.e,this.h,G,ee,U),U)),this.e.$registerDocumentOnDropEditProvider(ee,this.o(F,U),(0,l.$NG)(U,"documentPaste")&&H?{supportsResolve:!!G.resolveDocumentDropEdit,dropMimeTypes:H.dropMimeTypes}:void 0),this.p(ee)}$provideDocumentOnDropEdits(U,F,G,H,ee,re){return this.s(U,Me,Oe=>Promise.resolve(Oe.provideDocumentOnDropEdits(F,d.URI.revive(G),H,ee,re)),void 0,void 0)}$resolveDropEdit(U,F,G){return this.s(U,Me,H=>H.resolveDropEdit(F,G),{},void 0)}$releaseDropEdits(U,F){this.s(U,Me,G=>Promise.resolve(G.releaseDropEdits(F)),void 0,void 0)}registerMappedEditsProvider(U,F,G){const H=this.t(new de(this.h,G),U);return this.e.$registerMappedEditsProvider(H,this.o(F,U)),this.p(H)}$provideMappedEdits(U,F,G,H,ee){return this.s(U,de,re=>Promise.resolve(re.provideMappedEdits(F,G,H,ee)),null,ee)}registerDocumentPasteEditProvider(U,F,G,H){const ee=this.q();return this.f.set(ee,new Ce(new j(this.e,this.h,G,ee,U),U)),this.e.$registerPasteEditProvider(ee,this.o(F,U),{supportsCopy:!!G.prepareDocumentPaste,supportsPaste:!!G.provideDocumentPasteEdits,supportsResolve:!!G.resolveDocumentPasteEdit,providedPasteEditKinds:H.providedPasteEditKinds?.map(re=>re.value),copyMimeTypes:H.copyMimeTypes,pasteMimeTypes:H.pasteMimeTypes}),this.p(ee)}$prepareDocumentPaste(U,F,G,H,ee){return this.s(U,j,re=>re.prepareDocumentPaste(d.URI.revive(F),G,H,ee),void 0,ee)}$providePasteEdits(U,F,G,H,ee,re,Oe){return this.s(U,j,Be=>Be.providePasteEdits(F,d.URI.revive(G),H,ee,re,Oe),void 0,Oe)}$resolvePasteEdit(U,F,G){return this.s(U,j,H=>H.resolvePasteEdit(F,G),{},void 0)}$releasePasteEdits(U,F){this.s(U,j,G=>Promise.resolve(G.releasePasteEdits(F)),void 0,void 0)}static w(U){return{pattern:U.source,flags:U.flags}}static y(U){return{decreaseIndentPattern:Re.w(U.decreaseIndentPattern),increaseIndentPattern:Re.w(U.increaseIndentPattern),indentNextLinePattern:U.indentNextLinePattern?Re.w(U.indentNextLinePattern):void 0,unIndentedLinePattern:U.unIndentedLinePattern?Re.w(U.unIndentedLinePattern):void 0}}static z(U){return{beforeText:Re.w(U.beforeText),afterText:U.afterText?Re.w(U.afterText):void 0,previousLineText:U.previousLineText?Re.w(U.previousLineText):void 0,action:U.action}}static B(U){return U.map(Re.z)}static C(U){return{open:U.open,close:U.close,notIn:U.notIn?U.notIn.map(F=>c.SyntaxTokenType.toString(F)):void 0}}static D(U){return U.map(Re.C)}setLanguageConfiguration(U,F,G){const{wordPattern:H}=G;if(H&&(0,T.$kf)(H))throw new Error(`Invalid language configuration: wordPattern '${H}' is not allowed to match the empty string.`);H?this.h.setWordDefinitionFor(F,H):this.h.setWordDefinitionFor(F,void 0),G.__electricCharacterSupport&&this.m.report("LanguageConfiguration.__electricCharacterSupport",U,"Do not use."),G.__characterPairSupport&&this.m.report("LanguageConfiguration.__characterPairSupport",U,"Do not use.");const ee=this.q(),re={comments:G.comments,brackets:G.brackets,wordPattern:G.wordPattern?Re.w(G.wordPattern):void 0,indentationRules:G.indentationRules?Re.y(G.indentationRules):void 0,onEnterRules:G.onEnterRules?Re.B(G.onEnterRules):void 0,__electricCharacterSupport:G.__electricCharacterSupport,__characterPairSupport:G.__characterPairSupport,autoClosingPairs:G.autoClosingPairs?Re.D(G.autoClosingPairs):void 0};return this.e.$setLanguageConfiguration(ee,F,re),this.p(ee)}$setWordDefinitions(U){for(const F of U)this.h.setWordDefinitionFor(F.languageId,new RegExp(F.regexSource,F.regexFlags))}}e.$hlc=Re}),define(Ie[90],Pe([1,0,6,4,8,7,103,20,11,5,175,108,14,3,17,86,12,42]),function(le,e,I,O,R,M,A,w,p,E,T,D,d,b,m,r,o,s){"use strict";var i;Object.defineProperty(e,"__esModule",{value:!0}),e.$2lc=e.$1lc=void 0,e.$1lc=(0,b.$wi)("IExtHostLanguageModels");class n{constructor(f,a){this.option=f,this.stream=new p.$Zh,this.stream=a??new p.$Zh}}class c{constructor(){this.a=new Map,this.b=new p.$Zh,this.c=!1,this.d=!1;const f=this;this.apiObject={stream:f.b.asyncIterable}}*f(){if(this.a.size>0)for(const[,f]of this.a)yield f.stream;else yield this.b}handleFragment(f){if(this.c)return;this.d=!0;let a=this.a.get(f.index);a||(this.a.size===0?a=new n(f.index,this.b):a=new n(f.index),this.a.set(f.index,a)),a.stream.emitOne(f.part)}get isStreaming(){return this.d}reject(f){this.c=!0;for(const a of this.f())a.reject(f)}resolve(){this.c=!0;for(const f of this.f())f.resolve()}}let l=class{static{i=this}static{this.a=1}constructor(f,a,$){this.j=a,this.k=$,this.c=new E.$ee,this.d=new E.$ee,this.onDidChangeProviders=this.d.event,this.f=new Map,this.g=new Map,this.h=new w.$Tm,this.i=new Map,this.o=new Set,this.b=f.getProxy(O.$9M.MainThreadLanguageModels)}dispose(){this.c.dispose(),this.d.dispose()}registerLanguageModel(f,a,$,u){const S=i.a++;this.f.set(S,{extension:f.identifier,provider:$,languageModelId:a});let h;u.auth&&(h={providerLabel:f.displayName||f.name,accountLabel:typeof u.auth=="object"?u.auth.label:void 0}),this.b.$registerLanguageModelProvider(S,a,{extension:f.identifier,identifier:a,name:u.name??"",version:u.version,tokens:u.tokens,auth:h});const v=$.onDidReceiveLanguageModelResponse2?.(({extensionId:g,participant:k,tokenCount:y})=>{this.b.$whenLanguageModelChatRequestMade(a,new w.$Rm(g),k,y)});return(0,I.$Tc)(()=>{this.f.delete(S),this.b.$unregisterProvider(S),v?.dispose()})}async $provideLanguageModelResponse(f,a,$,u,S,h){const v=this.f.get(f);if(!v)return;const g=new A.$dw(async k=>{if(h.isCancellationRequested){this.j.warn(`[CHAT](${v.extension.value}) CANNOT send progress because the REQUEST IS CANCELLED`);return}this.b.$handleProgressChunk(a,{index:k.index,part:k.part})});return v.provider.provideLanguageModelResponse2(u.map(R.LanguageModelMessage.to),S,w.$Rm.toKey($),g,h)}$provideTokenLength(f,a,$){const u=this.f.get(f);return u?Promise.resolve(u.provider.provideTokenCount(a,$)):Promise.resolve(0)}$updateLanguageModels(f){const a=[],$=[];if(f.added)for(const u of f.added)this.g.set(u.identifier,u),a.push(u.identifier);if(f.removed)for(const u of f.removed){this.g.delete(u),$.push(u);for(const[S,h]of this.i)h.languageModelId===u&&(h.res.reject(new d.$5),this.i.delete(S))}this.d.fire(Object.freeze({added:Object.freeze(a),removed:Object.freeze($)})),f.added?.forEach(this.n,this)}getLanguageModelIds(){return Array.from(this.g.keys())}$updateModelAccesslist(f){const a=new Array;for(const{from:$,to:u,enabled:S}of f){const h=this.h.get($)??new w.$Sm;if(h.has(u)!==S){S?h.add(u):h.delete(u),this.h.set($,h);const g={from:$,to:u};a.push(g),this.c.fire(g)}}}async sendChatRequest(f,a,$,u,S){const h=f.identifier,v=await this.b.$prepareChatAccess(h,a,u.justification);if(!v||!this.g.has(a))throw M.$jP.NotFound(`Language model '${a}' is unknown.`);if(this.m(h,v)&&(!await this.l(f,{identifier:v.extension,displayName:v.auth.providerLabel},u.justification,u.silent)||!this.h.get(h)?.has(v.extension)))throw M.$jP.NoPermissions(`Language model '${a}' cannot be used by '${h.value}'.`);const g=Math.random()*1e6|0,k=this.b.$fetchResponse(h,a,g,$.map(R.LanguageModelMessage.from),u.modelOptions??{},S),y=new p.$vh,C=new c;this.i.set(g,{languageModelId:a,res:C});let P;if(k.catch(W=>{y.isOpen()?C.reject(W):P=W}).finally(()=>{this.i.delete(g),C.resolve(),y.open()}),await y.wait(),P)throw new M.$jP(`Language model '${a}' errored, check cause for more details`,"Unknown",P);return C.apiObject}async $handleResponseFragment(f,a){const $=this.i.get(f);$&&$.res.handleFragment(a)}async l(f,a,$,u){const S=D.$$L+a.identifier.value;if(await this.k.getSession(f,S,[],{silent:!0}))return this.$updateModelAccesslist([{from:f.identifier,to:a.identifier,enabled:!0}]),!0;if(u)return!1;try{const v=$?(0,T.localize)(0,null,a.displayName,$):(0,T.localize)(1,null,a.displayName);return await this.k.getSession(f,S,[],{forceNewSession:{detail:v}}),this.$updateModelAccesslist([{from:f.identifier,to:a.identifier,enabled:!0}]),!0}catch{return!1}}m(f,a){return!!a.auth&&!w.$Rm.equals(a.extension,f)}async n(f){for(const a of this.o)try{await this.l(a,{identifier:f.extension,displayName:""},void 0,!0)}catch($){this.j.error("Fake Auth request failed"),this.j.error($)}}async computeTokenLength(f,a,$){const u=this.g.get(f);if(!u)throw M.$jP.NotFound(`Language model '${f}' is unknown.`);const S=s.Iterable.find(this.f.values(),h=>h.languageModelId===f);return S?S.provider.provideTokenCount(a,$):this.b.$countTokens(u.identifier,typeof a=="string"?a:R.LanguageModelMessage.from(a),$)}getLanguageModelInfo(f){const a=this.g.get(f);if(a)return{id:a.identifier,name:a.name,version:a.version,tokens:a.tokens}}createLanguageModelAccessInformation(f){this.o.add(f);const a=this,$=E.Event.signal(E.Event.filter(this.c.event,S=>w.$Rm.equals(S.from,f.identifier))),u=E.Event.signal(this.d.event);return{get onDidChange(){return E.Event.any($,u)},canSendRequest(S){const h=a.g.get(S);if(!h)return;if(!a.m(f.identifier,h))return!0;const v=a.h.get(f.identifier);if(v)return v.has(h.extension)}}}};e.$2lc=l,e.$2lc=l=i=Je([We(0,m.$wP),We(1,o.$3j),We(2,r.$jlc)],l)}),define(Ie[274],Pe([1,0,4,8,7,33,11,6,26]),function(le,e,I,O,R,M,A,w,p){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Gmc=void 0;class E{constructor(D,d,b,m){this.c=d,this.d=b,this.e=m,this.b=[],this.f=0,this.g=new Set,this.a=D.getProxy(I.$9M.MainThreadLanguages)}$acceptLanguageIds(D){this.b=D}async getLanguages(){return this.b.slice(0)}async changeLanguage(D,d){await this.a.$changeLanguage(D,d);const b=this.c.getDocumentData(D);if(!b)throw new Error(`document '${D.toString()}' NOT found`);return b.document}async tokenAtPosition(D,d){const b=D.version,m=O.Position.from(d),r=await this.a.$tokensAtPosition(D.uri,m),o={type:R.StandardTokenType.Other,range:D.getWordRangeAtPosition(d)??new R.$aN(d.line,d.character,d.line,d.character)};if(!r)return o;const s={range:O.Range.to(r.range),type:O.TokenType.to(r.type)};return!s.range.contains(d)||b!==D.version?o:s}createLanguageStatusItem(D,d,b){const m=this.f++,r=this.a,o=this.g,s=`${D.identifier.value}/${d}`;if(o.has(s))throw new Error(`LanguageStatusItem with id '${d}' ALREADY exists`);o.add(s);const i={selector:b,id:d,name:D.displayName??D.name,severity:R.LanguageStatusSeverity.Information,command:void 0,text:"",detail:"",busy:!1};let n;const c=new w.$Uc,l=()=>{if(n?.dispose(),!o.has(s)){console.warn(`LanguageStatusItem (${d}) from ${D.identifier.value} has been disposed and CANNOT be updated anymore`);return}n=(0,A.$yh)(()=>{c.clear(),this.a.$setLanguageStatus(m,{id:s,name:i.name??D.displayName??D.name,source:D.displayName??D.name,selector:O.DocumentSelector.from(i.selector,this.e),label:i.text,detail:i.detail??"",severity:i.severity===R.LanguageStatusSeverity.Error?M.default.Error:i.severity===R.LanguageStatusSeverity.Warning?M.default.Warning:M.default.Info,command:i.command&&this.d.toInternal(i.command,c),accessibilityInfo:i.accessibilityInformation,busy:i.busy})},0)},t={dispose(){c.dispose(),n?.dispose(),r.$removeLanguageStatus(m),o.delete(s)},get id(){return i.id},get name(){return i.name},set name(f){i.name=f,l()},get selector(){return i.selector},set selector(f){i.selector=f,l()},get text(){return i.text},set text(f){i.text=f,l()},set text2(f){(0,p.$OG)(D,"languageStatusText"),i.text=f,l()},get text2(){return(0,p.$OG)(D,"languageStatusText"),i.text},get detail(){return i.detail},set detail(f){i.detail=f,l()},get severity(){return i.severity},set severity(f){i.severity=f,l()},get accessibilityInformation(){return i.accessibilityInformation},set accessibilityInformation(f){i.accessibilityInformation=f,l()},get command(){return i.command},set command(f){i.command=f,l()},get busy(){return i.busy},set busy(f){i.busy=f,l()}};return l(),t}}e.$Gmc=E}),define(Ie[275],Pe([1,0,16,2,8,7,85]),function(le,e,I,O,R,M,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$tmc=e.$smc=void 0;class w{constructor(D,d,b,m){this.start=D,this.deletedCount=d,this.deletedItems=b,this.items=m}asApiEvent(){return{range:new M.$AO(this.start,this.start+this.deletedCount),addedCells:this.items.map(D=>D.apiCell),removedCells:this.deletedItems}}}class p{static asModelAddData(D){return{EOL:D.eol,lines:D.source,languageId:D.language,uri:D.uri,isDirty:!1,versionId:1}}constructor(D,d,b){this.notebook=D,this.h=d,this.j=b,this.handle=b.handle,this.uri=O.URI.revive(b.uri),this.cellKind=b.cellKind,this.a=b.outputs.map(R.NotebookCellOutput.to),this.e=b.internalMetadata??{},this.b=Object.freeze(b.metadata??{}),this.d=Object.freeze(R.NotebookCellExecutionSummary.to(b.internalMetadata??{}))}get internalMetadata(){return this.e}get apiCell(){if(!this.f){const D=this,d=this.h.getDocument(this.uri);if(!d)throw new Error(`MISSING extHostDocument for notebook cell: ${this.uri}`);const b={get index(){return D.notebook.getCellIndex(D)},notebook:D.notebook.apiNotebook,kind:R.NotebookCellKind.to(this.j.cellKind),document:d.document,get mime(){return D.g},set mime(m){D.g=m},get outputs(){return D.a.slice(0)},get metadata(){return D.b},get executionSummary(){return D.d}};this.f=Object.freeze(b)}return this.f}setOutputs(D){this.a=D.map(R.NotebookCellOutput.to)}setOutputItems(D,d,b){const m=b.map(R.NotebookCellOutputItem.to),r=this.a.find(o=>o.id===D);if(r&&(d||(r.items.length=0),r.items.push(...m),r.items.length>1&&r.items.every(o=>A.$6K(o.mime)))){const o=new Map,s=[];r.items.forEach(i=>{let n;o.has(i.mime)?n=o.get(i.mime):(n=[],o.set(i.mime,n),s.push(i.mime)),n.push(i.data)}),r.items.length=0,s.forEach(i=>{const n=A.$7K(o.get(i));r.items.push({mime:i,data:n.data.buffer})})}}setMetadata(D){this.b=Object.freeze(D)}setInternalMetadata(D){this.e=D,this.d=Object.freeze(R.NotebookCellExecutionSummary.to(D))}setMime(D){}}e.$smc=p;class E{static{this.a=0}constructor(D,d,b,m,r){this.k=D,this.l=d,this.m=b,this.uri=m,this.handle=E.a++,this.b=[],this.g=0,this.h=!1,this.j=!1,this.d=r.viewType,this.f=Object.freeze(r.metadata??Object.create(null)),this.r([[0,0,r.cells]],!0,void 0),this.g=r.versionId}dispose(){this.j=!0}get versionId(){return this.g}get apiNotebook(){if(!this.e){const D=this,d={get uri(){return D.uri},get version(){return D.g},get notebookType(){return D.d},get isDirty(){return D.h},get isUntitled(){return D.uri.scheme===I.Schemas.untitled},get isClosed(){return D.j},get metadata(){return D.f},get cellCount(){return D.b.length},cellAt(b){return b=D.n(b),D.b[b].apiCell},getCells(b){return(b?D.p(b):D.b).map(r=>r.apiCell)},save(){return D.q()}};this.e=Object.freeze(d)}return this.e}acceptDocumentPropertiesChanged(D){D.metadata&&(this.f=Object.freeze({...this.f,...D.metadata}))}acceptDirty(D){this.h=D}acceptModelChanged(D,d,b){this.g=D.versionId,this.h=d,this.acceptDocumentPropertiesChanged({metadata:b});const m={notebook:this.apiNotebook,metadata:b,cellChanges:[],contentChanges:[]},r=[];for(const s of D.rawEvents)s.kind===A.NotebookCellsChangeType.ModelChange?this.r(s.changes,!1,m.contentChanges):s.kind===A.NotebookCellsChangeType.Move?this.s(s.index,s.length,s.newIdx,m.contentChanges):s.kind===A.NotebookCellsChangeType.Output?(this.t(s.index,s.outputs),r.push({cell:this.b[s.index].apiCell,outputs:this.b[s.index].apiCell.outputs})):s.kind===A.NotebookCellsChangeType.OutputItem?(this.u(s.index,s.outputId,s.append,s.outputItems),r.push({cell:this.b[s.index].apiCell,outputs:this.b[s.index].apiCell.outputs})):s.kind===A.NotebookCellsChangeType.ChangeCellLanguage?(this.v(s.index,s.language),r.push({cell:this.b[s.index].apiCell,document:this.b[s.index].apiCell.document})):s.kind===A.NotebookCellsChangeType.ChangeCellContent?r.push({cell:this.b[s.index].apiCell,document:this.b[s.index].apiCell.document}):s.kind===A.NotebookCellsChangeType.ChangeCellMime?this.w(s.index,s.mime):s.kind===A.NotebookCellsChangeType.ChangeCellMetadata?(this.x(s.index,s.metadata),r.push({cell:this.b[s.index].apiCell,metadata:this.b[s.index].apiCell.metadata})):s.kind===A.NotebookCellsChangeType.ChangeCellInternalMetadata&&(this.y(s.index,s.internalMetadata),r.push({cell:this.b[s.index].apiCell,executionSummary:this.b[s.index].apiCell.executionSummary}));const o=new Map;for(let s=0;s<r.length;s++){const i=r[s],n=o.get(i.cell);if(n===void 0){const c=m.cellChanges.push({document:void 0,executionSummary:void 0,metadata:void 0,outputs:void 0,...i});o.set(i.cell,c-1)}else m.cellChanges[n]={...m.cellChanges[n],...i}}return Object.freeze(m),Object.freeze(m.cellChanges),Object.freeze(m.contentChanges),m}n(D){return D=D|0,D<0?0:D>=this.b.length?this.b.length-1:D}o(D){let d=D.start|0,b=D.end|0;return d<0&&(d=0),b>this.b.length&&(b=this.b.length),D.with({start:d,end:b})}p(D){D=this.o(D);const d=[];for(let b=D.start;b<D.end;b++)d.push(this.b[b]);return d}async q(){return this.j?Promise.reject(new Error("Notebook has been closed")):this.k.$trySaveNotebook(this.uri)}r(D,d,b){if(this.j)return;const m=[],r=[],o=[];if(D.reverse().forEach(s=>{const n=s[2].map(t=>{const f=new p(this,this.l,t);return d||r.push(p.asModelAddData(t)),f}),c=new w(s[0],s[1],[],n),l=this.b.splice(s[0],s[1],...n);for(const t of l)o.push(t.uri),c.deletedItems.push(t.apiCell);m.push(c)}),this.l.acceptDocumentsAndEditorsDelta({addedDocuments:r,removedDocuments:o}),b)for(const s of m)b.push(s.asApiEvent())}s(D,d,b,m){const r=this.b.splice(D,d);this.b.splice(b,0,...r);const o=[new w(D,d,r.map(s=>s.apiCell),[]),new w(b,0,[],r)];for(const s of o)m.push(s.asApiEvent())}t(D,d){this.b[D].setOutputs(d)}u(D,d,b,m){this.b[D].setOutputItems(d,b,m)}v(D,d){const b=this.b[D];b.apiCell.document.languageId!==d&&this.m.$acceptModelLanguageChanged(b.uri,d)}w(D,d){const b=this.b[D];b.apiCell.mime=d}x(D,d){this.b[D].setMetadata(d)}y(D,d){this.b[D].setInternalMetadata(d)}getCellFromApiCell(D){return this.b.find(d=>d.apiCell===D)}getCellFromIndex(D){return this.b[D]}getCell(D){return this.b.find(d=>d.handle===D)}getCellIndex(D){return this.b.indexOf(D)}}e.$tmc=E}),define(Ie[276],Pe([1,0,5,2,8,7,35]),function(le,e,I,O,R,M,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Imc=void 0;class w{constructor(E,T,D,d={timeout:1500,errors:3}){this.b=E,this.c=T,this.d=D,this.f=d,this.a=new I.$ge}dispose(){}getOnWillSaveNotebookDocumentEvent(E){return(T,D,d)=>{const b=function(r){T.call(D,r)};return b.extension=E,this.a.event(b,void 0,d)}}async $participateInSave(E,T,D){const d=O.URI.revive(E),b=this.c.getNotebookDocument(d);if(!b)throw new Error("Unable to resolve notebook document");const m=[];if(await this.a.fireAsync({notebook:b.apiNotebook,reason:R.TextDocumentSaveReason.to(T)},D,async(o,s)=>{const i=Date.now(),n=await await Promise.resolve(o);Date.now()-i>this.f.timeout&&this.b.warn("onWillSaveNotebookDocument-listener from extension",s.extension.identifier),!D.isCancellationRequested&&n&&(n instanceof M.$iN?m.push(n):this.b.warn("onWillSaveNotebookDocument-listener from extension",s.extension.identifier,"ignored due to invalid data"))}),D.isCancellationRequested)return!1;if(m.length===0)return!0;const r={edits:[]};for(const o of m){const{edits:s}=R.WorkspaceEdit.from(o);r.edits=r.edits.concat(s)}return this.d.$tryApplyWorkspaceEdit(new A.$Bw(r))}}e.$Imc=w}),define(Ie[114],Pe([1,0,14,8,7]),function(le,e,I,O,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$umc=void 0;class M{static{this.apiEditorsToExtHost=new WeakMap}constructor(w,p,E,T,D,d){this.id=w,this.f=p,this.notebookData=E,this.a=[],this.b=[],this.d=!1,this.a=D,this.b=T,this.c=d}get apiEditor(){if(!this.e){const w=this;this.e={get notebook(){return w.notebookData.apiNotebook},get selection(){return w.a[0]},set selection(p){this.selections=[p]},get selections(){return w.a},set selections(p){if(!Array.isArray(p)||!p.every(R.$AO.isNotebookRange))throw(0,I.$7)("selections");w.a=p,w.g(p)},get visibleRanges(){return w.b},revealRange(p,E){w.f.$tryRevealRange(w.id,O.NotebookRange.from(p),E??R.NotebookEditorRevealType.Default)},get viewColumn(){return w.c}},M.apiEditorsToExtHost.set(this.e,this)}return this.e}get visible(){return this.d}_acceptVisibility(w){this.d=w}_acceptVisibleRanges(w){this.b=w}_acceptSelections(w){this.a=w}g(w){this.f.$trySetSelections(this.id,w.map(O.NotebookRange.from))}_acceptViewColumn(w){this.c=w}}e.$umc=M}),define(Ie[277],Pe([1,0,5,12,8]),function(le,e,I,O,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Kmc=void 0;let M=class{constructor(w,p){this.c=w,this.d=p,this.a=new I.$ee,this.b=new I.$ee,this.onDidChangeNotebookEditorSelection=this.a.event,this.onDidChangeNotebookEditorVisibleRanges=this.b.event}$acceptEditorPropertiesChanged(w,p){this.c.debug("ExtHostNotebook#$acceptEditorPropertiesChanged",w,p);const E=this.d.getEditorById(w);p.visibleRanges&&E._acceptVisibleRanges(p.visibleRanges.ranges.map(R.NotebookRange.to)),p.selections&&E._acceptSelections(p.selections.selections.map(R.NotebookRange.to)),p.visibleRanges&&this.b.fire({notebookEditor:E.apiEditor,visibleRanges:E.apiEditor.visibleRanges}),p.selections&&this.a.fire(Object.freeze({notebookEditor:E.apiEditor,selections:E.apiEditor.selections}))}$acceptEditorViewColumns(w){for(const p in w)this.d.getEditorById(p)._acceptViewColumn(R.ViewColumn.to(w[p]))}};e.$Kmc=M,e.$Kmc=M=Je([We(0,O.$3j)],M)}),define(Ie[278],Pe([1,0,5,4,114]),function(le,e,I,O,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Nmc=void 0;class M{constructor(w,p){this.c=p,this.a=new Map,this.b=w.getProxy(O.$9M.MainThreadNotebookRenderers)}$postRendererMessage(w,p,E){const T=this.c.getEditorById(w);this.a.get(p)?.fire({editor:T.apiEditor,message:E})}createRendererMessaging(w,p){if(!w.contributes?.notebookRenderer?.some(T=>T.id===p))throw new Error(`Extensions may only call createRendererMessaging() for renderers they contribute (got ${p})`);return{onDidReceiveMessage:(T,D,d)=>this.d(p).event(T,D,d),postMessage:(T,D)=>{R.$umc.apiEditorsToExtHost.has(T)&&([T,D]=[D,T]);const d=D&&R.$umc.apiEditorsToExtHost.get(D);return this.b.$postMessage(d?.id,p,T)}}}d(w){let p=this.a.get(w);return p||(p=new I.$ee({onDidRemoveLastListener:()=>{p?.dispose(),this.a.delete(w)}}),this.a.set(w,p),p)}}e.$Nmc=M}),define(Ie[279],Pe([1,0,8,103,24,69,14]),function(le,e,I,O,R,M,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Rmc=void 0;class w{constructor(D){this.b=0,this.c=new Map,this.a=D}async withProgress(D,d,b){const m=this.b++,{title:r,location:o,cancellable:s}=d,i={label:D.displayName||D.name,id:D.identifier.value};return this.a.$startProgress(m,{location:I.ProgressLocation.from(o),title:r,source:i,cancellable:s},D.isUnderDevelopment?void 0:D.identifier.value).catch(A.$2),this.d(m,b,!!s)}d(D,d,b){let m;b&&(m=new R.$pe,this.c.set(D,m));const r=s=>{this.a.$progressEnd(s),this.c.delete(s),m?.dispose()};let o;try{o=d(new E(this.a,D),b&&m?m.token:R.CancellationToken.None)}catch(s){throw r(D),s}return o.then(s=>r(D),s=>r(D)),o}$acceptProgressCanceled(D){const d=this.c.get(D);d&&(d.cancel(),this.c.delete(D))}}e.$Rmc=w;function p(T,D){return T.message=D.message,typeof D.increment=="number"&&(typeof T.increment=="number"?T.increment+=D.increment:T.increment=D.increment),T}class E extends O.$dw{constructor(D,d){super(b=>this.throttledReport(b)),this.c=D,this.d=d}throttledReport(D){this.c.$progressReport(this.d,D)}}Je([(0,M.$3h)(100,(T,D)=>p(T,D),()=>Object.create(null))],E.prototype,"throttledReport",null)}),define(Ie[280],Pe([1,0,2,4,11,8]),function(le,e,I,O,R,M){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Smc=void 0;class A{static{this.a=0}constructor(p,E){this.d=E,this.c=new Map,this.b=p.getProxy(O.$9M.MainThreadQuickDiff)}$provideOriginalResource(p,E,T){const D=I.URI.revive(E),d=this.c.get(p);return d?(0,R.$oh)(()=>d.provideOriginalResource(D,T)).then(b=>b||null):Promise.resolve(null)}registerQuickDiffProvider(p,E,T,D){const d=A.a++;return this.c.set(d,E),this.b.$registerQuickDiffProvider(d,M.DocumentSelector.from(p,this.d),T,D),{dispose:()=>{this.b.$unregisterQuickDiffProvider(d),this.c.delete(d)}}}}e.$Smc=A}),define(Ie[281],Pe([1,0,24,5,6,4,2,7,14,18,33,36,26,8]),function(le,e,I,O,R,M,A,w,p,E,T,D,d,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Tmc=m;function m(r,o,s){const i=r.getProxy(M.$9M.MainThreadQuickOpen);class n{constructor(h,v){this.e=new Map,this.f=0,this.a=h,this.b=v}showQuickPick(h,v,g,k=I.CancellationToken.None){this.c=void 0;const y=Promise.resolve(v),C=++this.f,P=i.$show(C,{title:g?.title,placeHolder:g?.placeHolder,matchOnDescription:g?.matchOnDescription,matchOnDetail:g?.matchOnDetail,ignoreFocusLost:g?.ignoreFocusOut,canPickMany:g?.canPickMany},k),W={},V=P.then(()=>W);return Promise.race([V,y]).then(q=>{if(q===W)return;const N=(0,d.$NG)(h,"quickPickItemTooltip");return y.then(j=>{const K=[];for(let ie=0;ie<j.length;ie++){const ce=j[ie];if(typeof ce=="string")K.push({label:ce,handle:ie});else if(ce.kind===w.QuickPickItemKind.Separator)K.push({type:"separator",label:ce.label});else{ce.tooltip&&!N&&console.warn(`Extension '${h.identifier.value}' uses a tooltip which is proposed API that is only available when running out of dev or with the following command line switch: --enable-proposed-api ${h.identifier.value}`);const ye=ce.iconPath?a(ce.iconPath):void 0;K.push({label:ce.label,iconPath:ye?.iconPath,iconClass:ye?.iconClass,description:ce.description,detail:ce.detail,picked:ce.picked,alwaysShow:ce.alwaysShow,tooltip:N?b.MarkdownString.fromStrict(ce.tooltip):void 0,handle:ie})}}return g&&typeof g.onDidSelectItem=="function"&&(this.c=ie=>{g.onDidSelectItem(j[ie])}),i.$setItems(C,K),P.then(ie=>{if(typeof ie=="number")return j[ie];if(Array.isArray(ie))return ie.map(ce=>j[ce])})})}).then(void 0,q=>{if(!(0,p.$4)(q))return i.$setError(C,q),Promise.reject(q)})}$onItemSelected(h){this.c?.(h)}showInput(h,v=I.CancellationToken.None){return this.d=h?.validateInput,i.$input(h,typeof this.d=="function",v).then(void 0,g=>{if(!(0,p.$4)(g))return Promise.reject(g)})}async $validateInput(h){if(!this.d)return;const v=await this.d(h);if(!v||typeof v=="string")return v;let g;switch(v.severity){case w.InputBoxValidationSeverity.Info:g=T.default.Info;break;case w.InputBoxValidationSeverity.Warning:g=T.default.Warning;break;case w.InputBoxValidationSeverity.Error:g=T.default.Error;break;default:g=v.message?T.default.Error:T.default.Ignore;break}return{content:v.message,severity:g}}async showWorkspaceFolderPick(h,v=I.CancellationToken.None){const g=await this.b.executeCommand("_workbench.pickWorkspaceFolder",[h]);if(!g)return;const k=await this.a.getWorkspaceFolders2();if(k)return k.find(y=>y.uri.toString()===g.uri.toString())}createQuickPick(h){const v=new $(h,()=>this.e.delete(v._id));return this.e.set(v._id,v),v}createInputBox(h){const v=new u(h,()=>this.e.delete(v._id));return this.e.set(v._id,v),v}$onDidChangeValue(h,v){this.e.get(h)?._fireDidChangeValue(v)}$onDidAccept(h){this.e.get(h)?._fireDidAccept()}$onDidChangeActive(h,v){const g=this.e.get(h);g instanceof $&&g._fireDidChangeActive(v)}$onDidChangeSelection(h,v){const g=this.e.get(h);g instanceof $&&g._fireDidChangeSelection(v)}$onDidTriggerButton(h,v){this.e.get(h)?._fireDidTriggerButton(v)}$onDidTriggerItemButton(h,v,g){const k=this.e.get(h);k instanceof $&&k._fireDidTriggerItemButton(v,g)}$onDidHide(h){this.e.get(h)?._fireDidHide()}}class c{static{this.a=1}constructor(h,v){this.x=h,this.y=v,this._id=$.a++,this.e=!1,this.f=!1,this.g=!0,this.j=!1,this.k=!0,this.l="",this.n=[],this.o=new Map,this.p=new O.$ee,this.q=new O.$ee,this.r=new O.$ee,this.s=new O.$ee,this.u={id:this._id},this.v=!1,this.w=[this.r,this.s,this.p,this.q],this.onDidChangeValue=this.q.event,this.onDidAccept=this.p.event,this.onDidTriggerButton=this.r.event,this.onDidHide=this.s.event}get title(){return this.b}set title(h){this.b=h,this.z({title:h})}get step(){return this.c}set step(h){this.c=h,this.z({step:h})}get totalSteps(){return this.d}set totalSteps(h){this.d=h,this.z({totalSteps:h})}get enabled(){return this.g}set enabled(h){this.g=h,this.z({enabled:h})}get busy(){return this.j}set busy(h){this.j=h,this.z({busy:h})}get ignoreFocusOut(){return this.k}set ignoreFocusOut(h){this.k=h,this.z({ignoreFocusOut:h})}get value(){return this.l}set value(h){this.l=h,this.z({value:h})}get placeholder(){return this.m}set placeholder(h){this.m=h,this.z({placeholder:h})}get buttons(){return this.n}set buttons(h){this.n=h.slice(),this.o.clear(),h.forEach((v,g)=>{const k=v===w.$xO.Back?-1:g;this.o.set(k,v)}),this.z({buttons:h.map((v,g)=>({...a(v.iconPath),tooltip:v.tooltip,handle:v===w.$xO.Back?-1:g}))})}show(){this.e=!0,this.f=!0,this.z({visible:!0})}hide(){this.e=!1,this.z({visible:!1})}_fireDidAccept(){this.p.fire()}_fireDidChangeValue(h){this.l=h,this.q.fire(h)}_fireDidTriggerButton(h){const v=this.o.get(h);v&&this.r.fire(v)}_fireDidHide(){this.f&&(this.f=this.e,this.s.fire())}dispose(){this.v||(this.v=!0,this._fireDidHide(),this.w=(0,R.$Qc)(this.w),this.t&&(clearTimeout(this.t),this.t=void 0),this.y(),i.$dispose(this._id))}z(h){if(!this.v){for(const v of Object.keys(h)){const g=h[v];this.u[v]=g===void 0?null:g}"visible"in this.u?(this.t&&(clearTimeout(this.t),this.t=void 0),this.A()):this.e&&!this.t&&(this.t=setTimeout(()=>{this.t=void 0,this.A()},0))}}A(){i.$createOrUpdate(this.u),this.u={id:this._id}}}function l(S){if(S instanceof w.$8N)return{id:S.id};const h=f(S),v=t(S);return{dark:typeof h=="string"?A.URI.file(h):h,light:typeof v=="string"?A.URI.file(v):v}}function t(S){return typeof S=="object"&&"light"in S?S.light:S}function f(S){return typeof S=="object"&&"dark"in S?S.dark:S}function a(S){const h=l(S);let v,g;return"id"in h?g=D.ThemeIcon.asClassName(h):v=h,{iconPath:v,iconClass:g}}class $ extends c{constructor(h,v){super(h.identifier,v),this.O=h,this.B=[],this.C=new Map,this.D=new Map,this.E=!1,this.F=!0,this.G=!0,this.H=!0,this.I=!1,this.J=[],this.K=new O.$ee,this.L=[],this.M=new O.$ee,this.N=new O.$ee,this.onDidChangeActive=this.K.event,this.onDidChangeSelection=this.M.event,this.onDidTriggerItemButton=this.N.event,this.w.push(this.K,this.M,this.N),this.z({type:"quickPick"})}get items(){return this.B}set items(h){this.B=h.slice(),this.C.clear(),this.D.clear(),h.forEach((k,y)=>{this.C.set(y,k),this.D.set(k,y)});const v=(0,d.$NG)(this.O,"quickPickItemTooltip"),g=[];for(let k=0;k<h.length;k++){const y=h[k];if(y.kind===w.QuickPickItemKind.Separator)g.push({type:"separator",label:y.label});else{y.tooltip&&!v&&console.warn(`Extension '${this.O.identifier.value}' uses a tooltip which is proposed API that is only available when running out of dev or with the following command line switch: --enable-proposed-api ${this.O.identifier.value}`);const C=y.iconPath?a(y.iconPath):void 0;g.push({handle:k,label:y.label,iconPath:C?.iconPath,iconClass:C?.iconClass,description:y.description,detail:y.detail,picked:y.picked,alwaysShow:y.alwaysShow,tooltip:v?b.MarkdownString.fromStrict(y.tooltip):void 0,buttons:y.buttons?.map((P,W)=>({...a(P.iconPath),tooltip:P.tooltip,handle:W}))})}}this.z({items:g})}get canSelectMany(){return this.E}set canSelectMany(h){this.E=h,this.z({canSelectMany:h})}get matchOnDescription(){return this.F}set matchOnDescription(h){this.F=h,this.z({matchOnDescription:h})}get matchOnDetail(){return this.G}set matchOnDetail(h){this.G=h,this.z({matchOnDetail:h})}get sortByLabel(){return this.H}set sortByLabel(h){this.H=h,this.z({sortByLabel:h})}get keepScrollPosition(){return this.I}set keepScrollPosition(h){this.I=h,this.z({keepScrollPosition:h})}get activeItems(){return this.J}set activeItems(h){this.J=h.filter(v=>this.D.has(v)),this.z({activeItems:this.J.map(v=>this.D.get(v))})}get selectedItems(){return this.L}set selectedItems(h){this.L=h.filter(v=>this.D.has(v)),this.z({selectedItems:this.L.map(v=>this.D.get(v))})}_fireDidChangeActive(h){const v=(0,E.$Hb)(h.map(g=>this.C.get(g)));this.J=v,this.K.fire(v)}_fireDidChangeSelection(h){const v=(0,E.$Hb)(h.map(g=>this.C.get(g)));this.L=v,this.M.fire(v)}_fireDidTriggerItemButton(h,v){const g=this.C.get(h);if(!g||!g.buttons||!g.buttons.length)return;const k=g.buttons[v];k&&this.N.fire({button:k,item:g})}}class u extends c{constructor(h,v){super(h.identifier,v),this.B=!1,this.z({type:"inputBox"})}get password(){return this.B}set password(h){this.B=h,this.z({password:h})}get prompt(){return this.C}set prompt(h){this.C=h,this.z({prompt:h})}get valueSelection(){return this.D}set valueSelection(h){this.D=h,this.z({valueSelection:h})}get validationMessage(){return this.E}set validationMessage(h){this.E=h,h?typeof h=="string"?this.z({validationMessage:h,severity:T.default.Error}):this.z({validationMessage:h.message,severity:h.severity??T.default.Error}):this.z({validationMessage:void 0,severity:T.default.Ignore})}}return new n(o,s)}}),define(Ie[282],Pe([1,0,2,5,69,6,11,4,18,149,12,20,36,8,26,16,22]),function(le,e,I,O,R,M,A,w,p,E,T,D,d,b,m,r,o){"use strict";var s;Object.defineProperty(e,"__esModule",{value:!0}),e.$Vmc=e.$Umc=void 0;function i(C){return C instanceof I.URI}function n(C,P){return C.scheme===r.Schemas.file&&P.scheme===r.Schemas.file&&o.$k?C.toString()===P.toString():C.toString().toLowerCase()===P.toString().toLowerCase()}function c(C){if(C)return typeof C.iconPath=="string"?I.URI.file(C.iconPath):I.URI.isUri(C.iconPath)||d.ThemeIcon.isThemeIcon(C.iconPath)?C.iconPath:void 0}function l(C){if(C.icon){if(I.URI.isUri(C.icon))return C.icon;if(d.ThemeIcon.isThemeIcon(C.icon))return C.icon;{const P=C.icon;return{light:P.light,dark:P.dark}}}else return}function t(C,P){if(!C.iconPath&&!P.iconPath)return 0;if(C.iconPath){if(!P.iconPath)return 1}else return-1;const W=typeof C.iconPath=="string"?C.iconPath:I.URI.isUri(C.iconPath)?C.iconPath.fsPath:C.iconPath.id,V=typeof P.iconPath=="string"?P.iconPath:I.URI.isUri(P.iconPath)?P.iconPath.fsPath:P.iconPath.id;return(0,E.$qr)(W,V)}function f(C,P){let W=0;if(C.strikeThrough!==P.strikeThrough)return C.strikeThrough?1:-1;if(C.faded!==P.faded)return C.faded?1:-1;if(C.tooltip!==P.tooltip)return(C.tooltip||"").localeCompare(P.tooltip||"");if(W=t(C,P),W!==0)return W;if(C.light&&P.light)W=t(C.light,P.light);else{if(C.light)return 1;if(P.light)return-1}if(W!==0)return W;if(C.dark&&P.dark)W=t(C.dark,P.dark);else{if(C.dark)return 1;if(P.dark)return-1}return W}function a(C,P){if(C.command!==P.command)return C.command<P.command?-1:1;if(C.title!==P.title)return C.title<P.title?-1:1;if(C.tooltip!==P.tooltip){if(C.tooltip!==void 0&&P.tooltip!==void 0)return C.tooltip<P.tooltip?-1:1;if(C.tooltip!==void 0)return 1;if(P.tooltip!==void 0)return-1}if(C.arguments===P.arguments)return 0;if(C.arguments)if(P.arguments){if(C.arguments.length!==P.arguments.length)return C.arguments.length-P.arguments.length}else return 1;else return-1;for(let W=0;W<C.arguments.length;W++){const V=C.arguments[W],q=P.arguments[W];if(V!==q&&!(i(V)&&i(q)&&n(V,q)))return V<q?-1:1}return 0}function $(C,P){let W=(0,E.$qr)(C.resourceUri.fsPath,P.resourceUri.fsPath,!0);if(W!==0)return W;if(C.command&&P.command)W=a(C.command,P.command);else{if(C.command)return 1;if(P.command)return-1}if(W!==0)return W;if(C.decorations&&P.decorations)W=f(C.decorations,P.decorations);else{if(C.decorations)return 1;if(P.decorations)return-1}if(C.multiFileDiffEditorModifiedUri&&P.multiFileDiffEditorModifiedUri)W=(0,E.$qr)(C.multiFileDiffEditorModifiedUri.fsPath,P.multiFileDiffEditorModifiedUri.fsPath,!0);else{if(C.multiFileDiffEditorModifiedUri)return 1;if(P.multiFileDiffEditorModifiedUri)return-1}if(C.multiDiffEditorOriginalUri&&P.multiDiffEditorOriginalUri)W=(0,E.$qr)(C.multiDiffEditorOriginalUri.fsPath,P.multiDiffEditorOriginalUri.fsPath,!0);else{if(C.multiDiffEditorOriginalUri)return 1;if(P.multiDiffEditorOriginalUri)return-1}return W}function u(C,P){for(let W=0;W<C.length;W++)if(C[W]!==P[W])return!1;return!0}function S(C,P){return C.command===P.command&&C.title===P.title&&C.tooltip===P.tooltip&&(C.arguments&&P.arguments?u(C.arguments,P.arguments):C.arguments===P.arguments)}function h(C,P){return(0,p.$ub)(C,P,S)}class v{#e;#t;get value(){return this.d}set value(P){P=P??"",this.#e.$setInputBoxValue(this.l,P),this.n(P)}get onDidChange(){return this.e.event}get placeholder(){return this.f}set placeholder(P){this.#e.$setInputBoxPlaceholder(this.l,P),this.f=P}get validateInput(){return(0,m.$OG)(this.k,"scmValidation"),this.g}set validateInput(P){if((0,m.$OG)(this.k,"scmValidation"),P&&typeof P!="function")throw new Error(`[${this.k.identifier.value}]: Invalid SCM input box validation function`);this.g=P,this.#e.$setValidationProviderIsEnabled(this.l,!!P)}get enabled(){return this.h}set enabled(P){P=!!P,this.h!==P&&(this.h=P,this.#e.$setInputBoxEnablement(this.l,P))}get visible(){return this.j}set visible(P){P=!!P,this.j!==P&&(this.j=P,this.#e.$setInputBoxVisibility(this.l,P))}get document(){return(0,m.$OG)(this.k,"scmTextDocument"),this.#t.getDocument(this.m)}constructor(P,W,V,q,N){this.k=P,this.l=q,this.m=N,this.d="",this.e=new O.$ee,this.f="",this.h=!0,this.j=!0,this.#t=W,this.#e=V}showValidationMessage(P,W){(0,m.$OG)(this.k,"scmValidation"),this.#e.$showValidationMessage(this.l,P,W)}$onInputBoxValueChange(P){this.n(P)}n(P){this.d=P,this.e.fire(P)}}e.$Umc=v;class g{static{this.d=0}get disposed(){return this.l}get id(){return this.u}get label(){return this.v}set label(P){this.v=P,this.q.$updateGroupLabel(this.t,this.handle,P)}get hideWhenEmpty(){return this.p}set hideWhenEmpty(P){this.p=P,this.q.$updateGroup(this.t,this.handle,this.features)}get features(){return{hideWhenEmpty:this.hideWhenEmpty}}get resourceStates(){return[...this.f]}set resourceStates(P){this.f=[...P],this.k.fire()}constructor(P,W,V,q,N,j,K){this.q=P,this.s=W,this.t=V,this.u=q,this.v=N,this.multiDiffEditorEnableViewChanges=j,this.w=K,this.e=0,this.f=[],this.g=new Map,this.h=new Map,this.j=new Map,this.k=new O.$ee,this.onDidUpdateResourceStates=this.k.event,this.l=!1,this.m=new O.$ee,this.onDidDispose=this.m.event,this.n=[],this.o=[],this.p=void 0,this.handle=g.d++}getResourceState(P){return this.g.get(P)}$executeResourceCommand(P,W){const V=this.h.get(P);return V?(0,A.$oh)(()=>this.s.executeCommand(V.command,...V.arguments||[],W)):Promise.resolve(void 0)}_takeResourceStateSnapshot(){const P=[...this.f].sort($),V=(0,p.$Db)(this.o,P,$).map(j=>{const K=j.toInsert.map(ie=>{const ce=this.e++;this.g.set(ce,ie);const ye=ie.resourceUri;let Se;if(ie.command)if(ie.command.command==="vscode.open"||ie.command.command==="vscode.diff"||ie.command.command==="vscode.changes"){const ge=new M.$Uc;Se=this.s.converter.toInternal(ie.command,ge),this.j.set(ce,ge)}else this.h.set(ce,ie.command);const fe=(0,m.$NG)(this.w,"scmMultiDiffEditor"),$e=fe?ie.multiDiffEditorOriginalUri:void 0,Te=fe?ie.multiFileDiffEditorModifiedUri:void 0,ae=c(ie.decorations),Ne=ie.decorations&&c(ie.decorations.light)||ae,ne=ie.decorations&&c(ie.decorations.dark)||ae,z=[Ne,ne],x=ie.decorations&&ie.decorations.tooltip||"",be=ie.decorations&&!!ie.decorations.strikeThrough,Fe=ie.decorations&&!!ie.decorations.faded,De=ie.contextValue||"";return{rawResource:[ce,ye,z,x,be,Fe,De,Se,$e,Te],handle:ce}});return{start:j.start,deleteCount:j.deleteCount,toInsert:K}}),q=V.map(({start:j,deleteCount:K,toInsert:ie})=>[j,K,ie.map(ce=>ce.rawResource)]),N=V.reverse();for(const{start:j,deleteCount:K,toInsert:ie}of N){const ce=ie.map(Se=>Se.handle),ye=this.n.splice(j,K,...ce);for(const Se of ye)this.g.delete(Se),this.h.delete(Se),this.j.get(Se)?.dispose(),this.j.delete(Se)}return this.o=P,q}dispose(){this.l=!0,this.m.fire()}}class k{static{this.d=0}#e;get id(){return this.z}get label(){return this.A}get rootUri(){return this.B}get inputBox(){return this.f}get count(){return this.g}set count(P){this.g!==P&&(this.g=P,this.#e.$updateSourceControl(this.w,{count:P}))}get quickDiffProvider(){return this.h}set quickDiffProvider(P){this.h=P;let W;(0,m.$NG)(this.x,"quickDiffProvider")&&(W=P?.label),this.#e.$updateSourceControl(this.w,{hasQuickDiffProvider:!!P,quickDiffLabel:W})}get historyProvider(){return(0,m.$OG)(this.x,"scmHistoryProvider"),this.j}set historyProvider(P){(0,m.$OG)(this.x,"scmHistoryProvider"),this.j=P,this.k.value=new M.$Uc,this.#e.$updateSourceControl(this.w,{hasHistoryProvider:!!P}),P&&this.k.value.add(P.onDidChangeCurrentHistoryItemGroup(()=>{this.l=P?.currentHistoryItemGroup,this.#e.$onDidChangeHistoryProviderCurrentHistoryItemGroup(this.w,this.l)}))}get commitTemplate(){return this.m}set commitTemplate(P){P!==this.m&&(this.m=P,this.#e.$updateSourceControl(this.w,{commitTemplate:P}))}get acceptInputCommand(){return this.o}set acceptInputCommand(P){this.n.value=new M.$Uc,this.o=P;const W=this.y.converter.toInternal(P,this.n.value);this.#e.$updateSourceControl(this.w,{acceptInputCommand:W})}get actionButton(){return(0,m.$OG)(this.x,"scmActionButton"),this.q}set actionButton(P){(0,m.$OG)(this.x,"scmActionButton"),this.p.value=new M.$Uc,this.q=P;const W=P!==void 0?{command:this.y.converter.toInternal(P.command,this.p.value),secondaryCommands:P.secondaryCommands?.map(V=>V.map(q=>this.y.converter.toInternal(q,this.p.value))),description:P.description,enabled:P.enabled}:void 0;this.#e.$updateSourceControl(this.w,{actionButton:W??null})}get statusBarCommands(){return this.t}set statusBarCommands(P){if(this.t&&P&&h(this.t,P))return;this.s.value=new M.$Uc,this.t=P;const W=(P||[]).map(V=>this.y.converter.toInternal(V,this.s.value));this.#e.$updateSourceControl(this.w,{statusBarCommands:W})}get selected(){return this.u}constructor(P,W,V,q,N,j,K){this.x=P,this.y=q,this.z=N,this.A=j,this.B=K,this.e=new Map,this.g=void 0,this.h=void 0,this.k=new M.$Wc,this.m=void 0,this.n=new M.$Wc,this.o=void 0,this.p=new M.$Wc,this.s=new M.$Wc,this.t=void 0,this.u=!1,this.v=new O.$ee,this.onDidChangeSelection=this.v.event,this.w=k.d++,this.C=new Map,this.D=new Set,this.#e=V;const ie=I.URI.from({scheme:r.Schemas.vscodeSourceControl,path:`${N}/scm${this.w}/input`,query:K?`rootUri=${encodeURIComponent(K.toString())}`:void 0});this.f=new v(P,W,this.#e,this.w,ie),this.#e.$registerSourceControl(this.w,N,j,K,ie)}createResourceGroup(P,W,V){const q=(0,m.$NG)(this.x,"scmMultiDiffEditor")&&V?.multiDiffEditorEnableViewChanges===!0,N=new g(this.#e,this.y,this.w,P,W,q,this.x),j=O.Event.once(N.onDidDispose)(()=>this.C.delete(N));return this.C.set(N,j),this.eventuallyAddResourceGroups(),N}eventuallyAddResourceGroups(){const P=[],W=[];for(const[V,q]of this.C){q.dispose();const N=V.onDidUpdateResourceStates(()=>{this.D.add(V),this.eventuallyUpdateResourceStates()});O.Event.once(V.onDidDispose)(()=>{this.D.delete(V),N.dispose(),this.e.delete(V.handle),this.#e.$unregisterGroup(this.w,V.handle)}),P.push([V.handle,V.id,V.label,V.features,V.multiDiffEditorEnableViewChanges]);const j=V._takeResourceStateSnapshot();j.length>0&&W.push([V.handle,j]),this.e.set(V.handle,V)}this.#e.$registerGroups(this.w,P,W),this.C.clear()}eventuallyUpdateResourceStates(){const P=[];this.D.forEach(W=>{const V=W._takeResourceStateSnapshot();V.length!==0&&P.push([W.handle,V])}),P.length>0&&this.#e.$spliceResourceStates(this.w,P),this.D.clear()}getResourceGroup(P){return this.e.get(P)}setSelectionState(P){this.u=P,this.v.fire(P)}dispose(){this.n.dispose(),this.p.dispose(),this.s.dispose(),this.e.forEach(P=>P.dispose()),this.#e.$unregisterSourceControl(this.w)}}Je([(0,R.$2h)(100)],k.prototype,"eventuallyAddResourceGroups",null),Je([(0,R.$2h)(100)],k.prototype,"eventuallyUpdateResourceStates",null);let y=class{static{s=this}static{this.d=0}get onDidChangeActiveProvider(){return this.j.event}constructor(P,W,V,q){this.l=W,this.m=V,this.n=q,this.g=new Map,this.h=new D.$Tm,this.j=new O.$ee,this.e=P.getProxy(w.$9M.MainThreadSCM),this.f=P.getProxy(w.$9M.MainThreadTelemetry),W.registerArgumentProcessor({processArgument:N=>{if(N&&N.$mid===3){const j=this.g.get(N.sourceControlHandle);if(!j)return N;const K=j.getResourceGroup(N.groupHandle);return K?K.getResourceState(N.handle):N}else if(N&&N.$mid===4){const j=this.g.get(N.sourceControlHandle);return j?j.getResourceGroup(N.groupHandle):N}else if(N&&N.$mid===5){const j=this.g.get(N.handle);return j||N}return N}})}createSourceControl(P,W,V,q){this.n.trace("ExtHostSCM#createSourceControl",P.identifier.value,W,V,q),this.f.$publicLog2("api/scm/createSourceControl",{extensionId:P.identifier.value});const N=s.d++,j=new k(P,this.m,this.e,this.l,W,V,q);this.g.set(N,j);const K=this.h.get(P.identifier)||[];return K.push(j),this.h.set(P.identifier,K),j}getLastInputBox(P){this.n.trace("ExtHostSCM#getLastInputBox",P.identifier.value);const W=this.h.get(P.identifier),V=W&&W[W.length-1];return V&&V.inputBox}$provideOriginalResource(P,W,V){const q=I.URI.revive(W);this.n.trace("ExtHostSCM#$provideOriginalResource",P,q.toString());const N=this.g.get(P);return!N||!N.quickDiffProvider||!N.quickDiffProvider.provideOriginalResource?Promise.resolve(null):(0,A.$oh)(()=>N.quickDiffProvider.provideOriginalResource(q,V)).then(j=>j||null)}$onInputBoxValueChange(P,W){this.n.trace("ExtHostSCM#$onInputBoxValueChange",P);const V=this.g.get(P);return V&&V.inputBox.$onInputBoxValueChange(W),Promise.resolve(void 0)}$executeResourceCommand(P,W,V,q){this.n.trace("ExtHostSCM#$executeResourceCommand",P,W,V);const N=this.g.get(P);if(!N)return Promise.resolve(void 0);const j=N.getResourceGroup(W);return j?j.$executeResourceCommand(V,q):Promise.resolve(void 0)}$validateInput(P,W,V){this.n.trace("ExtHostSCM#$validateInput",P);const q=this.g.get(P);return!q||!q.inputBox.validateInput?Promise.resolve(void 0):(0,A.$oh)(()=>q.inputBox.validateInput(W,V)).then(N=>{if(!N)return Promise.resolve(void 0);const j=b.MarkdownString.fromStrict(N.message);return j?Promise.resolve([j,N.type]):Promise.resolve(void 0)})}$setSelectedSourceControl(P){return this.n.trace("ExtHostSCM#$setSelectedSourceControl",P),P!==void 0&&this.g.get(P)?.setSelectionState(!0),this.k!==void 0&&this.g.get(this.k)?.setSelectionState(!1),this.k=P,Promise.resolve(void 0)}async $resolveHistoryItemGroupCommonAncestor(P,W,V,q){return await this.g.get(P)?.historyProvider?.resolveHistoryItemGroupCommonAncestor(W,V,q)??void 0}async $provideHistoryItems(P,W,V,q){return(await this.g.get(P)?.historyProvider?.provideHistoryItems(W,V,q))?.map(K=>({...K,icon:l(K)}))??void 0}async $provideHistoryItemSummary(P,W,V,q){const N=this.g.get(P)?.historyProvider;if(typeof N?.provideHistoryItemSummary!="function")return;const j=await N.provideHistoryItemSummary(W,V,q);return j?{...j,icon:l(j)}:void 0}async $provideHistoryItemChanges(P,W,V,q){return await this.g.get(P)?.historyProvider?.provideHistoryItemChanges(W,V,q)??void 0}};e.$Vmc=y,e.$Vmc=y=s=Je([We(3,T.$3j)],y)}),define(Ie[283],Pe([1,0,4,8,2]),function(le,e,I,O,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Wmc=void 0;class M{static{this.a=0}constructor(w,p){this.d=p,this.c=new Map,this.b=w.getProxy(I.$9M.MainThreadShare)}async $provideShare(w,p,E){return await this.c.get(w)?.provideShare({selection:O.Range.to(p.selection),resourceUri:R.URI.revive(p.resourceUri)},E)??void 0}registerShareProvider(w,p){const E=M.a++;return this.c.set(E,p),this.b.$registerShareProvider(E,O.DocumentSelector.from(w,this.d),p.id,p.label,p.priority),{dispose:()=>{this.b.$unregisterShareProvider(E),this.c.delete(E)}}}}e.$Wmc=M}),define(Ie[284],Pe([1,0,7,4,178,6,8,15]),function(le,e,I,O,R,M,A,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Zmc=e.$Ymc=void 0;class p{static{this.a=0}static{this.b=new Map([["statusBarItem.errorBackground",new I.$9N("statusBarItem.errorForeground")],["statusBarItem.warningBackground",new I.$9N("statusBarItem.warningForeground")]])}#e;#t;constructor(d,b,m,r,o,s=I.StatusBarAlignment.Left,i){if(this.i=!1,this.k="",this.q=new M.$Uc,this.#e=d,this.#t=b,o&&r){this.c=(0,I.$KN)(r.identifier,o);const n=m.get(this.c);n&&(s=n.alignLeft?I.StatusBarAlignment.Left:I.StatusBarAlignment.Right,i=n.priority,this.j=!0,this.name=n.name,this.text=n.text,this.tooltip=n.tooltip,this.command=n.command,this.accessibilityInformation=n.accessibilityInformation)}else this.c=String(p.a++);this.e=r,this.f=o,this.g=s,this.h=this.u(i)}u(d){if((0,w.$ag)(d))return d===Number.POSITIVE_INFINITY?Number.MAX_VALUE:d===Number.NEGATIVE_INFINITY?-Number.MAX_VALUE:d}get id(){return this.f??this.e.identifier.value}get alignment(){return this.g}get priority(){return this.h}get text(){return this.k}get name(){return this.m}get tooltip(){return this.l}get color(){return this.n}get backgroundColor(){return this.o}get command(){return this.r?.fromApi}get accessibilityInformation(){return this.t}set text(d){this.k=d,this.v()}set name(d){this.m=d,this.v()}set tooltip(d){this.l=d,this.v()}set color(d){this.n=d,this.v()}set backgroundColor(d){d&&!p.b.has(d.id)&&(d=void 0),this.o=d,this.v()}set command(d){this.r?.fromApi!==d&&(this.p&&this.q.add(this.p),this.p=new M.$Uc,typeof d=="string"?this.r={fromApi:d,internal:this.#t.toInternal({title:"",command:d},this.p)}:d?this.r={fromApi:d,internal:this.#t.toInternal(d,this.p)}:this.r=void 0,this.v())}set accessibilityInformation(d){this.t=d,this.v()}show(){this.j=!0,this.v()}hide(){clearTimeout(this.s),this.j=!1,this.#e.$disposeEntry(this.c)}v(){this.i||!this.j||(clearTimeout(this.s),this.s=setTimeout(()=>{this.s=void 0;let d;this.e?this.f?d=`${this.e.identifier.value}.${this.f}`:d=this.e.identifier.value:d=this.f;let b;this.m?b=this.m:b=(0,R.localize)(0,null,this.e.displayName||this.e.name);let m=this.n;this.o&&(m=p.b.get(this.o.id));const r=A.MarkdownString.fromStrict(this.l);this.#e.$setEntry(this.c,d,this.e?.identifier.value,b,this.k,r,this.r?.internal,m,this.o,this.g===I.StatusBarAlignment.Left,this.h,this.t),this.q.clear()},0))}dispose(){this.hide(),this.i=!0}}e.$Ymc=p;class E{constructor(d){this.b=[],this.a=d.createStatusBarEntry(void 0,"status.extensionMessage",I.StatusBarAlignment.Left,Number.MIN_VALUE),this.a.name=(0,R.localize)(1,null)}dispose(){this.b.length=0,this.a.dispose()}setMessage(d){const b={message:d};return this.b.unshift(b),this.c(),new I.$$M(()=>{const m=this.b.indexOf(b);m>=0&&(this.b.splice(m,1),this.c())})}c(){this.b.length>0?(this.a.text=this.b[0].message,this.a.show()):this.a.hide()}}class T{constructor(d,b){this.e=new Map,this.a=d.getProxy(O.$9M.MainThreadStatusBar),this.b=b,this.c=new E(this)}$acceptStaticEntries(d){for(const b of d)this.e.set(b.entryId,b)}createStatusBarEntry(d,b,m,r){return new p(this.a,this.b,this.e,d,b,m,r)}setStatusBarMessage(d,b){const m=this.c.setMessage(d);let r;return typeof b=="number"?r=setTimeout(()=>m.dispose(),b):typeof b<"u"&&b.then(()=>m.dispose(),()=>m.dispose()),new I.$$M(()=>{m.dispose(),clearTimeout(r)})}}e.$Zmc=T}),define(Ie[115],Pe([1,0,30,107,52,77,62,8,2]),function(le,e,I,O,R,M,A,w,p){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$LP=e.$KP=e.$JP=e.$IP=void 0;const E=(n,c,l,t)=>{let f=c;return{enumerable:!0,configurable:!1,get(){return f},set(a){if(!l(f,a)){const $=f;f=a,n.listener?.(t(a,$))}}}},T=(n,c)=>n===c,D={range:(n,c)=>n===c?!0:!n||!c?!1:n.isEqual(c),label:T,description:T,sortText:T,busy:T,error:T,canResolveChildren:T,tags:(n,c)=>!(n.length!==c.length||n.some(l=>!c.find(t=>l.id===t.id)))},d=n=>c=>({op:4,update:n(c)}),b=(n,c)=>({range:(()=>{let l;const t=d(f=>({range:I.$ut.lift(w.Range.from(f))}));return{enumerable:!0,configurable:!1,get(){return l},set(f){n.listener?.({op:6}),D.range(l,f)||(l=f,n.listener?.(t(f)))}}})(),label:E(n,c,D.label,d(l=>({label:l}))),description:E(n,void 0,D.description,d(l=>({description:l}))),sortText:E(n,void 0,D.sortText,d(l=>({sortText:l}))),canResolveChildren:E(n,!1,D.canResolveChildren,l=>({op:2,state:l})),busy:E(n,!1,D.busy,d(l=>({busy:l}))),error:E(n,void 0,D.error,d(l=>({error:w.MarkdownString.fromStrict(l)||null}))),tags:E(n,[],D.tags,(l,t)=>({op:1,new:l.map(w.TestTag.from),old:t.map(w.TestTag.from)}))}),m=n=>{const c=R.$UL.fromString(n.extId),l=new o(c.controllerId,c.localId,n.label,p.URI.revive(n.uri)||void 0);return l.range=w.Range.to(n.range||void 0),l.description=n.description||void 0,l.sortText=n.sortText||void 0,l.tags=n.tags.map(t=>w.TestTag.to({id:(0,A.$1L)(t).tagId})),l},r=n=>{let c;for(const l of n.tests){const t=m(l.item);(0,O.$sP)(t).parent=c,c=t}return c};e.$IP=r;class o{constructor(c,l,t,f){if(l.includes("\0"))throw new Error(`Test IDs may not include the ${JSON.stringify(l)} symbol`);const a=(0,O.$rP)(this,c);Object.defineProperties(this,{id:{value:l,enumerable:!0,writable:!1},uri:{value:f,enumerable:!0,writable:!1},parent:{enumerable:!1,get(){return a.parent instanceof s?void 0:a.parent}},children:{value:(0,M.$qP)(a,O.$sP,o),enumerable:!0,writable:!1},...b(a,t)})}}e.$JP=o;class s extends o{constructor(c,l){super(c,c,l,void 0),this._isRoot=!0}}e.$KP=s;class i extends M.$mP{constructor(c,l,t){super({controllerId:c,getDocumentVersion:f=>f&&t.getDocument(f)?.version,getApiFor:O.$sP,getChildren:f=>f.children,root:new s(c,l),toITestItem:w.TestItem.from})}}e.$LP=i}),define(Ie[32],Pe([1,0,15,7,8,25,4,18,12,49,30,94,2,6,3,17,115,21,35,44,66,59,63,34]),function(le,e,I,O,R,M,A,w,p,E,T,D,d,b,m,r,o,s,i,n,c,l,t,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$WP=e.$VP=e.$UP=e.$TP=e.$SP=e.$RP=void 0;let a=class{#e;#t;#i;constructor(g,k,y){this.b=new Map,this.c=new Map,this.#e=g.getProxy(A.$9M.MainThreadCommands),this.d=k,this.#i=y,this.#t=g.getProxy(A.$9M.MainThreadTelemetry),this.converter=new $(this,C=>{const P=this.c.get(C);return P?.result===S.Void?P:void 0},k),this.f=[{processArgument(C){return(0,E.$6h)(C)}},{processArgument(C){return(0,M.$5n)(C,function(P){if(T.$ut.isIRange(P))return R.Range.to(P);if(D.$tt.isIPosition(P))return R.Position.to(P);if(T.$ut.isIRange(P.range)&&d.URI.isUri(P.uri))return R.location.to(P);if(P instanceof s.$Ge)return P.buffer.buffer;if(!Array.isArray(P))return P})}}]}registerArgumentProcessor(g){this.f.push(g)}registerApiCommand(g){const k=this.registerCommand(!1,g.id,async(...y)=>{const C=g.args.map((W,V)=>{if(!W.validate(y[V]))throw new Error(`Invalid argument '${W.name}' when running '${g.id}', received: ${typeof y[V]=="object"?JSON.stringify(y[V],null,"	"):y[V]} `);return W.convert(y[V])}),P=await this.executeCommand(g.internalId,...C);return g.result.convert(P,y,this.converter)},void 0,{description:g.description,args:g.args,returns:g.result.description});return this.c.set(g.id,g),new O.$$M(()=>{k.dispose(),this.c.delete(g.id)})}registerCommand(g,k,y,C,P,W){if(this.d.trace("ExtHostCommands#registerCommand",k),!k.trim().length)throw new Error("invalid id");if(this.b.has(k))throw new Error(`command '${k}' already exists`);return this.b.set(k,{callback:y,thisArg:C,metadata:P,extension:W}),g&&this.#e.$registerCommand(k),new O.$$M(()=>{this.b.delete(k)&&g&&this.#e.$unregisterCommand(k)})}executeCommand(g,...k){return this.d.trace("ExtHostCommands#executeCommand",g),this.g(g,k,!0)}async g(g,k,y){if(this.b.has(g))return this.#e.$fireCommandActivationEvent(g),this.h(g,k,!1);{let C=!1;const P=(0,M.$5n)(k,function(W){if(W instanceof O.$_M)return R.Position.from(W);if(W instanceof O.$aN)return R.Range.from(W);if(W instanceof O.$kN)return R.location.from(W);if(O.$AO.isNotebookRange(W))return R.NotebookRange.from(W);if(W instanceof ArrayBuffer)return C=!0,s.$Ge.wrap(new Uint8Array(W));if(W instanceof Uint8Array)return C=!0,s.$Ge.wrap(W);if(W instanceof s.$Ge)return C=!0,W;if(!Array.isArray(W))return W});try{const W=await this.#e.$executeCommand(g,C?new i.$Bw(P):P,y);return(0,E.$6h)(W)}catch(W){if(W instanceof Error&&W.message==="$executeCommand:retry")return this.g(g,k,!1);throw W}}}async h(g,k,y){const C=this.b.get(g);if(!C)throw new Error("Unknown command");const{callback:P,thisArg:W,metadata:V}=C;if(V?.args)for(let N=0;N<V.args.length;N++)try{(0,I.$ng)(k[N],V.args[N].constraint)}catch{throw new Error(`Running the contributed command: '${g}' failed. Illegal argument '${V.args[N].name}' - ${V.args[N].description}`)}const q=c.$ae.create();try{return await P.apply(W,k)}catch(N){if(g===this.converter.delegatingCommandId){const j=this.converter.getActualCommand(...k);j&&(g=j.command)}if(this.d.error(N,g,C.extension?.identifier),!y)throw N;if(C.extension?.identifier){const j=this.#i.onExtensionError(C.extension.identifier,N);this.d.trace("forwarded error to extension?",j,C.extension?.identifier)}throw new class extends Error{constructor(){super((0,n.$hj)(N)),this.id=g,this.source=C.extension?.displayName??C.extension?.name}}}finally{this.j(C,g,q.elapsed())}}j(g,k,y){g.extension&&this.#t.$publicLog2("Extension:ActionExecuted",{extensionId:g.extension.identifier.value,id:new l.$fp(k),duration:y})}$executeContributedCommand(g,...k){this.d.trace("ExtHostCommands#$executeContributedCommand",g);const y=this.b.get(g);return y?(k=k.map(C=>this.f.reduce((P,W)=>W.processArgument(P,y.extension?.identifier),C)),this.h(g,k,!0)):Promise.reject(new Error(`Contributed command '${g}' does not exist.`))}getCommands(g=!1){return this.d.trace("ExtHostCommands#getCommands",g),this.#e.$getCommands().then(k=>(g&&(k=k.filter(y=>y[0]!=="_")),k))}$getContributedCommandMetadata(){const g=Object.create(null);for(const[k,y]of this.b){const{metadata:C}=y;C&&(g[k]=C)}return Promise.resolve(g)}};e.$RP=a,e.$RP=a=Je([We(0,r.$wP),We(1,p.$3j),We(2,t.$QP)],a),e.$SP=(0,m.$wi)("IExtHostCommands");class ${constructor(g,k,y){this.d=g,this.f=k,this.g=y,this.delegatingCommandId=`__vsc${(0,f.$Sg)()}`,this.b=new Map,this.c=0,this.d.registerCommand(!0,this.delegatingCommandId,this.h,this)}toInternal(g,k){if(!g)return;const y={$ident:void 0,id:g.command,title:g.title,tooltip:g.tooltip};if(!g.command)return y;const C=this.f(g.command);if(C)y.id=C.internalId,y.arguments=C.args.map((P,W)=>P.convert(g.arguments&&g.arguments[W]));else if((0,w.$Lb)(g.arguments)){const P=`${g.command} /${++this.c}`;this.b.set(P,g),k.add((0,b.$Tc)(()=>{this.b.delete(P),this.g.trace("CommandsConverter#DISPOSE",P)})),y.$ident=P,y.id=this.delegatingCommandId,y.arguments=[P],this.g.trace("CommandsConverter#CREATE",g.command,P)}return y}fromInternal(g){return typeof g.$ident=="string"?this.b.get(g.$ident):{command:g.id,title:g.title,arguments:g.arguments}}getActualCommand(...g){return this.b.get(g[0])}h(...g){const k=this.getActualCommand(...g);return this.g.trace("CommandsConverter#EXECUTE",g[0],k?k.command:"MISSING"),k?this.d.executeCommand(k.command,...k.arguments||[]):Promise.reject(`Actual command not found, wanted to execute ${g[0]}`)}}e.$TP=$;class u{static{this.Uri=new u("uri","Uri of a text document",g=>d.URI.isUri(g),g=>g)}static{this.Position=new u("position","A position in a text document",g=>O.$_M.isPosition(g),R.Position.from)}static{this.Range=new u("range","A range in a text document",g=>O.$aN.isRange(g),R.Range.from)}static{this.Selection=new u("selection","A selection in a text document",g=>O.$bN.isSelection(g),R.Selection.from)}static{this.Number=new u("number","",g=>typeof g=="number",g=>g)}static{this.String=new u("string","",g=>typeof g=="string",g=>g)}static{this.StringArray=u.Arr(u.String)}static Arr(g){return new u(`${g.name}_array`,`Array of ${g.name}, ${g.description}`,k=>Array.isArray(k)&&k.every(y=>g.validate(y)),k=>k.map(y=>g.convert(y)))}static{this.CallHierarchyItem=new u("item","A call hierarchy item",g=>g instanceof O.$wN,R.CallHierarchyItem.from)}static{this.TypeHierarchyItem=new u("item","A type hierarchy item",g=>g instanceof O.$UO,R.TypeHierarchyItem.from)}static{this.TestItem=new u("testItem","A VS Code TestItem",g=>g instanceof o.$JP,R.TestItem.from)}constructor(g,k,y,C){this.name=g,this.description=k,this.validate=y,this.convert=C}optional(){return new u(this.name,`(optional) ${this.description}`,g=>g==null||this.validate(g),g=>g===void 0?void 0:g===null?null:this.convert(g))}with(g,k){return new u(g??this.name,k??this.description,this.validate,this.convert)}}e.$UP=u;class S{static{this.Void=new S("no result",g=>g)}constructor(g,k){this.description=g,this.convert=k}}e.$VP=S;class h{constructor(g,k,y,C,P){this.id=g,this.internalId=k,this.description=y,this.args=C,this.result=P}}e.$WP=h}),define(Ie[285],Pe([1,0,18,16,2,89,98,31,32,8,7]),function(le,e,I,O,R,M,A,w,p,E,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$ilc=void 0;const D=[new p.$WP("vscode.executeDocumentHighlights","_executeDocumentHighlights","Execute document highlight provider.",[p.$UP.Uri,p.$UP.Position],new p.$VP("A promise that resolves to an array of DocumentHighlight-instances.",b(E.DocumentHighlight.to))),new p.$WP("vscode.executeDocumentSymbolProvider","_executeDocumentSymbolProvider","Execute document symbol provider.",[p.$UP.Uri],new p.$VP("A promise that resolves to an array of SymbolInformation and DocumentSymbol instances.",(r,o)=>{if((0,I.$Kb)(r))return;class s extends T.$rN{static to(n){const c=new s(n.name,E.SymbolKind.to(n.kind),n.containerName||"",new T.$kN(o[0],E.Range.to(n.range)));return c.detail=n.detail,c.range=c.location.range,c.selectionRange=E.Range.to(n.selectionRange),c.children=n.children?n.children.map(s.to):[],c}}return r.map(s.to)})),new p.$WP("vscode.executeFormatDocumentProvider","_executeFormatDocumentProvider","Execute document format provider.",[p.$UP.Uri,new p.$UP("options","Formatting options",r=>!0,r=>r)],new p.$VP("A promise that resolves to an array of TextEdits.",b(E.TextEdit.to))),new p.$WP("vscode.executeFormatRangeProvider","_executeFormatRangeProvider","Execute range format provider.",[p.$UP.Uri,p.$UP.Range,new p.$UP("options","Formatting options",r=>!0,r=>r)],new p.$VP("A promise that resolves to an array of TextEdits.",b(E.TextEdit.to))),new p.$WP("vscode.executeFormatOnTypeProvider","_executeFormatOnTypeProvider","Execute format on type provider.",[p.$UP.Uri,p.$UP.Position,new p.$UP("ch","Trigger character",r=>typeof r=="string",r=>r),new p.$UP("options","Formatting options",r=>!0,r=>r)],new p.$VP("A promise that resolves to an array of TextEdits.",b(E.TextEdit.to))),new p.$WP("vscode.executeDefinitionProvider","_executeDefinitionProvider","Execute all definition providers.",[p.$UP.Uri,p.$UP.Position],new p.$VP("A promise that resolves to an array of Location or LocationLink instances.",m)),new p.$WP("vscode.executeTypeDefinitionProvider","_executeTypeDefinitionProvider","Execute all type definition providers.",[p.$UP.Uri,p.$UP.Position],new p.$VP("A promise that resolves to an array of Location or LocationLink instances.",m)),new p.$WP("vscode.executeDeclarationProvider","_executeDeclarationProvider","Execute all declaration providers.",[p.$UP.Uri,p.$UP.Position],new p.$VP("A promise that resolves to an array of Location or LocationLink instances.",m)),new p.$WP("vscode.executeImplementationProvider","_executeImplementationProvider","Execute all implementation providers.",[p.$UP.Uri,p.$UP.Position],new p.$VP("A promise that resolves to an array of Location or LocationLink instances.",m)),new p.$WP("vscode.executeReferenceProvider","_executeReferenceProvider","Execute all reference providers.",[p.$UP.Uri,p.$UP.Position],new p.$VP("A promise that resolves to an array of Location-instances.",b(E.location.to))),new p.$WP("vscode.executeHoverProvider","_executeHoverProvider","Execute all hover providers.",[p.$UP.Uri,p.$UP.Position],new p.$VP("A promise that resolves to an array of Hover-instances.",b(E.Hover.to))),new p.$WP("vscode.executeSelectionRangeProvider","_executeSelectionRangeProvider","Execute selection range provider.",[p.$UP.Uri,new p.$UP("position","A position in a text document",r=>Array.isArray(r)&&r.every(o=>T.$_M.isPosition(o)),r=>r.map(E.Position.from))],new p.$VP("A promise that resolves to an array of ranges.",r=>r.map(o=>{let s;for(const i of o.reverse())s=new T.$vN(E.Range.to(i),s);return s}))),new p.$WP("vscode.executeWorkspaceSymbolProvider","_executeWorkspaceSymbolProvider","Execute all workspace symbol providers.",[p.$UP.String.with("query","Search string")],new p.$VP("A promise that resolves to an array of SymbolInformation-instances.",r=>r.map(E.WorkspaceSymbol.to))),new p.$WP("vscode.prepareCallHierarchy","_executePrepareCallHierarchy","Prepare call hierarchy at a position inside a document",[p.$UP.Uri,p.$UP.Position],new p.$VP("A promise that resolves to an array of CallHierarchyItem-instances",r=>r.map(E.CallHierarchyItem.to))),new p.$WP("vscode.provideIncomingCalls","_executeProvideIncomingCalls","Compute incoming calls for an item",[p.$UP.CallHierarchyItem],new p.$VP("A promise that resolves to an array of CallHierarchyIncomingCall-instances",r=>r.map(E.CallHierarchyIncomingCall.to))),new p.$WP("vscode.provideOutgoingCalls","_executeProvideOutgoingCalls","Compute outgoing calls for an item",[p.$UP.CallHierarchyItem],new p.$VP("A promise that resolves to an array of CallHierarchyOutgoingCall-instances",r=>r.map(E.CallHierarchyOutgoingCall.to))),new p.$WP("vscode.prepareRename","_executePrepareRename","Execute the prepareRename of rename provider.",[p.$UP.Uri,p.$UP.Position],new p.$VP("A promise that resolves to a range and placeholder text.",r=>{if(r)return{range:E.Range.to(r.range),placeholder:r.text}})),new p.$WP("vscode.executeDocumentRenameProvider","_executeDocumentRenameProvider","Execute rename provider.",[p.$UP.Uri,p.$UP.Position,p.$UP.String.with("newName","The new symbol name")],new p.$VP("A promise that resolves to a WorkspaceEdit.",r=>{if(r){if(r.rejectReason)throw new Error(r.rejectReason);return E.WorkspaceEdit.to(r)}})),new p.$WP("vscode.executeLinkProvider","_executeLinkProvider","Execute document link provider.",[p.$UP.Uri,p.$UP.Number.with("linkResolveCount","Number of links that should be resolved, only when links are unresolved.").optional()],new p.$VP("A promise that resolves to an array of DocumentLink-instances.",r=>r.map(E.DocumentLink.to))),new p.$WP("vscode.provideDocumentSemanticTokensLegend","_provideDocumentSemanticTokensLegend","Provide semantic tokens legend for a document",[p.$UP.Uri],new p.$VP("A promise that resolves to SemanticTokensLegend.",r=>{if(r)return new T.$rO(r.tokenTypes,r.tokenModifiers)})),new p.$WP("vscode.provideDocumentSemanticTokens","_provideDocumentSemanticTokens","Provide semantic tokens for a document",[p.$UP.Uri],new p.$VP("A promise that resolves to SemanticTokens.",r=>{if(!r)return;const o=(0,A.$$bb)(r);if(o.type==="full")return new T.$tO(o.data,void 0)})),new p.$WP("vscode.provideDocumentRangeSemanticTokensLegend","_provideDocumentRangeSemanticTokensLegend","Provide semantic tokens legend for a document range",[p.$UP.Uri,p.$UP.Range.optional()],new p.$VP("A promise that resolves to SemanticTokensLegend.",r=>{if(r)return new T.$rO(r.tokenTypes,r.tokenModifiers)})),new p.$WP("vscode.provideDocumentRangeSemanticTokens","_provideDocumentRangeSemanticTokens","Provide semantic tokens for a document range",[p.$UP.Uri,p.$UP.Range],new p.$VP("A promise that resolves to SemanticTokens.",r=>{if(!r)return;const o=(0,A.$$bb)(r);if(o.type==="full")return new T.$tO(o.data,void 0)})),new p.$WP("vscode.executeCompletionItemProvider","_executeCompletionItemProvider","Execute completion item provider.",[p.$UP.Uri,p.$UP.Position,p.$UP.String.with("triggerCharacter","Trigger completion when the user types the character, like `,` or `(`").optional(),p.$UP.Number.with("itemResolveCount","Number of completions to resolve (too large numbers slow down completions)").optional()],new p.$VP("A promise that resolves to a CompletionList-instance.",(r,o,s)=>{if(!r)return new T.$HN([]);const i=r.suggestions.map(n=>E.CompletionItem.to(n,s));return new T.$HN(i,r.incomplete)})),new p.$WP("vscode.executeSignatureHelpProvider","_executeSignatureHelpProvider","Execute signature help provider.",[p.$UP.Uri,p.$UP.Position,p.$UP.String.with("triggerCharacter","Trigger signature help when the user types the character, like `,` or `(`").optional()],new p.$VP("A promise that resolves to SignatureHelp.",r=>{if(r)return E.SignatureHelp.to(r)})),new p.$WP("vscode.executeCodeLensProvider","_executeCodeLensProvider","Execute code lens provider.",[p.$UP.Uri,p.$UP.Number.with("itemResolveCount","Number of lenses that should be resolved and returned. Will only return resolved lenses, will impact performance)").optional()],new p.$VP("A promise that resolves to an array of CodeLens-instances.",(r,o,s)=>b(i=>new T.$zN(E.Range.to(i.range),i.command&&s.fromInternal(i.command)))(r))),new p.$WP("vscode.executeCodeActionProvider","_executeCodeActionProvider","Execute code action provider.",[p.$UP.Uri,new p.$UP("rangeOrSelection","Range in a text document. Some refactoring provider requires Selection object.",r=>T.$aN.isRange(r),r=>T.$bN.isSelection(r)?E.Selection.from(r):E.Range.from(r)),p.$UP.String.with("kind","Code action kind to return code actions for").optional(),p.$UP.Number.with("itemResolveCount","Number of code actions to resolve (too large numbers slow down code actions)").optional()],new p.$VP("A promise that resolves to an array of Command-instances.",(r,o,s)=>b(i=>{if(i._isSynthetic){if(!i.command)throw new Error("Synthetic code actions must have a command");return s.fromInternal(i.command)}else{const n=new T.$tN(i.title,i.kind?new T.$uN(i.kind):void 0);return i.edit&&(n.edit=E.WorkspaceEdit.to(i.edit)),i.command&&(n.command=s.fromInternal(i.command)),n.isPreferred=i.isPreferred,n}})(r))),new p.$WP("vscode.executeDocumentColorProvider","_executeDocumentColorProvider","Execute document color provider.",[p.$UP.Uri],new p.$VP("A promise that resolves to an array of ColorInformation objects.",r=>r?r.map(o=>new T.$NN(E.Range.to(o.range),E.Color.to(o.color))):[])),new p.$WP("vscode.executeColorPresentationProvider","_executeColorPresentationProvider","Execute color presentation provider.",[new p.$UP("color","The color to show and insert",r=>r instanceof T.$MN,E.Color.from),new p.$UP("context","Context object with uri and range",r=>!0,r=>({uri:r.uri,range:E.Range.from(r.range)}))],new p.$VP("A promise that resolves to an array of ColorPresentation objects.",r=>r?r.map(E.ColorPresentation.to):[])),new p.$WP("vscode.executeInlayHintProvider","_executeInlayHintProvider","Execute inlay hints provider",[p.$UP.Uri,p.$UP.Range],new p.$VP("A promise that resolves to an array of Inlay objects",(r,o,s)=>r.map(E.InlayHint.to.bind(void 0,s)))),new p.$WP("vscode.executeFoldingRangeProvider","_executeFoldingRangeProvider","Execute folding range provider",[p.$UP.Uri],new p.$VP("A promise that resolves to an array of FoldingRange objects",(r,o)=>{if(r)return r.map(E.FoldingRange.to)})),new p.$WP("vscode.resolveNotebookContentProviders","_resolveNotebookContentProvider","Resolve Notebook Content Providers",[],new p.$VP("A promise that resolves to an array of NotebookContentProvider static info objects.",b(r=>({viewType:r.viewType,displayName:r.displayName,options:{transientOutputs:r.options.transientOutputs,transientCellMetadata:r.options.transientCellMetadata,transientDocumentMetadata:r.options.transientDocumentMetadata},filenamePattern:r.filenamePattern.map(o=>E.NotebookExclusiveDocumentPattern.to(o))})))),new p.$WP("vscode.executeInlineValueProvider","_executeInlineValueProvider","Execute inline value provider",[p.$UP.Uri,p.$UP.Range,new p.$UP("context","An InlineValueContext",r=>r&&typeof r.frameId=="number"&&r.stoppedLocation instanceof T.$aN,r=>E.InlineValueContext.from(r))],new p.$VP("A promise that resolves to an array of InlineValue objects",r=>r.map(E.InlineValue.to))),new p.$WP("vscode.open","_workbench.open","Opens the provided resource in the editor. Can be a text or binary file, or an http(s) URL. If you need more control over the options for opening a text file, use vscode.window.showTextDocument instead.",[new p.$UP("uriOrString","Uri-instance or string (only http/https)",r=>R.URI.isUri(r)||typeof r=="string"&&(0,O.$Gg)(r,O.Schemas.http,O.Schemas.https),r=>r),new p.$UP("columnOrOptions","Either the column in which to open or editor options, see vscode.TextDocumentShowOptions",r=>r===void 0||typeof r=="number"||typeof r=="object",r=>r&&(typeof r=="number"?[E.ViewColumn.from(r),void 0]:[E.ViewColumn.from(r.viewColumn),E.TextEditorOpenOptions.from(r)])).optional(),p.$UP.String.with("label","").optional()],p.$VP.Void),new p.$WP("vscode.openWith","_workbench.openWith","Opens the provided resource with a specific editor.",[p.$UP.Uri.with("resource","Resource to open"),p.$UP.String.with("viewId","Custom editor view id. This should be the viewType string for custom editors or the notebookType string for notebooks. Use 'default' to use VS Code's default text editor"),new p.$UP("columnOrOptions","Either the column in which to open or editor options, see vscode.TextDocumentShowOptions",r=>r===void 0||typeof r=="number"||typeof r=="object",r=>r&&(typeof r=="number"?[E.ViewColumn.from(r),void 0]:[E.ViewColumn.from(r.viewColumn),E.TextEditorOpenOptions.from(r)])).optional()],p.$VP.Void),new p.$WP("vscode.diff","_workbench.diff","Opens the provided resources in the diff editor to compare their contents.",[p.$UP.Uri.with("left","Left-hand side resource of the diff editor"),p.$UP.Uri.with("right","Right-hand side resource of the diff editor"),p.$UP.String.with("title","Human readable title for the diff editor").optional(),new p.$UP("columnOrOptions","Either the column in which to open or editor options, see vscode.TextDocumentShowOptions",r=>r===void 0||typeof r=="object",r=>r&&[E.ViewColumn.from(r.viewColumn),E.TextEditorOpenOptions.from(r)]).optional()],p.$VP.Void),new p.$WP("vscode.changes","_workbench.changes","Opens a list of resources in the changes editor to compare their contents.",[p.$UP.String.with("title","Human readable title for the changes editor"),new p.$UP("resourceList","List of resources to compare",r=>{for(const o of r){if(o.length!==3)return!1;const[s,i,n]=o;if(!R.URI.isUri(s)||!R.URI.isUri(i)&&i!==void 0&&i!==null||!R.URI.isUri(n)&&n!==void 0&&n!==null)return!1}return!0},r=>r)],p.$VP.Void),new p.$WP("vscode.prepareTypeHierarchy","_executePrepareTypeHierarchy","Prepare type hierarchy at a position inside a document",[p.$UP.Uri,p.$UP.Position],new p.$VP("A promise that resolves to an array of TypeHierarchyItem-instances",r=>r.map(E.TypeHierarchyItem.to))),new p.$WP("vscode.provideSupertypes","_executeProvideSupertypes","Compute supertypes for an item",[p.$UP.TypeHierarchyItem],new p.$VP("A promise that resolves to an array of TypeHierarchyItem-instances",r=>r.map(E.TypeHierarchyItem.to))),new p.$WP("vscode.provideSubtypes","_executeProvideSubtypes","Compute subtypes for an item",[p.$UP.TypeHierarchyItem],new p.$VP("A promise that resolves to an array of TypeHierarchyItem-instances",r=>r.map(E.TypeHierarchyItem.to))),new p.$WP("vscode.revealTestInExplorer","_revealTestInExplorer","Reveals a test instance in the explorer",[p.$UP.TestItem],p.$VP.Void),new p.$WP("vscode.experimental.editSession.continue","_workbench.editSessions.actions.continueEditSession","Continue the current edit session in a different workspace",[p.$UP.Uri.with("workspaceUri","The target workspace to continue the current edit session in")],p.$VP.Void),new p.$WP("setContext","_setContext","Set a custom context key value that can be used in when clauses.",[p.$UP.String.with("name","The context key name"),new p.$UP("value","The context key value",()=>!0,r=>r)],p.$VP.Void),new p.$WP("vscode.executeMappedEditsProvider","_executeMappedEditsProvider","Execute Mapped Edits Provider",[p.$UP.Uri,p.$UP.StringArray,new p.$UP("MappedEditsContext","Mapped Edits Context",r=>E.MappedEditsContext.is(r),r=>E.MappedEditsContext.from(r))],new p.$VP("A promise that resolves to a workspace edit or null",r=>r?E.WorkspaceEdit.to(r):null))];class d{static register(o){D.forEach(o.registerApiCommand,o),this.a(o)}static a(o){o.registerCommand(!1,"_validateWhenClauses",w.$vj)}}e.$ilc=d;function b(r){return o=>{if(Array.isArray(o))return o.map(r)}}function m(r){if(!Array.isArray(r))return;const o=[];for(const s of r)M.$_t(s)?o.push(E.DefinitionLink.to(s)):o.push(E.location.to(s));return o}}),define(Ie[286],Pe([1,0,11,6,2,4,32,8,7]),function(le,e,I,O,R,M,A,w,p){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$rmc=void 0;class E{static{this.a=0}constructor(b,m){this.extension=b,this.provider=m,this.handle=E.a++}}class T{constructor(b){this.session=b,this.responses=[]}}class D{static{this.a=0}constructor(b,m,r,o){this.f=r,this.g=o,this.b=new Map,this.d=new Map,this.e=b.getProxy(M.$9M.MainThreadInlineChat),m.registerApiCommand(new A.$WP("vscode.editorChat.start","inlineChat.start","Invoke a new editor chat session",[new A.$UP("Run arguments","",s=>!0,s=>{if(s)return{initialRange:s.initialRange?w.Range.from(s.initialRange):void 0,initialSelection:p.$bN.isSelection(s.initialSelection)?w.Selection.from(s.initialSelection):void 0,message:s.message,autoSend:s.autoSend,position:s.position?w.Position.from(s.position):void 0}})],A.$VP.Void))}registerProvider(b,m,r){const o=new E(b,m);return this.b.set(o.handle,o),this.e.$registerInteractiveEditorProvider(o.handle,r?.label??b.displayName??b.name,b.identifier,typeof m.handleInteractiveEditorResponseFeedback=="function",typeof m.provideFollowups=="function",r?.supportReportIssue??!1),(0,O.$Tc)(()=>{this.e.$unregisterInteractiveEditorProvider(o.handle),this.b.delete(o.handle)})}async $prepareSession(b,m,r,o){const s=this.b.get(b);if(!s){this.g.warn("CANNOT prepare session because the PROVIDER IS GONE");return}const i=this.f.getDocument(R.URI.revive(m)),n=w.Selection.to(r),c=await s.provider.prepareInteractiveEditorSession({document:i,selection:n},o);if(!c)return;if(c.wholeRange&&!c.wholeRange.contains(n))throw new Error("InteractiveEditorSessionProvider returned a wholeRange that does not contain the selection.");const l=D.a++;return this.d.set(l,new T(c)),{id:l,placeholder:c.placeholder,input:c.input,slashCommands:c.slashCommands?.map(t=>({command:t.command,detail:t.detail,refer:t.refer,executeImmediately:t.executeImmediately})),wholeRange:w.Range.from(c.wholeRange),message:c.message}}async $provideResponse(b,m,r,o){const s=this.b.get(b);if(!s)return;const i=this.d.get(m.id);if(!i)return;const n={prompt:r.prompt,selection:w.Selection.to(r.selection),wholeRange:w.Range.to(r.wholeRange),attempt:r.attempt,live:r.live,previewDocument:this.f.getDocument(R.URI.revive(r.previewDocument)),withIntentDetection:r.withIntentDetection};let c=!1;const l={report:async v=>{if(!r.live&&v.edits?.length)throw new Error("Progress reporting is only supported for live sessions");c||o.isCancellationRequested||await this.e.$handleProgressChunk(r.requestId,{message:v.message,edits:v.edits?.map(w.TextEdit.from),editsShouldBeInstant:v.editsShouldBeInstant,slashCommand:v.slashCommand?.command,markdownFragment:p.$AN.isMarkdownString(v.content)?v.content.value:v.content})}},t=Promise.resolve(s.provider.provideInteractiveEditorResponse(i.session,n,l,o));let f;try{f=await(0,I.$kh)(t,o)}finally{c=!0}if(!f)return;const a=i.responses.push(f)-1,$={wholeRange:w.Range.from(f.wholeRange),placeholder:f.placeholder};if(!D.h(f))return{...$,id:a,type:"editorEdit",message:w.MarkdownString.from(f.contents),edits:[]};const{edits:u,contents:S}=f,h=S!==void 0?w.MarkdownString.from(S):void 0;return u instanceof p.$iN?{...$,id:a,type:"bulkEdit",edits:w.WorkspaceEdit.from(u),message:h}:{...$,id:a,type:"editorEdit",edits:u.map(w.TextEdit.from),message:h}}async $provideFollowups(b,m,r,o){const s=this.b.get(b),i=this.d.get(m),n=i?.responses[r];if(s&&n&&s.provider.provideFollowups){const c=Promise.resolve(s.provider.provideFollowups(i.session,n,o));return(await(0,I.$kh)(c,o))?.map(w.ChatInlineFollowup.from)}}$handleFeedback(b,m,r,o){const s=this.b.get(b),i=this.d.get(m),n=i?.responses[r];if(s&&n){const c=w.InteractiveEditorResponseFeedbackKind.to(o);s.provider.handleInteractiveEditorResponseFeedback?.(i.session,n,c)}}$releaseSession(b,m){}static h(b){return typeof b=="object"&&typeof b.edits=="object"}}e.$rmc=D}),define(Ie[287],Pe([1,0,2,32]),function(le,e,I,O){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Emc=void 0;class R{constructor(A,w,p,E,T){this.a=w,this.b=p,this.c=E;const D=new O.$WP("interactive.open","_interactive.open","Open interactive window and return notebook editor and input URI",[new O.$UP("showOptions","Show Options",d=>!0,d=>d),new O.$UP("resource","Interactive resource Uri",d=>!0,d=>d),new O.$UP("controllerId","Notebook controller Id",d=>!0,d=>d),new O.$UP("title","Interactive editor title",d=>!0,d=>d)],new O.$VP("Notebook and input URI",d=>{if(T.debug("[ExtHostInteractive] open iw with notebook editor id",d.notebookEditorId),d.notebookEditorId!==void 0){const b=this.a.getEditorById(d.notebookEditorId);return T.debug("[ExtHostInteractive] notebook editor found",b.id),{notebookUri:I.URI.revive(d.notebookUri),inputUri:I.URI.revive(d.inputUri),notebookEditor:b.apiEditor}}return T.debug("[ExtHostInteractive] notebook editor not found, uris for the interactive document",d.notebookUri,d.inputUri),{notebookUri:I.URI.revive(d.notebookUri),inputUri:I.URI.revive(d.inputUri)}}));this.c.registerApiCommand(D)}$willAddInteractiveDocument(A,w,p,E){this.b.acceptDocumentsAndEditorsDelta({addedDocuments:[{EOL:w,lines:[""],languageId:p,uri:A,isDirty:!1,versionId:1}]})}$willRemoveInteractiveDocument(A,w){this.b.acceptDocumentsAndEditorsDelta({removedDocuments:[A]})}}e.$Emc=R}),define(Ie[288],Pe([1,0,18,11,24,5,6,28,2,20,12,4,32,8,7,78,229,26,35,230]),function(le,e,I,O,R,M,A,w,p,E,T,D,d,b,m,r,o,s,i,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Lmc=void 0,e.$Mmc=u;let c=class{constructor(h,v,g,k,y){this.m=v,this.n=g,this.o=k,this.q=y,this.b=new w.$Bc,this.c=new w.$Bc,this.f=new Map,this.g=0,this.h=new Map,this.i=0,this.j=new Map,this.k=0,this.l=new M.$ee,this.onDidChangeNotebookCellExecutionState=this.l.event,this.r=0,this.s={},this.a=h.getProxy(D.$9M.MainThreadNotebookKernels);const C=new d.$WP("notebook.selectKernel","_notebook.selectKernel","Trigger kernel picker for specified notebook editor widget",[new d.$UP("options","Select kernel options",W=>!0,W=>{if(W&&"notebookEditor"in W&&"id"in W){const V=this.n.getIdByEditor(W.notebookEditor);return{id:W.id,extension:W.extension,notebookEditorId:V}}else if(W&&"notebookEditor"in W){const V=this.n.getIdByEditor(W.notebookEditor);if(V===void 0)throw new Error(`Cannot invoke 'notebook.selectKernel' for unrecognized notebook editor ${W.notebookEditor.notebook.uri.toString()}`);return{notebookEditorId:V}}return W})],d.$VP.Void),P=new d.$WP("vscode.executeNotebookVariableProvider","_executeNotebookVariableProvider","Execute notebook variable provider",[d.$UP.Uri],new d.$VP("A promise that resolves to an array of variables",(W,V)=>W.map(q=>({variable:{name:q.name,value:q.value,expression:q.expression,type:q.type,language:q.language},hasNamedChildren:q.hasNamedChildren,indexedChildrenCount:q.indexedChildrenCount}))));this.o.registerApiCommand(C),this.o.registerApiCommand(P)}createNotebookController(h,v,g,k,y,C){for(const ae of this.j.values())if(ae.controller.id===v&&E.$Rm.equals(h.identifier,ae.extensionId))throw new Error(`notebook controller with id '${v}' ALREADY exist`);const P=this.k++,W=this;this.q.trace(`NotebookController[${P}], CREATED by ${h.identifier.value}, ${v}`);const V=()=>console.warn(`NO execute handler from notebook controller '${K.id}' of extension: '${h.identifier}'`);let q=!1;const N=new M.$ee,j=new M.$ee,K={id:u(h.identifier,v),notebookType:g,extensionId:h.identifier,extensionLocation:h.extensionLocation,label:k||h.identifier.value,preloads:C?C.map(b.NotebookRendererScript.from):[]};let ie=y??V,ce,ye;this.a.$addKernel(P,K).catch(ae=>{console.log(ae),q=!0});let Se=0;const fe=()=>{if(q)return;const ae=++Se;Promise.resolve().then(()=>{ae===Se&&this.a.$updateKernel(P,K)})},$e=new w.$Bc,Te={get id(){return v},get notebookType(){return K.notebookType},onDidChangeSelectedNotebooks:N.event,get label(){return K.label},set label(ae){K.label=ae??h.displayName??h.name,fe()},get detail(){return K.detail??""},set detail(ae){K.detail=ae,fe()},get description(){return K.description??""},set description(ae){K.description=ae,fe()},get supportedLanguages(){return K.supportedLanguages},set supportedLanguages(ae){K.supportedLanguages=ae,fe()},get supportsExecutionOrder(){return K.supportsExecutionOrder??!1},set supportsExecutionOrder(ae){K.supportsExecutionOrder=ae,fe()},get rendererScripts(){return K.preloads?K.preloads.map(b.NotebookRendererScript.to):[]},get executeHandler(){return ie},set executeHandler(ae){ie=ae??V},get interruptHandler(){return ce},set interruptHandler(ae){ce=ae,K.supportsInterrupt=!!ae,fe()},set variableProvider(ae){(0,s.$OG)(h,"notebookVariableProvider"),ye=ae,K.hasVariableProvider=!!ae,ae?.onDidChangeVariables(Ne=>W.a.$variablesUpdated(Ne.uri)),fe()},get variableProvider(){return ye},createNotebookCellExecution(ae){if(q)throw new Error("notebook controller is DISPOSED");if(!$e.has(ae.notebook.uri))throw W.q.trace(`NotebookController[${P}] NOT associated to notebook, associated to THESE notebooks:`,Array.from($e.keys()).map(Ne=>Ne.toString())),new Error(`notebook controller is NOT associated to notebook: ${ae.notebook.uri.toString()}`);return W._createNotebookCellExecution(ae,u(h.identifier,this.id))},createNotebookExecution(ae){if((0,s.$OG)(h,"notebookExecution"),q)throw new Error("notebook controller is DISPOSED");if(!$e.has(ae.uri))throw W.q.trace(`NotebookController[${P}] NOT associated to notebook, associated to THESE notebooks:`,Array.from($e.keys()).map(Ne=>Ne.toString())),new Error(`notebook controller is NOT associated to notebook: ${ae.uri.toString()}`);return W._createNotebookExecution(ae,u(h.identifier,this.id))},dispose:()=>{q||(this.q.trace(`NotebookController[${P}], DISPOSED`),q=!0,this.j.delete(P),N.dispose(),j.dispose(),this.a.$removeKernel(P))},updateNotebookAffinity(ae,Ne){Ne===m.NotebookControllerAffinity2.Hidden&&(0,s.$OG)(h,"notebookControllerAffinityHidden"),W.a.$updateNotebookPriority(P,ae.uri,Ne)},onDidReceiveMessage:j.event,postMessage(ae,Ne){return(0,s.$OG)(h,"notebookMessaging"),W.a.$postMessage(P,Ne&&W.n.getIdByEditor(Ne),ae)},asWebviewUri(ae){return(0,s.$OG)(h,"notebookMessaging"),(0,r.$RAb)(ae,W.m.remote)}};return this.j.set(P,{extensionId:h.identifier,controller:Te,onDidReceiveMessage:j,onDidChangeSelection:N,associatedNotebooks:$e}),Te}getIdByController(h){for(const[v,g]of this.j)if(g.controller===h)return u(g.extensionId,h.id);return null}createNotebookControllerDetectionTask(h,v){const g=this.g++,k=this;this.q.trace(`NotebookControllerDetectionTask[${g}], CREATED by ${h.identifier.value}`),this.a.$addKernelDetectionTask(g,v);const y={dispose:()=>{this.f.delete(g),k.a.$removeKernelDetectionTask(g)}};return this.f.set(g,y),y}registerKernelSourceActionProvider(h,v,g){const k=this.i++,y=typeof g.onDidChangeNotebookKernelSourceActions=="function"?k:void 0,C=this;this.h.set(k,g),this.q.trace(`NotebookKernelSourceActionProvider[${k}], CREATED by ${h.identifier.value}`),this.a.$addKernelSourceActionProvider(k,k,v);let P;return y!==void 0&&(P=g.onDidChangeNotebookKernelSourceActions(W=>this.a.$emitNotebookKernelSourceActionsChangeEvent(y))),{dispose:()=>{this.h.delete(k),C.a.$removeKernelSourceActionProvider(k,k),P?.dispose()}}}async $provideKernelSourceActions(h,v){const g=this.h.get(h);if(g){const k=new A.$Uc;return(await g.provideNotebookKernelSourceActions(v)??[]).map(C=>b.NotebookKernelSourceAction.from(C,this.o.converter,k))}return[]}$acceptNotebookAssociation(h,v,g){const k=this.j.get(h);if(k){const y=this.n.getNotebookDocument(p.URI.revive(v));g?k.associatedNotebooks.set(y.uri,!0):k.associatedNotebooks.delete(y.uri),this.q.trace(`NotebookController[${h}] ASSOCIATE notebook`,y.uri.toString(),g),k.onDidChangeSelection.fire({selected:g,notebook:y.apiNotebook})}}async $executeCells(h,v,g){const k=this.j.get(h);if(!k)return;const y=this.n.getNotebookDocument(p.URI.revive(v)),C=[];for(const P of g){const W=y.getCell(P);W&&C.push(W.apiCell)}try{this.q.trace(`NotebookController[${h}] EXECUTE cells`,y.uri.toString(),C.length),await k.controller.executeHandler.call(k.controller,C,y.apiNotebook,k.controller)}catch(P){this.q.error(`NotebookController[${h}] execute cells FAILED`,P),console.error(P)}}async $cancelCells(h,v,g){const k=this.j.get(h);if(!k)return;const y=this.n.getNotebookDocument(p.URI.revive(v));if(k.controller.interruptHandler)await k.controller.interruptHandler.call(k.controller,y.apiNotebook);else for(const C of g){const P=y.getCell(C);P&&this.b.get(P.uri)?.cancel()}if(k.controller.interruptHandler){const C=this.c.get(y.uri);g.length&&Array.isArray(C)&&C.length&&C.forEach(P=>P.dispose())}}async $provideVariables(h,v,g,k,y,C,P){const W=this.j.get(h);if(!W)return;const V=this.n.getNotebookDocument(p.URI.revive(g)),q=W.controller.variableProvider;if(!q)return;let N;if(k!==void 0){if(N=this.s[k],!N)return}else this.s={};const j=y==="named"?m.NotebookVariablesRequestKind.Named:m.NotebookVariablesRequestKind.Indexed,K=q.provideVariables(V.apiNotebook,N,j,C,P);let ie=0;for await(const ce of K){if(P.isCancellationRequested)return;const ye={id:this.r++,name:ce.variable.name,value:ce.variable.value,type:ce.variable.type,interfaces:ce.variable.interfaces,language:ce.variable.language,expression:ce.variable.expression,hasNamedChildren:ce.hasNamedChildren,indexedChildrenCount:ce.indexedChildrenCount,extensionId:W.extensionId.value};if(this.s[ye.id]=ce.variable,this.a.$receiveVariable(v,ye),ie++>=n.$cjb)return}}$acceptKernelMessageFromRenderer(h,v,g){const k=this.j.get(h);if(!k)return;const y=this.n.getEditorById(v);k.onDidReceiveMessage.fire(Object.freeze({editor:y.apiEditor,message:g}))}$cellExecutionChanged(h,v,g){const y=this.n.getNotebookDocument(p.URI.revive(h)).getCell(v);if(y){const C=g?b.NotebookCellExecutionState.to(g):m.NotebookCellExecutionState.Idle;C!==void 0&&this.l.fire({cell:y.apiCell,state:C})}}_createNotebookCellExecution(h,v){if(h.index<0)throw new Error("CANNOT execute cell that has been REMOVED from notebook");const k=this.n.getNotebookDocument(h.notebook.uri).getCellFromApiCell(h);if(!k)throw new Error("invalid cell");if(this.b.has(k.uri))throw new Error(`duplicate execution for ${k.uri}`);const y=new t(v,k,this.a);this.b.set(k.uri,y);const C=y.onDidChangeState(()=>{y.state===l.Resolved&&(y.dispose(),C.dispose(),this.b.delete(k.uri))});return y.asApiObject()}_createNotebookExecution(h,v){const g=this.n.getNotebookDocument(h.uri),k=h.getCells().find(P=>{const W=g.getCellFromApiCell(P);return W&&this.b.has(W.uri)});if(k)throw new Error(`duplicate cell execution for ${k.document.uri}`);if(this.c.has(g.uri))throw new Error(`duplicate notebook execution for ${g.uri}`);const y=new a(v,g,this.a),C=y.onDidChangeState(()=>{y.state===f.Resolved&&(y.dispose(),C.dispose(),this.c.delete(g.uri))});return this.c.set(g.uri,[y,C]),y.asApiObject()}};e.$Lmc=c,e.$Lmc=c=Je([We(4,T.$3j)],c);var l;(function(S){S[S.Init=0]="Init",S[S.Started=1]="Started",S[S.Resolved=2]="Resolved"})(l||(l={}));class t extends A.$Vc{static{this.a=0}get state(){return this.f}constructor(h,v,g){super(),this.m=v,this.n=g,this.b=t.a++,this.c=new M.$ee,this.onDidChangeState=this.c.event,this.f=l.Init,this.g=this.B(new R.$pe),this.h=new $(10,k=>this.s(k)),this.j=v.internalMetadata.executionOrder,this.n.$createExecution(this.b,h,this.m.notebook.uri,this.m.handle)}cancel(){this.g.cancel()}async r(h){await this.h.addItem(h)}async s(h){const v=Array.isArray(h)?h:[h];return this.n.$updateExecution(this.b,new i.$Bw(v))}t(){if(this.f===l.Init)throw new Error("Must call start before modifying cell output");if(this.f===l.Resolved)throw new Error("Cannot modify cell output after calling resolve")}w(h){let v=this.m;if(h&&(v=this.m.notebook.getCellFromApiCell(h)),!v)throw new Error("INVALID cell");return v.handle}y(h){return h.map(v=>{const g=m.$EO.ensureUniqueMimeTypes(v.items,!0);return g===v.items?b.NotebookCellOutput.from(v):b.NotebookCellOutput.from({items:g,id:v.id,metadata:v.metadata})})}async z(h,v,g){const k=this.w(v),y=this.y((0,I.$3b)(h));return this.r({editType:o.CellExecutionUpdateType.Output,cellHandle:k,append:g,outputs:y})}async C(h,v,g){return h=m.$EO.ensureUniqueMimeTypes((0,I.$3b)(h),!0),this.r({editType:o.CellExecutionUpdateType.OutputItems,items:h.map(b.NotebookCellOutputItem.from),outputId:v.id,append:g})}asApiObject(){const h=this;return Object.freeze({get token(){return h.g.token},get cell(){return h.m.apiCell},get executionOrder(){return h.j},set executionOrder(g){h.j=g,h.s([{editType:o.CellExecutionUpdateType.ExecutionState,executionOrder:h.j}])},start(g){if(h.f===l.Resolved||h.f===l.Started)throw new Error("Cannot call start again");h.f=l.Started,h.c.fire(),h.s({editType:o.CellExecutionUpdateType.ExecutionState,runStartTime:g})},end(g,k,y){if(h.f===l.Resolved)throw new Error("Cannot call resolve twice");h.f=l.Resolved,h.c.fire(),h.h.flush();const C=y?{message:y.message,stack:y.stack,location:y?.location?{startLineNumber:y.location.start.line,startColumn:y.location.start.character,endLineNumber:y.location.end.line,endColumn:y.location.end.character}:void 0,uri:y.uri}:void 0;h.n.$completeExecution(h.b,new i.$Bw({runEndTime:k,lastRunSuccess:g,error:C}))},clearOutput(g){return h.t(),h.z([],g,!1)},appendOutput(g,k){return h.t(),h.z(g,k,!0)},replaceOutput(g,k){return h.t(),h.z(g,k,!1)},appendOutputItems(g,k){return h.t(),h.C(g,k,!0)},replaceOutputItems(g,k){return h.t(),h.C(g,k,!1)}})}}var f;(function(S){S[S.Init=0]="Init",S[S.Started=1]="Started",S[S.Resolved=2]="Resolved"})(f||(f={}));class a extends A.$Vc{static{this.a=0}get state(){return this.f}constructor(h,v,g){super(),this.h=v,this.j=g,this.b=a.a++,this.c=new M.$ee,this.onDidChangeState=this.c.event,this.f=f.Init,this.g=this.B(new R.$pe),this.j.$createNotebookExecution(this.b,h,this.h.uri)}cancel(){this.g.cancel()}asApiObject(){return Object.freeze({start:()=>{if(this.f===f.Resolved||this.f===f.Started)throw new Error("Cannot call start again");this.f=f.Started,this.c.fire(),this.j.$beginNotebookExecution(this.b)},end:()=>{if(this.f===f.Resolved)throw new Error("Cannot call resolve twice");this.f=f.Resolved,this.c.fire(),this.j.$completeNotebookExecution(this.b)}})}}class ${constructor(h,v){this.f=h,this.g=v,this.a=[],this.b=Date.now()}addItem(h){return this.a.push(h),this.c||(this.c=new O.$Th,this.b=Date.now(),(0,O.$xh)(this.f).then(()=>this.flush())),Date.now()-this.b>this.f?this.flush():this.c.p}flush(){if(this.a.length===0||!this.c)return Promise.resolve();const h=this.c;this.c=void 0;const v=this.a;return this.a=[],this.g(v).finally(()=>h.complete())}}function u(S,h){return`${S.value}/${h}`}}),define(Ie[53],Pe([1,0,5,4,3,2,17,6,7,180,14,208,24,34,209,36,11,8,32]),function(le,e,I,O,R,M,A,w,p,E,T,D,d,b,m,r,o,s,i){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Zlc=e.$Ylc=e.$Xlc=e.$Wlc=void 0,e.$Wlc=(0,R.$wi)("IExtHostTerminalService");class n extends w.$Vc{constructor(g,k,y,C){super(),this.u=g,this._id=k,this.w=y,this.y=C,this.a=!1,this.m={isInteractedWith:!1},this.isOpen=!1,this.s=this.B(new I.$ee),this.onWillDispose=this.s.event,this.w=Object.freeze(this.w),this.b=new Promise(W=>this.g=W);const P=this;this.value={get name(){return P.y||""},get processId(){return P.b},get creationOptions(){return P.w},get exitStatus(){return P.j},get state(){return P.m},get selection(){return P.n},get shellIntegration(){return P.shellIntegration},sendText(W,V=!0){P.C(),P.u.$sendText(P._id,W,V)},show(W){P.C(),P.u.$show(P._id,W)},hide(){P.C(),P.u.$hide(P._id)},dispose(){P.a||(P.a=!0,P.u.$dispose(P._id))},get dimensions(){if(!(P.f===void 0||P.h===void 0))return{columns:P.f,rows:P.h}}}}dispose(){this.s.fire(),super.dispose()}async create(g,k){if(typeof this._id!="string")throw new Error("Terminal has already been created");await this.u.$createTerminal(this._id,{name:g.name,shellPath:g.shellPath??void 0,shellArgs:g.shellArgs??void 0,cwd:g.cwd??k?.cwd??void 0,env:g.env??void 0,icon:u(g.iconPath)??void 0,color:r.ThemeColor.isThemeColor(g.color)?g.color.id:void 0,initialText:g.message??void 0,strictEnv:g.strictEnv??void 0,hideFromUser:g.hideFromUser??void 0,forceShellIntegration:k?.forceShellIntegration??void 0,isFeatureTerminal:k?.isFeatureTerminal??void 0,isExtensionOwnedTerminal:!0,useShellEnvironment:k?.useShellEnvironment??void 0,location:k?.location||this.z(g.location,k?.resolvedExtHostIdentifier),isTransient:g.isTransient??void 0})}async createExtensionTerminal(g,k,y,C,P){if(typeof this._id!="string")throw new Error("Terminal has already been created");if(await this.u.$createTerminal(this._id,{name:this.y,isExtensionCustomPtyTerminal:!0,icon:C,color:r.ThemeColor.isThemeColor(P)?P.id:void 0,location:k?.location||this.z(g,y),isTransient:!0}),typeof this._id=="string")throw new Error("Terminal creation failed");return this._id}z(g,k){return typeof g=="object"?"parentTerminal"in g&&g.parentTerminal&&k?{parentTerminal:k}:"viewColumn"in g?{viewColumn:s.ViewColumn.from(g.viewColumn),preserveFocus:g.preserveFocus}:void 0:g}C(){if(this.a)throw new Error("Terminal has already been disposed")}set name(g){this.y=g}setExitStatus(g,k){this.j=Object.freeze({code:g,reason:k})}setDimensions(g,k){return g===this.f&&k===this.h||g===0||k===0?!1:(this.f=g,this.h=k,!0)}setInteractedWith(){return this.m.isInteractedWith?!1:(this.m={isInteractedWith:!0},!0)}setSelection(g){this.n=g}_setProcessId(g){this.g?(this.g(g),this.g=void 0):this.b.then(k=>{k!==g&&(this.b=Promise.resolve(g))})}}e.$Xlc=n;class c{get onProcessReady(){return this.b.event}constructor(g){this.g=g,this.id=0,this.shouldPersist=!1,this.a=new I.$ee,this.onProcessData=this.a.event,this.b=new I.$ee,this.d=new I.$ee,this.onDidChangeProperty=this.d.event,this.f=new I.$ee,this.onProcessExit=this.f.event}refreshProperty(g){throw new Error(`refreshProperty is not suppported in extension owned terminals. property: ${g}`)}updateProperty(g,k){throw new Error(`updateProperty is not suppported in extension owned terminals. property: ${g}, value: ${k}`)}async start(){}shutdown(){this.g.close()}input(g){this.g.handleInput?.(g)}resize(g,k){this.g.setDimensions?.({columns:g,rows:k})}clearBuffer(){}async processBinary(g){}acknowledgeDataEvent(g){}async setUnicodeVersion(g){}getInitialCwd(){return Promise.resolve("")}getCwd(){return Promise.resolve("")}startSendingEvents(g){this.g.onDidWrite(k=>this.a.fire(k)),this.g.onDidClose?.((k=void 0)=>{this.f.fire(k===void 0?void 0:k)}),this.g.onDidOverrideDimensions?.(k=>{k&&this.d.fire({type:"overrideDimensions",value:{cols:k.columns,rows:k.rows}})}),this.g.onDidChangeName?.(k=>{this.d.fire({type:"title",value:k})}),this.g.open(g||void 0),g&&this.g.setDimensions?.(g),this.b.fire({pid:-1,cwd:"",windowsPty:void 0})}}let l=1,t=class extends w.$Vc{get activeTerminal(){return this.b?.value}get terminals(){return this.f.map(g=>g.value)}constructor(g,k,y){super(),this.Q=k,this.f=[],this.g=new Map,this.h={},this.j={},this.m={},this.n=new Map,this.w=this.B(new w.$Wc),this.z=new Set,this.C=new Map,this.D=new Map,this.F=new Map,this.G=new Map,this.H=new I.$ee,this.onDidCloseTerminal=this.H.event,this.I=new I.$ee,this.onDidOpenTerminal=this.I.event,this.J=new I.$ee,this.onDidChangeActiveTerminal=this.J.event,this.L=new I.$ee,this.onDidChangeTerminalDimensions=this.L.event,this.M=new I.$ee,this.onDidChangeTerminalState=this.M.event,this.N=new I.$ee,this.onDidChangeShell=this.N.event,this.O=new I.$ee({onWillAddFirstListener:()=>this.a.$startSendingDataEvents(),onDidRemoveLastListener:()=>this.a.$stopSendingDataEvents()}),this.onDidWriteTerminalData=this.O.event,this.P=new I.$ee({onWillAddFirstListener:()=>this.a.$startSendingCommandEvents(),onDidRemoveLastListener:()=>this.a.$stopSendingCommandEvents()}),this.onDidExecuteTerminalCommand=this.P.event,this.a=y.getProxy(O.$9M.MainThreadTerminalService),this.y=new m.$Jvb(this.a.$sendProcessData),this.a.$registerProcessSupport(g),this.Q.registerArgumentProcessor({processArgument:C=>{const P=W=>{const V=W;return this.getTerminalById(V.instanceId)?.value};switch(C?.$mid){case 15:return P(C);default:{if(Array.isArray(C))for(let W=0;W<C.length&&C[W].$mid===15;W++)C[W]=P(C[W]);return C}}}}),this.B({dispose:()=>{for(const[C,P]of this.g)P.shutdown(!0)}})}getDefaultShell(g){return(g?this.u:this.s)?.path||""}getDefaultShellArgs(g){return(g?this.u:this.s)?.args||[]}createExtensionTerminal(g,k){const y=new n(this.a,(0,b.$Sg)(),g,g.name),C=new c(g.pty);return y.createExtensionTerminal(g.location,k,this.R(g,k).resolvedExtHostIdentifier,u(g.iconPath),S(g.color)).then(P=>{const W=this.S(P,C);this.h[P]=W}),this.f.push(y),y.value}R(g,k){if(k=k||{},g.location&&typeof g.location=="object"&&"parentTerminal"in g.location){const y=g.location.parentTerminal;if(y){const C=this.f.find(P=>P.value===y);C&&(k.resolvedExtHostIdentifier=C._id)}}else g.location&&typeof g.location!="object"?k.location=g.location:k.location&&typeof k.location=="object"&&"splitActiveTerminal"in k.location&&(k.location={splitActiveTerminal:!0});return k}attachPtyToTerminal(g,k){if(!this.getTerminalById(g))throw new Error(`Cannot resolve terminal with id ${g} for virtual process`);const C=new c(k),P=this.S(g,C);this.h[g]=P}async $acceptActiveTerminalChanged(g){const k=this.b;if(g===null){this.b=void 0,k!==this.b&&this.J.fire(this.b);return}const y=this.getTerminalById(g);y&&(this.b=y,k!==this.b&&this.J.fire(this.b.value))}async $acceptTerminalProcessData(g,k){const y=this.getTerminalById(g);y&&this.O.fire({terminal:y.value,data:k})}async $acceptTerminalDimensions(g,k,y){const C=this.getTerminalById(g);C&&C.setDimensions(k,y)&&this.L.fire({terminal:C.value,dimensions:C.value.dimensions})}async $acceptDidExecuteCommand(g,k){const y=this.getTerminalById(g);y&&this.P.fire({terminal:y.value,...k})}async $acceptTerminalMaximumDimensions(g,k,y){this.g.get(g)?.resize(k,y)}async $acceptTerminalTitleChange(g,k){const y=this.getTerminalById(g);y&&(y.name=k)}async $acceptTerminalClosed(g,k,y){const C=this.X(this.f,g);if(C!==null){const P=this.f.splice(C,1)[0];P.setExitStatus(k,y),this.H.fire(P.value)}}$acceptTerminalOpened(g,k,y,C){if(k){const V=this.X(this.f,k);if(V!==null){this.f[V]._id=g,this.I.fire(this.terminals[V]),this.f[V].isOpen=!0;return}}const P={name:C.name,shellPath:C.executable,shellArgs:C.args,cwd:typeof C.cwd=="string"?C.cwd:M.URI.revive(C.cwd),env:C.env,hideFromUser:C.hideFromUser},W=new n(this.a,g,P,y);this.f.push(W),this.I.fire(W.value),W.isOpen=!0}async $acceptTerminalProcessId(g,k){this.getTerminalById(g)?._setProcessId(k)}async $startExtensionTerminal(g,k){const y=this.getTerminalById(g);if(!y)return{message:(0,E.localize)(0,null,g)};y.isOpen||await new Promise(P=>{const W=this.onDidOpenTerminal(async V=>{V===y.value&&(W.dispose(),P())})});const C=this.g.get(g);C?C.startSendingEvents(k):this.j[g]={initialDimensions:k}}S(g,k){const y=new w.$Uc;y.add(k.onProcessReady(P=>this.a.$sendProcessReady(g,P.pid,P.cwd,P.windowsPty))),y.add(k.onDidChangeProperty(P=>this.a.$sendProcessProperty(g,P))),this.y.startBuffering(g,k.onProcessData),y.add(k.onProcessExit(P=>this.U(g,P))),this.g.set(g,k);const C=this.j[g];return C&&k instanceof c&&(k.startSendingEvents(C.initialDimensions),delete this.j[g]),y}$acceptProcessAckDataEvent(g,k){this.g.get(g)?.acknowledgeDataEvent(k)}$acceptProcessInput(g,k){this.g.get(g)?.input(k)}$acceptTerminalInteraction(g){const k=this.getTerminalById(g);k?.setInteractedWith()&&this.M.fire(k.value)}$acceptTerminalSelection(g,k){this.getTerminalById(g)?.setSelection(k)}$acceptProcessResize(g,k,y){try{this.g.get(g)?.resize(k,y)}catch(C){if(C.code!=="EPIPE"&&C.code!=="ERR_IPC_CHANNEL_CLOSED")throw C}}$acceptProcessShutdown(g,k){this.g.get(g)?.shutdown(k)}$acceptProcessRequestInitialCwd(g){this.g.get(g)?.getInitialCwd().then(k=>this.a.$sendProcessProperty(g,{type:"initialCwd",value:k}))}$acceptProcessRequestCwd(g){this.g.get(g)?.getCwd().then(k=>this.a.$sendProcessProperty(g,{type:"cwd",value:k}))}$acceptProcessRequestLatency(g){return Promise.resolve(g)}registerLinkProvider(g){return this.z.add(g),this.z.size===1&&this.a.$startLinkProvider(),new p.$$M(()=>{this.z.delete(g),this.z.size===0&&this.a.$stopLinkProvider()})}registerProfileProvider(g,k,y){if(this.C.has(k))throw new Error(`Terminal profile provider "${k}" already registered`);return this.C.set(k,y),this.a.$registerProfileProvider(k,g.identifier.value),new p.$$M(()=>{this.C.delete(k),this.a.$unregisterProfileProvider(k)})}registerTerminalQuickFixProvider(g,k,y){if(this.D.has(g))throw new Error(`Terminal quick fix provider "${g}" is already registered`);return this.D.set(g,y),this.a.$registerQuickFixProvider(g,k),new p.$$M(()=>{this.D.delete(g),this.a.$unregisterQuickFixProvider(g)})}async $provideTerminalQuickFixes(g,k){const y=new d.$pe().token;if(y.isCancellationRequested)return;const C=this.D.get(g);if(!C)return;const P=await C.provideTerminalQuickFixes(k,y);if(P===null||Array.isArray(P)&&P.length===0)return;const W=new w.$Uc;if(this.w.value=W,!Array.isArray(P))return P?s.TerminalQuickFix.from(P,this.Q.converter,W):void 0;const V=[];for(const q of P){const N=s.TerminalQuickFix.from(q,this.Q.converter,W);N&&V.push(N)}return V}async $createContributedProfileTerminal(g,k){const y=new d.$pe().token;let C=await this.C.get(g)?.provideTerminalProfile(y);if(!y.isCancellationRequested){if(C&&!("options"in C)&&(C={options:C}),!C||!("options"in C))throw new Error(`No terminal profile options provided for id "${g}"`);if("pty"in C.options){this.createExtensionTerminal(C.options,k);return}this.createTerminalFromOptions(C.options,k)}}async $provideLinks(g,k){const y=this.getTerminalById(g);if(!y)return[];this.F.delete(g),this.G.get(g)?.dispose(!0);const P=new d.$pe;this.G.set(g,P);const W=[],V={terminal:y.value,line:k},q=[];for(const K of this.z)q.push(o.Promises.withAsyncBody(async ie=>{P.token.onCancellationRequested(()=>ie({provider:K,links:[]}));const ce=await K.provideTerminalLinks(V,P.token)||[];P.token.isCancellationRequested||ie({provider:K,links:ce})}));const N=await Promise.all(q);if(P.token.isCancellationRequested)return[];const j=new Map;for(const K of N)K&&K.links.length>0&&W.push(...K.links.map(ie=>{const ce={id:l++,startIndex:ie.startIndex,length:ie.length,label:ie.tooltip};return j.set(ce.id,{provider:K.provider,link:ie}),ce}));return this.F.set(g,j),W}$activateLink(g,k){const y=this.F.get(g)?.get(k);y&&y.provider.handleTerminalLink(y.link)}U(g,k){this.y.stopBuffering(g),this.g.delete(g),delete this.j[g];const y=this.h[g];y&&(y.dispose(),delete this.h[g]),this.a.$sendProcessExit(g,k)}getTerminalById(g){return this.W(this.f,g)}getTerminalIdByApiObject(g){const k=this.f.findIndex(y=>y.value===g);return k>=0?k:null}W(g,k){const y=this.X(g,k);return y!==null?g[y]:null}X(g,k){const y=g.findIndex(C=>C._id===k);return y>=0?y:null}getEnvironmentVariableCollection(g){let k=this.n.get(g.identifier.value);return k||(k=new f,this.Z(g.identifier.value,k)),k.getScopedEnvironmentVariableCollection(void 0)}Y(g,k){const y=(0,D.$ls)(k.map),C=(0,D.$ms)(k.descriptionMap);this.a.$setEnvironmentVariableCollection(g,k.persistent,y.length===0?void 0:y,C)}$initEnvironmentVariableCollections(g){g.forEach(k=>{const y=k[0],C=new f(k[1]);this.Z(y,C)})}$acceptDefaultProfile(g,k){const y=this.s;this.s=g,this.u=k,y?.path!==g.path&&this.N.fire(g.path)}Z(g,k){this.n.set(g,k),k.onDidChangeCollection(()=>{this.Y(g,k)})}};e.$Ylc=t,e.$Ylc=t=Je([We(1,i.$SP),We(2,A.$wP)],t);class f{get persistent(){return this.b}set persistent(g){this.b=g,this.d.fire()}get onDidChangeCollection(){return this.d&&this.d.event}constructor(g){this.map=new Map,this.a=new Map,this.descriptionMap=new Map,this.b=!0,this.d=new I.$ee,this.map=new Map(g)}getScopedEnvironmentVariableCollection(g){const k=this.h(g);let y=this.a.get(k);return y||(y=new a(this,g),this.a.set(k,y),y.onDidChangeCollection(()=>this.d.fire())),y}replace(g,k,y,C){this.f(g,{value:k,type:p.EnvironmentVariableMutatorType.Replace,options:y??{applyAtProcessCreation:!0},scope:C})}append(g,k,y,C){this.f(g,{value:k,type:p.EnvironmentVariableMutatorType.Append,options:y??{applyAtProcessCreation:!0},scope:C})}prepend(g,k,y,C){this.f(g,{value:k,type:p.EnvironmentVariableMutatorType.Prepend,options:y??{applyAtProcessCreation:!0},scope:C})}f(g,k){if(k.options&&k.options.applyAtProcessCreation===!1&&!k.options.applyAtShellIntegration)throw new Error("EnvironmentVariableMutatorOptions must apply at either process creation or shell integration");const y=this.g(g,k.scope),C=this.map.get(y),P=k.options?{applyAtProcessCreation:k.options.applyAtProcessCreation??!1,applyAtShellIntegration:k.options.applyAtShellIntegration??!1}:{applyAtProcessCreation:!0};if(!C||C.value!==k.value||C.type!==k.type||C.options?.applyAtProcessCreation!==P.applyAtProcessCreation||C.options?.applyAtShellIntegration!==P.applyAtShellIntegration||C.scope?.workspaceFolder?.index!==k.scope?.workspaceFolder?.index){const W=this.g(g,k.scope),V={variable:g,...k,options:P};this.map.set(W,V),this.d.fire()}}get(g,k){const y=this.g(g,k),C=this.map.get(y);return C?h(C):void 0}g(g,k){const y=this.h(k);return y.length?`${g}:::${y}`:g}h(g){return this.j(g?.workspaceFolder)??""}j(g){return g?g.uri.toString():void 0}getVariableMap(g){const k=new Map;for(const[y,C]of this.map)this.h(C.scope)===this.h(g)&&k.set(C.variable,h(C));return k}delete(g,k){const y=this.g(g,k);this.map.delete(y),this.d.fire()}clear(g){if(g?.workspaceFolder){for(const[k,y]of this.map)y.scope?.workspaceFolder?.index===g.workspaceFolder.index&&this.map.delete(k);this.k(g)}else this.map.clear(),this.descriptionMap.clear();this.d.fire()}setDescription(g,k){const y=this.h(k),C=this.descriptionMap.get(y);if(!C||C.description!==g){let P;typeof g=="string"?P=g:P=g?.value.split(`

`)[0];const W={description:P,scope:k};this.descriptionMap.set(y,W),this.d.fire()}}getDescription(g){const k=this.h(g);return this.descriptionMap.get(k)?.description}k(g){const k=this.h(g);this.descriptionMap.delete(k)}}class a{get persistent(){return this.b.persistent}set persistent(g){this.b.persistent=g}get onDidChangeCollection(){return this.a&&this.a.event}constructor(g,k){this.b=g,this.d=k,this.a=new I.$ee}getScoped(g){return this.b.getScopedEnvironmentVariableCollection(g)}replace(g,k,y){this.b.replace(g,k,y,this.d)}append(g,k,y){this.b.append(g,k,y,this.d)}prepend(g,k,y){this.b.prepend(g,k,y,this.d)}get(g){return this.b.get(g,this.d)}forEach(g,k){this.b.getVariableMap(this.d).forEach((y,C)=>g.call(k,C,y,this),this.d)}[Symbol.iterator](){return this.b.getVariableMap(this.d).entries()}delete(g){this.b.delete(g,this.d),this.a.fire(void 0)}clear(){this.b.clear(this.d)}set description(g){this.b.setDescription(g,this.d)}get description(){return this.b.getDescription(this.d)}}let $=class extends t{constructor(g,k){super(!1,g,k)}createTerminal(g,k,y){throw new T.$_}createTerminalFromOptions(g,k){throw new T.$_}};e.$Zlc=$,e.$Zlc=$=Je([We(0,i.$SP),We(1,A.$wP)],$);function u(v){if(!(!v||typeof v=="string"))return"id"in v?{id:v.id,color:v.color}:v}function S(v){return r.ThemeColor.isThemeColor(v)?v:void 0}function h(v){const g={...v};return delete g.scope,g.options=g.options??void 0,delete g.variable,g}}),define(Ie[116],Pe([1,0,7,6,3,4,17,53,5,2,11]),function(le,e,I,O,R,M,A,w,p,E,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$5mc=e.$4mc=void 0,e.$4mc=(0,R.$wi)("IExtHostTerminalShellIntegration");let D=class extends O.$Vc{constructor(o,s){super(),this.h=s,this.b=new Map,this.c=new p.$ee,this.onDidChangeTerminalShellIntegration=this.c.event,this.f=new p.$ee,this.onDidStartTerminalShellExecution=this.f.event,this.g=new p.$ee,this.onDidEndTerminalShellExecution=this.g.event,this.a=o.getProxy(M.$9M.MainThreadTerminalShellIntegration),this.B((0,O.$Tc)(()=>{for(const[i,n]of this.b)n.dispose();this.b.clear()}))}$shellIntegrationChange(o){const s=this.h.getTerminalById(o);if(!s)return;const i=s.value;let n=this.b.get(o);n||(n=new d(s.value,this.f),this.b.set(o,n),n.store.add(s.onWillDispose(()=>this.b.get(o)?.dispose())),n.store.add(n.onDidRequestShellExecution(c=>this.a.$executeCommand(o,c))),n.store.add(n.onDidRequestEndExecution(c=>this.g.fire(c))),n.store.add(n.onDidRequestChangeShellIntegration(c=>this.c.fire(c))),s.shellIntegration=n.value),this.c.fire({terminal:i,shellIntegration:n.value})}$shellExecutionStart(o,s,i,n,c){this.b.has(o)||this.$shellIntegrationChange(o);const l={value:s,confidence:i,isTrusted:n};this.b.get(o)?.startShellExecution(l,c)}$shellExecutionEnd(o,s,i,n,c){const l={value:s,confidence:i,isTrusted:n};this.b.get(o)?.endShellExecution(l,c)}$shellExecutionData(o,s){this.b.get(o)?.emitData(s)}$cwdChange(o,s){this.b.get(o)?.setCwd((0,E.$wc)(s)?E.URI.revive(s):s)}$closeTerminal(o){this.b.get(o)?.dispose(),this.b.delete(o)}};e.$5mc=D,e.$5mc=D=Je([We(0,A.$wP),We(1,w.$Wlc)],D);class d extends O.$Vc{get currentExecution(){return this.a}constructor(o,s){super(),this.j=o,this.m=s,this.b=!1,this.store=this.B(new O.$Uc),this.f=this.B(new p.$ee),this.onDidRequestChangeShellIntegration=this.f.event,this.g=this.B(new p.$ee),this.onDidRequestShellExecution=this.g.event,this.h=this.B(new p.$ee),this.onDidRequestEndExecution=this.h.event;const i=this;this.value={get cwd(){return i.c},executeCommand(n,c){let l=n;c&&(l+=` "${c.map(a=>`${a.replaceAll('"','\\"')}`).join('" "')}"`),i.g.fire(l);const t={value:l,confidence:I.TerminalShellExecutionCommandLineConfidence.High,isTrusted:!0},f=i.startShellExecution(t,i.c,!0).value;return i.b=!0,f}}}startShellExecution(o,s,i){if(this.b&&this.a)this.b=!1;else{this.a&&(this.a.endExecution(void 0),this.h.fire({terminal:this.j,shellIntegration:this.value,execution:this.a.value,exitCode:void 0}));const n=this.a=new b(o,s);i?queueMicrotask(()=>this.m.fire({terminal:this.j,shellIntegration:this.value,execution:n.value})):this.m.fire({terminal:this.j,shellIntegration:this.value,execution:this.a.value})}return this.a}emitData(o){this.currentExecution?.emitData(o)}endShellExecution(o,s){this.a&&(this.a.endExecution(o),this.h.fire({terminal:this.j,shellIntegration:this.value,execution:this.a.value,exitCode:s}),this.a=void 0)}setCwd(o){let s=!1;E.URI.isUri(this.c)?s=!E.URI.isUri(o)||this.c.toString()!==o.toString():this.c!==o&&(s=!0),s&&(this.c=o,this.f.fire({terminal:this.j,shellIntegration:this.value}))}}class b{constructor(o,s){this.c=o,this.cwd=s,this.b=!1;const i=this;this.value={get commandLine(){return i.c},get cwd(){return i.cwd},read(){return i.d()}}}d(){if(!this.a){if(this.b)return T.$Wh.EMPTY;this.a=new m}return this.a.createIterable()}emitData(o){this.a?.emitData(o)}endExecution(o){o&&(this.c=o),this.a?.endExecution(),this.a=void 0,this.b=!0}}class m extends O.$Vc{constructor(){super(...arguments),this.b=[]}createIterable(){this.a||(this.a=new T.$vh);const o=this.a;return new T.$Wh(async i=>{this.b.push(i),await o.wait()})}emitData(o){for(const s of this.b)s.emitOne(o)}endExecution(){this.a?.open(),this.a=void 0}}}),define(Ie[289],Pe([1,0,11,21,24,5,261,73,6,15,34,12,4,17,115,8,7,52,77,62]),function(le,e,I,O,R,M,A,w,p,E,T,D,d,b,m,r,o,s,i,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$9mc=e.$8mc=e.$7mc=e.$6mc=void 0;let c=class extends p.$Vc{constructor(P,W,V,q){super(),this.w=q,this.f=this.B(new M.$ee),this.g=new Map,this.s=this.B(new M.$ee),this.onResultsChanged=this.f.event,this.results=[],this.h=P.getProxy(d.$9M.MainThreadTesting),this.m=new v(this.h),this.j=new a(this.h,W),V.registerArgumentProcessor({processArgument:N=>{switch(N?.$mid){case 16:{const j=N,K=j.tests[j.tests.length-1].item.extId;return this.g.get(s.$UL.root(K))?.collection.tree.get(K)?.actual??(0,m.$IP)(N)}case 18:{const{test:j,message:K}=N,ie=j.item.extId;return{test:this.g.get(s.$UL.root(ie))?.collection.tree.get(ie)?.actual??(0,m.$IP)({$mid:16,tests:[j]}),message:r.TestMessage.to(K)}}default:return N}}}),V.registerCommand(!1,"testing.getExplorerSelection",async()=>{const N=await V.executeCommand("_testing.getExplorerSelection"),j=K=>{const ie=this.g.get(s.$UL.root(K));if(ie)return s.$UL.isRoot(K)?ie.controller:ie.collection.tree.get(K)?.actual};return{include:N?.include.map(j).filter(E.$eg)||[],exclude:N?.exclude.map(j).filter(E.$eg)||[]}})}createTestController(P,W,V,q){if(this.g.has(W))throw new Error(`Attempt to insert a duplicate controller with ID "${W}"`);const N=new p.$Uc,j=N.add(new m.$LP(W,V,this.w));j.root.label=V;const K=new Map,ie=new Set,ce=this.h,ye={items:j.root.children,get label(){return V},set label(fe){V=fe,j.root.label=fe,ce.$updateController(W,{label:V})},get refreshHandler(){return q},set refreshHandler(fe){q=fe,ce.$updateController(W,{canRefresh:!!fe})},get id(){return W},createRunProfile:(fe,$e,Te,ae,Ne,ne)=>{let z=(0,w.$kj)(fe);for(;K.has(z);)z++;return new k(this.h,K,ie,this.s.event,W,z,fe,$e,Te,ae,Ne,ne)},createTestItem(fe,$e,Te){return new m.$JP(W,fe,$e,Te)},createTestRun:(fe,$e,Te=!0)=>this.j.createTestRun(W,j,fe,$e,Te),invalidateTestResults:fe=>{if(fe===void 0)this.h.$markTestRetired(void 0);else{const $e=fe instanceof Array?fe:[fe];this.h.$markTestRetired($e.map(Te=>s.$UL.fromExtHostTestItem(Te,W).toString()))}},set resolveHandler(fe){j.resolveHandler=fe},get resolveHandler(){return j.resolveHandler},dispose:()=>{N.dispose()}};ce.$registerTestController(W,V,!!q),N.add((0,p.$Tc)(()=>ce.$unregisterTestController(W)));const Se={controller:ye,collection:j,profiles:K,extension:P,activeProfiles:ie};return this.g.set(W,Se),N.add((0,p.$Tc)(()=>this.g.delete(W))),N.add(j.onDidGenerateDiff(fe=>ce.$publishDiff(W,fe.map(n.TestsDiffOp.serialize)))),ye}createTestObserver(){return this.m.checkout()}async runTests(P,W=R.CancellationToken.None){const V=$(P);if(!V)throw new Error("The request passed to `vscode.test.runTests` must include a profile");const q=this.g.get(V.controllerId);if(!q)throw new Error("Controller not found");await this.h.$runTests({preserveFocus:P.preserveFocus??!0,targets:[{testIds:P.include?.map(N=>s.$UL.fromExtHostTestItem(N,q.collection.root.id).toString())??[q.collection.root.id],profileGroup:y[V.kind],profileId:V.profileId,controllerId:V.controllerId}],exclude:P.exclude?.map(N=>N.id)},W)}$syncTests(){for(const{collection:P}of this.g.values())P.flushDiff();return Promise.resolve()}async $getCoverageDetails(P,W){return(await this.j.getCoverageDetails(P,W))?.map(r.TestCoverage.fromDetails)}async $disposeRun(P){this.j.disposeTestRun(P)}$configureRunProfile(P,W){this.g.get(P)?.profiles.get(W)?.configureHandler?.()}$setDefaultRunProfiles(P){const W=new Map;for(const[V,q]of Object.entries(P)){const N=this.g.get(V);if(!N)continue;const j=new Map,K=q.filter(ce=>!N.activeProfiles.has(ce)),ie=[...N.activeProfiles].filter(ce=>!q.includes(ce));for(const ce of K)j.set(ce,!0),N.activeProfiles.add(ce);for(const ce of ie)j.set(ce,!1),N.activeProfiles.delete(ce);j.size&&W.set(V,j)}this.s.fire(W)}async $refreshTests(P,W){await this.g.get(P)?.controller.refreshHandler?.(W)}$publishTestResults(P){this.results=Object.freeze(P.map(r.TestResults.to).concat(this.results).sort((W,V)=>V.completedAt-W.completedAt).slice(0,32)),this.f.fire()}async $expandTest(P,W){const V=this.g.get(s.$UL.fromString(P).controllerId)?.collection;V&&(await V.expand(P,W<0?1/0:W),V.flushDiff())}$acceptDiff(P){this.m.applyDiff(P.map(W=>n.TestsDiffOp.deserialize({asCanonicalUri:V=>V},W)))}async $runControllerTests(P,W){return Promise.all(P.map(V=>this.y(V,!1,W)))}async $startContinuousRun(P,W){const V=new R.$pe(W),q=await Promise.all(P.map(N=>this.y(N,!0,V.token)));return!W.isCancellationRequested&&!q.some(N=>N.error)&&await new Promise(N=>W.onCancellationRequested(N)),V.dispose(!0),q}async y(P,W,V){const q=this.g.get(P.controllerId);if(!q)return{};const{collection:N,profiles:j}=q,K=j.get(P.profileId);if(!K)return{};const ie=P.testIds.map(fe=>N.tree.get(fe)).filter(E.$eg),ce=P.excludeExtIds.map(fe=>q.collection.tree.get(fe)).filter(E.$eg).filter(fe=>ie.some($e=>$e.fullId.compare(fe.fullId)===2));if(!ie.length)return{};const ye=new o.$LO(ie.some(fe=>fe.actual instanceof m.$KP)?void 0:ie.map(fe=>fe.actual),ce.map(fe=>fe.actual),K,W),Se=(0,n.$XL)(P)&&this.j.prepareForMainThreadTestRun(ye,u.fromInternal(P,q.collection),K,V);try{return await K.runHandler(ye,V),{}}catch(fe){return{error:String(fe)}}finally{Se&&Se.hasRunningTasks&&!V.isCancellationRequested&&await M.Event.toPromise(Se.onEnd)}}$cancelExtensionTestRun(P){P===void 0?this.j.cancelAllRuns():this.j.cancelRunById(P)}};e.$6mc=c,e.$6mc=c=Je([We(0,b.$wP),We(1,D.$3j)],c);const l=1e4;var t;(function(C){C[C.Running=0]="Running",C[C.Cancelling=1]="Cancelling",C[C.Ended=2]="Ended"})(t||(t={}));class f extends p.$Vc{get hasRunningTasks(){return this.f>0}get id(){return this.y.id}constructor(P,W,V,q,N){super(),this.y=P,this.z=W,this.C=V,this.D=q,this.c=0,this.f=0,this.g=new Map,this.h=new Set,this.m=this.B(new M.$ee),this.w=new Map,this.onEnd=this.m.event,this.j=this.B(new R.$pe(N));const j=this.B(new I.$Ih(()=>this.F(),l));this.B(this.j.token.onCancellationRequested(()=>j.schedule()));const K=new M.$ee;this.s=K.event,this.B((0,p.$Tc)(()=>{K.fire(),K.dispose()}))}cancel(){this.c===0?(this.j.cancel(),this.c=1):this.c===1&&this.F()}getCoverageDetails(P,W){const[,V,q]=s.$UL.fromString(P).path,N=this.w.get(q);if(!N)return[];const j=this.g.get(V);if(!j)throw new Error("unreachable: run task was not found");return this.D?.loadDetailedCoverage?.(j.run,N,W)??[]}createRun(P){const W=this.y.id,V=this.y.controllerId,q=(0,T.$Sg)(),N=ce=>(ye,...Se)=>{if(K){this.C.warn(`Setting the state of test "${ye.id}" is a no-op after the run ends.`);return}this.y.isIncluded(ye)&&(this.H(ye),ce(ye,...Se))},j=(ce,ye)=>{const Se=ye instanceof Array?ye.map(r.TestMessage.from):[r.TestMessage.from(ye)];if(ce.uri&&ce.range){const fe={range:r.Range.from(ce.range),uri:ce.uri};for(const $e of Se)$e.location=$e.location||fe}this.z.$appendTestMessagesInRun(W,q,s.$UL.fromExtHostTestItem(ce,V).toString(),Se)};let K=!1;const ie={isPersisted:this.y.isPersisted,token:this.j.token,name:P,onDidDispose:this.s,addCoverage:ce=>{const ye=ce.uri.toString(),Se=new s.$UL([W,q,ye]).toString();this.w.set(ye,ce),this.z.$appendCoverage(W,q,r.TestCoverage.fromFile(Se,ce))},enqueued:N(ce=>{this.z.$updateTestStateInRun(W,q,s.$UL.fromExtHostTestItem(ce,V).toString(),1)}),skipped:N(ce=>{this.z.$updateTestStateInRun(W,q,s.$UL.fromExtHostTestItem(ce,V).toString(),5)}),started:N(ce=>{this.z.$updateTestStateInRun(W,q,s.$UL.fromExtHostTestItem(ce,V).toString(),2)}),errored:N((ce,ye,Se)=>{j(ce,ye),this.z.$updateTestStateInRun(W,q,s.$UL.fromExtHostTestItem(ce,V).toString(),6,Se)}),failed:N((ce,ye,Se)=>{j(ce,ye),this.z.$updateTestStateInRun(W,q,s.$UL.fromExtHostTestItem(ce,V).toString(),4,Se)}),passed:N((ce,ye)=>{this.z.$updateTestStateInRun(W,q,s.$UL.fromExtHostTestItem(ce,this.y.controllerId).toString(),3,ye)}),appendOutput:(ce,ye,Se)=>{K||(Se&&(this.y.isIncluded(Se)?this.H(Se):Se=void 0),this.z.$appendOutputToRun(W,q,O.$Ge.fromString(ce),ye&&r.location.from(ye),Se&&s.$UL.fromExtHostTestItem(Se,V).toString()))},end:()=>{K||(K=!0,this.z.$finishedTestRunTask(W,q),--this.f||this.G())}};return this.f++,this.g.set(q,{run:ie}),this.z.$startedTestRunTask(W,{id:q,name:P,running:!0}),ie}F(){for(const{run:P}of this.g.values())P.end()}G(){this.c!==2&&(this.c=2,this.m.fire())}H(P){if(!(P instanceof m.$JP))throw new i.$oP(P.id);if(this.h.has(s.$UL.fromExtHostTestItem(P,this.y.controllerId).toString()))return;const W=[],V=this.y.colllection.root;for(;;){const q=r.TestItem.from(P);if(W.unshift(q),this.h.has(q.extId)||(this.h.add(q.extId),P===V))break;P=P.parent||V}this.z.$addTestsToRun(this.y.controllerId,this.y.id,W)}dispose(){this.G(),super.dispose()}}class a{get trackers(){return this.c.values()}constructor(P,W){this.g=P,this.h=W,this.c=new Map,this.f=new Map}getCoverageDetails(P,W){const V=s.$UL.root(P);return this.f.get(V)?.getCoverageDetails(P,W)||[]}disposeTestRun(P){this.f.get(P)?.dispose(),this.f.delete(P);for(const[W,{id:V}]of this.c)V===P&&this.c.delete(W)}prepareForMainThreadTestRun(P,W,V,q){return this.j(P,W,V,q)}cancelRunById(P){this.f.get(P)?.cancel()}cancelAllRuns(){for(const P of this.c.values())P.cancel()}createTestRun(P,W,V,q,N){const j=this.c.get(V);if(j)return j.createRun(q);const K=u.fromPublic(P,W,V,N),ie=$(V);this.g.$startedExtensionTestRun({controllerId:P,continuous:!!V.continuous,profile:ie&&{group:y[ie.kind],id:ie.profileId},exclude:V.exclude?.map(ye=>s.$UL.fromExtHostTestItem(ye,W.root.id).toString())??[],id:K.id,include:V.include?.map(ye=>s.$UL.fromExtHostTestItem(ye,W.root.id).toString())??[W.root.id],preserveFocus:V.preserveFocus??!0,persist:N});const ce=this.j(V,K,V.profile);return M.Event.once(ce.onEnd)(()=>{this.g.$finishedExtensionTestRun(K.id)}),ce.createRun(q)}j(P,W,V,q){const N=new f(W,this.g,this.h,V,q);return this.c.set(P,N),this.f.set(N.id,N),N}}e.$7mc=a;const $=C=>{if(C.profile){if(!(C.profile instanceof k))throw new Error("TestRunRequest.profile is not an instance created from TestController.createRunProfile");return C.profile}};class u{static fromPublic(P,W,V,q){return new u(P,(0,T.$Sg)(),V.include?.map(N=>s.$UL.fromExtHostTestItem(N,P).toString())??[P],V.exclude?.map(N=>s.$UL.fromExtHostTestItem(N,P).toString())??[],q,W)}static fromInternal(P,W){return new u(P.controllerId,P.runId,P.testIds,P.excludeExtIds,!0,W)}constructor(P,W,V,q,N,j){this.controllerId=P,this.id=W,this.isPersisted=N,this.colllection=j,this.c=V.map(K=>K+"\0"),this.f=q.map(K=>K+"\0")}isIncluded(P){const W=s.$UL.fromExtHostTestItem(P,this.controllerId).toString()+"\0";for(const V of this.f)if(W===V||W.startsWith(V))return!1;for(const V of this.c)if(W===V||W.startsWith(V))return!0;return!1}}e.$8mc=u;class S{get isEmpty(){return this.c.size===0&&this.g.size===0&&this.f.size===0}constructor(P){this.j=P,this.c=new Set,this.f=new Set,this.g=new Set,this.h=new Set}add(P){this.c.add(P)}update(P){Object.assign(P.revived,r.TestItem.toPlain(P.item)),this.c.has(P)||this.f.add(P)}remove(P){if(this.c.has(P)){this.c.delete(P);return}this.f.delete(P);const W=s.$UL.parentId(P.item.extId);if(W&&this.h.has(W.toString())){this.h.add(P.item.extId);return}this.g.add(P)}getChangeEvent(){const{c:P,f:W,g:V}=this;return{get added(){return[...P].map(q=>q.revived)},get updated(){return[...W].map(q=>q.revived)},get removed(){return[...V].map(q=>q.revived)}}}complete(){this.isEmpty||this.j.fire(this.getChangeEvent())}}class h extends n.$4L{constructor(){super(...arguments),this.s=new M.$ee,this.onDidChangeTests=this.s.event}get rootTests(){return this.g}getMirroredTestDataById(P){return this.f.get(P)}getMirroredTestDataByReference(P){return this.f.get(P.id)}w(P,W){return{...P,revived:r.TestItem.toPlain(P.item),depth:W?W.depth+1:0,children:new Set}}v(){return new S(this.s)}}class v{constructor(P){this.f=P}checkout(){this.c||(this.c=this.g());const P=this.c;return P.observers++,{onDidChangeTest:P.tests.onDidChangeTests,get tests(){return[...P.tests.rootTests].map(W=>W.revived)},dispose:(0,A.$db)(()=>{--P.observers===0&&(this.f.$unsubscribeFromDiffs(),this.c=void 0)})}}getMirroredTestDataByReference(P){return this.c?.tests.getMirroredTestDataByReference(P)}applyDiff(P){this.c?.tests.apply(P)}g(){const P=new h({asCanonicalUri:W=>W});return this.f.$subscribeToDiffs(),{observers:0,tests:P}}}const g=(C,P,W,V)=>{W?Object.assign(W,V):P.$updateTestRunConfig(C.controllerId,C.profileId,V)};class k{#e;#t;#i;#n;#s;get label(){return this.f}set label(P){P!==this.f&&(this.f=P,g(this,this.#e,this.#n,{label:P}))}get supportsContinuousRun(){return this.g}set supportsContinuousRun(P){P!==this.g&&(this.g=P,g(this,this.#e,this.#n,{supportsContinuousRun:P}))}get isDefault(){return this.#t.has(this.profileId)}set isDefault(P){P!==this.isDefault&&(P?this.#t.add(this.profileId):this.#t.delete(this.profileId),g(this,this.#e,this.#n,{isDefault:P}))}get tag(){return this._tag}set tag(P){P?.id!==this._tag?.id&&(this._tag=P,g(this,this.#e,this.#n,{tag:P?r.TestTag.namespace(this.controllerId,P.id):null}))}get configureHandler(){return this.c}set configureHandler(P){P!==this.c&&(this.c=P,g(this,this.#e,this.#n,{hasConfigurationHandler:!!P}))}get onDidChangeDefault(){return M.Event.chain(this.#i,P=>P.map(W=>W.get(this.controllerId)?.get(this.profileId)).filter(E.$eg))}constructor(P,W,V,q,N,j,K,ie,ce,ye=!1,Se=void 0,fe=!1){this.controllerId=N,this.profileId=j,this.f=K,this.kind=ie,this.runHandler=ce,this._tag=Se,this.g=fe,this.#e=P,this.#s=W,this.#t=V,this.#i=q,W.set(j,this);const $e=y[ie];if(typeof $e!="number")throw new Error(`Unknown TestRunProfile.group ${ie}`);ye&&V.add(j),this.#n={profileId:j,controllerId:N,tag:Se?r.TestTag.namespace(this.controllerId,Se.id):null,label:K,group:$e,isDefault:ye,hasConfigurationHandler:!1,supportsContinuousRun:fe},queueMicrotask(()=>{this.#n&&(this.#e.$publishTestRunProfile(this.#n),this.#n=void 0)})}dispose(){this.#s?.delete(this.profileId)&&(this.#s=void 0,this.#e.$removeTestProfile(this.controllerId,this.profileId)),this.#n=void 0}}e.$9mc=k;const y={[o.TestRunProfileKind.Coverage]:8,[o.TestRunProfileKind.Debug]:4,[o.TestRunProfileKind.Run]:2}}),define(Ie[117],Pe([1,0,57,14,91,8,7]),function(le,e,I,O,R,M,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$FP=e.$EP=e.$DP=void 0;class w{static{this.c=new R.$BP("TextEditorDecorationType")}constructor(d,b,m){const r=w.c.nextId();d.$registerTextEditorDecorationType(b.identifier,r,M.DecorationRenderOptions.from(m)),this.value=Object.freeze({key:r,dispose(){d.$removeTextEditorDecorationType(r)}})}}e.$DP=w;class p{constructor(d,b){this.g=[],this.h=void 0,this.j=!1,this.c=d,this.d=d.version,this.e=b.undoStopBefore,this.f=b.undoStopAfter}finalize(){return this.j=!0,{documentVersionId:this.d,edits:this.g,setEndOfLine:this.h,undoStopBefore:this.e,undoStopAfter:this.f}}k(){if(this.j)throw new Error("Edit is only valid while callback runs")}replace(d,b){this.k();let m=null;if(d instanceof A.$_M)m=new A.$aN(d,d);else if(d instanceof A.$aN)m=d;else throw new Error("Unrecognized location");this.l(m,b,!1)}insert(d,b){this.k(),this.l(new A.$aN(d,d),b,!0)}delete(d){this.k();let b=null;if(d instanceof A.$aN)b=d;else throw new Error("Unrecognized location");this.l(b,null,!0)}l(d,b,m){const r=this.c.validateRange(d);this.g.push({range:r,text:b,forceMoveMarkers:m})}setEndOfLine(d){if(this.k(),d!==A.EndOfLine.LF&&d!==A.EndOfLine.CRLF)throw(0,O.$7)("endOfLine");this.h=d}}class E{constructor(d,b,m,r){this.c=d,this.d=b,this._accept(m),this.e=r;const o=this;this.value={get tabSize(){return o.f},set tabSize(s){o.n(s)},get indentSize(){return o.g},set indentSize(s){o.p(s)},get insertSpaces(){return o.j},set insertSpaces(s){o.s(s)},get cursorStyle(){return o.k},set cursorStyle(s){o.t(s)},get lineNumbers(){return o.l},set lineNumbers(s){o.u(s)}}}_accept(d){this.f=d.tabSize,this.g=d.indentSize,this.h=d.originalIndentSize,this.j=d.insertSpaces,this.k=d.cursorStyle,this.l=M.TextEditorLineNumbersStyle.to(d.lineNumbers)}m(d){if(d==="auto")return"auto";if(typeof d=="number"){const b=Math.floor(d);return b>0?b:null}if(typeof d=="string"){const b=parseInt(d,10);return isNaN(b)?null:b>0?b:null}return null}n(d){const b=this.m(d);if(b!==null){if(typeof b=="number"){if(this.f===b)return;this.f=b}this.v("setTabSize",this.c.$trySetOptions(this.d,{tabSize:b}))}}o(d){if(d==="tabSize")return"tabSize";if(typeof d=="number"){const b=Math.floor(d);return b>0?b:null}if(typeof d=="string"){const b=parseInt(d,10);return isNaN(b)?null:b>0?b:null}return null}p(d){const b=this.o(d);if(b!==null){if(typeof b=="number"){if(this.h===b)return;this.g=b,this.h=b}this.v("setIndentSize",this.c.$trySetOptions(this.d,{indentSize:b}))}}q(d){return d==="auto"?"auto":d==="false"?!1:!!d}s(d){const b=this.q(d);if(typeof b=="boolean"){if(this.j===b)return;this.j=b}this.v("setInsertSpaces",this.c.$trySetOptions(this.d,{insertSpaces:b}))}t(d){this.k!==d&&(this.k=d,this.v("setCursorStyle",this.c.$trySetOptions(this.d,{cursorStyle:d})))}u(d){this.l!==d&&(this.l=d,this.v("setLineNumbers",this.c.$trySetOptions(this.d,{lineNumbers:M.TextEditorLineNumbersStyle.from(d)})))}assign(d){const b={};let m=!1;if(typeof d.tabSize<"u"){const r=this.m(d.tabSize);r==="auto"?(m=!0,b.tabSize=r):typeof r=="number"&&this.f!==r&&(this.f=r,m=!0,b.tabSize=r)}if(typeof d.indentSize<"u"){const r=this.o(d.indentSize);r==="tabSize"?(m=!0,b.indentSize=r):typeof r=="number"&&this.h!==r&&(this.g=r,this.h=r,m=!0,b.indentSize=r)}if(typeof d.insertSpaces<"u"){const r=this.q(d.insertSpaces);r==="auto"?(m=!0,b.insertSpaces=r):this.j!==r&&(this.j=r,m=!0,b.insertSpaces=r)}typeof d.cursorStyle<"u"&&this.k!==d.cursorStyle&&(this.k=d.cursorStyle,m=!0,b.cursorStyle=d.cursorStyle),typeof d.lineNumbers<"u"&&this.l!==d.lineNumbers&&(this.l=d.lineNumbers,m=!0,b.lineNumbers=M.TextEditorLineNumbersStyle.from(d.lineNumbers)),m&&this.v("setOptions",this.c.$trySetOptions(this.d,b))}v(d,b){b.catch(m=>{this.e.warn(`ExtHostTextEditorOptions '${d}' failed:'`),this.e.warn(m)})}}e.$EP=E;class T{constructor(d,b,m,r,o,s,i,n){this.id=d,this.j=b,this.k=m,this.g=!1,this.h=new Set,this.c=o,this.d=new E(this.j,this.id,s,m),this.e=i,this.f=n;const c=this;this.value=Object.freeze({get document(){return r.value},set document(l){throw new O.$9("document")},get selection(){return c.c&&c.c[0]},set selection(l){if(!(l instanceof A.$bN))throw(0,O.$7)("selection");c.c=[l],c.l()},get selections(){return c.c},set selections(l){if(!Array.isArray(l)||l.some(t=>!(t instanceof A.$bN)))throw(0,O.$7)("selections");c.c=l,c.l()},get visibleRanges(){return c.e},set visibleRanges(l){throw new O.$9("visibleRanges")},get options(){return c.d.value},set options(l){c.g||c.d.assign(l)},get viewColumn(){return c.f},set viewColumn(l){throw new O.$9("viewColumn")},edit(l,t={undoStopBefore:!0,undoStopAfter:!0}){if(c.g)return Promise.reject(new Error("TextEditor#edit not possible on closed editors"));const f=new p(r.value,t);return l(f),c.m(f)},insertSnippet(l,t,f={undoStopBefore:!0,undoStopAfter:!0}){if(c.g)return Promise.reject(new Error("TextEditor#insertSnippet not possible on closed editors"));let a;if(!t||Array.isArray(t)&&t.length===0)a=c.c.map($=>M.Range.from($));else if(t instanceof A.$_M){const{lineNumber:$,column:u}=M.Position.from(t);a=[{startLineNumber:$,startColumn:u,endLineNumber:$,endColumn:u}]}else if(t instanceof A.$aN)a=[M.Range.from(t)];else{a=[];for(const $ of t)if($ instanceof A.$aN)a.push(M.Range.from($));else{const{lineNumber:u,column:S}=M.Position.from($);a.push({startLineNumber:u,startColumn:S,endLineNumber:u,endColumn:S})}}return b.$tryInsertSnippet(d,r.value.version,l.value,a,f)},setDecorations(l,t){const f=t.length===0;f&&!c.h.has(l.key)||(f?c.h.delete(l.key):c.h.add(l.key),c.n(()=>{if(M.$tP(t))return b.$trySetDecorations(d,l.key,M.$uP(t));{const a=new Array(4*t.length);for(let $=0,u=t.length;$<u;$++){const S=t[$];a[4*$]=S.start.line+1,a[4*$+1]=S.start.character+1,a[4*$+2]=S.end.line+1,a[4*$+3]=S.end.character+1}return b.$trySetDecorationsFast(d,l.key,a)}}))},revealRange(l,t){c.n(()=>b.$tryRevealRange(d,M.Range.from(l),t||A.TextEditorRevealType.Default))},show(l){b.$tryShowEditor(d,M.ViewColumn.from(l))},hide(){b.$tryHideEditor(d)}})}dispose(){(0,I.ok)(!this.g),this.g=!0}_acceptOptions(d){(0,I.ok)(!this.g),this.d._accept(d)}_acceptVisibleRanges(d){(0,I.ok)(!this.g),this.e=d}_acceptViewColumn(d){(0,I.ok)(!this.g),this.f=d}_acceptSelections(d){(0,I.ok)(!this.g),this.c=d}async l(){const d=this.c.map(M.Selection.from);return await this.n(()=>this.j.$trySetSelections(this.id,d)),this.value}m(d){const b=d.finalize();if(b.edits.length===0&&!b.setEndOfLine)return Promise.resolve(!0);const m=b.edits.map(o=>o.range);m.sort((o,s)=>o.end.line===s.end.line?o.end.character===s.end.character?o.start.line===s.start.line?o.start.character-s.start.character:o.start.line-s.start.line:o.end.character-s.end.character:o.end.line-s.end.line);for(let o=0,s=m.length-1;o<s;o++){const i=m[o].end;if(m[o+1].start.isBefore(i))return Promise.reject(new Error("Overlapping ranges are not allowed!"))}const r=b.edits.map(o=>({range:M.Range.from(o.range),text:o.text,forceMoveMarkers:o.forceMoveMarkers}));return this.j.$tryApplyEdits(this.id,b.documentVersionId,r,{setEndOfLine:typeof b.setEndOfLine=="number"?M.EndOfLine.from(b.setEndOfLine):void 0,undoStopBefore:b.undoStopBefore,undoStopAfter:b.undoStopAfter})}n(d){return this.g?(this.k.warn("TextEditor is closed/disposed"),Promise.resolve(void 0)):d().then(()=>this,b=>(b instanceof Error&&b.name==="DISPOSED"||this.k.warn(b),null))}}e.$FP=T}),define(Ie[68],Pe([1,0,57,5,6,2,3,4,113,17,117,8,12,28,16,42,43]),function(le,e,I,O,R,M,A,w,p,E,T,D,d,b,m,r,o){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$HP=e.$GP=void 0;class s{constructor(c){this.value=c,this.a=0}ref(){this.a++}unref(){return--this.a===0}}let i=class{constructor(c,l){this.h=c,this.i=l,this.a=null,this.b=new Map,this.c=new b.$Bc,this.d=new O.$ee,this.e=new O.$ee,this.f=new O.$ee,this.g=new O.$ee,this.onDidAddDocuments=this.d.event,this.onDidRemoveDocuments=this.e.event,this.onDidChangeVisibleTextEditors=this.f.event,this.onDidChangeActiveTextEditor=this.g.event}$acceptDocumentsAndEditorsDelta(c){this.acceptDocumentsAndEditorsDelta(c)}acceptDocumentsAndEditorsDelta(c){const l=[],t=[],f=[];if(c.removedDocuments)for(const a of c.removedDocuments){const $=M.URI.revive(a),u=this.c.get($);u?.unref()&&(this.c.delete($),l.push(u.value))}if(c.addedDocuments)for(const a of c.addedDocuments){const $=M.URI.revive(a.uri);let u=this.c.get($);if(u&&$.scheme!==m.Schemas.vscodeNotebookCell&&$.scheme!==m.Schemas.vscodeInteractiveInput)throw new Error(`document '${$} already exists!'`);u||(u=new s(new p.$zP(this.h.getProxy(w.$9M.MainThreadDocuments),$,a.lines,a.EOL,a.versionId,a.languageId,a.isDirty)),this.c.set($,u),t.push(u.value)),u.ref()}if(c.removedEditors)for(const a of c.removedEditors){const $=this.b.get(a);this.b.delete(a),$&&f.push($)}if(c.addedEditors)for(const a of c.addedEditors){const $=M.URI.revive(a.documentUri);I.ok(this.c.has($),`document '${$}' does not exist`),I.ok(!this.b.has(a.id),`editor '${a.id}' already exists!`);const u=this.c.get($).value,S=new T.$FP(a.id,this.h.getProxy(w.$9M.MainThreadTextEditors),this.i,new o.$V(()=>u.document),a.selections.map(D.Selection.to),a.options,a.visibleRanges.map(h=>D.Range.to(h)),typeof a.editorPosition=="number"?D.ViewColumn.to(a.editorPosition):void 0);this.b.set(a.id,S)}c.newActiveEditor!==void 0&&(I.ok(c.newActiveEditor===null||this.b.has(c.newActiveEditor),`active editor '${c.newActiveEditor}' does not exist`),this.a=c.newActiveEditor),(0,R.$Qc)(l),(0,R.$Qc)(f),c.removedDocuments&&this.e.fire(l),c.addedDocuments&&this.d.fire(t),(c.removedEditors||c.addedEditors)&&this.f.fire(this.allEditors().map(a=>a.value)),c.newActiveEditor!==void 0&&this.g.fire(this.activeEditor())}getDocument(c){return this.c.get(c)?.value}allDocuments(){return r.Iterable.map(this.c.values(),c=>c.value)}getEditor(c){return this.b.get(c)}activeEditor(c){if(!this.a)return;const l=this.b.get(this.a);return c?l:l?.value}allEditors(){return[...this.b.values()]}};e.$GP=i,e.$GP=i=Je([We(0,E.$wP),We(1,d.$3j)],i),e.$HP=(0,A.$wi)("IExtHostDocumentsAndEditors")}),define(Ie[290],Pe([1,0,18,5,4,117,8,7]),function(le,e,I,O,R,M,A,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$plc=void 0;class p{constructor(T,D){this.i=D,this.a=new O.$ee,this.b=new O.$ee,this.c=new O.$ee,this.d=new O.$ee,this.f=new O.$ee,this.g=new O.$ee,this.onDidChangeTextEditorSelection=this.a.event,this.onDidChangeTextEditorOptions=this.b.event,this.onDidChangeTextEditorVisibleRanges=this.c.event,this.onDidChangeTextEditorViewColumn=this.d.event,this.onDidChangeActiveTextEditor=this.f.event,this.onDidChangeVisibleTextEditors=this.g.event,this.h=T.getProxy(R.$9M.MainThreadTextEditors),this.i.onDidChangeVisibleTextEditors(d=>this.g.fire(d)),this.i.onDidChangeActiveTextEditor(d=>this.f.fire(d))}getActiveTextEditor(){return this.i.activeEditor()}getVisibleTextEditors(T){const D=this.i.allEditors();return T?D:D.map(d=>d.value)}async showTextDocument(T,D,d){let b;typeof D=="number"?b={position:A.ViewColumn.from(D),preserveFocus:d}:typeof D=="object"?b={position:A.ViewColumn.from(D.viewColumn),preserveFocus:D.preserveFocus,selection:typeof D.selection=="object"?A.Range.from(D.selection):void 0,pinned:typeof D.preview=="boolean"?!D.preview:void 0}:b={preserveFocus:!1};const m=await this.h.$tryShowTextDocument(T.uri,b),r=m&&this.i.getEditor(m);if(r)return r.value;throw m?new Error(`Could NOT open editor for "${T.uri.toString()}" because another editor opened in the meantime.`):new Error(`Could NOT open editor for "${T.uri.toString()}".`)}createTextEditorDecorationType(T,D){return new M.$DP(this.h,T,D).value}$acceptEditorPropertiesChanged(T,D){const d=this.i.getEditor(T);if(!d)throw new Error("unknown text editor");if(D.options&&d._acceptOptions(D.options),D.selections){const b=D.selections.selections.map(A.Selection.to);d._acceptSelections(b)}if(D.visibleRanges){const b=I.$Hb(D.visibleRanges.map(A.Range.to));d._acceptVisibleRanges(b)}if(D.options&&this.b.fire({textEditor:d.value,options:{...D.options,lineNumbers:A.TextEditorLineNumbersStyle.to(D.options.lineNumbers)}}),D.selections){const b=w.TextEditorSelectionChangeKind.fromValue(D.selections.source),m=D.selections.selections.map(A.Selection.to);this.a.fire({textEditor:d.value,selections:m,kind:b})}if(D.visibleRanges){const b=I.$Hb(D.visibleRanges.map(A.Range.to));this.c.fire({textEditor:d.value,visibleRanges:b})}}$acceptEditorPositionData(T){for(const D in T){const d=this.i.getEditor(D);if(!d)throw new Error("Unknown text editor");const b=A.ViewColumn.to(T[D]);d.value.viewColumn!==b&&(d._acceptViewColumn(b),this.d.fire({textEditor:d.value,viewColumn:b}))}}getDiffInformation(T){return Promise.resolve(this.h.$getDiffInformation(T))}}e.$plc=p}),define(Ie[291],Pe([1,0,2,3,4,6,7,8,20,15]),function(le,e,I,O,R,M,A,w,p,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$_mc=e.$$mc=void 0,e.$$mc=(0,O.$wi)("IExtHostTimeline");class T{constructor(b,m){this.b=new Map,this.c=new Map,this.a=b.getProxy(R.$9M.MainThreadTimeline),m.registerArgumentProcessor({processArgument:(r,o)=>{if(r&&r.$mid===12)if(this.b.get(r.source)&&p.$Rm.equals(o,this.b.get(r.source)?.extension)){const s=r.uri===void 0?void 0:I.URI.revive(r.uri);return this.c.get(r.source)?.get(D(s))?.get(r.handle)}else return;return r}})}async $getTimeline(b,m,r,o){return this.b.get(b)?.provider.provideTimeline(I.URI.revive(m),r,o)}registerTimelineProvider(b,m,r,o){const s=new M.$Uc,i=this.d(m.id,o,s).bind(this);let n;m.onDidChange&&(n=m.onDidChange(l=>this.a.$emitTimelineChangeEvent({uri:void 0,reset:!0,...l,id:m.id}),this));const c=this.c;return this.f({...m,scheme:b,onDidChange:void 0,async provideTimeline(l,t,f){t?.resetCache&&(s.clear(),c.get(m.id)?.clear());const a=await m.provideTimeline(l,t,f);if(a==null)return;const $=i(l,t);return{...a,source:m.id,items:a.items.map($)}},dispose(){for(const l of c.values())l.get(m.id)?.clear();n?.dispose(),s.dispose()}},r)}d(b,m,r){return(o,s)=>{let i;if(s?.cacheResults){let n=this.c.get(b);n===void 0&&(n=new Map,this.c.set(b,n));const c=D(o);i=n.get(c),i===void 0&&(i=new Map,n.set(c,i))}return n=>{const{iconPath:c,...l}=n,t=`${b}|${n.id??n.timestamp}`;i?.set(t,n);let f,a,$;n.iconPath&&(c instanceof A.$8N?$={id:c.id,color:c.color}:I.URI.isUri(c)?(f=c,a=c):{light:f,dark:a}=c);let u;return A.$AN.isMarkdownString(l.tooltip)?u=w.MarkdownString.from(l.tooltip):(0,E.$9f)(l.tooltip)?u=l.tooltip:A.$AN.isMarkdownString(l.detail)?(console.warn("Using deprecated TimelineItem.detail, migrate to TimelineItem.tooltip"),u=w.MarkdownString.from(l.detail)):(0,E.$9f)(l.detail)&&(console.warn("Using deprecated TimelineItem.detail, migrate to TimelineItem.tooltip"),u=l.detail),{...l,id:l.id??void 0,handle:t,source:b,command:n.command?m.toInternal(n.command,r):void 0,icon:f,iconDark:a,themeIcon:$,tooltip:u,accessibilityInformation:n.accessibilityInformation}}}}f(b,m){if(this.b.get(b.id))throw new Error(`Timeline Provider ${b.id} already exists.`);return this.a.$registerTimelineProvider({id:b.id,label:b.label,scheme:b.scheme}),this.b.set(b.id,{provider:b,extension:m}),(0,M.$Tc)(()=>{for(const o of this.c.values())o.get(b.id)?.clear();this.b.delete(b.id),this.a.$unregisterTimelineProvider(b.id),b.dispose()})}}e.$_mc=T;function D(d){return d?.toString()}}),define(Ie[292],Pe([1,0,181,23,2,5,6,222,11,7,15,18,8,55,24,143,26]),function(le,e,I,O,R,M,A,w,p,E,T,D,d,b,m,r,o){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$anc=void 0;function s(c,l){if((0,T.$9f)(c))return{label:c};if(c&&typeof c=="object"&&typeof c.label=="string"){let t;return Array.isArray(c.highlights)&&(t=c.highlights.filter(f=>f.length===2&&typeof f[0]=="number"&&typeof f[1]=="number"),t=t.length?t:void 0),{label:c.label,highlights:t}}}class i extends A.$Vc{constructor(l,t,f){super(),this.f=l,this.g=t,this.h=f,this.a=new Map,this.b=new r.$q$;function a($){return $&&$.$treeViewId&&($.$treeItemHandle||$.$selectedTreeItems||$.$focusedTreeItem)}t.registerArgumentProcessor({processArgument:$=>a($)?this.r($):Array.isArray($)&&$.length>0?$.map(u=>a(u)?this.r(u):u):$})}registerTreeDataProvider(l,t,f){const a=this.createTreeView(l,{treeDataProvider:t},f);return{dispose:()=>a.dispose()}}createTreeView(l,t,f){if(!t||!t.treeDataProvider)throw new Error("Options with treeDataProvider is mandatory");const a=t.dragAndDropController?.dropMimeTypes??[],$=t.dragAndDropController?.dragMimeTypes??[],u=!!t.dragAndDropController?.handleDrag,S=!!t.dragAndDropController?.handleDrop,h=this.m(l,t,f),v={showCollapseAll:!!t.showCollapseAll,canSelectMany:!!t.canSelectMany,dropMimeTypes:a,dragMimeTypes:$,hasHandleDrag:u,hasHandleDrop:S,manuallyManageCheckboxes:!!t.manageCheckboxStateManually},g=this.f.$registerTreeViewDataProvider(l,v),k={get onDidCollapseElement(){return h.onDidCollapseElement},get onDidExpandElement(){return h.onDidExpandElement},get selection(){return h.selectedElements},get onDidChangeSelection(){return h.onDidChangeSelection},get activeItem(){return(0,o.$OG)(f,"treeViewActiveItem"),h.focusedElement},get onDidChangeActiveItem(){return(0,o.$OG)(f,"treeViewActiveItem"),h.onDidChangeActiveItem},get visible(){return h.visible},get onDidChangeVisibility(){return h.onDidChangeVisibility},get onDidChangeCheckboxState(){return h.onDidChangeCheckboxState},get message(){return h.message},set message(y){(0,b.$Vk)(y)&&(0,o.$OG)(f,"treeViewMarkdownMessage"),h.message=y},get title(){return h.title},set title(y){h.title=y},get description(){return h.description},set description(y){h.description=y},get badge(){return h.badge},set badge(y){y!==void 0&&E.ViewBadge.isViewBadge(y)?h.badge={value:Math.floor(Math.abs(y.value)),tooltip:y.tooltip}:y===void 0&&(h.badge=void 0)},reveal:(y,C)=>h.reveal(y,C),dispose:async()=>{await g,this.a.delete(l),h.dispose()}};return this.B(k),k}$getChildren(l,t){const f=this.a.get(l);return f?f.getChildren(t):Promise.reject(new w.$3F(l))}async $handleDrop(l,t,f,a,$,u,S,h){const v=this.a.get(l);if(!v)return Promise.reject(new w.$3F(l));const g=d.DataTransfer.toDataTransfer(f,async k=>(await this.f.$resolveDropFileData(l,t,k)).buffer);return S===l&&h&&await this.j(g,v,h,$,u),v.onDrop(g,a,$)}async j(l,t,f,a,$){const u=this.b.removeDragOperationTransfer($);if(u)(await u)?.forEach((S,h)=>{S&&l.set(h,S)});else if($&&t.handleDrag){const S=t.handleDrag(f,l,a);this.b.addDragOperationTransfer($,S),await S}return l}async $handleDrag(l,t,f,a){const $=this.a.get(l);if(!$)return Promise.reject(new w.$3F(l));const u=await this.j(new E.$4N,$,t,a,f);if(!(!u||a.isCancellationRequested))return d.DataTransfer.from(u)}async $hasResolve(l){const t=this.a.get(l);if(!t)throw new w.$3F(l);return t.hasResolve}$resolve(l,t,f){const a=this.a.get(l);if(!a)throw new w.$3F(l);return a.resolveTreeItem(t,f)}$setExpanded(l,t,f){const a=this.a.get(l);if(!a)throw new w.$3F(l);a.setExpanded(t,f)}$setSelectionAndFocus(l,t,f){const a=this.a.get(l);if(!a)throw new w.$3F(l);a.setSelectionAndFocus(t,f)}$setVisible(l,t){const f=this.a.get(l);if(!f){if(!t)return;throw new w.$3F(l)}f.setVisible(t)}$changeCheckboxState(l,t){const f=this.a.get(l);if(!f)throw new w.$3F(l);f.setCheckboxState(t)}m(l,t,f){const a=this.B(new n(l,t,this.f,this.g.converter,this.h,f));return this.a.set(l,a),a}r(l){const t=this.a.get(l.$treeViewId);return t&&"$treeItemHandle"in l?t.getExtensionElement(l.$treeItemHandle):t&&"$focusedTreeItem"in l&&l.$focusedTreeItem?t.focusedElement:null}}e.$anc=i;class n extends A.$Vc{static{this.a="0"}static{this.b="1"}get visible(){return this.r}get selectedElements(){return this.s.map(l=>this.getExtensionElement(l)).filter(l=>!(0,T.$fg)(l))}get focusedElement(){return this.t?this.getExtensionElement(this.t):void 0}constructor(l,t,f,a,$,u){if(super(),this.I=l,this.J=f,this.L=a,this.M=$,this.N=u,this.h=void 0,this.j=new Map,this.m=new Map,this.r=!1,this.s=[],this.t=void 0,this.u=this.B(new M.$ee),this.onDidExpandElement=this.u.event,this.w=this.B(new M.$ee),this.onDidCollapseElement=this.w.event,this.y=this.B(new M.$ee),this.onDidChangeSelection=this.y.event,this.z=this.B(new M.$ee),this.onDidChangeActiveItem=this.z.event,this.C=this.B(new M.$ee),this.onDidChangeVisibility=this.C.event,this.D=this.B(new M.$ee),this.onDidChangeCheckboxState=this.D.event,this.F=this.B(new M.$ee),this.G=Promise.resolve(),this.H=Promise.resolve(),this.O="",this.P="",this.Z=new m.$pe,u.contributes&&u.contributes.views)for(const g in u.contributes.views)for(const k of u.contributes.views[g])k.id===l&&(this.P=k.name);this.f=t.treeDataProvider,this.g=t.dragAndDropController,this.f.onDidChangeTreeData&&this.B(this.f.onDidChangeTreeData(g=>{Array.isArray(g)&&g.length===0||this.F.fire({message:!1,element:g})}));let S,h;const v=M.Event.debounce(this.F.event,(g,k)=>(g||(g={message:!1,elements:[]}),k.element!==!1&&(S||(S=new Promise(y=>h=y),this.G=this.G.then(()=>S)),Array.isArray(k.element)?g.elements.push(...k.element):g.elements.push(k.element)),k.message&&(g.message=!0),g),200,!0);this.B(v(({message:g,elements:k})=>{k.length&&(this.H=this.H.then(()=>{const y=h;return S=null,this.$(k).then(()=>y())})),g&&this.J.$setMessage(this.I,d.MarkdownString.fromStrict(this.O)??"")}))}async getChildren(l){const t=l?this.getExtensionElement(l):void 0;if(l&&!t)return this.M.error(`No tree item with id '${l}' found.`),Promise.resolve([]);let f=this.X(l);return f||(f=await this.Y(t)),f?f.map(a=>a.item):void 0}getExtensionElement(l){return this.j.get(l)}reveal(l,t){t=t||{select:!0,focus:!1};const f=(0,T.$fg)(t.select)?!0:t.select,a=(0,T.$fg)(t.focus)?!1:t.focus,$=(0,T.$fg)(t.expand)?!1:t.expand;return typeof this.f.getParent!="function"?Promise.reject(new Error("Required registered TreeDataProvider to implement 'getParent' method to access 'reveal' method")):l?this.G.then(()=>this.S(l)).then(u=>this.W(l,u[u.length-1]).then(S=>this.J.$reveal(this.I,{item:S.item,parentChain:u.map(h=>h.item)},{select:f,focus:a,expand:$})),u=>this.M.error(u)):this.J.$reveal(this.I,void 0,{select:f,focus:a,expand:$})}get message(){return this.O}set message(l){this.O=l,this.F.fire({message:!0,element:!1})}get title(){return this.P}set title(l){this.P=l,this.J.$setTitle(this.I,l,this.Q)}get description(){return this.Q}set description(l){this.Q=l,this.J.$setTitle(this.I,this.P,l)}get badge(){return this.R}set badge(l){this.R?.value===l?.value&&this.R?.tooltip===l?.tooltip||(this.R=d.ViewBadge.from(l),this.J.$setBadge(this.I,l))}setExpanded(l,t){const f=this.getExtensionElement(l);f&&(t?this.u.fire(Object.freeze({element:f})):this.w.fire(Object.freeze({element:f})))}setSelectionAndFocus(l,t){const f=!(0,D.$ub)(this.s,l);this.s=l;const a=this.t!==t;this.t=t,f&&this.y.fire(Object.freeze({selection:this.selectedElements})),a&&this.z.fire(Object.freeze({activeItem:this.focusedElement}))}setVisible(l){l!==this.r&&(this.r=l,this.C.fire(Object.freeze({visible:this.r})))}async setCheckboxState(l){const t=(await Promise.all(l.map(async f=>{const a=this.getExtensionElement(f.treeItemHandle);return a?{extensionItem:a,treeItem:await this.f.getTreeItem(a),newState:f.newState?E.TreeItemCheckboxState.Checked:E.TreeItemCheckboxState.Unchecked}:Promise.resolve(void 0)}))).filter(f=>f!==void 0);t.forEach(f=>{f.treeItem.checkboxState=f.newState?E.TreeItemCheckboxState.Checked:E.TreeItemCheckboxState.Unchecked}),this.D.fire({items:t.map(f=>[f.extensionItem,f.newState])})}async handleDrag(l,t,f){const a=[];for(const $ of l){const u=this.getExtensionElement($);u&&a.push(u)}if(!(!this.g?.handleDrag||a.length===0))return await this.g.handleDrag(a,t,f),t}get hasHandleDrag(){return!!this.g?.handleDrag}async onDrop(l,t,f){const a=t?this.getExtensionElement(t):void 0;if(!(!a&&t||!this.g?.handleDrop))return(0,p.$oh)(()=>this.g?.handleDrop?this.g.handleDrop(a,l,f):void 0)}get hasResolve(){return!!this.f.resolveTreeItem}async resolveTreeItem(l,t){if(!this.f.resolveTreeItem)return;const f=this.j.get(l);if(f){const a=this.m.get(f);if(a){const $=await this.f.resolveTreeItem(a.extensionItem,f,t)??a.extensionItem;return this.hb($),a.item.tooltip=this.eb($.tooltip),a.item.command=this.fb(a.disposableStore,$.command),a.item}}}S(l){return this.U(l).then(t=>t?this.S(t).then(f=>this.W(t,f[f.length-1]).then(a=>(f.push(a),f))):Promise.resolve([]))}U(l){const t=this.m.get(l);return t?Promise.resolve(t.parent?this.j.get(t.parent.item.handle):void 0):(0,p.$oh)(()=>this.f.getParent(l))}W(l,t){const f=this.m.get(l);return f?Promise.resolve(f):(0,p.$oh)(()=>this.f.getTreeItem(l)).then(a=>this.kb(l,a,t,!0)).then(a=>this.getChildren(t?t.item.handle:void 0).then(()=>{const $=this.getExtensionElement(a);if($){const u=this.m.get($);if(u)return Promise.resolve(u)}throw new Error(`Cannot resolve tree item for element ${a} from extension ${this.N.identifier.value}`)}))}X(l){if(l){let t;if(typeof l=="string"){const f=this.getExtensionElement(l);t=f?this.m.get(f):void 0}else t=l;return t&&t.children||void 0}return this.h}async Y(l){this.rb(l);const t=new m.$pe(this.Z.token);try{const f=l?this.m.get(l):void 0,a=await this.f.getChildren(l);if(t.token.isCancellationRequested)return;const $=(0,D.$Hb)(a||[]),u=await Promise.all((0,D.$Hb)($).map(h=>this.f.getTreeItem(h)));if(t.token.isCancellationRequested)return;const S=u.map((h,v)=>h?this.db($[v],h,f):null);return(0,D.$Hb)(S)}finally{t.dispose()}}$(l){if(l.some(f=>!f))return this.Z.dispose(!0),this.Z=new m.$pe,this.tb(),this.J.$refresh(this.I);{const f=this.ab(l);if(f.length)return this.bb(f)}return Promise.resolve(void 0)}ab(l){const t=new Set,f=l.map($=>this.m.get($));for(const $ of f)if($&&!t.has($.item.handle)){let u=$;for(;u&&u.parent&&f.findIndex(S=>u&&u.parent&&S&&S.item.handle===u.parent.item.handle)===-1;){const S=this.j.get(u.parent.item.handle);u=S?this.m.get(S):void 0}u&&!u.parent&&t.add($.item.handle)}const a=[];return t.forEach($=>{const u=this.j.get($);if(u){const S=this.m.get(u);S&&(!S.parent||!t.has(S.parent.item.handle))&&a.push($)}}),a}bb(l){const t={};return Promise.all(l.map(f=>this.cb(f).then(a=>{a&&(t[f]=a.item)}))).then(()=>Object.keys(t).length?this.J.$refresh(this.I,t):void 0)}cb(l){const t=this.getExtensionElement(l);if(t){const f=this.m.get(t);if(f)return this.rb(t),(0,p.$oh)(()=>this.f.getTreeItem(t)).then(a=>{if(a){const $=this.ib(t,a,f.parent);return this.pb(t,$,f,f.parent),f.dispose(),$}return null})}return Promise.resolve(null)}db(l,t,f){const a=this.ib(l,t,f);if(t.id&&this.j.has(a.item.handle))throw new Error((0,I.localize)(0,null,t.id));return this.ob(l,a),this.qb(a,f),a}eb(l){return E.$AN.isMarkdownString(l)?d.MarkdownString.from(l):l}fb(l,t){return t?{...this.L.toInternal(t,l),originalId:t.command}:void 0}gb(l){if(l.checkboxState===void 0)return;let t,f,a;return typeof l.checkboxState=="number"?t=l.checkboxState:(t=l.checkboxState.state,f=l.checkboxState.tooltip,a=l.checkboxState.accessibilityInformation),{isChecked:t===E.TreeItemCheckboxState.Checked,tooltip:f,accessibilityInformation:a}}hb(l){if(!E.$YN.isTreeItem(l,this.N))throw new Error(`Extension ${this.N.identifier.value} has provided an invalid tree item.`)}ib(l,t,f){this.hb(t);const a=this.B(new A.$Uc),$=this.kb(l,t,f),u=this.lb(t);return{item:{handle:$,parentHandle:f?f.item.handle:void 0,label:s(t.label,this.N),description:t.description,resourceUri:t.resourceUri,tooltip:this.eb(t.tooltip),command:this.fb(a,t.command),contextValue:t.contextValue,icon:u,iconDark:this.mb(t)||u,themeIcon:this.jb(t),collapsibleState:(0,T.$fg)(t.collapsibleState)?E.TreeItemCollapsibleState.None:t.collapsibleState,accessibilityInformation:t.accessibilityInformation,checkbox:this.gb(t)},extensionItem:t,parent:f,children:void 0,disposableStore:a,dispose(){a.dispose()}}}jb(l){return l.iconPath instanceof E.$8N?l.iconPath:void 0}kb(l,{id:t,label:f,resourceUri:a},$,u){if(t)return`${n.b}/${t}`;const S=s(f,this.N),h=$?$.item.handle:n.a;let v=S?S.label:a?(0,O.$7g)(a):"";v=v.indexOf("/")!==-1?v.replace("/","//"):v;const g=this.m.has(l)?this.m.get(l).item.handle:void 0,k=this.X($)||[];let y,C=0;do{if(y=`${h}/${C}:${v}`,u||!this.j.has(y)||g===y)break;C++}while(C<=k.length);return y}lb(l){if(l.iconPath&&!(l.iconPath instanceof E.$8N))return typeof l.iconPath=="string"||R.URI.isUri(l.iconPath)?this.nb(l.iconPath):this.nb(l.iconPath.light)}mb(l){if(l.iconPath&&!(l.iconPath instanceof E.$8N)&&l.iconPath.dark)return this.nb(l.iconPath.dark)}nb(l){return R.URI.isUri(l)?l:R.URI.file(l)}ob(l,t){this.j.set(t.item.handle,l),this.m.set(l,t)}pb(l,t,f,a){this.j.delete(t.item.handle),this.m.delete(l),t.item.handle!==f.item.handle&&this.j.delete(f.item.handle),this.ob(l,t);const $=this.X(a)||[],u=$.filter(S=>S.item.handle===f.item.handle)[0];u&&$.splice($.indexOf(u),1,t)}qb(l,t){t?(t.children||(t.children=[]),t.children.push(l)):(this.h||(this.h=[]),this.h.push(l))}rb(l){if(l){const t=this.m.get(l);if(t){if(t.children)for(const f of t.children){const a=this.j.get(f.item.handle);a&&this.sb(a)}t.children=void 0}}else this.tb()}sb(l){const t=this.m.get(l);if(t){if(t.children)for(const f of t.children){const a=this.j.get(f.item.handle);a&&this.sb(a)}this.m.delete(l),this.j.delete(t.item.handle),t.dispose()}}tb(){this.h=void 0,this.j.clear(),this.m.forEach(l=>l.dispose()),this.m.clear()}dispose(){super.dispose(),this.Z.dispose(),this.tb(),this.J.$disposeTree(this.I)}}}),define(Ie[293],Pe([1,0,5,6,2,34,8,64,4,7]),function(le,e,I,O,R,M,A,w,p,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Ilc=void 0;class T extends O.$Vc{#e;#t;#i;#n;#s;#r;#a;#o;#c;#u;#l;#d;#h;constructor(m,r,o,s){super(),this.#o=void 0,this.#c=!0,this.#l=!1,this.#d=this.B(new I.$ee),this.onDidDispose=this.#d.event,this.#h=this.B(new I.$ee),this.onDidChangeViewState=this.#h.event,this.#e=m,this.#t=r,this.#n=o,this.#i=s.viewType,this.#s=s.panelOptions,this.#o=s.viewColumn,this.#r=s.title,this.#u=s.active}dispose(){this.#l||(this.#l=!0,this.#d.fire(),this.#t.$disposeWebview(this.#e),this.#n.dispose(),super.dispose())}get webview(){return this.c(),this.#n}get viewType(){return this.c(),this.#i}get title(){return this.c(),this.#r}set title(m){this.c(),this.#r!==m&&(this.#r=m,this.#t.$setTitle(this.#e,m))}get iconPath(){return this.c(),this.#a}set iconPath(m){this.c(),this.#a!==m&&(this.#a=m,this.#t.$setIconPath(this.#e,R.URI.isUri(m)?{light:m,dark:m}:m))}get options(){return this.#s}get viewColumn(){if(this.c(),!(typeof this.#o=="number"&&this.#o<0))return this.#o}get active(){return this.c(),this.#u}get visible(){return this.c(),this.#c}_updateViewState(m){this.#l||(this.active!==m.active||this.visible!==m.visible||this.viewColumn!==m.viewColumn)&&(this.#u=m.active,this.#c=m.visible,this.#o=m.viewColumn,this.#h.fire({webviewPanel:this}))}reveal(m,r){this.c(),this.#t.$reveal(this.#e,{viewColumn:typeof m>"u"?void 0:A.ViewColumn.from(m),preserveFocus:!!r})}c(){if(this.#l)throw new Error("Webview is disposed")}}class D extends O.$Vc{static c(){return(0,M.$Sg)()}constructor(m,r,o){super(),this.j=r,this.m=o,this.g=new Map,this.h=new Map,this.f=m.getProxy(p.$9M.MainThreadWebviewPanels)}dispose(){super.dispose(),this.g.forEach(m=>m.dispose()),this.g.clear()}createWebviewPanel(m,r,o,s,i={}){const n=typeof s=="object"?s.viewColumn:s,c={viewColumn:A.ViewColumn.from(n),preserveFocus:typeof s=="object"&&!!s.preserveFocus},l=(0,w.$Elc)(m),t=D.c();this.f.$createWebviewPanel((0,w.$Glc)(m),t,r,{title:o,panelOptions:d(i),webviewOptions:(0,w.$Hlc)(m,this.m,i),serializeBuffersForPostMessage:l},c);const f=this.j.createNewWebview(t,i,m);return this.createNewWebviewPanel(t,r,o,n,i,f,!0)}$onDidChangeWebviewPanelViewStates(m){const r=Object.keys(m);r.sort((o,s)=>{const i=m[o],n=m[s];return i.active?1:n.active?-1:+i.visible-+n.visible});for(const o of r){const s=this.getWebviewPanel(o);if(!s)continue;const i=m[o];s._updateViewState({active:i.active,visible:i.visible,viewColumn:A.ViewColumn.to(i.position)})}}async $onDidDisposeWebviewPanel(m){this.getWebviewPanel(m)?.dispose(),this.g.delete(m),this.j.deleteWebview(m)}registerWebviewPanelSerializer(m,r,o){if(this.h.has(r))throw new Error(`Serializer for '${r}' already registered`);return this.h.set(r,{serializer:o,extension:m}),this.f.$registerSerializer(r,{serializeBuffersForPostMessage:(0,w.$Elc)(m)}),new E.$$M(()=>{this.h.delete(r),this.f.$unregisterSerializer(r)})}async $deserializeWebviewPanel(m,r,o,s){const i=this.h.get(r);if(!i)throw new Error(`No serializer found for '${r}'`);const{serializer:n,extension:c}=i,l=this.j.createNewWebview(m,o.webviewOptions,c),t=this.createNewWebviewPanel(m,r,o.title,s,o.panelOptions,l,o.active);await n.deserializeWebviewPanel(t,o.state)}createNewWebviewPanel(m,r,o,s,i,n,c){const l=new T(m,this.f,n,{viewType:r,title:o,viewColumn:s,panelOptions:i,active:c});return this.g.set(m,l),l}getWebviewPanel(m){return this.g.get(m)}}e.$Ilc=D;function d(b){return{enableFindWidget:b.enableFindWidget,retainContextWhenHidden:b.retainContextWhenHidden}}}),define(Ie[294],Pe([1,0,5,6,64,8,4,7]),function(le,e,I,O,R,M,A,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$dnc=void 0;class p extends O.$Vc{#e;#t;#i;#n;#s;#r;#a;#o;#c;constructor(D,d,b,m,r,o){super(),this.#s=!1,this.#u=this.B(new I.$ee),this.onDidChangeVisibility=this.#u.event,this.#l=this.B(new I.$ee),this.onDidDispose=this.#l.event,this.#i=b,this.#a=m,this.#e=D,this.#t=d,this.#n=r,this.#r=o}dispose(){this.#s||(this.#s=!0,this.#l.fire(),this.#n.dispose(),super.dispose())}#u;#l;get title(){return this.a(),this.#a}set title(D){this.a(),this.#a!==D&&(this.#a=D,this.#t.$setWebviewViewTitle(this.#e,D))}get description(){return this.a(),this.#o}set description(D){this.a(),this.#o!==D&&(this.#o=D,this.#t.$setWebviewViewDescription(this.#e,D))}get visible(){return this.#r}get webview(){return this.#n}get viewType(){return this.#i}_setVisible(D){D===this.#r||this.#s||(this.#r=D,this.#u.fire())}get badge(){return this.a(),this.#c}set badge(D){this.a(),!(D?.value===this.#c?.value&&D?.tooltip===this.#c?.tooltip)&&(this.#c=M.ViewBadge.from(D),this.#t.$setWebviewViewBadge(this.#e,D))}show(D){this.a(),this.#t.$show(this.#e,!!D)}a(){if(this.#s)throw new Error("Webview is disposed")}}class E{constructor(D,d){this.d=d,this.b=new Map,this.c=new Map,this.a=D.getProxy(A.$9M.MainThreadWebviewViews)}registerWebviewViewProvider(D,d,b,m){if(this.b.has(d))throw new Error(`View provider for '${d}' already registered`);return this.b.set(d,{provider:b,extension:D}),this.a.$registerWebviewViewProvider((0,R.$Glc)(D),d,{retainContextWhenHidden:m?.retainContextWhenHidden,serializeBuffersForPostMessage:(0,R.$Elc)(D)}),new w.$$M(()=>{this.b.delete(d),this.a.$unregisterWebviewViewProvider(d)})}async $resolveWebviewView(D,d,b,m,r){const o=this.b.get(d);if(!o)throw new Error(`No view provider found for '${d}'`);const{provider:s,extension:i}=o,n=this.d.createNewWebview(D,{},i),c=new p(D,this.a,d,b,n,!0);this.c.set(D,c),await s.resolveWebviewView(c,{state:m},r)}async $onDidChangeWebviewViewVisibility(D,d){this.e(D)._setVisible(d)}async $disposeWebviewView(D){const d=this.e(D);this.c.delete(D),d.dispose(),this.d.deleteWebview(D)}e(D){const d=this.c.get(D);if(!d)throw new Error("No webview found");return d}}e.$dnc=E}),define(Ie[295],Pe([1,0,5,29,31,3]),function(le,e,I,O,R,M){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$sM=e.$rM=e.OutputChannelUpdateMode=e.$qM=e.$pM=e.$oM=e.$nM=e.$mM=e.$lM=e.$kM=e.$jM=e.$iM=e.$hM=e.$gM=e.$fM=e.$eM=void 0,e.$eM="text/x-code-output",e.$fM="output",e.$gM="Log",e.$hM="text/x-code-log-output",e.$iM="log",e.$jM="workbench.panel.output",e.$kM=new R.$Nj("inOutput",!1),e.$lM=new R.$Nj("activeLogOutput",!1),e.$mM=new R.$Nj("activeLogOutput.levelSettable",!1),e.$nM=new R.$Nj("activeLogOutput.level",""),e.$oM=new R.$Nj("activeLogOutput.levelIsDefault",!1),e.$pM=new R.$Nj("outputView.scrollLock",!1),e.$qM=(0,M.$wi)("outputService");var A;(function(p){p[p.Append=1]="Append",p[p.Replace=2]="Replace",p[p.Clear=3]="Clear"})(A||(e.OutputChannelUpdateMode=A={})),e.$rM={OutputChannels:"workbench.contributions.outputChannels"};class w{constructor(){this.a=new Map,this.b=new I.$ee,this.onDidRegisterChannel=this.b.event,this.c=new I.$ee,this.onDidRemoveChannel=this.c.event}registerChannel(E){this.a.has(E.id)||(this.a.set(E.id,E),this.b.fire(E.id))}getChannels(){const E=[];return this.a.forEach(T=>E.push(T)),E}getChannel(E){return this.a.get(E)}removeChannel(E){this.a.delete(E),this.c.fire(E)}}O.$co.add(e.$rM.OutputChannels,new w),e.$sM=new R.$Nj("activeOutputChannel","")}),define(Ie[118],Pe([1,0,4,3,17,20,12,295,65,27,46,147,21,15,38,5,6]),function(le,e,I,O,R,M,A,w,p,E,T,D,d,b,m,r,o){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Pmc=e.$Omc=void 0;class s extends A.$9j{get disposed(){return this.n}constructor(l,t,f,a,$){super(),this.id=l,this.name=t,this.r=f,this.s=a,this.extension=$,this.m=0,this.n=!1,this.visible=!1,this.setLevel(f.getLevel()),this.B(f.onDidChangeLogLevel(u=>this.setLevel(u)))}get logLevel(){return this.getLevel()}appendLine(l){this.append(l+`
`)}append(l){this.info(l)}clear(){const l=this.m;this.r.flush(),this.s.$update(this.id,w.OutputChannelUpdateMode.Clear,l)}replace(l){const t=this.m;this.info(l),this.s.$update(this.id,w.OutputChannelUpdateMode.Replace,t),this.visible&&this.r.flush()}show(l,t){this.r.flush(),this.s.$reveal(this.id,!!(typeof l=="boolean"?l:t))}hide(){this.s.$close(this.id)}g(l,t){this.m+=d.$Ge.fromString(t).byteLength,(0,A.log)(this.r,l,t),this.visible&&(this.r.flush(),this.s.$update(this.id,w.OutputChannelUpdateMode.Append))}dispose(){super.dispose(),this.n||(this.s.$dispose(this.id),this.n=!0)}}class i extends s{appendLine(l){this.append(l)}}let n=class{constructor(l,t,f,a,$,u){this.i=t,this.j=f,this.k=a,this.l=$,this.m=u,this.d=new Map,this.f=1,this.g=new Map,this.h=null,this.a=l.getProxy(I.$9M.MainThreadOutputService),this.b=this.k.extUri.joinPath(t.logsLocation,`output_logging_${(0,D.$4m)(new Date).replace(/-|:|\.\d+Z$/g,"")}`)}$setVisibleChannel(l){this.h=l;for(const[t,f]of this.g)f.visible=t===this.h}createOutputChannel(l,t,f){if(l=l.trim(),!l)throw new Error("illegal argument `name`. must not be falsy");const a=typeof t=="object"&&t.log,$=(0,b.$9f)(t)?t:void 0;if((0,b.$9f)($)&&!$.trim())throw new Error("illegal argument `languageId`. must not be empty");let u;const S=this.i.environment.extensionLogLevel?.find(([v])=>M.$Rm.equals(f.identifier,v))?.[1];S&&(u=(0,A.$hk)(S));const h=a?this.o(l,u,f):this.n(l,$,f);return h.then(v=>{this.g.set(v.id,v),v.visible=v.id===this.h}),a?this.r(l,u??this.m.getLevel(),h):this.q(l,h)}async n(l,t,f){this.c||(this.c=this.j.value.createDirectory(this.b).then(()=>this.b));const a=await this.c,$=this.k.extUri.joinPath(a,`${this.f++}-${l.replace(/[\\/:\*\?"<>\|]/g,"")}.log`),u=this.l.createLogger($,{logLevel:"always",donotRotate:!0,donotUseFormatters:!0,hidden:!0}),S=await this.a.$register(l,$,t,f.identifier.value);return new s(S,l,u,this.a,f)}async o(l,t,f){const a=await this.p(f),$=l.replace(/[\\/:\*\?"<>\|]/g,""),u=this.k.extUri.joinPath(a,`${$}.log`),S=`${f.identifier.value}.${$}`,h=this.l.createLogger(u,{id:S,name:l,logLevel:t,extensionId:f.identifier.value});return new i(S,l,h,this.a,f)}p(l){let t=this.d.get(l.identifier.value);if(!t){const f=this.k.extUri.joinPath(this.i.logsLocation,l.identifier.value);this.d.set(l.identifier.value,t=(async()=>{try{await this.j.value.createDirectory(f)}catch(a){if((0,m.$gl)(a)!==m.FileSystemProviderErrorCode.FileExists)throw a}return f})())}return t}q(l,t){let f=!1;const a=()=>{if(f)throw new Error("Channel has been closed")};return{get name(){return l},append($){a(),t.then(u=>u.append($))},appendLine($){a(),t.then(u=>u.appendLine($))},clear(){a(),t.then($=>$.clear())},replace($){a(),t.then(u=>u.replace($))},show($,u){a(),t.then(S=>S.show($,u))},hide(){a(),t.then($=>$.hide())},dispose(){f=!0,t.then($=>$.dispose())}}}r(l,t,f){const a=new o.$Uc,$=()=>{if(a.isDisposed)throw new Error("Channel has been closed")},u=a.add(new r.$ee);function S(h){t=h,u.fire(h)}return f.then(h=>{a.add(h),h.logLevel!==t&&S(h.logLevel),a.add(h.onDidChangeLogLevel(v=>S(v)))}),{...this.q(l,f),get logLevel(){return t},onDidChangeLogLevel:u.event,trace(h,...v){$(),f.then(g=>g.trace(h,...v))},debug(h,...v){$(),f.then(g=>g.debug(h,...v))},info(h,...v){$(),f.then(g=>g.info(h,...v))},warn(h,...v){$(),f.then(g=>g.warn(h,...v))},error(h,...v){$(),f.then(g=>g.error(h,...v))},dispose(){a.dispose()}}}};e.$Omc=n,e.$Omc=n=Je([We(0,R.$wP),We(1,E.$MP),We(2,p.$Alc),We(3,T.$dlc),We(4,A.$4j),We(5,A.$3j)],n),e.$Pmc=(0,O.$wi)("IExtHostOutputService")}),define(Ie[119],Pe([1,0,3,11]),function(le,e,I,O){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$hn=e.$gn=void 0,e.$gn=(0,I.$wi)("remoteAgentService"),e.$hn=new class{constructor(){this.maxSampleCount=5,this.sampleDelay=2e3,this.initial=[],this.maxInitialCount=3,this.average=[],this.maxAverageCount=100,this.highLatencyMultiple=2,this.highLatencyMinThreshold=500,this.highLatencyMaxThreshold=1500,this.lastMeasurement=void 0}get latency(){return this.lastMeasurement}async measure(R){let M=1/0;for(let w=0;w<this.maxSampleCount;w++){const p=await R.getRoundTripTime();if(p===void 0)return;M=Math.min(M,p/2),await(0,O.$xh)(this.sampleDelay)}this.average.push(M),this.average.length>this.maxAverageCount&&this.average.shift();let A;return this.initial.length<this.maxInitialCount?this.initial.push(M):A=this.initial.reduce((w,p)=>w+p,0)/this.initial.length,this.lastMeasurement={initial:A,current:M,average:this.average.reduce((w,p)=>w+p,0)/this.average.length,high:typeof A>"u"?!1:M>this.highLatencyMaxThreshold||M>this.highLatencyMinThreshold&&M>A*this.highLatencyMultiple},this.lastMeasurement}}}),define(Ie[296],Pe([1,0,184,51,29,45,50,6,5,119,22,25,11]),function(le,e,I,O,R,M,A,w,p,E,T,D,d){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$PJ=e.$OJ=e.$NJ=e.$MJ=e.$LJ=e.$KJ=e.$JJ=void 0,e.$JJ=Object.freeze({id:"application",order:100,title:(0,I.localize)(0,null),type:"object"}),e.$KJ=Object.freeze({id:"workbench",order:7,title:(0,I.localize)(1,null),type:"object"}),e.$LJ=Object.freeze({id:"security",scope:1,title:(0,I.localize)(2,null),type:"object",order:7}),e.$MJ=Object.freeze({id:"problems",title:(0,I.localize)(3,null),type:"object",order:101}),e.$NJ={ConfigurationMigration:"base.contributions.configuration.migration"};class b{constructor(){this.migrations=[],this.a=new p.$ee,this.onDidRegisterConfigurationMigration=this.a.event}registerConfigurationMigrations(i){this.migrations.push(...i)}}const m=new b;R.$co.add(e.$NJ.ConfigurationMigration,m);let r=class extends w.$Vc{static{this.ID="workbench.contrib.configurationMigration"}constructor(i,n){super(),this.a=i,this.b=n,this.B(this.b.onDidChangeWorkspaceFolders(async c=>{for(const l of c.added)await this.f(l,m.migrations)})),this.c(m.migrations),this.B(m.onDidRegisterConfigurationMigration(c=>this.c(c)))}async c(i){await this.f(void 0,i);for(const n of this.b.getWorkspace().folders)await this.f(n,i)}async f(i,n){await Promise.all([n.map(c=>this.g(c,i?.uri))])}async g(i,n){const c=this.a.inspect(i.key,{resource:n}),l=this.b.getWorkbenchState()===3?[["user",2],["userLocal",3],["userRemote",4],["workspace",5],["workspaceFolder",6]]:[["user",2],["userLocal",3],["userRemote",4],["workspace",5]];for(const[t,f]of l){const a=c[t];if(!a)continue;const $=[];if(a.value!==void 0){const u=await this.h(i,t,a.value,n,void 0);for(const S of u??[])$.push([S,[]])}for(const{identifiers:u,value:S}of a.overrides??[])if(S!==void 0){const h=await this.h(i,t,S,n,u);for(const v of h??[])$.push([v,u])}$.length&&await Promise.allSettled($.map(async([[u,S],h])=>this.a.updateValue(u,S.value,{resource:n,overrideIdentifiers:h},f)))}}async h(i,n,c,l,t){const f=$=>{const S=this.a.inspect($,{resource:l})[n];if(S)return t?S.overrides?.find(({identifiers:h})=>(0,D.$7n)(h,t))?.value:S.value},a=await i.migrateFn(c,f);return Array.isArray(a)?a:[[i.key,a]]}};e.$OJ=r,e.$OJ=r=Je([We(0,A.$3i),We(1,M.$Fi)],r);let o=class extends w.$Vc{static{this.ID="workbench.contrib.dynamicWorkbenchSecurityConfiguration"}constructor(i){super(),this.b=i,this.a=new d.$Th,this.ready=this.a.p,this.c()}async c(){try{await this.f()}finally{this.a.complete()}}async f(){if(!T.$i&&(await this.b.getEnvironment())?.os!==1)return;R.$co.as(O.$ho.Configuration).registerConfiguration({...e.$LJ,properties:{"security.allowedUNCHosts":{type:"array",items:{type:"string",pattern:"^[^\\\\]+$",patternErrorMessage:(0,I.localize)(4,null)},default:[],markdownDescription:(0,I.localize)(5,null),scope:2},"security.restrictUNCAccess":{type:"boolean",default:!0,markdownDescription:(0,I.localize)(6,null),scope:2}}})}};e.$PJ=o,e.$PJ=o=Je([We(0,E.$gn)],o)}),define(Ie[297],Pe([1,0,37,16,19,23,193,296,51,3,29]),function(le,e,I,O,R,M,A,w,p,E,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ResolvedStatus=e.RegisteredEditorPriority=e.$chb=e.$bhb=void 0,e.$dhb=r,e.$ehb=o,e.$bhb=(0,E.$wi)("editorResolverService"),e.$chb="workbench.editorAssociations";const D=T.$co.as(p.$ho.Configuration),d={...w.$KJ,properties:{"workbench.editorAssociations":{type:"object",markdownDescription:(0,A.localize)(0,null),additionalProperties:{type:"string"}}}};D.registerConfiguration(d);var b;(function(s){s.builtin="builtin",s.option="option",s.exclusive="exclusive",s.default="default"})(b||(e.RegisteredEditorPriority=b={}));var m;(function(s){s[s.ABORT=1]="ABORT",s[s.NONE=2]="NONE"})(m||(e.ResolvedStatus=m={}));function r(s){switch(s){case b.exclusive:return 5;case b.default:return 4;case b.builtin:return 3;case b.option:default:return 1}}function o(s,i){if(new Set([O.Schemas.extension,O.Schemas.webviewPanel,O.Schemas.vscodeWorkspaceTrust,O.Schemas.vscodeSettings]).has(i.scheme))return!1;const l=typeof s=="string"&&s.indexOf(R.$hc.sep)>=0?`${i.scheme}:${i.path}`:(0,M.$7g)(i);return I.$pk(typeof s=="string"?s.toLowerCase():s,l.toLowerCase())}}),define(Ie[298],Pe([1,0,48,16,19,22,23,2,3,214,45,236,119]),function(le,e,I,O,R,M,A,w,p,E,T,D,d){"use strict";var b;Object.defineProperty(e,"__esModule",{value:!0}),e.$LM=e.$KM=void 0,e.$KM=(0,p.$wi)("pathService");let m=b=class{constructor(o,s,i,n){this.d=o,this.e=s,this.f=i,this.g=n,this.a=(async()=>(await this.e.getEnvironment())?.os||M.OS)(),this.b=(async()=>{const c=await this.e.getEnvironment();return this.c=c?.userHome??o})()}hasValidBasename(o,s,i){return typeof s=="string"||typeof s>"u"?this.a.then(n=>this.h(o,n,s)):this.h(o,s,i)}h(o,s,i){return o.scheme===O.Schemas.file||o.scheme===O.Schemas.vscodeRemote?(0,I.$tg)(i??(0,A.$7g)(o),s===1):!0}get defaultUriScheme(){return b.findDefaultUriScheme(this.f,this.g)}static findDefaultUriScheme(o,s){if(o.remoteAuthority)return O.Schemas.vscodeRemote;const i=(0,E.$HM)(s.getWorkspace());if(i)return i;const n=s.getWorkspace().folders[0];if(n)return n.uri.scheme;const c=s.getWorkspace().configuration;return c?c.scheme:O.Schemas.file}userHome(o){return o?.preferLocal?this.d:this.b}get resolvedUserHome(){return this.c}get path(){return this.a.then(o=>o===1?R.$gc:R.$hc)}async fileURI(o){let s="";if(await this.a===1&&(o=o.replace(/\\/g,"/")),o[0]==="/"&&o[1]==="/"){const n=o.indexOf("/",2);n===-1?(s=o.substring(2),o="/"):(s=o.substring(2,n),o=o.substring(n)||"/")}return w.URI.from({scheme:O.Schemas.file,authority:s,path:o,query:"",fragment:""})}};e.$LM=m,e.$LM=m=b=Je([We(1,d.$gn),We(2,D.$tM),We(3,T.$Fi)],m)}),define(Ie[120],Pe([1,0]),function(le,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TextSearchCompleteMessageType=e.$eL=e.$dL=void 0;class I{constructor(A,w){this.line=A,this.character=w}isBefore(A){return!1}isBeforeOrEqual(A){return!1}isAfter(A){return!1}isAfterOrEqual(A){return!1}isEqual(A){return!1}compareTo(A){return 0}translate(A,w){return new I(0,0)}with(A){return new I(0,0)}}e.$dL=I;class O{constructor(A,w,p,E){this.isEmpty=!1,this.isSingleLine=!1,this.start=new I(A,w),this.end=new I(p,E)}contains(A){return!1}isEqual(A){return!1}intersection(A){}union(A){return new O(0,0,0,0)}with(A){return new O(0,0,0,0)}}e.$eL=O;var R;(function(M){M[M.Information=1]="Information",M[M.Warning=2]="Warning"})(R||(e.TextSearchCompleteMessageType=R={}))}),define(Ie[47],Pe([1,0,18,37,25,48,13,3,19,14,120,11]),function(le,e,I,O,R,M,A,w,p,E,T,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$DL=e.$BL=e.$uL=e.SearchErrorCode=e.SearchSortOrder=e.ViewMode=e.$rL=e.$qL=e.$pL=e.$oL=e.SearchCompletionExitCode=e.QueryType=e.SearchProviderType=e.$kL=e.$jL=e.$iL=e.$hL=e.$gL=e.$fL=e.TextSearchCompleteMessageType=void 0,e.$lL=s,e.$mL=i,e.$nL=n,e.$sL=h,e.$tL=v,e.$vL=y,e.$wL=C,e.$xL=P,e.$yL=W,e.$zL=V,e.$AL=q,e.$CL=j,e.$EL=ce,e.$FL=ye,Object.defineProperty(e,"TextSearchCompleteMessageType",{enumerable:!0,get:function(){return T.TextSearchCompleteMessageType}}),e.$fL="workbench.view.search",e.$gL="workbench.panel.search",e.$hL="workbench.view.search",e.$iL="search-result",e.$jL="search.exclude";const d="\u27EA ",b=" characters skipped \u27EB",m=(d.length+b.length+5)*2;e.$kL=(0,w.$wi)("searchService");var r;(function(fe){fe[fe.file=0]="file",fe[fe.text=1]="text",fe[fe.aiText=2]="aiText"})(r||(e.SearchProviderType=r={}));var o;(function(fe){fe[fe.File=1]="File",fe[fe.Text=2]="Text",fe[fe.aiText=3]="aiText"})(o||(e.QueryType=o={}));function s(fe){return!!fe.preview}function i(fe){return!!fe.resource}function n(fe){return!!fe.message}var c;(function(fe){fe[fe.Normal=0]="Normal",fe[fe.NewSearchStarted=1]="NewSearchStarted"})(c||(e.SearchCompletionExitCode=c={}));class l{constructor($e){this.resource=$e,this.results=[]}}e.$oL=l;class t{constructor($e,Te,ae,Ne){this.ranges=Te,this.webviewIndex=Ne;const ne=Array.isArray(Te)?Te:[Te];if(ae&&ae.matchLines===1&&f(ne)){$e=(0,A.$2f)($e,ae.matchLines);let z="",x=0,be=0;const Fe=Math.floor(ae.charsPerLine/5),De=[];for(const we of ne){const ge=Math.max(we.startColumn-Fe,0),Q=we.startColumn+ae.charsPerLine;if(ge>be+Fe+m){const Y=d+(ge-be)+b;z+=Y+$e.slice(ge,Q),x+=ge-(be+Y.length)}else z+=$e.slice(be,Q);De.push(new $(0,we.startColumn-x,we.endColumn-x)),be=Q}this.preview={text:z,matches:Array.isArray(this.ranges)?De:De[0]}}else{const z=Array.isArray(Te)?Te[0].startLineNumber:Te.startLineNumber;this.preview={text:$e,matches:(0,I.$2b)(Te,x=>new a(x.startLineNumber-z,x.startColumn,x.endLineNumber-z,x.endColumn))}}}}e.$pL=t;function f(fe){const $e=fe[0].startLineNumber;for(const Te of fe)if(Te.startLineNumber!==$e||Te.endLineNumber!==$e)return!1;return!0}class a{constructor($e,Te,ae,Ne){this.startLineNumber=$e,this.startColumn=Te,this.endLineNumber=ae,this.endColumn=Ne}}e.$qL=a;class $ extends a{constructor($e,Te,ae){super($e,Te,$e,ae)}}e.$rL=$;var u;(function(fe){fe.List="list",fe.Tree="tree"})(u||(e.ViewMode=u={}));var S;(function(fe){fe.Default="default",fe.FileNames="fileNames",fe.Type="type",fe.Modified="modified",fe.CountDescending="countDescending",fe.CountAscending="countAscending"})(S||(e.SearchSortOrder=S={}));function h(fe,$e=!0){const Te=fe&&fe.files&&fe.files.exclude,ae=$e&&fe&&fe.search&&fe.search.exclude;if(!Te&&!ae)return;if(!Te||!ae)return Te||ae;let Ne=Object.create(null);return Ne=R.$6n(Ne,R.$3n(Te)),Ne=R.$6n(Ne,R.$3n(ae),!0),Ne}function v(fe,$e){return fe.excludePattern&&O.$pk(fe.excludePattern,$e)?!1:fe.includePattern||fe.usingSearchPaths?fe.includePattern&&O.$pk(fe.includePattern,$e)?!0:fe.usingSearchPaths?!!fe.folderQueries&&fe.folderQueries.some(Te=>{const ae=Te.folder.fsPath;if(M.$vg($e,ae)){const Ne=p.$mc(ae,$e);return!Te.includePattern||!!O.$pk(Te.includePattern,Ne)}else return!1}):!1:!0}var g;(function(fe){fe[fe.unknownEncoding=1]="unknownEncoding",fe[fe.regexParseError=2]="regexParseError",fe[fe.globParseError=3]="globParseError",fe[fe.invalidLiteral=4]="invalidLiteral",fe[fe.rgProcessError=5]="rgProcessError",fe[fe.other=6]="other",fe[fe.canceled=7]="canceled"})(g||(e.SearchErrorCode=g={}));class k extends Error{constructor($e,Te){super($e),this.code=Te}}e.$uL=k;function y(fe){const $e=fe.message;if((0,E.$4)(fe))return new k($e,g.canceled);try{const Te=JSON.parse($e);return new k(Te.message,Te.code)}catch{return new k($e,g.other)}}function C(fe){const $e={message:fe.message,code:fe.code};return new Error(JSON.stringify($e))}function P(fe){return fe.type==="error"?!0:fe.type==="success"}function W(fe){return fe.type==="success"}function V(fe){return!!fe.path}function q(fe,$e,Te=!0){const ae=fe.searchPath?fe.searchPath:fe.relativePath;return Te?(0,A.$Yf)(ae,$e):O.$pk($e,ae)}class N{constructor($e){this.path=$e,this.results=[]}addMatch($e){this.results.push($e)}serialize(){return{path:this.path,results:this.results,numMatches:this.results.length}}}e.$BL=N;function j(fe,$e){const Te={...fe||{},...$e||{}};return Object.keys(Te).filter(ae=>{const Ne=Te[ae];return typeof Ne=="boolean"&&Ne})}class K{constructor($e,Te){this.c=null,this.a={...$e.excludePattern||{},...Te.excludePattern||{}},this.b=O.$qk(this.a);let ae=$e.includePattern;Te.includePattern&&(ae?ae={...ae,...Te.includePattern}:ae=Te.includePattern),ae&&(this.c=O.$qk(ae))}matchesExcludesSync($e,Te,ae){return!!(this.b&&this.b($e,Te,ae))}includedInQuerySync($e,Te,ae){return!(this.b&&this.b($e,Te,ae)||this.c&&!this.c($e,Te,ae))}includedInQuery($e,Te,ae){const Ne=this.b($e,Te,ae),ne=()=>this.c?!!this.c($e,Te,ae):!0;return(0,D.$ih)(Ne)?Ne.then(z=>z?!1:ne()):ne()}hasSiblingExcludeClauses(){return ie(this.a)}}e.$DL=K;function ie(fe){for(const $e in fe)if(typeof fe[$e]!="boolean")return!0;return!1}function ce(fe){if(!fe)return;let $e;return Te=>($e||($e=(fe()||Promise.resolve([])).then(ae=>ae?Se(ae):{})),$e.then(ae=>!!ae[Te]))}function ye(fe){if(!fe)return;let $e;return Te=>{if(!$e){const ae=fe();$e=ae?Se(ae):{}}return!!$e[Te]}}function Se(fe){const $e={};for(const Te of fe)$e[Te]=!0;return $e}}),define(Ie[39],Pe([1,0,18,11,24,5,6,54,16,129,23,13,2,183,3,12,202,45,46,27,17,8,7,61,47,4,49]),function(le,e,I,O,R,M,A,w,p,E,T,D,d,b,m,r,o,s,i,n,c,l,t,f,a,$,u){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$vlc=e.$ulc=void 0;function S(W,V,q){return new T.$Yg(N=>k(N,q)).isEqual(W,V)}function h(W,V,q){return S(W.uri,V.uri,q)?0:(0,D.$rf)(W.uri.toString(),V.uri.toString())}function v(W,V,q){return W.index!==V.index?W.index<V.index?-1:1:S(W.uri,V.uri,q)?(0,D.$rf)(W.name,V.name):(0,D.$rf)(W.uri.toString(),V.uri.toString())}function g(W,V,q,N){const j=W.slice(0).sort((ie,ce)=>q(ie,ce,N)),K=V.slice(0).sort((ie,ce)=>q(ie,ce,N));return(0,I.$Eb)(j,K,(ie,ce)=>q(ie,ce,N))}function k(W,V){const q=V.getCapabilities(W.scheme);return!(q&&q&1024)}class y extends s.$Pi{static toExtHostWorkspace(V,q,N,j){if(!V)return{workspace:null,added:[],removed:[]};const{id:K,name:ie,folders:ce,configuration:ye,transient:Se,isUntitled:fe}=V,$e=[],Te=q;q?ce.forEach((z,x)=>{const be=d.URI.revive(z.uri),Fe=y.o(N||q,be,j);Fe?(Fe.name=z.name,Fe.index=z.index,$e.push(Fe)):$e.push({uri:be,name:z.name,index:x})}):$e.push(...ce.map(({uri:z,name:x,index:be})=>({uri:d.URI.revive(z),name:x,index:be}))),$e.sort((z,x)=>z.index<x.index?-1:1);const ae=new y(K,ie,$e,!!Se,ye?d.URI.revive(ye):null,!!fe,z=>k(z,j)),{added:Ne,removed:ne}=g(Te?Te.workspaceFolders:[],ae.workspaceFolders,h,j);return{workspace:ae,added:Ne,removed:ne}}static o(V,q,N){for(let j=0;j<V.folders.length;j++){const K=V.workspaceFolders[j];if(S(K.uri,q,N))return K}}constructor(V,q,N,j,K,ie,ce){super(V,N.map(ye=>new s.$Qi(ye)),j,K,ce),this.t=q,this.u=ie,this.q=[],this.s=w.$Ci.forUris(ce),N.forEach(ye=>{this.q.push(ye),this.s.set(ye.uri,ye)})}get name(){return this.t}get isUntitled(){return this.u}get workspaceFolders(){return this.q.slice(0)}getWorkspaceFolder(V,q){return q&&this.s.get(V)&&(V=(0,T.$9g)(V)),this.s.findSubstr(V)}resolveWorkspaceFolder(V){return this.s.get(V)}}let C=class{constructor(V,q,N,j,K){this.c=new M.$ee,this.onDidChangeWorkspace=this.c.event,this.g=new M.$ee,this.onDidGrantWorkspaceTrust=this.g.event,this.u=[],this.v=!1,this.w=new Map,this.A=0,this.B=new M.$ge,this.C=new Map,this.h=j,this.s=N,this.t=K,this.j=new E.$Dm,this.k=new O.$vh,this.o=V.getProxy($.$9M.MainThreadWorkspace),this.q=V.getProxy($.$9M.MainThreadMessageService);const ie=q.workspace;this.l=ie?new y(ie.id,ie.name,[],!!ie.transient,ie.configuration?d.URI.revive(ie.configuration):null,!!ie.isUntitled,ce=>k(ce,N)):void 0}$initializeWorkspace(V,q){this.v=q,this.$acceptWorkspaceData(V),this.k.open()}waitForInitializeCall(){return this.k.wait()}get workspace(){return this.x}get name(){return this.x?this.x.name:void 0}get workspaceFile(){if(this.x&&this.x.configuration)return this.x.isUntitled?d.URI.from({scheme:p.Schemas.untitled,path:(0,T.$7g)((0,T.$9g)(this.x.configuration))}):this.x.configuration}get x(){return this.n||this.l}getWorkspaceFolders(){if(this.x)return this.x.workspaceFolders.slice(0)}async getWorkspaceFolders2(){if(await this.k.wait(),!!this.x)return this.x.workspaceFolders.slice(0)}updateWorkspaceFolders(V,q,N,...j){const K=[];if(Array.isArray(j)&&j.forEach(fe=>{d.URI.isUri(fe.uri)&&!K.some($e=>S($e.uri,fe.uri,this.s))&&K.push({uri:fe.uri,name:fe.name||(0,T.$6g)(fe.uri)})}),this.n||[q,N].some(fe=>typeof fe!="number"||fe<0)||N===0&&K.length===0)return!1;const ie=this.x?this.x.workspaceFolders:[];if(q+N>ie.length)return!1;const ce=ie.slice(0);ce.splice(q,N,...K.map(fe=>({uri:fe.uri,name:fe.name||(0,T.$6g)(fe.uri),index:void 0})));for(let fe=0;fe<ce.length;fe++){const $e=ce[fe];if(ce.some((Te,ae)=>ae!==fe&&S($e.uri,Te.uri,this.s)))return!1}ce.forEach((fe,$e)=>fe.index=$e);const{added:ye,removed:Se}=g(ie,ce,v,this.s);if(ye.length===0&&Se.length===0)return!1;if(this.o){const fe=V.displayName||V.name;this.o.$updateWorkspaceFolders(fe,q,N,K).then(void 0,$e=>{this.n=void 0;const Te={source:{identifier:V.identifier,label:V.displayName||V.name}};this.q.$showMessage(o.Severity.Error,(0,b.localize)(0,null,fe,$e.toString()),Te,[])})}return this.y(ce),!0}getWorkspaceFolder(V,q){if(this.x)return this.x.getWorkspaceFolder(V,q)}async getWorkspaceFolder2(V,q){if(await this.k.wait(),!!this.x)return this.x.getWorkspaceFolder(V,q)}async resolveWorkspaceFolder(V){if(await this.k.wait(),!!this.x)return this.x.resolveWorkspaceFolder(V)}getPath(){if(!this.x)return;const{folders:V}=this.x;if(V.length!==0)return V[0].uri.fsPath}getRelativePath(V,q){let N,j="";if(typeof V=="string"?(N=d.URI.file(V),j=V):typeof V<"u"&&(N=V,j=V.fsPath),!N)return j;const K=this.getWorkspaceFolder(N,!0);if(!K)return j;typeof q>"u"&&this.x&&(q=this.x.folders.length>1);let ie=(0,T.$_g)(K.uri,N);return q&&K.name&&(ie=`${K.name}/${ie}`),ie}y(V){this.x&&(this.n=y.toExtHostWorkspace({id:this.x.id,name:this.x.name,configuration:this.x.configuration,folders:V,isUntitled:this.x.isUntitled},this.x,void 0,this.s).workspace||void 0)}$acceptWorkspaceData(V){const{workspace:q,added:N,removed:j}=y.toExtHostWorkspace(V,this.l,this.n,this.s);this.l=q||void 0,this.n=void 0,this.c.fire(Object.freeze({added:N,removed:j}))}findFiles(V,q,N,j,K=R.CancellationToken.None){this.h.trace(`extHostWorkspace#findFiles: fileSearch, extension: ${j.value}, entryPoint: findFiles`);let ie="",ce=!0;return q===null?ce=!1:q!==void 0&&(typeof q=="string"?ie=q:ie=q.pattern),this.z(V,void 0,{exclude:ie,maxResults:N,useDefaultExcludes:ce,useDefaultSearchExcludes:!1,useIgnoreFiles:!1},K)}findFiles2(V,q={},N,j=R.CancellationToken.None){return this.h.trace(`extHostWorkspace#findFiles2: fileSearch, extension: ${N.value}, entryPoint: findFiles2`),this.z(void 0,V,q,j)}async z(V,q,N,j=R.CancellationToken.None){if(j&&j.isCancellationRequested)return Promise.resolve([]);const K=typeof N.exclude=="string"?N.exclude:N.exclude?N.exclude.pattern:void 0,ie={ignoreSymlinks:typeof N.followSymlinks=="boolean"?!N.followSymlinks:void 0,disregardIgnoreFiles:typeof N.useIgnoreFiles=="boolean"?!N.useIgnoreFiles:void 0,disregardGlobalIgnoreFiles:typeof N.useGlobalIgnoreFiles=="boolean"?!N.useGlobalIgnoreFiles:void 0,disregardParentIgnoreFiles:typeof N.useParentIgnoreFiles=="boolean"?!N.useParentIgnoreFiles:void 0,disregardExcludeSettings:typeof N.useDefaultExcludes=="boolean"?!N.useDefaultExcludes:!1,disregardSearchExcludeSettings:typeof N.useDefaultSearchExcludes=="boolean"?!N.useDefaultSearchExcludes:!1,maxResults:N.maxResults,excludePattern:K,shouldGlobSearch:typeof N.fuzzy=="boolean"?!N.fuzzy:!0,_reason:"startFileSearch"};let ce;if(V){const{includePattern:ye,folder:Se}=P(l.GlobPattern.from(V));ce=Se,ie.includePattern=ye}else{const{includePattern:ye,folder:Se}=P(l.GlobPattern.from(q));ce=Se,ie.filePattern=ye}return this.o.$startFileSearch(ce??null,ie,j).then(ye=>Array.isArray(ye)?ye.map(Se=>d.URI.revive(Se)):[])}async findTextInFiles(V,q,N,j,K=R.CancellationToken.None){this.h.trace(`extHostWorkspace#findTextInFiles: textSearch, extension: ${j.value}, entryPoint: findTextInFiles`);const ie=this.j.getNext(),ce=typeof q.previewOptions>"u"?{matchLines:100,charsPerLine:1e4}:q.previewOptions,{includePattern:ye,folder:Se}=P(l.GlobPattern.from(q.include)),fe=typeof q.exclude=="string"?q.exclude:q.exclude?q.exclude.pattern:void 0,$e={ignoreSymlinks:typeof q.followSymlinks=="boolean"?!q.followSymlinks:void 0,disregardIgnoreFiles:typeof q.useIgnoreFiles=="boolean"?!q.useIgnoreFiles:void 0,disregardGlobalIgnoreFiles:typeof q.useGlobalIgnoreFiles=="boolean"?!q.useGlobalIgnoreFiles:void 0,disregardParentIgnoreFiles:typeof q.useParentIgnoreFiles=="boolean"?!q.useParentIgnoreFiles:void 0,disregardExcludeSettings:typeof q.useDefaultExcludes=="boolean"?!q.useDefaultExcludes:!0,fileEncoding:q.encoding,maxResults:q.maxResults,previewOptions:ce,afterContext:q.afterContext,beforeContext:q.beforeContext,includePattern:ye,excludePattern:fe},Te=!1;if(this.u[ie]=ae=>{if(Te)return;const Ne=d.URI.revive(ae.resource);ae.results.forEach(ne=>{const z=(0,u.$6h)(ne);(0,a.$lL)(z)?N({uri:Ne,preview:{text:z.preview.text,matches:(0,I.$2b)(z.preview.matches,x=>new t.$aN(x.startLineNumber,x.startColumn,x.endLineNumber,x.endColumn))},ranges:(0,I.$2b)(z.ranges,x=>new t.$aN(x.startLineNumber,x.startColumn,x.endLineNumber,x.endColumn))}):N({uri:Ne,text:z.text,lineNumber:z.lineNumber})})},K.isCancellationRequested)return{};try{const ae=await this.o.$startTextSearch(V,Se??null,$e,ie,K);return delete this.u[ie],ae||{}}catch(ae){throw delete this.u[ie],ae}}$handleTextSearchResult(V,q){this.u[q]?.(V)}async save(V){const q=await this.o.$save(V,{saveAs:!1});return d.URI.revive(q)}async saveAs(V){const q=await this.o.$save(V,{saveAs:!0});return d.URI.revive(q)}saveAll(V){return this.o.$saveAll(V)}resolveProxy(V){return this.o.$resolveProxy(V)}loadCertificates(){return this.o.$loadCertificates()}get trusted(){return this.v}requestWorkspaceTrust(V){return this.o.$requestWorkspaceTrust(V)}$onDidGrantWorkspaceTrust(){this.v||(this.v=!0,this.g.fire())}registerEditSessionIdentityProvider(V,q){if(this.w.has(V))throw new Error(`A provider has already been registered for scheme ${V}`);this.w.set(V,q);const N=this.t.transformOutgoingScheme(V),j=this.A++;return this.o.$registerEditSessionIdentityProvider(j,N),(0,A.$Tc)(()=>{this.w.delete(V),this.o.$unregisterEditSessionIdentityProvider(j)})}async $getEditSessionIdentifier(V,q){this.h.info("Getting edit session identifier for workspaceFolder",V);const N=await this.resolveWorkspaceFolder(d.URI.revive(V));if(!N){this.h.warn("Unable to resolve workspace folder");return}this.h.info("Invoking #provideEditSessionIdentity for workspaceFolder",N);const j=this.w.get(N.uri.scheme);if(this.h.info(`Provider for scheme ${N.uri.scheme} is defined: `,!!j),!j)return;const K=await j.provideEditSessionIdentity(N,q);if(this.h.info("Provider returned edit session identifier: ",K),!!K)return K}async $provideEditSessionIdentityMatch(V,q,N,j){this.h.info("Getting edit session identifier for workspaceFolder",V);const K=await this.resolveWorkspaceFolder(d.URI.revive(V));if(!K){this.h.warn("Unable to resolve workspace folder");return}this.h.info("Invoking #provideEditSessionIdentity for workspaceFolder",K);const ie=this.w.get(K.uri.scheme);if(this.h.info(`Provider for scheme ${K.uri.scheme} is defined: `,!!ie),!ie)return;const ce=await ie.provideEditSessionIdentityMatch?.(q,N,j);if(this.h.info("Provider returned edit session identifier match result: ",ce),!!ce)return ce}getOnWillCreateEditSessionIdentityEvent(V){return(q,N,j)=>{const K=function(ce){q.call(N,ce)};return K.extension=V,this.B.event(K,void 0,j)}}async $onWillCreateEditSessionIdentity(V,q,N){const j=await this.resolveWorkspaceFolder(d.URI.revive(V));if(j===void 0)throw new Error("Unable to resolve workspace folder");await this.B.fireAsync({workspaceFolder:j},q,async(K,ie)=>{const ce=Date.now();await Promise.resolve(K),Date.now()-ce>N&&this.h.warn("SLOW edit session create-participant",ie.extension.identifier)}),q.isCancellationRequested}registerCanonicalUriProvider(V,q){if(this.C.has(V))throw new Error(`A provider has already been registered for scheme ${V}`);this.C.set(V,q);const N=this.t.transformOutgoingScheme(V),j=this.A++;return this.o.$registerCanonicalUriProvider(j,N),(0,A.$Tc)(()=>{this.C.delete(V),this.o.$unregisterCanonicalUriProvider(j)})}async provideCanonicalUri(V,q,N){const j=this.C.get(V.scheme);if(!j)return;const K=await j.provideCanonicalUri?.(d.URI.revive(V),q,N);if(K)return K}async $provideCanonicalUri(V,q,N){return this.provideCanonicalUri(d.URI.revive(V),{targetScheme:q},N)}};e.$ulc=C,e.$ulc=C=Je([We(0,c.$wP),We(1,n.$MP),We(2,i.$dlc),We(3,r.$3j),We(4,f.$slc)],C),e.$vlc=(0,m.$wi)("IExtHostWorkspace");function P(W){let V,q;return W&&(typeof W=="string"?V=W:(V=W.pattern,q=d.URI.revive(W.baseUri))),{includePattern:V,folder:q}}}),define(Ie[40],Pe([1,0,25,5,39,4,7,203,51,15,11,3,17,12,2]),function(le,e,I,O,R,M,A,w,p,E,T,D,d,b,m){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$ylc=e.$xlc=e.$wlc=void 0;function r(f,a){if(a){const $=a.split(".");let u=f;for(let S=0;u&&S<$.length;S++)u=u[$[S]];return u}}function o(f){return f instanceof m.URI}function s(f){return f&&f.uri instanceof m.URI&&f.languageId&&typeof f.languageId=="string"}function i(f){return f&&!f.uri&&f.languageId&&typeof f.languageId=="string"}function n(f){return f&&f.uri instanceof m.URI&&(!f.name||typeof f.name=="string")&&(!f.index||typeof f.index=="number")}function c(f){if(o(f))return{resource:f};if(s(f))return{resource:f.uri,overrideIdentifier:f.languageId};if(i(f))return{overrideIdentifier:f.languageId};if(n(f))return{resource:f.uri};if(f===null)return{resource:null}}let l=class{constructor(a,$,u){this.a=a.getProxy(M.$9M.MainThreadConfiguration),this.c=$,this.b=u,this.d=new T.$vh,this.e=null}getConfigProvider(){return this.d.wait().then(a=>this.e)}$initializeConfiguration(a){this.e=new t(this.a,this.c,a,this.b),this.d.open()}$acceptConfigurationChanged(a,$){this.getConfigProvider().then(u=>u.$acceptConfigurationChanged(a,$))}};e.$wlc=l,e.$wlc=l=Je([We(0,d.$wP),We(1,R.$vlc),We(2,b.$3j)],l);class t{constructor(a,$,u,S){this.a=new O.$ee,this.b=a,this.f=S,this.c=$,this.e=w.$Ao.parse(u,S),this.d=this.k(u.configurationScopes)}get onDidChangeConfiguration(){return this.a&&this.a.event}$acceptConfigurationChanged(a,$){const u={data:this.e.toData(),workspace:this.c.workspace};this.e=w.$Ao.parse(a,this.f),this.d=this.k(a.configurationScopes),this.a.fire(this.j($,u))}getConfiguration(a,$,u){const S=c($)||{},h=this.g(a?r(this.e.getValue(void 0,S,this.c.workspace),a):this.e.getValue(void 0,S,this.c.workspace));a&&this.h(a,S,u?.identifier);function v(k){if(k==null)return null;if(typeof k=="boolean")return k?2:5;switch(k){case A.ConfigurationTarget.Global:return 2;case A.ConfigurationTarget.Workspace:return 5;case A.ConfigurationTarget.WorkspaceFolder:return 6}}const g={has(k){return typeof r(h,k)<"u"},get:(k,y)=>{this.h(a?`${a}.${k}`:k,S,u?.identifier);let C=r(h,k);if(typeof C>"u")C=y;else{let P;const W=(V,q)=>{if((0,E.$$f)(V)){let N;const j=()=>{P=P||(0,I.$3n)(h),N=N||r(P,q)};return new Proxy(V,{get:(K,ie)=>{if(typeof ie=="string"&&ie.toLowerCase()==="tojson")return j(),()=>N;if(P)return N=N||r(P,q),N[ie];const ce=K[ie];return typeof ie=="string"?W(ce,`${q}.${ie}`):ce},set:(K,ie,ce)=>(j(),N&&(N[ie]=ce),!0),deleteProperty:(K,ie)=>(j(),N&&delete N[ie],!0),defineProperty:(K,ie,ce)=>(j(),N&&Object.defineProperty(N,ie,ce),!0)})}return Array.isArray(V)?(0,I.$3n)(V):V};C=W(C,k)}return C},update:(k,y,C,P)=>{k=a?`${a}.${k}`:k;const W=v(C);return y!==void 0?this.b.$updateConfigurationOption(W,k,y,S,P):this.b.$removeConfigurationOption(W,k,S,P)},inspect:k=>{k=a?`${a}.${k}`:k;const y=this.e.inspect(k,S,this.c.workspace);if(y)return{key:k,defaultValue:(0,I.$3n)(y.policy?.value??y.default?.value),globalValue:(0,I.$3n)(y.user?.value??y.application?.value),workspaceValue:(0,I.$3n)(y.workspace?.value),workspaceFolderValue:(0,I.$3n)(y.workspaceFolder?.value),defaultLanguageValue:(0,I.$3n)(y.default?.override),globalLanguageValue:(0,I.$3n)(y.user?.override??y.application?.override),workspaceLanguageValue:(0,I.$3n)(y.workspace?.override),workspaceFolderLanguageValue:(0,I.$3n)(y.workspaceFolder?.override),languageIds:(0,I.$3n)(y.overrideIdentifiers)}}};return typeof h=="object"&&(0,I.$6n)(g,h,!1),Object.freeze(g)}g(a){const $=u=>(0,E.$$f)(u)?new Proxy(u,{get:(S,h)=>$(S[h]),set:(S,h,v)=>{throw new Error(`TypeError: Cannot assign to read only property '${String(h)}' of object`)},deleteProperty:(S,h)=>{throw new Error(`TypeError: Cannot delete read only property '${String(h)}' of object`)},defineProperty:(S,h)=>{throw new Error(`TypeError: Cannot define property '${String(h)}' for a readonly object`)},setPrototypeOf:S=>{throw new Error("TypeError: Cannot set prototype for a readonly object")},isExtensible:()=>!1,preventExtensions:()=>!0}):u;return $(a)}h(a,$,u){const S=p.$ro.test(a)?4:this.d.get(a),h=u?`[${u.value}] `:"";if(S===4){typeof $?.resource>"u"&&this.f.warn(`${h}Accessing a resource scoped configuration without providing a resource is not expected. To get the effective value for '${a}', provide the URI of a resource or 'null' for any resource.`);return}if(S===3){$?.resource&&this.f.warn(`${h}Accessing a window scoped configuration for a resource is not expected. To associate '${a}' to a resource, define its scope to 'resource' in configuration contributions in 'package.json'.`);return}}j(a,$){const u=new w.$Co(a,$,this.e,this.c.workspace,this.f);return Object.freeze({affectsConfiguration:(S,h)=>u.affectsConfiguration(S,c(h))})}k(a){return a.reduce(($,u)=>($.set(u[0],u[1]),$),new Map)}}e.$xlc=t,e.$ylc=(0,D.$wi)("IExtHostConfiguration")}),define(Ie[121],Pe([1,0,2,11,5,4,7,39,68,40,24,53,17,27,3,16,22,12,80,241,14]),function(le,e,I,O,R,M,A,w,p,E,T,D,d,b,m,r,o,s,i,n,c){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$3mc=e.$2mc=e.$1mc=e.TaskDTO=e.TaskHandleDTO=e.CustomExecutionDTO=void 0;var l;(function(W){function V(N){if(N!=null)return N}W.from=V;function q(N){if(N!=null)return N}W.to=q})(l||(l={}));var t;(function(W){function V(N){if(N!=null)return N}W.from=V;function q(N){if(N!=null)return N}W.to=q})(t||(t={}));var f;(function(W){function V(N){if(N!=null)return N}W.from=V;function q(N){if(N!=null)return N}W.to=q})(f||(f={}));var a;(function(W){function V(j){if(j){const K=j;return K&&!!K.process}else return!1}W.is=V;function q(j){if(j==null)return;const K={process:j.process,args:j.args};return j.options&&(K.options=f.from(j.options)),K}W.from=q;function N(j){if(j!=null)return new A.$UN(j.process,j.args,j.options)}W.to=N})(a||(a={}));var $;(function(W){function V(N){if(N!=null)return N}W.from=V;function q(N){if(N!=null)return N}W.to=q})($||($={}));var u;(function(W){function V(j){if(j){const K=j;return K&&(!!K.commandLine||!!K.command)}else return!1}W.is=V;function q(j){if(j==null)return;const K={};return j.commandLine!==void 0?K.commandLine=j.commandLine:(K.command=j.command,K.args=j.args),j.options&&(K.options=$.from(j.options)),K}W.from=q;function N(j){if(!(j==null||j.command===void 0&&j.commandLine===void 0))return j.commandLine?new A.$VN(j.commandLine,j.options):new A.$VN(j.command,j.args?j.args:[],j.options)}W.to=N})(u||(u={}));var S;(function(W){function V(j){if(j){const K=j;return K&&K.customExecution==="customExecution"}else return!1}W.is=V;function q(j){return{customExecution:"customExecution"}}W.from=q;function N(j,K){return K.get(j)}W.to=N})(S||(e.CustomExecutionDTO=S={}));var h;(function(W){function V(q,N){let j;return q.scope!==void 0&&typeof q.scope!="number"?j=q.scope.uri:q.scope!==void 0&&typeof q.scope=="number"&&(q.scope===A.TaskScope.Workspace&&N&&N.workspaceFile?j=N.workspaceFile:j=n.$cI),{id:q._id,workspaceFolder:j}}W.from=V})(h||(e.TaskHandleDTO=h={}));var v;(function(W){function V(q){if(q!=null)return{_id:q.id,isDefault:q.isDefault}}W.from=V})(v||(v={}));var g;(function(W){function V(j,K){if(j==null)return[];const ie=[];for(const ce of j){const ye=q(ce,K);ye&&ie.push(ye)}return ie}W.fromMany=V;function q(j,K){if(j==null)return;let ie;j.execution instanceof A.$UN?ie=a.from(j.execution):j.execution instanceof A.$VN?ie=u.from(j.execution):j.execution&&j.execution instanceof A.$WN&&(ie=S.from(j.execution));const ce=l.from(j.definition);let ye;return j.scope?typeof j.scope=="number"?ye=j.scope:ye=j.scope.uri:ye=A.TaskScope.Workspace,!ce||!ye?void 0:{_id:j._id,definition:ce,name:j.name,source:{extensionId:K.identifier.value,label:j.source,scope:ye},execution:ie,isBackground:j.isBackground,group:v.from(j.group),presentationOptions:t.from(j.presentationOptions),problemMatchers:j.problemMatchers,hasDefinedMatchers:j.hasDefinedMatchers,runOptions:j.runOptions?j.runOptions:{reevaluateOnRerun:!0},detail:j.detail}}W.from=q;async function N(j,K,ie){if(j==null)return;let ce;a.is(j.execution)?ce=a.to(j.execution):u.is(j.execution)?ce=u.to(j.execution):S.is(j.execution)&&(ce=S.to(j._id,ie));const ye=l.to(j.definition);let Se;if(j.source&&(j.source.scope!==void 0?typeof j.source.scope=="number"?Se=j.source.scope:Se=await K.resolveWorkspaceFolder(I.URI.revive(j.source.scope)):Se=A.TaskScope.Workspace),!ye||!Se)return;const fe=new A.$XN(ye,Se,j.name,j.source.label,ce,j.problemMatchers);return j.isBackground!==void 0&&(fe.isBackground=j.isBackground),j.group!==void 0&&(fe.group=A.$TN.from(j.group._id),fe.group&&j.group.isDefault&&(fe.group=new A.$TN(fe.group.id,fe.group.label),j.group.isDefault===!0&&(fe.group.isDefault=j.group.isDefault))),j.presentationOptions&&(fe.presentationOptions=t.to(j.presentationOptions)),j._id&&(fe._id=j._id),j.detail&&(fe.detail=j.detail),fe}W.to=N})(g||(e.TaskDTO=g={}));var k;(function(W){function V(N){return N}W.from=V;function q(N){if(N)return Object.assign(Object.create(null),N)}W.to=q})(k||(k={}));class y{#e;constructor(V,q,N){this._id=q,this.a=N,this.#e=V}get task(){return this.a}terminate(){this.#e.terminateTask(this)}fireDidStartProcess(V){}fireDidEndProcess(V){}}let C=class{constructor(V,q,N,j,K,ie,ce,ye){this.q=new R.$ee,this.r=new R.$ee,this.s=new R.$ee,this.u=new R.$ee,this.a=V.getProxy(M.$9M.MainThreadTask),this.b=N,this.c=j,this.d=K,this.e=ie,this.h=0,this.j=new Map,this.k=new Map,this.l=new Map,this.m=new Map,this.n=new Set,this.o=new Map,this.f=ce,this.g=ye,this.a.$registerSupportedExecutions(!0)}registerTaskProvider(V,q,N){if(!N)return new A.$$M(()=>{});const j=this.x();return this.j.set(j,{type:q,provider:N,extension:V}),this.a.$registerTaskProvider(j,q),new A.$$M(()=>{this.j.delete(j),this.a.$unregisterTaskProvider(j)})}registerTaskSystem(V,q){this.a.$registerTaskSystem(V,q)}fetchTasks(V){return this.a.$fetchTasks(k.from(V)).then(async q=>{const N=[];for(const j of q){const K=await g.to(j,this.b,this.m);K&&N.push(K)}return N})}get taskExecutions(){const V=[];return this.k.forEach(q=>V.push(q)),V}terminateTask(V){if(!(V instanceof y))throw new Error("No valid task execution provided");return this.a.$terminateTask(V._id)}get onDidStartTask(){return this.q.event}async $onDidStartTask(V,q,N){const j=this.m.get(V.id);j&&(this.o.set(V.id,j),this.e.attachPtyToTerminal(q,await j.callback(N))),this.p=V.id,this.q.fire({execution:await this.z(V)})}get onDidEndTask(){return this.r.event}async $OnDidEndTask(V){if(!this.l.has(V.id))return;const q=await this.z(V);this.l.delete(V.id),this.k.delete(V.id),this.B(V),this.r.fire({execution:q})}get onDidStartTaskProcess(){return this.s.event}async $onDidStartTaskProcess(V){const q=await this.z(V.id);this.s.fire({execution:q,processId:V.processId})}get onDidEndTaskProcess(){return this.u.event}async $onDidEndTaskProcess(V){const q=await this.z(V.id);this.u.fire({execution:q,exitCode:V.exitCode})}$provideTasks(V,q){const N=this.j.get(V);if(!N)return Promise.reject(new Error("no handler found"));const j=[],K=(0,O.$oh)(()=>N.provider.provideTasks(T.CancellationToken.None)).then(ie=>this.v(q,j,N,ie));return new Promise(ie=>{K.then(ce=>{Promise.all(j).then(()=>{ie(ce)})})})}async $resolveTask(V,q){const N=this.j.get(V);if(!N)return Promise.reject(new Error("no handler found"));if(q.definition.type!==N.type)throw new Error(`Unexpected: Task of type [${q.definition.type}] cannot be resolved by provider of type [${N.type}].`);const j=await g.to(q,this.b,this.m);if(!j)throw new Error("Unexpected: Task cannot be resolved.");const K=await N.provider.resolveTask(j,T.CancellationToken.None);if(!K)return;this.A(K,N);const ie=g.from(K,N.extension);if(!ie)throw new Error("Unexpected: Task cannot be resolved.");if(K.definition!==j.definition)throw new Error("Unexpected: The resolved task definition must be the same object as the original task definition. The task definition cannot be changed.");return S.is(ie.execution)&&await this.y(ie,K,!0),await this.w(ie)}x(){return this.h++}async y(V,q,N){const j=await this.a.$createTaskId(V);!N&&!this.m.has(j)&&(this.n.add(j),this.o.set(j,q.execution)),this.m.set(j,q.execution)}async z(V,q){if(typeof V=="string"){const K=this.l.get(V);if(!K)throw new c.$bb("Unexpected: The specified task is missing an execution");return K}const N=this.l.get(V.id);if(N)return N;let j;return q?j=Promise.resolve(new y(this,V.id,q)):j=g.to(V.task,this.b,this.m).then(K=>{if(!K)throw new c.$bb("Unexpected: Task does not exist.");return new y(this,V.id,K)}),this.l.set(V.id,j),j.then(K=>(this.k.set(V.id,K),K))}A(V,q){V._deprecated&&this.g.report("Task.constructor",q.extension,"Use the Task constructor that takes a `scope` instead.")}B(V){this.o.get(V.id)&&this.o.delete(V.id),this.n.has(V.id)&&this.p!==V.id&&(this.m.delete(V.id),this.n.delete(V.id));const N=this.n.values();let j=N.next();for(;!j.done;)!this.o.has(j.value)&&this.p!==j.value&&(this.m.delete(j.value),this.n.delete(j.value)),j=N.next()}};e.$1mc=C,e.$1mc=C=Je([We(0,d.$wP),We(1,b.$MP),We(2,w.$vlc),We(3,p.$HP),We(4,E.$ylc),We(5,D.$Wlc),We(6,s.$3j),We(7,i.$_kc)],C);let P=class extends C{constructor(V,q,N,j,K,ie,ce,ye){super(V,q,N,j,K,ie,ce,ye),this.registerTaskSystem(r.Schemas.vscodeRemote,{scheme:r.Schemas.vscodeRemote,authority:"",platform:o.$h(0)})}async executeTask(V,q){if(!q.execution)throw new Error("Tasks to execute must include an execution");const N=g.from(q,V);if(N===void 0)throw new Error("Task is not valid");if(S.is(N.execution))await this.y(N,q,!1);else throw new c.$_;const j=await this.z(await this.a.$getTaskExecution(N),q);return this.a.$executeTask(N).catch(K=>{throw new Error(K)}),j}v(V,q,N,j){const K=[];if(j)for(const ie of j){if(this.A(ie,N),!ie.definition||!V[ie.definition.type]){const ye=ie.source?ie.source:"No task source";this.f.warn(`The task [${ye}, ${ie.name}] uses an undefined task type. The task will be ignored in the future.`)}const ce=g.from(ie,N.extension);ce&&S.is(ce.execution)?(K.push(ce),q.push(this.y(ce,ie,!0))):this.f.warn("Only custom execution tasks supported.")}return{tasks:K,extension:N.extension}}async w(V){if(S.is(V.execution))return V;this.f.warn("Only custom execution tasks supported.")}async $resolveVariables(V,q){return{process:void 0,variables:Object.create(null)}}async $jsonTasksSupported(){return!1}async $findExecutable(V,q,N){}};e.$2mc=P,e.$2mc=P=Je([We(0,d.$wP),We(1,b.$MP),We(2,w.$vlc),We(3,p.$HP),We(4,E.$ylc),We(5,D.$Wlc),We(6,s.$3j),We(7,i.$_kc)],P),e.$3mc=(0,m.$wi)("IExtHostTask")}),define(Ie[299],Pe([1,0,47,30]),function(le,e,I,O){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$ML=void 0,e.$LL=R,e.$NL=M;function R(A){return"cellResults"in A}e.$ML="rawCell#";function M(A,w){let p=-1;const E=[];let T=[];return A.forEach(d=>{d.range.startLineNumber!==p&&T.length>0&&(E.push([...T]),T=[]),T.push(d),p=d.range.endLineNumber}),T.length>0&&E.push([...T]),E.map(d=>{const b=[],m=d[0].range.startLineNumber,r=d[d.length-1].range.endLineNumber;for(let o=m;o<=r;o++)b.push(w.getLineContent(o));return new I.$pL(b.join(`
`)+`
`,d.map(o=>new O.$ut(o.range.startLineNumber-1,o.range.startColumn-1,o.range.endLineNumber-1,o.range.endColumn-1)))})}}),define(Ie[300],Pe([1,0,177,21,5,6,28,13,15,2,38,76,4,32,8,7,35,275,114,25,16,231,299,297]),function(le,e,I,O,R,M,A,w,p,E,T,D,d,b,m,r,o,s,i,n,c,l,t,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Dmc=void 0;class a{static{this.a=0}get activeNotebookEditor(){return this.k?.apiEditor}get visibleNotebookEditors(){return this.l.map(u=>u.apiEditor)}constructor(u,S,h,v,g,k){this.q=h,this.r=v,this.s=g,this.t=k,this.f=new Map,this.g=new A.$Bc,this.h=new Map,this.j=new R.$ee,this.onDidChangeActiveNotebookEditor=this.j.event,this.l=[],this.m=new R.$ee,this.onDidOpenNotebookDocument=this.m.event,this.n=new R.$ee,this.onDidCloseNotebookDocument=this.n.event,this.o=new R.$ee,this.onDidChangeVisibleNotebookEditors=this.o.event,this.p=new D.$0kc("NotebookCellStatusBarCache"),this.w=0,this.x=new Map,this.b=u.getProxy(d.$9M.MainThreadNotebook),this.c=u.getProxy(d.$9M.MainThreadNotebookDocuments),this.d=u.getProxy(d.$9M.MainThreadNotebookEditors),this.i=S.converter,S.registerArgumentProcessor({processArgument:y=>{if(y&&y.$mid===13){const C=y.notebookEditor?.notebookUri,P=y.cell.handle,V=this.g.get(C)?.getCell(P);if(V)return V.apiCell}if(y&&y.$mid===14){const C=y.uri,P=this.g.get(C);if(P)return P.apiNotebook}return y}}),a.B(S)}getEditorById(u){const S=this.h.get(u);if(!S)throw new Error(`unknown text editor: ${u}. known editors: ${[...this.h.keys()]} `);return S}getIdByEditor(u){for(const[S,h]of this.h)if(h.apiEditor===u)return S}get notebookDocuments(){return[...this.g.values()]}getNotebookDocument(u,S){const h=this.g.get(u);if(!h&&!S)throw new Error(`NO notebook document for '${u}'`);return h}static u(u,S){if(!S)return;const h=S.filenamePattern.map(v=>m.NotebookExclusiveDocumentPattern.from(v)).filter(v=>v!==void 0);if(S.filenamePattern&&!h){console.warn(`Notebook content provider view options file name pattern is invalid ${S.filenamePattern}`);return}return{extension:u.identifier,providerDisplayName:u.displayName||u.name,displayName:S.displayName,filenamePattern:h,exclusive:S.exclusive||!1}}registerNotebookCellStatusBarItemProvider(u,S,h){const v=a.a++,g=typeof h.onDidChangeCellStatusBarItems=="function"?a.a++:void 0;this.f.set(v,h),this.b.$registerNotebookCellStatusBarItemProvider(v,g,S);let k;return g!==void 0&&(k=h.onDidChangeCellStatusBarItems(y=>this.b.$emitCellStatusBarEvent(g))),new r.$$M(()=>{this.f.delete(v),this.b.$unregisterNotebookCellStatusBarItemProvider(v,g),k?.dispose()})}async createNotebookDocument(u){const S=await this.c.$tryCreateNotebook({viewType:u.viewType,content:u.content&&m.NotebookData.from(u.content)});return E.URI.revive(S)}async openNotebookDocument(u){const S=this.g.get(u);if(S)return S.apiNotebook;const h=await this.c.$tryOpenNotebook(u),v=this.g.get(E.URI.revive(h));return(0,p.$hg)(v?.apiNotebook)}async showNotebookDocument(u,S){E.URI.isUri(u)&&(u=await this.openNotebookDocument(u));let h;typeof S=="object"?h={position:m.ViewColumn.from(S.viewColumn),preserveFocus:S.preserveFocus,selections:S.selections&&S.selections.map(m.NotebookRange.from),pinned:typeof S.preview=="boolean"?!S.preview:void 0}:h={preserveFocus:!1};const v=await this.d.$tryShowNotebookDocument(u.uri,u.notebookType,h),g=v&&this.h.get(v)?.apiEditor;if(g)return g;throw v?new Error(`Could NOT open editor for "${u.uri.toString()}" because another editor opened in the meantime.`):new Error(`Could NOT open editor for "${u.uri.toString()}".`)}async $provideNotebookCellStatusBarItems(u,S,h,v){const g=this.f.get(u),k=E.URI.revive(S),y=this.g.get(k);if(!y||!g)return;const C=y.getCellFromIndex(h);if(!C)return;const P=await g.provideCellStatusBarItems(C.apiCell,v);if(!P)return;const W=new M.$Uc,V=this.p.add([W]),N=(Array.isArray(P)?P:[P]).map(j=>m.NotebookStatusBarItem.from(j,this.i,W));return{cacheId:V,items:N}}$releaseNotebookCellStatusBarItems(u){this.p.delete(u)}registerNotebookSerializer(u,S,h,v,g){if((0,w.$8e)(S))throw new Error("viewType cannot be empty or just whitespace");const k=this.w++;return this.x.set(k,{viewType:S,serializer:h,options:v}),this.b.$registerNotebookSerializer(k,{id:u.identifier,location:u.extensionLocation},S,m.NotebookDocumentContentOptions.from(v),a.u(u,g)),(0,M.$Tc)(()=>{this.b.$unregisterNotebookSerializer(k)})}async $dataToNotebook(u,S,h){const v=this.x.get(u);if(!v)throw new Error("NO serializer found");const g=await v.serializer.deserializeNotebook(S.buffer,h);return new o.$Bw(m.NotebookData.from(g))}async $notebookToData(u,S,h){const v=this.x.get(u);if(!v)throw new Error("NO serializer found");const g=await v.serializer.serializeNotebook(m.NotebookData.to(S.value),h);return O.$Ge.wrap(g)}async $saveNotebook(u,S,h,v,g){const k=E.URI.revive(S),y=this.x.get(u);if(!y)throw new Error("NO serializer found");const C=this.g.get(k);if(!C)throw new Error("Document NOT found");if(C.versionId!==h)throw new Error("Document version mismatch");if(!this.s.value.isWritableFileSystem(k.scheme))throw new T.$ll((0,I.localize)(0,null,this.z(k)),6);await this.y(k,v);const P={metadata:(0,n.$$n)(C.apiNotebook.metadata,j=>!(y.options?.transientDocumentMetadata??{})[j]),cells:[]};for(const j of C.apiNotebook.getCells()){const K=new r.$BO(j.kind,j.document.getText(),j.document.languageId,j.mime,y.options?.transientOutputs?[]:[...j.outputs],j.metadata,j.executionSummary);K.metadata=(0,n.$$n)(j.metadata,ie=>!(y.options?.transientCellMetadata??{})[ie]),P.cells.push(K)}const W=await y.serializer.serializeNotebook(P,g);await this.s.value.writeFile(k,W);const V=this.s.getFileSystemProviderExtUri(k.scheme),q=await this.s.value.stat(k);return{name:V.basename(k),isFile:(q.type&T.FileType.File)!==0,isDirectory:(q.type&T.FileType.Directory)!==0,isSymbolicLink:(q.type&T.FileType.SymbolicLink)!==0,mtime:q.mtime,ctime:q.ctime,size:q.size,readonly:!!((q.permissions??0)&T.FilePermission.Readonly)||!this.s.value.isWritableFileSystem(k.scheme),locked:!!((q.permissions??0)&T.FilePermission.Locked),etag:T.$wl({mtime:q.mtime,size:q.size}),children:void 0}}async $searchInNotebooks(u,S,h,v,g){const k=this.x.get(u)?.serializer;if(!k)return{limitHit:!1,results:[]};const y=new A.$Cc;await(async(q,N,j)=>{await Promise.all(q.map(async K=>await Promise.all(K.filenamePatterns.map(ie=>{const ce={_reason:j._reason,folderQueries:j.folderQueries,includePattern:j.includePattern,excludePattern:j.excludePattern,maxResults:j.maxResults,type:1,filePattern:ie};return this.t.doInternalFileSearchWithCustomCallback(ce,N,ye=>{ye.forEach(Se=>{y.has(Se)||v.some($e=>K.isFromSettings&&!$e.isFromSettings?!1:$e.filenamePatterns.some(Te=>(0,f.$ehb)(Te,Se)))||y.add(Se)})}).catch(ye=>{if(ye.code==="ENOENT")return console.warn("Could not find notebook search results, ignoring notebook results."),{limitHit:!1,messages:[]};throw ye})}))))})(h,g,S);const P=new A.$Bc;let W=!1;const V=Array.from(y).map(async q=>{const N=[];try{if(g.isCancellationRequested)return;if(S.maxResults&&[...P.values()].reduce((ce,ye)=>ce+ye.cellResults.length,0)>S.maxResults){W=!0;return}const j=[],K=this.g.get(q);if(K)K.apiNotebook.getCells().forEach(ye=>j.push({input:ye.document.getText(),outputs:ye.outputs.flatMap(Se=>Se.items.map(fe=>fe.data.toString()))}));else{const ce=await this.s.value.readFile(q),ye=O.$Ge.fromString(ce.toString()),Se=await k.deserializeNotebook(ye.buffer,g);if(g.isCancellationRequested)return;m.NotebookData.from(Se).cells.forEach($e=>j.push({input:$e.source,outputs:$e.outputs.flatMap(Te=>Te.items.map(ae=>ae.valueBytes.toString()))}))}if(g.isCancellationRequested)return;j.forEach((ce,ye)=>{const Se=S.contentPattern.pattern,fe=new l.$fXb(ce.input,void 0,ce.outputs),$e=fe.findInInputs(Se),Te=fe.findInOutputs(Se),ae=Te.flatMap(Ne=>(0,t.$NL)(Ne.matches,Ne.textBuffer)).map((Ne,ne)=>(Ne.webviewIndex=ne,Ne));if($e.length>0||Te.length>0){const Ne={index:ye,contentResults:(0,t.$NL)($e,fe.inputTextBuffer),webviewResults:ae};N.push(Ne)}});const ie={resource:q,cellResults:N};P.set(q,ie);return}catch{return}});return await Promise.all(V),{limitHit:W,results:[...P.values()]}}async y(u,S){const h=await this.s.value.stat(u);if(typeof S?.mtime=="number"&&typeof S.etag=="string"&&S.etag!==T.$vl&&typeof h.mtime=="number"&&typeof h.size=="number"&&S.mtime<h.mtime&&S.etag!==T.$wl({mtime:S.mtime,size:h.size}))throw new T.$ll((0,I.localize)(1,null),3,S)}z(u){return u.scheme===c.Schemas.file?u.fsPath:u.toString()}A(u,S,h){if(this.h.has(S))throw new Error(`editor with id ALREADY EXSIST: ${S}`);const v=new i.$umc(S,this.d,u,h.visibleRanges.map(m.NotebookRange.to),h.selections.map(m.NotebookRange.to),typeof h.viewColumn=="number"?m.ViewColumn.to(h.viewColumn):void 0);this.h.set(S,v)}$acceptDocumentAndEditorsDelta(u){if(u.value.removedDocuments)for(const h of u.value.removedDocuments){const v=E.URI.revive(h),g=this.g.get(v);g&&(g.dispose(),this.g.delete(v),this.q.$acceptDocumentsAndEditorsDelta({removedDocuments:g.apiNotebook.getCells().map(k=>k.document.uri)}),this.n.fire(g.apiNotebook));for(const k of this.h.values())k.notebookData.uri.toString()===v.toString()&&this.h.delete(k.id)}if(u.value.addedDocuments){const h=[];for(const v of u.value.addedDocuments){const g=E.URI.revive(v.uri);if(this.g.has(g))throw new Error(`adding EXISTING notebook ${g} `);const k=new s.$tmc(this.c,this.q,this.r,g,v);h.push(...v.cells.map(y=>s.$smc.asModelAddData(y))),this.g.get(g)?.dispose(),this.g.set(g,k),this.q.$acceptDocumentsAndEditorsDelta({addedDocuments:h}),this.m.fire(k.apiNotebook)}}if(u.value.addedEditors)for(const h of u.value.addedEditors){if(this.h.has(h.id))return;const v=E.URI.revive(h.documentUri),g=this.g.get(v);g&&this.A(g,h.id,h)}const S=[];if(u.value.removedEditors)for(const h of u.value.removedEditors){const v=this.h.get(h);v&&(this.h.delete(h),this.k?.id===v.id&&(this.k=void 0),S.push(v))}if(u.value.visibleEditors){this.l=u.value.visibleEditors.map(v=>this.h.get(v)).filter(v=>!!v);const h=new Set;this.l.forEach(v=>h.add(v.id));for(const v of this.h.values()){const g=h.has(v.id);v._acceptVisibility(g)}this.l=[...this.h.values()].map(v=>v).filter(v=>v.visible),this.o.fire(this.visibleNotebookEditors)}u.value.newActiveEditor===null?this.k=void 0:u.value.newActiveEditor&&(this.h.get(u.value.newActiveEditor)||console.error(`FAILED to find active notebook editor ${u.value.newActiveEditor}`),this.k=this.h.get(u.value.newActiveEditor)),u.value.newActiveEditor!==void 0&&this.j.fire(this.k?.apiEditor)}static B(u){const S=b.$UP.String.with("notebookType","A notebook type"),h=new b.$WP("vscode.executeDataToNotebook","_executeDataToNotebook","Invoke notebook serializer",[S,new b.$UP("data","Bytes to convert to data",g=>g instanceof Uint8Array,g=>O.$Ge.wrap(g))],new b.$VP("Notebook Data",g=>m.NotebookData.to(g.value))),v=new b.$WP("vscode.executeNotebookToData","_executeNotebookToData","Invoke notebook serializer",[S,new b.$UP("NotebookData","Notebook data to convert to bytes",g=>!0,g=>new o.$Bw(m.NotebookData.from(g)))],new b.$VP("Bytes",g=>g.buffer));u.registerApiCommand(h),u.registerApiCommand(v)}}e.$Dmc=a}),define(Ie[301],Pe([1,0,19,24,44,37,23,66,47]),function(le,e,I,O,R,M,A,w,p){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$vmc=void 0;class E{constructor(d,b,m){this.k=d,this.l=b,this.o=m,this.e=!1,this.f=0,this.g=!1,this.a=d.filePattern,this.b=d.includePattern&&M.$qk(d.includePattern),this.c=d.maxResults||void 0,this.d=d.exists,this.h=new Set,this.j=d.excludePattern&&M.$qk(d.excludePattern)}cancel(){this.g=!0,this.h.forEach(d=>d.cancel()),this.h=new Set}search(d){const b=this.k.folderQueries||[];return new Promise((m,r)=>{const o=s=>{this.f++,d(s)};if(this.g)return m({limitHit:this.e});this.k.extraFileResources&&this.k.extraFileResources.forEach(s=>{const i=s.toString(),n=I.$oc(i);this.j&&this.j(i,n)||this.v(o,{base:s,basename:n})}),Promise.all(b.map(s=>this.p(s,o))).then(s=>{m({limitHit:this.e,stats:s[0]||void 0})},s=>{r(new Error((0,R.$hj)(s)))})})}async p(d,b){const m=new O.$pe,r=this.q(d),o=this.r(),s=new p.$DL(this.k,d),i=!s.hasSiblingExcludeClauses();let n;try{this.h.add(m),n=w.$ae.create();const c=await this.l.provideFileSearchResults({pattern:this.k.filePattern||""},r,m.token),l=n.elapsed(),t=w.$ae.create();return this.g&&!this.e||(c&&c.forEach(f=>{const a=I.$hc.relative(d.folder.path,f.path);if(i){const $=I.$oc(f.path);this.v(b,{base:d.folder,relativePath:a,basename:$});return}this.s(o,d.folder,a,b)}),this.g&&!this.e)?null:(this.u(o,s,b),{providerTime:l,postProcessTime:t.elapsed()})}finally{m.dispose(),this.h.delete(m)}}q(d){const b=(0,p.$CL)(this.k.includePattern,d.includePattern),m=(0,p.$CL)(this.k.excludePattern,d.excludePattern);return{folder:d.folder,excludes:m,includes:b,useIgnoreFiles:!d.disregardIgnoreFiles,useGlobalIgnoreFiles:!d.disregardGlobalIgnoreFiles,useParentIgnoreFiles:!d.disregardParentIgnoreFiles,followSymlinks:!d.ignoreSymlinks,maxResults:this.k.maxResults,session:this.o}}r(){const d={rootEntries:[],pathToEntries:Object.create(null)};return d.pathToEntries["."]=d.rootEntries,d}s({pathToEntries:d},b,m,r){if(m===this.a){const s=I.$oc(this.a);this.v(r,{base:b,relativePath:this.a,basename:s})}function o(s){const i=I.$oc(s),n=I.$nc(s);let c=d[n];c||(c=d[n]=[],o(n)),c.push({base:b,relativePath:s,basename:i})}o(m)}u({rootEntries:d,pathToEntries:b},m,r){const o=this,s=this.a;function i(n){const c=(0,p.$FL)(()=>n.map(l=>l.basename));for(let l=0,t=n.length;l<t;l++){const f=n[l],{relativePath:a,basename:$}=f;if(m.matchesExcludesSync(a,$,s!==$?c:void 0))continue;const u=b[a];if(u)i(u);else{if(a===s)continue;o.v(r,f)}if(o.e)break}}i(d)}v(d,b){(!this.b||b.relativePath&&this.b(b.relativePath,b.basename))&&((this.d||this.c&&this.f>=this.c)&&(this.e=!0,this.cancel()),this.e||d(b))}}class T{constructor(){this.b=new Map}static{this.a=512}fileSearch(d,b,m,r){const o=this.c(d.cacheKey),s=new E(d,b,o&&o.token);let i=0;const n=c=>{i+=c.length,m(c.map(l=>this.d(l)))};return this.e(s,T.a,n,r).then(c=>({limitHit:c.limitHit,stats:{fromCache:!1,type:"fileSearchProvider",resultCount:i,detailStats:c.stats}}))}clearCache(d){this.c(d)?.cancel()}c(d){if(d)return this.b.has(d)||this.b.set(d,new O.$pe),this.b.get(d)}d(d){return d.relativePath?{resource:A.$0g(d.base,d.relativePath)}:{resource:d.base}}e(d,b,m,r){const o=r.onCancellationRequested(()=>{d.cancel()}),s=n=>{n&&(i.push(n),b>0&&i.length>=b&&(m(i),i=[]))};let i=[];return d.search(s).then(n=>(i.length&&m(i),o.dispose(),n),n=>(i.length&&m(i),o.dispose(),Promise.reject(n)))}}e.$vmc=T}),define(Ie[302],Pe([1,0,18,270,37,97,28,16,19,23,13,15,2,96,195,50,12,45,109,298,47]),function(le,e,I,O,R,M,A,w,p,E,T,D,d,b,m,r,o,s,i,n,c){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$MM=void 0,e.$NM=v;let l=class{constructor(k,y,C,P,W){this.a=k,this.b=y,this.c=C,this.d=P,this.e=W}text(k,y,C={}){k=this.f(k,C);const P=this.a.getValue(),W=y&&y.some(q=>!this.a.getValue({resource:q}).search.useRipgrep);return{...this.h(y?.map(s.$Ri),C),type:2,contentPattern:k,previewOptions:C.previewOptions,maxFileSize:C.maxFileSize,usePCRE2:P.search.usePCRE2||W||!1,beforeContext:C.beforeContext,afterContext:C.afterContext,userDisabledExcludesAndIgnoreFiles:C.disregardExcludeSettings&&C.disregardIgnoreFiles}}f(k,y){const C=this.a.getValue();k.isRegExp&&(k.pattern=k.pattern.replace(/\r?\n/g,"\\n"));const P={...k,wordSeparators:C.editor.wordSeparators};return this.j(k,y)&&(P.isCaseSensitive=!0),this.k(k)&&(P.isMultiline=!0),y.notebookSearchConfig?.includeMarkupInput&&(P.notebookInfo||(P.notebookInfo={}),P.notebookInfo.isInNotebookMarkdownInput=y.notebookSearchConfig.includeMarkupInput),y.notebookSearchConfig?.includeMarkupPreview&&(P.notebookInfo||(P.notebookInfo={}),P.notebookInfo.isInNotebookMarkdownPreview=y.notebookSearchConfig.includeMarkupPreview),y.notebookSearchConfig?.includeCodeInput&&(P.notebookInfo||(P.notebookInfo={}),P.notebookInfo.isInNotebookCellInput=y.notebookSearchConfig.includeCodeInput),y.notebookSearchConfig?.includeOutput&&(P.notebookInfo||(P.notebookInfo={}),P.notebookInfo.isInNotebookCellOutput=y.notebookSearchConfig.includeOutput),P}file(k,y={}){return{...this.h(k,y),type:1,filePattern:y.filePattern?y.filePattern.trim():y.filePattern,exists:y.exists,sortByScore:y.sortByScore,cacheKey:y.cacheKey,shouldGlobMatchFilePattern:y.shouldGlobSearch}}g(k,y){return k?(k=Array.isArray(k)?k.map(u):u(k),y?this.parseSearchPaths(k):{pattern:f(...Array.isArray(k)?k:[k])}):{}}h(k=[],y={}){const C=this.g(y.includePattern,y.expandPatterns),P=this.g(y.excludePattern,y.expandPatterns),W=k.length>1,V=(C.searchPaths&&C.searchPaths.length?C.searchPaths.map(j=>this.q(j,y,P)):k.map(j=>this.r(j,y,P,W))).filter(j=>!!j),q={_reason:y._reason,folderQueries:V,usingSearchPaths:!!(C.searchPaths&&C.searchPaths.length),extraFileResources:y.extraFileResources,excludePattern:P.pattern,includePattern:C.pattern,onlyOpenEditors:y.onlyOpenEditors,maxResults:y.maxResults};if(y.onlyOpenEditors){const j=I.$Hb(I.$Rb(this.c.groups.map(ce=>ce.editors.map(ye=>ye.resource))));this.d.trace("QueryBuilder#commonQuery - openEditor URIs",JSON.stringify(j));const K=j.filter(ce=>(0,c.$tL)(q,ce.fsPath)),ie=this.i(K);return this.d.trace("QueryBuilder#commonQuery - openEditor Query",JSON.stringify(ie)),{...q,...ie}}const N=y.extraFileResources&&y.extraFileResources.filter(j=>(0,c.$tL)(q,j.fsPath));return q.extraFileResources=N&&N.length?N:void 0,q}i(k){const y=[],C=new A.$Bc,P={};let W=!1;return k.forEach(V=>{if(V.scheme===w.Schemas.walkThrough)return;if((0,E.$bh)(V)){const N=this.b.getWorkspaceFolder(V)?.uri??V.with({path:p.$nc(V.fsPath)});let j=C.get(N);j||(W=!0,j={folder:N,includePattern:{}},y.push(j),C.set(N,j));const K=p.$mc(N.fsPath,V.fsPath);(0,D.$hg)(j.includePattern)[K.replace(/\\/g,"/")]=!0}else V.fsPath&&(W=!0,P[V.fsPath]=!0)}),{folderQueries:y,includePattern:P,usingSearchPaths:!0,excludePattern:W?void 0:{"**/*":!0}}}j(k,y){if(y.isSmartCase){if(k.isRegExp){if(T.$Zf(k.pattern,!0))return!0}else if(T.$Zf(k.pattern))return!0}return!!k.isCaseSensitive}k(k){return k.isMultiline||k.isRegExp&&(0,b.$QC)(k.pattern)||k.pattern.indexOf(`
`)>=0?!0:!!k.isMultiline}parseSearchPaths(k){const y=ie=>p.$jc(ie)||/^\.\.?([\/\\]|$)/.test(ie),P=(Array.isArray(k)?k:a(k)).map(ie=>{const ce=this.e.resolvedUserHome;return ce?(0,M.$Gw)(ie,ce.scheme===w.Schemas.file?ce.fsPath:ce.path):ie}),W=O.$K(P,ie=>y(ie)?"searchPaths":"exprSegments"),V=(W.exprSegments||[]).map(ie=>T.$gf(ie,"/")).map(ie=>T.$gf(ie,"\\")).map(ie=>(ie[0]==="."&&(ie="*"+ie),$(ie))),q={},N=this.m(W.searchPaths||[]);N&&N.length&&(q.searchPaths=N);const j=I.$Rb(V),K=f(...j);return K&&(q.pattern=K),q}l(k,y){return y.disregardExcludeSettings?void 0:(0,c.$sL)(k,!y.disregardSearchExcludeSettings)}m(k){if(!k||!k.length)return[];const y=k.flatMap(P=>{let{pathPortion:W,globPortion:V}=t(P);return V&&(V=S(V)),this.n(W).flatMap(N=>this.o(N,V))}),C=new Map;return y.forEach(P=>{const W=P.searchPath.toString(),V=C.get(W);V?P.pattern&&(V.pattern=V.pattern||{},V.pattern[P.pattern]=!0):C.set(W,{searchPath:P.searchPath,pattern:P.pattern?f(P.pattern):void 0})}),Array.from(C.values())}n(k){if(p.$jc(k)){const y=this.b.getWorkspace().folders;return y[0]&&y[0].uri.scheme!==w.Schemas.file?[{searchPath:y[0].uri.with({path:k})}]:[{searchPath:d.URI.file(p.$ic(k))}]}if(this.b.getWorkbenchState()===2){const y=this.b.getWorkspace().folders[0].uri;if(k=u(k),k.startsWith("../")||k===".."){const P=p.$hc.resolve(y.path,k);return[{searchPath:y.with({path:P})}]}const C=S(k);return[{searchPath:y,pattern:C}]}else{if(k==="./"||k===".\\")return[];{const y=k.replace(/^\.[\/\\]/,""),P=this.b.getWorkspace().folders.map(W=>{const V=y.match(new RegExp(`^${T.$af(W.name)}(?:/(.*)|$)`));return V?{match:V,folder:W}:null}).filter(D.$eg);if(P.length)return P.map(W=>{const V=W.match[1];return{searchPath:W.folder.uri,pattern:V&&S(V)}});{const W=k.match(/\.[\/\\](.+)[\/\\]?/),V=W?W[1]:k,q=m.localize(0,null,V);throw new Error(q)}}}}o(k,y){const C=k.pattern&&y?`${k.pattern}/${y}`:k.pattern||y,P=[{searchPath:k.searchPath,pattern:C}];return C&&!C.endsWith("**")&&P.push({searchPath:k.searchPath,pattern:C+"/**"}),P}q(k,y,C){const P=this.r((0,s.$Ri)(k.searchPath),y,C,!1);return P?{...P,includePattern:k.pattern}:null}r(k,y,C,P){let W;const V=d.URI.isUri(k)?k:k.uri;if(C.searchPaths){const ie=C.searchPaths.filter(ce=>(0,E.$3g)(ce.searchPath,V))[0];if(ie&&!ie.pattern)return null;ie&&(W=ie.pattern)}const q=this.a.getValue({resource:V}),j={...this.l(q,y)||{},...W||{}},K=d.URI.isUri(k)?(0,E.$7g)(k):k.name;return{folder:V,folderName:P?K:void 0,excludePattern:Object.keys(j).length>0?j:void 0,fileEncoding:q.files&&q.files.encoding,disregardIgnoreFiles:typeof y.disregardIgnoreFiles=="boolean"?y.disregardIgnoreFiles:!q.search.useIgnoreFiles,disregardGlobalIgnoreFiles:typeof y.disregardGlobalIgnoreFiles=="boolean"?y.disregardGlobalIgnoreFiles:!q.search.useGlobalIgnoreFiles,disregardParentIgnoreFiles:typeof y.disregardParentIgnoreFiles=="boolean"?y.disregardParentIgnoreFiles:!q.search.useParentIgnoreFiles,ignoreSymlinks:typeof y.ignoreSymlinks=="boolean"?y.ignoreSymlinks:!q.search.followSymlinks}}};e.$MM=l,e.$MM=l=Je([We(0,r.$3i),We(1,s.$Fi),We(2,i.$XD),We(3,o.$3j),We(4,n.$KM)],l);function t(g){const k=g.match(/[\*\{\}\(\)\[\]\?]/);if(k){const y=k.index,C=g.substr(0,y).match(/[/|\\][^/\\]*$/);if(C){let P=g.substr(0,C.index);return P.match(/[/\\]/)||(P+="/"),{pathPortion:P,globPortion:g.substr((C.index||0)+1)}}}return{pathPortion:g}}function f(...g){return g.length?g.reduce((k,y)=>(k[y]=!0,k),Object.create(null)):void 0}function a(g){return R.$ok(g,",").map(k=>k.trim()).filter(k=>!!k.length)}function $(g){return[`**/${g}/**`,`**/${g}`].map(y=>y.replace(/\*\*\/\*\*/g,"**"))}function u(g){return g.replace(/\\/g,"/")}function S(g){return u(g).replace(/^\.\//,"").replace(/\/+$/g,"")}function h(g){return g.replace(/([?*[\]])/g,"[$1]")}function v(g,k){g=I.$Mb(g,P=>P.toString());const y=[],C=k.getWorkspace();return g&&g.forEach(P=>{let W;if(k.getWorkbenchState()===2)W=(0,E.$_g)(C.folders[0].uri,P),W&&W!=="."&&(W="./"+W);else{const V=k.getWorkspaceFolder(P);if(V){const q=V.name;if(C.folders.filter(j=>j.name===q).length===1){const j=(0,E.$_g)(V.uri,P);j===""?W=`./${V.name}`:W=`./${V.name}/${j}`}else W=P.fsPath}}W&&y.push(h(W))}),y}}),define(Ie[303],Pe([1,0,23,2,24,14,3,302,47,45,11]),function(le,e,I,O,R,M,A,w,p,E,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$qwb=d,e.$rwb=r;const D=7e3;function d(o,s){const i=s.activationEvents;if(!i)return Promise.resolve(void 0);const n=[],c=[];for(const u of i)if(/^workspaceContains:/.test(u)){const S=u.substr(18);S.indexOf("*")>=0||S.indexOf("?")>=0||o.forceUsingSearch?c.push(S):n.push(S)}if(n.length===0&&c.length===0)return Promise.resolve(void 0);const{promise:l,resolve:t}=(0,T.$ph)(),f=u=>t({activationEvent:u}),a=Promise.all(n.map(u=>b(o,u,f))).then(()=>{}),$=m(o,s.identifier,c,f);return Promise.all([a,$]).then(()=>{t(void 0)}),l}async function b(o,s,i){for(const n of o.folders)if(await o.exists(I.$0g(O.URI.revive(n),s))){i(`workspaceContains:${s}`);return}}async function m(o,s,i,n){if(i.length===0)return Promise.resolve(void 0);const c=new R.$pe,l=o.checkExists(o.folders,i,c.token),t=setTimeout(async()=>{c.cancel(),o.logService.info(`Not activating extension '${s.value}': Timed out while searching for 'workspaceContains' pattern ${i.join(",")}`)},D);let f=!1;try{f=await l}catch(a){M.$4(a)||M.$1(a)}c.dispose(),clearTimeout(t),f&&n(`workspaceContains:${i.join(",")}`)}function r(o,s,i,n){const c=o.get(A.$vi),l=o.get(p.$kL),f=c.createInstance(w.$MM).file(s.map(a=>(0,E.$Ri)(O.URI.revive(a))),{_reason:"checkExists",includePattern:i,exists:!0});return l.fileSearch(f,n).then(a=>!!a.limitHit,a=>M.$4(a)?!1:Promise.reject(a))}}),define(Ie[41],Pe([1,0,173,19,60,23,11,6,54,2,12,4,40,237,84,39,26,110,14,20,21,218,7,104,3,27,87,17,72,88,53,90,5,303,83,220,16,81,66,22,82]),function(le,e,I,O,R,M,A,w,p,E,T,D,d,b,m,r,o,s,i,n,c,l,t,f,a,$,u,S,h,v,g,k,y,C,P,W,V,q,N,j,K){"use strict";var ie;Object.defineProperty(e,"__esModule",{value:!0}),e.$bmc=e.$amc=e.$_lc=e.$$lc=e.$0lc=void 0,e.$0lc=(0,a.$wi)("IHostUtils");let ce=ie=class extends w.$Vc{constructor(z,x,be,Fe,De,we,ge,Q,Y,he,ue,Me,de){super(),this.Y=Me,this.Z=de,this.a=this.B(new y.$ee),this.onDidChangeRemoteConnectionData=this.a.event,this.R=new Map,this.W=!1,this.c=x,this.g=be,this.f=ge,this.j=Fe,this.m=De,this.s=we,this.t=Y,this.u=he,this.w=ue,this.y=this.g.getProxy(D.$9M.MainThreadWorkspace),this.z=this.g.getProxy(D.$9M.MainThreadTelemetry),this.C=this.g.getProxy(D.$9M.MainThreadExtensionService),this.D=new A.$vh,this.F=new A.$vh,this.G=new A.$vh,this.H=new A.$vh,this.I=new Ne(this.f.extensions.activationEvents),this.L=new s.$K_b(this.I,this.f.extensions.allExtensions);const Ce=new n.$Sm(this.f.extensions.myExtensions);this.J=new s.$K_b(this.I,Te(this.L,Ce)),j.$t&&(this.s.info(`Creating extension host with the following global extensions: ${fe(this.L)}`),this.s.info(`Creating extension host with the following local extensions: ${fe(this.J)}`)),this.M=new m.$Slc(this.g,this.s),this.N=new P.$3lc(this.g),this.O=Q,this.h=z.createChild(new h.$ui([m.$Tlc,this.M],[P.$4lc,this.N])),this.P=this.B(new b.$Rlc(this.J,this.L,{onExtensionActivationError:(Re,je,U)=>{this.C.$onExtensionActivationError(Re,i.$3(je),U)},actualActivateExtension:async(Re,je)=>{if(s.$K_b.isHostExtension(Re,this.J,this.L))return await this.C.$activateExtension(Re,je),new b.$Qlc;const U=this.J.getExtensionDescription(Re);return this.fb(U,je)}},this.s)),this.Q=null,this.S=Object.create(null),this.U=!1,this.X=this.f.remote.connectionData}getRemoteConnectionData(){return this.X}async initialize(){try{await this.vb(),this.D.open(),await this.j.waitForInitializeCall(),R.mark("code/extHost/ready"),this.F.open(),this.f.autoStart&&this.tb()}catch(z){i.$1(z)}}async $(){this.O.onWillDeactivateAll();let z=[];try{z=this.J.getAllExtensionDescriptions().map(De=>De.identifier).filter(De=>this.isActivated(De)).map(De=>this.eb(De))}catch{}await Promise.all(z)}terminate(z,x=0){if(this.W)return;this.W=!0,this.s.info(`Extension host terminating: ${z}`),this.s.flush(),this.u.dispose(),this.P.dispose(),i.setUnexpectedErrorHandler(Fe=>{this.s.error(Fe)}),this.g.dispose();const be=this.$();Promise.race([(0,A.$xh)(5e3),be]).finally(()=>{this.c.pid?this.s.info(`Extension host with pid ${this.c.pid} exiting with code ${x}`):this.s.info(`Extension host exiting with code ${x}`),this.s.flush(),this.s.dispose(),this.c.exit(x)})}isActivated(z){return this.G.isOpen()?this.P.isActivated(z):!1}async getExtension(z){const x=await this.C.$getExtension(z);return x&&{...x,identifier:new n.$Rm(x.identifier.value),extensionLocation:E.URI.revive(x.extensionLocation)}}ab(z,x){return this.P.activateByEvent(z,x)}bb(z,x){return this.P.activateById(z,x)}activateByIdWithErrors(z,x){return this.bb(z,x).then(()=>{const be=this.P.getActivatedExtension(z);if(be.activationFailed)return Promise.reject(be.activationFailedError)})}getExtensionRegistry(){return this.G.wait().then(z=>this.J)}getExtensionExports(z){if(this.G.isOpen())return this.P.getActivatedExtension(z).exports;try{return this.P.getActivatedExtension(z).exports}catch{return null}}async cb(z){if(z.scheme===V.Schemas.file&&this.c.fsRealpath){const x=z.fsPath;this.R.has(x)||this.R.set(x,this.c.fsRealpath(x));const be=await this.R.get(x);return E.URI.file(be)}return z}async getExtensionPathIndex(){return this.Q||(this.Q=this.db(this.J.getAllExtensionDescriptions()).then(z=>new ae(z))),this.Q}async db(z){const x=p.$Ci.forUris(be=>M.$1g.ignorePathCasing(be));return await Promise.all(z.map(async be=>{if(this.wb(be)){const Fe=await this.cb(be.extensionLocation);x.set(Fe,be)}})),x}eb(z){let x=Promise.resolve(void 0);if(!this.G.isOpen()||!this.P.isActivated(z))return x;const be=this.P.getActivatedExtension(z);if(!be)return x;try{typeof be.module.deactivate=="function"&&(x=Promise.resolve(be.module.deactivate()).then(void 0,Fe=>(this.s.error(Fe),Promise.resolve(void 0))))}catch(Fe){this.s.error(`An error occurred when deactivating the extension '${z.value}':`),this.s.error(Fe)}try{(0,w.$Qc)(be.subscriptions)}catch(Fe){this.s.error(`An error occurred when deactivating the subscriptions for extension '${z.value}':`),this.s.error(Fe)}return x}async fb(z,x){return this.f.remote.isRemote?this.C.$onWillActivateExtension(z.identifier):await this.C.$onWillActivateExtension(z.identifier),this.hb(z,x).then(be=>{const Fe=be.activationTimes;return this.C.$onDidActivateExtension(z.identifier,Fe.codeLoadingTime,Fe.activateCallTime,Fe.activateResolvedTime,x),this.gb(z,x,"success",Fe),be},be=>{throw this.gb(z,x,"failure"),be})}gb(z,x,be,Fe){const De=Se(z,x);this.z.$publicLog2("extensionActivationTimes",{...De,...Fe||{},outcome:be})}hb(z,x){const be=Se(z,x);this.z.$publicLog2("activatePlugin",be);const Fe=this.wb(z);if(!Fe)return Promise.resolve(new b.$Plc(b.$Mlc.NONE));this.s.info(`ExtensionService#_doActivateExtension ${z.identifier.value}, startup: ${x.startup}, activationEvent: '${x.activationEvent}'${z.identifier.value!==x.extensionId.value?`, root cause: ${x.extensionId.value}`:""}`),this.s.flush();const De=new b.$Nlc(x.startup);return Promise.all([this.xb(z,(0,M.$0g)(z.extensionLocation,Fe),De),this.ib(z)]).then(we=>(R.mark(`code/extHost/willActivateExtension/${z.identifier.value}`),ie.jb(this.s,z.identifier,we[0],we[1],De))).then(we=>(R.mark(`code/extHost/didActivateExtension/${z.identifier.value}`),we))}ib(z){const x=this.Z.createLanguageModelAccessInformation(z),be=new l.$Vlc(z,this.M),Fe=new l.$Ulc(z.identifier.value,!1,this.M),De=new W.$5lc(z,this.N),we=z.isUnderDevelopment?this.f.environment.extensionTestsLocationURI?t.ExtensionMode.Test:t.ExtensionMode.Development:t.ExtensionMode.Production,ge=this.f.remote.isRemote?t.ExtensionKind.Workspace:t.ExtensionKind.UI;return this.s.trace(`ExtensionService#loadExtensionContext ${z.identifier.value}`),Promise.all([be.whenReady,Fe.whenReady,this.O.whenReady]).then(()=>{const Q=this;let Y,he;const ue=(0,o.$NG)(z,"ipc")?this.f.messagePorts?.get(n.$Rm.toKey(z.identifier)):void 0;return Object.freeze({globalState:be,workspaceState:Fe,secrets:De,subscriptions:[],get languageModelAccessInformation(){return x},get extensionUri(){return z.extensionLocation},get extensionPath(){return z.extensionLocation.fsPath},asAbsolutePath(Me){return O.$kc(z.extensionLocation.fsPath,Me)},get storagePath(){return Q.O.workspaceValue(z)?.fsPath},get globalStoragePath(){return Q.O.globalValue(z).fsPath},get logPath(){return O.$kc(Q.f.logsLocation.fsPath,z.identifier.value)},get logUri(){return E.URI.joinPath(Q.f.logsLocation,z.identifier.value)},get storageUri(){return Q.O.workspaceValue(z)},get globalStorageUri(){return Q.O.globalValue(z)},get extensionMode(){return we},get extension(){return Y===void 0&&(Y=new $e(Q,z.identifier,z,ge,!1)),Y},get extensionRuntime(){return(0,o.$OG)(z,"extensionRuntime"),Q.extensionRuntime},get environmentVariableCollection(){return Q.u.getEnvironmentVariableCollection(z)},get messagePassingProtocol(){if(!he){if(!ue)return;const Me=y.Event.buffer(y.Event.fromDOMEventEmitter(ue,"message",de=>de.data));ue.start(),he={onDidReceiveMessage:Me,postMessage:ue.postMessage.bind(ue)}}return he}})})}static jb(z,x,be,Fe,De){return be=be||{activate:void 0,deactivate:void 0},this.kb(z,x,be,Fe,De).then(we=>new b.$Olc(!1,null,De.build(),be,we,Fe.subscriptions))}static kb(z,x,be,Fe,De){if(typeof be.activate=="function")try{De.activateCallStart(),z.trace(`ExtensionService#_callActivateOptional ${x.value}`);const we=typeof global=="object"?global:self,ge=be.activate.apply(we,[Fe]);return De.activateCallStop(),De.activateResolveStart(),Promise.resolve(ge).then(Q=>(De.activateResolveStop(),Q))}catch(we){return Promise.reject(we)}else return Promise.resolve(be)}lb(z,x){this.bb(z.identifier,{startup:!1,extensionId:z.identifier,activationEvent:x}).then(void 0,be=>{this.s.error(be)})}mb(z,x=0){const Fe=Date.now();(0,j.$B)(()=>{for(let De=x;De<z.length;De+=1){const we=z[De];for(const ge of we.activationEvents??[])if(ge==="onStartupFinished")if(Date.now()-Fe>50){this.mb(z,De);break}else this.lb(we,ge)}})}nb(){this.C.$setPerformanceMarks(R.getMarks()),this.m.getConfigProvider().then(z=>{const x=z.getConfiguration("extensions.experimental").get("deferredStartupFinishedActivation"),be=this.J.getAllExtensionDescriptions();if(x)this.mb(be);else for(const Fe of be)if(Fe.activationEvents)for(const De of Fe.activationEvents)De==="onStartupFinished"&&this.lb(Fe,De)})}ob(){const z=this.ab("*",!0).then(void 0,we=>{this.s.error(we)});this.B(this.j.onDidChangeWorkspace(we=>this.pb(we.added)));const x=this.j.workspace?this.j.workspace.folders:[],be=this.pb(x),Fe=this.rb(),De=Promise.all([Fe,z,be]).then(()=>{});return Promise.race([De,(0,A.$xh)(1e4)]).then(()=>{this.nb()}),De}pb(z){return z.length===0?Promise.resolve(void 0):Promise.all(this.J.getAllExtensionDescriptions().map(x=>this.qb(z,x))).then(()=>{})}async qb(z,x){if(this.isActivated(x.identifier))return;const be=!this.f.remote.isRemote&&!!this.f.remote.authority,Fe={logService:this.s,folders:z.map(we=>we.uri),forceUsingSearch:be||!this.c.fsExists,exists:we=>this.c.fsExists(we.fsPath),checkExists:(we,ge,Q)=>this.y.$checkExists(we,ge,Q)},De=await(0,C.$qwb)(Fe,x);if(De)return this.bb(x.identifier,{startup:!0,extensionId:x.identifier,activationEvent:De.activationEvent}).then(void 0,we=>this.s.error(we))}async rb(){if(this.f.remote.authority)return this.ab(`onResolveRemoteAuthority:${this.f.remote.authority}`,!1)}async $extensionTestsExecute(){await this.H.wait();try{return await this.sb()}catch(z){throw console.error(z),z}}async sb(){const{extensionDevelopmentLocationURI:z,extensionTestsLocationURI:x}=this.f.environment;if(!z||!x)throw new Error(I.localize(0,null));const be=await this.xb(null,x,new b.$Nlc(!1));if(!be||typeof be.run!="function")throw new Error(I.localize(1,null,x.toString()));return new Promise((Fe,De)=>{const we=(Y,he)=>{Y?(j.$t&&this.s.error("Test runner called back with error",Y),De(Y)):(j.$t&&(he?this.s.info(`Test runner called back with ${he} failures.`):this.s.info("Test runner called back with successful outcome.")),Fe(typeof he=="number"&&he>0?1:0))},ge=(0,M.$Xg)(x),Q=be.run(ge,we);Q&&Q.then&&Q.then(()=>{j.$t&&this.s.info("Test runner finished successfully."),Fe(0)}).catch(Y=>{j.$t&&this.s.error("Test runner finished with error",Y),De(Y instanceof Error&&Y.stack?Y.stack:String(Y))})})}tb(){if(this.U)throw new Error("Extension host is already started!");return this.U=!0,this.F.wait().then(()=>this.G.open()).then(()=>Promise.race([this.P.waitForActivatingExtensions(),(0,A.$xh)(1e3)])).then(()=>this.ob()).then(()=>{this.H.open(),this.s.info("Eager extensions activated")})}registerRemoteAuthorityResolver(z,x){return this.S[z]=x,(0,w.$Tc)(()=>{delete this.S[z]})}async getRemoteExecServer(z){const{resolver:x}=await this.ub(z);return x?.resolveExecServer?.(z,{resolveAttempt:0})}async ub(z){const x=z.indexOf("+");if(x===-1)throw new t.$eN("Not an authority that can be resolved!",f.RemoteAuthorityResolverErrorCode.InvalidAuthority);const be=z.substr(0,x);return await this.D.wait(),await this.ab(`onResolveRemoteAuthority:${be}`,!1),{authorityPrefix:be,resolver:this.S[be]}}async $resolveAuthority(z,x){const be=N.$ae.create(!1),Fe=()=>`[resolveAuthority(${(0,f.$Ll)(z)},${x})][${be.elapsed()}ms] `,De=F=>this.s.info(`${Fe()}${F}`),we=F=>this.s.warn(`${Fe()}${F}`),ge=(F,G=void 0)=>this.s.error(`${Fe()}${F}`,G),Q=F=>{if(F instanceof t.$eN)return{type:"error",error:{code:F._code,message:F._message,detail:F._detail}};throw F},Y=async F=>{De(`activating resolver for ${F}...`);const{resolver:G,authorityPrefix:H}=await this.ub(F);if(!G)throw ge(`no resolver for ${H}`),new t.$eN(`No remote extension installed to resolve ${H}.`,f.RemoteAuthorityResolverErrorCode.NoResolverFound);return{resolver:G,authorityPrefix:H,remoteAuthority:F}},he=z.split(/@|%40/g).reverse();De(`activating remote resolvers ${he.join(" -> ")}`);let ue;try{ue=await Promise.all(he.map(Y)).catch(async F=>{if(!(F instanceof t.$eN)||F._code!==f.RemoteAuthorityResolverErrorCode.InvalidAuthority)throw F;return we(`resolving nested authorities failed: ${F.message}`),[await Y(z)]})}catch(F){return Q(F)}const Me=new A.$Hh;Me.cancelAndSet(()=>De("waiting..."),1e3);let de,Ce;for(const[F,{authorityPrefix:G,resolver:H,remoteAuthority:ee}]of ue.entries())try{if(F===ue.length-1)De("invoking final resolve()..."),R.mark(`code/extHost/willResolveAuthority/${G}`),de=await H.resolve(ee,{resolveAttempt:x,execServer:Ce}),R.mark(`code/extHost/didResolveAuthorityOK/${G}`),De("setting tunnel factory..."),this.B(await this.t.setTunnelFactory(H,t.$dN.isManagedResolvedAuthority(de)?de:void 0));else{if(De(`invoking resolveExecServer() for ${ee}`),R.mark(`code/extHost/willResolveExecServer/${G}`),Ce=await H.resolveExecServer?.(ee,{resolveAttempt:x,execServer:Ce}),!Ce)throw new t.$eN(`Exec server was not available for ${ee}`,f.RemoteAuthorityResolverErrorCode.NoResolverFound);R.mark(`code/extHost/didResolveExecServerOK/${G}`)}}catch(re){return R.mark(`code/extHost/didResolveAuthorityError/${G}`),ge("returned an error",re),Me.dispose(),Q(re)}Me.dispose();const Re={environmentTunnels:de.environmentTunnels,features:de.tunnelFeatures?{elevation:de.tunnelFeatures.elevation,privacyOptions:de.tunnelFeatures.privacyOptions,protocol:de.tunnelFeatures.protocol===void 0?!0:de.tunnelFeatures.protocol}:void 0},je={extensionHostEnv:de.extensionHostEnv,isTrusted:de.isTrusted,authenticationSession:de.authenticationSessionForInitializingExtensions?{id:de.authenticationSessionForInitializingExtensions.id,providerId:de.authenticationSessionForInitializingExtensions.providerId}:void 0};De(`returned ${t.$dN.isManagedResolvedAuthority(de)?"managed authority":`${de.host}:${de.port}`}`);let U;if(t.$dN.isManagedResolvedAuthority(de)){const F=x;this.Y.setFactory(F,de.makeConnection),U={authority:z,connectTo:new f.$Il(F),connectionToken:de.connectionToken}}else U={authority:z,connectTo:new f.$Jl(de.host,de.port),connectionToken:de.connectionToken};return{type:"ok",value:{authority:U,options:je,tunnelInformation:Re}}}async $getCanonicalURI(z,x){this.s.info(`$getCanonicalURI invoked for authority (${(0,f.$Ll)(z)})`);const{resolver:be}=await this.ub(z);if(!be)return null;const Fe=E.URI.revive(x);if(typeof be.getCanonicalURI>"u")return Fe;const De=await(0,A.$oh)(()=>be.getCanonicalURI(Fe));return De||Fe}async $startExtensionHost(z){z.toAdd.forEach(we=>we.extensionLocation=E.URI.revive(we.extensionLocation));const{globalRegistry:x,myExtensions:be}=ye(this.I,this.L,this.J,z),Fe=await this.db(be);return(await this.getExtensionPathIndex()).setSearchTree(Fe),this.L.set(x.getAllExtensionDescriptions()),this.J.set(be),j.$t&&(this.s.info(`$startExtensionHost: global extensions: ${fe(this.L)}`),this.s.info(`$startExtensionHost: local extensions: ${fe(this.J)}`)),this.tb()}$activateByEvent(z,x){return x===1?this.D.wait().then(be=>this.ab(z,!1)):this.G.wait().then(be=>this.ab(z,!1))}async $activate(z,x){return await this.G.wait(),this.J.getExtensionDescription(z)?(await this.bb(z,x),!0):!1}async $deltaExtensions(z){z.toAdd.forEach(we=>we.extensionLocation=E.URI.revive(we.extensionLocation));const{globalRegistry:x,myExtensions:be}=ye(this.I,this.L,this.J,z),Fe=await this.db(be);return(await this.getExtensionPathIndex()).setSearchTree(Fe),this.L.set(x.getAllExtensionDescriptions()),this.J.set(be),j.$t&&(this.s.info(`$deltaExtensions: global extensions: ${fe(this.L)}`),this.s.info(`$deltaExtensions: local extensions: ${fe(this.J)}`)),Promise.resolve(void 0)}async $test_latency(z){return z}async $test_up(z){return z.byteLength}async $test_down(z){const x=c.$Ge.alloc(z),be=Math.random()%256;for(let Fe=0;Fe<z;Fe++)x.writeUInt8(be,Fe);return x}async $updateRemoteConnectionData(z){this.X=z,this.a.fire()}};e.$$lc=ce,e.$$lc=ce=ie=Je([We(0,a.$vi),We(1,e.$0lc),We(2,S.$wP),We(3,r.$vlc),We(4,d.$ylc),We(5,T.$3j),We(6,$.$MP),We(7,u.$Blc),We(8,v.$wDb),We(9,g.$Wlc),We(10,q.$7lc),We(11,K.$8lc),We(12,k.$1lc)],ce);function ye(ne,z,x,be){ne.addActivationEvents(be.addActivationEvents);const Fe=new s.$K_b(ne,z.getAllExtensionDescriptions());Fe.deltaExtensions(be.toAdd,be.toRemove);const De=new n.$Sm(x.getAllExtensionDescriptions().map(ge=>ge.identifier));for(const ge of be.myToRemove)De.delete(ge);for(const ge of be.myToAdd)De.add(ge);const we=Te(Fe,De);return{globalRegistry:Fe,myExtensions:we}}function Se(ne,z){return{id:ne.identifier.value,name:ne.name,extensionVersion:ne.version,publisherDisplayName:ne.publisher,activationEvents:ne.activationEvents?ne.activationEvents.join(","):null,isBuiltin:ne.isBuiltin,reason:z.activationEvent,reasonId:z.extensionId.value}}function fe(ne){return ne.getAllExtensionDescriptions().map(z=>z.identifier.value).join(",")}e.$_lc=(0,a.$wi)("IExtHostExtensionService");class $e{#e;#t;#i;constructor(z,x,be,Fe,De){this.#e=z,this.#t=x,this.#i=be.identifier,this.id=be.identifier.value,this.extensionUri=be.extensionLocation,this.extensionPath=O.$ic((0,M.$Xg)(be.extensionLocation)),this.packageJSON=be,this.extensionKind=Fe,this.isFromDifferentExtensionHost=De}get isActive(){return this.#e.isActivated(this.#i)}get exports(){if(!(this.packageJSON.api==="none"||this.isFromDifferentExtensionHost))return this.#e.getExtensionExports(this.#i)}async activate(){if(this.isFromDifferentExtensionHost)throw new Error("Cannot activate foreign extension");return await this.#e.activateByIdWithErrors(this.#i,{startup:!1,extensionId:this.#t,activationEvent:"api"}),this.exports}}e.$amc=$e;function Te(ne,z){return ne.getAllExtensionDescriptions().filter(x=>z.has(x.identifier))}class ae{constructor(z){this.a=z}setSearchTree(z){this.a=z}findSubstr(z){return this.a.findSubstr(z)}forEach(z){return this.a.forEach(z)}}e.$bmc=ae;class Ne{constructor(z){this.a=new n.$Tm,this.addActivationEvents(z)}readActivationEvents(z){return this.a.get(z.identifier)??[]}addActivationEvents(z){for(const x of Object.keys(z))this.a.set(x,z[x])}}}),define(Ie[304],Pe([1,0,60,2,4,40,26,20,17,27,3,41,12,13]),function(le,e,I,O,R,M,A,w,p,E,T,D,d,b){"use strict";var m;Object.defineProperty(e,"__esModule",{value:!0}),e.$knc=void 0;let r=class{constructor(c,l,t,f,a,$,u){this.c=c,this.d=l,this.e=t,this.f=f,this.g=a,this.h=$,this.i=u,this.a=new Map,this.b=[]}async install(){this.j(),I.mark("code/extHost/willWaitForConfig");const c=await this.f.getConfigProvider();I.mark("code/extHost/didWaitForConfig");const l=await this.g.getExtensionPathIndex();this.register(new s(this.c,l,this.d,c,this.i)),this.register(this.e.createInstance(o)),this.h.remote.isRemote&&this.register(this.e.createInstance(i,l,this.h.environment.appUriScheme))}register(c){if("nodeModuleName"in c)if(Array.isArray(c.nodeModuleName))for(const l of c.nodeModuleName)this.a.set(l,c);else this.a.set(c.nodeModuleName,c);typeof c.alternativeModuleName=="function"&&this.b.push(l=>c.alternativeModuleName(l))}};e.$knc=r,e.$knc=r=Je([We(2,T.$vi),We(3,M.$ylc),We(4,D.$_lc),We(5,E.$MP),We(6,d.$3j)],r);let o=class{static{m=this}static{this.a=new Map([["vscode-ripgrep","@vscode/ripgrep"],["vscode-windows-registry","@vscode/windows-registry"]])}constructor(c){if(c.environment.appRoot&&m.a.size){const l=(0,b.$af)(this.c(c.environment.appRoot.fsPath)),t="[a-z0-9_.-]",f=`@${t}+\\/${t}+|${t}+`,a="node_modules|node_modules\\.asar(?:\\.unpacked)?";this.b=new RegExp(`^(${l}/${a}\\/)(${f})(.*)$`,"i")}}alternativeModuleName(c){if(!this.b)return;const l=this.b.exec(this.c(c));if(!l)return;const[,t,f,a]=l,$=m.a.get(f);if($!==void 0)return console.warn(`${f} as been renamed to ${$}, please update your imports`),t+$+a}c(c){return c.replace(/\\/g,"/")}};o=m=Je([We(0,E.$MP)],o);class s{constructor(c,l,t,f,a){this.c=c,this.d=l,this.e=t,this.f=f,this.g=a,this.nodeModuleName="vscode",this.a=new w.$Tm}load(c,l){const t=this.d.findSubstr(l);if(t){let f=this.a.get(t.identifier);return f||(f=this.c(t,this.e,this.f),this.a.set(t.identifier,f)),f}if(!this.b){let f="";this.d.forEach((a,$)=>f+=`	${$} -> ${a.identifier.value}
`),this.g.warn(`Could not identify extension for 'vscode' require call from ${l}. These are the extension path mappings: 
${f}`),this.b=this.c(A.$IG,this.e,this.f)}return this.b}}let i=class{constructor(c,l,t){this.e=c,this.f=l,this.nodeModuleName=["open","opn"],this.d=t.getProxy(R.$9M.MainThreadTelemetry);const f=t.getProxy(R.$9M.MainThreadWindow);this.c=(a,$)=>{const u=O.URI.parse(a);return $?this.g(a,$):u.scheme==="http"||u.scheme==="https"?f.$openUri(u,a,{allowTunneling:!0}):u.scheme==="mailto"||u.scheme===this.f?f.$openUri(u,a,{}):this.g(a,$)}}load(c,l,t){const f=this.e.findSubstr(l);return f&&(this.a=f.identifier.value,this.h()),this.b=t(c),this.c}g(c,l){return this.i(),this.b(c,l)}h(){this.a&&this.d.$publicLog2("shimming.open",{extension:this.a})}i(){this.a&&this.d.$publicLog2("shimming.open.call.noForward",{extension:this.a})}};i=Je([We(2,p.$wP)],i)}),define(Ie[122],Pe([1,0,43,6,19,75,3,68,67,41,7,39,234,40]),function(le,e,I,O,R,M,A,w,p,E,T,D,d,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$dmc=e.$cmc=void 0,e.$cmc=(0,A.$wi)("IExtHostVariableResolverProvider");class m extends d.$yQ{constructor(s,i,n,c,l,t,f){function a(){if(n){const $=n.activeEditor();if($)return $.document.uri;const u=c.tabGroups.all.find(S=>S.isActive)?.activeTab;if(u!==void 0){if(u.input instanceof T.$WO||u.input instanceof T.$2O)return u.input.modified;if(u.input instanceof T.$VO||u.input instanceof T.$1O||u.input instanceof T.$YO)return u.input.uri}}}super({getFolderUri:$=>{const u=t.folders.filter(S=>S.name===$);if(u&&u.length>0)return u[0].uri},getWorkspaceFolderCount:()=>t.folders.length,getConfigurationValue:($,u)=>l.getConfiguration(void 0,$).get(u),getAppRoot:()=>M.cwd(),getExecPath:()=>M.env.VSCODE_EXEC_PATH,getFilePath:()=>{const $=a();if($)return R.$ic($.fsPath)},getWorkspaceFolderPathForFile:()=>{if(i){const $=a();if($){const u=i.getWorkspaceFolder($);if(u)return R.$ic(u.uri.fsPath)}}},getSelectedText:()=>{if(n){const $=n.activeEditor();if($&&!$.selection.isEmpty)return $.document.getText($.selection)}},getLineNumber:()=>{if(n){const $=n.activeEditor();if($)return String($.selection.end.line+1)}},getExtension:$=>s.getExtension($)},void 0,f?Promise.resolve(f):void 0,Promise.resolve(M.env))}}let r=class extends O.$Vc{constructor(s,i,n,c,l){super(),this.b=s,this.c=i,this.g=n,this.h=c,this.j=l,this.a=new I.$V(async()=>{const t=await this.h.getConfigProvider(),a={folders:await this.c.getWorkspaceFolders2()||[]};return this.B(this.c.onDidChangeWorkspace(async $=>{a.folders=await this.c.getWorkspaceFolders2()||[]})),new m(this.b,this.c,this.g,this.j,t,a,this.m())})}getResolver(){return this.a.value}m(){}};e.$dmc=r,e.$dmc=r=Je([We(0,E.$_lc),We(1,D.$vlc),We(2,w.$HP),We(3,b.$ylc),We(4,p.$Klc)],r)}),define(Ie[123],Pe([1,0,11,5,2,20,3,4,67,41,17,7,39,226,228,40,122,6,36,32,8]),function(le,e,I,O,R,M,A,w,p,E,T,D,d,b,m,r,o,s,i,n,c){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$imc=e.$hmc=e.$gmc=e.$fmc=e.$emc=void 0,e.$emc=(0,A.$wi)("IExtHostDebugService");let l=class{get onDidStartDebugSession(){return this.n.event}get onDidTerminateDebugSession(){return this.o.event}get onDidChangeActiveDebugSession(){return this.q.event}get activeDebugSession(){return this.u?.api}get onDidReceiveDebugSessionCustomEvent(){return this.w.event}get activeDebugConsole(){return this.y.value}constructor(h,v,g,k,y,C,P){this.N=v,this.O=g,this.P=k,this.Q=y,this.R=C,this.S=P,this.m=new Map,this.F=0,this.G=new Map,this.H=new Map,this.I=new WeakMap,this.J=new Map,this.L=new Map,this.M=0,this.d=0,this.f=[],this.g=0,this.h=[],this.j=0,this.k=[],this.D=new Map,this.E=new Map,this.n=new O.$ee,this.o=new O.$ee,this.q=new O.$ee,this.w=new O.$ee,this.l=h.getProxy(w.$9M.MainThreadDebugService),this.A=new O.$ee,this.C=new O.$ee,this.y=new f(this.l),this.z=new Map,this.O.getExtensionRegistry().then(W=>{W.onDidChange(V=>{this.V(W)}),this.V(W)})}async $getVisualizerTreeItem(h,v){const g=this.W(v);if(!g)return;const k=await this.H.get(h)?.getTreeItem?.(g);return k?this.U(h,k):void 0}registerDebugVisualizationTree(h,v,g){const k=M.$Rm.toKey(h.identifier),y=this.jb(k,v);if(this.G.has(y))throw new Error(`A debug visualization provider with id '${v}' is already registered`);return this.H.set(y,g),this.l.$registerDebugVisualizerTree(y,!!g.editItem),(0,s.$Tc)(()=>{this.l.$unregisterDebugVisualizerTree(y),this.H.delete(v)})}async $getVisualizerTreeItemChildren(h,v){const g=this.J.get(v)?.item;return g?(await this.H.get(h)?.getChildren?.(g))?.map(y=>this.U(h,y))||[]:[]}async $editVisualizerTreeItem(h,v){const g=this.J.get(h);if(!g)return;const k=await this.H.get(g.provider)?.editItem?.(g.item,v);return this.U(g.provider,k||g.item)}$disposeVisualizedTree(h){const v=this.J.get(h);if(!v)return;const g=[v.children];for(const k of g)if(k)for(const y of k)g.push(this.J.get(y)?.children),this.J.delete(y)}U(h,v){let g=this.I.get(v);return g||(g=this.F++,this.I.set(v,g),this.J.set(g,{provider:h,item:v})),c.DebugTreeItem.from(v,g)}asDebugSourceUri(h,v){const g=h;if(typeof g.sourceReference=="number"&&g.sourceReference>0){let k=`debug:${encodeURIComponent(g.path||"")}`,y="?";return v&&(k+=`${y}session=${encodeURIComponent(v.id)}`,y="&"),k+=`${y}ref=${g.sourceReference}`,R.URI.parse(k)}else{if(g.path)return R.URI.file(g.path);throw new Error("cannot create uri from DAP 'source' object; properties 'path' and 'sourceReference' are both missing.")}}V(h){const v=[];for(const g of h.getAllExtensionDescriptions())if(g.contributes){const k=g.contributes.debuggers;if(k&&k.length>0)for(const y of k)(0,m.$sH)(y)&&v.push(y.type)}this.l.$registerDebugTypes(v)}get activeStackItem(){return this.B}get onDidChangeActiveStackItem(){return this.C.event}get onDidChangeBreakpoints(){return this.A.event}get breakpoints(){const h=[];return this.z.forEach(v=>h.push(v)),h}async $resolveDebugVisualizer(h,v){const g=this.L.get(h);if(!g)throw new Error(`No debug visualizer found with id '${h}'`);let{v:k,provider:y,extensionId:C}=g;if(k.visualization||(k=await y.resolveDebugVisualization?.(k,v)||k,g.v=k),!k.visualization)throw new Error(`No visualization returned from resolveDebugVisualization in '${y}'`);return this.kb(C,k.visualization)}async $executeDebugVisualizerCommand(h){const v=this.L.get(h);if(!v)throw new Error(`No debug visualizer found with id '${h}'`);const g=v.v.visualization;g&&"command"in g&&this.S.executeCommand(g.command,...g.arguments||[])}W(h){const v=this.m.get(h.sessionId);return v&&{session:v.api,variable:h.variable,containerId:h.containerId,frameId:h.frameId,threadId:h.threadId}}async $provideDebugVisualizers(h,v,g,k){const y=this.W(g),C=this.jb(h,v),P=this.G.get(C);if(!y||!P)return[];const W=await P.provideDebugVisualization(y,k);return W?W.map(V=>{const q=++this.M;this.L.set(q,{v:V,provider:P,extensionId:h});const N=V.iconPath?this.lb(V.iconPath):void 0;return{id:q,name:V.name,iconClass:N?.iconClass,iconPath:N?.iconPath,visualization:this.kb(h,V.visualization)}}):[]}$disposeDebugVisualizers(h){for(const v of h)this.L.delete(v)}registerDebugVisualizationProvider(h,v,g){if(!h.contributes?.debugVisualizers?.some(C=>C.id===v))throw new Error(`Extensions may only call registerDebugVisualizationProvider() for renderers they contribute (got ${v})`);const k=M.$Rm.toKey(h.identifier),y=this.jb(k,v);if(this.G.has(y))throw new Error(`A debug visualization provider with id '${v}' is already registered`);return this.G.set(y,g),this.l.$registerDebugVisualizer(k,v),(0,s.$Tc)(()=>{this.l.$unregisterDebugVisualizer(k,v),this.G.delete(v)})}addBreakpoints(h){const v=h.filter(y=>{const C=y.id;return this.z.has(C)?!1:(this.z.set(C,y),!0)});this.gb(v,[],[]);const g=[],k=new Map;for(const y of v)if(y instanceof D.$aO){let C=k.get(y.location.uri.toString());C||(C={type:"sourceMulti",uri:y.location.uri,lines:[]},k.set(y.location.uri.toString(),C),g.push(C)),C.lines.push({id:y.id,enabled:y.enabled,condition:y.condition,hitCondition:y.hitCondition,logMessage:y.logMessage,line:y.location.range.start.line,character:y.location.range.start.character,mode:y.mode})}else y instanceof D.$bO&&g.push({type:"function",id:y.id,enabled:y.enabled,hitCondition:y.hitCondition,logMessage:y.logMessage,condition:y.condition,functionName:y.functionName,mode:y.mode});return this.l.$registerBreakpoints(g)}removeBreakpoints(h){const v=h.filter(C=>this.z.delete(C.id));this.gb([],v,[]);const g=v.filter(C=>C instanceof D.$aO).map(C=>C.id),k=v.filter(C=>C instanceof D.$bO).map(C=>C.id),y=v.filter(C=>C instanceof D.$cO).map(C=>C.id);return this.l.$unregisterBreakpoints(g,k,y)}startDebugging(h,v,g){return this.l.$startDebugging(h?h.uri:void 0,v,{parentSessionID:g.parentSession?g.parentSession.id:void 0,lifecycleManagedByParent:g.lifecycleManagedByParent,repl:g.consoleMode===D.DebugConsoleMode.MergeWithParent?"mergeWithParent":"separate",noDebug:g.noDebug,compact:g.compact,suppressSaveBeforeStart:g.suppressSaveBeforeStart,suppressDebugStatusbar:g.suppressDebugStatusbar??g.debugUI?.simple,suppressDebugToolbar:g.suppressDebugToolbar??g.debugUI?.simple,suppressDebugView:g.suppressDebugView??g.debugUI?.simple})}stopDebugging(h){return this.l.$stopDebugging(h?h.id:void 0)}registerDebugConfigurationProvider(h,v,g){if(!v)return new D.$$M(()=>{});const k=this.d++;return this.f.push({type:h,handle:k,provider:v}),this.l.$registerDebugConfigurationProvider(h,g,!!v.provideDebugConfigurations,!!v.resolveDebugConfiguration,!!v.resolveDebugConfigurationWithSubstitutedVariables,k),new D.$$M(()=>{this.f=this.f.filter(y=>y.provider!==v),this.l.$unregisterDebugConfigurationProvider(k)})}registerDebugAdapterDescriptorFactory(h,v,g){if(!g)return new D.$$M(()=>{});if(!this.cb(h,v))throw new Error(`a DebugAdapterDescriptorFactory can only be registered from the extension that defines the '${v}' debugger.`);if(this.$(v))throw new Error("a DebugAdapterDescriptorFactory can only be registered once per a type.");const k=this.g++;return this.h.push({type:v,handle:k,factory:g}),this.l.$registerDebugAdapterDescriptorFactory(v,k),new D.$$M(()=>{this.h=this.h.filter(y=>y.factory!==g),this.l.$unregisterDebugAdapterDescriptorFactory(k)})}registerDebugAdapterTrackerFactory(h,v){if(!v)return new D.$$M(()=>{});const g=this.j++;return this.k.push({type:h,handle:g,factory:v}),new D.$$M(()=>{this.k=this.k.filter(k=>k.factory!==v)})}async $runInTerminal(h,v){return Promise.resolve(void 0)}async $substituteVariables(h,v){let g;const k=await this.ib(h);return k&&(g={uri:k.uri,name:k.name,index:k.index,toResource:()=>{throw new Error("Not implemented")}}),(await this.R.getResolver()).resolveAnyAsync(g,v)}X(h,v){if(h.type==="implementation")return new $(h.implementation)}Y(){}async $startDASession(h,v){const g=this,k=await this.hb(v);return this.eb(this.$(k.type),k).then(y=>{if(!y)throw new Error(`Couldn't find a debug adapter descriptor for debug type '${k.type}' (extension might have failed to activate)`);const C=this.Z(y),P=this.X(C,k);if(!P)throw new Error(`Couldn't create a debug adapter for type '${k.type}'.`);const W=P;return this.D.set(h,W),this.db(k).then(V=>(V&&this.E.set(h,V),W.onMessage(async q=>{if(q.type==="request"&&q.command==="handshake"){const N=q,j={type:"response",seq:0,command:N.command,request_seq:N.seq,success:!0};this.K||(this.K=this.Y());try{if(this.K){const K=await this.K.sign(N.arguments.value);j.body={signature:K},W.sendResponse(j)}else throw new Error("no signer")}catch(K){j.success=!1,j.message=K.message,W.sendResponse(j)}}else V&&V.onDidSendMessage&&V.onDidSendMessage(q),q=(0,m.$xH)(q,!0),g.l.$acceptDAMessage(h,q)}),W.onError(q=>{V&&V.onError&&V.onError(q),this.l.$acceptDAError(h,q.name,q.message,q.stack)}),W.onExit(q=>{V&&V.onExit&&V.onExit(q??void 0,void 0),this.l.$acceptDAExit(h,q??void 0,void 0)}),V&&V.onWillStartSession&&V.onWillStartSession(),W.startSession()))})}$sendDAMessage(h,v){v=(0,m.$wH)(v,!1);const g=this.E.get(h);g&&g.onWillReceiveMessage&&g.onWillReceiveMessage(v),this.D.get(h)?.sendMessage(v)}$stopDASession(h){const v=this.E.get(h);this.E.delete(h),v&&v.onWillStopSession&&v.onWillStopSession();const g=this.D.get(h);return this.D.delete(h),g?g.stopSession():Promise.resolve(void 0)}$acceptBreakpointsDelta(h){const v=[],g=[],k=[];if(h.added)for(const y of h.added){const C=y.id;if(C&&!this.z.has(C)){let P;if(y.type==="function")P=new D.$bO(y.functionName,y.enabled,y.condition,y.hitCondition,y.logMessage,y.mode);else if(y.type==="data")P=new D.$cO(y.label,y.dataId,y.canPersist,y.enabled,y.hitCondition,y.condition,y.logMessage,y.mode);else{const W=R.URI.revive(y.uri);P=new D.$aO(new D.$kN(W,new D.$_M(y.line,y.character)),y.enabled,y.condition,y.hitCondition,y.logMessage,y.mode)}(0,D.$$N)(P,C),this.z.set(C,P),v.push(P)}}if(h.removed)for(const y of h.removed){const C=this.z.get(y);C&&(this.z.delete(y),g.push(C))}if(h.changed){for(const y of h.changed)if(y.id){const C=this.z.get(y.id);if(C){if(C instanceof D.$bO&&y.type==="function"){const P=C;P.enabled=y.enabled,P.condition=y.condition,P.hitCondition=y.hitCondition,P.logMessage=y.logMessage,P.functionName=y.functionName}else if(C instanceof D.$aO&&y.type==="source"){const P=C;P.enabled=y.enabled,P.condition=y.condition,P.hitCondition=y.hitCondition,P.logMessage=y.logMessage,P.location=new D.$kN(R.URI.revive(y.uri),new D.$_M(y.line,y.character))}k.push(C)}}}this.gb(v,g,k)}async $acceptStackFrameFocus(h){let v;if(h){const g=await this.hb(h.sessionId);h.kind==="thread"?v=new D.$iO(g.api,h.threadId):v=new D.$hO(g.api,h.threadId,h.frameId)}this.B=v,this.C.fire(this.B)}$provideDebugConfigurations(h,v,g){return(0,I.$oh)(async()=>{const k=this.bb(h);if(!k)throw new Error("no DebugConfigurationProvider found");if(!k.provideDebugConfigurations)throw new Error("DebugConfigurationProvider has no method provideDebugConfigurations");const y=await this.ib(v);return k.provideDebugConfigurations(y,g)}).then(k=>{if(!k)throw new Error("nothing returned from DebugConfigurationProvider.provideDebugConfigurations");return k})}$resolveDebugConfiguration(h,v,g,k){return(0,I.$oh)(async()=>{const y=this.bb(h);if(!y)throw new Error("no DebugConfigurationProvider found");if(!y.resolveDebugConfiguration)throw new Error("DebugConfigurationProvider has no method resolveDebugConfiguration");const C=await this.ib(v);return y.resolveDebugConfiguration(C,g,k)})}$resolveDebugConfigurationWithSubstitutedVariables(h,v,g,k){return(0,I.$oh)(async()=>{const y=this.bb(h);if(!y)throw new Error("no DebugConfigurationProvider found");if(!y.resolveDebugConfigurationWithSubstitutedVariables)throw new Error("DebugConfigurationProvider has no method resolveDebugConfigurationWithSubstitutedVariables");const C=await this.ib(v);return y.resolveDebugConfigurationWithSubstitutedVariables(C,g,k)})}async $provideDebugAdapter(h,v){const g=this.ab(h);if(!g)return Promise.reject(new Error("no adapter descriptor factory found for handle"));const k=await this.hb(v);return this.eb(g,k).then(y=>{if(!y)throw new Error(`Couldn't find a debug adapter descriptor for debug type '${k.type}'`);return this.Z(y)})}async $acceptDebugSessionStarted(h){const v=await this.hb(h);this.n.fire(v.api)}async $acceptDebugSessionTerminated(h){const v=await this.hb(h);v&&(this.o.fire(v.api),this.m.delete(v.id))}async $acceptDebugSessionActiveChanged(h){this.u=h?await this.hb(h):void 0,this.q.fire(this.u?.api)}async $acceptDebugSessionNameChanged(h,v){(await this.hb(h))?._acceptNameChanged(v)}async $acceptDebugSessionCustomEvent(h,v){const k={session:(await this.hb(h)).api,event:v.event,body:v.body};this.w.fire(k)}Z(h){if(h instanceof D.$dO)return{type:"executable",command:h.command,args:h.args,options:h.options};if(h instanceof D.$eO)return{type:"server",port:h.port,host:h.host};if(h instanceof D.$fO)return{type:"pipeServer",path:h.path};if(h instanceof D.$gO)return{type:"implementation",implementation:h.implementation};throw new Error("convertToDto unexpected type")}$(h){const v=this.h.filter(g=>g.type===h);if(v.length>0)return v[0].factory}ab(h){const v=this.h.filter(g=>g.handle===h);if(v.length>0)return v[0].factory}bb(h){const v=this.f.filter(g=>g.handle===h);if(v.length>0)return v[0].provider}cb(h,v){if(h.contributes){const g=h.contributes.debuggers;if(g&&g.length>0){for(const k of g)if(k.label&&k.type&&k.type===v)return!0}}return!1}db(h){const g=h.configuration.type,k=this.k.filter(y=>y.type===g||y.type==="*").map(y=>(0,I.$oh)(()=>y.factory.createDebugAdapterTracker(h.api)).then(C=>C,C=>null));return Promise.race([Promise.all(k).then(y=>{const C=y.filter(P=>!!P);if(C.length>0)return new a(C)}),new Promise(y=>setTimeout(()=>y(void 0),1e3))]).catch(y=>{})}async eb(h,v){const g=v.configuration.debugServer;if(typeof g=="number")return Promise.resolve(new D.$eO(g));if(h){const y=await this.O.getExtensionRegistry();return(0,I.$oh)(()=>h.createDebugAdapterDescriptor(v.api,this.fb(v,y))).then(C=>{if(C)return C})}const k=await this.O.getExtensionRegistry();return Promise.resolve(this.fb(v,k))}fb(h,v){}gb(h,v,g){(h.length>0||v.length>0||g.length>0)&&this.A.fire(Object.freeze({added:h,removed:v,changed:g}))}async hb(h){if(h)if(typeof h=="string"){const v=this.m.get(h);if(v)return v}else{let v=this.m.get(h.id);if(!v){const g=await this.ib(h.folderUri),k=h.parent?this.m.get(h.parent):void 0;v=new t(this.l,h.id,h.type,h.name,g,h.configuration,k?.api),this.m.set(v.id,v),this.l.$sessionCached(v.id)}return v}throw new Error("cannot find session")}ib(h){if(h){const v=R.URI.revive(h);return this.N.resolveWorkspaceFolder(v)}return Promise.resolve(void 0)}jb(h,v){return`${h}\0${v}`}kb(h,v){if(v){if("title"in v&&"command"in v)return{type:0};if("treeId"in v)return{type:1,id:`${h}\0${v.treeId}`};throw new Error("Unsupported debug visualization type")}}lb(h){const v=this.mb(h);let g,k;return"id"in v?k=i.ThemeIcon.asClassName(v):g=v,{iconPath:g,iconClass:k}}mb(h){if(h instanceof D.$8N)return{id:h.id};const v=typeof h=="object"&&"dark"in h?h.dark:h,g=typeof h=="object"&&"light"in h?h.light:h;return{dark:typeof v=="string"?R.URI.file(v):v,light:typeof g=="string"?R.URI.file(g):g}}};e.$fmc=l,e.$fmc=l=Je([We(0,T.$wP),We(1,d.$vlc),We(2,E.$_lc),We(3,r.$ylc),We(4,p.$Klc),We(5,o.$cmc),We(6,n.$SP)],l);class t{constructor(h,v,g,k,y,C,P){this.f=h,this.g=v,this.h=g,this.j=k,this.k=y,this.l=C,this.m=P}get api(){const h=this;return this.d??=Object.freeze({id:h.g,type:h.h,get name(){return h.j},set name(v){h.j=v,h.f.$setDebugSessionName(h.g,v)},parentSession:h.m,workspaceFolder:h.k,configuration:h.l,customRequest(v,g){return h.f.$customDebugAdapterRequest(h.g,v,g)},getDebugProtocolBreakpoint(v){return h.f.$getDebugProtocolBreakpoint(h.g,v.id)}})}get id(){return this.g}get type(){return this.h}_acceptNameChanged(h){this.j=h}get configuration(){return this.l}}e.$gmc=t;class f{constructor(h){this.value=Object.freeze({append(v){h.$appendDebugConsole(v)},appendLine(v){this.append(v+`
`)}})}}e.$hmc=f;class a{constructor(h){this.d=h}onWillStartSession(){this.d.forEach(h=>h.onWillStartSession?h.onWillStartSession():void 0)}onWillReceiveMessage(h){this.d.forEach(v=>v.onWillReceiveMessage?v.onWillReceiveMessage(h):void 0)}onDidSendMessage(h){this.d.forEach(v=>v.onDidSendMessage?v.onDidSendMessage(h):void 0)}onWillStopSession(){this.d.forEach(h=>h.onWillStopSession?h.onWillStopSession():void 0)}onError(h){this.d.forEach(v=>v.onError?v.onError(h):void 0)}onExit(h,v){this.d.forEach(g=>g.onExit?g.onExit(h,v):void 0)}}class $ extends b.$Mrb{constructor(h){super(),this.h=h,h.onDidSendMessage(v=>{this.acceptMessage(v)})}startSession(){return Promise.resolve(void 0)}sendMessage(h){this.h.handleMessage(h)}stopSession(){return this.h.dispose(),Promise.resolve(void 0)}}let u=class extends l{constructor(h,v,g,k,y,C,P){super(h,v,g,k,y,C,P)}};e.$imc=u,e.$imc=u=Je([We(0,T.$wP),We(1,d.$vlc),We(2,E.$_lc),We(3,r.$ylc),We(4,p.$Klc),We(5,o.$cmc),We(6,n.$SP)],u)}),define(Ie[305],Pe([1,0,14,60,2,4,254,12,56,72,27,199,17,61,41,63]),function(le,e,I,O,R,M,A,w,p,E,T,D,d,b,m,r){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$mnc=e.$lnc=void 0;class o{static async installEarlyHandler(n){Error.stackTraceLimit=100;const c=n.get(w.$3j),t=n.get(d.$wP).getProxy(M.$9M.MainThreadErrors);I.setUnexpectedErrorHandler(f=>{c.error(f);const a=I.$3(f);t.$onUnexpectedError(a)})}static async installFullHandler(n){const c=n.get(w.$3j),l=n.get(d.$wP),t=n.get(m.$_lc),f=n.get(r.$QP),a=l.getProxy(M.$9M.MainThreadExtensionService),$=l.getProxy(M.$9M.MainThreadErrors),u=await t.getExtensionPathIndex(),S=new WeakMap;function h(k,y){if(S.has(k))return S.get(k).stack;let C="",P,W;for(const q of y)C+=`
	at ${q.toString()}`,W=q.getFileName(),!P&&W&&(P=u.findSubstr(R.URI.file(W)));const V=`${k.name||"Error"}: ${k.message||""}${C}`;return S.set(k,{extensionIdentifier:P?.identifier,stack:V}),V}const v=Symbol("prepareStackTrace wrapped");let g=h;Object.defineProperty(Error,"prepareStackTrace",{configurable:!1,get(){return g},set(k){if(k===h||!k||k[v]){g=k||h;return}g=function(y,C){return h(y,C),k.call(Error,y,C)},Object.assign(g,{[v]:!0})}}),I.setUnexpectedErrorHandler(k=>{c.error(k);const y=I.$3(k),C=S.get(k);if(!C?.extensionIdentifier){$.$onUnexpectedError(y);return}a.$onExtensionRuntimeError(C.extensionIdentifier,y);const P=f.onExtensionError(C.extensionIdentifier,k);c.trace("forwarded error to extension?",P,C)})}}e.$lnc=o;class s{constructor(n,c,l,t,f){this.a=l,this.b=new A.$S_b(n,null,t),c=s.e(c,this.b);const a=new E.$ui(...(0,p.$ys)());a.set(T.$MP,{_serviceBrand:void 0,...c,messagePorts:f}),a.set(d.$wP,new d.$xP(this.b)),a.set(b.$slc,new b.$tlc(t)),a.set(m.$0lc,l);const $=new D.$cr(a,!0);$.invokeFunction(o.installEarlyHandler),this.d=$.invokeFunction(u=>u.get(w.$3j)),O.mark("code/extHost/didCreateServices"),this.a.pid?this.d.info(`Extension host with pid ${this.a.pid} started`):this.d.info("Extension host started"),this.d.trace("initData",c),this.c=$.invokeFunction(u=>u.get(m.$_lc)),this.c.initialize(),$.invokeFunction(o.installFullHandler)}async asBrowserUri(n){const c=this.b.getProxy(M.$9M.MainThreadExtensionService);return R.URI.revive(await c.$asBrowserUri(n))}terminate(n){this.c.terminate(n)}static e(n,c){n.extensions.allExtensions.forEach(t=>{t.extensionLocation=R.URI.revive(c.transformIncomingURIs(t.extensionLocation))}),n.environment.appRoot=R.URI.revive(c.transformIncomingURIs(n.environment.appRoot));const l=n.environment.extensionDevelopmentLocationURI;return l&&(n.environment.extensionDevelopmentLocationURI=l.map(t=>R.URI.revive(c.transformIncomingURIs(t)))),n.environment.extensionTestsLocationURI=R.URI.revive(c.transformIncomingURIs(n.environment.extensionTestsLocationURI)),n.environment.globalStorageHome=R.URI.revive(c.transformIncomingURIs(n.environment.globalStorageHome)),n.environment.workspaceStorageHome=R.URI.revive(c.transformIncomingURIs(n.environment.workspaceStorageHome)),n.environment.extensionTelemetryLogResource=R.URI.revive(c.transformIncomingURIs(n.environment.extensionTelemetryLogResource)),n.nlsBaseUrl=R.URI.revive(c.transformIncomingURIs(n.nlsBaseUrl)),n.logsLocation=R.URI.revive(c.transformIncomingURIs(n.logsLocation)),n.workspace=c.transformIncomingURIs(n.workspace),n}}e.$mnc=s}),define(Ie[306],Pe([1,0,18,11,24,44,16,19,23,2,47]),function(le,e,I,O,R,M,A,w,p,E,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$zmc=e.$xmc=e.$wmc=void 0,e.$ymc=r;class D{constructor(i,n,c){this.d=i,this.e=n,this.f=c,this.a=null,this.b=!1,this.c=0}get g(){return this.d.query}search(i,n){const c=this.g.folderQueries||[],l=new R.$pe(n);return new Promise((t,f)=>{this.a=new b(i);let a=!1;const $=(u,S)=>{if(!a&&!this.b){const h=this.h(u);r(u)&&typeof this.g.maxResults=="number"&&this.c+h>this.g.maxResults&&(this.b=!0,a=!0,l.cancel(),u=this.j(u,this.g.maxResults-this.c));const v=this.h(u);this.c+=v,(v>0||!r(u))&&this.a.add(u,S)}};Promise.all(c.map((u,S)=>this.k(u,h=>$(h,S),l.token))).then(u=>{l.dispose(),this.a.flush();const S=u.some(h=>!!h&&!!h.limitHit);t({limitHit:this.b||S,messages:(0,I.$Rb)(u.map(h=>h?.message?Array.isArray(h.message)?h.message:[h.message]:[])),stats:{type:this.f}})},u=>{l.dispose();const S=(0,M.$hj)(u);f(new Error(S))})})}h(i){return r(i)?Array.isArray(i.ranges)?i.ranges.length:1:0}j(i,n){const c=Array.isArray(i.ranges)?i.ranges:[i.ranges],l=Array.isArray(i.preview.matches)?i.preview.matches:[i.preview.matches];return{ranges:c.slice(0,n),preview:{matches:l.slice(0,n),text:i.preview.text},uri:i.uri}}async k(i,n,c){const l=new T.$DL(this.g,i),t=[],f={report:u=>{if(!this.l(u))return;const S=i.folder.scheme===A.Schemas.file?(0,T.$EL)(()=>this.e.readdir(p.$9g(u.uri))):void 0,h=p.$_g(i.folder,u.uri);if(h){const v=l.includedInQuery(h,w.$oc(h),S);(0,O.$ih)(v)?t.push(v.then(g=>{g&&n(u)})):v&&n(u)}}},a=this.n(i);let $;return this.d.query.type===3?$=await this.d.provider.provideAITextSearchResults(this.d.query.contentPattern,a,f,c):$=await this.d.provider.provideTextSearchResults(d(this.d.query.contentPattern),a,f,c),t.length&&await Promise.all(t),$}l(i){if(r(i)){if(Array.isArray(i.ranges)){if(!Array.isArray(i.preview.matches))return console.warn("INVALID - A text search provider match's`ranges` and`matches` properties must have the same type."),!1;if(i.preview.matches.length!==i.ranges.length)return console.warn("INVALID - A text search provider match's`ranges` and`matches` properties must have the same length."),!1}else if(Array.isArray(i.preview.matches))return console.warn("INVALID - A text search provider match's`ranges` and`matches` properties must have the same length."),!1}return!0}n(i){const n=(0,T.$CL)(this.g.includePattern,i.includePattern),c=(0,T.$CL)(this.g.excludePattern,i.excludePattern),l={folder:E.URI.from(i.folder),excludes:c,includes:n,useIgnoreFiles:!i.disregardIgnoreFiles,useGlobalIgnoreFiles:!i.disregardGlobalIgnoreFiles,useParentIgnoreFiles:!i.disregardParentIgnoreFiles,followSymlinks:!i.ignoreSymlinks,encoding:i.fileEncoding&&this.e.toCanonicalName(i.fileEncoding),maxFileSize:this.g.maxFileSize,maxResults:this.g.maxResults,previewOptions:this.g.previewOptions,afterContext:this.g.afterContext,beforeContext:this.g.beforeContext};return"usePCRE2"in this.g&&(l.usePCRE2=this.g.usePCRE2),l}}e.$wmc=D;function d(s){return{isCaseSensitive:s.isCaseSensitive||!1,isRegExp:s.isRegExp||!1,isWordMatch:s.isWordMatch||!1,isMultiline:s.isMultiline||!1,pattern:s.pattern}}class b{constructor(i){this.e=i,this.b=-1,this.d=null,this.a=new o(512,n=>this.g(n))}add(i,n){this.d&&(this.b!==n||!p.$3g(this.c,i.uri))&&(this.f(),this.d=null),this.d||(this.b=n,this.d={resource:i.uri,results:[]}),this.d.results.push(m(i))}f(){const i=this.d&&this.d.results?this.d.results.length:0;this.a.addItem(this.d,i)}flush(){this.f(),this.a.flush()}g(i){this.e(i)}}e.$xmc=b;function m(s){return r(s)?{preview:{matches:(0,I.$2b)(s.preview.matches,i=>({startLineNumber:i.start.line,startColumn:i.start.character,endLineNumber:i.end.line,endColumn:i.end.character})),text:s.preview.text},ranges:(0,I.$2b)(s.ranges,i=>({startLineNumber:i.start.line,startColumn:i.start.character,endLineNumber:i.end.line,endColumn:i.end.character}))}:{text:s.text,lineNumber:s.lineNumber}}function r(s){return!!s.preview}class o{static{this.a=4e3}static{this.b=50}constructor(i,n){this.g=i,this.h=n,this.c=0,this.d=[],this.e=0}addItem(i,n){i&&this.j(i,n)}addItems(i,n){i&&this.k(i,n)}j(i,n){this.d.push(i),this.e+=n,this.l()}k(i,n){this.d=this.d.concat(i),this.e+=n,this.l()}l(){this.c<o.b?this.flush():this.e>=this.g?this.flush():this.f||(this.f=setTimeout(()=>{this.flush()},o.a))}flush(){this.e&&(this.c+=this.e,this.h(this.d),this.d=[],this.e=0,this.f&&(clearTimeout(this.f),this.f=0))}}e.$zmc=o}),define(Ie[124],Pe([1,0,6,4,3,301,17,61,12,2,306]),function(le,e,I,O,R,M,A,w,p,E,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Bmc=e.$Amc=void 0,e.$Cmc=d,e.$Amc=(0,R.$wi)("IExtHostSearch");let D=class{constructor(r,o,s){this.n=r,this.o=o,this.q=s,this.c=this.n.getProxy(O.$9M.MainThreadSearch),this.d=0,this.e=new Map,this.g=new Set,this.h=new Map,this.i=new Set,this.j=new Map,this.k=new Set,this.l=new M.$vmc}s(r){return this.o.transformOutgoingScheme(r)}registerTextSearchProvider(r,o){if(this.g.has(r))throw new Error(`a text search provider for the scheme '${r}' is already registered`);this.g.add(r);const s=this.d++;return this.e.set(s,o),this.c.$registerTextSearchProvider(s,this.s(r)),(0,I.$Tc)(()=>{this.g.delete(r),this.e.delete(s),this.c.$unregisterProvider(s)})}registerAITextSearchProvider(r,o){if(this.i.has(r))throw new Error(`an AI text search provider for the scheme '${r}'is already registered`);this.i.add(r);const s=this.d++;return this.h.set(s,o),this.c.$registerAITextSearchProvider(s,this.s(r)),(0,I.$Tc)(()=>{this.i.delete(r),this.h.delete(s),this.c.$unregisterProvider(s)})}registerFileSearchProvider(r,o){if(this.k.has(r))throw new Error(`a file search provider for the scheme '${r}' is already registered`);this.k.add(r);const s=this.d++;return this.j.set(s,o),this.c.$registerFileSearchProvider(s,this.s(r)),(0,I.$Tc)(()=>{this.k.delete(r),this.j.delete(s),this.c.$unregisterProvider(s)})}$provideFileSearchResults(r,o,s,i){const n=d(s),c=this.j.get(r);if(c)return this.l.fileSearch(n,c,l=>{this.c.$handleFileMatch(r,o,l.map(t=>t.resource))},i);throw new Error("3 unknown provider: "+r)}async doInternalFileSearchWithCustomCallback(r,o,s){return{messages:[]}}$clearCache(r){return this.l.clearCache(r),Promise.resolve(void 0)}$provideTextSearchResults(r,o,s,i){const n=this.e.get(r);if(!n||!n.provideTextSearchResults)throw new Error(`2 Unknown provider ${r}`);const c=d(s);return this.t(c,n).search(t=>this.c.$handleTextMatch(r,o,t),i)}$provideAITextSearchResults(r,o,s,i){const n=this.h.get(r);if(!n||!n.provideAITextSearchResults)throw new Error(`1 Unknown provider ${r}`);const c=d(s);return this.v(c,n).search(t=>this.c.$handleTextMatch(r,o,t),i)}$enableExtensionHostSearch(){}t(r,o){return new T.$wmc({query:r,provider:o},{readdir:s=>Promise.resolve([]),toCanonicalName:s=>s},"textSearchProvider")}v(r,o){return new T.$wmc({query:r,provider:o},{readdir:s=>Promise.resolve([]),toCanonicalName:s=>s},"aiTextSearchProvider")}};e.$Bmc=D,e.$Bmc=D=Je([We(0,A.$wP),We(1,w.$slc),We(2,p.$3j)],D);function d(m){return{...m,folderQueries:m.folderQueries&&m.folderQueries.map(b),extraFileResources:m.extraFileResources&&m.extraFileResources.map(r=>E.URI.revive(r))}}function b(m){return{...m,folder:E.URI.revive(m.folder)}}}),define(Ie[307],Pe([1,0,24,14,5,6,16,33,2,158,154,141,95,20,38,12,58,59,213,4,257,285,80,86,262,263,264,243,232,32,265,40,266,123,112,267,245,258,268,269,68,67,259,41,271,65,272,46,27,286,287,246,273,90,274,81,82,248,300,276,219,277,288,278,118,249,279,280,281,17,282,124,83,283,250,284,84,87,121,63,53,116,289,290,260,291,292,88,8,7,251,61,252,64,293,294,111,39,227,79,26,120]),function(le,e,I,O,R,M,A,w,p,E,T,D,d,b,m,r,o,s,i,n,c,l,t,f,a,$,u,S,h,v,g,k,y,C,P,W,V,q,N,j,K,ie,ce,ye,Se,fe,$e,Te,ae,Ne,ne,z,x,be,Fe,De,we,ge,Q,Y,he,ue,Me,de,Ce,Re,je,U,F,G,H,ee,re,Oe,Be,Ge,_e,xe,et,tt,it,at,gt,Ue,st,X,Z,me,qe,ve,ot,dt,Pt,Vt,Qt,ti,Zt,Et,Xt,Yt,Xe,oi){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$gnc=Ht;function Ht(ht){const $t=ht.get(ae.$MP),xt=ht.get(Te.$dlc),Kt=ht.get(fe.$Alc),Ft=ht.get(ye.$_lc),ft=ht.get(Et.$vlc),Bt=ht.get(tt.$QP),_t=ht.get(k.$ylc),jt=ht.get(dt.$slc),Qe=ht.get(G.$wP),ui=ht.get(_e.$Tlc),Jt=ht.get(xe.$Blc),Wt=ht.get(r.$4j),pt=ht.get(r.$3j),Lt=ht.get(me.$wDb),At=ht.get(t.$_kc),Ot=ht.get(Zt.$fnc),ii=ht.get(re.$4lc),qt=ht.get(ie.$Klc),ni=ht.get(we.$8lc),Ct=ht.get(f.$jlc),Mt=ht.get(be.$1lc);Qe.set(n.$0M.ExtHostFileSystemInfo,xt),Qe.set(n.$0M.ExtHostLogLevelServiceShape,Wt),Qe.set(n.$0M.ExtHostWorkspace,ft),Qe.set(n.$0M.ExtHostConfiguration,_t),Qe.set(n.$0M.ExtHostExtensionService,Ft),Qe.set(n.$0M.ExtHostStorage,ui),Qe.set(n.$0M.ExtHostTunnelService,Lt),Qe.set(n.$0M.ExtHostWindow,Ot),Qe.set(n.$0M.ExtHostSecretState,ii),Qe.set(n.$0M.ExtHostTelemetry,Bt),Qe.set(n.$0M.ExtHostEditorTabs,qt),Qe.set(n.$0M.ExtHostManagedSockets,ni),Qe.set(n.$0M.ExtHostAuthentication,Ct),Qe.set(n.$0M.ExtHostChatProvider,Mt);const Nt=Qe.set(n.$0M.ExtHostDecorations,ht.get(P.$kmc)),It=Qe.set(n.$0M.ExtHostDocumentsAndEditors,ht.get(K.$HP)),mt=Qe.set(n.$0M.ExtHostCommands,ht.get(v.$SP)),Dt=Qe.set(n.$0M.ExtHostTerminalService,ht.get(it.$Wlc)),ai=Qe.set(n.$0M.ExtHostTerminalShellIntegration,ht.get(at.$4mc)),kt=Qe.set(n.$0M.ExtHostDebugService,ht.get(C.$emc)),fi=Qe.set(n.$0M.ExtHostSearch,ht.get(ee.$Amc)),ri=Qe.set(n.$0M.ExtHostTask,ht.get(et.$3mc)),$i=Qe.set(n.$0M.ExtHostOutputService,ht.get(Ce.$Pmc)),li=Qe.set(n.$0M.ExtHostLocalization,ht.get(De.$7lc)),wi=Qe.set(n.$0M.ExtHostUrls,new Pt.$cnc(Qe)),St=Qe.set(n.$0M.ExtHostDocuments,new j.$glc(Qe,It)),vi=Qe.set(n.$0M.ExtHostDocumentContentProviders,new q.$mmc(Qe,It,pt)),si=Qe.set(n.$0M.ExtHostDocumentSaveParticipant,new N.$nmc(pt,St,Qe.getProxy(n.$9M.MainThreadBulkEdits))),pe=Qe.set(n.$0M.ExtHostNotebook,new Q.$Dmc(Qe,mt,It,St,Kt,fi)),Ae=Qe.set(n.$0M.ExtHostNotebookDocuments,new he.$Jmc(pe)),se=Qe.set(n.$0M.ExtHostNotebookEditors,new ue.$Kmc(pt,pe)),J=Qe.set(n.$0M.ExtHostNotebookKernels,new Me.$Lmc(Qe,$t,pe,mt,pt)),ke=Qe.set(n.$0M.ExtHostNotebookRenderers,new de.$Nmc(Qe,pe)),Ve=Qe.set(n.$0M.ExtHostNotebookDocumentSaveParticipant,new Y.$Imc(pt,pe,Qe.getProxy(n.$9M.MainThreadBulkEdits))),Ze=Qe.set(n.$0M.ExtHostEditors,new Ue.$plc(Qe,It)),He=Qe.set(n.$0M.ExtHostTreeViews,new Z.$anc(Qe.getProxy(n.$9M.MainThreadTreeViews),mt,pt)),ut=Qe.set(n.$0M.ExtHostEditorInsets,new h.$qlc(Qe.getProxy(n.$9M.MainThreadEditorInsets),Ze,$t.remote)),yt=Qe.set(n.$0M.ExtHostDiagnostics,new W.$flc(Qe,pt,xt,It)),zt=Qe.set(n.$0M.ExtHostLanguages,new Fe.$Gmc(Qe,St,mt.converter,jt)),ct=Qe.set(n.$0M.ExtHostLanguageFeatures,new x.$hlc(Qe,jt,St,mt,yt,pt,At,Bt)),Tt=Qe.set(n.$0M.ExtHostFileSystem,new Se.$pmc(Qe,ct)),Ut=Qe.set(n.$0M.ExtHostFileSystemEventService,new $e.$qmc(Qe,pt,It)),yi=Qe.set(n.$0M.ExtHostQuickOpen,(0,F.$Tmc)(Qe,ft,mt)),ki=Qe.set(n.$0M.ExtHostSCM,new H.$Vmc(Qe,mt,St,pt)),Ki=Qe.set(n.$0M.ExtHostQuickDiff,new U.$Smc(Qe,jt)),Oi=Qe.set(n.$0M.ExtHostShare,new Oe.$Wmc(Qe,jt)),Mi=Qe.set(n.$0M.ExtHostComments,(0,g.$rlc)(Qe,mt,St)),Si=Qe.set(n.$0M.ExtHostProgress,new je.$Rmc(Qe.getProxy(n.$9M.MainThreadProgress))),Ti=Qe.set(n.$0M.ExtHostLabelService,new z.$Fmc(Qe)),Fi=Qe.set(n.$0M.ExtHostTheming,new st.$0mc(Qe)),Ji=Qe.set(n.$0M.ExtHostTimeline,new X.$_mc(Qe,mt)),Li=Qe.set(n.$0M.ExtHostWebviews,new Vt.$Flc(Qe,$t.remote,ft,pt,At)),Ii=Qe.set(n.$0M.ExtHostWebviewPanels,new Qt.$Ilc(Qe,Li,ft)),zi=Qe.set(n.$0M.ExtHostCustomEditors,new y.$Jlc(Qe,St,Jt,Li,Ii)),Ui=Qe.set(n.$0M.ExtHostWebviewViews,new ti.$dnc(Qe,Li)),bi=Qe.set(n.$0M.ExtHostTesting,new gt.$6mc(Qe,pt,mt,It)),Qi=Qe.set(n.$0M.ExtHostUriOpeners,new ot.$bnc(Qe)),Zi=Qe.set(n.$0M.ExtHostProfileContentHandlers,new Re.$Qmc(Qe));Qe.set(n.$0M.ExtHostInteractive,new ne.$Emc(Qe,pe,It,mt,pt));const Xi=Qe.set(n.$0M.ExtHostInlineChat,new Ne.$rmc(Qe,mt,St,pt)),Pi=Qe.set(n.$0M.ExtHostChatAgents2,new $.$mlc(Qe,pt,mt)),Yi=Qe.set(n.$0M.ExtHostChatVariables,new u.$nlc(Qe)),xi=Qe.set(n.$0M.ExtHostAiRelatedInformation,new c.$$kc(Qe)),dn=Qe.set(n.$0M.ExtHostAiEmbeddingVector,new ce.$omc(Qe)),Ci=Qe.set(n.$0M.ExtHostStatusBar,new Ge.$Zmc(Qe,mt.converter)),ji=Qe.set(n.$0M.ExtHostSpeech,new Be.$Xmc(Qe)),fn=Object.values(n.$0M);Qe.assertRegistered(fn);const gn=new a.$llc(Qe,It),_i=new S.$olc(Qe),Bi=new ge.$Hmc(Qe,pt),Ri=new V.$lmc(Qe);return l.$ilc.register(mt),function(ze,hi,Vi){function nt(_){return(oe,Le,rt)=>{const vt=_(Rt=>{try{oe.call(Le,Rt)}catch(Di){O.$2(new Error(`[ExtensionListenerError] Extension '${ze.identifier.value}' FAILED to handle event: ${Di.toString()}`,{cause:Di})),Bt.onExtensionError(ze.identifier,Di)}});return rt?.push(vt),vt}}const bt=function(){let _=!ze.isUnderDevelopment;function oe(){_||(pt.info(`Extension '${ze.identifier.value}' uses a document selector without scheme. Learn more about this: https://go.microsoft.com/fwlink/?linkid=872305`),_=!0)}return function Le(rt){if(Array.isArray(rt))rt.forEach(Le);else if(typeof rt=="string")oe();else{const vt=rt;typeof vt.scheme>"u"&&oe(),typeof vt.exclusive=="boolean"&&(0,Xe.$OG)(ze,"documentFiltersExclusive")}return rt}}(),en={getSession(_,oe,Le){return typeof Le?.forceNewSession=="object"&&Le.forceNewSession.learnMore&&(0,Xe.$OG)(ze,"authLearnMore"),Ct.getSession(ze,_,oe,Le)},getSessions(_,oe){return(0,Xe.$OG)(ze,"authGetSessions"),Ct.getSessions(ze,_,oe)},async hasSession(_,oe){return(0,Xe.$OG)(ze,"authSession"),!!await Ct.getSession(ze,_,oe,{silent:!0})},get onDidChangeSessions(){return nt(Ct.onDidChangeSessions)},registerAuthenticationProvider(_,oe,Le,rt){return Ct.registerAuthenticationProvider(_,oe,Le,rt)}},gi={registerCommand(_,oe,Le){return mt.registerCommand(!0,_,oe,Le,void 0,ze)},registerTextEditorCommand(_,oe,Le){return mt.registerCommand(!0,_,(...rt)=>{const vt=Ze.getActiveTextEditor();if(!vt){pt.warn("Cannot execute "+_+" because there is no active text editor.");return}return vt.edit(Rt=>{oe.apply(Le,[vt,Rt,...rt])}).then(Rt=>{Rt||pt.warn("Edits from command "+_+" were not applied.")},Rt=>{pt.warn("An error occurred while running command "+_,Rt)})},void 0,void 0,ze)},registerDiffInformationCommand:(_,oe,Le)=>((0,Xe.$OG)(ze,"diffCommand"),mt.registerCommand(!0,_,async(...rt)=>{const vt=It.activeEditor(!0);if(!vt){pt.warn("Cannot execute "+_+" because there is no active text editor.");return}const Rt=await Ze.getDiffInformation(vt.id);oe.apply(Le,[Rt,...rt])},void 0,void 0,ze)),executeCommand(_,...oe){return mt.executeCommand(_,...oe)},getCommands(_=!1){return mt.getCommands(_)}},Ei={get machineId(){return $t.telemetryInfo.machineId},get sessionId(){return $t.telemetryInfo.sessionId},get language(){return $t.environment.appLanguage},get appName(){return $t.environment.appName},get appRoot(){return $t.environment.appRoot?.fsPath??""},get appHost(){return $t.environment.appHost},get uriScheme(){return $t.environment.appUriScheme},get clipboard(){return _i.value},get shell(){return Dt.getDefaultShell(!1)},get onDidChangeShell(){return nt(Dt.onDidChangeShell)},get isTelemetryEnabled(){return Bt.getTelemetryConfiguration()},get onDidChangeTelemetryEnabled(){return nt(Bt.onDidChangeTelemetryEnabled)},get telemetryConfiguration(){return(0,Xe.$OG)(ze,"telemetry"),Bt.getTelemetryDetails()},get onDidChangeTelemetryConfiguration(){return(0,Xe.$OG)(ze,"telemetry"),nt(Bt.onDidChangeTelemetryConfiguration)},get isNewAppInstall(){return(0,tt.$PP)($t.telemetryInfo.firstSessionDate)},createTelemetryLogger(_,oe){return tt.$OP.validateSender(_),Bt.instantiateLogger(ze,_,oe)},openExternal(_,oe){return Ot.openUri(_,{allowTunneling:!!$t.remote.authority,allowContributedOpeners:oe?.allowContributedOpeners})},async asExternalUri(_){if(_.scheme===$t.environment.appUriScheme)return wi.createAppUri(_);try{return await Ot.asExternalUri(_,{allowTunneling:!!$t.remote.authority})}catch(oe){if((0,A.$Fg)(_,A.Schemas.http)||(0,A.$Fg)(_,A.Schemas.https))return _;throw oe}},get remoteName(){return(0,o.$Im)($t.remote.authority)},get remoteAuthority(){return(0,Xe.$OG)(ze,"resolvers"),$t.remote.authority},get uiKind(){return $t.uiKind},get logLevel(){return pt.getLevel()},get onDidChangeLogLevel(){return nt(pt.onDidChangeLogLevel)},get appQuality(){return(0,Xe.$OG)(ze,"resolvers"),$t.quality},get appCommit(){return(0,Xe.$OG)(ze,"resolvers"),$t.commit}};$t.environment.extensionTestsLocationURI||Object.freeze(Ei);const mn={createTestController(_,oe,Le){return bi.createTestController(ze,_,oe,Le)},createTestObserver(){return(0,Xe.$OG)(ze,"testObserver"),bi.createTestObserver()},runTests(_){return(0,Xe.$OG)(ze,"testObserver"),bi.runTests(_)},get onDidChangeTestResults(){return(0,Xe.$OG)(ze,"testObserver"),nt(bi.onResultsChanged)},get testResults(){return(0,Xe.$OG)(ze,"testObserver"),bi.results}},ei=$t.remote.isRemote?ve.ExtensionKind.Workspace:ve.ExtensionKind.UI,Ai={getExtension(_,oe){(0,Xe.$NG)(ze,"extensionsAny")||(oe=!1);const Le=hi.mine.getExtensionDescription(_);if(Le)return new ye.$amc(Ft,ze.identifier,Le,ei,!1);if(oe){const rt=hi.all.getExtensionDescription(_);if(rt)return new ye.$amc(Ft,ze.identifier,rt,ei,!0)}},get all(){const _=[];for(const oe of hi.mine.getAllExtensionDescriptions())_.push(new ye.$amc(Ft,ze.identifier,oe,ei,!1));return _},get allAcrossExtensionHosts(){(0,Xe.$OG)(ze,"extensionsAny");const _=new b.$Sm(hi.mine.getAllExtensionDescriptions().map(Le=>Le.identifier)),oe=[];for(const Le of hi.all.getAllExtensionDescriptions()){const rt=!_.has(Le.identifier);oe.push(new ye.$amc(Ft,ze.identifier,Le,ei,rt))}return oe},get onDidChange(){return(0,Xe.$NG)(ze,"extensionsAny")?nt(R.Event.any(hi.mine.onDidChange,hi.all.onDidChange)):nt(hi.mine.onDidChange)}},tn={createDiagnosticCollection(_){return yt.createDiagnosticCollection(ze.identifier,_)},get onDidChangeDiagnostics(){return nt(yt.onDidChangeDiagnostics)},getDiagnostics:_=>yt.getDiagnostics(_),getLanguages(){return zt.getLanguages()},setTextDocumentLanguage(_,oe){return zt.changeLanguage(_.uri,oe)},match(_,oe){const Le=qe.LanguageSelector.from(_);let rt;return(0,T.$Yt)(Le)&&(rt=pe.notebookDocuments.find(vt=>vt.apiNotebook.getCells().find(Rt=>Rt.document===oe))?.apiNotebook),(0,T.$Xt)(Le,oe.uri,oe.languageId,!0,rt?.uri,rt?.notebookType)},registerCodeActionsProvider(_,oe,Le){return ct.registerCodeActionProvider(ze,bt(_),oe,Le)},registerDocumentPasteEditProvider(_,oe,Le){return(0,Xe.$OG)(ze,"documentPaste"),ct.registerDocumentPasteEditProvider(ze,bt(_),oe,Le)},registerCodeLensProvider(_,oe){return ct.registerCodeLensProvider(ze,bt(_),oe)},registerDefinitionProvider(_,oe){return ct.registerDefinitionProvider(ze,bt(_),oe)},registerDeclarationProvider(_,oe){return ct.registerDeclarationProvider(ze,bt(_),oe)},registerImplementationProvider(_,oe){return ct.registerImplementationProvider(ze,bt(_),oe)},registerTypeDefinitionProvider(_,oe){return ct.registerTypeDefinitionProvider(ze,bt(_),oe)},registerHoverProvider(_,oe){return ct.registerHoverProvider(ze,bt(_),oe,ze.identifier)},registerEvaluatableExpressionProvider(_,oe){return ct.registerEvaluatableExpressionProvider(ze,bt(_),oe,ze.identifier)},registerInlineValuesProvider(_,oe){return ct.registerInlineValuesProvider(ze,bt(_),oe,ze.identifier)},registerDocumentHighlightProvider(_,oe){return ct.registerDocumentHighlightProvider(ze,bt(_),oe)},registerMultiDocumentHighlightProvider(_,oe){return ct.registerMultiDocumentHighlightProvider(ze,bt(_),oe)},registerLinkedEditingRangeProvider(_,oe){return ct.registerLinkedEditingRangeProvider(ze,bt(_),oe)},registerReferenceProvider(_,oe){return ct.registerReferenceProvider(ze,bt(_),oe)},registerRenameProvider(_,oe){return ct.registerRenameProvider(ze,bt(_),oe)},registerNewSymbolNamesProvider(_,oe){return(0,Xe.$OG)(ze,"newSymbolNamesProvider"),ct.registerNewSymbolNamesProvider(ze,bt(_),oe)},registerDocumentSymbolProvider(_,oe,Le){return ct.registerDocumentSymbolProvider(ze,bt(_),oe,Le)},registerWorkspaceSymbolProvider(_){return ct.registerWorkspaceSymbolProvider(ze,_)},registerDocumentFormattingEditProvider(_,oe){return ct.registerDocumentFormattingEditProvider(ze,bt(_),oe)},registerDocumentRangeFormattingEditProvider(_,oe){return ct.registerDocumentRangeFormattingEditProvider(ze,bt(_),oe)},registerOnTypeFormattingEditProvider(_,oe,Le,...rt){return ct.registerOnTypeFormattingEditProvider(ze,bt(_),oe,[Le].concat(rt))},registerDocumentSemanticTokensProvider(_,oe,Le){return ct.registerDocumentSemanticTokensProvider(ze,bt(_),oe,Le)},registerDocumentRangeSemanticTokensProvider(_,oe,Le){return ct.registerDocumentRangeSemanticTokensProvider(ze,bt(_),oe,Le)},registerSignatureHelpProvider(_,oe,Le,...rt){return typeof Le=="object"?ct.registerSignatureHelpProvider(ze,bt(_),oe,Le):ct.registerSignatureHelpProvider(ze,bt(_),oe,typeof Le>"u"?[]:[Le,...rt])},registerCompletionItemProvider(_,oe,...Le){return ct.registerCompletionItemProvider(ze,bt(_),oe,Le)},registerInlineCompletionItemProvider(_,oe,Le){return oe.handleDidShowCompletionItem&&(0,Xe.$OG)(ze,"inlineCompletionsAdditions"),oe.handleDidPartiallyAcceptCompletionItem&&(0,Xe.$OG)(ze,"inlineCompletionsAdditions"),Le&&(0,Xe.$OG)(ze,"inlineCompletionsAdditions"),ct.registerInlineCompletionsProvider(ze,bt(_),oe,Le)},registerInlineEditProvider(_,oe){return(0,Xe.$OG)(ze,"inlineEdit"),ct.registerInlineEditProvider(ze,bt(_),oe)},registerDocumentLinkProvider(_,oe){return ct.registerDocumentLinkProvider(ze,bt(_),oe)},registerColorProvider(_,oe){return ct.registerColorProvider(ze,bt(_),oe)},registerFoldingRangeProvider(_,oe){return ct.registerFoldingRangeProvider(ze,bt(_),oe)},registerSelectionRangeProvider(_,oe){return ct.registerSelectionRangeProvider(ze,_,oe)},registerCallHierarchyProvider(_,oe){return ct.registerCallHierarchyProvider(ze,_,oe)},registerTypeHierarchyProvider(_,oe){return ct.registerTypeHierarchyProvider(ze,_,oe)},setLanguageConfiguration:(_,oe)=>ct.setLanguageConfiguration(ze,_,oe),getTokenInformationAtPosition(_,oe){return(0,Xe.$OG)(ze,"tokenInformation"),zt.tokenAtPosition(_,oe)},registerInlayHintsProvider(_,oe){return ct.registerInlayHintsProvider(ze,_,oe)},createLanguageStatusItem(_,oe){return zt.createLanguageStatusItem(ze,_,oe)},registerDocumentDropEditProvider(_,oe,Le){return ct.registerDocumentOnDropEditProvider(ze,_,oe,(0,Xe.$NG)(ze,"documentPaste")?Le:void 0)}},nn={get activeTextEditor(){return Ze.getActiveTextEditor()},get visibleTextEditors(){return Ze.getVisibleTextEditors()},get activeTerminal(){return Dt.activeTerminal},get terminals(){return Dt.terminals},async showTextDocument(_,oe,Le){p.URI.isUri(_)&&_.scheme===A.Schemas.vscodeRemote&&!_.authority&&At.report("workspace.showTextDocument",ze,"A URI of 'vscode-remote' scheme requires an authority.");const rt=await(p.URI.isUri(_)?Promise.resolve(Wi.openTextDocument(_)):Promise.resolve(_));return Ze.showTextDocument(rt,oe,Le)},createTextEditorDecorationType(_){return Ze.createTextEditorDecorationType(ze,_)},onDidChangeActiveTextEditor(_,oe,Le){return nt(Ze.onDidChangeActiveTextEditor)(_,oe,Le)},onDidChangeVisibleTextEditors(_,oe,Le){return nt(Ze.onDidChangeVisibleTextEditors)(_,oe,Le)},onDidChangeTextEditorSelection(_,oe,Le){return nt(Ze.onDidChangeTextEditorSelection)(_,oe,Le)},onDidChangeTextEditorOptions(_,oe,Le){return nt(Ze.onDidChangeTextEditorOptions)(_,oe,Le)},onDidChangeTextEditorVisibleRanges(_,oe,Le){return nt(Ze.onDidChangeTextEditorVisibleRanges)(_,oe,Le)},onDidChangeTextEditorViewColumn(_,oe,Le){return nt(Ze.onDidChangeTextEditorViewColumn)(_,oe,Le)},onDidCloseTerminal(_,oe,Le){return nt(Dt.onDidCloseTerminal)(_,oe,Le)},onDidOpenTerminal(_,oe,Le){return nt(Dt.onDidOpenTerminal)(_,oe,Le)},onDidChangeActiveTerminal(_,oe,Le){return nt(Dt.onDidChangeActiveTerminal)(_,oe,Le)},onDidChangeTerminalDimensions(_,oe,Le){return(0,Xe.$OG)(ze,"terminalDimensions"),nt(Dt.onDidChangeTerminalDimensions)(_,oe,Le)},onDidChangeTerminalState(_,oe,Le){return nt(Dt.onDidChangeTerminalState)(_,oe,Le)},onDidWriteTerminalData(_,oe,Le){return(0,Xe.$OG)(ze,"terminalDataWriteEvent"),nt(Dt.onDidWriteTerminalData)(_,oe,Le)},onDidExecuteTerminalCommand(_,oe,Le){return(0,Xe.$OG)(ze,"terminalExecuteCommandEvent"),nt(Dt.onDidExecuteTerminalCommand)(_,oe,Le)},onDidChangeTerminalShellIntegration(_,oe,Le){return(0,Xe.$OG)(ze,"terminalShellIntegration"),nt(ai.onDidChangeTerminalShellIntegration)(_,oe,Le)},onDidStartTerminalShellExecution(_,oe,Le){return(0,Xe.$OG)(ze,"terminalShellIntegration"),nt(ai.onDidStartTerminalShellExecution)(_,oe,Le)},onDidEndTerminalShellExecution(_,oe,Le){return(0,Xe.$OG)(ze,"terminalShellIntegration"),nt(ai.onDidEndTerminalShellExecution)(_,oe,Le)},get state(){return Ot.getState()},onDidChangeWindowState(_,oe,Le){return nt(Ot.onDidChangeWindowState)(_,oe,Le)},showInformationMessage(_,...oe){return Bi.showMessage(ze,w.default.Info,_,oe[0],oe.slice(1))},showWarningMessage(_,...oe){return Bi.showMessage(ze,w.default.Warning,_,oe[0],oe.slice(1))},showErrorMessage(_,...oe){return Bi.showMessage(ze,w.default.Error,_,oe[0],oe.slice(1))},showQuickPick(_,oe,Le){return yi.showQuickPick(ze,_,oe,Le)},showWorkspaceFolderPick(_){return yi.showWorkspaceFolderPick(_)},showInputBox(_,oe){return yi.showInput(_,oe)},showOpenDialog(_){return Ri.showOpenDialog(ze,_)},showSaveDialog(_){return Ri.showSaveDialog(_)},createStatusBarItem(_,oe,Le){let rt,vt,Rt;return typeof _=="string"?(rt=_,vt=oe,Rt=Le):(vt=_,Rt=oe),Ci.createStatusBarEntry(ze,rt,vt,Rt)},setStatusBarMessage(_,oe){return Ci.setStatusBarMessage(_,oe)},withScmProgress(_){return At.report("window.withScmProgress",ze,"Use 'withProgress' instead."),Si.withProgress(ze,{location:ve.ProgressLocation.SourceControl},(oe,Le)=>_({report(rt){}}))},withProgress(_,oe){return Si.withProgress(ze,_,oe)},createOutputChannel(_,oe){return $i.createOutputChannel(_,oe,ze)},createWebviewPanel(_,oe,Le,rt){return Ii.createWebviewPanel(ze,_,oe,Le,rt)},createWebviewTextEditorInset(_,oe,Le,rt){return(0,Xe.$OG)(ze,"editorInsets"),ut.createWebviewEditorInset(_,oe,Le,rt,ze)},createTerminal(_,oe,Le){return typeof _=="object"?"pty"in _?Dt.createExtensionTerminal(_):Dt.createTerminalFromOptions(_):Dt.createTerminal(_,oe,Le)},registerTerminalLinkProvider(_){return Dt.registerLinkProvider(_)},registerTerminalProfileProvider(_,oe){return Dt.registerProfileProvider(ze,_,oe)},registerTerminalQuickFixProvider(_,oe){return(0,Xe.$OG)(ze,"terminalQuickFixProvider"),Dt.registerTerminalQuickFixProvider(_,ze.identifier.value,oe)},registerTreeDataProvider(_,oe){return He.registerTreeDataProvider(_,oe,ze)},createTreeView(_,oe){return He.createTreeView(_,oe,ze)},registerWebviewPanelSerializer:(_,oe)=>Ii.registerWebviewPanelSerializer(ze,_,oe),registerCustomEditorProvider:(_,oe,Le={})=>zi.registerCustomEditorProvider(ze,_,oe,Le),registerFileDecorationProvider(_){return Nt.registerFileDecorationProvider(_,ze)},registerUriHandler(_){return wi.registerUriHandler(ze,_)},createQuickPick(){return yi.createQuickPick(ze)},createInputBox(){return yi.createInputBox(ze)},get activeColorTheme(){return Fi.activeColorTheme},onDidChangeActiveColorTheme(_,oe,Le){return nt(Fi.onDidChangeActiveColorTheme)(_,oe,Le)},registerWebviewViewProvider(_,oe,Le){return Ui.registerWebviewViewProvider(ze,_,oe,Le?.webviewOptions)},get activeNotebookEditor(){return pe.activeNotebookEditor},onDidChangeActiveNotebookEditor(_,oe,Le){return nt(pe.onDidChangeActiveNotebookEditor)(_,oe,Le)},get visibleNotebookEditors(){return pe.visibleNotebookEditors},get onDidChangeVisibleNotebookEditors(){return nt(pe.onDidChangeVisibleNotebookEditors)},onDidChangeNotebookEditorSelection(_,oe,Le){return nt(se.onDidChangeNotebookEditorSelection)(_,oe,Le)},onDidChangeNotebookEditorVisibleRanges(_,oe,Le){return nt(se.onDidChangeNotebookEditorVisibleRanges)(_,oe,Le)},showNotebookDocument(_,oe){return pe.showNotebookDocument(_,oe)},registerExternalUriOpener(_,oe,Le){return(0,Xe.$OG)(ze,"externalUriOpener"),Qi.registerExternalUriOpener(ze.identifier,_,oe,Le)},registerProfileContentHandler(_,oe){return(0,Xe.$OG)(ze,"profileContentHandlers"),Zi.registerProfileContentHandler(ze,_,oe)},registerQuickDiffProvider(_,oe,Le,rt){return(0,Xe.$OG)(ze,"quickDiffProvider"),Ki.registerQuickDiffProvider(bt(_),oe,Le,rt)},get tabGroups(){return qt.tabGroups},registerShareProvider(_,oe){return(0,Xe.$OG)(ze,"shareProvider"),Oi.registerShareProvider(bt(_),oe)}},Wi={get rootPath(){return At.report("workspace.rootPath",ze,"Please use 'workspace.workspaceFolders' instead. More details: https://aka.ms/vscode-eliminating-rootpath"),ft.getPath()},set rootPath(_){throw new O.$9("rootPath")},getWorkspaceFolder(_){return ft.getWorkspaceFolder(_)},get workspaceFolders(){return ft.getWorkspaceFolders()},get name(){return ft.name},set name(_){throw new O.$9("name")},get workspaceFile(){return ft.workspaceFile},set workspaceFile(_){throw new O.$9("workspaceFile")},updateWorkspaceFolders:(_,oe,...Le)=>ft.updateWorkspaceFolders(ze,_,oe||0,...Le),onDidChangeWorkspaceFolders:function(_,oe,Le){return nt(ft.onDidChangeWorkspace)(_,oe,Le)},asRelativePath:(_,oe)=>ft.getRelativePath(_,oe),findFiles:(_,oe,Le,rt)=>ft.findFiles(_,oe,Le,ze.identifier,rt),findFiles2:(_,oe,Le)=>((0,Xe.$OG)(ze,"findFiles2"),ft.findFiles2(_,oe,ze.identifier,Le)),findTextInFiles:(_,oe,Le,rt)=>{(0,Xe.$OG)(ze,"findTextInFiles");let vt,Rt;return typeof oe=="object"?(vt=oe,Rt=Le):(vt={},Rt=oe,rt=Le),ft.findTextInFiles(_,vt||{},Rt,ze.identifier,rt)},save:_=>ft.save(_),saveAs:_=>ft.saveAs(_),saveAll:_=>ft.saveAll(_),applyEdit(_,oe){return gn.applyWorkspaceEdit(_,ze,oe)},createFileSystemWatcher:(_,oe,Le,rt)=>{let vt;return typeof oe=="boolean"?vt={ignoreCreateEvents:!!oe,ignoreChangeEvents:!!Le,ignoreDeleteEvents:!!rt,correlate:!1}:oe&&((0,Xe.$OG)(ze,"createFileSystemWatcher"),vt={...oe,correlate:!0}),Ut.createFileSystemWatcher(ft,ze,_,vt)},get textDocuments(){return St.getAllDocumentData().map(_=>_.document)},set textDocuments(_){throw new O.$9("textDocuments")},openTextDocument(_){let oe;const Le=_;if(typeof _=="string")oe=Promise.resolve(p.URI.file(_));else if(p.URI.isUri(_))oe=Promise.resolve(_);else if(!Le||typeof Le=="object")oe=St.createDocumentData(Le);else throw new Error("illegal argument - uriOrFileNameOrOptions");return oe.then(rt=>(rt.scheme===A.Schemas.vscodeRemote&&!rt.authority&&At.report("workspace.openTextDocument",ze,"A URI of 'vscode-remote' scheme requires an authority."),St.ensureDocumentData(rt).then(vt=>vt.document)))},onDidOpenTextDocument:(_,oe,Le)=>nt(St.onDidAddDocument)(_,oe,Le),onDidCloseTextDocument:(_,oe,Le)=>nt(St.onDidRemoveDocument)(_,oe,Le),onDidChangeTextDocument:(_,oe,Le)=>nt(St.onDidChangeDocument)(_,oe,Le),onDidSaveTextDocument:(_,oe,Le)=>nt(St.onDidSaveDocument)(_,oe,Le),onWillSaveTextDocument:(_,oe,Le)=>nt(si.getOnWillSaveTextDocumentEvent(ze))(_,oe,Le),get notebookDocuments(){return pe.notebookDocuments.map(_=>_.apiNotebook)},async openNotebookDocument(_,oe){let Le;if(p.URI.isUri(_))Le=_,await pe.openNotebookDocument(_);else if(typeof _=="string")Le=p.URI.revive(await pe.createNotebookDocument({viewType:_,content:oe}));else throw new Error("Invalid arguments");return pe.getNotebookDocument(Le).apiNotebook},onDidSaveNotebookDocument(_,oe,Le){return nt(Ae.onDidSaveNotebookDocument)(_,oe,Le)},onDidChangeNotebookDocument(_,oe,Le){return nt(Ae.onDidChangeNotebookDocument)(_,oe,Le)},onWillSaveNotebookDocument(_,oe,Le){return nt(Ve.getOnWillSaveNotebookDocumentEvent(ze))(_,oe,Le)},get onDidOpenNotebookDocument(){return nt(pe.onDidOpenNotebookDocument)},get onDidCloseNotebookDocument(){return nt(pe.onDidCloseNotebookDocument)},registerNotebookSerializer(_,oe,Le,rt){return pe.registerNotebookSerializer(ze,_,oe,Le,(0,Xe.$NG)(ze,"notebookLiveShare")?rt:void 0)},onDidChangeConfiguration:(_,oe,Le)=>nt(Vi.onDidChangeConfiguration)(_,oe,Le),getConfiguration(_,oe){return oe=arguments.length===1?void 0:oe,Vi.getConfiguration(_,oe,ze)},registerTextDocumentContentProvider(_,oe){return vi.registerTextDocumentContentProvider(_,oe)},registerTaskProvider:(_,oe)=>(At.report("window.registerTaskProvider",ze,"Use the corresponding function on the 'tasks' namespace instead"),ri.registerTaskProvider(ze,_,oe)),registerFileSystemProvider(_,oe,Le){return(0,M.$Sc)(Tt.registerFileSystemProvider(ze,_,oe,Le),Kt.addFileSystemProvider(_,oe,Le))},get fs(){return Kt.value},registerFileSearchProvider:(_,oe)=>((0,Xe.$OG)(ze,"fileSearchProvider"),fi.registerFileSearchProvider(_,oe)),registerTextSearchProvider:(_,oe)=>((0,Xe.$OG)(ze,"textSearchProvider"),fi.registerTextSearchProvider(_,oe)),registerAITextSearchProvider:(_,oe)=>((0,Xe.$OG)(ze,"aiTextSearchProvider"),(0,Xe.$OG)(ze,"textSearchProvider"),fi.registerAITextSearchProvider(_,oe)),registerRemoteAuthorityResolver:(_,oe)=>((0,Xe.$OG)(ze,"resolvers"),Ft.registerRemoteAuthorityResolver(_,oe)),registerResourceLabelFormatter:_=>((0,Xe.$OG)(ze,"resolvers"),Ti.$registerResourceLabelFormatter(_)),getRemoteExecServer:_=>((0,Xe.$OG)(ze,"resolvers"),Ft.getRemoteExecServer(_)),onDidCreateFiles:(_,oe,Le)=>nt(Ut.onDidCreateFile)(_,oe,Le),onDidDeleteFiles:(_,oe,Le)=>nt(Ut.onDidDeleteFile)(_,oe,Le),onDidRenameFiles:(_,oe,Le)=>nt(Ut.onDidRenameFile)(_,oe,Le),onWillCreateFiles:(_,oe,Le)=>nt(Ut.getOnWillCreateFileEvent(ze))(_,oe,Le),onWillDeleteFiles:(_,oe,Le)=>nt(Ut.getOnWillDeleteFileEvent(ze))(_,oe,Le),onWillRenameFiles:(_,oe,Le)=>nt(Ut.getOnWillRenameFileEvent(ze))(_,oe,Le),openTunnel:_=>((0,Xe.$OG)(ze,"tunnels"),Lt.openTunnel(ze,_).then(oe=>{if(!oe)throw new Error("cannot open tunnel");return oe})),get tunnels(){return(0,Xe.$OG)(ze,"tunnels"),Lt.getTunnels()},onDidChangeTunnels:(_,oe,Le)=>((0,Xe.$OG)(ze,"tunnels"),nt(Lt.onDidChangeTunnels)(_,oe,Le)),registerPortAttributesProvider:(_,oe)=>((0,Xe.$OG)(ze,"portsAttributes"),Lt.registerPortsAttributesProvider(_,oe)),registerTunnelProvider:(_,oe)=>((0,Xe.$OG)(ze,"tunnelFactory"),Lt.registerTunnelProvider(_,oe)),registerTimelineProvider:(_,oe)=>((0,Xe.$OG)(ze,"timeline"),Ji.registerTimelineProvider(_,oe,ze.identifier,mt.converter)),get isTrusted(){return ft.trusted},requestWorkspaceTrust:_=>((0,Xe.$OG)(ze,"workspaceTrust"),ft.requestWorkspaceTrust(_)),onDidGrantWorkspaceTrust:(_,oe,Le)=>nt(ft.onDidGrantWorkspaceTrust)(_,oe,Le),registerEditSessionIdentityProvider:(_,oe)=>((0,Xe.$OG)(ze,"editSessionIdentityProvider"),ft.registerEditSessionIdentityProvider(_,oe)),onWillCreateEditSessionIdentity:(_,oe,Le)=>((0,Xe.$OG)(ze,"editSessionIdentityProvider"),nt(ft.getOnWillCreateEditSessionIdentityEvent(ze))(_,oe,Le)),registerCanonicalUriProvider:(_,oe)=>((0,Xe.$OG)(ze,"canonicalUriProvider"),ft.registerCanonicalUriProvider(_,oe)),getCanonicalUri:(_,oe,Le)=>((0,Xe.$OG)(ze,"canonicalUriProvider"),ft.provideCanonicalUri(_,oe,Le))},rn={get inputBox(){return At.report("scm.inputBox",ze,"Use 'SourceControl.inputBox' instead"),ki.getLastInputBox(ze)},createSourceControl(_,oe,Le){return ki.createSourceControl(ze,_,oe,Le)}},$n={createCommentController(_,oe){return Mi.createCommentController(ze,_,oe)}},sn={get activeDebugSession(){return kt.activeDebugSession},get activeDebugConsole(){return kt.activeDebugConsole},get breakpoints(){return kt.breakpoints},get activeStackItem(){if((0,Xe.$NG)(ze,"debugFocus"))return kt.activeStackItem},registerDebugVisualizationProvider(_,oe){return(0,Xe.$OG)(ze,"debugVisualization"),kt.registerDebugVisualizationProvider(ze,_,oe)},registerDebugVisualizationTreeProvider(_,oe){return(0,Xe.$OG)(ze,"debugVisualization"),kt.registerDebugVisualizationTree(ze,_,oe)},onDidStartDebugSession(_,oe,Le){return nt(kt.onDidStartDebugSession)(_,oe,Le)},onDidTerminateDebugSession(_,oe,Le){return nt(kt.onDidTerminateDebugSession)(_,oe,Le)},onDidChangeActiveDebugSession(_,oe,Le){return nt(kt.onDidChangeActiveDebugSession)(_,oe,Le)},onDidReceiveDebugSessionCustomEvent(_,oe,Le){return nt(kt.onDidReceiveDebugSessionCustomEvent)(_,oe,Le)},onDidChangeBreakpoints(_,oe,Le){return nt(kt.onDidChangeBreakpoints)(_,oe,Le)},onDidChangeActiveStackItem(_,oe,Le){return(0,Xe.$OG)(ze,"debugFocus"),nt(kt.onDidChangeActiveStackItem)(_,oe,Le)},registerDebugConfigurationProvider(_,oe,Le){return kt.registerDebugConfigurationProvider(_,oe,Le||Xt.DebugConfigurationProviderTriggerKind.Initial)},registerDebugAdapterDescriptorFactory(_,oe){return kt.registerDebugAdapterDescriptorFactory(ze,_,oe)},registerDebugAdapterTrackerFactory(_,oe){return kt.registerDebugAdapterTrackerFactory(_,oe)},startDebugging(_,oe,Le){return!Le||typeof Le=="object"&&"configuration"in Le?kt.startDebugging(_,oe,{parentSession:Le}):kt.startDebugging(_,oe,Le||{})},stopDebugging(_){return kt.stopDebugging(_)},addBreakpoints(_){return kt.addBreakpoints(_)},removeBreakpoints(_){return kt.removeBreakpoints(_)},asDebugSourceUri(_,oe){return kt.asDebugSourceUri(_,oe)}},on={registerTaskProvider:(_,oe)=>ri.registerTaskProvider(ze,_,oe),fetchTasks:_=>ri.fetchTasks(_),executeTask:_=>ri.executeTask(ze,_),get taskExecutions(){return ri.taskExecutions},onDidStartTask:(_,oe,Le)=>nt(ri.onDidStartTask)(_,oe,Le),onDidEndTask:(_,oe,Le)=>nt(ri.onDidEndTask)(_,oe,Le),onDidStartTaskProcess:(_,oe,Le)=>nt(ri.onDidStartTaskProcess)(_,oe,Le),onDidEndTaskProcess:(_,oe,Le)=>nt(ri.onDidEndTaskProcess)(_,oe,Le)},pn={createNotebookController(_,oe,Le,rt,vt){return J.createNotebookController(ze,_,oe,Le,rt,(0,Xe.$NG)(ze,"notebookMessaging")?vt:void 0)},registerNotebookCellStatusBarItemProvider:(_,oe)=>pe.registerNotebookCellStatusBarItemProvider(ze,_,oe),createRendererMessaging(_){return ke.createRendererMessaging(ze,_)},createNotebookControllerDetectionTask(_){return(0,Xe.$OG)(ze,"notebookKernelSource"),J.createNotebookControllerDetectionTask(ze,_)},registerKernelSourceActionProvider(_,oe){return(0,Xe.$OG)(ze,"notebookKernelSource"),J.registerKernelSourceActionProvider(ze,_,oe)},onDidChangeNotebookCellExecutionState(_,oe,Le){return(0,Xe.$OG)(ze,"notebookCellExecutionState"),nt(J.onDidChangeNotebookCellExecutionState)(_,oe,Le)}},wn={t(..._){if(typeof _[0]=="string"){const oe=_.shift(),Le=!_||typeof _[0]!="object"?_:_[0];return li.getMessage(ze.identifier.value,{message:oe,args:Le})}return li.getMessage(ze.identifier.value,_[0])},get bundle(){return li.getBundle(ze.identifier.value)},get uri(){return li.getBundleUri(ze.identifier.value)}},an={_version:1,registerInteractiveEditorSessionProvider(_,oe){return(0,Xe.$OG)(ze,"interactive"),Xi.registerProvider(ze,_,oe)},transferActiveChat(_){return(0,Xe.$OG)(ze,"interactive"),Pi.transferActiveChat(_)}},qi={getRelatedInformation(_,oe){return(0,Xe.$OG)(ze,"aiRelatedInformation"),xi.getRelatedInformation(ze,_,oe)},registerRelatedInformationProvider(_,oe){return(0,Xe.$OG)(ze,"aiRelatedInformation"),xi.registerRelatedInformationProvider(ze,_,oe)},registerEmbeddingVectorProvider(_,oe){return(0,Xe.$OG)(ze,"aiRelatedInformation"),dn.registerEmbeddingVectorProvider(ze,_,oe)}},cn={registerChatResponseProvider(_,oe,Le){return(0,Xe.$OG)(ze,"chatProvider"),Mt.registerLanguageModel(ze,_,oe,Le)},registerChatVariableResolver(_,oe,Le){return(0,Xe.$OG)(ze,"chatVariableResolver"),Yi.registerVariableResolver(ze,_,oe,Le)},registerMappedEditsProvider(_,oe){return(0,Xe.$OG)(ze,"mappedEditsProvider"),ct.registerMappedEditsProvider(ze,_,oe)},createChatParticipant(_,oe){return(0,Xe.$OG)(ze,"chatParticipant"),Pi.createChatAgent(ze,_,oe)},createDynamicChatParticipant(_,oe,Le,rt){return(0,Xe.$OG)(ze,"chatParticipantAdditions"),Pi.createDynamicChatAgent(ze,_,oe,Le,rt)}},un={get languageModels(){return(0,Xe.$OG)(ze,"languageModels"),Mt.getLanguageModelIds()},onDidChangeLanguageModels:(_,oe,Le)=>((0,Xe.$OG)(ze,"languageModels"),Mt.onDidChangeProviders(_,oe,Le)),sendChatRequest(_,oe,Le,rt){return(0,Xe.$OG)(ze,"languageModels"),Mt.sendChatRequest(ze,_,oe,Le,rt)},computeTokenLength(_,oe,Le){return(0,Xe.$OG)(ze,"languageModels"),Le??=I.CancellationToken.None,Mt.computeTokenLength(_,oe,Le)},getLanguageModelInformation(_){return(0,Xe.$OG)(ze,"languageModels"),Mt.getLanguageModelInfo(_)}},ln={registerSpeechProvider(_,oe){return(0,Xe.$OG)(ze,"speech"),ji.registerProvider(ze.identifier,_,oe)}};return{version:$t.version,ai:qi,authentication:en,commands:gi,comments:$n,chat:cn,debug:sn,env:Ei,extensions:Ai,interactive:an,l10n:wn,languages:tn,lm:un,notebooks:pn,scm:rn,speech:ln,tasks:on,tests:mn,window:nn,workspace:Wi,Breakpoint:ve.$_N,TerminalOutputAnchor:ve.TerminalOutputAnchor,ChatResultFeedbackKind:ve.ChatResultFeedbackKind,ChatVariableLevel:ve.ChatVariableLevel,ChatCompletionItem:ve.$7O,CallHierarchyIncomingCall:ve.$xN,CallHierarchyItem:ve.$wN,CallHierarchyOutgoingCall:ve.$yN,CancellationError:O.$5,CancellationTokenSource:I.$pe,CandidatePortSource:n.CandidatePortSource,CodeAction:ve.$tN,CodeActionKind:ve.$uN,CodeActionTriggerKind:ve.CodeActionTriggerKind,CodeLens:ve.$zN,Color:ve.$MN,ColorInformation:ve.$NN,ColorPresentation:ve.$ON,ColorThemeKind:ve.ColorThemeKind,CommentMode:ve.CommentMode,CommentState:ve.CommentState,CommentThreadCollapsibleState:ve.CommentThreadCollapsibleState,CommentThreadState:ve.CommentThreadState,CommentThreadApplicability:ve.CommentThreadApplicability,CompletionItem:ve.$GN,CompletionItemKind:ve.CompletionItemKind,CompletionItemTag:ve.CompletionItemTag,CompletionList:ve.$HN,CompletionTriggerKind:ve.CompletionTriggerKind,ConfigurationTarget:ve.ConfigurationTarget,CustomExecution:ve.$WN,DebugAdapterExecutable:ve.$dO,DebugAdapterInlineImplementation:ve.$gO,DebugAdapterNamedPipeServer:ve.$fO,DebugAdapterServer:ve.$eO,DebugConfigurationProviderTriggerKind:Xt.DebugConfigurationProviderTriggerKind,DebugConsoleMode:ve.DebugConsoleMode,DebugVisualization:ve.$wO,DecorationRangeBehavior:ve.DecorationRangeBehavior,Diagnostic:ve.$mN,DiagnosticRelatedInformation:ve.$lN,DiagnosticSeverity:ve.DiagnosticSeverity,DiagnosticTag:ve.DiagnosticTag,Disposable:ve.$$M,DocumentHighlight:ve.$pN,DocumentHighlightKind:ve.DocumentHighlightKind,MultiDocumentHighlight:ve.$qN,DocumentLink:ve.$LN,DocumentSymbol:ve.$sN,EndOfLine:ve.EndOfLine,EnvironmentVariableMutatorType:ve.EnvironmentVariableMutatorType,EvaluatableExpression:ve.$jO,InlineValueText:ve.$kO,InlineValueVariableLookup:ve.$lO,InlineValueEvaluatableExpression:ve.$mO,InlineCompletionTriggerKind:ve.InlineCompletionTriggerKind,EventEmitter:R.$ee,ExtensionKind:ve.ExtensionKind,ExtensionMode:ve.ExtensionMode,ExternalUriOpenerPriority:ve.ExternalUriOpenerPriority,FileChangeType:ve.FileChangeType,FileDecoration:ve.$yO,FileDecoration2:ve.$yO,FileSystemError:ve.$pO,FileType:m.FileType,FilePermission:m.FilePermission,FoldingRange:ve.$qO,FoldingRangeKind:ve.FoldingRangeKind,FunctionBreakpoint:ve.$bO,InlineCompletionItem:ve.$IN,InlineCompletionList:ve.$JN,Hover:ve.$nN,VerboseHover:ve.$oN,HoverVerbosityAction:ve.HoverVerbosityAction,IndentAction:D.IndentAction,Location:ve.$kN,MarkdownString:ve.$AN,OverviewRulerLane:d.OverviewRulerLane,ParameterInformation:ve.$BN,PortAutoForwardAction:ve.PortAutoForwardAction,Position:ve.$_M,ProcessExecution:ve.$UN,ProgressLocation:ve.ProgressLocation,QuickInputButtons:ve.$xO,Range:ve.$aN,RelativePattern:ve.$0N,Selection:ve.$bN,SelectionRange:ve.$vN,SemanticTokens:ve.$tO,SemanticTokensBuilder:ve.$sO,SemanticTokensEdit:ve.$uO,SemanticTokensEdits:ve.$vO,SemanticTokensLegend:ve.$rO,ShellExecution:ve.$VN,ShellQuoting:ve.ShellQuoting,SignatureHelp:ve.$DN,SignatureHelpTriggerKind:ve.SignatureHelpTriggerKind,SignatureInformation:ve.$CN,SnippetString:ve.$jN,SourceBreakpoint:ve.$aO,StandardTokenType:ve.StandardTokenType,StatusBarAlignment:ve.StatusBarAlignment,SymbolInformation:ve.$rN,SymbolKind:ve.SymbolKind,SymbolTag:ve.SymbolTag,Task:ve.$XN,TaskGroup:ve.$TN,TaskPanelKind:ve.TaskPanelKind,TaskRevealKind:ve.TaskRevealKind,TaskScope:ve.TaskScope,TerminalLink:ve.$PN,TerminalQuickFixTerminalCommand:ve.$RN,TerminalQuickFixOpener:ve.$QN,TerminalLocation:ve.TerminalLocation,TerminalProfile:ve.$SN,TerminalExitReason:ve.TerminalExitReason,TerminalShellExecutionCommandLineConfidence:ve.TerminalShellExecutionCommandLineConfidence,TextDocumentSaveReason:ve.TextDocumentSaveReason,TextEdit:ve.$fN,SnippetTextEdit:ve.$hN,TextEditorCursorStyle:E.TextEditorCursorStyle,TextEditorLineNumbersStyle:ve.TextEditorLineNumbersStyle,TextEditorRevealType:ve.TextEditorRevealType,TextEditorSelectionChangeKind:ve.TextEditorSelectionChangeKind,SyntaxTokenType:ve.SyntaxTokenType,TextDocumentChangeReason:ve.TextDocumentChangeReason,ThemeColor:ve.$9N,ThemeIcon:ve.$8N,TreeItem:ve.$YN,TreeItemCheckboxState:ve.TreeItemCheckboxState,TreeItemCollapsibleState:ve.TreeItemCollapsibleState,TypeHierarchyItem:ve.$UO,UIKind:Yt.UIKind,Uri:p.URI,ViewColumn:ve.ViewColumn,WorkspaceEdit:ve.$iN,DocumentPasteTriggerKind:ve.DocumentPasteTriggerKind,DocumentDropEdit:ve.$5N,DocumentDropOrPasteEditKind:ve.$6N,DocumentPasteEdit:ve.$7N,InlayHint:ve.$FN,InlayHintLabelPart:ve.$EN,InlayHintKind:ve.InlayHintKind,RemoteAuthorityResolverError:ve.$eN,ResolvedAuthority:ve.$cN,ManagedResolvedAuthority:ve.$dN,SourceControlInputBoxValidationType:ve.SourceControlInputBoxValidationType,ExtensionRuntime:ve.ExtensionRuntime,TimelineItem:ve.$IO,NotebookRange:ve.$AO,NotebookCellKind:ve.NotebookCellKind,NotebookCellExecutionState:ve.NotebookCellExecutionState,NotebookCellData:ve.$BO,NotebookData:ve.$CO,NotebookRendererScript:ve.$GO,NotebookCellStatusBarAlignment:ve.NotebookCellStatusBarAlignment,NotebookEditorRevealType:ve.NotebookEditorRevealType,NotebookCellOutput:ve.$EO,NotebookCellOutputItem:ve.$DO,NotebookCellStatusBarItem:ve.$FO,NotebookControllerAffinity:ve.NotebookControllerAffinity,NotebookControllerAffinity2:ve.NotebookControllerAffinity2,NotebookEdit:ve.$gN,NotebookKernelSourceAction:ve.$HO,NotebookVariablesRequestKind:ve.NotebookVariablesRequestKind,PortAttributes:ve.$KO,LinkedEditingRanges:ve.$JO,TestResultState:ve.TestResultState,TestRunRequest:ve.$LO,TestRunRequest2:ve.$LO,TestMessage:ve.$MO,TestTag:ve.$NO,TestRunProfileKind:ve.TestRunProfileKind,TextSearchCompleteMessageType:oi.TextSearchCompleteMessageType,DataTransfer:ve.$4N,DataTransferItem:ve.$ZN,TestCoverageCount:ve.$OO,FileCoverage:ve.$QO,StatementCoverage:ve.$RO,BranchCoverage:ve.$SO,DeclarationCoverage:ve.$TO,WorkspaceTrustState:ve.WorkspaceTrustState,LanguageStatusSeverity:ve.LanguageStatusSeverity,QuickPickItemKind:ve.QuickPickItemKind,InputBoxValidationSeverity:ve.InputBoxValidationSeverity,TabInputText:ve.$VO,TabInputTextDiff:ve.$WO,TabInputTextMerge:ve.$XO,TabInputCustom:ve.$YO,TabInputNotebook:ve.$1O,TabInputNotebookDiff:ve.$2O,TabInputWebview:ve.$ZO,TabInputTerminal:ve.$3O,TabInputInteractiveWindow:ve.$4O,TabInputChat:ve.$5O,TabInputTextMultiDiff:ve.$6O,TelemetryTrustedValue:s.$fp,LogLevel:r.LogLevel,EditSessionIdentityMatch:i.EditSessionIdentityMatch,InteractiveSessionVoteDirection:ve.InteractiveSessionVoteDirection,ChatCopyKind:ve.ChatCopyKind,InteractiveEditorResponseFeedbackKind:ve.InteractiveEditorResponseFeedbackKind,DebugStackFrame:ve.$hO,DebugThread:ve.$iO,RelatedInformationType:ve.RelatedInformationType,SpeechToTextStatus:ve.SpeechToTextStatus,PartialAcceptTriggerKind:ve.PartialAcceptTriggerKind,KeywordRecognitionStatus:ve.KeywordRecognitionStatus,ChatResponseMarkdownPart:ve.$8O,ChatResponseFileTreePart:ve.$$O,ChatResponseAnchorPart:ve.$_O,ChatResponseProgressPart:ve.$aP,ChatResponseReferencePart:ve.$cP,ChatResponseTextEditPart:ve.$dP,ChatResponseMarkdownWithVulnerabilitiesPart:ve.$9O,ChatResponseCommandButtonPart:ve.$bP,ChatResponseDetectedParticipantPart:ve.$0O,ChatRequestTurn:ve.$eP,ChatResponseTurn:ve.$fP,ChatLocation:ve.ChatLocation,LanguageModelChatSystemMessage:ve.$gP,LanguageModelChatUserMessage:ve.$hP,LanguageModelChatAssistantMessage:ve.$iP,LanguageModelSystemMessage:ve.$gP,LanguageModelUserMessage:ve.$hP,LanguageModelAssistantMessage:ve.$iP,LanguageModelError:ve.$jP,NewSymbolName:ve.$oO,NewSymbolNameTag:ve.NewSymbolNameTag,NewSymbolNameTriggerKind:ve.NewSymbolNameTriggerKind,InlineEdit:ve.$kP,InlineEditTriggerKind:ve.InlineEditTriggerKind}}}}),define(Ie[308],Pe([1,0,56,118,39,112,40,32,68,53,121,123,124,84,88,80,111,65,46,83,63,67,247,12,122,81,82,86,90,116]),function(le,e,I,O,R,M,A,w,p,E,T,D,d,b,m,r,o,s,i,n,c,l,t,f,a,$,u,S,h,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),(0,I.$xs)($.$7lc,$.$6lc,1),(0,I.$xs)(f.$4j,t.$hnc,1),(0,I.$xs)(r.$_kc,r.$alc,1),(0,I.$xs)(w.$SP,w.$RP,0),(0,I.$xs)(S.$jlc,S.$klc,0),(0,I.$xs)(h.$1lc,h.$2lc,0),(0,I.$xs)(A.$ylc,A.$wlc,0),(0,I.$xs)(s.$Alc,s.$zlc,0),(0,I.$xs)(D.$emc,D.$imc,0),(0,I.$xs)(M.$kmc,M.$jmc,0),(0,I.$xs)(p.$HP,p.$GP,0),(0,I.$xs)(u.$8lc,u.$9lc,0),(0,I.$xs)(i.$dlc,i.$clc,0),(0,I.$xs)(O.$Pmc,O.$Omc,1),(0,I.$xs)(d.$Amc,d.$Bmc,0),(0,I.$xs)(b.$Tlc,b.$Slc,0),(0,I.$xs)(T.$3mc,T.$2mc,0),(0,I.$xs)(E.$Wlc,E.$Zlc,0),(0,I.$xs)(v.$4mc,v.$5mc,0),(0,I.$xs)(m.$wDb,m.$xDb,0),(0,I.$xs)(o.$fnc,o.$enc,0),(0,I.$xs)(R.$vlc,R.$ulc,0),(0,I.$xs)(n.$4lc,n.$3lc,0),(0,I.$xs)(c.$QP,c.$NP,0),(0,I.$xs)(l.$Klc,l.$Llc,0),(0,I.$xs)(a.$cmc,a.$dmc,0)}),define(Ie[309],Pe([1,0,307,41,2,304,7,11,253]),function(le,e,I,O,R,M,A,w,p){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$rpc=void 0;class E extends M.$knc{j(){}getModule(b,m){for(const r of this.b){const o=r(b);if(o){b=o;break}}if(this.a.has(b))return this.a.get(b).load(b,m,()=>{throw new Error("CANNOT LOAD MODULE from here.")})}}class T extends O.$$lc{constructor(){super(...arguments),this.extensionRuntime=A.ExtensionRuntime.Webworker}async vb(){this.h.createInstance(p.$qpc);const b=this.h.invokeFunction(I.$gnc);this.r=this.h.createInstance(E,b,{mine:this.J,all:this.L}),await this.r.install(),performance.mark("code/extHost/didInitAPI"),await this.Bb()}wb(b){return b.browser}async xb(b,m,r){m=m.with({path:D(m.path,".js")});const o=b?.identifier.value;o&&performance.mark(`code/extHost/willFetchExtensionCode/${o}`);const s=R.URI.revive(await this.C.$asBrowserUri(m)),i=await fetch(s.toString(!0));if(o&&performance.mark(`code/extHost/didFetchExtensionCode/${o}`),i.status!==200)throw new Error(i.statusText);const n=await i.text(),c=`${m.toString(!0)}#vscode-extension`,l=`${n}
//# sourceURL=${c}`;let t;try{t=new Function("module","exports","require",l)}catch(u){throw console.error(o?`Loading code for extension ${o} failed: ${u.message}`:`Loading code failed: ${u.message}`),console.error(`${m.toString(!0)}${typeof u.line=="number"?` line ${u.line}`:""}${typeof u.column=="number"?` column ${u.column}`:""}`),console.error(u),u}b&&await this.w.initializeLocalizedMessages(b);const f={},a={exports:f},$=u=>{const S=this.r.getModule(u,m);if(S===void 0)throw new Error(`Cannot load module '${u}'`);return S};try{return r.codeLoadingStart(),o&&performance.mark(`code/extHost/willLoadExtensionCode/${o}`),t(a,f,$),a.exports!==f?a.exports:f}finally{o&&performance.mark(`code/extHost/didLoadExtensionCode/${o}`),r.codeLoadingStop()}}async $setRemoteEnvironment(b){}async Bb(b=5e3){if(!this.f.environment.isExtensionDevelopmentDebug)return;const m=Date.now()+b;for(;Date.now()<m&&!("__jsDebugIsReady"in globalThis);)await(0,w.$xh)(10)}}e.$rpc=T;function D(d,b){return d.endsWith(b)?d:d+b}}),define(Ie[310],Pe([1,0,71,56,12,41,217,87,309]),function(le,e,I,O,R,M,A,w,p){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),(0,O.$xs)(R.$3j,new I.$ti(A.$jnc,[!0],!0)),(0,O.$xs)(M.$_lc,p.$rpc,0),(0,O.$xs)(w.$Blc,w.$Clc,0)}),define(Ie[316],Pe([1,0,21,5,79,305,255,19,60,16,2,308,310]),function(le,e,I,O,R,M,A,w,p,E,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.create=l;const D=self.close.bind(self);self.close=()=>console.trace("'close' has been blocked");const d=postMessage.bind(self);self.postMessage=()=>console.trace("'postMessage' has been blocked");function b(t){return/^(file|vscode-remote):/i.test(t)}const m=fetch.bind(self);function r(t){self.fetch=async function(f,a){return f instanceof Request||b(String(f))&&(f=(await t(T.URI.parse(String(f)))).toString(!0)),m(f,a)},self.XMLHttpRequest=class extends XMLHttpRequest{open(f,a,$,u,S){(async()=>(b(a.toString())&&(a=(await t(T.URI.parse(a.toString()))).toString(!0)),super.open(f,a,$??!0,u,S)))()}}}if(self.importScripts=()=>{throw new Error("'importScripts' has been blocked")},self.addEventListener=()=>console.trace("'addEventListener' has been blocked"),self.AMDLoader=void 0,self.NLSLoaderPlugin=void 0,self.define=void 0,self.require=void 0,self.webkitRequestFileSystem=void 0,self.webkitRequestFileSystemSync=void 0,self.webkitResolveLocalFileSystemSyncURL=void 0,self.webkitResolveLocalFileSystemURL=void 0,self.Worker){const t=self.Worker;Worker=function(f,a){if(/^file:/i.test(f.toString()))f=E.$Qg.uriToBrowserUri(T.URI.parse(f.toString())).toString(!0);else if(/^vscode-remote:/i.test(f.toString()))throw new Error("Creating workers from remote extensions is currently not supported.");const u=`(${function(g){function k(P){return typeof P=="string"||P instanceof URL?String(P).replace(/^file:\/\//i,"vscode-file://vscode-app"):P}const y=fetch.bind(self);self.fetch=function(P,W){return P instanceof Request?y(P,W):y(k(P),W)},self.XMLHttpRequest=class extends XMLHttpRequest{open(P,W,V,q,N){return super.open(P,k(W),V??!0,q,N)}};const C=importScripts.bind(self);self.importScripts=(...P)=>{C(...P.map(k))},C(g)}.toString()}('${f}'))`;a=a||{},a.name=`${name} -> ${a.name||w.$oc(f.toString())}`;const S=new Blob([u],{type:"application/javascript"}),h=URL.createObjectURL(S);return new t(h,a)}}else self.Worker=class extends A.$spc{constructor(t,f){super(d,t,{name:w.$oc(t.toString()),...f})}};const o=new class{constructor(){this.pid=void 0}exit(t){D()}};class s{constructor(){const f=new MessageChannel,a=new O.$ee;let $=!1;d(f.port2,[f.port2]),f.port1.onmessage=u=>{const{data:S}=u;if(!(S instanceof ArrayBuffer)){console.warn("UNKNOWN data received",S);return}const h=I.$Ge.wrap(new Uint8Array(S,0,S.byteLength));if((0,R.$1m)(h,2)){$=!0,n("received terminate message from renderer");return}a.fire(h)},this.protocol={onMessage:a.event,send:u=>{if(!$){const S=u.buffer.buffer.slice(u.buffer.byteOffset,u.buffer.byteOffset+u.buffer.byteLength);f.port1.postMessage(S,[S])}}}}}function i(t){return new Promise(f=>{const a=t.onMessage($=>{a.dispose();const u=JSON.parse($.toString());t.send((0,R.$Zm)(0)),f({protocol:t,initData:u})});t.send((0,R.$Zm)(1))})}let n=t=>D();function c(t){return!!t&&typeof t=="object"&&t.type==="vscode.init"&&t.data instanceof Map}function l(){p.mark("code/extHost/willConnectToRenderer");const t=new s;return{onmessage(f){c(f)&&i(t.protocol).then(a=>{p.mark("code/extHost/didWaitForInitData");const $=new M.$mnc(a.protocol,a.initData,o,null,f.data);r(u=>$.asBrowserUri(u)),n=u=>$.terminate(u)})}}}})}).call(this);

//# sourceMappingURL=https://ticino.blob.core.windows.net/sourcemaps/39ad5f3a9dc614ce795f2263f2960904e454996c/core/vs/workbench/api/worker/extensionHostWorker.js.map
